-- This software is copyright Kong Inc. and its licensors.
-- Use of the software is subject to the agreement between your organization
-- and Kong Inc. If there is no such agreement, use is governed by and
-- subject to the terms of the Kong Master Software License Agreement found
-- at https://konghq.com/enterprisesoftwarelicense/.
-- [ END OF LICENSE 0867164ffc95e54f04670b5169c09574bdbd9bba ]

local SelectableNode = require'kong.gql.query.nodes.selectable_node'
local util = require'kong.gql.util'

local _OperationNode = SelectableNode:extend()


-- @param _type: query, mutation, subscription
-- @param selection_set: [SelectionNode]
-- @param(opt) name: string
-- @param var_defs: [VarDef]
function _OperationNode:new(_type, selection_set, name, var_defs, directives) -- luacheck: ignore
    _OperationNode.super.new(self, name, selection_set, directives)
    self.type = _type
    self.var_defs = var_defs or {}
end


function _OperationNode:children()
    return util.lst_to_iter(self.selection_set)
end


function _OperationNode:__tostring() return
    string.format('OperationNode[%s]', self.type)
end


return _OperationNode
