local decode = require("cjson").new().decode
return assert(decode([===[
{ "version": "directory_v1", "canonicalName": "directory", "id": "admin:directory_v1", "documentationLink": "https://developers.google.com/admin-sdk/", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "description": "Admin SDK lets administrators of enterprise domains to view and manage resources like user, groups etc. It also provides audit and usage reports of domain.", "ownerName": "Google", "basePath": "", "ownerDomain": "google.com", "servicePath": "", "schemas": { "UserName": { "id": "UserName", "type": "object", "properties": { "fullName": { "type": "string", "description": "The user's full name formed by concatenating the first and last name values." }, "familyName": { "type": "string", "annotations": { "required": [ "directory.users.insert" ] }, "description": "The user's last name. Required when creating a user account." }, "givenName": { "description": "The user's first name. Required when creating a user account.", "annotations": { "required": [ "directory.users.insert" ] }, "type": "string" } } }, "Users": { "properties": { "kind": { "type": "string", "default": "admin#directory#users", "description": "Kind of resource this is." }, "nextPageToken": { "description": "Token used to access next page of this result.", "type": "string" }, "trigger_event": { "description": "Event that triggered this response (only used in case of Push Response)", "type": "string" }, "users": { "type": "array", "description": "List of user objects.", "items": { "$ref": "User" } }, "etag": { "type": "string", "description": "ETag of the resource." } }, "type": "object", "id": "Users" }, "BatchDeletePrintersRequest": { "description": "Request for deleting existing printers in batch.", "properties": { "printerIds": { "items": { "type": "string" }, "type": "array", "description": "A list of Printer.id that should be deleted. Max 100 at a time." } }, "id": "BatchDeletePrintersRequest", "type": "object" }, "RoleAssignment": { "type": "object", "properties": { "roleAssignmentId": { "format": "int64", "description": "ID of this roleAssignment.", "type": "string" }, "roleId": { "format": "int64", "type": "string", "description": "The ID of the role that is assigned." }, "scopeType": { "type": "string", "description": "The scope in which this role is assigned." }, "kind": { "description": "The type of the API resource. This is always `admin#directory#roleAssignment`.", "type": "string", "default": "admin#directory#roleAssignment" }, "etag": { "type": "string", "description": "ETag of the resource." }, "orgUnitId": { "type": "string", "description": "If the role is restricted to an organization unit, this contains the ID for the organization unit the exercise of this role is restricted to." }, "assignedTo": { "type": "string", "description": "The unique ID of the entity this role is assigned to—either the `user_id` of a user or the `uniqueId` of a service account, as defined in [Identity and Access Management (IAM)](https://cloud.google.com/iam/docs/reference/rest/v1/projects.serviceAccounts)." } }, "id": "RoleAssignment", "description": "Defines an assignment of a role." }, "Members": { "id": "Members", "properties": { "nextPageToken": { "description": "Token used to access next page of this result.", "type": "string" }, "kind": { "default": "admin#directory#members", "type": "string", "description": "Kind of resource this is." }, "etag": { "description": "ETag of the resource.", "type": "string" }, "members": { "type": "array", "items": { "$ref": "Member" }, "description": "List of member objects." } }, "type": "object" }, "Privilege": { "type": "object", "id": "Privilege", "properties": { "childPrivileges": { "description": "A list of child privileges. Privileges for a service form a tree. Each privilege can have a list of child privileges; this list is empty for a leaf privilege.", "items": { "$ref": "Privilege" }, "type": "array" }, "kind": { "description": "The type of the API resource. This is always `admin#directory#privilege`.", "type": "string", "default": "admin#directory#privilege" }, "serviceId": { "type": "string", "description": "The obfuscated ID of the service this privilege is for. This value is returned with [`Privileges.list()`](/admin-sdk/directory/v1/reference/privileges/list)." }, "etag": { "description": "ETag of the resource.", "type": "string" }, "isOuScopable": { "type": "boolean", "description": "If the privilege can be restricted to an organization unit." }, "serviceName": { "description": "The name of the service this privilege is for.", "type": "string" }, "privilegeName": { "type": "string", "description": "The name of the privilege." } } }, "Features": { "id": "Features", "type": "object", "description": "Public API: Resources.features", "properties": { "nextPageToken": { "description": "The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.", "type": "string" }, "features": { "description": "The Features in this page of results.", "type": "array", "items": { "$ref": "Feature" } }, "kind": { "default": "admin#directory#resources#features#featuresList", "description": "Kind of resource this is.", "type": "string" }, "etag": { "type": "string", "description": "ETag of the resource." } } }, "User": { "id": "User", "type": "object", "description": "The Directory API allows you to create and manage your account's users, user aliases, and user Gmail chat profile photos. For more information about common tasks, see the [User Accounts Developer's Guide](/admin-sdk/directory/v1/guides/manage-users.html) and the [User Aliases Developer's Guide](/admin-sdk/directory/v1/guides/manage-user-aliases.html).", "properties": { "password": { "annotations": { "required": [ "directory.users.insert" ] }, "type": "string", "description": "User's password" }, "externalIds": { "description": "A list of external IDs for the user, such as an employee or network ID. The maximum allowed data size for this field is 2Kb.", "type": "any" }, "archived": { "type": "boolean", "description": "Indicates if user is archived." }, "creationTime": { "format": "date-time", "type": "string", "description": "User's G Suite account creation time. (Read-only)", "readOnly": true }, "recoveryPhone": { "type": "string", "description": "Recovery phone of the user. The phone number must be in the E.164 format, starting with the plus sign (+). Example: *+16506661212*." }, "id": { "type": "string", "description": "The unique ID for the user. A user `id` can be used as a user request URI's `userKey`." }, "websites": { "description": "The user's websites. The maximum allowed data size for this field is 2Kb.", "type": "any" }, "gender": { "type": "any", "description": "The user's gender. The maximum allowed data size for this field is 1Kb." }, "isMailboxSetup": { "description": "Output only. Indicates if the user's Google mailbox is created. This property is only applicable if the user has been assigned a Gmail license.", "readOnly": true, "type": "boolean" }, "etag": { "readOnly": true, "description": "Output only. ETag of the resource.", "type": "string" }, "ipWhitelisted": { "description": "If `true`, the user's IP address is [whitelisted](https://support.google.com/a/answer/60752).", "type": "boolean" }, "organizations": { "description": "A list of organizations the user belongs to. The maximum allowed data size for this field is 10Kb.", "type": "any" }, "isEnrolledIn2Sv": { "type": "boolean", "readOnly": true, "description": "Output only. Is enrolled in 2-step verification (Read-only)" }, "isDelegatedAdmin": { "readOnly": true, "description": "Output only. Indicates if the user is a delegated administrator. Delegated administrators are supported by the API but cannot create or undelete users, or make users administrators. These requests are ignored by the API service. Roles and privileges for administrators are assigned using the [Admin console](https://support.google.com/a/answer/33325).", "type": "boolean" }, "changePasswordAtNextLogin": { "description": "Indicates if the user is forced to change their password at next login. This setting doesn't apply when [the user signs in via a third-party identity provider](https://support.google.com/a/answer/60224).", "type": "boolean" }, "deletionTime": { "readOnly": true, "type": "string", "format": "date-time" }, "notes": { "description": "Notes for the user.", "type": "any" }, "languages": { "type": "any", "description": "The user's languages. The maximum allowed data size for this field is 1Kb." }, "phones": { "type": "any", "description": "A list of the user's phone numbers. The maximum allowed data size for this field is 1Kb." }, "isEnforcedIn2Sv": { "readOnly": true, "description": "Output only. Is 2-step verification enforced (Read-only)", "type": "boolean" }, "nonEditableAliases": { "items": { "type": "string" }, "readOnly": true, "description": "Output only. List of the user's non-editable alias email addresses. These are typically outside the account's primary domain or sub-domain.", "type": "array" }, "suspended": { "description": "Indicates if user is suspended.", "type": "boolean" }, "posixAccounts": { "type": "any", "description": "A list of [POSIX](https://www.opengroup.org/austin/papers/posix_faq.html) account information for the user." }, "keywords": { "description": "The user's keywords. The maximum allowed data size for this field is 1Kb.", "type": "any" }, "ims": { "description": "The user's Instant Messenger (IM) accounts. A user account can have multiple ims properties. But, only one of these ims properties can be the primary IM contact. The maximum allowed data size for this field is 2Kb.", "type": "any" }, "aliases": { "items": { "type": "string" }, "type": "array", "readOnly": true, "description": "Output only. A list of the user's alias email addresses." }, "thumbnailPhotoUrl": { "type": "string", "description": "Output only. Photo Url of the user (Read-only)", "readOnly": true }, "includeInGlobalAddressList": { "type": "boolean", "description": "Indicates if the user's profile is visible in the Google Workspace global address list when the contact sharing feature is enabled for the domain. For more information about excluding user profiles, see the [administration help center](https://support.google.com/a/answer/1285988)." }, "primaryEmail": { "annotations": { "required": [ "directory.users.insert" ] }, "description": "The user's primary email address. This property is required in a request to create a user account. The `primaryEmail` must be unique and cannot be an alias of another user.", "type": "string" }, "customerId": { "type": "string", "description": "Output only. The customer ID to [retrieve all account users](/admin-sdk/directory/v1/guides/manage-users.html#get_all_users). You can use the alias `my_customer` to represent your account's `customerId`. As a reseller administrator, you can use the resold customer account's `customerId`. To get a `customerId`, use the account's primary domain in the `domain` parameter of a [users.list](/admin-sdk/directory/v1/reference/users/list) request.", "readOnly": true }, "hashFunction": { "type": "string", "description": "Stores the hash format of the `password` property. The following `hashFunction` values are allowed: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `MD5` - Accepts simple hex-encoded values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SHA1` - Accepts simple hex-encoded values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `crypt` - Compliant with the [C crypt library](https://en.wikipedia.org/wiki/Crypt_%28C%29). Supports the DES, MD5 (hash prefix `$1$`), SHA-256 (hash prefix `$5$`), and SHA-512 (hash prefix `$6$`) hash algorithms. If rounds are specified as part of the prefix, they must be 10,000 or fewer." }, "suspensionReason": { "readOnly": true, "description": "Output only. Has the reason a user account is suspended either by the administrator or by Google at the time of suspension. The property is returned only if the `suspended` property is `true`.", "type": "string" }, "isAdmin": { "readOnly": true, "description": "Output only. Indicates a user with super admininistrator privileges. The `isAdmin` property can only be edited in the [Make a user an administrator](/admin-sdk/directory/v1/guides/manage-users.html#make_admin) operation ( [makeAdmin](/admin-sdk/directory/v1/reference/users/makeAdmin.html) method). If edited in the user [insert](/admin-sdk/directory/v1/reference/users/insert.html) or [update](/admin-sdk/directory/v1/reference/users/update.html) methods, the edit is ignored by the API service.", "type": "boolean" }, "thumbnailPhotoEtag": { "description": "Output only. ETag of the user's photo (Read-only)", "readOnly": true, "type": "string" }, "emails": { "type": "any", "description": "A list of the user's email addresses. The maximum allowed data size for this field is 10Kb." }, "lastLoginTime": { "description": "User's last login time. (Read-only)", "type": "string", "readOnly": true, "format": "date-time" }, "locations": { "type": "any", "description": "The user's locations. The maximum allowed data size for this field is 10Kb." }, "addresses": { "description": "A list of the user's addresses. The maximum allowed data size for this field is 10Kb.", "type": "any" }, "relations": { "description": "A list of the user's relationships to other users. The maximum allowed data size for this field is 2Kb.", "type": "any" }, "name": { "$ref": "UserName", "annotations": { "required": [ "directory.users.insert" ] }, "description": "Holds the given and family names of the user, and the read-only `fullName` value. The maximum number of characters in the `givenName` and in the `familyName` values is 60. In addition, name values support unicode/UTF-8 characters, and can contain spaces, letters (a-z), numbers (0-9), dashes (-), forward slashes (/), and periods (.). For more information about character usage rules, see the [administration help center](https://support.google.com/a/answer/9193374). Maximum allowed data size for this field is 1Kb." }, "orgUnitPath": { "type": "string", "description": "The full path of the parent organization associated with the user. If the parent organization is the top-level, it is represented as a forward slash (`/`)." }, "recoveryEmail": { "description": "Recovery email of the user.", "type": "string" }, "kind": { "type": "string", "description": "Output only. The type of the API resource. For Users resources, the value is `admin#directory#user`.", "readOnly": true, "default": "admin#directory#user" }, "agreedToTerms": { "readOnly": true, "description": "Output only. This property is `true` if the user has completed an initial login and accepted the Terms of Service agreement.", "type": "boolean" }, "customSchemas": { "additionalProperties": { "$ref": "UserCustomProperties" }, "type": "object", "description": "Custom fields of the user. The key is a `schema_name` and its values are `'field_name': 'field_value'`." }, "sshPublicKeys": { "description": "A list of SSH public keys.", "type": "any" } } }, "CreatePrinterRequest": { "properties": { "parent": { "description": "Required. The name of the customer. Format: customers/{customer_id}", "type": "string" }, "printer": { "description": "Required. A printer to create. If you want to place the printer under particular OU then populate printer.org_unit_id filed. Otherwise the printer will be placed under root OU.", "$ref": "Printer" } }, "description": "Request for adding a new printer.", "type": "object", "id": "CreatePrinterRequest" }, "ChromeOsDeviceAction": { "type": "object", "id": "ChromeOsDeviceAction", "properties": { "deprovisionReason": { "type": "string", "description": "Only used when the action is `deprovision`. With the `deprovision` action, this field is required. *Note*: The deprovision reason is audited because it might have implications on licenses for perpetual subscription customers." }, "action": { "type": "string", "description": "Action to be taken on the Chrome OS device.", "annotations": { "required": [ "directory.chromeosdevices.action" ] } } } }, "BatchDeletePrintersResponse": { "id": "BatchDeletePrintersResponse", "properties": { "failedPrinters": { "type": "array", "description": "A list of update failures.", "items": { "$ref": "FailureInfo" } }, "printerIds": { "items": { "type": "string" }, "type": "array", "description": "A list of Printer.id that were successfully deleted." } }, "type": "object", "description": "Response for deleting existing printers in batch." }, "OrgUnit": { "type": "object", "description": "Managing your account's organizational units allows you to configure your users' access to services and custom settings. For more information about common organizational unit tasks, see the [Developer's Guide](/admin-sdk/directory/v1/guides/manage-org-units.html). The customer's organizational unit hierarchy is limited to 35 levels of depth.", "properties": { "name": { "annotations": { "required": [ "directory.orgunits.insert" ] }, "description": "The organizational unit's path name. For example, an organizational unit's name within the /corp/support/sales_support parent path is sales_support. Required.", "type": "string" }, "orgUnitId": { "type": "string", "description": "The unique ID of the organizational unit." }, "orgUnitPath": { "type": "string", "description": "The full path to the organizational unit. The `orgUnitPath` is a derived property. When listed, it is derived from `parentOrgunitPath` and organizational unit's `name`. For example, for an organizational unit named 'apps' under parent organization '/engineering', the orgUnitPath is '/engineering/apps'. In order to edit an `orgUnitPath`, either update the name of the organization or the `parentOrgunitPath`. A user's organizational unit determines which Google Workspace services the user has access to. If the user is moved to a new organization, the user's access changes. For more information about organization structures, see the [administration help center](https://support.google.com/a/answer/4352075). For more information about moving a user to a different organization, see [Update a user](/admin-sdk/directory/v1/guides/manage-users.html#update_user)." }, "parentOrgUnitPath": { "description": "The organizational unit's parent path. For example, /corp/sales is the parent path for /corp/sales/sales_support organizational unit. Required, unless `parentOrgUnitId` is set.", "type": "string" }, "blockInheritance": { "description": "Determines if a sub-organizational unit can inherit the settings of the parent organization. The default value is `false`, meaning a sub-organizational unit inherits the settings of the nearest parent organizational unit. For more information on inheritance and users in an organization structure, see the [administration help center](https://support.google.com/a/answer/4352075).", "type": "boolean" }, "parentOrgUnitId": { "type": "string", "description": "The unique ID of the parent organizational unit. Required, unless `parentOrgUnitPath` is set." }, "kind": { "description": "The type of the API resource. For Orgunits resources, the value is `admin#directory#orgUnit`.", "default": "admin#directory#orgUnit", "type": "string" }, "etag": { "description": "ETag of the resource.", "type": "string" }, "description": { "description": "Description of the organizational unit.", "type": "string" } }, "id": "OrgUnit" }, "PrinterModel": { "id": "PrinterModel", "description": "Printer manufacturer and model", "type": "object", "properties": { "manufacturer": { "description": "Manufacturer. eq. \"Brother\"", "type": "string" }, "displayName": { "description": "Display name. eq. \"Brother MFC-8840D\"", "type": "string" }, "makeAndModel": { "type": "string", "description": "Make and model as represented in \"make_and_model\" field in Printer object. eq. \"brother mfc-8840d\"" } } }, "UserLocation": { "properties": { "deskCode": { "description": "Most specific textual code of individual desk location.", "type": "string" }, "floorName": { "description": "Floor name/number.", "type": "string" }, "floorSection": { "type": "string", "description": "Floor section. More specific location within the floor. For example if a floor is divided into sections 'A', 'B' and 'C' this field would identify one of those values." }, "buildingId": { "description": "Building Identifier.", "type": "string" }, "type": { "type": "string", "description": "Each entry can have a type which indicates standard types of that entry. For example location could be of types default and desk. In addition to standard type an entry can have a custom type and can give it any name. Such types should have 'custom' as type and also have a customType value." }, "area": { "description": "Textual location. This is most useful for display purposes to concisely describe the location. For example 'Mountain View, CA', 'Near Seattle', 'US-NYC-9TH 9A209A.''", "type": "string" }, "customType": { "description": "Custom Type.", "type": "string" } }, "description": "JSON template for a location entry.", "type": "object", "id": "UserLocation" }, "SchemaFieldSpec": { "id": "SchemaFieldSpec", "description": "You can use schemas to add custom fields to user profiles. You can use these fields to store information such as the projects your users work on, their physical locations, their hire dates, or whatever else fits your business needs. For more information, see [Custom User Fields](/admin-sdk/directory/v1/guides/manage-schemas).", "type": "object", "properties": { "numericIndexingSpec": { "type": "object", "description": "Indexing spec for a numeric field. By default, only exact match queries will be supported for numeric fields. Setting the `numericIndexingSpec` allows range queries to be supported.", "properties": { "maxValue": { "description": "Maximum value of this field. This is meant to be indicative rather than enforced. Values outside this range will still be indexed, but search may not be as performant.", "format": "double", "type": "number" }, "minValue": { "format": "double", "type": "number", "description": "Minimum value of this field. This is meant to be indicative rather than enforced. Values outside this range will still be indexed, but search may not be as performant." } } }, "readAccessType": { "default": "ALL_DOMAIN_USERS", "type": "string", "description": "Specifies who can view values of this field. See [Retrieve users as a non-administrator](/admin-sdk/directory/v1/guides/manage-users#retrieve_users_non_admin) for more information. Note: It may take up to 24 hours for changes to this field to be reflected." }, "indexed": { "type": "boolean", "default": "true", "description": "Boolean specifying whether the field is indexed or not. Default: `true`." }, "fieldType": { "description": "The type of the field.", "type": "string", "annotations": { "required": [ "directory.schemas.insert", "directory.schemas.update" ] } }, "etag": { "type": "string", "description": "The ETag of the field." }, "kind": { "type": "string", "default": "admin#directory#schema#fieldspec", "description": "The kind of resource this is. For schema fields this is always `admin#directory#schema#fieldspec`." }, "displayName": { "description": "Display Name of the field.", "type": "string", "annotations": { "required": [ "directory.schemas.insert", "directory.schemas.update" ] } }, "fieldId": { "description": "The unique identifier of the field (Read-only)", "type": "string" }, "multiValued": { "description": "A boolean specifying whether this is a multi-valued field or not. Default: `false`.", "type": "boolean" }, "fieldName": { "annotations": { "required": [ "directory.schemas.insert", "directory.schemas.update" ] }, "description": "The name of the field.", "type": "string" } } }, "UserUndelete": { "properties": { "orgUnitPath": { "type": "string", "description": "OrgUnit of User" } }, "type": "object", "id": "UserUndelete" }, "Asp": { "description": "An application-specific password (ASP) is used with applications that do not accept a verification code when logging into the application on certain devices. The ASP access code is used instead of the login and password you commonly use when accessing an application through a browser. For more information about ASPs and how to create one, see the [help center](https://support.google.com/a/answer/2537800#asp).", "properties": { "userKey": { "description": "The unique ID of the user who issued the ASP.", "type": "string" }, "name": { "description": "The name of the application that the user, represented by their `userId`, entered when the ASP was created.", "type": "string" }, "codeId": { "type": "integer", "format": "int32", "description": "The unique ID of the ASP." }, "etag": { "type": "string", "description": "ETag of the ASP." }, "kind": { "description": "The type of the API resource. This is always `admin#directory#asp`.", "type": "string", "default": "admin#directory#asp" }, "lastTimeUsed": { "type": "string", "format": "int64", "description": "The time when the ASP was last used. Expressed in [Unix time](https://en.wikipedia.org/wiki/Epoch_time) format." }, "creationTime": { "description": "The time when the ASP was created. Expressed in [Unix time](https://en.wikipedia.org/wiki/Epoch_time) format.", "type": "string", "format": "int64" } }, "id": "Asp", "type": "object" }, "UserOrganization": { "id": "UserOrganization", "description": "JSON template for an organization entry.", "properties": { "location": { "type": "string", "description": "Location of the organization. This need not be fully qualified address." }, "title": { "description": "Title (designation) of the user in the organization.", "type": "string" }, "primary": { "description": "If it user's primary organization.", "type": "boolean" }, "fullTimeEquivalent": { "description": "The full-time equivalent millipercent within the organization (100000 = 100%).", "type": "integer", "format": "int32" }, "name": { "type": "string", "description": "Name of the organization" }, "type": { "type": "string", "description": "Each entry can have a type which indicates standard types of that entry. For example organization could be of school work etc. In addition to the standard type an entry can have a custom type and can give it any name. Such types should have the CUSTOM value as type and also have a CustomType value." }, "department": { "description": "Department within the organization.", "type": "string" }, "customType": { "type": "string", "description": "Custom type." }, "description": { "description": "Description of the organization.", "type": "string" }, "domain": { "description": "The domain to which the organization belongs to.", "type": "string" }, "symbol": { "description": "Symbol of the organization.", "type": "string" }, "costCenter": { "type": "string", "description": "The cost center of the users department." } }, "type": "object" }, "UserAbout": { "type": "object", "description": "JSON template for About (notes) of a user in Directory API.", "id": "UserAbout", "properties": { "contentType": { "type": "string", "description": "About entry can have a type which indicates the content type. It can either be plain or html. By default, notes contents are assumed to contain plain text." }, "value": { "type": "string", "description": "Actual value of notes." } } }, "DomainAliases": { "id": "DomainAliases", "properties": { "kind": { "description": "Kind of resource this is.", "default": "admin#directory#domainAliases", "type": "string" }, "domainAliases": { "type": "array", "items": { "$ref": "DomainAlias" }, "description": "List of domain alias objects." }, "etag": { "description": "ETag of the resource.", "type": "string" } }, "type": "object" }, "Tokens": { "type": "object", "properties": { "items": { "description": "A list of Token resources.", "type": "array", "items": { "$ref": "Token" } }, "etag": { "description": "ETag of the resource.", "type": "string" }, "kind": { "default": "admin#directory#tokenList", "type": "string", "description": "The type of the API resource. This is always `admin#directory#tokenList`." } }, "id": "Tokens", "description": "JSON response template for List tokens operation in Directory API." }, "UserWebsite": { "id": "UserWebsite", "description": "JSON template for a website entry.", "type": "object", "properties": { "primary": { "type": "boolean", "description": "If this is user's primary website or not." }, "value": { "type": "string", "description": "Website." }, "type": { "type": "string", "description": "Each entry can have a type which indicates standard types of that entry. For example website could be of home work blog etc. In addition to the standard type an entry can have a custom type and can give it any name. Such types should have the CUSTOM value as type and also have a customType value." }, "customType": { "description": "Custom Type.", "type": "string" } } }, "BuildingCoordinates": { "description": "Public API: Resources.buildings", "id": "BuildingCoordinates", "type": "object", "properties": { "latitude": { "description": "Latitude in decimal degrees.", "type": "number", "format": "double" }, "longitude": { "description": "Longitude in decimal degrees.", "type": "number", "format": "double" } } }, "Group": { "id": "Group", "description": "Google Groups provide your users the ability to send messages to groups of people using the group's email address. For more information about common tasks, see the [Developer's Guide](/admin-sdk/directory/v1/guides/manage-groups).", "properties": { "email": { "annotations": { "required": [ "directory.groups.insert" ] }, "description": "The group's email address. If your account has multiple domains, select the appropriate domain for the email address. The `email` must be unique. This property is required when creating a group. Group email addresses are subject to the same character usage rules as usernames, see the [help center](https://support.google.com/a/answer/9193374) for details.", "type": "string" }, "nonEditableAliases": { "type": "array", "items": { "type": "string" }, "description": "Read-only. A list of the group's non-editable alias email addresses that are outside of the account's primary domain or subdomains. These are functioning email addresses used by the group. This is a read-only property returned in the API's response for a group. If edited in a group's POST or PUT request, the edit is ignored by the API service." }, "aliases": { "items": { "type": "string" }, "description": "Read-only. A list of a group's alias email addresses.", "type": "array" }, "description": { "description": "An extended description to help users determine the purpose of a group. For example, you can include information about who should join the group, the types of messages to send to the group, links to FAQs about the group, or related groups. Maximum length is `4,096` characters.", "type": "string" }, "name": { "type": "string", "description": "The group's display name." }, "adminCreated": { "description": "Read-only. Value is `true` if this group was created by an administrator rather than a user.", "type": "boolean" }, "etag": { "description": "ETag of the resource.", "type": "string" }, "directMembersCount": { "description": "The number of users that are direct members of the group. If a group is a member (child) of this group (the parent), members of the child group are not counted in the `directMembersCount` property of the parent group.", "format": "int64", "type": "string" }, "kind": { "default": "admin#directory#group", "type": "string", "description": "The type of the API resource. For Groups resources, the value is `admin#directory#group`." }, "id": { "type": "string", "description": "Read-only. The unique ID of a group. A group `id` can be used as a group request URI's `groupKey`." } }, "type": "object" }, "UserExternalId": { "description": "JSON template for an externalId entry.", "properties": { "value": { "description": "The value of the id.", "type": "string" }, "type": { "type": "string", "description": "The type of the Id." }, "customType": { "type": "string", "description": "Custom type." } }, "type": "object", "id": "UserExternalId" }, "OrgUnits": { "id": "OrgUnits", "type": "object", "properties": { "etag": { "type": "string", "description": "ETag of the resource." }, "organizationUnits": { "type": "array", "items": { "$ref": "OrgUnit" }, "description": "List of organizational unit objects." }, "kind": { "default": "admin#directory#orgUnits", "description": "The type of the API resource. For Org Unit resources, the type is `admin#directory#orgUnits`.", "type": "string" } } }, "UserPhone": { "description": "JSON template for a phone entry.", "properties": { "primary": { "type": "boolean", "description": "If this is user's primary phone or not." }, "value": { "type": "string", "description": "Phone number." }, "type": { "type": "string", "description": "Each entry can have a type which indicates standard types of that entry. For example phone could be of home_fax work mobile etc. In addition to the standard type an entry can have a custom type and can give it any name. Such types should have the CUSTOM value as type and also have a customType value." }, "customType": { "type": "string", "description": "Custom Type." } }, "id": "UserPhone", "type": "object" }, "Schemas": { "id": "Schemas", "properties": { "kind": { "default": "admin#directory#schemas", "type": "string", "description": "Kind of resource this is." }, "etag": { "description": "ETag of the resource.", "type": "string" }, "schemas": { "items": { "$ref": "Schema" }, "type": "array", "description": "List of UserSchema objects." } }, "type": "object", "description": "JSON response template for List Schema operation in Directory API." }, "DirectoryChromeosdevicesIssueCommandRequest": { "description": "A request for issuing a command.", "type": "object", "properties": { "commandType": { "description": "The type of command.", "type": "string", "enum": [ "COMMAND_TYPE_UNSPECIFIED", "REBOOT", "TAKE_A_SCREENSHOT", "SET_VOLUME", "WIPE_USERS", "REMOTE_POWERWASH" ], "enumDescriptions": [ "The command type was unspecified.", "Reboot the device. Can only be issued to Kiosk and managed guest session devices.", "Take a screenshot of the device. Only available if the device is in Kiosk Mode.", "Set the volume of the device. Can only be issued to Kiosk and managed guest session devices.", "Wipe all the users off of the device. Executing this command in the device will remove all user profile data, but it will keep device policy and enrollment.", "Wipes the device by performing a power wash. Executing this command in the device will remove all data including user policies, device policies and enrollment policies. Warning: This will revert the device back to a factory state with no enrollment unless the device is subject to forced or auto enrollment. Use with caution, as this is an irreversible action!" ] }, "payload": { "description": "The payload for the command, provide it only if command supports it. The following commands support adding payload: - SET_VOLUME: Payload is a stringified JSON object in the form: { \"volume\": 50 }. The volume has to be an integer in the range [0,100].", "type": "string" } }, "id": "DirectoryChromeosdevicesIssueCommandRequest" }, "RoleAssignments": { "properties": { "etag": { "type": "string", "description": "ETag of the resource." }, "items": { "description": "A list of RoleAssignment resources.", "items": { "$ref": "RoleAssignment" }, "type": "array" }, "nextPageToken": { "type": "string" }, "kind": { "description": "The type of the API resource. This is always `admin#directory#roleAssignments`.", "default": "admin#directory#roleAssignments", "type": "string" } }, "id": "RoleAssignments", "type": "object" }, "UserAddress": { "type": "object", "description": "JSON template for address.", "id": "UserAddress", "properties": { "region": { "description": "Region.", "type": "string" }, "poBox": { "type": "string", "description": "Other parts of address." }, "extendedAddress": { "type": "string", "description": "Extended Address." }, "customType": { "type": "string", "description": "Custom type." }, "type": { "description": "Each entry can have a type which indicates standard values of that entry. For example address could be of home work etc. In addition to the standard type an entry can have a custom type and can take any value. Such type should have the CUSTOM value as type and also have a customType value.", "type": "string" }, "primary": { "type": "boolean", "description": "If this is user's primary address. Only one entry could be marked as primary." }, "streetAddress": { "description": "Street.", "type": "string" }, "sourceIsStructured": { "description": "User supplied address was structured. Structured addresses are NOT supported at this time. You might be able to write structured addresses but any values will eventually be clobbered.", "type": "boolean" }, "country": { "type": "string", "description": "Country." }, "locality": { "type": "string", "description": "Locality." }, "countryCode": { "description": "Country code.", "type": "string" }, "formatted": { "type": "string", "description": "Formatted address." }, "postalCode": { "type": "string", "description": "Postal code." } } }, "Aliases": { "description": "JSON response template to list aliases in Directory API.", "id": "Aliases", "type": "object", "properties": { "aliases": { "type": "array", "items": { "type": "any" } }, "kind": { "default": "admin#directory#aliases", "type": "string" }, "etag": { "type": "string" } } }, "Domains2": { "id": "Domains2", "properties": { "etag": { "type": "string", "description": "ETag of the resource." }, "kind": { "type": "string", "default": "admin#directory#domains", "description": "Kind of resource this is." }, "domains": { "items": { "$ref": "Domains" }, "description": "List of domain objects.", "type": "array" } }, "type": "object" }, "BuildingAddress": { "type": "object", "description": "Public API: Resources.buildings", "id": "BuildingAddress", "properties": { "languageCode": { "type": "string", "description": "Optional. BCP-47 language code of the contents of this address (if known)." }, "postalCode": { "type": "string", "description": "Optional. Postal code of the address." }, "sublocality": { "type": "string", "description": "Optional. Sublocality of the address." }, "regionCode": { "description": "Required. CLDR region code of the country/region of the address.", "type": "string" }, "administrativeArea": { "description": "Optional. Highest administrative subdivision which is used for postal addresses of a country or region.", "type": "string" }, "locality": { "description": "Optional. Generally refers to the city/town portion of the address. Examples: US city, IT comune, UK post town. In regions of the world where localities are not well defined or do not fit into this structure well, leave locality empty and use addressLines.", "type": "string" }, "addressLines": { "type": "array", "items": { "type": "string" }, "description": "Unstructured address lines describing the lower levels of an address." } } }, "DomainAlias": { "type": "object", "id": "DomainAlias", "properties": { "creationTime": { "type": "string", "description": "The creation time of the domain alias. (Read-only).", "format": "int64" }, "etag": { "description": "ETag of the resource.", "type": "string" }, "kind": { "description": "Kind of resource this is.", "type": "string", "default": "admin#directory#domainAlias" }, "parentDomainName": { "description": "The parent domain name that the domain alias is associated with. This can either be a primary or secondary domain name within a customer.", "annotations": { "required": [ "directory.domains.insert" ] }, "type": "string" }, "verified": { "type": "boolean", "description": "Indicates the verification state of a domain alias. (Read-only)" }, "domainAliasName": { "type": "string", "description": "The domain alias name." } } }, "DirectoryChromeosdevicesCommand": { "properties": { "commandResult": { "description": "The result of the command execution.", "$ref": "DirectoryChromeosdevicesCommandResult" }, "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "EXPIRED", "CANCELLED", "SENT_TO_CLIENT", "ACKED_BY_CLIENT", "EXECUTED_BY_CLIENT" ], "type": "string", "description": "Indicates the command state.", "enumDescriptions": [ "The command status was unspecified.", "An unexpired command not yet sent to the client.", "The command didn't get executed by the client within the expected time.", "The command is cancelled by admin while in PENDING.", "The command has been sent to the client.", "The client has responded that it received the command.", "The client has (un)successfully executed the command." ] }, "type": { "enumDescriptions": [ "The command type was unspecified.", "Reboot the device. Can only be issued to Kiosk and managed guest session devices.", "Take a screenshot of the device. Only available if the device is in Kiosk Mode.", "Set the volume of the device. Can only be issued to Kiosk and managed guest session devices.", "Wipe all the users off of the device. Executing this command in the device will remove all user profile data, but it will keep device policy and enrollment.", "Wipes the device by performing a power wash. Executing this command in the device will remove all data including user policies, device policies and enrollment policies. Warning: This will revert the device back to a factory state with no enrollment unless the device is subject to forced or auto enrollment. Use with caution, as this is an irreversible action!" ], "enum": [ "COMMAND_TYPE_UNSPECIFIED", "REBOOT", "TAKE_A_SCREENSHOT", "SET_VOLUME", "WIPE_USERS", "REMOTE_POWERWASH" ], "description": "The type of the command.", "type": "string" }, "commandExpireTime": { "type": "string", "description": "The time at which the command will expire. If the device doesn't execute the command within this time the command will become expired.", "format": "google-datetime" }, "commandId": { "type": "string", "format": "int64", "description": "Unique ID of a device command." }, "payload": { "type": "string", "description": "The payload that the command specified, if any." }, "issueTime": { "type": "string", "description": "The timestamp when the command was issued by the admin.", "format": "google-datetime" } }, "id": "DirectoryChromeosdevicesCommand", "type": "object", "description": "Information regarding a command that was issued to a device." }, "FeatureRename": { "type": "object", "properties": { "newName": { "type": "string", "description": "New name of the feature.", "annotations": { "required": [ "directory.resources.features.rename" ] } } }, "id": "FeatureRename" }, "Building": { "type": "object", "description": "Public API: Resources.buildings", "id": "Building", "properties": { "kind": { "default": "admin#directory#resources#buildings#Building", "description": "Kind of resource this is.", "type": "string" }, "address": { "description": "The postal address of the building. See [`PostalAddress`](/my-business/reference/rest/v4/PostalAddress) for details. Note that only a single address line and region code are required.", "$ref": "BuildingAddress" }, "description": { "type": "string", "description": "A brief description of the building. For example, \"Chelsea Market\"." }, "buildingName": { "description": "The building name as seen by users in Calendar. Must be unique for the customer. For example, \"NYC-CHEL\". The maximum length is 100 characters.", "type": "string" }, "etags": { "description": "ETag of the resource.", "type": "string" }, "floorNames": { "items": { "type": "string" }, "type": "array", "description": "The display names for all floors in this building. The floors are expected to be sorted in ascending order, from lowest floor to highest floor. For example, [\"B2\", \"B1\", \"L\", \"1\", \"2\", \"2M\", \"3\", \"PH\"] Must contain at least one entry." }, "buildingId": { "description": "Unique identifier for the building. The maximum length is 100 characters.", "type": "string" }, "coordinates": { "$ref": "BuildingCoordinates", "description": "The geographic coordinates of the center of the building, expressed as latitude and longitude in decimal degrees." } } }, "ChromeOsMoveDevicesToOu": { "properties": { "deviceIds": { "items": { "type": "string" }, "annotations": { "required": [ "directory.chromeosdevices.moveDevicesToOu" ] }, "type": "array", "description": "Chrome OS devices to be moved to OU" } }, "id": "ChromeOsMoveDevicesToOu", "type": "object" }, "UserPhoto": { "properties": { "height": { "type": "integer", "description": "Height of the photo in pixels.", "format": "int32" }, "width": { "description": "Width of the photo in pixels.", "type": "integer", "format": "int32" }, "kind": { "type": "string", "default": "admin#directory#user#photo", "description": "The type of the API resource. For Photo resources, this is `admin#directory#user#photo`." }, "photoData": { "type": "string", "annotations": { "required": [ "directory.users.photos.update" ] }, "description": "The user photo's upload data in [web-safe Base64](https://en.wikipedia.org/wiki/Base64#URL_applications) format in bytes. This means: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The slash (/) character is replaced with the underscore (_) character. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The plus sign (+) character is replaced with the hyphen (-) character. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The equals sign (=) character is replaced with the asterisk (*). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For padding, the period (.) character is used instead of the RFC-4648 baseURL definition which uses the equals sign (=) for padding. This is done to simplify URL-parsing. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Whatever the size of the photo being uploaded, the API downsizes it to 96x96 pixels.", "format": "byte" }, "primaryEmail": { "description": "The user's primary email address.", "type": "string" }, "mimeType": { "description": "The MIME type of the photo. Allowed values are `JPEG`, `PNG`, `GIF`, `BMP`, `TIFF`, and web-safe base64 encoding.", "type": "string" }, "id": { "description": "The ID the API uses to uniquely identify the user.", "type": "string" }, "etag": { "type": "string", "description": "ETag of the resource." } }, "type": "object", "id": "UserPhoto" }, "Groups": { "id": "Groups", "type": "object", "properties": { "etag": { "type": "string", "description": "ETag of the resource." }, "kind": { "description": "Kind of resource this is.", "default": "admin#directory#groups", "type": "string" }, "nextPageToken": { "description": "Token used to access next page of this result.", "type": "string" }, "groups": { "items": { "$ref": "Group" }, "type": "array", "description": "List of group objects." } } }, "MobileDevice": { "type": "object", "id": "MobileDevice", "description": "Google Workspace Mobile Management includes Android, [Google Sync](https://support.google.com/a/answer/135937), and iOS devices. For more information about common group mobile device API tasks, see the [Developer's Guide](/admin-sdk/directory/v1/guides/manage-mobile-devices.html).", "properties": { "type": { "type": "string", "description": "The type of mobile device." }, "bootloaderVersion": { "type": "string", "description": "Mobile Device Bootloader version (Read-only)" }, "wifiMacAddress": { "description": "The device's MAC address on Wi-Fi networks.", "type": "string" }, "name": { "type": "array", "description": "List of the owner's user names. If your application needs the current list of device owner names, use the [get](/admin-sdk/directory/v1/reference/mobiledevices/get.html) method. For more information about retrieving mobile device user information, see the [Developer's Guide](/admin-sdk/directory/v1/guides/manage-users#get_user).", "items": { "type": "string" } }, "applications": { "description": "The list of applications installed on an Android mobile device. It is not applicable to Google Sync and iOS devices. The list includes any Android applications that access Google Workspace data. When updating an applications list, it is important to note that updates replace the existing list. If the Android device has two existing applications and the API updates the list with five applications, the is now the updated list of five applications.", "items": { "properties": { "packageName": { "description": "The application's package name. An example is `com.android.browser`.", "type": "string" }, "versionName": { "type": "string", "description": "The application's version name. An example is `3.2-140714`." }, "versionCode": { "type": "integer", "format": "int32", "description": "The application's version code. An example is `13`." }, "permission": { "type": "array", "description": "The list of permissions of this application. These can be either a standard Android permission or one defined by the application, and are found in an application's [Android manifest](https://developer.android.com/guide/topics/manifest/uses-permission-element.html). Examples of a Calendar application's permissions are `READ_CALENDAR`, or `MANAGE_ACCOUNTS`.", "items": { "type": "string" } }, "displayName": { "description": "The application's display name. An example is `Browser`.", "type": "string" } }, "type": "object" }, "type": "array" }, "lastSync": { "format": "date-time", "description": "Date and time the device was last synchronized with the policy settings in the G Suite administrator control panel (Read-only)", "type": "string" }, "managedAccountIsOnOwnerProfile": { "type": "boolean", "description": "Boolean indicating if this account is on owner/primary profile or not." }, "hardware": { "type": "string", "description": "Mobile Device Hardware (Read-only)" }, "encryptionStatus": { "type": "string", "description": "Mobile Device Encryption Status (Read-only)" }, "meid": { "type": "string", "description": "The device's MEID number." }, "developerOptionsStatus": { "type": "boolean", "description": "Developer options enabled or disabled on device (Read-only)" }, "privilege": { "description": "DMAgentPermission (Read-only)", "type": "string" }, "supportsWorkProfile": { "type": "boolean", "description": "Work profile supported on device (Read-only)" }, "etag": { "type": "string", "description": "ETag of the resource." }, "networkOperator": { "description": "Mobile Device mobile or network operator (if available) (Read-only)", "type": "string" }, "os": { "type": "string", "description": "The mobile device's operating system, for example IOS 4.3 or Android 2.3.5. This property can be [updated](/admin-sdk/directory/v1/reference/mobiledevices/update.html). For more information, see the [Developer's Guide](/admin-sdk/directory/v1/guides/manage-mobile-devices#update_mobile_device)." }, "releaseVersion": { "description": "Mobile Device release version version (Read-only)", "type": "string" }, "manufacturer": { "type": "string", "description": "Mobile Device manufacturer (Read-only)" }, "unknownSourcesStatus": { "type": "boolean", "description": "Unknown sources enabled or disabled on device (Read-only)" }, "resourceId": { "description": "The unique ID the API service uses to identify the mobile device.", "type": "string" }, "kernelVersion": { "type": "string", "description": "The device's kernel version." }, "otherAccountsInfo": { "description": "List of accounts added on device (Read-only)", "items": { "type": "string" }, "type": "array" }, "hardwareId": { "type": "string", "description": "The IMEI/MEID unique identifier for Android hardware. It is not applicable to Google Sync devices. When adding an Android mobile device, this is an optional property. When updating one of these devices, this is a read-only property." }, "basebandVersion": { "type": "string", "description": "The device's baseband version." }, "brand": { "type": "string", "description": "Mobile Device Brand (Read-only)" }, "adbStatus": { "description": "Adb (USB debugging) enabled or disabled on device (Read-only)", "type": "boolean" }, "defaultLanguage": { "description": "The default locale used on the device.", "type": "string" }, "kind": { "description": "The type of the API resource. For Mobiledevices resources, the value is `admin#directory#mobiledevice`.", "type": "string", "default": "admin#directory#mobiledevice" }, "imei": { "type": "string", "description": "The device's IMEI number." }, "deviceCompromisedStatus": { "type": "string", "description": "The compromised device status." }, "firstSync": { "type": "string", "format": "date-time", "description": "Date and time the device was first synchronized with the policy settings in the G Suite administrator control panel (Read-only)" }, "devicePasswordStatus": { "type": "string", "description": "DevicePasswordStatus (Read-only)" }, "deviceId": { "description": "The serial number for a Google Sync mobile device. For Android and iOS devices, this is a software generated unique identifier.", "type": "string" }, "status": { "description": "The device's status.", "type": "string" }, "email": { "type": "array", "items": { "type": "string" }, "description": "List of owner's email addresses. If your application needs the current list of user emails, use the [get](/admin-sdk/directory/v1/reference/mobiledevices/get.html) method. For additional information, see the [retrieve a user](/admin-sdk/directory/v1/guides/manage-users#get_user) method." }, "model": { "type": "string", "description": "The mobile device's model name, for example Nexus S. This property can be [updated](/admin-sdk/directory/v1/reference/mobiledevices/update.html). For more information, see the [Developer's Guide](/admin-sdk/directory/v1/guides/manage-mobile=devices#update_mobile_device)." }, "securityPatchLevel": { "format": "int64", "description": "Mobile Device Security patch level (Read-only)", "type": "string" }, "buildNumber": { "description": "The device's operating system build number.", "type": "string" }, "serialNumber": { "type": "string", "description": "The device's serial number." }, "userAgent": { "type": "string", "description": "Gives information about the device such as `os` version. This property can be [updated](/admin-sdk/directory/v1/reference/mobiledevices/update.html). For more information, see the [Developer's Guide](/admin-sdk/directory/v1/guides/manage-mobile-devices#update_mobile_device)." } } }, "CalendarResources": { "id": "CalendarResources", "description": "Public API: Resources.calendars", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results." }, "kind": { "description": "Identifies this as a collection of CalendarResources. This is always `admin#directory#resources#calendars#calendarResourcesList`.", "default": "admin#directory#resources#calendars#calendarResourcesList", "type": "string" }, "items": { "items": { "$ref": "CalendarResource" }, "type": "array", "description": "The CalendarResources in this page of results." }, "etag": { "type": "string", "description": "ETag of the resource." } } }, "UserPosixAccount": { "id": "UserPosixAccount", "type": "object", "properties": { "shell": { "description": "The path to the login shell for this account.", "type": "string" }, "systemId": { "description": "System identifier for which account Username or Uid apply to.", "type": "string" }, "username": { "type": "string", "description": "The username of the account." }, "uid": { "description": "The POSIX compliant user ID.", "format": "uint64", "type": "string" }, "operatingSystemType": { "description": "The operating system type for this account.", "type": "string" }, "primary": { "description": "If this is user's primary account within the SystemId.", "type": "boolean" }, "accountId": { "description": "A POSIX account field identifier.", "type": "string" }, "gid": { "description": "The default group ID.", "type": "string", "format": "uint64" }, "homeDirectory": { "type": "string", "description": "The path to the home directory for this account." }, "gecos": { "description": "The GECOS (user information) for this account.", "type": "string" } }, "description": "JSON template for a POSIX account entry." }, "UserKeyword": { "id": "UserKeyword", "properties": { "customType": { "description": "Custom Type.", "type": "string" }, "value": { "type": "string", "description": "Keyword." }, "type": { "description": "Each entry can have a type which indicates standard type of that entry. For example keyword could be of type occupation or outlook. In addition to the standard type an entry can have a custom type and can give it any name. Such types should have the CUSTOM value as type and also have a customType value.", "type": "string" } }, "type": "object", "description": "JSON template for a keyword entry." }, "UserCustomProperties": { "id": "UserCustomProperties", "type": "object", "description": "JSON template for a set of custom properties (i.e. all fields in a particular schema)", "additionalProperties": { "type": "any" } }, "UserLanguage": { "id": "UserLanguage", "properties": { "languageCode": { "type": "string", "description": "ISO 639 string representation of a language. See [Language Codes](/admin-sdk/directory/v1/languages) for the list of supported codes. Valid language codes outside the supported set will be accepted by the API but may lead to unexpected behavior. Illegal values cause `SchemaException`. If this is set, `customLanguage` can't be set." }, "preference": { "type": "string", "description": "Optional. If present, controls whether the specified `languageCode` is the user's preferred language. If `customLanguage` is set, this can't be set. Allowed values are `preferred` and `not_preferred`." }, "customLanguage": { "description": "Other language. User can provide their own language name if there is no corresponding ISO 639 language code. If this is set, `languageCode` can't be set.", "type": "string" } }, "type": "object", "description": "JSON template for a language entry." }, "UserIm": { "properties": { "customProtocol": { "type": "string", "description": "Custom protocol." }, "protocol": { "type": "string", "description": "Protocol used in the instant messenger. It should be one of the values from ImProtocolTypes map. Similar to type it can take a CUSTOM value and specify the custom name in customProtocol field." }, "customType": { "type": "string", "description": "Custom type." }, "type": { "type": "string", "description": "Each entry can have a type which indicates standard types of that entry. For example instant messengers could be of home work etc. In addition to the standard type an entry can have a custom type and can take any value. Such types should have the CUSTOM value as type and also have a customType value." }, "primary": { "type": "boolean", "description": "If this is user's primary im. Only one entry could be marked as primary." }, "im": { "type": "string", "description": "Instant messenger id." } }, "description": "JSON template for instant messenger of an user.", "id": "UserIm", "type": "object" }, "UserRelation": { "type": "object", "description": "JSON template for a relation entry.", "properties": { "type": { "description": "The relation of the user. Some of the possible values are mother father sister brother manager assistant partner.", "type": "string" }, "customType": { "description": "Custom Type.", "type": "string" }, "value": { "description": "The name of the relation.", "type": "string" } }, "id": "UserRelation" }, "MobileDevices": { "type": "object", "id": "MobileDevices", "properties": { "kind": { "default": "admin#directory#mobiledevices", "type": "string", "description": "Kind of resource this is." }, "etag": { "type": "string", "description": "ETag of the resource." }, "nextPageToken": { "description": "Token used to access next page of this result.", "type": "string" }, "mobiledevices": { "items": { "$ref": "MobileDevice" }, "type": "array", "description": "List of Mobile Device objects." } } }, "DirectoryChromeosdevicesIssueCommandResponse": { "properties": { "commandId": { "type": "string", "format": "int64", "description": "The unique ID of the issued command, used to retrieve the command status." } }, "description": "A response for issuing a command.", "id": "DirectoryChromeosdevicesIssueCommandResponse", "type": "object" }, "AuxiliaryMessage": { "properties": { "severity": { "enumDescriptions": [ "Message type unspecified.", "Message of severity: info.", "Message of severity: warning.", "Message of severity: error." ], "type": "string", "enum": [ "SEVERITY_UNSPECIFIED", "SEVERITY_INFO", "SEVERITY_WARNING", "SEVERITY_ERROR" ], "description": "Message severity" }, "fieldMask": { "type": "string", "format": "google-fieldmask", "description": "Field that this message concerns." }, "auxiliaryMessage": { "type": "string", "description": "Human readable message in English. Example: \"Given printer is invalid or no longer supported.\"" } }, "type": "object", "id": "AuxiliaryMessage", "description": "Auxiliary message about issues with printers or settings. Example: {message_type:AUXILIARY_MESSAGE_WARNING, field_mask:make_and_model, message:\"Given printer is invalid or no longer supported.\"}" }, "FailureInfo": { "type": "object", "description": "Info about failures", "id": "FailureInfo", "properties": { "printer": { "description": "Failed printer.", "$ref": "Printer" }, "errorMessage": { "type": "string", "description": "Failure reason message." }, "errorCode": { "enum": [ "OK", "CANCELLED", "UNKNOWN", "INVALID_ARGUMENT", "DEADLINE_EXCEEDED", "NOT_FOUND", "ALREADY_EXISTS", "PERMISSION_DENIED", "UNAUTHENTICATED", "RESOURCE_EXHAUSTED", "FAILED_PRECONDITION", "ABORTED", "OUT_OF_RANGE", "UNIMPLEMENTED", "INTERNAL", "UNAVAILABLE", "DATA_LOSS" ], "enumDescriptions": [ "Not an error; returned on success HTTP Mapping: 200 OK", "The operation was cancelled, typically by the caller. HTTP Mapping: 499 Client Closed Request", "Unknown error. For example, this error may be returned when a `Status` value received from another address space belongs to an error space that is not known in this address space. Also errors raised by APIs that do not return enough error information may be converted to this error. HTTP Mapping: 500 Internal Server Error", "The client specified an invalid argument. Note that this differs from `FAILED_PRECONDITION`. `INVALID_ARGUMENT` indicates arguments that are problematic regardless of the state of the system (e.g., a malformed file name). HTTP Mapping: 400 Bad Request", "The deadline expired before the operation could complete. For operations that change the state of the system, this error may be returned even if the operation has completed successfully. For example, a successful response from a server could have been delayed long enough for the deadline to expire. HTTP Mapping: 504 Gateway Timeout", "Some requested entity (e.g., file or directory) was not found. Note to server developers: if a request is denied for an entire class of users, such as gradual feature rollout or undocumented allowlist, `NOT_FOUND` may be used. If a request is denied for some users within a class of users, such as user-based access control, `PERMISSION_DENIED` must be used. HTTP Mapping: 404 Not Found", "The entity that a client attempted to create (e.g., file or directory) already exists. HTTP Mapping: 409 Conflict", "The caller does not have permission to execute the specified operation. `PERMISSION_DENIED` must not be used for rejections caused by exhausting some resource (use `RESOURCE_EXHAUSTED` instead for those errors). `PERMISSION_DENIED` must not be used if the caller can not be identified (use `UNAUTHENTICATED` instead for those errors). This error code does not imply the request is valid or the requested entity exists or satisfies other pre-conditions. HTTP Mapping: 403 Forbidden", "The request does not have valid authentication credentials for the operation. HTTP Mapping: 401 Unauthorized", "Some resource has been exhausted, perhaps a per-user quota, or perhaps the entire file system is out of space. HTTP Mapping: 429 Too Many Requests", "The operation was rejected because the system is not in a state required for the operation's execution. For example, the directory to be deleted is non-empty, an rmdir operation is applied to a non-directory, etc. Service implementors can use the following guidelines to decide between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`: (a) Use `UNAVAILABLE` if the client can retry just the failing call. (b) Use `ABORTED` if the client should retry at a higher level. For example, when a client-specified test-and-set fails, indicating the client should restart a read-modify-write sequence. (c) Use `FAILED_PRECONDITION` if the client should not retry until the system state has been explicitly fixed. For example, if an \"rmdir\" fails because the directory is non-empty, `FAILED_PRECONDITION` should be returned since the client should not retry unless the files are deleted from the directory. HTTP Mapping: 400 Bad Request", "The operation was aborted, typically due to a concurrency issue such as a sequencer check failure or transaction abort. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 409 Conflict", "The operation was attempted past the valid range. E.g., seeking or reading past end-of-file. Unlike `INVALID_ARGUMENT`, this error indicates a problem that may be fixed if the system state changes. For example, a 32-bit file system will generate `INVALID_ARGUMENT` if asked to read at an offset that is not in the range [0,2^32-1], but it will generate `OUT_OF_RANGE` if asked to read from an offset past the current file size. There is a fair bit of overlap between `FAILED_PRECONDITION` and `OUT_OF_RANGE`. We recommend using `OUT_OF_RANGE` (the more specific error) when it applies so that callers who are iterating through a space can easily look for an `OUT_OF_RANGE` error to detect when they are done. HTTP Mapping: 400 Bad Request", "The operation is not implemented or is not supported/enabled in this service. HTTP Mapping: 501 Not Implemented", "Internal errors. This means that some invariants expected by the underlying system have been broken. This error code is reserved for serious errors. HTTP Mapping: 500 Internal Server Error", "The service is currently unavailable. This is most likely a transient condition, which can be corrected by retrying with a backoff. Note that it is not always safe to retry non-idempotent operations. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 503 Service Unavailable", "Unrecoverable data loss or corruption. HTTP Mapping: 500 Internal Server Error" ], "type": "string", "description": "Canonical code for why the update failed to apply." }, "printerId": { "description": "Id of a failed printer.", "type": "string" } } }, "BatchCreatePrintersResponse": { "type": "object", "id": "BatchCreatePrintersResponse", "description": "Response for adding new printers in batch.", "properties": { "printers": { "description": "A list of successfully created printers with their IDs populated.", "type": "array", "items": { "$ref": "Printer" } }, "failures": { "items": { "$ref": "FailureInfo" }, "description": "A list of create failures. Printer IDs are not populated, as printer were not created.", "type": "array" } } }, "Schema": { "id": "Schema", "description": "The type of API resource. For Schema resources, this is always `admin#directory#schema`.", "type": "object", "properties": { "fields": { "description": "A list of fields in the schema.", "type": "array", "annotations": { "required": [ "directory.schemas.insert", "directory.schemas.update" ] }, "items": { "$ref": "SchemaFieldSpec" } }, "kind": { "default": "admin#directory#schema", "type": "string", "description": "Kind of resource this is." }, "schemaName": { "annotations": { "required": [ "directory.schemas.insert" ] }, "description": "The schema's name. Each `schema_name` must be unique within a customer. Reusing a name results in a `409: Entity already exists` error.", "type": "string" }, "displayName": { "description": "Display name for the schema.", "type": "string", "annotations": { "required": [ "directory.schemas.insert" ] } }, "etag": { "type": "string", "description": "The ETag of the resource." }, "schemaId": { "type": "string", "description": "The unique identifier of the schema (Read-only)" } } }, "DirectoryChromeosdevicesCommandResult": { "properties": { "errorMessage": { "description": "The error message with a short explanation as to why the command failed. Only present if the command failed.", "type": "string" }, "result": { "type": "string", "description": "The result of the command.", "enum": [ "COMMAND_RESULT_TYPE_UNSPECIFIED", "IGNORED", "FAILURE", "SUCCESS" ], "enumDescriptions": [ "The command result was unspecified.", "The command was ignored as obsolete.", "The command could not be executed successfully.", "The command was successfully executed." ] }, "executeTime": { "description": "The time at which the command was executed or failed to execute.", "format": "google-datetime", "type": "string" } }, "description": "The result of executing a command.", "id": "DirectoryChromeosdevicesCommandResult", "type": "object" }, "ChromeOsDevice": { "id": "ChromeOsDevice", "type": "object", "properties": { "cpuInfo": { "items": { "properties": { "model": { "description": "The CPU model name.", "type": "string" }, "maxClockSpeedKhz": { "description": "The max CPU clock speed in kHz.", "format": "int32", "type": "integer" }, "architecture": { "type": "string", "description": "The CPU architecture." }, "logicalCpus": { "description": "Information for the Logical CPUs", "type": "array", "items": { "properties": { "idleDuration": { "format": "google-duration", "description": "Idle time since last boot.", "type": "string" }, "maxScalingFrequencyKhz": { "description": "Maximum frequency the CPU is allowed to run at, by policy.", "format": "int32", "type": "integer" }, "currentScalingFrequencyKhz": { "type": "integer", "format": "int32", "description": "Current frequency the CPU is running at." }, "cStates": { "description": "C-States indicate the power consumption state of the CPU. For more information look at documentation published by the CPU maker.", "type": "array", "items": { "properties": { "sessionDuration": { "description": "Time spent in the state since the last reboot.", "type": "string", "format": "google-duration" }, "displayName": { "description": "Name of the state.", "type": "string" } }, "type": "object", "description": "Status of a single C-state. C-states are various modes the CPU can transition to in order to use more or less power." } } }, "type": "object", "description": "Status of a single logical CPU." } } }, "description": "CPU specs for a CPU.", "type": "object" }, "type": "array", "description": "Information regarding CPU specs in the device." }, "dockMacAddress": { "type": "string", "description": "(Read-only) Built-in MAC address for the docking station that the device connected to. Factory sets Media access control address (MAC address) assigned for use by a dock. It is reserved specifically for MAC pass through device policy. The format is twelve (12) hexadecimal digits without any delimiter (uppercase letters). This is only relevant for some devices." }, "status": { "description": "The status of the device.", "type": "string" }, "cpuStatusReports": { "type": "array", "description": "Reports of CPU utilization and temperature (Read-only)", "items": { "properties": { "cpuUtilizationPercentageInfo": { "items": { "format": "int32", "type": "integer" }, "type": "array" }, "reportTime": { "format": "date-time", "type": "string", "description": "Date and time the report was received." }, "cpuTemperatureInfo": { "items": { "type": "object", "properties": { "label": { "description": "CPU label", "type": "string" }, "temperature": { "format": "int32", "description": "Temperature in Celsius degrees.", "type": "integer" } } }, "description": "List of CPU temperature samples.", "type": "array" } }, "type": "object" } }, "activeTimeRanges": { "description": "List of active time ranges (Read-only).", "items": { "type": "object", "properties": { "activeTime": { "format": "int32", "type": "integer", "description": "Duration of usage in milliseconds." }, "date": { "format": "date", "description": "Date of usage", "type": "string" } } }, "type": "array" }, "autoUpdateExpiration": { "format": "int64", "description": "(Read-only) The timestamp after which the device will stop receiving Chrome updates or support", "type": "string" }, "screenshotFiles": { "items": { "type": "object", "properties": { "createTime": { "format": "date-time", "type": "string", "description": "Date and time the file was created" }, "name": { "description": "File name", "type": "string" }, "downloadUrl": { "type": "string", "description": "File download URL" }, "type": { "type": "string", "description": "File type" } } }, "type": "array", "description": "List of screenshot files to download. Type is always \"SCREENSHOT_FILE\". (Read-only)" }, "annotatedLocation": { "type": "string", "description": "The address or location of the device as noted by the administrator. Maximum length is `200` characters. Empty values are allowed." }, "ethernetMacAddress0": { "type": "string", "description": "(Read-only) MAC address used by the Chromebook’s internal ethernet port, and for onboard network (ethernet) interface. The format is twelve (12) hexadecimal digits without any delimiter (uppercase letters). This is only relevant for some devices." }, "deviceId": { "type": "string", "description": "The unique ID of the Chrome device." }, "systemRamTotal": { "description": "Total RAM on the device [in bytes] (Read-only)", "format": "int64", "type": "string" }, "notes": { "description": "Notes about this device added by the administrator. This property can be [searched](https://support.google.com/chrome/a/answer/1698333) with the [list](/admin-sdk/directory/v1/reference/chromeosdevices/list) method's `query` parameter. Maximum length is 500 characters. Empty values are allowed.", "type": "string" }, "willAutoRenew": { "description": "Determines if the device will auto renew its support after the support end date. This is a read-only property.", "type": "boolean" }, "model": { "description": "The device's model information. If the device does not have this information, this property is not included in the response.", "type": "string" }, "tpmVersionInfo": { "properties": { "tpmModel": { "description": "TPM model number.", "type": "string" }, "vendorSpecific": { "description": "Vendor-specific information such as Vendor ID.", "type": "string" }, "manufacturer": { "type": "string", "description": "TPM manufacturer code." }, "family": { "type": "string", "description": "TPM family. We use the TPM 2.0 style encoding, e.g.: TPM 1.2: \"1.2\" -\u003e 312e3200 TPM 2.0: \"2.0\" -\u003e 322e3000" }, "firmwareVersion": { "description": "TPM firmware version.", "type": "string" }, "specLevel": { "type": "string", "description": "TPM specification level. See Library Specification for TPM 2.0 and Main Specification for TPM 1.2." } }, "description": "Trusted Platform Module (TPM) (Read-only)", "type": "object" }, "annotatedAssetId": { "type": "string", "description": "The asset identifier as noted by an administrator or specified during enrollment." }, "platformVersion": { "type": "string", "description": "The Chrome device's platform version." }, "deviceFiles": { "items": { "properties": { "createTime": { "format": "date-time", "description": "Date and time the file was created", "type": "string" }, "downloadUrl": { "description": "File download URL", "type": "string" }, "name": { "description": "File name", "type": "string" }, "type": { "type": "string", "description": "File type" } }, "type": "object" }, "description": "List of device files to download (Read-only)", "type": "array" }, "annotatedUser": { "description": "The user of the device as noted by the administrator. Maximum length is 100 characters. Empty values are allowed.", "type": "string" }, "osVersion": { "description": "The Chrome device's operating system version.", "type": "string" }, "ethernetMacAddress": { "description": "The device's MAC address on the ethernet network interface.", "type": "string" }, "firmwareVersion": { "type": "string", "description": "The Chrome device's firmware version." }, "macAddress": { "type": "string", "description": "The device's wireless MAC address. If the device does not have this information, it is not included in the response." }, "lastKnownNetwork": { "description": "Contains last known network (Read-only)", "type": "array", "items": { "description": "Information for an ip address.", "type": "object", "properties": { "wanIpAddress": { "type": "string", "description": "The WAN IP address." }, "ipAddress": { "description": "The IP address.", "type": "string" } } } }, "orgUnitPath": { "description": "The full parent path with the organizational unit's name associated with the device. Path names are case insensitive. If the parent organizational unit is the top-level organization, it is represented as a forward slash, `/`. This property can be [updated](/admin-sdk/directory/v1/guides/manage-chrome-devices#move_chrome_devices_to_ou) using the API. For more information about how to create an organizational structure for your device, see the [administration help center](https://support.google.com/a/answer/182433).", "type": "string" }, "manufactureDate": { "description": "(Read-only) The date the device was manufactured in yyyy-mm-dd format.", "type": "string" }, "diskVolumeReports": { "type": "array", "items": { "properties": { "volumeInfo": { "type": "array", "items": { "type": "object", "properties": { "storageFree": { "description": "Free disk space [in bytes]", "type": "string", "format": "int64" }, "volumeId": { "type": "string", "description": "Volume id" }, "storageTotal": { "type": "string", "description": "Total disk space [in bytes]", "format": "int64" } } }, "description": "Disk volumes" } }, "type": "object" }, "description": "Reports of disk space and other info about mounted/connected volumes." }, "orgUnitId": { "description": "The unique ID of the organizational unit. orgUnitPath is the human readable version of orgUnitId. While orgUnitPath may change by renaming an organizational unit within the path, orgUnitId is unchangeable for one organizational unit. This property can be [updated](/admin-sdk/directory/v1/guides/manage-chrome-devices#move_chrome_devices_to_ou) using the API. For more information about how to create an organizational structure for your device, see the [administration help center](https://support.google.com/a/answer/182433).", "type": "string" }, "systemRamFreeReports": { "description": "Reports of amounts of available RAM memory (Read-only)", "items": { "type": "object", "properties": { "systemRamFreeInfo": { "items": { "format": "int64", "type": "string" }, "type": "array" }, "reportTime": { "description": "Date and time the report was received.", "type": "string", "format": "date-time" } } }, "type": "array" }, "recentUsers": { "type": "array", "description": "List of recent device users, in descending order, by last login time.", "items": { "properties": { "email": { "description": "The user's email address. This is only present if the user type is `USER_TYPE_MANAGED`.", "type": "string" }, "type": { "description": "The type of the user.", "type": "string" } }, "type": "object", "description": "List of recent device users, in descending order, by last login time." } }, "meid": { "type": "string", "description": "The Mobile Equipment Identifier (MEID) or the International Mobile Equipment Identity (IMEI) for the 3G mobile card in a mobile device. A MEID/IMEI is typically used when adding a device to a wireless carrier's post-pay service plan. If the device does not have this information, this property is not included in the response. For more information on how to export a MEID/IMEI list, see the [Developer's Guide](/admin-sdk/directory/v1/guides/manage-chrome-devices.html#export_meid)." }, "supportEndDate": { "description": "Final date the device will be supported (Read-only)", "type": "string", "format": "date-time" }, "orderNumber": { "description": "The device's order number. Only devices directly purchased from Google have an order number.", "type": "string" }, "lastEnrollmentTime": { "type": "string", "description": "Date and time the device was last enrolled (Read-only)", "format": "date-time" }, "bootMode": { "type": "string", "description": "The boot mode for the device. The possible values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Verified`: The device is running a valid version of the Chrome OS. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Dev`: The devices's developer hardware switch is enabled. When booted, the device has a command line shell. For an example of a developer switch, see the [Chromebook developer information](https://www.chromium.org/chromium-os/developer-information-for-chrome-os-devices/samsung-series-5-chromebook#TOC-Developer-switch)." }, "serialNumber": { "type": "string", "description": "The Chrome device serial number entered when the device was enabled. This value is the same as the Admin console's *Serial Number* in the *Chrome OS Devices* tab." }, "etag": { "description": "ETag of the resource.", "type": "string" }, "lastSync": { "format": "date-time", "description": "Date and time the device was last synchronized with the policy settings in the G Suite administrator control panel (Read-only)", "type": "string" }, "kind": { "default": "admin#directory#chromeosdevice", "type": "string", "description": "The type of resource. For the Chromeosdevices resource, the value is `admin#directory#chromeosdevice`." } }, "description": "Google Chrome devices run on the [Chrome OS](https://support.google.com/chromeos). For more information about common API tasks, see the [Developer's Guide](/admin-sdk/directory/v1/guides/manage-chrome-devices)." }, "FeatureInstance": { "type": "object", "properties": { "feature": { "$ref": "Feature", "description": "The feature that this is an instance of. A calendar resource may have multiple instances of a feature." } }, "description": "JSON template for a feature instance.", "id": "FeatureInstance" }, "Asps": { "type": "object", "properties": { "etag": { "description": "ETag of the resource.", "type": "string" }, "kind": { "description": "The type of the API resource. This is always `admin#directory#aspList`.", "default": "admin#directory#aspList", "type": "string" }, "items": { "type": "array", "description": "A list of ASP resources.", "items": { "$ref": "Asp" } } }, "id": "Asps" }, "Token": { "properties": { "nativeApp": { "description": "Whether the token is issued to an installed application. The value is `true` if the application is installed to a desktop or mobile device.", "type": "boolean" }, "etag": { "description": "ETag of the resource.", "type": "string" }, "anonymous": { "type": "boolean", "description": "Whether the application is registered with Google. The value is `true` if the application has an anonymous Client ID." }, "displayText": { "type": "string", "description": "The displayable name of the application the token is issued to." }, "scopes": { "description": "A list of authorization scopes the application is granted.", "items": { "type": "string" }, "type": "array" }, "userKey": { "description": "The unique ID of the user that issued the token.", "type": "string" }, "kind": { "type": "string", "description": "The type of the API resource. This is always `admin#directory#token`.", "default": "admin#directory#token" }, "clientId": { "type": "string", "description": "The Client ID of the application the token is issued to." } }, "id": "Token", "type": "object", "description": "JSON template for token resource in Directory API." }, "Channel": { "id": "Channel", "properties": { "resourceUri": { "description": "A version-specific identifier for the watched resource.", "type": "string" }, "expiration": { "type": "string", "format": "int64", "description": "Date and time of notification channel expiration, expressed as a Unix timestamp, in milliseconds. Optional." }, "id": { "description": "A UUID or similar unique string that identifies this channel.", "type": "string" }, "payload": { "description": "A Boolean value to indicate whether payload is wanted. Optional.", "type": "boolean" }, "type": { "type": "string", "description": "The type of delivery mechanism used for this channel." }, "resourceId": { "description": "An opaque ID that identifies the resource being watched on this channel. Stable across different API versions.", "type": "string" }, "token": { "type": "string", "description": "An arbitrary string delivered to the target address with each notification delivered over this channel. Optional." }, "params": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Additional parameters controlling delivery channel behavior. Optional." }, "kind": { "description": "Identifies this as a notification channel used to watch for changes to a resource, which is `api#channel`.", "default": "api#channel", "type": "string" }, "address": { "description": "The address where notifications are delivered for this channel.", "type": "string" } }, "type": "object", "description": "An notification channel used to watch for resource changes." }, "BatchCreatePrintersRequest": { "description": "Request for adding new printers in batch.", "properties": { "requests": { "type": "array", "items": { "$ref": "CreatePrinterRequest" }, "description": "A list of Printers to be created. Max 50 at a time." } }, "type": "object", "id": "BatchCreatePrintersRequest" }, "UserEmail": { "properties": { "primary": { "description": "If this is user's primary email. Only one entry could be marked as primary.", "type": "boolean" }, "type": { "type": "string", "description": "Each entry can have a type which indicates standard types of that entry. For example email could be of home, work etc. In addition to the standard type, an entry can have a custom type and can take any value Such types should have the CUSTOM value as type and also have a customType value." }, "address": { "description": "Email id of the user.", "type": "string" }, "customType": { "type": "string", "description": "Custom Type." } }, "type": "object", "id": "UserEmail", "description": "JSON template for an email." }, "VerificationCodes": { "type": "object", "id": "VerificationCodes", "properties": { "kind": { "default": "admin#directory#verificationCodesList", "type": "string", "description": "The type of the resource. This is always `admin#directory#verificationCodesList`." }, "items": { "description": "A list of verification code resources.", "type": "array", "items": { "$ref": "VerificationCode" } }, "etag": { "type": "string", "description": "ETag of the resource." } }, "description": "JSON response template for List verification codes operation in Directory API." }, "Roles": { "type": "object", "id": "Roles", "properties": { "items": { "type": "array", "items": { "$ref": "Role" }, "description": "A list of Role resources." }, "etag": { "description": "ETag of the resource.", "type": "string" }, "kind": { "description": "The type of the API resource. This is always `admin#directory#roles`.", "default": "admin#directory#roles", "type": "string" }, "nextPageToken": { "type": "string" } } }, "Printer": { "properties": { "id": { "type": "string", "description": "Id of the printer. (During printer creation leave empty)" }, "makeAndModel": { "description": "Editable. Make and model of printer. e.g. Lexmark MS610de Value must be in format as seen in ListPrinterModels response.", "type": "string" }, "uri": { "type": "string", "description": "Editable. Printer URI." }, "name": { "type": "string", "description": "The resource name of the Printer object, in the format customers/{customer-id}/printers/{printer-id} (During printer creation leave empty)" }, "orgUnitId": { "type": "string", "description": "Organization Unit that owns this printer (Only can be set during Printer creation)" }, "displayName": { "description": "Editable. Name of printer.", "type": "string" }, "description": { "type": "string", "description": "Editable. Description of printer." }, "useDriverlessConfig": { "description": "Editable. flag to use driverless configuration or not. If it's set to be true, make_and_model can be ignored", "type": "boolean" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. Time when printer was created.", "readOnly": true }, "auxiliaryMessages": { "type": "array", "description": "Output only. Auxiliary messages about issues with the printer configuration if any.", "readOnly": true, "items": { "$ref": "AuxiliaryMessage" } } }, "description": "Printer configuration.", "type": "object", "id": "Printer" }, "MobileDeviceAction": { "type": "object", "properties": { "action": { "type": "string", "annotations": { "required": [ "directory.mobiledevices.action" ] }, "description": "The action to be performed on the device." } }, "id": "MobileDeviceAction" }, "UserGender": { "properties": { "addressMeAs": { "description": "AddressMeAs. A human-readable string containing the proper way to refer to the profile owner by humans for example he/him/his or they/them/their.", "type": "string" }, "customGender": { "description": "Custom gender.", "type": "string" }, "type": { "type": "string", "description": "Gender." } }, "type": "object", "id": "UserGender" }, "UserMakeAdmin": { "id": "UserMakeAdmin", "type": "object", "properties": { "status": { "type": "boolean", "description": "Indicates the administrator status of the user.", "annotations": { "required": [ "directory.users.makeAdmin" ] } } } }, "Customer": { "id": "Customer", "type": "object", "properties": { "postalAddress": { "description": "The customer's postal address information.", "$ref": "CustomerPostalAddress" }, "phoneNumber": { "type": "string", "description": "The customer's contact phone number in [E.164](https://en.wikipedia.org/wiki/E.164) format." }, "customerCreationTime": { "description": "The customer's creation time (Readonly)", "type": "string", "format": "date-time" }, "alternateEmail": { "description": "The customer's secondary contact email address. This email address cannot be on the same domain as the `customerDomain`", "type": "string" }, "id": { "type": "string", "description": "The unique ID for the customer's Google Workspace account. (Readonly)" }, "language": { "type": "string", "description": "The customer's ISO 639-2 language code. See the [Language Codes](/admin-sdk/directory/v1/languages) page for the list of supported codes. Valid language codes outside the supported set will be accepted by the API but may lead to unexpected behavior. The default value is `en`." }, "kind": { "type": "string", "description": "Identifies the resource as a customer. Value: `admin#directory#customer`", "default": "admin#directory#customer" }, "etag": { "description": "ETag of the resource.", "type": "string" }, "customerDomain": { "description": "The customer's primary domain name string. Do not include the `www` prefix when creating a new customer.", "type": "string" } } }, "CustomerPostalAddress": { "type": "object", "properties": { "addressLine3": { "description": "Address line 3 of the address.", "type": "string" }, "organizationName": { "type": "string", "description": "The company or company division name." }, "contactName": { "description": "The customer contact's name.", "type": "string" }, "addressLine2": { "description": "Address line 2 of the address.", "type": "string" }, "postalCode": { "type": "string", "description": "The postal code. A postalCode example is a postal zip code such as `10009`. This is in accordance with - http: //portablecontacts.net/draft-spec.html#address_element." }, "addressLine1": { "type": "string", "description": "A customer's physical address. The address can be composed of one to three lines." }, "locality": { "description": "Name of the locality. An example of a locality value is the city of `San Francisco`.", "type": "string" }, "countryCode": { "description": "This is a required property. For `countryCode` information see the [ISO 3166 country code elements](https://www.iso.org/iso/country_codes.htm).", "type": "string" }, "region": { "type": "string", "description": "Name of the region. An example of a region value is `NY` for the state of New York." } }, "id": "CustomerPostalAddress" }, "Member": { "type": "object", "properties": { "kind": { "description": "The type of the API resource. For Members resources, the value is `admin#directory#member`.", "default": "admin#directory#member", "type": "string" }, "id": { "type": "string", "description": "The unique ID of the group member. A member `id` can be used as a member request URI's `memberKey`." }, "role": { "description": "The member's role in a group. The API returns an error for cycles in group memberships. For example, if `group1` is a member of `group2`, `group2` cannot be a member of `group1`. For more information about a member's role, see the [administration help center](https://support.google.com/a/answer/167094).", "type": "string" }, "status": { "description": "Status of member (Immutable)", "type": "string" }, "type": { "description": "The type of group member.", "type": "string" }, "delivery_settings": { "type": "string", "description": "Defines mail delivery preferences of member. This is only supported by create/update/get." }, "email": { "description": "The member's email address. A member can be a user or another group. This property is required when adding a member to a group. The `email` must be unique and cannot be an alias of another group. If the email address is changed, the API automatically reflects the email address changes.", "type": "string" }, "etag": { "type": "string", "description": "ETag of the resource." } }, "id": "Member", "description": "A Google Groups member can be a user or another group. This member can be inside or outside of your account's domains. For more information about common group member tasks, see the [Developer's Guide](/admin-sdk/directory/v1/guides/manage-group-members)." }, "Alias": { "description": "JSON template for Alias object in Directory API.", "type": "object", "id": "Alias", "properties": { "id": { "type": "string" }, "alias": { "type": "string" }, "primaryEmail": { "type": "string" }, "etag": { "type": "string" }, "kind": { "type": "string", "default": "admin#directory#alias" } } }, "UserSshPublicKey": { "description": "JSON template for a POSIX account entry.", "properties": { "fingerprint": { "description": "A SHA-256 fingerprint of the SSH public key. (Read-only)", "readOnly": true, "type": "string" }, "expirationTimeUsec": { "description": "An expiration time in microseconds since epoch.", "format": "int64", "type": "string" }, "key": { "description": "An SSH public key.", "type": "string" } }, "id": "UserSshPublicKey", "type": "object" }, "Privileges": { "type": "object", "properties": { "kind": { "default": "admin#directory#privileges", "type": "string", "description": "The type of the API resource. This is always `admin#directory#privileges`." }, "etag": { "description": "ETag of the resource.", "type": "string" }, "items": { "items": { "$ref": "Privilege" }, "type": "array", "description": "A list of Privilege resources." } }, "id": "Privileges" }, "ListPrinterModelsResponse": { "properties": { "printerModels": { "items": { "$ref": "PrinterModel" }, "description": "Printer models that are currently allowed to be configured for ChromeOs. Some printers may be added or removed over time.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "type": "object", "description": "Response for listing allowed printer models.", "id": "ListPrinterModelsResponse" }, "MembersHasMember": { "properties": { "isMember": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the given user is a member of the group. Membership can be direct or nested." } }, "id": "MembersHasMember", "description": "JSON template for Has Member response in Directory API.", "type": "object" }, "Domains": { "type": "object", "properties": { "domainAliases": { "items": { "$ref": "DomainAlias" }, "description": "List of domain alias objects. (Read-only)", "type": "array" }, "domainName": { "type": "string", "description": "The domain name of the customer.", "annotations": { "required": [ "directory.domains.insert" ] } }, "verified": { "description": "Indicates the verification state of a domain. (Read-only).", "type": "boolean" }, "creationTime": { "description": "Creation time of the domain. Expressed in [Unix time](https://en.wikipedia.org/wiki/Epoch_time) format. (Read-only).", "type": "string", "format": "int64" }, "isPrimary": { "type": "boolean", "description": "Indicates if the domain is a primary domain (Read-only)." }, "kind": { "type": "string", "default": "admin#directory#domain", "description": "Kind of resource this is." }, "etag": { "type": "string", "description": "ETag of the resource." } }, "id": "Domains" }, "Role": { "type": "object", "properties": { "kind": { "default": "admin#directory#role", "type": "string", "description": "The type of the API resource. This is always `admin#directory#role`." }, "isSystemRole": { "description": "Returns `true` if this is a pre-defined system role.", "type": "boolean" }, "etag": { "description": "ETag of the resource.", "type": "string" }, "roleId": { "format": "int64", "type": "string", "description": "ID of the role." }, "roleName": { "type": "string", "description": "Name of the role.", "annotations": { "required": [ "directory.roles.insert" ] } }, "roleDescription": { "description": "A short description of the role.", "type": "string" }, "isSuperAdminRole": { "description": "Returns `true` if the role is a super admin role.", "type": "boolean" }, "rolePrivileges": { "type": "array", "description": "The set of privileges that are granted to this role.", "items": { "properties": { "privilegeName": { "description": "The name of the privilege.", "type": "string" }, "serviceId": { "description": "The obfuscated ID of the service this privilege is for. This value is returned with [`Privileges.list()`](/admin-sdk/directory/v1/reference/privileges/list).", "type": "string" } }, "type": "object" }, "annotations": { "required": [ "directory.roles.insert" ] } } }, "id": "Role" }, "ListPrintersResponse": { "properties": { "printers": { "items": { "$ref": "Printer" }, "type": "array", "description": "List of printers. If `org_unit_id` was given in the request, then only printers visible for this OU will be returned. If `org_unit_id` was not given in the request, then all printers will be returned." }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "description": "Response for listing printers.", "id": "ListPrintersResponse", "type": "object" }, "VerificationCode": { "description": "The Directory API allows you to view, generate, and invalidate backup verification codes for a user.", "id": "VerificationCode", "type": "object", "properties": { "userId": { "description": "The obfuscated unique ID of the user.", "type": "string" }, "etag": { "description": "ETag of the resource.", "type": "string" }, "verificationCode": { "type": "string", "description": "A current verification code for the user. Invalidated or used verification codes are not returned as part of the result." }, "kind": { "description": "The type of the resource. This is always `admin#directory#verificationCode`.", "default": "admin#directory#verificationCode", "type": "string" } } }, "Feature": { "type": "object", "description": "JSON template for Feature object in Directory API.", "properties": { "name": { "description": "The name of the feature.", "type": "string", "annotations": { "required": [ "directory.resources.features.insert" ] } }, "kind": { "default": "admin#directory#resources#features#Feature", "type": "string", "description": "Kind of resource this is." }, "etags": { "type": "string", "description": "ETag of the resource." } }, "id": "Feature" }, "ChromeOsDevices": { "type": "object", "properties": { "kind": { "type": "string", "default": "admin#directory#chromeosdevices", "description": "Kind of resource this is." }, "chromeosdevices": { "description": "List of Chrome OS Device objects.", "items": { "$ref": "ChromeOsDevice" }, "type": "array" }, "etag": { "description": "ETag of the resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "Token used to access the next page of this result. To access the next page, use this token's value in the `pageToken` query string of this request." } }, "id": "ChromeOsDevices" }, "Buildings": { "id": "Buildings", "properties": { "nextPageToken": { "type": "string", "description": "The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results." }, "kind": { "default": "admin#directory#resources#buildings#buildingsList", "type": "string", "description": "Kind of resource this is." }, "buildings": { "items": { "$ref": "Building" }, "type": "array", "description": "The Buildings in this page of results." }, "etag": { "description": "ETag of the resource.", "type": "string" } }, "description": "Public API: Resources.buildings", "type": "object" }, "Empty": { "id": "Empty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "CalendarResource": { "description": "Public API: Resources.calendars", "id": "CalendarResource", "properties": { "userVisibleDescription": { "type": "string", "description": "Description of the resource, visible to users and admins." }, "featureInstances": { "type": "any", "description": "Instances of features for the calendar resource." }, "resourceEmail": { "description": "The read-only email for the calendar resource. Generated as part of creating a new calendar resource.", "type": "string" }, "floorSection": { "description": "Name of the section within a floor a resource is located in.", "type": "string" }, "resourceId": { "type": "string", "description": "The unique ID for the calendar resource.", "annotations": { "required": [ "directory.resources.calendars.insert" ] } }, "resourceName": { "type": "string", "annotations": { "required": [ "directory.resources.calendars.insert" ] }, "description": "The name of the calendar resource. For example, \"Training Room 1A\"." }, "floorName": { "type": "string", "description": "Name of the floor a resource is located on." }, "resourceType": { "type": "string", "description": "The type of the calendar resource, intended for non-room resources." }, "buildingId": { "type": "string", "description": "Unique ID for the building a resource is located in." }, "kind": { "default": "admin#directory#resources#calendars#CalendarResource", "type": "string", "description": "The type of the resource. For calendar resources, the value is `admin#directory#resources#calendars#CalendarResource`." }, "capacity": { "description": "Capacity of a resource, number of seats in a room.", "format": "int32", "type": "integer" }, "etags": { "description": "ETag of the resource.", "type": "string" }, "generatedResourceName": { "description": "The read-only auto-generated name of the calendar resource which includes metadata about the resource such as building name, floor, capacity, etc. For example, \"NYC-2-Training Room 1A (16)\".", "type": "string" }, "resourceDescription": { "description": "Description of the resource, visible only to admins.", "type": "string" }, "resourceCategory": { "description": "The category of the calendar resource. Either CONFERENCE_ROOM or OTHER. Legacy data is set to CATEGORY_UNKNOWN.", "type": "string" } }, "type": "object" } }, "rootUrl": "https://admin.googleapis.com/", "mtlsRootUrl": "https://admin.mtls.googleapis.com/", "parameters": { "callback": { "type": "string", "location": "query", "description": "JSONP" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "description": "Data format for response.", "default": "json", "location": "query", "enum": [ "json", "media", "proto" ] }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/admin.directory.orgunit.readonly": { "description": "View organization units on your domain" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/admin.directory.resource.calendar": { "description": "View and manage the provisioning of calendar resources on your domain" }, "https://www.googleapis.com/auth/admin.directory.device.mobile": { "description": "View and manage your mobile devices' metadata" }, "https://www.googleapis.com/auth/admin.directory.user.readonly": { "description": "See info about users on your domain" }, "https://www.googleapis.com/auth/admin.directory.user": { "description": "View and manage the provisioning of users on your domain" }, "https://www.googleapis.com/auth/admin.directory.device.chromeos": { "description": "View and manage your Chrome OS devices' metadata" }, "https://www.googleapis.com/auth/admin.directory.device.mobile.action": { "description": "Manage your mobile devices by performing administrative tasks" }, "https://www.googleapis.com/auth/admin.directory.resource.calendar.readonly": { "description": "View calendar resources on your domain" }, "https://www.googleapis.com/auth/admin.directory.orgunit": { "description": "View and manage organization units on your domain" }, "https://www.googleapis.com/auth/admin.directory.group.member.readonly": { "description": "View group subscriptions on your domain" }, "https://www.googleapis.com/auth/admin.directory.customer": { "description": "View and manage customer related information" }, "https://www.googleapis.com/auth/admin.directory.userschema": { "description": "View and manage the provisioning of user schemas on your domain" }, "https://www.googleapis.com/auth/admin.directory.user.security": { "description": "Manage data access permissions for users on your domain" }, "https://www.googleapis.com/auth/admin.directory.device.mobile.readonly": { "description": "View your mobile devices' metadata" }, "https://www.googleapis.com/auth/admin.chrome.printers": { "description": "See, add, edit, and permanently delete the printers that your organization can use with Chrome" }, "https://www.googleapis.com/auth/admin.directory.group": { "description": "View and manage the provisioning of groups on your domain" }, "https://www.googleapis.com/auth/admin.directory.user.alias": { "description": "View and manage user aliases on your domain" }, "https://www.googleapis.com/auth/admin.chrome.printers.readonly": { "description": "See the printers that your organization can use with Chrome" }, "https://www.googleapis.com/auth/admin.directory.group.member": { "description": "View and manage group subscriptions on your domain" }, "https://www.googleapis.com/auth/admin.directory.device.chromeos.readonly": { "description": "View your Chrome OS devices' metadata" }, "https://www.googleapis.com/auth/admin.directory.user.alias.readonly": { "description": "View user aliases on your domain" }, "https://www.googleapis.com/auth/admin.directory.userschema.readonly": { "description": "View user schemas on your domain" }, "https://www.googleapis.com/auth/admin.directory.group.readonly": { "description": "View groups on your domain" }, "https://www.googleapis.com/auth/admin.directory.rolemanagement.readonly": { "description": "View delegated admin roles for your domain" }, "https://www.googleapis.com/auth/admin.directory.rolemanagement": { "description": "Manage delegated admin roles for your domain" }, "https://www.googleapis.com/auth/admin.directory.domain": { "description": "View and manage the provisioning of domains for your customers" }, "https://www.googleapis.com/auth/admin.directory.domain.readonly": { "description": "View domains related to your customers" }, "https://www.googleapis.com/auth/admin.directory.customer.readonly": { "description": "View customer related information" } } } }, "protocol": "rest", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "discoveryVersion": "v1", "kind": "discovery#restDescription", "title": "Admin SDK API", "revision": "20220705", "name": "admin", "baseUrl": "https://admin.googleapis.com/", "packagePath": "admin", "resources": { "verificationCodes": { "methods": { "invalidate": { "parameters": { "userKey": { "location": "path", "description": "Email or immutable ID of the user", "required": true, "type": "string" } }, "id": "directory.verificationCodes.invalidate", "path": "admin/directory/v1/users/{userKey}/verificationCodes/invalidate", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ], "flatPath": "admin/directory/v1/users/{userKey}/verificationCodes/invalidate", "parameterOrder": [ "userKey" ], "description": "Invalidates the current backup verification codes for the user." }, "generate": { "flatPath": "admin/directory/v1/users/{userKey}/verificationCodes/generate", "description": "Generates new backup verification codes for the user.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ], "parameterOrder": [ "userKey" ], "path": "admin/directory/v1/users/{userKey}/verificationCodes/generate", "httpMethod": "POST", "id": "directory.verificationCodes.generate", "parameters": { "userKey": { "type": "string", "location": "path", "required": true, "description": "Email or immutable ID of the user" } } }, "list": { "id": "directory.verificationCodes.list", "parameterOrder": [ "userKey" ], "parameters": { "userKey": { "location": "path", "required": true, "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ], "httpMethod": "GET", "response": { "$ref": "VerificationCodes" }, "description": "Returns the current set of valid backup verification codes for the specified user.", "path": "admin/directory/v1/users/{userKey}/verificationCodes", "flatPath": "admin/directory/v1/users/{userKey}/verificationCodes" } } }, "customers": { "resources": { "chrome": { "resources": { "printers": { "methods": { "batchDeletePrinters": { "httpMethod": "POST", "flatPath": "admin/directory/v1/customers/{customersId}/chrome/printers:batchDeletePrinters", "request": { "$ref": "BatchDeletePrintersRequest" }, "description": "Deletes printers in batch.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/admin.chrome.printers" ], "parameters": { "parent": { "description": "Required. The name of the customer. Format: customers/{customer_id}", "location": "path", "required": true, "pattern": "^customers/[^/]+$", "type": "string" } }, "id": "admin.customers.chrome.printers.batchDeletePrinters", "path": "admin/directory/v1/{+parent}/chrome/printers:batchDeletePrinters", "response": { "$ref": "BatchDeletePrintersResponse" } }, "batchCreatePrinters": { "id": "admin.customers.chrome.printers.batchCreatePrinters", "request": { "$ref": "BatchCreatePrintersRequest" }, "description": "Creates printers under given Organization Unit.", "path": "admin/directory/v1/{+parent}/chrome/printers:batchCreatePrinters", "httpMethod": "POST", "flatPath": "admin/directory/v1/customers/{customersId}/chrome/printers:batchCreatePrinters", "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The name of the customer. Format: customers/{customer_id}", "location": "path", "pattern": "^customers/[^/]+$" } }, "response": { "$ref": "BatchCreatePrintersResponse" }, "scopes": [ "https://www.googleapis.com/auth/admin.chrome.printers" ], "parameterOrder": [ "parent" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/admin.chrome.printers" ], "parameterOrder": [ "name" ], "flatPath": "admin/directory/v1/customers/{customersId}/chrome/printers/{printersId}", "response": { "$ref": "Empty" }, "id": "admin.customers.chrome.printers.delete", "path": "admin/directory/v1/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "type": "string", "description": "Required. The name of the printer to be updated. Format: customers/{customer_id}/chrome/printers/{printer_id}", "location": "path", "required": true, "pattern": "^customers/[^/]+/chrome/printers/[^/]+$" } }, "description": "Deletes a `Printer`." }, "create": { "path": "admin/directory/v1/{+parent}/chrome/printers", "description": "Creates a printer under given Organization Unit.", "response": { "$ref": "Printer" }, "httpMethod": "POST", "request": { "$ref": "Printer" }, "flatPath": "admin/directory/v1/customers/{customersId}/chrome/printers", "parameterOrder": [ "parent" ], "id": "admin.customers.chrome.printers.create", "parameters": { "parent": { "pattern": "^customers/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the customer. Format: customers/{customer_id}", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/admin.chrome.printers" ] }, "listPrinterModels": { "parameterOrder": [ "parent" ], "parameters": { "filter": { "description": "Filer to list only models by a given manufacturer in format: \"manufacturer:Brother\". Search syntax is shared between this api and Admin Console printers pages.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "description": "A page token, received from a previous call.", "location": "query" }, "pageSize": { "location": "query", "description": "The maximum number of objects to return. The service may return fewer than this value.", "type": "integer", "format": "int32" }, "parent": { "type": "string", "description": "Required. The name of the customer who owns this collection of printers. Format: customers/{customer_id}", "required": true, "pattern": "^customers/[^/]+$", "location": "path" } }, "path": "admin/directory/v1/{+parent}/chrome/printers:listPrinterModels", "scopes": [ "https://www.googleapis.com/auth/admin.chrome.printers", "https://www.googleapis.com/auth/admin.chrome.printers.readonly" ], "response": { "$ref": "ListPrinterModelsResponse" }, "id": "admin.customers.chrome.printers.listPrinterModels", "description": "Lists the supported printer models.", "httpMethod": "GET", "flatPath": "admin/directory/v1/customers/{customersId}/chrome/printers:listPrinterModels" }, "get": { "scopes": [ "https://www.googleapis.com/auth/admin.chrome.printers", "https://www.googleapis.com/auth/admin.chrome.printers.readonly" ], "parameters": { "name": { "type": "string", "description": "Required. The name of the printer to retrieve. Format: customers/{customer_id}/chrome/printers/{printer_id}", "required": true, "location": "path", "pattern": "^customers/[^/]+/chrome/printers/[^/]+$" } }, "path": "admin/directory/v1/{+name}", "httpMethod": "GET", "flatPath": "admin/directory/v1/customers/{customersId}/chrome/printers/{printersId}", "id": "admin.customers.chrome.printers.get", "parameterOrder": [ "name" ], "description": "Returns a `Printer` resource (printer's config).", "response": { "$ref": "Printer" } }, "patch": { "httpMethod": "PATCH", "parameters": { "clearMask": { "description": "The list of fields to be cleared. Note, some of the fields are read only and cannot be updated. Values for not specified fields will be patched.", "type": "string", "format": "google-fieldmask", "location": "query" }, "name": { "type": "string", "required": true, "location": "path", "pattern": "^customers/[^/]+/chrome/printers/[^/]+$", "description": "The resource name of the Printer object, in the format customers/{customer-id}/printers/{printer-id} (During printer creation leave empty)" }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "The list of fields to be updated. Note, some of the fields are read only and cannot be updated. Values for not specified fields will be patched.", "type": "string" } }, "flatPath": "admin/directory/v1/customers/{customersId}/chrome/printers/{printersId}", "path": "admin/directory/v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/admin.chrome.printers" ], "response": { "$ref": "Printer" }, "parameterOrder": [ "name" ], "request": { "$ref": "Printer" }, "id": "admin.customers.chrome.printers.patch", "description": "Updates a `Printer` resource." }, "list": { "scopes": [ "https://www.googleapis.com/auth/admin.chrome.printers", "https://www.googleapis.com/auth/admin.chrome.printers.readonly" ], "response": { "$ref": "ListPrintersResponse" }, "description": "List printers configs.", "httpMethod": "GET", "id": "admin.customers.chrome.printers.list", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "The order to sort results by. Must be one of display_name, description, make_and_model, or create_time. Default order is ascending, but descending order can be returned by appending \"desc\" to the order_by field. For instance, \"description desc\" will return the printers sorted by description in descending order." }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of objects to return. The service may return fewer than this value.", "location": "query" }, "filter": { "description": "Search query. Search syntax is shared between this api and Admin Console printers pages.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "description": "A page token, received from a previous call.", "type": "string" }, "parent": { "required": true, "description": "Required. The name of the customer who owns this collection of printers. Format: customers/{customer_id}", "pattern": "^customers/[^/]+$", "type": "string", "location": "path" }, "orgUnitId": { "type": "string", "description": "Organization Unit that we want to list the printers for. When org_unit is not present in the request then all printers of the customer are returned (or filtered). When org_unit is present in the request then only printers available to this OU will be returned (owned or inherited). You may see if printer is owned or inherited for this OU by looking at Printer.org_unit_id.", "location": "query" } }, "parameterOrder": [ "parent" ], "flatPath": "admin/directory/v1/customers/{customersId}/chrome/printers", "path": "admin/directory/v1/{+parent}/chrome/printers" } } } } } }, "methods": { "get": { "parameterOrder": [ "customerKey" ], "path": "admin/directory/v1/customers/{customerKey}", "parameters": { "customerKey": { "description": "Id of the customer to be retrieved", "required": true, "type": "string", "location": "path" } }, "id": "directory.customers.get", "flatPath": "admin/directory/v1/customers/{customerKey}", "httpMethod": "GET", "response": { "$ref": "Customer" }, "description": "Retrieves a customer.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.customer", "https://www.googleapis.com/auth/admin.directory.customer.readonly" ] }, "update": { "parameters": { "customerKey": { "location": "path", "required": true, "type": "string", "description": "Id of the customer to be updated" } }, "response": { "$ref": "Customer" }, "flatPath": "admin/directory/v1/customers/{customerKey}", "description": "Updates a customer.", "parameterOrder": [ "customerKey" ], "httpMethod": "PUT", "id": "directory.customers.update", "request": { "$ref": "Customer" }, "path": "admin/directory/v1/customers/{customerKey}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.customer" ] }, "patch": { "parameterOrder": [ "customerKey" ], "flatPath": "admin/directory/v1/customers/{customerKey}", "response": { "$ref": "Customer" }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.customer" ], "description": "Patches a customer.", "parameters": { "customerKey": { "type": "string", "description": "Id of the customer to be updated", "location": "path", "required": true } }, "id": "directory.customers.patch", "request": { "$ref": "Customer" }, "path": "admin/directory/v1/customers/{customerKey}", "httpMethod": "PATCH" } } }, "orgunits": { "methods": { "delete": { "id": "directory.orgunits.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/admin.directory.orgunit" ], "parameterOrder": [ "customerId", "orgUnitPath" ], "description": "Removes an organizational unit.", "flatPath": "admin/directory/v1/customer/{customerId}/orgunits/{orgunitsId}", "path": "admin/directory/v1/customer/{customerId}/orgunits/{+orgUnitPath}", "parameters": { "customerId": { "location": "path", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "type": "string", "required": true }, "orgUnitPath": { "type": "string", "pattern": "^.*$", "required": true, "description": "The full path of the organizational unit (minus the leading `/`) or its unique ID.", "location": "path" } } }, "insert": { "request": { "$ref": "OrgUnit" }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.orgunit" ], "id": "directory.orgunits.insert", "parameters": { "customerId": { "required": true, "location": "path", "type": "string", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users)." } }, "description": "Adds an organizational unit.", "parameterOrder": [ "customerId" ], "flatPath": "admin/directory/v1/customer/{customerId}/orgunits", "path": "admin/directory/v1/customer/{customerId}/orgunits", "response": { "$ref": "OrgUnit" }, "httpMethod": "POST" }, "patch": { "path": "admin/directory/v1/customer/{customerId}/orgunits/{+orgUnitPath}", "httpMethod": "PATCH", "description": "Updates an organizational unit. This method supports [patch semantics](/admin-sdk/directory/v1/guides/performance#patch)", "flatPath": "admin/directory/v1/customer/{customerId}/orgunits/{orgunitsId}", "request": { "$ref": "OrgUnit" }, "parameterOrder": [ "customerId", "orgUnitPath" ], "response": { "$ref": "OrgUnit" }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.orgunit" ], "id": "directory.orgunits.patch", "parameters": { "orgUnitPath": { "type": "string", "pattern": "^.*$", "required": true, "description": "The full path of the organizational unit (minus the leading `/`) or its unique ID.", "location": "path" }, "customerId": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "type": "string", "location": "path", "required": true } } }, "list": { "parameters": { "orgUnitPath": { "location": "query", "default": "", "description": "The full path to the organizational unit or its unique ID. Returns the children of the specified organizational unit.", "type": "string" }, "type": { "enum": [ "all", "children" ], "type": "string", "description": "Whether to return all sub-organizations or just immediate children.", "location": "query", "enumDescriptions": [ "All sub-organizational units.", "Immediate children only (default)." ] }, "customerId": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "required": true, "location": "path", "type": "string" } }, "id": "directory.orgunits.list", "httpMethod": "GET", "flatPath": "admin/directory/v1/customer/{customerId}/orgunits", "description": "Retrieves a list of all organizational units for an account.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.orgunit", "https://www.googleapis.com/auth/admin.directory.orgunit.readonly" ], "response": { "$ref": "OrgUnits" }, "parameterOrder": [ "customerId" ], "path": "admin/directory/v1/customer/{customerId}/orgunits" }, "update": { "id": "directory.orgunits.update", "parameterOrder": [ "customerId", "orgUnitPath" ], "path": "admin/directory/v1/customer/{customerId}/orgunits/{+orgUnitPath}", "response": { "$ref": "OrgUnit" }, "description": "Updates an organizational unit.", "parameters": { "orgUnitPath": { "type": "string", "pattern": "^.*$", "required": true, "description": "The full path of the organizational unit (minus the leading `/`) or its unique ID.", "location": "path" }, "customerId": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "required": true, "location": "path", "type": "string" } }, "flatPath": "admin/directory/v1/customer/{customerId}/orgunits/{orgunitsId}", "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/admin.directory.orgunit" ], "request": { "$ref": "OrgUnit" } }, "get": { "path": "admin/directory/v1/customer/{customerId}/orgunits/{+orgUnitPath}", "parameterOrder": [ "customerId", "orgUnitPath" ], "description": "Retrieves an organizational unit.", "response": { "$ref": "OrgUnit" }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.orgunit", "https://www.googleapis.com/auth/admin.directory.orgunit.readonly" ], "parameters": { "orgUnitPath": { "type": "string", "location": "path", "pattern": "^.*$", "required": true, "description": "The full path of the organizational unit (minus the leading `/`) or its unique ID." }, "customerId": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "type": "string", "location": "path", "required": true } }, "flatPath": "admin/directory/v1/customer/{customerId}/orgunits/{orgunitsId}", "httpMethod": "GET", "id": "directory.orgunits.get" } } }, "resources": { "resources": { "calendars": { "methods": { "list": { "path": "admin/directory/v1/customer/{customer}/resources/calendars", "id": "directory.resources.calendars.list", "httpMethod": "GET", "parameterOrder": [ "customer" ], "parameters": { "pageToken": { "type": "string", "description": "Token to specify the next page in the list.", "location": "query" }, "maxResults": { "minimum": "1", "maximum": "500", "format": "int32", "description": "Maximum number of results to return.", "type": "integer", "location": "query" }, "customer": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "required": true, "location": "path", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Field(s) to sort results by in either ascending or descending order. Supported fields include `resourceId`, `resourceName`, `capacity`, `buildingId`, and `floorName`. If no order is specified, defaults to ascending. Should be of the form \"field [asc|desc], field [asc|desc], ...\". For example `buildingId, capacity desc` would return results sorted first by `buildingId` in ascending order then by `capacity` in descending order." }, "query": { "description": "String query used to filter results. Should be of the form \"field operator value\" where field can be any of supported fields and operators can be any of supported operations. Operators include '=' for exact match, '!=' for mismatch and ':' for prefix match or HAS match where applicable. For prefix match, the value should always be followed by a *. Logical operators NOT and AND are supported (in this order of precedence). Supported fields include `generatedResourceName`, `name`, `buildingId`, `floor_name`, `capacity`, `featureInstances.feature.name`, `resourceEmail`, `resourceCategory`. For example `buildingId=US-NYC-9TH AND featureInstances.feature.name:Phone`.", "location": "query", "type": "string" } }, "flatPath": "admin/directory/v1/customer/{customer}/resources/calendars", "description": "Retrieves a list of calendar resources for an account.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar", "https://www.googleapis.com/auth/admin.directory.resource.calendar.readonly" ], "response": { "$ref": "CalendarResources" } }, "patch": { "id": "directory.resources.calendars.patch", "parameters": { "customer": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "location": "path", "type": "string", "required": true }, "calendarResourceId": { "description": "The unique ID of the calendar resource to update.", "required": true, "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "parameterOrder": [ "customer", "calendarResourceId" ], "httpMethod": "PATCH", "path": "admin/directory/v1/customer/{customer}/resources/calendars/{calendarResourceId}", "request": { "$ref": "CalendarResource" }, "response": { "$ref": "CalendarResource" }, "flatPath": "admin/directory/v1/customer/{customer}/resources/calendars/{calendarResourceId}", "description": "Patches a calendar resource." }, "delete": { "id": "directory.resources.calendars.delete", "path": "admin/directory/v1/customer/{customer}/resources/calendars/{calendarResourceId}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "description": "Deletes a calendar resource.", "parameters": { "customer": { "required": true, "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "type": "string", "location": "path" }, "calendarResourceId": { "description": "The unique ID of the calendar resource to delete.", "required": true, "type": "string", "location": "path" } }, "flatPath": "admin/directory/v1/customer/{customer}/resources/calendars/{calendarResourceId}", "httpMethod": "DELETE", "parameterOrder": [ "customer", "calendarResourceId" ] }, "insert": { "parameters": { "customer": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "type": "string", "location": "path", "required": true } }, "id": "directory.resources.calendars.insert", "parameterOrder": [ "customer" ], "response": { "$ref": "CalendarResource" }, "httpMethod": "POST", "flatPath": "admin/directory/v1/customer/{customer}/resources/calendars", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "description": "Inserts a calendar resource.", "request": { "$ref": "CalendarResource" }, "path": "admin/directory/v1/customer/{customer}/resources/calendars" }, "get": { "id": "directory.resources.calendars.get", "parameterOrder": [ "customer", "calendarResourceId" ], "flatPath": "admin/directory/v1/customer/{customer}/resources/calendars/{calendarResourceId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar", "https://www.googleapis.com/auth/admin.directory.resource.calendar.readonly" ], "path": "admin/directory/v1/customer/{customer}/resources/calendars/{calendarResourceId}", "response": { "$ref": "CalendarResource" }, "parameters": { "calendarResourceId": { "description": "The unique ID of the calendar resource to retrieve.", "required": true, "type": "string", "location": "path" }, "customer": { "type": "string", "location": "path", "required": true, "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID." } }, "description": "Retrieves a calendar resource." }, "update": { "parameters": { "customer": { "required": true, "type": "string", "location": "path", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID." }, "calendarResourceId": { "required": true, "location": "path", "type": "string", "description": "The unique ID of the calendar resource to update." } }, "request": { "$ref": "CalendarResource" }, "description": "Updates a calendar resource. This method supports patch semantics, meaning you only need to include the fields you wish to update. Fields that are not present in the request will be preserved.", "parameterOrder": [ "customer", "calendarResourceId" ], "path": "admin/directory/v1/customer/{customer}/resources/calendars/{calendarResourceId}", "flatPath": "admin/directory/v1/customer/{customer}/resources/calendars/{calendarResourceId}", "response": { "$ref": "CalendarResource" }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "httpMethod": "PUT", "id": "directory.resources.calendars.update" } } }, "buildings": { "methods": { "delete": { "description": "Deletes a building.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "path": "admin/directory/v1/customer/{customer}/resources/buildings/{buildingId}", "flatPath": "admin/directory/v1/customer/{customer}/resources/buildings/{buildingId}", "httpMethod": "DELETE", "parameterOrder": [ "customer", "buildingId" ], "parameters": { "customer": { "location": "path", "required": true, "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "type": "string" }, "buildingId": { "description": "The id of the building to delete.", "type": "string", "location": "path", "required": true } }, "id": "directory.resources.buildings.delete" }, "patch": { "response": { "$ref": "Building" }, "request": { "$ref": "Building" }, "httpMethod": "PATCH", "path": "admin/directory/v1/customer/{customer}/resources/buildings/{buildingId}", "description": "Patches a building.", "id": "directory.resources.buildings.patch", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "parameterOrder": [ "customer", "buildingId" ], "flatPath": "admin/directory/v1/customer/{customer}/resources/buildings/{buildingId}", "parameters": { "customer": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "location": "path", "type": "string", "required": true }, "buildingId": { "description": "The id of the building to update.", "required": true, "location": "path", "type": "string" }, "coordinatesSource": { "type": "string", "location": "query", "enumDescriptions": [ "Building.coordinates are set to the coordinates included in the request.", "Building.coordinates are automatically populated based on the postal address.", "Defaults to `RESOLVED_FROM_ADDRESS` if postal address is provided. Otherwise, defaults to `CLIENT_SPECIFIED` if coordinates are provided." ], "default": "SOURCE_UNSPECIFIED", "description": "Source from which Building.coordinates are derived.", "enum": [ "CLIENT_SPECIFIED", "RESOLVED_FROM_ADDRESS", "SOURCE_UNSPECIFIED" ] } } }, "insert": { "parameterOrder": [ "customer" ], "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "path": "admin/directory/v1/customer/{customer}/resources/buildings", "flatPath": "admin/directory/v1/customer/{customer}/resources/buildings", "httpMethod": "POST", "id": "directory.resources.buildings.insert", "request": { "$ref": "Building" }, "parameters": { "coordinatesSource": { "enum": [ "CLIENT_SPECIFIED", "RESOLVED_FROM_ADDRESS", "SOURCE_UNSPECIFIED" ], "description": "Source from which Building.coordinates are derived.", "enumDescriptions": [ "Building.coordinates are set to the coordinates included in the request.", "Building.coordinates are automatically populated based on the postal address.", "Defaults to `RESOLVED_FROM_ADDRESS` if postal address is provided. Otherwise, defaults to `CLIENT_SPECIFIED` if coordinates are provided." ], "default": "SOURCE_UNSPECIFIED", "location": "query", "type": "string" }, "customer": { "type": "string", "location": "path", "required": true, "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID." } }, "description": "Inserts a building.", "response": { "$ref": "Building" } }, "list": { "parameterOrder": [ "customer" ], "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar", "https://www.googleapis.com/auth/admin.directory.resource.calendar.readonly" ], "httpMethod": "GET", "flatPath": "admin/directory/v1/customer/{customer}/resources/buildings", "parameters": { "maxResults": { "format": "int32", "location": "query", "type": "integer", "maximum": "500", "description": "Maximum number of results to return.", "minimum": "1" }, "customer": { "type": "string", "required": true, "location": "path", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID." }, "pageToken": { "description": "Token to specify the next page in the list.", "location": "query", "type": "string" } }, "id": "directory.resources.buildings.list", "description": "Retrieves a list of buildings for an account.", "response": { "$ref": "Buildings" }, "path": "admin/directory/v1/customer/{customer}/resources/buildings" }, "update": { "flatPath": "admin/directory/v1/customer/{customer}/resources/buildings/{buildingId}", "path": "admin/directory/v1/customer/{customer}/resources/buildings/{buildingId}", "response": { "$ref": "Building" }, "parameterOrder": [ "customer", "buildingId" ], "description": "Updates a building.", "httpMethod": "PUT", "request": { "$ref": "Building" }, "parameters": { "coordinatesSource": { "description": "Source from which Building.coordinates are derived.", "location": "query", "default": "SOURCE_UNSPECIFIED", "type": "string", "enum": [ "CLIENT_SPECIFIED", "RESOLVED_FROM_ADDRESS", "SOURCE_UNSPECIFIED" ], "enumDescriptions": [ "Building.coordinates are set to the coordinates included in the request.", "Building.coordinates are automatically populated based on the postal address.", "Defaults to `RESOLVED_FROM_ADDRESS` if postal address is provided. Otherwise, defaults to `CLIENT_SPECIFIED` if coordinates are provided." ] }, "customer": { "required": true, "type": "string", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "location": "path" }, "buildingId": { "description": "The id of the building to update.", "type": "string", "location": "path", "required": true } }, "id": "directory.resources.buildings.update", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ] }, "get": { "parameters": { "buildingId": { "type": "string", "description": "The unique ID of the building to retrieve.", "required": true, "location": "path" }, "customer": { "location": "path", "type": "string", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "required": true } }, "parameterOrder": [ "customer", "buildingId" ], "response": { "$ref": "Building" }, "path": "admin/directory/v1/customer/{customer}/resources/buildings/{buildingId}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar", "https://www.googleapis.com/auth/admin.directory.resource.calendar.readonly" ], "httpMethod": "GET", "flatPath": "admin/directory/v1/customer/{customer}/resources/buildings/{buildingId}", "id": "directory.resources.buildings.get", "description": "Retrieves a building." } } }, "features": { "methods": { "insert": { "response": { "$ref": "Feature" }, "description": "Inserts a feature.", "path": "admin/directory/v1/customer/{customer}/resources/features", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "id": "directory.resources.features.insert", "request": { "$ref": "Feature" }, "parameterOrder": [ "customer" ], "parameters": { "customer": { "required": true, "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "type": "string", "location": "path" } }, "flatPath": "admin/directory/v1/customer/{customer}/resources/features", "httpMethod": "POST" }, "delete": { "parameters": { "featureKey": { "description": "The unique ID of the feature to delete.", "location": "path", "type": "string", "required": true }, "customer": { "type": "string", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "required": true, "location": "path" } }, "id": "directory.resources.features.delete", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "path": "admin/directory/v1/customer/{customer}/resources/features/{featureKey}", "description": "Deletes a feature.", "flatPath": "admin/directory/v1/customer/{customer}/resources/features/{featureKey}", "httpMethod": "DELETE", "parameterOrder": [ "customer", "featureKey" ] }, "update": { "id": "directory.resources.features.update", "description": "Updates a feature.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "flatPath": "admin/directory/v1/customer/{customer}/resources/features/{featureKey}", "parameters": { "featureKey": { "type": "string", "required": true, "description": "The unique ID of the feature to update.", "location": "path" }, "customer": { "type": "string", "location": "path", "required": true, "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID." } }, "parameterOrder": [ "customer", "featureKey" ], "httpMethod": "PUT", "request": { "$ref": "Feature" }, "response": { "$ref": "Feature" }, "path": "admin/directory/v1/customer/{customer}/resources/features/{featureKey}" }, "get": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar", "https://www.googleapis.com/auth/admin.directory.resource.calendar.readonly" ], "id": "directory.resources.features.get", "response": { "$ref": "Feature" }, "path": "admin/directory/v1/customer/{customer}/resources/features/{featureKey}", "parameterOrder": [ "customer", "featureKey" ], "flatPath": "admin/directory/v1/customer/{customer}/resources/features/{featureKey}", "parameters": { "featureKey": { "location": "path", "required": true, "type": "string", "description": "The unique ID of the feature to retrieve." }, "customer": { "required": true, "location": "path", "type": "string", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID." } }, "description": "Retrieves a feature.", "httpMethod": "GET" }, "list": { "httpMethod": "GET", "description": "Retrieves a list of features for an account.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar", "https://www.googleapis.com/auth/admin.directory.resource.calendar.readonly" ], "response": { "$ref": "Features" }, "path": "admin/directory/v1/customer/{customer}/resources/features", "parameters": { "maxResults": { "type": "integer", "maximum": "500", "location": "query", "format": "int32", "minimum": "1", "description": "Maximum number of results to return." }, "pageToken": { "type": "string", "description": "Token to specify the next page in the list.", "location": "query" }, "customer": { "type": "string", "required": true, "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "location": "path" } }, "flatPath": "admin/directory/v1/customer/{customer}/resources/features", "id": "directory.resources.features.list", "parameterOrder": [ "customer" ] }, "rename": { "parameterOrder": [ "customer", "oldName" ], "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "id": "directory.resources.features.rename", "description": "Renames a feature.", "path": "admin/directory/v1/customer/{customer}/resources/features/{oldName}/rename", "httpMethod": "POST", "request": { "$ref": "FeatureRename" }, "parameters": { "customer": { "location": "path", "required": true, "type": "string", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID." }, "oldName": { "description": "The unique ID of the feature to rename.", "location": "path", "type": "string", "required": true } }, "flatPath": "admin/directory/v1/customer/{customer}/resources/features/{oldName}/rename" }, "patch": { "path": "admin/directory/v1/customer/{customer}/resources/features/{featureKey}", "parameters": { "featureKey": { "type": "string", "required": true, "location": "path", "description": "The unique ID of the feature to update." }, "customer": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID.", "required": true, "type": "string", "location": "path" } }, "flatPath": "admin/directory/v1/customer/{customer}/resources/features/{featureKey}", "parameterOrder": [ "customer", "featureKey" ], "id": "directory.resources.features.patch", "request": { "$ref": "Feature" }, "response": { "$ref": "Feature" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/admin.directory.resource.calendar" ], "description": "Patches a feature." } } } } }, "members": { "methods": { "list": { "parameters": { "roles": { "location": "query", "description": "The `roles` query parameter allows you to retrieve group members by role. Allowed values are `OWNER`, `MANAGER`, and `MEMBER`.", "type": "string" }, "includeDerivedMembership": { "description": "Whether to list indirect memberships. Default: false.", "type": "boolean", "location": "query" }, "pageToken": { "description": "Token to specify next page in the list.", "location": "query", "type": "string" }, "maxResults": { "location": "query", "description": "Maximum number of results to return. Max allowed value is 200.", "default": "200", "format": "int32", "minimum": "1", "type": "integer" }, "groupKey": { "location": "path", "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID.", "required": true, "type": "string" } }, "id": "directory.members.list", "parameterOrder": [ "groupKey" ], "scopes": [ "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.group.member", "https://www.googleapis.com/auth/admin.directory.group.member.readonly", "https://www.googleapis.com/auth/admin.directory.group.readonly" ], "response": { "$ref": "Members" }, "httpMethod": "GET", "path": "admin/directory/v1/groups/{groupKey}/members", "description": "Retrieves a paginated list of all members in a group.", "flatPath": "admin/directory/v1/groups/{groupKey}/members" }, "hasMember": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.group.member", "https://www.googleapis.com/auth/admin.directory.group.member.readonly", "https://www.googleapis.com/auth/admin.directory.group.readonly" ], "httpMethod": "GET", "response": { "$ref": "MembersHasMember" }, "description": "Checks whether the given user is a member of the group. Membership can be direct or nested.", "flatPath": "admin/directory/v1/groups/{groupKey}/hasMember/{memberKey}", "parameters": { "memberKey": { "location": "path", "type": "string", "required": true, "description": "Identifies the user member in the API request. The value can be the user's primary email address, alias, or unique ID." }, "groupKey": { "required": true, "type": "string", "location": "path", "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID." } }, "parameterOrder": [ "groupKey", "memberKey" ], "path": "admin/directory/v1/groups/{groupKey}/hasMember/{memberKey}", "id": "directory.members.hasMember" }, "delete": { "flatPath": "admin/directory/v1/groups/{groupKey}/members/{memberKey}", "httpMethod": "DELETE", "parameterOrder": [ "groupKey", "memberKey" ], "id": "directory.members.delete", "description": "Removes a member from a group.", "parameters": { "groupKey": { "location": "path", "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID.", "type": "string", "required": true }, "memberKey": { "location": "path", "description": "Identifies the group member in the API request. A group member can be a user or another group. The value can be the member's (group or user) primary email address, alias, or unique ID.", "type": "string", "required": true } }, "path": "admin/directory/v1/groups/{groupKey}/members/{memberKey}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.group.member" ] }, "get": { "parameters": { "memberKey": { "required": true, "type": "string", "description": "Identifies the group member in the API request. A group member can be a user or another group. The value can be the member's (group or user) primary email address, alias, or unique ID.", "location": "path" }, "groupKey": { "location": "path", "type": "string", "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID.", "required": true } }, "path": "admin/directory/v1/groups/{groupKey}/members/{memberKey}", "flatPath": "admin/directory/v1/groups/{groupKey}/members/{memberKey}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.group.member", "https://www.googleapis.com/auth/admin.directory.group.member.readonly", "https://www.googleapis.com/auth/admin.directory.group.readonly" ], "id": "directory.members.get", "parameterOrder": [ "groupKey", "memberKey" ], "description": "Retrieves a group member's properties.", "response": { "$ref": "Member" }, "httpMethod": "GET" }, "insert": { "id": "directory.members.insert", "parameterOrder": [ "groupKey" ], "httpMethod": "POST", "description": "Adds a user to the specified group.", "parameters": { "groupKey": { "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.group.member" ], "response": { "$ref": "Member" }, "request": { "$ref": "Member" }, "path": "admin/directory/v1/groups/{groupKey}/members", "flatPath": "admin/directory/v1/groups/{groupKey}/members" }, "update": { "id": "directory.members.update", "parameters": { "memberKey": { "type": "string", "description": "Identifies the group member in the API request. A group member can be a user or another group. The value can be the member's (group or user) primary email address, alias, or unique ID.", "required": true, "location": "path" }, "groupKey": { "required": true, "type": "string", "location": "path", "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID." } }, "flatPath": "admin/directory/v1/groups/{groupKey}/members/{memberKey}", "path": "admin/directory/v1/groups/{groupKey}/members/{memberKey}", "description": "Updates the membership of a user in the specified group.", "parameterOrder": [ "groupKey", "memberKey" ], "httpMethod": "PUT", "response": { "$ref": "Member" }, "request": { "$ref": "Member" }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.group.member" ] }, "patch": { "response": { "$ref": "Member" }, "parameters": { "groupKey": { "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID.", "required": true, "type": "string", "location": "path" }, "memberKey": { "location": "path", "type": "string", "description": "Identifies the group member in the API request. A group member can be a user or another group. The value can be the member's (group or user) primary email address, alias, or unique ID.", "required": true } }, "request": { "$ref": "Member" }, "path": "admin/directory/v1/groups/{groupKey}/members/{memberKey}", "flatPath": "admin/directory/v1/groups/{groupKey}/members/{memberKey}", "description": "Updates the membership properties of a user in the specified group. This method supports [patch semantics](/admin-sdk/directory/v1/guides/performance#patch).", "scopes": [ "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.group.member" ], "id": "directory.members.patch", "httpMethod": "PATCH", "parameterOrder": [ "groupKey", "memberKey" ] } } }, "schemas": { "methods": { "update": { "id": "directory.schemas.update", "flatPath": "admin/directory/v1/customer/{customerId}/schemas/{schemaKey}", "description": "Updates a schema.", "parameters": { "schemaKey": { "type": "string", "required": true, "description": "Name or immutable ID of the schema.", "location": "path" }, "customerId": { "type": "string", "required": true, "description": "Immutable ID of the Google Workspace account.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.userschema" ], "path": "admin/directory/v1/customer/{customerId}/schemas/{schemaKey}", "parameterOrder": [ "customerId", "schemaKey" ], "request": { "$ref": "Schema" }, "response": { "$ref": "Schema" }, "httpMethod": "PUT" }, "insert": { "httpMethod": "POST", "path": "admin/directory/v1/customer/{customerId}/schemas", "id": "directory.schemas.insert", "scopes": [ "https://www.googleapis.com/auth/admin.directory.userschema" ], "description": "Creates a schema.", "flatPath": "admin/directory/v1/customer/{customerId}/schemas", "parameters": { "customerId": { "required": true, "description": "Immutable ID of the Google Workspace account.", "location": "path", "type": "string" } }, "response": { "$ref": "Schema" }, "parameterOrder": [ "customerId" ], "request": { "$ref": "Schema" } }, "patch": { "response": { "$ref": "Schema" }, "parameters": { "customerId": { "required": true, "location": "path", "description": "Immutable ID of the Google Workspace account.", "type": "string" }, "schemaKey": { "type": "string", "location": "path", "description": "Name or immutable ID of the schema.", "required": true } }, "request": { "$ref": "Schema" }, "path": "admin/directory/v1/customer/{customerId}/schemas/{schemaKey}", "parameterOrder": [ "customerId", "schemaKey" ], "httpMethod": "PATCH", "id": "directory.schemas.patch", "description": "Patches a schema.", "flatPath": "admin/directory/v1/customer/{customerId}/schemas/{schemaKey}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.userschema" ] }, "get": { "flatPath": "admin/directory/v1/customer/{customerId}/schemas/{schemaKey}", "path": "admin/directory/v1/customer/{customerId}/schemas/{schemaKey}", "parameters": { "customerId": { "description": "Immutable ID of the Google Workspace account.", "required": true, "location": "path", "type": "string" }, "schemaKey": { "description": "Name or immutable ID of the schema.", "location": "path", "type": "string", "required": true } }, "id": "directory.schemas.get", "parameterOrder": [ "customerId", "schemaKey" ], "description": "Retrieves a schema.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.userschema", "https://www.googleapis.com/auth/admin.directory.userschema.readonly" ], "httpMethod": "GET", "response": { "$ref": "Schema" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.userschema", "https://www.googleapis.com/auth/admin.directory.userschema.readonly" ], "httpMethod": "GET", "description": "Retrieves all schemas for a customer.", "parameterOrder": [ "customerId" ], "flatPath": "admin/directory/v1/customer/{customerId}/schemas", "response": { "$ref": "Schemas" }, "path": "admin/directory/v1/customer/{customerId}/schemas", "id": "directory.schemas.list", "parameters": { "customerId": { "type": "string", "location": "path", "required": true, "description": "Immutable ID of the Google Workspace account." } } }, "delete": { "httpMethod": "DELETE", "description": "Deletes a schema.", "parameterOrder": [ "customerId", "schemaKey" ], "flatPath": "admin/directory/v1/customer/{customerId}/schemas/{schemaKey}", "id": "directory.schemas.delete", "path": "admin/directory/v1/customer/{customerId}/schemas/{schemaKey}", "parameters": { "customerId": { "description": "Immutable ID of the Google Workspace account.", "location": "path", "required": true, "type": "string" }, "schemaKey": { "description": "Name or immutable ID of the schema.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.userschema" ] } } }, "chromeosdevices": { "methods": { "moveDevicesToOu": { "id": "directory.chromeosdevices.moveDevicesToOu", "httpMethod": "POST", "flatPath": "admin/directory/v1/customer/{customerId}/devices/chromeos/moveDevicesToOu", "request": { "$ref": "ChromeOsMoveDevicesToOu" }, "description": "Moves or inserts multiple Chrome OS devices to an organizational unit. You can move up to 50 devices at once.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.chromeos" ], "parameterOrder": [ "customerId", "orgUnitPath" ], "parameters": { "orgUnitPath": { "location": "query", "type": "string", "description": "Full path of the target organizational unit or its ID", "required": true }, "customerId": { "location": "path", "type": "string", "required": true, "description": "Immutable ID of the Google Workspace account" } }, "path": "admin/directory/v1/customer/{customerId}/devices/chromeos/moveDevicesToOu" }, "action": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.chromeos" ], "parameterOrder": [ "customerId", "resourceId" ], "path": "admin/directory/v1/customer/{customerId}/devices/chromeos/{resourceId}/action", "id": "directory.chromeosdevices.action", "request": { "$ref": "ChromeOsDeviceAction" }, "description": "Takes an action that affects a Chrome OS Device. This includes deprovisioning, disabling, and re-enabling devices. *Warning:* LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deprovisioning a device will stop device policy syncing and remove device-level printers. After a device is deprovisioned, it must be wiped before it can be re-enrolled. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Lost or stolen devices should use the disable action. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Re-enabling a disabled device will consume a device license. If you do not have sufficient licenses available when completing the re-enable action, you will receive an error. For more information about deprovisioning and disabling devices, visit the [help center](https://support.google.com/chrome/a/answer/3523633).", "parameters": { "resourceId": { "required": true, "type": "string", "location": "path", "description": "The unique ID of the device. The `resourceId`s are returned in the response from the [chromeosdevices.list](/admin-sdk/directory/v1/reference/chromeosdevices/list) method." }, "customerId": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "type": "string", "required": true, "location": "path" } }, "httpMethod": "POST", "flatPath": "admin/directory/v1/customer/{customerId}/devices/chromeos/{resourceId}/action" }, "update": { "parameterOrder": [ "customerId", "deviceId" ], "response": { "$ref": "ChromeOsDevice" }, "request": { "$ref": "ChromeOsDevice" }, "id": "directory.chromeosdevices.update", "httpMethod": "PUT", "parameters": { "projection": { "type": "string", "enum": [ "BASIC", "FULL" ], "location": "query", "enumDescriptions": [ "Includes only the basic metadata fields (e.g., deviceId, serialNumber, status, and user)", "Includes all metadata fields" ], "description": "Restrict information returned to a set of selected fields." }, "deviceId": { "type": "string", "description": "The unique ID of the device. The `deviceId`s are returned in the response from the [chromeosdevices.list](/admin-sdk/v1/reference/chromeosdevices/list) method.", "location": "path", "required": true }, "customerId": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "required": true, "location": "path", "type": "string" } }, "flatPath": "admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}", "path": "admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}", "description": "Updates a device's updatable properties, such as `annotatedUser`, `annotatedLocation`, `notes`, `orgUnitPath`, or `annotatedAssetId`.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.chromeos" ] }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.chromeos" ], "parameters": { "projection": { "enum": [ "BASIC", "FULL" ], "location": "query", "type": "string", "description": "Restrict information returned to a set of selected fields.", "enumDescriptions": [ "Includes only the basic metadata fields (e.g., deviceId, serialNumber, status, and user)", "Includes all metadata fields" ] }, "deviceId": { "type": "string", "location": "path", "required": true, "description": "The unique ID of the device. The `deviceId`s are returned in the response from the [chromeosdevices.list](/admin-sdk/v1/reference/chromeosdevices/list) method." }, "customerId": { "location": "path", "type": "string", "required": true, "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users)." } }, "request": { "$ref": "ChromeOsDevice" }, "id": "directory.chromeosdevices.patch", "flatPath": "admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}", "description": "Updates a device's updatable properties, such as `annotatedUser`, `annotatedLocation`, `notes`, `orgUnitPath`, or `annotatedAssetId`. This method supports [patch semantics](/admin-sdk/directory/v1/guides/performance#patch).", "path": "admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}", "response": { "$ref": "ChromeOsDevice" }, "parameterOrder": [ "customerId", "deviceId" ] }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.chromeos", "https://www.googleapis.com/auth/admin.directory.device.chromeos.readonly" ], "response": { "$ref": "ChromeOsDevice" }, "description": "Retrieves a Chrome OS device's properties.", "parameterOrder": [ "customerId", "deviceId" ], "parameters": { "deviceId": { "location": "path", "type": "string", "description": "The unique ID of the device. The `deviceId`s are returned in the response from the [chromeosdevices.list](/admin-sdk/directory/v1/reference/chromeosdevices/list) method.", "required": true }, "projection": { "location": "query", "enumDescriptions": [ "Includes only the basic metadata fields (e.g., deviceId, serialNumber, status, and user)", "Includes all metadata fields" ], "enum": [ "BASIC", "FULL" ], "description": "Determines whether the response contains the full list of properties or only a subset.", "type": "string" }, "customerId": { "location": "path", "type": "string", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "required": true } }, "id": "directory.chromeosdevices.get", "flatPath": "admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}", "path": "admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.chromeos", "https://www.googleapis.com/auth/admin.directory.device.chromeos.readonly" ], "description": "Retrieves a paginated list of Chrome OS devices within an account.", "response": { "$ref": "ChromeOsDevices" }, "id": "directory.chromeosdevices.list", "path": "admin/directory/v1/customer/{customerId}/devices/chromeos", "parameters": { "maxResults": { "type": "integer", "description": "Maximum number of results to return.", "default": "100", "minimum": "1", "format": "int32", "location": "query" }, "projection": { "enumDescriptions": [ "Includes only the basic metadata fields (e.g., deviceId, serialNumber, status, and user)", "Includes all metadata fields" ], "location": "query", "description": "Restrict information returned to a set of selected fields.", "type": "string", "enum": [ "BASIC", "FULL" ] }, "query": { "type": "string", "description": "Search string in the format given at https://developers.google.com/admin-sdk/directory/v1/list-query-operators", "location": "query" }, "orgUnitPath": { "description": "The full path of the organizational unit (minus the leading `/`) or its unique ID.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "enumDescriptions": [ "Chrome device location as annotated by the administrator.", "Chromebook user as annotated by administrator.", "The date and time the Chrome device was last synchronized with the policy settings in the Admin console.", "Chrome device notes as annotated by the administrator.", "The Chrome device serial number entered when the device was enabled.", "Chrome device status. For more information, see the \u003ca [chromeosdevices](/admin-sdk/directory/v1/reference/chromeosdevices.html).", "Chrome device support end date. This is applicable only for devices purchased directly from Google." ], "enum": [ "annotatedLocation", "annotatedUser", "lastSync", "notes", "serialNumber", "status", "supportEndDate" ], "location": "query", "description": "Device property to use for sorting results." }, "includeChildOrgunits": { "type": "boolean", "description": "Return devices from all child orgunits, as well as the specified org unit. If this is set to true 'orgUnitPath' must be provided.", "location": "query" }, "customerId": { "location": "path", "type": "string", "required": true, "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users)." }, "sortOrder": { "description": "Whether to return results in ascending or descending order. Must be used with the `orderBy` parameter.", "enumDescriptions": [ "Ascending order.", "Descending order." ], "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "type": "string" }, "pageToken": { "description": "The `pageToken` query parameter is used to request the next page of query results. The follow-on request's `pageToken` query parameter is the `nextPageToken` from your previous response.", "location": "query", "type": "string" } }, "flatPath": "admin/directory/v1/customer/{customerId}/devices/chromeos", "parameterOrder": [ "customerId" ], "httpMethod": "GET" } } }, "users": { "resources": { "photos": { "methods": { "patch": { "description": "Adds a photo for the user. This method supports [patch semantics](/admin-sdk/directory/v1/guides/performance#patch).", "flatPath": "admin/directory/v1/users/{userKey}/photos/thumbnail", "parameters": { "userKey": { "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "UserPhoto" }, "httpMethod": "PATCH", "id": "directory.users.photos.patch", "path": "admin/directory/v1/users/{userKey}/photos/thumbnail", "parameterOrder": [ "userKey" ], "request": { "$ref": "UserPhoto" }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.user" ] }, "get": { "response": { "$ref": "UserPhoto" }, "path": "admin/directory/v1/users/{userKey}/photos/thumbnail", "description": "Retrieves the user's photo.", "flatPath": "admin/directory/v1/users/{userKey}/photos/thumbnail", "id": "directory.users.photos.get", "parameterOrder": [ "userKey" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/admin.directory.user.readonly" ], "parameters": { "userKey": { "type": "string", "location": "path", "required": true, "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID." } } }, "delete": { "description": "Removes the user's photo.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user" ], "parameters": { "userKey": { "required": true, "type": "string", "location": "path", "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID." } }, "path": "admin/directory/v1/users/{userKey}/photos/thumbnail", "parameterOrder": [ "userKey" ], "flatPath": "admin/directory/v1/users/{userKey}/photos/thumbnail", "httpMethod": "DELETE", "id": "directory.users.photos.delete" }, "update": { "id": "directory.users.photos.update", "description": "Adds a photo for the user.", "httpMethod": "PUT", "flatPath": "admin/directory/v1/users/{userKey}/photos/thumbnail", "parameters": { "userKey": { "location": "path", "required": true, "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.user" ], "response": { "$ref": "UserPhoto" }, "path": "admin/directory/v1/users/{userKey}/photos/thumbnail", "parameterOrder": [ "userKey" ], "request": { "$ref": "UserPhoto" } } } }, "aliases": { "methods": { "watch": { "path": "admin/directory/v1/users/{userKey}/aliases/watch", "id": "directory.users.aliases.watch", "description": "Watches for changes in users list.", "flatPath": "admin/directory/v1/users/{userKey}/aliases/watch", "httpMethod": "POST", "parameterOrder": [ "userKey" ], "request": { "$ref": "Channel" }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/admin.directory.user.alias", "https://www.googleapis.com/auth/admin.directory.user.alias.readonly", "https://www.googleapis.com/auth/admin.directory.user.readonly" ], "parameters": { "event": { "description": "Events to watch for.", "enumDescriptions": [ "Alias Created Event", "Alias Deleted Event" ], "location": "query", "enum": [ "add", "delete" ], "type": "string" }, "userKey": { "required": true, "description": "Email or immutable ID of the user", "location": "path", "type": "string" } }, "response": { "$ref": "Channel" } }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "userKey", "alias" ], "description": "Removes an alias.", "flatPath": "admin/directory/v1/users/{userKey}/aliases/{alias}", "parameters": { "alias": { "required": true, "type": "string", "location": "path", "description": "The alias to be removed." }, "userKey": { "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/admin.directory.user.alias" ], "id": "directory.users.aliases.delete", "path": "admin/directory/v1/users/{userKey}/aliases/{alias}" }, "list": { "response": { "$ref": "Aliases" }, "path": "admin/directory/v1/users/{userKey}/aliases", "parameters": { "event": { "description": "Events to watch for.", "location": "query", "enum": [ "add", "delete" ], "type": "string", "enumDescriptions": [ "Alias Created Event", "Alias Deleted Event" ] }, "userKey": { "location": "path", "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "required": true, "type": "string" } }, "description": "Lists all aliases for a user.", "id": "directory.users.aliases.list", "httpMethod": "GET", "flatPath": "admin/directory/v1/users/{userKey}/aliases", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/admin.directory.user.alias", "https://www.googleapis.com/auth/admin.directory.user.alias.readonly", "https://www.googleapis.com/auth/admin.directory.user.readonly" ], "parameterOrder": [ "userKey" ] }, "insert": { "parameters": { "userKey": { "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "Alias" }, "parameterOrder": [ "userKey" ], "path": "admin/directory/v1/users/{userKey}/aliases", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/admin.directory.user.alias" ], "httpMethod": "POST", "request": { "$ref": "Alias" }, "flatPath": "admin/directory/v1/users/{userKey}/aliases", "description": "Adds an alias.", "id": "directory.users.aliases.insert" } } } }, "methods": { "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/admin.directory.user.readonly" ], "description": "Retrieves a user.", "path": "admin/directory/v1/users/{userKey}", "response": { "$ref": "User" }, "flatPath": "admin/directory/v1/users/{userKey}", "id": "directory.users.get", "parameters": { "customFieldMask": { "location": "query", "type": "string", "description": "A comma-separated list of schema names. All fields from these schemas are fetched. This should only be set when `projection=custom`." }, "viewType": { "default": "admin_view", "description": "Whether to fetch the administrator-only or domain-wide public view of the user. For more information, see [Retrieve a user as a non-administrator](/admin-sdk/directory/v1/guides/manage-users#retrieve_users_non_admin).", "enumDescriptions": [ "Results include both administrator-only and domain-public fields for the user.", "Results only include fields for the user that are publicly visible to other users in the domain." ], "type": "string", "enum": [ "admin_view", "domain_public" ], "location": "query" }, "projection": { "description": "What subset of fields to fetch for this user.", "default": "basic", "type": "string", "enum": [ "basic", "custom", "full" ], "location": "query", "enumDescriptions": [ "Do not include any custom fields for the user.", "Include custom fields from schemas requested in `customFieldMask`.", "Include all fields associated with this user." ] }, "userKey": { "required": true, "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "location": "path", "type": "string" } }, "parameterOrder": [ "userKey" ] }, "makeAdmin": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.user" ], "description": "Makes a user a super administrator.", "id": "directory.users.makeAdmin", "parameterOrder": [ "userKey" ], "request": { "$ref": "UserMakeAdmin" }, "path": "admin/directory/v1/users/{userKey}/makeAdmin", "flatPath": "admin/directory/v1/users/{userKey}/makeAdmin", "httpMethod": "POST", "parameters": { "userKey": { "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "location": "path", "type": "string", "required": true } } }, "insert": { "flatPath": "admin/directory/v1/users", "httpMethod": "POST", "request": { "$ref": "User" }, "response": { "$ref": "User" }, "id": "directory.users.insert", "path": "admin/directory/v1/users", "description": "Creates a user.", "parameterOrder": [], "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/admin.directory.user" ] }, "list": { "flatPath": "admin/directory/v1/users", "httpMethod": "GET", "response": { "$ref": "Users" }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/admin.directory.user.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "orderBy": { "type": "string", "enum": [ "email", "familyName", "givenName" ], "location": "query", "enumDescriptions": [ "Primary email of the user.", "User's family name.", "User's given name." ], "description": "Property to use for sorting results." }, "domain": { "type": "string", "location": "query", "description": "The domain name. Use this field to get groups from only one domain. To return all domains for a customer account, use the `customer` query parameter instead. Either the `customer` or the `domain` parameter must be provided." }, "customer": { "location": "query", "description": "The unique ID for the customer's Google Workspace account. In case of a multi-domain account, to fetch all groups for a customer, fill this field instead of domain. You can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users). Either the `customer` or the `domain` parameter must be provided.", "type": "string" }, "sortOrder": { "type": "string", "enumDescriptions": [ "Ascending order.", "Descending order." ], "location": "query", "description": "Whether to return results in ascending or descending order, ignoring case.", "enum": [ "ASCENDING", "DESCENDING" ] }, "projection": { "description": "What subset of fields to fetch for this user.", "enum": [ "basic", "custom", "full" ], "default": "basic", "enumDescriptions": [ "Do not include any custom fields for the user.", "Include custom fields from schemas requested in `customFieldMask`.", "Include all fields associated with this user." ], "location": "query", "type": "string" }, "event": { "description": "Event on which subscription is intended (if subscribing)", "enumDescriptions": [ "User Created Event", "User Deleted Event", "User Admin Status Change Event", "User Undeleted Event", "User Updated Event" ], "type": "string", "enum": [ "add", "delete", "makeAdmin", "undelete", "update" ], "location": "query" }, "maxResults": { "location": "query", "description": "Maximum number of results to return.", "maximum": "500", "minimum": "1", "type": "integer", "format": "int32", "default": "100" }, "customFieldMask": { "description": "A comma-separated list of schema names. All fields from these schemas are fetched. This should only be set when `projection=custom`.", "location": "query", "type": "string" }, "showDeleted": { "description": "If set to `true`, retrieves the list of deleted users. (Default: `false`)", "location": "query", "type": "string" }, "query": { "description": "Query string for searching user fields. For more information on constructing user queries, see [Search for Users](/admin-sdk/directory/v1/guides/search-users).", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Token to specify next page in the list" }, "viewType": { "location": "query", "default": "admin_view", "enum": [ "admin_view", "domain_public" ], "description": "Whether to fetch the administrator-only or domain-wide public view of the user. For more information, see [Retrieve a user as a non-administrator](/admin-sdk/directory/v1/guides/manage-users#retrieve_users_non_admin).", "enumDescriptions": [ "Results include both administrator-only and domain-public fields for the user.", "Results only include fields for the user that are publicly visible to other users in the domain." ], "type": "string" } }, "id": "directory.users.list", "parameterOrder": [], "description": "Retrieves a paginated list of either deleted users or all users in a domain.", "path": "admin/directory/v1/users" }, "watch": { "response": { "$ref": "Channel" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/admin.directory.user.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [], "flatPath": "admin/directory/v1/users/watch", "description": "Watches for changes in users list.", "path": "admin/directory/v1/users/watch", "id": "directory.users.watch", "parameters": { "maxResults": { "maximum": "500", "description": "Maximum number of results to return.", "format": "int32", "minimum": "1", "location": "query", "type": "integer", "default": "100" }, "event": { "location": "query", "enum": [ "add", "delete", "makeAdmin", "undelete", "update" ], "enumDescriptions": [ "User Created Event", "User Deleted Event", "User Admin Status Change Event", "User Undeleted Event", "User Updated Event" ], "type": "string", "description": "Events to watch for." }, "orderBy": { "location": "query", "description": "Column to use for sorting results", "type": "string", "enum": [ "email", "familyName", "givenName" ], "enumDescriptions": [ "Primary email of the user.", "User's family name.", "User's given name." ] }, "showDeleted": { "location": "query", "description": "If set to true, retrieves the list of deleted users. (Default: false)", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Token to specify next page in the list" }, "viewType": { "enum": [ "admin_view", "domain_public" ], "location": "query", "description": "Whether to fetch the administrator-only or domain-wide public view of the user. For more information, see [Retrieve a user as a non-administrator](/admin-sdk/directory/v1/guides/manage-users#retrieve_users_non_admin).", "default": "admin_view", "type": "string", "enumDescriptions": [ "Results include both administrator-only and domain-public fields.", "Results only include fields for the user that are publicly visible to other users in the domain." ] }, "sortOrder": { "type": "string", "location": "query", "enumDescriptions": [ "Ascending order.", "Descending order." ], "enum": [ "ASCENDING", "DESCENDING" ], "description": "Whether to return results in ascending or descending order." }, "projection": { "enum": [ "basic", "custom", "full" ], "enumDescriptions": [ "Do not include any custom fields for the user.", "Include custom fields from schemas mentioned in customFieldMask.", "Include all fields associated with this user." ], "description": "What subset of fields to fetch for this user.", "default": "basic", "type": "string", "location": "query" }, "customer": { "description": "Immutable ID of the Google Workspace account. In case of multi-domain, to fetch all users for a customer, fill this field instead of domain.", "type": "string", "location": "query" }, "customFieldMask": { "location": "query", "description": "Comma-separated list of schema names. All fields from these schemas are fetched. This should only be set when projection=custom.", "type": "string" }, "domain": { "location": "query", "description": "Name of the domain. Fill this field to get users from only this domain. To return all users in a multi-domain fill customer field instead.\"", "type": "string" }, "query": { "description": "Query string search. Should be of the form \"\". Complete documentation is at https: //developers.google.com/admin-sdk/directory/v1/guides/search-users", "location": "query", "type": "string" } }, "request": { "$ref": "Channel" } }, "delete": { "httpMethod": "DELETE", "description": "Deletes a user.", "flatPath": "admin/directory/v1/users/{userKey}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user" ], "parameters": { "userKey": { "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "userKey" ], "path": "admin/directory/v1/users/{userKey}", "id": "directory.users.delete" }, "signOut": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ], "parameterOrder": [ "userKey" ], "description": "Signs a user out of all web and device sessions and reset their sign-in cookies. User will have to sign in by authenticating again.", "parameters": { "userKey": { "type": "string", "required": true, "description": "Identifies the target user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "location": "path" } }, "flatPath": "admin/directory/v1/users/{userKey}/signOut", "id": "directory.users.signOut", "path": "admin/directory/v1/users/{userKey}/signOut", "httpMethod": "POST" }, "patch": { "httpMethod": "PATCH", "parameterOrder": [ "userKey" ], "id": "directory.users.patch", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user" ], "description": "Updates a user using patch semantics. The update method should be used instead, since it also supports patch semantics and has better performance. This method is unable to clear fields that contain repeated objects (`addresses`, `phones`, etc). Use the update method instead.", "parameters": { "userKey": { "type": "string", "required": true, "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "location": "path" } }, "response": { "$ref": "User" }, "flatPath": "admin/directory/v1/users/{userKey}", "path": "admin/directory/v1/users/{userKey}", "request": { "$ref": "User" } }, "update": { "parameterOrder": [ "userKey" ], "path": "admin/directory/v1/users/{userKey}", "description": "Updates a user. This method supports patch semantics, meaning you only need to include the fields you wish to update. Fields that are not present in the request will be preserved, and fields set to `null` will be cleared.", "parameters": { "userKey": { "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "location": "path", "required": true, "type": "string" } }, "flatPath": "admin/directory/v1/users/{userKey}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user" ], "request": { "$ref": "User" }, "httpMethod": "PUT", "response": { "$ref": "User" }, "id": "directory.users.update" }, "undelete": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.user" ], "parameterOrder": [ "userKey" ], "description": "Undeletes a deleted user.", "request": { "$ref": "UserUndelete" }, "flatPath": "admin/directory/v1/users/{userKey}/undelete", "id": "directory.users.undelete", "parameters": { "userKey": { "location": "path", "type": "string", "required": true, "description": "The immutable id of the user" } }, "httpMethod": "POST", "path": "admin/directory/v1/users/{userKey}/undelete" } } }, "mobiledevices": { "methods": { "delete": { "id": "directory.mobiledevices.delete", "description": "Removes a mobile device.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.mobile" ], "parameters": { "customerId": { "location": "path", "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "required": true, "type": "string" }, "resourceId": { "location": "path", "type": "string", "required": true, "description": "The unique ID the API service uses to identify the mobile device." } }, "httpMethod": "DELETE", "parameterOrder": [ "customerId", "resourceId" ], "flatPath": "admin/directory/v1/customer/{customerId}/devices/mobile/{resourceId}", "path": "admin/directory/v1/customer/{customerId}/devices/mobile/{resourceId}" }, "get": { "flatPath": "admin/directory/v1/customer/{customerId}/devices/mobile/{resourceId}", "path": "admin/directory/v1/customer/{customerId}/devices/mobile/{resourceId}", "description": "Retrieves a mobile device's properties.", "id": "directory.mobiledevices.get", "parameterOrder": [ "customerId", "resourceId" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.mobile", "https://www.googleapis.com/auth/admin.directory.device.mobile.action", "https://www.googleapis.com/auth/admin.directory.device.mobile.readonly" ], "parameters": { "resourceId": { "description": "The unique ID the API service uses to identify the mobile device.", "location": "path", "type": "string", "required": true }, "customerId": { "required": true, "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "location": "path", "type": "string" }, "projection": { "type": "string", "enum": [ "BASIC", "FULL" ], "enumDescriptions": [ "Includes only the basic metadata fields (e.g., deviceId, model, status, type, and status)", "Includes all metadata fields" ], "description": "Restrict information returned to a set of selected fields.", "location": "query" } }, "response": { "$ref": "MobileDevice" } }, "list": { "flatPath": "admin/directory/v1/customer/{customerId}/devices/mobile", "httpMethod": "GET", "response": { "$ref": "MobileDevices" }, "parameters": { "projection": { "enumDescriptions": [ "Includes only the basic metadata fields (e.g., deviceId, model, status, type, and status)", "Includes all metadata fields" ], "description": "Restrict information returned to a set of selected fields.", "location": "query", "enum": [ "BASIC", "FULL" ], "type": "string" }, "maxResults": { "default": "100", "format": "int32", "type": "integer", "maximum": "100", "minimum": "1", "description": "Maximum number of results to return. Max allowed value is 100.", "location": "query" }, "customerId": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "location": "path", "required": true, "type": "string" }, "pageToken": { "description": "Token to specify next page in the list", "type": "string", "location": "query" }, "query": { "location": "query", "description": "Search string in the format given at https://developers.google.com/admin-sdk/directory/v1/search-operators", "type": "string" }, "sortOrder": { "location": "query", "description": "Whether to return results in ascending or descending order. Must be used with the `orderBy` parameter.", "enumDescriptions": [ "Ascending order.", "Descending order." ], "type": "string", "enum": [ "ASCENDING", "DESCENDING" ] }, "orderBy": { "location": "query", "type": "string", "description": "Device property to use for sorting results.", "enumDescriptions": [ "The serial number for a Google Sync mobile device. For Android devices, this is a software generated unique identifier.", "The device owner's email address.", "Last policy settings sync date time of the device.", "The mobile device's model.", "The device owner's user name.", "The device's operating system.", "The device status.", "Type of the device." ], "enum": [ "deviceId", "email", "lastSync", "model", "name", "os", "status", "type" ] } }, "parameterOrder": [ "customerId" ], "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.mobile", "https://www.googleapis.com/auth/admin.directory.device.mobile.action", "https://www.googleapis.com/auth/admin.directory.device.mobile.readonly" ], "path": "admin/directory/v1/customer/{customerId}/devices/mobile", "description": "Retrieves a paginated list of all user-owned mobile devices for an account. To retrieve a list that includes company-owned devices, use the Cloud Identity [Devices API](https://cloud.google.com/identity/docs/concepts/overview-devices) instead.", "id": "directory.mobiledevices.list" }, "action": { "flatPath": "admin/directory/v1/customer/{customerId}/devices/mobile/{resourceId}/action", "description": "Takes an action that affects a mobile device. For example, remotely wiping a device.", "path": "admin/directory/v1/customer/{customerId}/devices/mobile/{resourceId}/action", "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.mobile", "https://www.googleapis.com/auth/admin.directory.device.mobile.action" ], "parameterOrder": [ "customerId", "resourceId" ], "id": "directory.mobiledevices.action", "parameters": { "resourceId": { "type": "string", "description": "The unique ID the API service uses to identify the mobile device.", "location": "path", "required": true }, "customerId": { "description": "The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](/admin-sdk/directory/v1/reference/users).", "required": true, "type": "string", "location": "path" } }, "request": { "$ref": "MobileDeviceAction" }, "httpMethod": "POST" } } }, "roles": { "methods": { "get": { "description": "Retrieves a role.", "parameters": { "customer": { "type": "string", "required": true, "description": "Immutable ID of the Google Workspace account.", "location": "path" }, "roleId": { "required": true, "location": "path", "description": "Immutable ID of the role.", "type": "string" } }, "id": "directory.roles.get", "path": "admin/directory/v1/customer/{customer}/roles/{roleId}", "httpMethod": "GET", "flatPath": "admin/directory/v1/customer/{customer}/roles/{roleId}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement", "https://www.googleapis.com/auth/admin.directory.rolemanagement.readonly" ], "response": { "$ref": "Role" }, "parameterOrder": [ "customer", "roleId" ] }, "list": { "parameterOrder": [ "customer" ], "description": "Retrieves a paginated list of all the roles in a domain.", "response": { "$ref": "Roles" }, "id": "directory.roles.list", "parameters": { "customer": { "location": "path", "required": true, "type": "string", "description": "Immutable ID of the Google Workspace account." }, "maxResults": { "minimum": "1", "type": "integer", "format": "int32", "maximum": "100", "description": "Maximum number of results to return.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Token to specify the next page in the list." } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement", "https://www.googleapis.com/auth/admin.directory.rolemanagement.readonly" ], "flatPath": "admin/directory/v1/customer/{customer}/roles", "path": "admin/directory/v1/customer/{customer}/roles", "httpMethod": "GET" }, "patch": { "parameters": { "customer": { "location": "path", "description": "Immutable ID of the Google Workspace account.", "required": true, "type": "string" }, "roleId": { "required": true, "description": "Immutable ID of the role.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement" ], "path": "admin/directory/v1/customer/{customer}/roles/{roleId}", "request": { "$ref": "Role" }, "id": "directory.roles.patch", "flatPath": "admin/directory/v1/customer/{customer}/roles/{roleId}", "response": { "$ref": "Role" }, "httpMethod": "PATCH", "description": "Patches a role.", "parameterOrder": [ "customer", "roleId" ] }, "delete": { "description": "Deletes a role.", "parameterOrder": [ "customer", "roleId" ], "flatPath": "admin/directory/v1/customer/{customer}/roles/{roleId}", "parameters": { "customer": { "type": "string", "location": "path", "description": "Immutable ID of the Google Workspace account.", "required": true }, "roleId": { "type": "string", "location": "path", "required": true, "description": "Immutable ID of the role." } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement" ], "path": "admin/directory/v1/customer/{customer}/roles/{roleId}", "httpMethod": "DELETE", "id": "directory.roles.delete" }, "update": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement" ], "parameterOrder": [ "customer", "roleId" ], "path": "admin/directory/v1/customer/{customer}/roles/{roleId}", "parameters": { "roleId": { "description": "Immutable ID of the role.", "type": "string", "required": true, "location": "path" }, "customer": { "location": "path", "required": true, "description": "Immutable ID of the Google Workspace account.", "type": "string" } }, "httpMethod": "PUT", "request": { "$ref": "Role" }, "response": { "$ref": "Role" }, "id": "directory.roles.update", "flatPath": "admin/directory/v1/customer/{customer}/roles/{roleId}", "description": "Updates a role." }, "insert": { "parameterOrder": [ "customer" ], "flatPath": "admin/directory/v1/customer/{customer}/roles", "description": "Creates a role.", "id": "directory.roles.insert", "request": { "$ref": "Role" }, "response": { "$ref": "Role" }, "parameters": { "customer": { "required": true, "type": "string", "location": "path", "description": "Immutable ID of the Google Workspace account." } }, "path": "admin/directory/v1/customer/{customer}/roles", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement" ] } } }, "customer": { "resources": { "devices": { "resources": { "chromeos": { "methods": { "issueCommand": { "httpMethod": "POST", "id": "admin.customer.devices.chromeos.issueCommand", "request": { "$ref": "DirectoryChromeosdevicesIssueCommandRequest" }, "parameterOrder": [ "customerId", "deviceId" ], "flatPath": "admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}:issueCommand", "response": { "$ref": "DirectoryChromeosdevicesIssueCommandResponse" }, "parameters": { "customerId": { "location": "path", "description": "Immutable. Immutable ID of the Google Workspace account.", "type": "string", "required": true }, "deviceId": { "required": true, "type": "string", "location": "path", "description": "Immutable. Immutable ID of Chrome OS Device." } }, "path": "admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}:issueCommand", "description": "Issues a command for the device to execute.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.chromeos" ] } }, "resources": { "commands": { "methods": { "get": { "response": { "$ref": "DirectoryChromeosdevicesCommand" }, "parameterOrder": [ "customerId", "deviceId", "commandId" ], "httpMethod": "GET", "id": "admin.customer.devices.chromeos.commands.get", "description": "Gets command data a specific command issued to the device.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.device.chromeos", "https://www.googleapis.com/auth/admin.directory.device.chromeos.readonly" ], "parameters": { "customerId": { "required": true, "type": "string", "location": "path", "description": "Immutable. Immutable ID of the Google Workspace account." }, "deviceId": { "type": "string", "location": "path", "description": "Immutable. Immutable ID of Chrome OS Device.", "required": true }, "commandId": { "location": "path", "format": "int64", "type": "string", "description": "Immutable. Immutable ID of Chrome OS Device Command.", "required": true } }, "flatPath": "admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}/commands/{commandId}", "path": "admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}/commands/{commandId}" } } } } } } } } }, "asps": { "methods": { "delete": { "flatPath": "admin/directory/v1/users/{userKey}/asps/{codeId}", "parameters": { "codeId": { "format": "int32", "location": "path", "description": "The unique ID of the ASP to be deleted.", "required": true, "type": "integer" }, "userKey": { "location": "path", "required": true, "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "type": "string" } }, "httpMethod": "DELETE", "parameterOrder": [ "userKey", "codeId" ], "description": "Deletes an ASP issued by a user.", "id": "directory.asps.delete", "path": "admin/directory/v1/users/{userKey}/asps/{codeId}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ] }, "get": { "id": "directory.asps.get", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ], "response": { "$ref": "Asp" }, "parameters": { "userKey": { "type": "string", "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "location": "path", "required": true }, "codeId": { "location": "path", "type": "integer", "required": true, "description": "The unique ID of the ASP.", "format": "int32" } }, "description": "Gets information about an ASP issued by a user.", "httpMethod": "GET", "flatPath": "admin/directory/v1/users/{userKey}/asps/{codeId}", "path": "admin/directory/v1/users/{userKey}/asps/{codeId}", "parameterOrder": [ "userKey", "codeId" ] }, "list": { "description": "Lists the ASPs issued by a user.", "parameters": { "userKey": { "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "userKey" ], "response": { "$ref": "Asps" }, "id": "directory.asps.list", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ], "httpMethod": "GET", "path": "admin/directory/v1/users/{userKey}/asps", "flatPath": "admin/directory/v1/users/{userKey}/asps" } } }, "roleAssignments": { "methods": { "insert": { "id": "directory.roleAssignments.insert", "httpMethod": "POST", "flatPath": "admin/directory/v1/customer/{customer}/roleassignments", "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement" ], "request": { "$ref": "RoleAssignment" }, "description": "Creates a role assignment.", "path": "admin/directory/v1/customer/{customer}/roleassignments", "parameterOrder": [ "customer" ], "parameters": { "customer": { "description": "Immutable ID of the Google Workspace account.", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "RoleAssignment" } }, "list": { "description": "Retrieves a paginated list of all roleAssignments.", "response": { "$ref": "RoleAssignments" }, "flatPath": "admin/directory/v1/customer/{customer}/roleassignments", "httpMethod": "GET", "parameters": { "userKey": { "location": "query", "type": "string", "description": "The user's primary email address, alias email address, or unique user ID. If included in the request, returns role assignments only for this user." }, "roleId": { "location": "query", "type": "string", "description": "Immutable ID of a role. If included in the request, returns only role assignments containing this role ID." }, "customer": { "type": "string", "location": "path", "description": "Immutable ID of the Google Workspace account.", "required": true }, "maxResults": { "description": "Maximum number of results to return.", "maximum": "200", "location": "query", "format": "int32", "type": "integer", "minimum": "1" }, "pageToken": { "location": "query", "description": "Token to specify the next page in the list.", "type": "string" } }, "parameterOrder": [ "customer" ], "path": "admin/directory/v1/customer/{customer}/roleassignments", "id": "directory.roleAssignments.list", "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement", "https://www.googleapis.com/auth/admin.directory.rolemanagement.readonly" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement", "https://www.googleapis.com/auth/admin.directory.rolemanagement.readonly" ], "response": { "$ref": "RoleAssignment" }, "id": "directory.roleAssignments.get", "parameters": { "roleAssignmentId": { "location": "path", "description": "Immutable ID of the role assignment.", "required": true, "type": "string" }, "customer": { "required": true, "description": "Immutable ID of the Google Workspace account.", "location": "path", "type": "string" } }, "description": "Retrieves a role assignment.", "parameterOrder": [ "customer", "roleAssignmentId" ], "flatPath": "admin/directory/v1/customer/{customer}/roleassignments/{roleAssignmentId}", "httpMethod": "GET", "path": "admin/directory/v1/customer/{customer}/roleassignments/{roleAssignmentId}" }, "delete": { "parameters": { "customer": { "location": "path", "description": "Immutable ID of the Google Workspace account.", "type": "string", "required": true }, "roleAssignmentId": { "type": "string", "location": "path", "description": "Immutable ID of the role assignment.", "required": true } }, "description": "Deletes a role assignment.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement" ], "id": "directory.roleAssignments.delete", "flatPath": "admin/directory/v1/customer/{customer}/roleassignments/{roleAssignmentId}", "httpMethod": "DELETE", "path": "admin/directory/v1/customer/{customer}/roleassignments/{roleAssignmentId}", "parameterOrder": [ "customer", "roleAssignmentId" ] } } }, "privileges": { "methods": { "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/admin.directory.rolemanagement", "https://www.googleapis.com/auth/admin.directory.rolemanagement.readonly" ], "parameters": { "customer": { "type": "string", "required": true, "location": "path", "description": "Immutable ID of the Google Workspace account." } }, "flatPath": "admin/directory/v1/customer/{customer}/roles/ALL/privileges", "path": "admin/directory/v1/customer/{customer}/roles/ALL/privileges", "id": "directory.privileges.list", "response": { "$ref": "Privileges" }, "description": "Retrieves a paginated list of all privileges for a customer.", "parameterOrder": [ "customer" ] } } }, "channels": { "methods": { "stop": { "request": { "$ref": "Channel" }, "parameterOrder": [], "path": "admin/directory_v1/channels/stop", "httpMethod": "POST", "id": "admin.channels.stop", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/admin.directory.user.alias", "https://www.googleapis.com/auth/admin.directory.user.alias.readonly", "https://www.googleapis.com/auth/admin.directory.user.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Stops watching resources through this channel.", "parameters": {}, "flatPath": "admin/directory_v1/channels/stop" } } }, "domainAliases": { "methods": { "insert": { "flatPath": "admin/directory/v1/customer/{customer}/domainaliases", "httpMethod": "POST", "parameterOrder": [ "customer" ], "request": { "$ref": "DomainAlias" }, "path": "admin/directory/v1/customer/{customer}/domainaliases", "description": "Inserts a domain alias of the customer.", "id": "directory.domainAliases.insert", "scopes": [ "https://www.googleapis.com/auth/admin.directory.domain" ], "parameters": { "customer": { "type": "string", "description": "Immutable ID of the Google Workspace account.", "location": "path", "required": true } }, "response": { "$ref": "DomainAlias" } }, "get": { "description": "Retrieves a domain alias of the customer.", "path": "admin/directory/v1/customer/{customer}/domainaliases/{domainAliasName}", "parameters": { "domainAliasName": { "description": "Name of domain alias to be retrieved.", "required": true, "type": "string", "location": "path" }, "customer": { "type": "string", "location": "path", "description": "Immutable ID of the Google Workspace account.", "required": true } }, "httpMethod": "GET", "flatPath": "admin/directory/v1/customer/{customer}/domainaliases/{domainAliasName}", "response": { "$ref": "DomainAlias" }, "id": "directory.domainAliases.get", "scopes": [ "https://www.googleapis.com/auth/admin.directory.domain", "https://www.googleapis.com/auth/admin.directory.domain.readonly" ], "parameterOrder": [ "customer", "domainAliasName" ] }, "delete": { "parameters": { "domainAliasName": { "location": "path", "description": "Name of domain alias to be retrieved.", "type": "string", "required": true }, "customer": { "required": true, "location": "path", "description": "Immutable ID of the Google Workspace account.", "type": "string" } }, "parameterOrder": [ "customer", "domainAliasName" ], "scopes": [ "https://www.googleapis.com/auth/admin.directory.domain" ], "description": "Deletes a domain Alias of the customer.", "id": "directory.domainAliases.delete", "flatPath": "admin/directory/v1/customer/{customer}/domainaliases/{domainAliasName}", "httpMethod": "DELETE", "path": "admin/directory/v1/customer/{customer}/domainaliases/{domainAliasName}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.domain", "https://www.googleapis.com/auth/admin.directory.domain.readonly" ], "parameterOrder": [ "customer" ], "description": "Lists the domain aliases of the customer.", "path": "admin/directory/v1/customer/{customer}/domainaliases", "flatPath": "admin/directory/v1/customer/{customer}/domainaliases", "parameters": { "parentDomainName": { "location": "query", "description": "Name of the parent domain for which domain aliases are to be fetched.", "type": "string" }, "customer": { "type": "string", "required": true, "description": "Immutable ID of the Google Workspace account.", "location": "path" } }, "id": "directory.domainAliases.list", "httpMethod": "GET", "response": { "$ref": "DomainAliases" } } } }, "tokens": { "methods": { "get": { "path": "admin/directory/v1/users/{userKey}/tokens/{clientId}", "httpMethod": "GET", "response": { "$ref": "Token" }, "id": "directory.tokens.get", "description": "Gets information about an access token issued by a user.", "parameterOrder": [ "userKey", "clientId" ], "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ], "flatPath": "admin/directory/v1/users/{userKey}/tokens/{clientId}", "parameters": { "clientId": { "description": "The Client ID of the application the token is issued to.", "required": true, "type": "string", "location": "path" }, "userKey": { "location": "path", "required": true, "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "type": "string" } } }, "list": { "description": "Returns the set of tokens specified user has issued to 3rd party applications.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ], "flatPath": "admin/directory/v1/users/{userKey}/tokens", "parameters": { "userKey": { "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "required": true, "type": "string", "location": "path" } }, "httpMethod": "GET", "path": "admin/directory/v1/users/{userKey}/tokens", "response": { "$ref": "Tokens" }, "parameterOrder": [ "userKey" ], "id": "directory.tokens.list" }, "delete": { "flatPath": "admin/directory/v1/users/{userKey}/tokens/{clientId}", "parameters": { "clientId": { "type": "string", "description": "The Client ID of the application the token is issued to.", "required": true, "location": "path" }, "userKey": { "required": true, "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID.", "location": "path", "type": "string" } }, "parameterOrder": [ "userKey", "clientId" ], "path": "admin/directory/v1/users/{userKey}/tokens/{clientId}", "id": "directory.tokens.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ], "description": "Deletes all access tokens issued by a user for an application." } } }, "groups": { "methods": { "get": { "id": "directory.groups.get", "description": "Retrieves a group's properties.", "scopes": [ "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.group.readonly" ], "response": { "$ref": "Group" }, "parameters": { "groupKey": { "required": true, "type": "string", "location": "path", "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID." } }, "path": "admin/directory/v1/groups/{groupKey}", "httpMethod": "GET", "parameterOrder": [ "groupKey" ], "flatPath": "admin/directory/v1/groups/{groupKey}" }, "update": { "id": "directory.groups.update", "flatPath": "admin/directory/v1/groups/{groupKey}", "httpMethod": "PUT", "parameterOrder": [ "groupKey" ], "response": { "$ref": "Group" }, "request": { "$ref": "Group" }, "parameters": { "groupKey": { "location": "path", "type": "string", "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID.", "required": true } }, "path": "admin/directory/v1/groups/{groupKey}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.group" ], "description": "Updates a group's properties." }, "delete": { "id": "directory.groups.delete", "flatPath": "admin/directory/v1/groups/{groupKey}", "httpMethod": "DELETE", "path": "admin/directory/v1/groups/{groupKey}", "parameterOrder": [ "groupKey" ], "scopes": [ "https://www.googleapis.com/auth/admin.directory.group" ], "description": "Deletes a group.", "parameters": { "groupKey": { "location": "path", "required": true, "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID.", "type": "string" } } }, "insert": { "flatPath": "admin/directory/v1/groups", "response": { "$ref": "Group" }, "path": "admin/directory/v1/groups", "request": { "$ref": "Group" }, "id": "directory.groups.insert", "httpMethod": "POST", "parameterOrder": [], "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/admin.directory.group" ], "description": "Creates a group." }, "patch": { "parameters": { "groupKey": { "location": "path", "type": "string", "required": true, "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID." } }, "response": { "$ref": "Group" }, "flatPath": "admin/directory/v1/groups/{groupKey}", "path": "admin/directory/v1/groups/{groupKey}", "description": "Updates a group's properties. This method supports [patch semantics](/admin-sdk/directory/v1/guides/performance#patch).", "parameterOrder": [ "groupKey" ], "request": { "$ref": "Group" }, "id": "directory.groups.patch", "scopes": [ "https://www.googleapis.com/auth/admin.directory.group" ], "httpMethod": "PATCH" }, "list": { "description": "Retrieves all groups of a domain or of a user given a userKey (paginated).", "httpMethod": "GET", "parameters": { "query": { "description": "Query string search. Should be of the form \"\". Complete documentation is at https: //developers.google.com/admin-sdk/directory/v1/guides/search-groups", "location": "query", "type": "string" }, "customer": { "type": "string", "location": "query", "description": "The unique ID for the customer's Google Workspace account. In case of a multi-domain account, to fetch all groups for a customer, fill in this field instead of `domain`. You can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users](/admin-sdk/directory/v1/reference/users) resource. Either the `customer` or the `domain` parameter must be provided." }, "orderBy": { "enumDescriptions": [ "Email of the group." ], "description": "Column to use for sorting results", "type": "string", "location": "query", "enum": [ "email" ] }, "sortOrder": { "type": "string", "description": "Whether to return results in ascending or descending order. Only of use when orderBy is also used", "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "enumDescriptions": [ "Ascending order.", "Descending order." ] }, "domain": { "description": "The domain name. Use this field to get groups from only one domain. To return all domains for a customer account, use the `customer` query parameter instead.", "location": "query", "type": "string" }, "maxResults": { "type": "integer", "location": "query", "default": "200", "minimum": "1", "format": "int32", "description": "Maximum number of results to return. Max allowed value is 200." }, "userKey": { "description": "Email or immutable ID of the user if only those groups are to be listed, the given user is a member of. If it's an ID, it should match with the ID of the user object.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Token to specify next page in the list" } }, "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.group.readonly" ], "flatPath": "admin/directory/v1/groups", "response": { "$ref": "Groups" }, "id": "directory.groups.list", "path": "admin/directory/v1/groups" } }, "resources": { "aliases": { "methods": { "list": { "parameterOrder": [ "groupKey" ], "parameters": { "groupKey": { "location": "path", "type": "string", "required": true, "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID." } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.group.readonly" ], "flatPath": "admin/directory/v1/groups/{groupKey}/aliases", "id": "directory.groups.aliases.list", "path": "admin/directory/v1/groups/{groupKey}/aliases", "response": { "$ref": "Aliases" }, "description": "Lists all aliases for a group.", "httpMethod": "GET" }, "insert": { "description": "Adds an alias for the group.", "id": "directory.groups.aliases.insert", "flatPath": "admin/directory/v1/groups/{groupKey}/aliases", "path": "admin/directory/v1/groups/{groupKey}/aliases", "request": { "$ref": "Alias" }, "parameterOrder": [ "groupKey" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/admin.directory.group" ], "parameters": { "groupKey": { "location": "path", "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID.", "required": true, "type": "string" } }, "response": { "$ref": "Alias" } }, "delete": { "flatPath": "admin/directory/v1/groups/{groupKey}/aliases/{alias}", "description": "Removes an alias.", "parameters": { "groupKey": { "description": "Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID.", "type": "string", "required": true, "location": "path" }, "alias": { "required": true, "description": "The alias to be removed", "type": "string", "location": "path" } }, "parameterOrder": [ "groupKey", "alias" ], "id": "directory.groups.aliases.delete", "path": "admin/directory/v1/groups/{groupKey}/aliases/{alias}", "scopes": [ "https://www.googleapis.com/auth/admin.directory.group" ], "httpMethod": "DELETE" } } } } }, "domains": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/admin.directory.domain", "https://www.googleapis.com/auth/admin.directory.domain.readonly" ], "parameterOrder": [ "customer", "domainName" ], "httpMethod": "GET", "path": "admin/directory/v1/customer/{customer}/domains/{domainName}", "id": "directory.domains.get", "response": { "$ref": "Domains" }, "parameters": { "customer": { "location": "path", "description": "Immutable ID of the Google Workspace account.", "type": "string", "required": true }, "domainName": { "type": "string", "location": "path", "description": "Name of domain to be retrieved", "required": true } }, "description": "Retrieves a domain of the customer.", "flatPath": "admin/directory/v1/customer/{customer}/domains/{domainName}" }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/admin.directory.domain", "https://www.googleapis.com/auth/admin.directory.domain.readonly" ], "parameters": { "customer": { "location": "path", "description": "Immutable ID of the Google Workspace account.", "type": "string", "required": true } }, "flatPath": "admin/directory/v1/customer/{customer}/domains", "response": { "$ref": "Domains2" }, "path": "admin/directory/v1/customer/{customer}/domains", "parameterOrder": [ "customer" ], "id": "directory.domains.list", "description": "Lists the domains of the customer." }, "insert": { "id": "directory.domains.insert", "httpMethod": "POST", "response": { "$ref": "Domains" }, "parameterOrder": [ "customer" ], "request": { "$ref": "Domains" }, "flatPath": "admin/directory/v1/customer/{customer}/domains", "description": "Inserts a domain of the customer.", "path": "admin/directory/v1/customer/{customer}/domains", "parameters": { "customer": { "required": true, "description": "Immutable ID of the Google Workspace account.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/admin.directory.domain" ] }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/admin.directory.domain" ], "parameters": { "domainName": { "required": true, "description": "Name of domain to be deleted", "type": "string", "location": "path" }, "customer": { "type": "string", "description": "Immutable ID of the Google Workspace account.", "location": "path", "required": true } }, "flatPath": "admin/directory/v1/customer/{customer}/domains/{domainName}", "id": "directory.domains.delete", "path": "admin/directory/v1/customer/{customer}/domains/{domainName}", "parameterOrder": [ "customer", "domainName" ], "description": "Deletes a domain of the customer." } } }, "twoStepVerification": { "methods": { "turnOff": { "parameters": { "userKey": { "location": "path", "type": "string", "required": true, "description": "Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID." } }, "flatPath": "admin/directory/v1/users/{userKey}/twoStepVerification/turnOff", "httpMethod": "POST", "parameterOrder": [ "userKey" ], "scopes": [ "https://www.googleapis.com/auth/admin.directory.user.security" ], "description": "Turns off 2-Step Verification for user.", "path": "admin/directory/v1/users/{userKey}/twoStepVerification/turnOff", "id": "directory.twoStepVerification.turnOff" } } } } }
]===]))
