local decode = require("cjson").new().decode
return assert(decode([===[
{ "basePath": "", "documentationLink": "https://developers.google.com/admin-sdk/", "servicePath": "", "rootUrl": "https://admin.googleapis.com/", "baseUrl": "https://admin.googleapis.com/", "parameters": { "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "alt": { "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ], "default": "json" }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "$.xgafv": { "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query", "description": "V1 error format." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" } }, "title": "Admin SDK API", "discoveryVersion": "v1", "name": "admin", "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/admin.reports.audit.readonly": { "description": "View audit reports for your G Suite domain" }, "https://www.googleapis.com/auth/admin.reports.usage.readonly": { "description": "View usage reports for your G Suite domain" } } } }, "kind": "discovery#restDescription", "id": "admin:reports_v1", "description": "Admin SDK lets administrators of enterprise domains to view and manage resources like user, groups etc. It also provides audit and usage reports of domain.", "batchPath": "batch", "revision": "20220712", "protocol": "rest", "fullyEncodeReservedExpansion": true, "canonicalName": "reports", "ownerName": "Google", "resources": { "userUsageReport": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/admin.reports.usage.readonly" ], "parameterOrder": [ "userKey", "date" ], "description": "Retrieves a report which is a collection of properties and statistics for a set of users with the account. For more information, see the User Usage Report guide. For more information about the user report's parameters, see the Users Usage parameters reference guides.", "id": "reports.userUsageReport.get", "httpMethod": "GET", "response": { "$ref": "UsageReports" }, "flatPath": "admin/reports/v1/usage/users/{userKey}/dates/{date}", "parameters": { "date": { "description": "Represents the date the usage occurred. The timestamp is in the ISO 8601 format, yyyy-mm-dd. We recommend you use your account's time zone for this.", "location": "path", "required": true, "pattern": "(\\d){4}-(\\d){2}-(\\d){2}", "type": "string" }, "userKey": { "required": true, "location": "path", "description": "Represents the profile ID or the user email for which the data should be filtered. Can be `all` for all information, or `userKey` for a user's unique Google Workspace profile ID or their primary email address. Must not be a deleted user. For a deleted user, call `users.list` in Directory API with `showDeleted=true`, then use the returned `ID` as the `userKey`.", "type": "string" }, "pageToken": { "location": "query", "description": "Token to specify next page. A report with multiple pages has a `nextPageToken` property in the response. In your follow-on request getting the next page of the report, enter the `nextPageToken` value in the `pageToken` query string.", "type": "string" }, "maxResults": { "description": "Determines how many activity records are shown on each response page. For example, if the request sets `maxResults=1` and the report has two activities, the report has two pages. The response's `nextPageToken` property has the token to the second page. The `maxResults` query string is optional.", "format": "uint32", "type": "integer", "default": "1000", "location": "query", "minimum": "1", "maximum": "1000" }, "customerId": { "pattern": "C.+|my_customer", "type": "string", "description": "The unique ID of the customer to retrieve data for.", "location": "query" }, "parameters": { "type": "string", "description": "The `parameters` query string is a comma-separated list of event parameters that refine a report's results. The parameter is associated with a specific application. The application values for the Customers Usage report include `accounts`, `app_maker`, `apps_scripts`, `calendar`, `classroom`, `cros`, `docs`, `gmail`, `gplus`, `device_management`, `meet`, and `sites`. A `parameters` query string is in the CSV form of `app_name1:param_name1, app_name2:param_name2`. *Note:* The API doesn't accept multiple values of a parameter. If a particular parameter is supplied more than once in the API request, the API only accepts the last value of that request parameter. In addition, if an invalid request parameter is supplied in the API request, the API ignores that request parameter and returns the response corresponding to the remaining valid request parameters. An example of an invalid request parameter is one that does not belong to the application. If no parameters are requested, all parameters are returned. ", "location": "query", "pattern": "(((accounts)|(classroom)|(cros)|(gmail)|(calendar)|(docs)|(gplus)|(sites)|(device_management)|(drive)):[^,]+,)*(((accounts)|(classroom)|(cros)|(gmail)|(calendar)|(docs)|(gplus)|(sites)|(device_management)|(drive)):[^,]+)" }, "groupIdFilter": { "description": "Comma separated group ids (obfuscated) on which user activities are filtered, i.e. the response will contain activities for only those users that are a part of at least one of the group ids mentioned here. Format: \"id:abc123,id:xyz456\"", "pattern": "(id:[a-z0-9]+(,id:[a-z0-9]+)*)", "location": "query", "type": "string" }, "orgUnitID": { "location": "query", "pattern": "(id:[a-z0-9]+)", "description": "ID of the organizational unit to report on. User activity will be shown only for users who belong to the specified organizational unit. Data before Dec 17, 2018 doesn't appear in the filtered results.", "type": "string", "default": "" }, "filters": { "pattern": "(((accounts)|(classroom)|(cros)|(gmail)|(calendar)|(docs)|(gplus)|(sites)|(device_management)|(drive)):[a-z0-9_]+[\u003c,\u003c=,==,\u003e=,\u003e,!=][^,]+,)*(((accounts)|(classroom)|(cros)|(gmail)|(calendar)|(docs)|(gplus)|(sites)|(device_management)|(drive)):[a-z0-9_]+[\u003c,\u003c=,==,\u003e=,\u003e,!=][^,]+)", "location": "query", "type": "string", "description": "The `filters` query string is a comma-separated list of an application's event parameters where the parameter's value is manipulated by a relational operator. The `filters` query string includes the name of the application whose usage is returned in the report. The application values for the Users Usage Report include `accounts`, `docs`, and `gmail`. Filters are in the form `[application name]:parameter name[parameter value],...`. In this example, the `\u003c\u003e` 'not equal to' operator is URL-encoded in the request's query string (%3C%3E): GET https://www.googleapis.com/admin/reports/v1/usage/users/all/dates/2013-03-03 ?parameters=accounts:last_login_time &filters=accounts:last_login_time%3C%3E2010-10-28T10:26:35.000Z The relational operators include: - `==` - 'equal to'. - `\u003c\u003e` - 'not equal to'. It is URL-encoded (%3C%3E). - `\u003c` - 'less than'. It is URL-encoded (%3C). - `\u003c=` - 'less than or equal to'. It is URL-encoded (%3C=). - `\u003e` - 'greater than'. It is URL-encoded (%3E). - `\u003e=` - 'greater than or equal to'. It is URL-encoded (%3E=). " } }, "path": "admin/reports/v1/usage/users/{userKey}/dates/{date}" } } }, "customerUsageReports": { "methods": { "get": { "id": "reports.customerUsageReports.get", "path": "admin/reports/v1/usage/dates/{date}", "scopes": [ "https://www.googleapis.com/auth/admin.reports.usage.readonly" ], "description": "Retrieves a report which is a collection of properties and statistics for a specific customer's account. For more information, see the Customers Usage Report guide. For more information about the customer report's parameters, see the Customers Usage parameters reference guides. ", "parameterOrder": [ "date" ], "parameters": { "date": { "description": "Represents the date the usage occurred. The timestamp is in the ISO 8601 format, yyyy-mm-dd. We recommend you use your account's time zone for this.", "pattern": "(\\d){4}-(\\d){2}-(\\d){2}", "type": "string", "required": true, "location": "path" }, "parameters": { "description": "The `parameters` query string is a comma-separated list of event parameters that refine a report's results. The parameter is associated with a specific application. The application values for the Customers usage report include `accounts`, `app_maker`, `apps_scripts`, `calendar`, `classroom`, `cros`, `docs`, `gmail`, `gplus`, `device_management`, `meet`, and `sites`. A `parameters` query string is in the CSV form of `app_name1:param_name1, app_name2:param_name2`. *Note:* The API doesn't accept multiple values of a parameter. If a particular parameter is supplied more than once in the API request, the API only accepts the last value of that request parameter. In addition, if an invalid request parameter is supplied in the API request, the API ignores that request parameter and returns the response corresponding to the remaining valid request parameters. An example of an invalid request parameter is one that does not belong to the application. If no parameters are requested, all parameters are returned. ", "pattern": "(((accounts)|(app_maker)|(apps_scripts)|(classroom)|(cros)|(gmail)|(calendar)|(docs)|(gplus)|(sites)|(device_management)|(drive)|(meet)):[^,]+,)*(((accounts)|(app_maker)|(apps_scripts)|(classroom)|(cros)|(gmail)|(calendar)|(docs)|(gplus)|(sites)|(device_management)|(drive)|(meet)):[^,]+)", "location": "query", "type": "string" }, "customerId": { "description": "The unique ID of the customer to retrieve data for.", "location": "query", "pattern": "C.+|my_customer", "type": "string" }, "pageToken": { "description": "Token to specify next page. A report with multiple pages has a `nextPageToken` property in the response. For your follow-on requests getting all of the report's pages, enter the `nextPageToken` value in the `pageToken` query string.", "type": "string", "location": "query" } }, "flatPath": "admin/reports/v1/usage/dates/{date}", "response": { "$ref": "UsageReports" }, "httpMethod": "GET" } } }, "activities": { "methods": { "watch": { "parameterOrder": [ "userKey", "applicationName" ], "scopes": [ "https://www.googleapis.com/auth/admin.reports.audit.readonly" ], "parameters": { "customerId": { "type": "string", "pattern": "C.+|my_customer", "description": "The unique ID of the customer to retrieve data for.", "location": "query" }, "applicationName": { "location": "path", "required": true, "description": "Application name for which the events are to be retrieved.", "type": "string", "enum": [ "access_transparency", "admin", "calendar", "chat", "drive", "gcp", "gplus", "groups", "groups_enterprise", "jamboard", "login", "meet", "mobile", "rules", "saml", "token", "user_accounts", "context_aware_access", "chrome", "data_studio", "keep" ], "pattern": "(access_transparency)|(admin)|(calendar)|(chat)|(chrome)|(context_aware_access)|(data_studio)|(drive)|(gcp)|(gplus)|(groups)|(groups_enterprise)|(jamboard)|(keep)|(login)|(meet)|(mobile)|(rules)|(saml)|(token)|(user_accounts)", "enumDescriptions": [ "The Google Workspace Access Transparency activity reports return information about different types of Access Transparency activity events.", "The Admin console application's activity reports return account information about different types of administrator activity events.", "The Google Calendar application's activity reports return information about various Calendar activity events.", "The Chat activity reports return information about various Chat activity events.", "The Google Drive application's activity reports return information about various Google Drive activity events. The Drive activity report is only available for Google Workspace Business and Google Workspace Enterprise customers.", "The Google Cloud Platform application's activity reports return information about various GCP activity events.", "The Google+ application's activity reports return information about various Google+ activity events.", "The Google Groups application's activity reports return information about various Groups activity events.", "The Enterprise Groups activity reports return information about various Enterprise group activity events.", "The Jamboard activity reports return information about various Jamboard activity events.", "The Login application's activity reports return account information about different types of Login activity events.", "The Meet Audit activity report returns information about different types of Meet Audit activity events.", "The Device Audit activity report returns information about different types of Device Audit activity events.", "The Rules activity report returns information about different types of Rules activity events.", "The SAML activity report returns information about different types of SAML activity events.", "The Token application's activity reports return account information about different types of Token activity events.", "The User Accounts application's activity reports return account information about different types of User Accounts activity events.", "The Context-aware access activity reports return information about users' access denied events due to Context-aware access rules.", "The Chrome activity reports return information about Chrome browser and Chrome OS events.", "The Data Studio activity reports return information about various types of Data Studio activity events.", "The Keep application's activity reports return information about various Google Keep activity events. The Keep activity report is only available for Google Workspace Business and Enterprise customers." ] }, "actorIpAddress": { "type": "string", "description": "The Internet Protocol (IP) Address of host where the event was performed. This is an additional way to filter a report's summary using the IP address of the user whose activity is being reported. This IP address may or may not reflect the user's physical location. For example, the IP address can be the user's proxy server's address or a virtual private network (VPN) address. This parameter supports both IPv4 and IPv6 address versions.", "location": "query" }, "pageToken": { "description": "The token to specify next page. A report with multiple pages has a `nextPageToken` property in the response. In your follow-on request getting the next page of the report, enter the `nextPageToken` value in the `pageToken` query string.", "type": "string", "location": "query" }, "eventName": { "description": "The name of the event being queried by the API. Each `eventName` is related to a specific Google Workspace service or feature which the API organizes into types of events. An example is the Google Calendar events in the Admin console application's reports. The Calendar Settings `type` structure has all of the Calendar `eventName` activities reported by the API. When an administrator changes a Calendar setting, the API reports this activity in the Calendar Settings `type` and `eventName` parameters. For more information about `eventName` query strings and parameters, see the list of event names for various applications above in `applicationName`.", "location": "query", "type": "string" }, "userKey": { "description": "Represents the profile ID or the user email for which the data should be filtered. Can be `all` for all information, or `userKey` for a user's unique Google Workspace profile ID or their primary email address. Must not be a deleted user. For a deleted user, call `users.list` in Directory API with `showDeleted=true`, then use the returned `ID` as the `userKey`.", "type": "string", "required": true, "location": "path" }, "startTime": { "description": "Sets the beginning of the range of time shown in the report. The date is in the RFC 3339 format, for example 2010-10-28T10:26:35.000Z. The report returns all activities from `startTime` until `endTime`. The `startTime` must be before the `endTime` (if specified) and the current time when the request is made, or the API returns an error.", "pattern": "(\\d\\d\\d\\d)-(\\d\\d)-(\\d\\d)T(\\d\\d):(\\d\\d):(\\d\\d)(?:\\.(\\d+))?(?:(Z)|([-+])(\\d\\d):(\\d\\d))", "location": "query", "type": "string" }, "maxResults": { "type": "integer", "description": "Determines how many activity records are shown on each response page. For example, if the request sets `maxResults=1` and the report has two activities, the report has two pages. The response's `nextPageToken` property has the token to the second page. The `maxResults` query string is optional in the request. The default value is 1000.", "minimum": "1", "format": "int32", "location": "query", "maximum": "1000", "default": "1000" }, "endTime": { "pattern": "(\\d\\d\\d\\d)-(\\d\\d)-(\\d\\d)T(\\d\\d):(\\d\\d):(\\d\\d)(?:\\.(\\d+))?(?:(Z)|([-+])(\\d\\d):(\\d\\d))", "location": "query", "type": "string", "description": "Sets the end of the range of time shown in the report. The date is in the RFC 3339 format, for example 2010-10-28T10:26:35.000Z. The default value is the approximate time of the API request. An API report has three basic time concepts: - *Date of the API's request for a report*: When the API created and retrieved the report. - *Report's start time*: The beginning of the timespan shown in the report. The `startTime` must be before the `endTime` (if specified) and the current time when the request is made, or the API returns an error. - *Report's end time*: The end of the timespan shown in the report. For example, the timespan of events summarized in a report can start in April and end in May. The report itself can be requested in August. If the `endTime` is not specified, the report returns all activities from the `startTime` until the current time or the most recent 180 days if the `startTime` is more than 180 days in the past." }, "filters": { "location": "query", "pattern": "(.+[\u003c,\u003c=,==,\u003e=,\u003e,\u003c\u003e].+,)*(.+[\u003c,\u003c=,==,\u003e=,\u003e,\u003c\u003e].+)", "type": "string", "description": "The `filters` query string is a comma-separated list. The list is composed of event parameters that are manipulated by relational operators. Event parameters are in the form `parameter1 name[parameter1 value],parameter2 name[parameter2 value],...` These event parameters are associated with a specific `eventName`. An empty report is returned if the filtered request's parameter does not belong to the `eventName`. For more information about `eventName` parameters, see the list of event names for various applications above in `applicationName`. In the following Admin Activity example, the \u003c\u003e operator is URL-encoded in the request's query string (%3C%3E): GET...&eventName=CHANGE_CALENDAR_SETTING &filters=NEW_VALUE%3C%3EREAD_ONLY_ACCESS In the following Drive example, the list can be a view or edit event's `doc_id` parameter with a value that is manipulated by an 'equal to' (==) or 'not equal to' (\u003c\u003e) relational operator. In the first example, the report returns each edited document's `doc_id`. In the second example, the report returns each viewed document's `doc_id` that equals the value 12345 and does not return any viewed document's which have a `doc_id` value of 98765. The \u003c\u003e operator is URL-encoded in the request's query string (%3C%3E): GET...&eventName=edit&filters=doc_id GET...&eventName=view&filters=doc_id==12345,doc_id%3C%3E98765 The relational operators include: - `==` - 'equal to'. - `\u003c\u003e` - 'not equal to'. It is URL-encoded (%3C%3E). - `\u003c` - 'less than'. It is URL-encoded (%3C). - `\u003c=` - 'less than or equal to'. It is URL-encoded (%3C=). - `\u003e` - 'greater than'. It is URL-encoded (%3E). - `\u003e=` - 'greater than or equal to'. It is URL-encoded (%3E=). *Note:* The API doesn't accept multiple values of a parameter. If a particular parameter is supplied more than once in the API request, the API only accepts the last value of that request parameter. In addition, if an invalid request parameter is supplied in the API request, the API ignores that request parameter and returns the response corresponding to the remaining valid request parameters. If no parameters are requested, all parameters are returned. " }, "orgUnitID": { "default": "", "pattern": "(id:[a-z0-9]+)", "type": "string", "description": "ID of the organizational unit to report on. Activity records will be shown only for users who belong to the specified organizational unit. Data before Dec 17, 2018 doesn't appear in the filtered results.", "location": "query" }, "groupIdFilter": { "description": "Comma separated group ids (obfuscated) on which user activities are filtered, i.e. the response will contain activities for only those users that are a part of at least one of the group ids mentioned here. Format: \"id:abc123,id:xyz456\"", "type": "string", "location": "query", "pattern": "(id:[a-z0-9]+(,id:[a-z0-9]+)*)" } }, "flatPath": "admin/reports/v1/activity/users/{userKey}/applications/{applicationName}/watch", "description": "Start receiving notifications for account activities. For more information, see Receiving Push Notifications.", "path": "admin/reports/v1/activity/users/{userKey}/applications/{applicationName}/watch", "response": { "$ref": "Channel" }, "id": "reports.activities.watch", "request": { "$ref": "Channel" }, "httpMethod": "POST" }, "list": { "path": "admin/reports/v1/activity/users/{userKey}/applications/{applicationName}", "parameterOrder": [ "userKey", "applicationName" ], "httpMethod": "GET", "parameters": { "maxResults": { "location": "query", "minimum": "1", "format": "int32", "maximum": "1000", "default": "1000", "description": "Determines how many activity records are shown on each response page. For example, if the request sets `maxResults=1` and the report has two activities, the report has two pages. The response's `nextPageToken` property has the token to the second page. The `maxResults` query string is optional in the request. The default value is 1000.", "type": "integer" }, "pageToken": { "description": "The token to specify next page. A report with multiple pages has a `nextPageToken` property in the response. In your follow-on request getting the next page of the report, enter the `nextPageToken` value in the `pageToken` query string.", "type": "string", "location": "query" }, "userKey": { "required": true, "location": "path", "type": "string", "description": "Represents the profile ID or the user email for which the data should be filtered. Can be `all` for all information, or `userKey` for a user's unique Google Workspace profile ID or their primary email address. Must not be a deleted user. For a deleted user, call `users.list` in Directory API with `showDeleted=true`, then use the returned `ID` as the `userKey`." }, "eventName": { "type": "string", "location": "query", "description": "The name of the event being queried by the API. Each `eventName` is related to a specific Google Workspace service or feature which the API organizes into types of events. An example is the Google Calendar events in the Admin console application's reports. The Calendar Settings `type` structure has all of the Calendar `eventName` activities reported by the API. When an administrator changes a Calendar setting, the API reports this activity in the Calendar Settings `type` and `eventName` parameters. For more information about `eventName` query strings and parameters, see the list of event names for various applications above in `applicationName`." }, "actorIpAddress": { "description": "The Internet Protocol (IP) Address of host where the event was performed. This is an additional way to filter a report's summary using the IP address of the user whose activity is being reported. This IP address may or may not reflect the user's physical location. For example, the IP address can be the user's proxy server's address or a virtual private network (VPN) address. This parameter supports both IPv4 and IPv6 address versions.", "type": "string", "location": "query" }, "customerId": { "type": "string", "pattern": "C.+|my_customer", "location": "query", "description": "The unique ID of the customer to retrieve data for." }, "endTime": { "description": "Sets the end of the range of time shown in the report. The date is in the RFC 3339 format, for example 2010-10-28T10:26:35.000Z. The default value is the approximate time of the API request. An API report has three basic time concepts: - *Date of the API's request for a report*: When the API created and retrieved the report. - *Report's start time*: The beginning of the timespan shown in the report. The `startTime` must be before the `endTime` (if specified) and the current time when the request is made, or the API returns an error. - *Report's end time*: The end of the timespan shown in the report. For example, the timespan of events summarized in a report can start in April and end in May. The report itself can be requested in August. If the `endTime` is not specified, the report returns all activities from the `startTime` until the current time or the most recent 180 days if the `startTime` is more than 180 days in the past.", "pattern": "(\\d\\d\\d\\d)-(\\d\\d)-(\\d\\d)T(\\d\\d):(\\d\\d):(\\d\\d)(?:\\.(\\d+))?(?:(Z)|([-+])(\\d\\d):(\\d\\d))", "type": "string", "location": "query" }, "filters": { "pattern": "(.+[\u003c,\u003c=,==,\u003e=,\u003e,\u003c\u003e].+,)*(.+[\u003c,\u003c=,==,\u003e=,\u003e,\u003c\u003e].+)", "location": "query", "type": "string", "description": "The `filters` query string is a comma-separated list. The list is composed of event parameters that are manipulated by relational operators. Event parameters are in the form `parameter1 name[parameter1 value],parameter2 name[parameter2 value],...` These event parameters are associated with a specific `eventName`. An empty report is returned if the filtered request's parameter does not belong to the `eventName`. For more information about `eventName` parameters, see the list of event names for various applications above in `applicationName`. In the following Admin Activity example, the \u003c\u003e operator is URL-encoded in the request's query string (%3C%3E): GET...&eventName=CHANGE_CALENDAR_SETTING &filters=NEW_VALUE%3C%3EREAD_ONLY_ACCESS In the following Drive example, the list can be a view or edit event's `doc_id` parameter with a value that is manipulated by an 'equal to' (==) or 'not equal to' (\u003c\u003e) relational operator. In the first example, the report returns each edited document's `doc_id`. In the second example, the report returns each viewed document's `doc_id` that equals the value 12345 and does not return any viewed document's which have a `doc_id` value of 98765. The \u003c\u003e operator is URL-encoded in the request's query string (%3C%3E): GET...&eventName=edit&filters=doc_id GET...&eventName=view&filters=doc_id==12345,doc_id%3C%3E98765 The relational operators include: - `==` - 'equal to'. - `\u003c\u003e` - 'not equal to'. It is URL-encoded (%3C%3E). - `\u003c` - 'less than'. It is URL-encoded (%3C). - `\u003c=` - 'less than or equal to'. It is URL-encoded (%3C=). - `\u003e` - 'greater than'. It is URL-encoded (%3E). - `\u003e=` - 'greater than or equal to'. It is URL-encoded (%3E=). *Note:* The API doesn't accept multiple values of a parameter. If a particular parameter is supplied more than once in the API request, the API only accepts the last value of that request parameter. In addition, if an invalid request parameter is supplied in the API request, the API ignores that request parameter and returns the response corresponding to the remaining valid request parameters. If no parameters are requested, all parameters are returned. " }, "orgUnitID": { "pattern": "(id:[a-z0-9]+)", "type": "string", "description": "ID of the organizational unit to report on. Activity records will be shown only for users who belong to the specified organizational unit. Data before Dec 17, 2018 doesn't appear in the filtered results.", "default": "", "location": "query" }, "startTime": { "type": "string", "description": "Sets the beginning of the range of time shown in the report. The date is in the RFC 3339 format, for example 2010-10-28T10:26:35.000Z. The report returns all activities from `startTime` until `endTime`. The `startTime` must be before the `endTime` (if specified) and the current time when the request is made, or the API returns an error.", "location": "query", "pattern": "(\\d\\d\\d\\d)-(\\d\\d)-(\\d\\d)T(\\d\\d):(\\d\\d):(\\d\\d)(?:\\.(\\d+))?(?:(Z)|([-+])(\\d\\d):(\\d\\d))" }, "groupIdFilter": { "pattern": "(id:[a-z0-9]+(,id:[a-z0-9]+)*)", "location": "query", "description": "Comma separated group ids (obfuscated) on which user activities are filtered, i.e. the response will contain activities for only those users that are a part of at least one of the group ids mentioned here. Format: \"id:abc123,id:xyz456\"", "type": "string" }, "applicationName": { "enumDescriptions": [ "The Google Workspace Access Transparency activity reports return information about different types of Access Transparency activity events.", "The Admin console application's activity reports return account information about different types of administrator activity events.", "The Google Calendar application's activity reports return information about various Calendar activity events.", "The Chat activity reports return information about various Chat activity events.", "The Google Drive application's activity reports return information about various Google Drive activity events. The Drive activity report is only available for Google Workspace Business and Enterprise customers.", "The Google Cloud Platform application's activity reports return information about various GCP activity events.", "The Google+ application's activity reports return information about various Google+ activity events.", "The Google Groups application's activity reports return information about various Groups activity events.", "The Enterprise Groups activity reports return information about various Enterprise group activity events.", "The Jamboard activity reports return information about various Jamboard activity events.", "The Login application's activity reports return account information about different types of Login activity events.", "The Meet Audit activity report returns information about different types of Meet Audit activity events.", "The Device Audit activity report returns information about different types of Device Audit activity events.", "The Rules activity report returns information about different types of Rules activity events.", "The SAML activity report returns information about different types of SAML activity events.", "The Token application's activity reports return account information about different types of Token activity events.", "The User Accounts application's activity reports return account information about different types of User Accounts activity events.", "The Context-aware access activity reports return information about users' access denied events due to Context-aware access rules.", "The Chrome activity reports return information about Chrome browser and Chrome OS events.", "The Data Studio activity reports return information about various types of Data Studio activity events.", "The Keep application's activity reports return information about various Google Keep activity events. The Keep activity report is only available for Google Workspace Business and Enterprise customers." ], "enum": [ "access_transparency", "admin", "calendar", "chat", "drive", "gcp", "gplus", "groups", "groups_enterprise", "jamboard", "login", "meet", "mobile", "rules", "saml", "token", "user_accounts", "context_aware_access", "chrome", "data_studio", "keep" ], "description": "Application name for which the events are to be retrieved.", "required": true, "type": "string", "location": "path", "pattern": "(access_transparency)|(admin)|(calendar)|(chat)|(chrome)|(context_aware_access)|(data_studio)|(drive)|(gcp)|(gplus)|(groups)|(groups_enterprise)|(jamboard)|(keep)|(login)|(meet)|(mobile)|(rules)|(saml)|(token)|(user_accounts)" } }, "id": "reports.activities.list", "flatPath": "admin/reports/v1/activity/users/{userKey}/applications/{applicationName}", "scopes": [ "https://www.googleapis.com/auth/admin.reports.audit.readonly" ], "description": "Retrieves a list of activities for a specific customer's account and application such as the Admin console application or the Google Drive application. For more information, see the guides for administrator and Google Drive activity reports. For more information about the activity report's parameters, see the activity parameters reference guides. ", "response": { "$ref": "Activities" } } } }, "channels": { "methods": { "stop": { "path": "admin/reports_v1/channels/stop", "id": "admin.channels.stop", "scopes": [ "https://www.googleapis.com/auth/admin.reports.audit.readonly" ], "parameterOrder": [], "flatPath": "admin/reports_v1/channels/stop", "description": "Stop watching resources through this channel.", "httpMethod": "POST", "request": { "$ref": "Channel" }, "parameters": {} } } }, "entityUsageReports": { "methods": { "get": { "response": { "$ref": "UsageReports" }, "description": "Retrieves a report which is a collection of properties and statistics for entities used by users within the account. For more information, see the Entities Usage Report guide. For more information about the entities report's parameters, see the Entities Usage parameters reference guides.", "path": "admin/reports/v1/usage/{entityType}/{entityKey}/dates/{date}", "flatPath": "admin/reports/v1/usage/{entityType}/{entityKey}/dates/{date}", "parameters": { "pageToken": { "description": "Token to specify next page. A report with multiple pages has a `nextPageToken` property in the response. In your follow-on request getting the next page of the report, enter the `nextPageToken` value in the `pageToken` query string.", "location": "query", "type": "string" }, "date": { "type": "string", "required": true, "pattern": "(\\d){4}-(\\d){2}-(\\d){2}", "location": "path", "description": "Represents the date the usage occurred. The timestamp is in the ISO 8601 format, yyyy-mm-dd. We recommend you use your account's time zone for this." }, "filters": { "type": "string", "pattern": "(((gplus)):[a-z0-9_]+[\u003c,\u003c=,==,\u003e=,\u003e,!=][^,]+,)*(((gplus)):[a-z0-9_]+[\u003c,\u003c=,==,\u003e=,\u003e,!=][^,]+)", "location": "query", "description": "The `filters` query string is a comma-separated list of an application's event parameters where the parameter's value is manipulated by a relational operator. The `filters` query string includes the name of the application whose usage is returned in the report. The application values for the Entities usage report include `accounts`, `docs`, and `gmail`. Filters are in the form `[application name]:parameter name[parameter value],...`. In this example, the `\u003c\u003e` 'not equal to' operator is URL-encoded in the request's query string (%3C%3E): GET https://www.googleapis.com/admin/reports/v1/usage/gplus_communities/all/dates/2017-12-01 ?parameters=gplus:community_name,gplus:num_total_members &filters=gplus:num_total_members%3C%3E0 The relational operators include: - `==` - 'equal to'. - `\u003c\u003e` - 'not equal to'. It is URL-encoded (%3C%3E). - `\u003c` - 'less than'. It is URL-encoded (%3C). - `\u003c=` - 'less than or equal to'. It is URL-encoded (%3C=). - `\u003e` - 'greater than'. It is URL-encoded (%3E). - `\u003e=` - 'greater than or equal to'. It is URL-encoded (%3E=). Filters can only be applied to numeric parameters." }, "maxResults": { "description": "Determines how many activity records are shown on each response page. For example, if the request sets `maxResults=1` and the report has two activities, the report has two pages. The response's `nextPageToken` property has the token to the second page.", "format": "uint32", "type": "integer", "location": "query", "minimum": "1", "default": "1000", "maximum": "1000" }, "entityType": { "pattern": "(gplus_communities)", "enum": [ "gplus_communities" ], "required": true, "description": "Represents the type of entity for the report.", "type": "string", "location": "path", "enumDescriptions": [ "Returns a report on Google+ communities." ] }, "parameters": { "description": "The `parameters` query string is a comma-separated list of event parameters that refine a report's results. The parameter is associated with a specific application. The application values for the Entities usage report are only `gplus`. A `parameter` query string is in the CSV form of `[app_name1:param_name1], [app_name2:param_name2]...`. *Note:* The API doesn't accept multiple values of a parameter. If a particular parameter is supplied more than once in the API request, the API only accepts the last value of that request parameter. In addition, if an invalid request parameter is supplied in the API request, the API ignores that request parameter and returns the response corresponding to the remaining valid request parameters. An example of an invalid request parameter is one that does not belong to the application. If no parameters are requested, all parameters are returned. ", "location": "query", "type": "string", "pattern": "(((gplus)):[^,]+,)*(((gplus)):[^,]+)" }, "entityKey": { "location": "path", "type": "string", "description": "Represents the key of the object to filter the data with. It is a string which can take the value `all` to get activity events for all users, or any other value for an app-specific entity. For details on how to obtain the `entityKey` for a particular `entityType`, see the Entities Usage parameters reference guides.", "required": true }, "customerId": { "type": "string", "description": "The unique ID of the customer to retrieve data for.", "location": "query", "pattern": "C.+|my_customer" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/admin.reports.usage.readonly" ], "parameterOrder": [ "entityType", "entityKey", "date" ], "id": "reports.entityUsageReports.get" } } } }, "schemas": { "UsageReport": { "properties": { "entity": { "type": "object", "properties": { "customerId": { "type": "string", "description": "Output only. The unique identifier of the customer's account.", "readOnly": true }, "profileId": { "readOnly": true, "type": "string", "description": "Output only. The user's immutable Google Workspace profile identifier." }, "entityId": { "description": "Output only. Object key. Only relevant if entity.type = \"OBJECT\" Note: external-facing name of report is \"Entities\" rather than \"Objects\".", "type": "string", "readOnly": true }, "userEmail": { "description": "Output only. The user's email address. Only relevant if entity.type = \"USER\"", "readOnly": true, "type": "string" }, "type": { "type": "string", "readOnly": true, "description": "Output only. The type of item. The value is `user`." } }, "readOnly": true, "description": "Output only. Information about the type of the item." }, "kind": { "description": "The type of API resource. For a usage report, the value is `admin#reports#usageReport`.", "default": "admin#reports#usageReport", "type": "string" }, "parameters": { "readOnly": true, "items": { "properties": { "name": { "type": "string", "description": "The name of the parameter. For the User Usage Report parameter names, see the User Usage parameters reference." }, "msgValue": { "readOnly": true, "items": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "description": "Output only. Nested message value of the parameter.", "type": "array" }, "datetimeValue": { "type": "string", "description": "The RFC 3339 formatted value of the parameter, for example 2010-10-28T10:26:35.000Z.", "readOnly": true, "format": "date-time" }, "boolValue": { "type": "boolean", "readOnly": true, "description": "Output only. Boolean value of the parameter." }, "stringValue": { "readOnly": true, "type": "string", "description": "Output only. String value of the parameter." }, "intValue": { "description": "Output only. Integer value of the parameter.", "readOnly": true, "type": "string", "format": "int64" } }, "type": "object" }, "type": "array", "description": "Output only. Parameter value pairs for various applications. For the Entity Usage Report parameters and values, see [the Entity Usage parameters reference](/admin-sdk/reports/v1/reference/usage-ref-appendix-a/entities)." }, "etag": { "description": "ETag of the resource.", "type": "string" }, "date": { "description": "Output only. The date of the report request.", "readOnly": true, "type": "string" } }, "id": "UsageReport", "type": "object", "description": "JSON template for a usage report." }, "NestedParameter": { "description": "JSON template for a parameter used in various reports.", "id": "NestedParameter", "properties": { "multiValue": { "type": "array", "description": "Multiple string values of the parameter.", "items": { "type": "string" } }, "name": { "description": "The name of the parameter.", "type": "string" }, "value": { "type": "string", "description": "String value of the parameter." }, "boolValue": { "description": "Boolean value of the parameter.", "type": "boolean" }, "multiBoolValue": { "description": "Multiple boolean values of the parameter.", "type": "array", "items": { "type": "boolean" } }, "intValue": { "description": "Integer value of the parameter.", "type": "string", "format": "int64" }, "multiIntValue": { "description": "Multiple integer values of the parameter.", "items": { "format": "int64", "type": "string" }, "type": "array" } }, "type": "object" }, "Activities": { "description": "JSON template for a collection of activities.", "properties": { "items": { "type": "array", "description": "Each activity record in the response.", "items": { "$ref": "Activity" } }, "nextPageToken": { "description": "Token for retrieving the follow-on next page of the report. The `nextPageToken` value is used in the request's `pageToken` query string.", "type": "string" }, "etag": { "type": "string", "description": "ETag of the resource." }, "kind": { "type": "string", "description": "The type of API resource. For an activity report, the value is `reports#activities`.", "default": "admin#reports#activities" } }, "type": "object", "id": "Activities" }, "UsageReports": { "id": "UsageReports", "properties": { "nextPageToken": { "description": "Token to specify next page. A report with multiple pages has a `nextPageToken` property in the response. For your follow-on requests getting all of the report's pages, enter the `nextPageToken` value in the `pageToken` query string.", "type": "string" }, "kind": { "description": "The type of API resource. For a usage report, the value is `admin#reports#usageReports`.", "type": "string", "default": "admin#reports#usageReports" }, "usageReports": { "description": "Various application parameter records.", "items": { "$ref": "UsageReport" }, "type": "array" }, "warnings": { "description": "Warnings, if any.", "type": "array", "items": { "type": "object", "properties": { "message": { "type": "string", "description": "The human readable messages for a warning are: - Data is not available warning - Sorry, data for date yyyy-mm-dd for application \"`application name`\" is not available. - Partial data is available warning - Data for date yyyy-mm-dd for application \"`application name`\" is not available right now, please try again after a few hours. " }, "code": { "description": "Machine readable code or warning type. The warning code value is `200`.", "type": "string" }, "data": { "description": "Key-value pairs to give detailed information on the warning.", "type": "array", "items": { "properties": { "value": { "description": "Value associated with a key-value pair to give detailed information on the warning.", "type": "string" }, "key": { "description": "Key associated with a key-value pair to give detailed information on the warning.", "type": "string" } }, "type": "object" } } } } }, "etag": { "type": "string", "description": "ETag of the resource." } }, "type": "object" }, "Activity": { "type": "object", "description": "JSON template for the activity resource.", "properties": { "ownerDomain": { "type": "string", "description": "This is the domain that is affected by the report's event. For example domain of Admin console or the Drive application's document owner." }, "etag": { "description": "ETag of the entry.", "type": "string" }, "ipAddress": { "description": "IP address of the user doing the action. This is the Internet Protocol (IP) address of the user when logging into Google Workspace, which may or may not reflect the user's physical location. For example, the IP address can be the user's proxy server's address or a virtual private network (VPN) address. The API supports IPv4 and IPv6.", "type": "string" }, "actor": { "type": "object", "properties": { "key": { "type": "string", "description": "Only present when `callerType` is `KEY`. Can be the `consumer_key` of the requestor for OAuth 2LO API requests or an identifier for robot accounts." }, "profileId": { "description": "The unique Google Workspace profile ID of the actor. This value might be absent if the actor is not a Google Workspace user, or may be the number 105250506097979753968 which acts as a placeholder ID.", "type": "string" }, "callerType": { "description": "The type of actor.", "type": "string" }, "email": { "type": "string", "description": "The primary email address of the actor. May be absent if there is no email address associated with the actor." } }, "description": "User doing the action." }, "kind": { "default": "admin#reports#activity", "description": "The type of API resource. For an activity report, the value is `audit#activity`.", "type": "string" }, "events": { "type": "array", "description": "Activity events in the report.", "items": { "type": "object", "properties": { "type": { "type": "string", "description": "Type of event. The Google Workspace service or feature that an administrator changes is identified in the `type` property which identifies an event using the `eventName` property. For a full list of the API's `type` categories, see the list of event names for various applications above in `applicationName`." }, "name": { "type": "string", "description": "Name of the event. This is the specific name of the activity reported by the API. And each `eventName` is related to a specific Google Workspace service or feature which the API organizes into types of events. For `eventName` request parameters in general: - If no `eventName` is given, the report returns all possible instances of an `eventName`. - When you request an `eventName`, the API's response returns all activities which contain that `eventName`. It is possible that the returned activities will have other `eventName` properties in addition to the one requested. For more information about `eventName` properties, see the list of event names for various applications above in `applicationName`." }, "parameters": { "type": "array", "items": { "properties": { "messageValue": { "properties": { "parameter": { "type": "array", "items": { "$ref": "NestedParameter" }, "description": "Parameter values" } }, "description": "Nested parameter value pairs associated with this parameter. Complex value type for a parameter are returned as a list of parameter values. For example, the address parameter may have a value as `[{parameter: [{name: city, value: abc}]}]`", "type": "object" }, "intValue": { "description": "Integer value of the parameter.", "format": "int64", "type": "string" }, "boolValue": { "type": "boolean", "description": "Boolean value of the parameter." }, "multiValue": { "type": "array", "description": "String values of the parameter.", "items": { "type": "string" } }, "name": { "type": "string", "description": "The name of the parameter." }, "value": { "description": "String value of the parameter.", "type": "string" }, "multiIntValue": { "items": { "format": "int64", "type": "string" }, "description": "Integer values of the parameter.", "type": "array" }, "multiMessageValue": { "type": "array", "items": { "properties": { "parameter": { "description": "Parameter values", "items": { "$ref": "NestedParameter" }, "type": "array" } }, "type": "object" }, "description": "List of `messageValue` objects." } }, "type": "object" }, "description": "Parameter value pairs for various applications. For more information about `eventName` parameters, see the list of event names for various applications above in `applicationName`." } } } }, "id": { "properties": { "customerId": { "description": "The unique identifier for a Google Workspace account.", "type": "string" }, "uniqueQualifier": { "format": "int64", "type": "string", "description": "Unique qualifier if multiple events have the same time." }, "applicationName": { "description": "Application name to which the event belongs. For possible values see the list of applications above in `applicationName`.", "type": "string" }, "time": { "type": "string", "description": "Time of occurrence of the activity. This is in UNIX epoch time in seconds.", "format": "date-time" } }, "description": "Unique identifier for each activity record.", "type": "object" } }, "id": "Activity" }, "Channel": { "type": "object", "description": "A notification channel used to watch for resource changes.", "id": "Channel", "properties": { "token": { "type": "string", "description": "An arbitrary string delivered to the target address with each notification delivered over this channel. Optional." }, "params": { "description": "Additional parameters controlling delivery channel behavior. Optional.", "type": "object", "additionalProperties": { "type": "string" } }, "id": { "description": "A UUID or similar unique string that identifies this channel.", "type": "string" }, "payload": { "type": "boolean", "description": "A Boolean value to indicate whether payload is wanted. Optional." }, "type": { "description": "The type of delivery mechanism used for this channel. The value should be set to `\"web_hook\"`.", "type": "string" }, "address": { "description": "The address where notifications are delivered for this channel.", "type": "string" }, "expiration": { "description": "Date and time of notification channel expiration, expressed as a Unix timestamp, in milliseconds. Optional.", "format": "int64", "type": "string" }, "resourceUri": { "description": "A version-specific identifier for the watched resource.", "type": "string" }, "kind": { "description": "Identifies this as a notification channel used to watch for changes to a resource, which is \"`api#channel`\".", "default": "api#channel", "type": "string" }, "resourceId": { "type": "string", "description": "An opaque ID that identifies the resource being watched on this channel. Stable across different API versions." } } } }, "mtlsRootUrl": "https://admin.mtls.googleapis.com/", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "packagePath": "admin", "version": "reports_v1" }
]===]))
