local decode = require("cjson").new().decode
return assert(decode([===[
{ "documentationLink": "https://developers.google.com/admob/api/", "version": "v1beta", "name": "admob", "description": "The AdMob API allows publishers to programmatically get information about their AdMob account. ", "revision": "20220712", "servicePath": "", "parameters": { "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "$.xgafv": { "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "location": "query", "default": "json", "description": "Data format for response.", "type": "string" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" } }, "canonicalName": "AdMob", "ownerName": "Google", "title": "AdMob API", "schemas": { "ListAppsResponse": { "type": "object", "description": "Response for the apps list request.", "properties": { "nextPageToken": { "type": "string", "description": "If not empty, indicates that there may be more apps for the request; this value should be passed in a new `ListAppsRequest`." }, "apps": { "type": "array", "description": "The resulting apps for the requested account.", "items": { "$ref": "App" } } }, "id": "ListAppsResponse" }, "Date": { "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "id": "Date", "type": "object", "properties": { "day": { "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "format": "int32" }, "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32", "type": "integer" }, "month": { "type": "integer", "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." } } }, "GenerateNetworkReportResponse": { "type": "object", "description": "The streaming response for the AdMob Network report where the first response contains the report header, then a stream of row responses, and finally a footer as the last response message. For example: [{ \"header\": { \"dateRange\": { \"startDate\": {\"year\": 2018, \"month\": 9, \"day\": 1}, \"endDate\": {\"year\": 2018, \"month\": 9, \"day\": 1} }, \"localizationSettings\": { \"currencyCode\": \"USD\", \"languageCode\": \"en-US\" } } }, { \"row\": { \"dimensionValues\": { \"DATE\": {\"value\": \"20180918\"}, \"APP\": { \"value\": \"ca-app-pub-8123415297019784~1001342552\", displayLabel: \"My app name!\" } }, \"metricValues\": { \"ESTIMATED_EARNINGS\": {\"microsValue\": 6500000} } } }, { \"footer\": {\"matchingRowCount\": 1} }]", "properties": { "footer": { "$ref": "ReportFooter", "description": "Additional information about the generated report, such as warnings about the data." }, "row": { "description": "Actual report data.", "$ref": "ReportRow" }, "header": { "$ref": "ReportHeader", "description": "Report generation settings that describes the report contents, such as the report date range and localization settings." } }, "id": "GenerateNetworkReportResponse" }, "LocalizationSettings": { "type": "object", "properties": { "languageCode": { "type": "string", "description": "Language used for any localized text, such as some dimension value display labels. The language tag defined in the IETF BCP47. Defaults to 'en-US' if unspecified." }, "currencyCode": { "description": "Currency code of the earning related metrics, which is the 3-letter code defined in ISO 4217. The daily average rate is used for the currency conversion. Defaults to the account currency code if unspecified.", "type": "string" } }, "description": "Localization settings for reports, such as currency and language. It affects how metrics are calculated.", "id": "LocalizationSettings" }, "ListAdUnitsResponse": { "properties": { "adUnits": { "items": { "$ref": "AdUnit" }, "description": "The resulting ad units for the requested account.", "type": "array" }, "nextPageToken": { "description": "If not empty, indicates that there may be more ad units for the request; this value should be passed in a new `ListAdUnitsRequest`.", "type": "string" } }, "id": "ListAdUnitsResponse", "type": "object", "description": "Response for the ad units list request." }, "ReportRowDimensionValue": { "type": "object", "properties": { "value": { "type": "string", "description": "Dimension value in the format specified in the report's spec Dimension enum." }, "displayLabel": { "description": "The localized string representation of the value. If unspecified, the display label should be derived from the value.", "type": "string" } }, "description": "Representation of a dimension value.", "id": "ReportRowDimensionValue" }, "NetworkReportSpec": { "description": "The specification for generating an AdMob Network report. For example, the specification to get clicks and estimated earnings for only the 'US' and 'CN' countries can look like the following example: { 'date_range': { 'start_date': {'year': 2021, 'month': 9, 'day': 1}, 'end_date': {'year': 2021, 'month': 9, 'day': 30} }, 'dimensions': ['DATE', 'APP', 'COUNTRY'], 'metrics': ['CLICKS', 'ESTIMATED_EARNINGS'], 'dimension_filters': [ { 'dimension': 'COUNTRY', 'matches_any': {'values': [{'value': 'US', 'value': 'CN'}]} } ], 'sort_conditions': [ {'dimension':'APP', order: 'ASCENDING'}, {'metric':'CLICKS', order: 'DESCENDING'} ], 'localization_settings': { 'currency_code': 'USD', 'language_code': 'en-US' } } For a better understanding, you can treat the preceding specification like the following pseudo SQL: SELECT DATE, APP, COUNTRY, CLICKS, ESTIMATED_EARNINGS FROM NETWORK_REPORT WHERE DATE \u003e= '2021-09-01' AND DATE \u003c= '2021-09-30' AND COUNTRY IN ('US', 'CN') GROUP BY DATE, APP, COUNTRY ORDER BY APP ASC, CLICKS DESC;", "id": "NetworkReportSpec", "type": "object", "properties": { "dimensionFilters": { "items": { "$ref": "NetworkReportSpecDimensionFilter" }, "description": "Describes which report rows to match based on their dimension values.", "type": "array" }, "metrics": { "type": "array", "description": "List of metrics of the report. A report must specify at least one metric.", "items": { "enum": [ "METRIC_UNSPECIFIED", "AD_REQUESTS", "CLICKS", "ESTIMATED_EARNINGS", "IMPRESSIONS", "IMPRESSION_CTR", "IMPRESSION_RPM", "MATCHED_REQUESTS", "MATCH_RATE", "SHOW_RATE" ], "type": "string", "enumDescriptions": [ "Default value for an unset field. Do not use.", "The number of ad requests. The value is an integer. **Warning:** The metric is incompatible with [AD_TYPE](#Dimension.ENUM_VALUES.AD_TYPE) dimension.", "The number of times a user clicks an ad. The value is an integer.", "The estimated earnings of the AdMob publisher. The currency unit (USD, EUR, or other) of the earning metrics are determined by the localization setting for currency. The amount is in micros. For example, $6.50 would be represented as 6500000.", "The total number of ads shown to users. The value is an integer.", "The ratio of clicks over impressions. The value is a double precision (approximate) decimal value.", "The estimated earnings per thousand ad impressions. The value is in micros. For example, $1.03 would be represented as 1030000. Equivalent to eCPM in the AdMob UI. **Warning:** The metric is incompatible with [AD_TYPE](#Dimension.ENUM_VALUES.AD_TYPE) dimension.", "The number of times ads are returned in response to a request. The value is an integer.", "The ratio of matched ad requests over the total ad requests. The value is a double precision (approximate) decimal value. **Warning:** The metric is incompatible with [AD_TYPE](#Dimension.ENUM_VALUES.AD_TYPE) dimension.", "The ratio of ads that are displayed over ads that are returned, defined as impressions / matched requests. The value is a double precision (approximate) decimal value." ] } }, "timeZone": { "type": "string", "description": "A report time zone. Accepts an IANA TZ name values, such as \"America/Los_Angeles.\" If no time zone is defined, the account default takes effect. Check default value by the get account action. **Warning:** The \"America/Los_Angeles\" is the only supported value at the moment." }, "maxReportRows": { "type": "integer", "description": "Maximum number of report data rows to return. If the value is not set, the API returns as many rows as possible, up to 100000. Acceptable values are 1-100000, inclusive. Values larger than 100000 return an error.", "format": "int32" }, "dateRange": { "description": "The date range for which the report is generated.", "$ref": "DateRange" }, "localizationSettings": { "$ref": "LocalizationSettings", "description": "Localization settings of the report." }, "sortConditions": { "type": "array", "items": { "$ref": "NetworkReportSpecSortCondition" }, "description": "Describes the sorting of report rows. The order of the condition in the list defines its precedence; the earlier the condition, the higher its precedence. If no sort conditions are specified, the row ordering is undefined." }, "dimensions": { "items": { "type": "string", "enumDescriptions": [ "Default value for an unset field. Do not use.", "A date in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "A month in the YYYYMM format (for example, \"202107\"). Requests can specify at most one time dimension.", "The date of the first day of a week in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "The unique ID of the ad unit (for example, \"ca-app-pub-1234/1234\"). If AD_UNIT dimension is specified, then APP is included automatically.", "The unique ID of the mobile application (for example, \"ca-app-pub-1234~1234\").", "Type of the ad (for example, \"text\" or \"image\"), an ad delivery dimension. **Warning:** The dimension is incompatible with [AD_REQUESTS](#Metric.ENUM_VALUES.AD_REQUESTS), [MATCH_RATE](#Metric.ENUM_VALUES.MATCH_RATE) and [IMPRESSION_RPM](#Metric.ENUM_VALUES.IMPRESSION_RPM) metrics.", "CLDR country code of the place where the ad views/clicks occur (for example, \"US\" or \"FR\"). This is a geography dimension.", "Format of the ad unit (for example, \"banner\", \"native\"), an ad delivery dimension.", "Mobile OS platform of the app (for example, \"Android\" or \"iOS\").", "Mobile operating system version, e.g. \"iOS 13.5.1\".", "GMA SDK version, e.g. \"iOS 7.62.0\".", "For Android, the app version name can be found in versionName in PackageInfo. For iOS, the app version name can be found in CFBundleShortVersionString.", "Restriction mode for ads serving (e.g. \"Non-personalized ads\")." ], "enum": [ "DIMENSION_UNSPECIFIED", "DATE", "MONTH", "WEEK", "AD_UNIT", "APP", "AD_TYPE", "COUNTRY", "FORMAT", "PLATFORM", "MOBILE_OS_VERSION", "GMA_SDK_VERSION", "APP_VERSION_NAME", "SERVING_RESTRICTION" ] }, "description": "List of dimensions of the report. The value combination of these dimensions determines the row of the report. If no dimensions are specified, the report returns a single row of requested metrics for the entire account.", "type": "array" } } }, "ReportRow": { "id": "ReportRow", "description": "A row of the returning report.", "type": "object", "properties": { "dimensionValues": { "description": "Map of dimension values in a row, with keys as enum name of the dimensions.", "type": "object", "additionalProperties": { "$ref": "ReportRowDimensionValue" } }, "metricValues": { "additionalProperties": { "$ref": "ReportRowMetricValue" }, "type": "object", "description": "Map of metric values in a row, with keys as enum name of the metrics. If a metric being requested has no value returned, the map will not include it." } } }, "MediationReportSpecSortCondition": { "id": "MediationReportSpecSortCondition", "description": "Sorting direction to be applied on a dimension or a metric.", "properties": { "order": { "type": "string", "enum": [ "SORT_ORDER_UNSPECIFIED", "ASCENDING", "DESCENDING" ], "description": "Sorting order of the dimension or metric.", "enumDescriptions": [ "Default value for an unset field. Do not use.", "Sort dimension value or metric value in ascending order.", "Sort dimension value or metric value in descending order." ] }, "dimension": { "type": "string", "enum": [ "DIMENSION_UNSPECIFIED", "DATE", "MONTH", "WEEK", "AD_SOURCE", "AD_SOURCE_INSTANCE", "AD_UNIT", "APP", "MEDIATION_GROUP", "COUNTRY", "FORMAT", "PLATFORM", "MOBILE_OS_VERSION", "GMA_SDK_VERSION", "APP_VERSION_NAME", "SERVING_RESTRICTION" ], "enumDescriptions": [ "Default value for an unset field. Do not use.", "A date in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "A month in the YYYYMM format (for example, \"202107\"). Requests can specify at most one time dimension.", "The date of the first day of a week in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "The [unique ID of the ad source](/admob/api/v1/ad_sources) (for example, \"5450213213286189855\" and \"AdMob Network\" as label value).", "The unique ID of the ad source instance (for example, \"ca-app-pub-1234:asi:5678\" and \"AdMob (default)\" as label value).", "The unique ID of the ad unit (for example, \"ca-app-pub-1234/8790\"). If AD_UNIT dimension is specified, then APP is included automatically.", "The unique ID of the mobile application (for example, \"ca-app-pub-1234~1234\").", "The unique ID of the mediation group (for example, \"ca-app-pub-1234:mg:1234\" and \"AdMob (default)\" as label value).", "CLDR country code of the place where the ad views/clicks occur (for example, \"US\" or \"FR\"). This is a geography dimension.", "Format of the ad unit (for example, \"banner\", \"native\"), an ad delivery dimension.", "Mobile OS platform of the app (for example, \"Android\" or \"iOS\").", "Mobile operating system version, e.g. \"iOS 13.5.1\". **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS), [OBSERVED_ECPM](#Metric.ENUM_VALUES.OBSERVED_ECPM) metrics.", "GMA SDK version, e.g. \"iOS 7.62.0\". **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS), [OBSERVED_ECPM](#Metric.ENUM_VALUES.OBSERVED_ECPM) metrics.", "For Android, the app version name can be found in versionName in PackageInfo. For iOS, the app version name can be found in CFBundleShortVersionString. **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS), [OBSERVED_ECPM](#Metric.ENUM_VALUES.OBSERVED_ECPM) metrics.", "Restriction mode for ads serving (e.g. \"Non-personalized ads\"). **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS) metric." ], "description": "Sort by the specified dimension." }, "metric": { "description": "Sort by the specified metric.", "enumDescriptions": [ "Default value for an unset field. Do not use.", "The number of requests. The value is an integer.", "The number of times a user clicks an ad. The value is an integer.", "The estimated earnings of the AdMob publisher. The currency unit (USD, EUR, or other) of the earning metrics are determined by the localization setting for currency. The amount is in micros. For example, $6.50 would be represented as 6500000. Estimated earnings per mediation group and per ad source instance level is supported dating back to October 20, 2019. Third-party estimated earnings will show 0 for dates prior to October 20, 2019.", "The total number of ads shown to users. The value is an integer.", "The ratio of clicks over impressions. The value is a double precision (approximate) decimal value.", "The number of times ads are returned in response to a request. The value is an integer.", "The ratio of matched ad requests over the total ad requests. The value is a double precision (approximate) decimal value.", "The third-party ad network's estimated average eCPM. The currency unit (USD, EUR, or other) of the earning metrics are determined by the localization setting for currency. The amount is in micros. For example, $2.30 would be represented as 2300000. The estimated average eCPM per mediation group and per ad source instance level is supported dating back to October 20, 2019. Third-party estimated average eCPM will show 0 for dates prior to October 20, 2019." ], "type": "string", "enum": [ "METRIC_UNSPECIFIED", "AD_REQUESTS", "CLICKS", "ESTIMATED_EARNINGS", "IMPRESSIONS", "IMPRESSION_CTR", "MATCHED_REQUESTS", "MATCH_RATE", "OBSERVED_ECPM" ] } }, "type": "object" }, "MediationReportSpec": { "id": "MediationReportSpec", "description": "The specification for generating an AdMob Mediation report. For example, the specification to get observed ECPM sliced by ad source and app for the 'US' and 'CN' countries can look like the following example: { \"date_range\": { \"start_date\": {\"year\": 2021, \"month\": 9, \"day\": 1}, \"end_date\": {\"year\": 2021, \"month\": 9, \"day\": 30} }, \"dimensions\": [\"AD_SOURCE\", \"APP\", \"COUNTRY\"], \"metrics\": [\"OBSERVED_ECPM\"], \"dimension_filters\": [ { \"dimension\": \"COUNTRY\", \"matches_any\": {\"values\": [{\"value\": \"US\", \"value\": \"CN\"}]} } ], \"sort_conditions\": [ {\"dimension\":\"APP\", order: \"ASCENDING\"} ], \"localization_settings\": { \"currency_code\": \"USD\", \"language_code\": \"en-US\" } } For a better understanding, you can treat the preceding specification like the following pseudo SQL: SELECT AD_SOURCE, APP, COUNTRY, OBSERVED_ECPM FROM MEDIATION_REPORT WHERE DATE \u003e= '2021-09-01' AND DATE \u003c= '2021-09-30' AND COUNTRY IN ('US', 'CN') GROUP BY AD_SOURCE, APP, COUNTRY ORDER BY APP ASC;", "type": "object", "properties": { "maxReportRows": { "type": "integer", "format": "int32", "description": "Maximum number of report data rows to return. If the value is not set, the API returns as many rows as possible, up to 100000. Acceptable values are 1-100000, inclusive. Values larger than 100000 return an error." }, "timeZone": { "type": "string", "description": "A report time zone. Accepts an IANA TZ name values, such as \"America/Los_Angeles.\" If no time zone is defined, the account default takes effect. Check default value by the get account action. **Warning:** The \"America/Los_Angeles\" is the only supported value at the moment." }, "localizationSettings": { "$ref": "LocalizationSettings", "description": "Localization settings of the report." }, "dateRange": { "$ref": "DateRange", "description": "The date range for which the report is generated." }, "dimensions": { "items": { "type": "string", "enumDescriptions": [ "Default value for an unset field. Do not use.", "A date in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "A month in the YYYYMM format (for example, \"202107\"). Requests can specify at most one time dimension.", "The date of the first day of a week in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "The [unique ID of the ad source](/admob/api/v1/ad_sources) (for example, \"5450213213286189855\" and \"AdMob Network\" as label value).", "The unique ID of the ad source instance (for example, \"ca-app-pub-1234:asi:5678\" and \"AdMob (default)\" as label value).", "The unique ID of the ad unit (for example, \"ca-app-pub-1234/8790\"). If AD_UNIT dimension is specified, then APP is included automatically.", "The unique ID of the mobile application (for example, \"ca-app-pub-1234~1234\").", "The unique ID of the mediation group (for example, \"ca-app-pub-1234:mg:1234\" and \"AdMob (default)\" as label value).", "CLDR country code of the place where the ad views/clicks occur (for example, \"US\" or \"FR\"). This is a geography dimension.", "Format of the ad unit (for example, \"banner\", \"native\"), an ad delivery dimension.", "Mobile OS platform of the app (for example, \"Android\" or \"iOS\").", "Mobile operating system version, e.g. \"iOS 13.5.1\". **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS), [OBSERVED_ECPM](#Metric.ENUM_VALUES.OBSERVED_ECPM) metrics.", "GMA SDK version, e.g. \"iOS 7.62.0\". **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS), [OBSERVED_ECPM](#Metric.ENUM_VALUES.OBSERVED_ECPM) metrics.", "For Android, the app version name can be found in versionName in PackageInfo. For iOS, the app version name can be found in CFBundleShortVersionString. **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS), [OBSERVED_ECPM](#Metric.ENUM_VALUES.OBSERVED_ECPM) metrics.", "Restriction mode for ads serving (e.g. \"Non-personalized ads\"). **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS) metric." ], "enum": [ "DIMENSION_UNSPECIFIED", "DATE", "MONTH", "WEEK", "AD_SOURCE", "AD_SOURCE_INSTANCE", "AD_UNIT", "APP", "MEDIATION_GROUP", "COUNTRY", "FORMAT", "PLATFORM", "MOBILE_OS_VERSION", "GMA_SDK_VERSION", "APP_VERSION_NAME", "SERVING_RESTRICTION" ] }, "description": "List of dimensions of the report. The value combination of these dimensions determines the row of the report. If no dimensions are specified, the report returns a single row of requested metrics for the entire account.", "type": "array" }, "dimensionFilters": { "type": "array", "items": { "$ref": "MediationReportSpecDimensionFilter" }, "description": "Describes which report rows to match based on their dimension values." }, "sortConditions": { "description": "Describes the sorting of report rows. The order of the condition in the list defines its precedence; the earlier the condition, the higher its precedence. If no sort conditions are specified, the row ordering is undefined.", "type": "array", "items": { "$ref": "MediationReportSpecSortCondition" } }, "metrics": { "type": "array", "description": "List of metrics of the report. A report must specify at least one metric.", "items": { "type": "string", "enumDescriptions": [ "Default value for an unset field. Do not use.", "The number of requests. The value is an integer.", "The number of times a user clicks an ad. The value is an integer.", "The estimated earnings of the AdMob publisher. The currency unit (USD, EUR, or other) of the earning metrics are determined by the localization setting for currency. The amount is in micros. For example, $6.50 would be represented as 6500000. Estimated earnings per mediation group and per ad source instance level is supported dating back to October 20, 2019. Third-party estimated earnings will show 0 for dates prior to October 20, 2019.", "The total number of ads shown to users. The value is an integer.", "The ratio of clicks over impressions. The value is a double precision (approximate) decimal value.", "The number of times ads are returned in response to a request. The value is an integer.", "The ratio of matched ad requests over the total ad requests. The value is a double precision (approximate) decimal value.", "The third-party ad network's estimated average eCPM. The currency unit (USD, EUR, or other) of the earning metrics are determined by the localization setting for currency. The amount is in micros. For example, $2.30 would be represented as 2300000. The estimated average eCPM per mediation group and per ad source instance level is supported dating back to October 20, 2019. Third-party estimated average eCPM will show 0 for dates prior to October 20, 2019." ], "enum": [ "METRIC_UNSPECIFIED", "AD_REQUESTS", "CLICKS", "ESTIMATED_EARNINGS", "IMPRESSIONS", "IMPRESSION_CTR", "MATCHED_REQUESTS", "MATCH_RATE", "OBSERVED_ECPM" ] } } } }, "ListAdSourcesResponse": { "type": "object", "id": "ListAdSourcesResponse", "properties": { "nextPageToken": { "description": "Used to set the `page_token` in the `ListAdSourcesRequest` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "adSources": { "type": "array", "items": { "$ref": "AdSource" }, "description": "The ad sources." } }, "description": "Response for the ListAdSourcesRequest." }, "DateRange": { "type": "object", "properties": { "endDate": { "description": "End date of the date range, inclusive. Must be greater than or equal to the start date.", "$ref": "Date" }, "startDate": { "description": "Start date of the date range, inclusive. Must be less than or equal to the end date.", "$ref": "Date" } }, "description": "Specification of a single date range. Both dates are inclusive.", "id": "DateRange" }, "ReportRowMetricValue": { "description": "Representation of a metric value.", "properties": { "integerValue": { "description": "Metric integer value.", "type": "string", "format": "int64" }, "microsValue": { "format": "int64", "description": "Amount in micros. One million is equivalent to one unit. Currency value is in the unit (USD, EUR or other) specified by the request. For example, $6.50 whould be represented as 6500000 micros.", "type": "string" }, "doubleValue": { "type": "number", "format": "double", "description": "Double precision (approximate) decimal values. Rates are from 0 to 1." } }, "type": "object", "id": "ReportRowMetricValue" }, "AppManualAppInfo": { "id": "AppManualAppInfo", "description": "Information provided for manual apps which are not linked to an application store (Example: Google Play, App Store).", "properties": { "displayName": { "type": "string", "description": "The display name of the app as shown in the AdMob UI, which is provided by the user. The maximum length allowed is 80 characters." } }, "type": "object" }, "PublisherAccount": { "description": "A publisher account contains information relevant to the use of this API, such as the time zone used for the reports.", "properties": { "name": { "description": "Resource name of this account. Format is accounts/{publisher_id}.", "type": "string" }, "reportingTimeZone": { "type": "string", "description": "The time zone that is used in reports that are generated for this account. The value is a time-zone ID as specified by the CLDR project, for example, \"America/Los_Angeles\"." }, "publisherId": { "type": "string", "description": "The unique ID by which this publisher account can be identified in the API requests (for example, pub-1234567890)." }, "currencyCode": { "type": "string", "description": "Currency code of the earning-related metrics, which is the 3-letter code defined in ISO 4217. The daily average rate is used for the currency conversion." } }, "type": "object", "id": "PublisherAccount" }, "ReportFooter": { "properties": { "warnings": { "type": "array", "description": "Warnings associated with generation of the report.", "items": { "$ref": "ReportWarning" } }, "matchingRowCount": { "format": "int64", "type": "string", "description": "Total number of rows that matched the request. Warning: This count does NOT always match the number of rows in the response. Do not make that assumption when processing the response." } }, "id": "ReportFooter", "type": "object", "description": "Groups data available after report generation, for example, warnings and row counts. Always sent as the last message in the stream response." }, "NetworkReportSpecDimensionFilter": { "id": "NetworkReportSpecDimensionFilter", "description": "Describes which report rows to match based on their dimension values.", "type": "object", "properties": { "dimension": { "enum": [ "DIMENSION_UNSPECIFIED", "DATE", "MONTH", "WEEK", "AD_UNIT", "APP", "AD_TYPE", "COUNTRY", "FORMAT", "PLATFORM", "MOBILE_OS_VERSION", "GMA_SDK_VERSION", "APP_VERSION_NAME", "SERVING_RESTRICTION" ], "enumDescriptions": [ "Default value for an unset field. Do not use.", "A date in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "A month in the YYYYMM format (for example, \"202107\"). Requests can specify at most one time dimension.", "The date of the first day of a week in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "The unique ID of the ad unit (for example, \"ca-app-pub-1234/1234\"). If AD_UNIT dimension is specified, then APP is included automatically.", "The unique ID of the mobile application (for example, \"ca-app-pub-1234~1234\").", "Type of the ad (for example, \"text\" or \"image\"), an ad delivery dimension. **Warning:** The dimension is incompatible with [AD_REQUESTS](#Metric.ENUM_VALUES.AD_REQUESTS), [MATCH_RATE](#Metric.ENUM_VALUES.MATCH_RATE) and [IMPRESSION_RPM](#Metric.ENUM_VALUES.IMPRESSION_RPM) metrics.", "CLDR country code of the place where the ad views/clicks occur (for example, \"US\" or \"FR\"). This is a geography dimension.", "Format of the ad unit (for example, \"banner\", \"native\"), an ad delivery dimension.", "Mobile OS platform of the app (for example, \"Android\" or \"iOS\").", "Mobile operating system version, e.g. \"iOS 13.5.1\".", "GMA SDK version, e.g. \"iOS 7.62.0\".", "For Android, the app version name can be found in versionName in PackageInfo. For iOS, the app version name can be found in CFBundleShortVersionString.", "Restriction mode for ads serving (e.g. \"Non-personalized ads\")." ], "description": "Applies the filter criterion to the specified dimension.", "type": "string" }, "matchesAny": { "$ref": "StringList", "description": "Matches a row if its value for the specified dimension is in one of the values specified in this condition." } } }, "AdUnit": { "description": "Describes an AdMob ad unit.", "id": "AdUnit", "properties": { "displayName": { "description": "The display name of the ad unit as shown in the AdMob UI, which is provided by the user. The maximum length allowed is 80 characters.", "type": "string" }, "adUnitId": { "type": "string", "description": "The externally visible ID of the ad unit which can be used to integrate with the AdMob SDK. This is a read only property. Example: ca-app-pub-9876543210987654/0123456789" }, "adFormat": { "type": "string", "description": "AdFormat of the ad unit. Possible values are as follows: \"BANNER\" - Banner ad format. \"BANNER_INTERSTITIAL\" - Legacy format that can be used as either banner or interstitial. This format can no longer be created but can be targeted by mediation groups. \"INTERSTITIAL\" - A full screen ad. Supported ad types are \"RICH_MEDIA\" and \"VIDEO\". \"NATIVE\" - Native ad format. \"REWARDED\" - An ad that, once viewed, gets a callback verifying the view so that a reward can be given to the user. Supported ad types are \"RICH_MEDIA\" (interactive) and video where video can not be excluded." }, "name": { "type": "string", "description": "Resource name for this ad unit. Format is accounts/{publisher_id}/adUnits/{ad_unit_id_fragment} Example: accounts/pub-9876543210987654/adUnits/0123456789" }, "appId": { "description": "The externally visible ID of the app this ad unit is associated with. Example: ca-app-pub-9876543210987654~0123456789", "type": "string" }, "adTypes": { "type": "array", "items": { "type": "string" }, "description": "Ad media type supported by this ad unit. Possible values as follows: \"RICH_MEDIA\" - Text, image, and other non-video media. \"VIDEO\" - Video media." } }, "type": "object" }, "StringList": { "type": "object", "description": "List of string values.", "properties": { "values": { "description": "The string values.", "type": "array", "items": { "type": "string" } } }, "id": "StringList" }, "MediationReportSpecDimensionFilter": { "properties": { "dimension": { "type": "string", "enumDescriptions": [ "Default value for an unset field. Do not use.", "A date in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "A month in the YYYYMM format (for example, \"202107\"). Requests can specify at most one time dimension.", "The date of the first day of a week in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "The [unique ID of the ad source](/admob/api/v1/ad_sources) (for example, \"5450213213286189855\" and \"AdMob Network\" as label value).", "The unique ID of the ad source instance (for example, \"ca-app-pub-1234:asi:5678\" and \"AdMob (default)\" as label value).", "The unique ID of the ad unit (for example, \"ca-app-pub-1234/8790\"). If AD_UNIT dimension is specified, then APP is included automatically.", "The unique ID of the mobile application (for example, \"ca-app-pub-1234~1234\").", "The unique ID of the mediation group (for example, \"ca-app-pub-1234:mg:1234\" and \"AdMob (default)\" as label value).", "CLDR country code of the place where the ad views/clicks occur (for example, \"US\" or \"FR\"). This is a geography dimension.", "Format of the ad unit (for example, \"banner\", \"native\"), an ad delivery dimension.", "Mobile OS platform of the app (for example, \"Android\" or \"iOS\").", "Mobile operating system version, e.g. \"iOS 13.5.1\". **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS), [OBSERVED_ECPM](#Metric.ENUM_VALUES.OBSERVED_ECPM) metrics.", "GMA SDK version, e.g. \"iOS 7.62.0\". **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS), [OBSERVED_ECPM](#Metric.ENUM_VALUES.OBSERVED_ECPM) metrics.", "For Android, the app version name can be found in versionName in PackageInfo. For iOS, the app version name can be found in CFBundleShortVersionString. **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS), [OBSERVED_ECPM](#Metric.ENUM_VALUES.OBSERVED_ECPM) metrics.", "Restriction mode for ads serving (e.g. \"Non-personalized ads\"). **Warning:** The dimension is incompatible with [ESTIMATED_EARNINGS](#Metric.ENUM_VALUES.ESTIMATED_EARNINGS) metric." ], "description": "Applies the filter criterion to the specified dimension.", "enum": [ "DIMENSION_UNSPECIFIED", "DATE", "MONTH", "WEEK", "AD_SOURCE", "AD_SOURCE_INSTANCE", "AD_UNIT", "APP", "MEDIATION_GROUP", "COUNTRY", "FORMAT", "PLATFORM", "MOBILE_OS_VERSION", "GMA_SDK_VERSION", "APP_VERSION_NAME", "SERVING_RESTRICTION" ] }, "matchesAny": { "description": "Matches a row if its value for the specified dimension is in one of the values specified in this condition.", "$ref": "StringList" } }, "id": "MediationReportSpecDimensionFilter", "type": "object", "description": "Describes which report rows to match based on their dimension values." }, "ReportWarning": { "properties": { "type": { "enum": [ "TYPE_UNSPECIFIED", "DATA_BEFORE_ACCOUNT_TIMEZONE_CHANGE", "DATA_DELAYED", "OTHER", "REPORT_CURRENCY_NOT_ACCOUNT_CURRENCY" ], "type": "string", "description": "Type of the warning.", "enumDescriptions": [ "Default value for an unset field. Do not use.", "Some data in this report is aggregated based on a time zone different from the requested time zone. This could happen if a local time-zone report has the start time before the last time this time zone changed. The description field will contain the date of the last time zone change.", "There is an unusual delay in processing the source data for the requested date range. The report results might be less up to date than usual. AdMob is aware of the issue and is actively working to resolve it.", "Warnings that are exposed without a specific type. Useful when new warning types are added but the API is not changed yet.", "The currency being requested is not the account currency. The earning metrics will be based on the requested currency, and thus not a good estimation of the final payment anymore, due to the currency rate fluctuation." ] }, "description": { "type": "string", "description": "Describes the details of the warning message, in English." } }, "id": "ReportWarning", "description": "Warnings associated with generation of the report.", "type": "object" }, "GenerateMediationReportRequest": { "description": "Request to generate an AdMob Mediation report.", "properties": { "reportSpec": { "$ref": "MediationReportSpec", "description": "Network report specification." } }, "type": "object", "id": "GenerateMediationReportRequest" }, "GenerateMediationReportResponse": { "properties": { "footer": { "description": "Additional information about the generated report, such as warnings about the data.", "$ref": "ReportFooter" }, "row": { "$ref": "ReportRow", "description": "Actual report data." }, "header": { "description": "Report generation settings that describes the report contents, such as the report date range and localization settings.", "$ref": "ReportHeader" } }, "id": "GenerateMediationReportResponse", "type": "object", "description": "The streaming response for the AdMob Mediation report where the first response contains the report header, then a stream of row responses, and finally a footer as the last response message. For example: [{ \"header\": { \"date_range\": { \"start_date\": {\"year\": 2018, \"month\": 9, \"day\": 1}, \"end_date\": {\"year\": 2018, \"month\": 9, \"day\": 1} }, \"localization_settings\": { \"currency_code\": \"USD\", \"language_code\": \"en-US\" } } }, { \"row\": { \"dimension_values\": { \"DATE\": {\"value\": \"20180918\"}, \"APP\": { \"value\": \"ca-app-pub-8123415297019784~1001342552\", \"display_label\": \"My app name!\" } }, \"metric_values\": { \"ESTIMATED_EARNINGS\": {\"decimal_value\": \"1324746\"} } } }, { \"footer\": {\"matching_row_count\": 1} }]" }, "AppLinkedAppInfo": { "properties": { "appStoreId": { "description": "The app store ID of the app; present if and only if the app is linked to an app store. If the app is added to the Google Play store, it will be the application ID of the app. For example: \"com.example.myapp\". See https://developer.android.com/studio/build/application-id. If the app is added to the Apple App Store, it will be app store ID. For example \"105169111\". Note that setting the app store id is considered an irreversible action. Once an app is linked, it cannot be unlinked.", "type": "string" }, "displayName": { "type": "string", "readOnly": true, "description": "Output only. Display name of the app as it appears in the app store. This is an output-only field, and may be empty if the app cannot be found in the store." } }, "type": "object", "description": "Information from the app store if the app is linked to an app store.", "id": "AppLinkedAppInfo" }, "App": { "id": "App", "type": "object", "description": "Describes an AdMob app for a specific platform (For example: Android or iOS).", "properties": { "manualAppInfo": { "$ref": "AppManualAppInfo", "description": "The information for an app that is not linked to any app store. After an app is linked, this information is still retrivable. If no name is provided for the app upon creation, a placeholder name will be used." }, "linkedAppInfo": { "$ref": "AppLinkedAppInfo", "description": "Immutable. The information for an app that is linked to an app store. This field is present if and only if the app is linked to an app store." }, "appId": { "description": "The externally visible ID of the app which can be used to integrate with the AdMob SDK. This is a read only property. Example: ca-app-pub-9876543210987654~0123456789", "type": "string" }, "name": { "type": "string", "description": "Resource name for this app. Format is accounts/{publisher_id}/apps/{app_id_fragment} Example: accounts/pub-9876543210987654/apps/0123456789" }, "platform": { "description": "Describes the platform of the app. Limited to \"IOS\" and \"ANDROID\".", "type": "string" } } }, "GenerateNetworkReportRequest": { "id": "GenerateNetworkReportRequest", "type": "object", "description": "Request to generate an AdMob Network report.", "properties": { "reportSpec": { "description": "Network report specification.", "$ref": "NetworkReportSpec" } } }, "NetworkReportSpecSortCondition": { "id": "NetworkReportSpecSortCondition", "description": "Sorting direction to be applied on a dimension or a metric.", "type": "object", "properties": { "order": { "type": "string", "enum": [ "SORT_ORDER_UNSPECIFIED", "ASCENDING", "DESCENDING" ], "description": "Sorting order of the dimension or metric.", "enumDescriptions": [ "Default value for an unset field. Do not use.", "Sort dimension value or metric value in ascending order.", "Sort dimension value or metric value in descending order." ] }, "dimension": { "description": "Sort by the specified dimension.", "type": "string", "enumDescriptions": [ "Default value for an unset field. Do not use.", "A date in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "A month in the YYYYMM format (for example, \"202107\"). Requests can specify at most one time dimension.", "The date of the first day of a week in the YYYYMMDD format (for example, \"20210701\"). Requests can specify at most one time dimension.", "The unique ID of the ad unit (for example, \"ca-app-pub-1234/1234\"). If AD_UNIT dimension is specified, then APP is included automatically.", "The unique ID of the mobile application (for example, \"ca-app-pub-1234~1234\").", "Type of the ad (for example, \"text\" or \"image\"), an ad delivery dimension. **Warning:** The dimension is incompatible with [AD_REQUESTS](#Metric.ENUM_VALUES.AD_REQUESTS), [MATCH_RATE](#Metric.ENUM_VALUES.MATCH_RATE) and [IMPRESSION_RPM](#Metric.ENUM_VALUES.IMPRESSION_RPM) metrics.", "CLDR country code of the place where the ad views/clicks occur (for example, \"US\" or \"FR\"). This is a geography dimension.", "Format of the ad unit (for example, \"banner\", \"native\"), an ad delivery dimension.", "Mobile OS platform of the app (for example, \"Android\" or \"iOS\").", "Mobile operating system version, e.g. \"iOS 13.5.1\".", "GMA SDK version, e.g. \"iOS 7.62.0\".", "For Android, the app version name can be found in versionName in PackageInfo. For iOS, the app version name can be found in CFBundleShortVersionString.", "Restriction mode for ads serving (e.g. \"Non-personalized ads\")." ], "enum": [ "DIMENSION_UNSPECIFIED", "DATE", "MONTH", "WEEK", "AD_UNIT", "APP", "AD_TYPE", "COUNTRY", "FORMAT", "PLATFORM", "MOBILE_OS_VERSION", "GMA_SDK_VERSION", "APP_VERSION_NAME", "SERVING_RESTRICTION" ] }, "metric": { "type": "string", "enum": [ "METRIC_UNSPECIFIED", "AD_REQUESTS", "CLICKS", "ESTIMATED_EARNINGS", "IMPRESSIONS", "IMPRESSION_CTR", "IMPRESSION_RPM", "MATCHED_REQUESTS", "MATCH_RATE", "SHOW_RATE" ], "description": "Sort by the specified metric.", "enumDescriptions": [ "Default value for an unset field. Do not use.", "The number of ad requests. The value is an integer. **Warning:** The metric is incompatible with [AD_TYPE](#Dimension.ENUM_VALUES.AD_TYPE) dimension.", "The number of times a user clicks an ad. The value is an integer.", "The estimated earnings of the AdMob publisher. The currency unit (USD, EUR, or other) of the earning metrics are determined by the localization setting for currency. The amount is in micros. For example, $6.50 would be represented as 6500000.", "The total number of ads shown to users. The value is an integer.", "The ratio of clicks over impressions. The value is a double precision (approximate) decimal value.", "The estimated earnings per thousand ad impressions. The value is in micros. For example, $1.03 would be represented as 1030000. Equivalent to eCPM in the AdMob UI. **Warning:** The metric is incompatible with [AD_TYPE](#Dimension.ENUM_VALUES.AD_TYPE) dimension.", "The number of times ads are returned in response to a request. The value is an integer.", "The ratio of matched ad requests over the total ad requests. The value is a double precision (approximate) decimal value. **Warning:** The metric is incompatible with [AD_TYPE](#Dimension.ENUM_VALUES.AD_TYPE) dimension.", "The ratio of ads that are displayed over ads that are returned, defined as impressions / matched requests. The value is a double precision (approximate) decimal value." ] } } }, "ListPublisherAccountsResponse": { "id": "ListPublisherAccountsResponse", "description": "Response for the publisher account list request.", "type": "object", "properties": { "account": { "items": { "$ref": "PublisherAccount" }, "type": "array", "description": "Publisher that the client credentials can access." }, "nextPageToken": { "description": "If not empty, indicates that there might be more accounts for the request; you must pass this value in a new `ListPublisherAccountsRequest`.", "type": "string" } } }, "AdSource": { "properties": { "adSourceId": { "type": "string", "description": "ID of this ad source." }, "name": { "type": "string", "description": "Resource name of this ad source. Format is: accounts/{publisher_id}/adSources/{ad_source_id}" }, "title": { "description": "Display name of this ad source.", "type": "string" } }, "id": "AdSource", "type": "object", "description": "Definition of a mediation ad source." }, "ReportHeader": { "description": "Groups data helps to treat the generated report. Always sent as a first message in the stream response.", "id": "ReportHeader", "type": "object", "properties": { "localizationSettings": { "description": "Localization settings of the report. This is identical to the settings in the report request.", "$ref": "LocalizationSettings" }, "dateRange": { "$ref": "DateRange", "description": "The date range for which the report is generated. This is identical to the range specified in the report request." }, "reportingTimeZone": { "type": "string", "description": "The report time zone. The value is a time-zone ID as specified by the CLDR project, for example, \"America/Los_Angeles\"." } } } }, "batchPath": "batch", "resources": { "accounts": { "resources": { "adSources": { "methods": { "list": { "flatPath": "v1beta/accounts/{accountsId}/adSources", "parameterOrder": [ "parent" ], "path": "v1beta/{+parent}/adSources", "parameters": { "pageSize": { "type": "integer", "description": "The maximum number of ad sources to return. If unspecified or 0, at most 10,000 ad sources will be returned. The maximum value is 20,000; values above 10,000 will be coerced to 20,000.", "location": "query", "format": "int32" }, "parent": { "description": "Required. The parent which owns this collection of ad sources. Format: accounts/{publisher_id}", "pattern": "^accounts/[^/]+$", "location": "path", "type": "string", "required": true }, "pageToken": { "location": "query", "description": "A page token, received from a previous `ListAdSources` call. Provide this to retrieve the subsequent page.", "type": "string" } }, "streamingType": "NONE", "response": { "$ref": "ListAdSourcesResponse" }, "id": "admob.accounts.adSources.list", "description": "List the ad sources.", "httpMethod": "GET" } } }, "adUnits": { "methods": { "list": { "description": "List the ad units under the specified AdMob account.", "response": { "$ref": "ListAdUnitsResponse" }, "parameters": { "parent": { "type": "string", "pattern": "^accounts/[^/]+$", "required": true, "description": "Required. Resource name of the account to list ad units for. Example: accounts/pub-9876543210987654", "location": "path" }, "pageToken": { "location": "query", "description": "The value returned by the last `ListAdUnitsResponse`; indicates that this is a continuation of a prior `ListAdUnits` call, and that the system should return the next page of data.", "type": "string" }, "pageSize": { "description": "The maximum number of ad units to return. If unspecified or 0, at most 10,000 ad units will be returned. The maximum value is 20,000; values above 20,000 will be coerced to 20,000.", "format": "int32", "location": "query", "type": "integer" } }, "flatPath": "v1beta/accounts/{accountsId}/adUnits", "httpMethod": "GET", "parameterOrder": [ "parent" ], "id": "admob.accounts.adUnits.list", "scopes": [ "https://www.googleapis.com/auth/admob.readonly" ], "streamingType": "NONE", "path": "v1beta/{+parent}/adUnits" } } }, "networkReport": { "methods": { "generate": { "path": "v1beta/{+parent}/networkReport:generate", "httpMethod": "POST", "description": "Generates an AdMob Network report based on the provided report specification. Returns result of a server-side streaming RPC. The result is returned in a sequence of responses.", "parameterOrder": [ "parent" ], "parameters": { "parent": { "required": true, "description": "Resource name of the account to generate the report for. Example: accounts/pub-9876543210987654", "location": "path", "type": "string", "pattern": "^accounts/[^/]+$" } }, "response": { "$ref": "GenerateNetworkReportResponse" }, "request": { "$ref": "GenerateNetworkReportRequest" }, "id": "admob.accounts.networkReport.generate", "flatPath": "v1beta/accounts/{accountsId}/networkReport:generate", "streamingType": "SERVER_SIDE", "scopes": [ "https://www.googleapis.com/auth/admob.readonly", "https://www.googleapis.com/auth/admob.report" ] } } }, "mediationReport": { "methods": { "generate": { "scopes": [ "https://www.googleapis.com/auth/admob.readonly", "https://www.googleapis.com/auth/admob.report" ], "path": "v1beta/{+parent}/mediationReport:generate", "flatPath": "v1beta/accounts/{accountsId}/mediationReport:generate", "id": "admob.accounts.mediationReport.generate", "response": { "$ref": "GenerateMediationReportResponse" }, "request": { "$ref": "GenerateMediationReportRequest" }, "description": "Generates an AdMob Mediation report based on the provided report specification. Returns result of a server-side streaming RPC. The result is returned in a sequence of responses.", "streamingType": "SERVER_SIDE", "httpMethod": "POST", "parameters": { "parent": { "location": "path", "required": true, "pattern": "^accounts/[^/]+$", "description": "Resource name of the account to generate the report for. Example: accounts/pub-9876543210987654", "type": "string" } }, "parameterOrder": [ "parent" ] } } }, "apps": { "methods": { "list": { "response": { "$ref": "ListAppsResponse" }, "scopes": [ "https://www.googleapis.com/auth/admob.readonly" ], "path": "v1beta/{+parent}/apps", "httpMethod": "GET", "flatPath": "v1beta/accounts/{accountsId}/apps", "description": "List the apps under the specified AdMob account.", "streamingType": "NONE", "id": "admob.accounts.apps.list", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "description": "The value returned by the last `ListAppsResponse`; indicates that this is a continuation of a prior `ListApps` call, and that the system should return the next page of data.", "location": "query", "type": "string" }, "parent": { "type": "string", "pattern": "^accounts/[^/]+$", "required": true, "location": "path", "description": "Required. Resource name of the account to list apps for. Example: accounts/pub-9876543210987654" }, "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of apps to return. If unspecified or 0, at most 10,000 apps will be returned. The maximum value is 20,000; values above 20,000 will be coerced to 20,000.", "type": "integer" } } } } } }, "methods": { "list": { "path": "v1beta/accounts", "id": "admob.accounts.list", "description": "Lists the AdMob publisher account that was most recently signed in to from the AdMob UI. For more information, see https://support.google.com/admob/answer/10243672.", "parameters": { "pageToken": { "type": "string", "description": "The value returned by the last `ListPublisherAccountsResponse`; indicates that this is a continuation of a prior `ListPublisherAccounts` call, and that the system should return the next page of data.", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "description": "Maximum number of accounts to return.", "location": "query" } }, "streamingType": "NONE", "scopes": [ "https://www.googleapis.com/auth/admob.readonly", "https://www.googleapis.com/auth/admob.report" ], "flatPath": "v1beta/accounts", "httpMethod": "GET", "response": { "$ref": "ListPublisherAccountsResponse" }, "parameterOrder": [] }, "get": { "scopes": [ "https://www.googleapis.com/auth/admob.readonly", "https://www.googleapis.com/auth/admob.report" ], "flatPath": "v1beta/accounts/{accountsId}", "id": "admob.accounts.get", "path": "v1beta/{+name}", "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "PublisherAccount" }, "parameters": { "name": { "location": "path", "pattern": "^accounts/[^/]+$", "required": true, "type": "string", "description": "Resource name of the publisher account to retrieve. Example: accounts/pub-9876543210987654" } }, "description": "Gets information about the specified AdMob publisher account.", "streamingType": "NONE" } } } }, "discoveryVersion": "v1", "rootUrl": "https://admob.googleapis.com/", "mtlsRootUrl": "https://admob.mtls.googleapis.com/", "protocol": "rest", "fullyEncodeReservedExpansion": true, "kind": "discovery#restDescription", "baseUrl": "https://admob.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "ownerDomain": "google.com", "version_module": true, "id": "admob:v1beta", "basePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/admob.readonly": { "description": "See your AdMob data" }, "https://www.googleapis.com/auth/admob.report": { "description": "See your AdMob data" } } } } }
]===]))
