local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "adsense:v2", "protocol": "rest", "version_module": true, "version": "v2", "schemas": { "ListUrlChannelsResponse": { "id": "ListUrlChannelsResponse", "type": "object", "properties": { "nextPageToken": { "description": "Continuation token used to page through url channels. To retrieve the next page of the results, set the next request's \"page_token\" value to this.", "type": "string" }, "urlChannels": { "type": "array", "items": { "$ref": "UrlChannel" }, "description": "The url channels returned in this list response." } }, "description": "Response definition for the url channels list rpc." }, "SavedReport": { "description": "Representation of a saved report.", "type": "object", "id": "SavedReport", "properties": { "name": { "description": "Resource name of the report. Format: accounts/{account}/reports/{report}", "type": "string" }, "title": { "description": "Report title as specified by publisher.", "type": "string" } } }, "AdUnit": { "id": "AdUnit", "properties": { "contentAdsSettings": { "$ref": "ContentAdsSettings", "description": "Required. Settings specific to content ads (AFC)." }, "state": { "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "ARCHIVED" ], "enumDescriptions": [ "State unspecified.", "Ad unit has been activated by the user.", "Ad unit has been archived by the user. Note that archived ad units are only removed from the default view in the UI. Archived ad units can still serve ads." ], "description": "State of the ad unit.", "type": "string" }, "reportingDimensionId": { "type": "string", "readOnly": true, "description": "Output only. Unique ID of the ad unit as used in the `AD_UNIT_ID` reporting dimension." }, "displayName": { "description": "Required. Display name of the ad unit, as provided when the ad unit was created.", "type": "string" }, "name": { "type": "string", "description": "Resource name of the ad unit. Format: accounts/{account}/adclients/{adclient}/adunits/{adunit}" } }, "description": "Representation of an ad unit. An ad unit represents a saved ad unit with a specific set of ad settings that have been customized within an account.", "type": "object" }, "HttpBody": { "type": "object", "id": "HttpBody", "description": "Message that represents an arbitrary HTTP body. It should only be used for payload formats that can't be represented as JSON, such as raw binary or an HTML page. This message can be used both in streaming and non-streaming API methods in the request as well as the response. It can be used as a top-level request field, which is convenient if one wants to extract parameters from either the URL or HTTP template into the request fields and also want access to the raw HTTP body. Example: message GetResourceRequest { // A unique request id. string request_id = 1; // The raw HTTP body is bound to this field. google.api.HttpBody http_body = 2; } service ResourceService { rpc GetResource(GetResourceRequest) returns (google.api.HttpBody); rpc UpdateResource(google.api.HttpBody) returns (google.protobuf.Empty); } Example with streaming methods: service CaldavService { rpc GetCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); rpc UpdateCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); } Use of this type only changes how the request and response bodies are handled, all other features will continue to work unchanged.", "properties": { "contentType": { "description": "The HTTP Content-Type header value specifying the content type of the body.", "type": "string" }, "extensions": { "description": "Application specific response metadata. Must be set in the first response for streaming APIs.", "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "data": { "description": "The HTTP request/response body as raw binary.", "type": "string", "format": "byte" } } }, "AdUnitAdCode": { "properties": { "adCode": { "readOnly": true, "type": "string", "description": "Output only. The AdSense code snippet to add to the body of an HTML page." } }, "id": "AdUnitAdCode", "description": "Representation of the AdSense code for a given ad unit.", "type": "object" }, "Alert": { "id": "Alert", "description": "Representation of an alert.", "type": "object", "properties": { "message": { "type": "string", "readOnly": true, "description": "Output only. The localized alert message. This may contain HTML markup, such as phrase elements or links." }, "name": { "description": "Resource name of the alert. Format: accounts/{account}/alerts/{alert}", "type": "string" }, "severity": { "enumDescriptions": [ "Unspecified severity.", "Info.", "Warning.", "Severe." ], "description": "Output only. Severity of this alert.", "enum": [ "SEVERITY_UNSPECIFIED", "INFO", "WARNING", "SEVERE" ], "type": "string", "readOnly": true }, "type": { "readOnly": true, "description": "Output only. Type of alert. This identifies the broad type of this alert, and provides a stable machine-readable identifier that will not be translated. For example, \"payment-hold\".", "type": "string" } } }, "ListAdUnitsResponse": { "description": "Response definition for the adunit list rpc.", "properties": { "adUnits": { "description": "The ad units returned in the list response.", "type": "array", "items": { "$ref": "AdUnit" } }, "nextPageToken": { "description": "Continuation token used to page through ad units. To retrieve the next page of the results, set the next request's \"page_token\" value to this.", "type": "string" } }, "type": "object", "id": "ListAdUnitsResponse" }, "ListPaymentsResponse": { "id": "ListPaymentsResponse", "properties": { "payments": { "items": { "$ref": "Payment" }, "type": "array", "description": "The payments returned in this list response." } }, "description": "Response definition for the payments list rpc.", "type": "object" }, "Row": { "type": "object", "properties": { "cells": { "type": "array", "items": { "$ref": "Cell" }, "description": "Cells in the row." } }, "description": "Row representation.", "id": "Row" }, "ListSavedReportsResponse": { "type": "object", "id": "ListSavedReportsResponse", "description": "Response definition for the saved reports list rpc.", "properties": { "savedReports": { "items": { "$ref": "SavedReport" }, "description": "The reports returned in this list response.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Continuation token used to page through reports. To retrieve the next page of the results, set the next request's \"page_token\" value to this." } } }, "ReportResult": { "description": "Result of a generated report.", "id": "ReportResult", "properties": { "warnings": { "description": "Any warnings associated with generation of the report. These warnings are always returned in English.", "items": { "type": "string" }, "type": "array" }, "startDate": { "$ref": "Date", "description": "Required. Start date of the range (inclusive)." }, "totals": { "$ref": "Row", "description": "The totals of the report. This is the same length as any other row in the report; cells corresponding to dimension columns are empty." }, "headers": { "description": "The header information; one for each dimension in the request, followed by one for each metric in the request.", "items": { "$ref": "Header" }, "type": "array" }, "endDate": { "description": "Required. End date of the range (inclusive).", "$ref": "Date" }, "averages": { "description": "The averages of the report. This is the same length as any other row in the report; cells corresponding to dimension columns are empty.", "$ref": "Row" }, "rows": { "description": "The output rows of the report. Each row is a list of cells; one for each dimension in the request, followed by one for each metric in the request.", "type": "array", "items": { "$ref": "Row" } }, "totalMatchedRows": { "type": "string", "format": "int64", "description": "The total number of rows matched by the report request." } }, "type": "object" }, "ListLinkedCustomChannelsResponse": { "description": "Response definition for the custom channels linked to an adunit list rpc.", "type": "object", "id": "ListLinkedCustomChannelsResponse", "properties": { "nextPageToken": { "description": "Continuation token used to page through alerts. To retrieve the next page of the results, set the next request's \"page_token\" value to this.", "type": "string" }, "customChannels": { "description": "The custom channels returned in this list response.", "type": "array", "items": { "$ref": "CustomChannel" } } } }, "AdClient": { "type": "object", "id": "AdClient", "properties": { "productCode": { "readOnly": true, "description": "Output only. Reporting product code of the ad client. For example, \"AFC\" for AdSense for Content. Corresponds to the `PRODUCT_CODE` dimension, and present only if the ad client supports reporting.", "type": "string" }, "state": { "readOnly": true, "enumDescriptions": [ "State unspecified.", "The ad client is ready to show ads.", "Running some checks on the ad client before it is ready to serve ads.", "The ad client hasn't been checked yet. There are tasks pending before AdSense will start the review." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "READY", "GETTING_READY", "REQUIRES_REVIEW" ], "description": "Output only. State of the ad client." }, "name": { "type": "string", "description": "Resource name of the ad client. Format: accounts/{account}/adclients/{adclient}" }, "reportingDimensionId": { "type": "string", "description": "Output only. Unique ID of the ad client as used in the `AD_CLIENT_ID` reporting dimension. Present only if the ad client supports reporting.", "readOnly": true } }, "description": "Representation of an ad client. An ad client represents a user's subscription with a specific AdSense product." }, "ListLinkedAdUnitsResponse": { "description": "Response definition for the ad units linked to a custom channel list rpc.", "id": "ListLinkedAdUnitsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Continuation token used to page through ad units. To retrieve the next page of the results, set the next request's \"page_token\" value to this." }, "adUnits": { "type": "array", "description": "The ad units returned in the list response.", "items": { "$ref": "AdUnit" } } }, "type": "object" }, "ListCustomChannelsResponse": { "description": "Response definition for the custom channel list rpc.", "type": "object", "properties": { "nextPageToken": { "description": "Continuation token used to page through alerts. To retrieve the next page of the results, set the next request's \"page_token\" value to this.", "type": "string" }, "customChannels": { "type": "array", "description": "The custom channels returned in this list response.", "items": { "$ref": "CustomChannel" } } }, "id": "ListCustomChannelsResponse" }, "UrlChannel": { "type": "object", "properties": { "name": { "description": "Resource name of the URL channel. Format: accounts/{account}/adclients/{adclient}/urlchannels/{urlchannel}", "type": "string" }, "uriPattern": { "type": "string", "description": "URI pattern of the channel. Does not include \"http://\" or \"https://\". Example: www.example.com/home" }, "reportingDimensionId": { "readOnly": true, "type": "string", "description": "Output only. Unique ID of the custom channel as used in the `URL_CHANNEL_ID` reporting dimension." } }, "description": "Representation of a URL channel. URL channels allow you to track the performance of particular pages in your site; see [URL channels](https://support.google.com/adsense/answer/2923836) for more information.", "id": "UrlChannel" }, "ListAccountsResponse": { "id": "ListAccountsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Continuation token used to page through accounts. To retrieve the next page of the results, set the next request's \"page_token\" value to this." }, "accounts": { "description": "The accounts returned in this list response.", "items": { "$ref": "Account" }, "type": "array" } }, "description": "Response definition for the account list rpc.", "type": "object" }, "ListAlertsResponse": { "description": "Response definition for the alerts list rpc.", "properties": { "alerts": { "items": { "$ref": "Alert" }, "description": "The alerts returned in this list response.", "type": "array" } }, "id": "ListAlertsResponse", "type": "object" }, "ListAdClientsResponse": { "id": "ListAdClientsResponse", "description": "Response definition for the ad client list rpc.", "properties": { "adClients": { "type": "array", "items": { "$ref": "AdClient" }, "description": "The ad clients returned in this list response." }, "nextPageToken": { "type": "string", "description": "Continuation token used to page through ad clients. To retrieve the next page of the results, set the next request's \"page_token\" value to this." } }, "type": "object" }, "Payment": { "id": "Payment", "properties": { "name": { "type": "string", "description": "Resource name of the payment. Format: - accounts/{account}/payments/unpaid for unpaid (current) AdSense earnings. - accounts/{account}/payments/youtube-unpaid for unpaid (current) YouTube earnings. - accounts/{account}/payments/yyyy-MM-dd for paid AdSense earnings. - accounts/{account}/payments/youtube-yyyy-MM-dd for paid YouTube earnings. " }, "amount": { "readOnly": true, "description": "Output only. The amount of unpaid or paid earnings, as a formatted string, including the currency. E.g. \"¥1,235 JPY\", \"$1,234.57\", \"£87.65\".", "type": "string" }, "date": { "description": "Output only. For paid earnings, the date that the payment was credited. For unpaid earnings, this field is empty. Payment dates are always returned in the billing timezone (America/Los_Angeles).", "readOnly": true, "$ref": "Date" } }, "type": "object", "description": "Representation of an unpaid or paid payment. See [Payment timelines for AdSense](https://support.google.com/adsense/answer/7164703) for more information about payments and the [YouTube homepage and payments account](https://support.google.com/adsense/answer/11622510) article for information about dedicated payments accounts for YouTube." }, "Account": { "description": "Representation of an account.", "type": "object", "id": "Account", "properties": { "timeZone": { "description": "The account time zone, as used by reporting. For more information, see [changing the time zone of your reports](https://support.google.com/adsense/answer/9830725).", "$ref": "TimeZone" }, "displayName": { "description": "Output only. Display name of this account.", "type": "string", "readOnly": true }, "pendingTasks": { "description": "Output only. Outstanding tasks that need to be completed as part of the sign-up process for a new account. e.g. \"billing-profile-creation\", \"phone-pin-verification\".", "readOnly": true, "items": { "type": "string" }, "type": "array" }, "createTime": { "readOnly": true, "description": "Output only. Creation time of the account.", "format": "google-datetime", "type": "string" }, "name": { "type": "string", "description": "Resource name of the account. Format: accounts/pub-[0-9]+" }, "state": { "enumDescriptions": [ "State unspecified.", "The account is open and ready to serve ads.", "There are some issues with this account. Publishers should visit AdSense in order to fix the account.", "The account is closed and can't serve ads." ], "readOnly": true, "type": "string", "description": "Output only. State of the account.", "enum": [ "STATE_UNSPECIFIED", "READY", "NEEDS_ATTENTION", "CLOSED" ] }, "premium": { "readOnly": true, "type": "boolean", "description": "Output only. Whether this account is premium." } } }, "ContentAdsSettings": { "description": "Settings specific to content ads (AFC).", "id": "ContentAdsSettings", "properties": { "type": { "enum": [ "TYPE_UNSPECIFIED", "DISPLAY", "FEED", "ARTICLE", "MATCHED_CONTENT", "LINK" ], "enumDescriptions": [ "Unspecified ad unit type.", "Display ad unit.", "In-feed ad unit.", "In-article ad unit.", "Matched content unit.", "Link ad unit. Note that link ad units have now been retired, see https://support.google.com/adsense/answer/9987221." ], "description": "Required. Type of the ad unit.", "type": "string" }, "size": { "description": "Required. Size of the ad unit. e.g. \"728x90\", \"1x3\" (for responsive ad units).", "type": "string" } }, "type": "object" }, "ListChildAccountsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Continuation token used to page through accounts. To retrieve the next page of the results, set the next request's \"page_token\" value to this." }, "accounts": { "type": "array", "items": { "$ref": "Account" }, "description": "The accounts returned in this list response." } }, "id": "ListChildAccountsResponse", "description": "Response definition for the child account list rpc." }, "ListSitesResponse": { "id": "ListSitesResponse", "type": "object", "description": "Response definition for the sites list rpc.", "properties": { "sites": { "type": "array", "items": { "$ref": "Site" }, "description": "The sites returned in this list response." }, "nextPageToken": { "type": "string", "description": "Continuation token used to page through sites. To retrieve the next page of the results, set the next request's \"page_token\" value to this." } } }, "TimeZone": { "properties": { "id": { "type": "string", "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\"." }, "version": { "type": "string", "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\"." } }, "type": "object", "id": "TimeZone", "description": "Represents a time zone from the [IANA Time Zone Database](https://www.iana.org/time-zones)." }, "Date": { "properties": { "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32", "type": "integer" }, "day": { "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer" }, "month": { "type": "integer", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "format": "int32" } }, "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "type": "object", "id": "Date" }, "Site": { "description": "Representation of a Site.", "id": "Site", "type": "object", "properties": { "autoAdsEnabled": { "description": "Whether auto ads is turned on for the site.", "type": "boolean" }, "domain": { "description": "Domain (or subdomain) of the site, e.g. \"example.com\" or \"www.example.com\". This is used in the `OWNED_SITE_DOMAIN_NAME` reporting dimension.", "type": "string" }, "state": { "description": "Output only. State of a site.", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "REQUIRES_REVIEW", "GETTING_READY", "READY", "NEEDS_ATTENTION" ], "enumDescriptions": [ "State unspecified.", "The site hasn't been checked yet.", "Running some checks on the site. This usually takes a few days, but in some cases can take up to 2 weeks.", "The site is ready to show ads.", "Publisher needs to fix some issues before the site is ready to show ads." ], "type": "string" }, "name": { "description": "Resource name of a site. Format: accounts/{account}/sites/{site}", "type": "string" }, "reportingDimensionId": { "type": "string", "readOnly": true, "description": "Output only. Unique ID of the site as used in the `OWNED_SITE_ID` reporting dimension." } } }, "AdClientAdCode": { "id": "AdClientAdCode", "type": "object", "properties": { "ampBody": { "type": "string", "description": "Output only. The AdSense code snippet to add to the body of an AMP page.", "readOnly": true }, "ampHead": { "description": "Output only. The AdSense code snippet to add to the head of an AMP page.", "readOnly": true, "type": "string" }, "adCode": { "description": "Output only. The AdSense code snippet to add to the head of an HTML page.", "readOnly": true, "type": "string" } }, "description": "Representation of the AdSense code for a given ad client. For more information, see [About the AdSense code](https://support.google.com/adsense/answer/9274634)." }, "CustomChannel": { "id": "CustomChannel", "description": "Representation of a custom channel.", "type": "object", "properties": { "name": { "type": "string", "description": "Resource name of the custom channel. Format: accounts/{account}/adclients/{adclient}/customchannels/{customchannel}" }, "reportingDimensionId": { "description": "Output only. Unique ID of the custom channel as used in the `CUSTOM_CHANNEL_ID` reporting dimension.", "type": "string", "readOnly": true }, "displayName": { "description": "Required. Display name of the custom channel.", "type": "string" } } }, "Cell": { "id": "Cell", "type": "object", "properties": { "value": { "description": "Value in the cell. The dimension cells contain strings, and the metric cells contain numbers.", "type": "string" } }, "description": "Cell representation." }, "Header": { "properties": { "name": { "type": "string", "description": "Required. Name of the header." }, "currencyCode": { "type": "string", "description": "The [ISO-4217 currency code](https://en.wikipedia.org/wiki/ISO_4217) of this column. Only present if the header type is METRIC_CURRENCY." }, "type": { "enum": [ "HEADER_TYPE_UNSPECIFIED", "DIMENSION", "METRIC_TALLY", "METRIC_RATIO", "METRIC_CURRENCY", "METRIC_MILLISECONDS", "METRIC_DECIMAL" ], "type": "string", "description": "Required. Type of the header.", "enumDescriptions": [ "Unspecified header.", "Dimension header type.", "Tally header type.", "Ratio header type.", "Currency header type.", "Milliseconds header type.", "Decimal header type." ] } }, "id": "Header", "description": "The header information of the columns requested in the report.", "type": "object" } }, "resources": { "accounts": { "resources": { "adclients": { "resources": { "urlchannels": { "methods": { "list": { "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}/urlchannels", "parameterOrder": [ "parent" ], "id": "adsense.accounts.adclients.urlchannels.list", "httpMethod": "GET", "description": "Lists active url channels.", "parameters": { "pageToken": { "description": "A page token, received from a previous `ListUrlChannels` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListUrlChannels` must match the call that provided the page token.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of url channels to include in the response, used for paging. If unspecified, at most 10000 url channels will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000." }, "parent": { "pattern": "^accounts/[^/]+/adclients/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The ad client which owns the collection of url channels. Format: accounts/{account}/adclients/{adclient}" } }, "response": { "$ref": "ListUrlChannelsResponse" }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "path": "v2/{+parent}/urlchannels" }, "get": { "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}/urlchannels/{urlchannelsId}", "id": "adsense.accounts.adclients.urlchannels.get", "parameterOrder": [ "name" ], "response": { "$ref": "UrlChannel" }, "description": "Gets information about the selected url channel.", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "parameters": { "name": { "location": "path", "pattern": "^accounts/[^/]+/adclients/[^/]+/urlchannels/[^/]+$", "required": true, "description": "Required. The name of the url channel to retrieve. Format: accounts/{account}/adclients/{adclient}/urlchannels/{urlchannel}", "type": "string" } }, "httpMethod": "GET" } } }, "customchannels": { "methods": { "get": { "description": "Gets information about the selected custom channel.", "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "path": "v2/{+name}", "httpMethod": "GET", "id": "adsense.accounts.adclients.customchannels.get", "parameterOrder": [ "name" ], "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}/customchannels/{customchannelsId}", "response": { "$ref": "CustomChannel" }, "parameters": { "name": { "location": "path", "type": "string", "description": "Required. Name of the custom channel. Format: accounts/{account}/adclients/{adclient}/customchannels/{customchannel}", "pattern": "^accounts/[^/]+/adclients/[^/]+/customchannels/[^/]+$", "required": true } } }, "listLinkedAdUnits": { "parameters": { "pageSize": { "location": "query", "description": "The maximum number of ad units to include in the response, used for paging. If unspecified, at most 10000 ad units will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000.", "type": "integer", "format": "int32" }, "pageToken": { "description": "A page token, received from a previous `ListLinkedAdUnits` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListLinkedAdUnits` must match the call that provided the page token.", "type": "string", "location": "query" }, "parent": { "location": "path", "pattern": "^accounts/[^/]+/adclients/[^/]+/customchannels/[^/]+$", "type": "string", "required": true, "description": "Required. The custom channel which owns the collection of ad units. Format: accounts/{account}/adclients/{adclient}/customchannels/{customchannel}" } }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "httpMethod": "GET", "id": "adsense.accounts.adclients.customchannels.listLinkedAdUnits", "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}/customchannels/{customchannelsId}:listLinkedAdUnits", "parameterOrder": [ "parent" ], "description": "Lists all the ad units available for a custom channel.", "path": "v2/{+parent}:listLinkedAdUnits", "response": { "$ref": "ListLinkedAdUnitsResponse" } }, "list": { "parameters": { "pageToken": { "description": "A page token, received from a previous `ListCustomChannels` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListCustomChannels` must match the call that provided the page token.", "type": "string", "location": "query" }, "parent": { "required": true, "description": "Required. The ad client which owns the collection of custom channels. Format: accounts/{account}/adclients/{adclient}", "location": "path", "type": "string", "pattern": "^accounts/[^/]+/adclients/[^/]+$" }, "pageSize": { "format": "int32", "description": "The maximum number of custom channels to include in the response, used for paging. If unspecified, at most 10000 custom channels will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000.", "type": "integer", "location": "query" } }, "path": "v2/{+parent}/customchannels", "httpMethod": "GET", "parameterOrder": [ "parent" ], "description": "Lists all the custom channels available in an ad client.", "response": { "$ref": "ListCustomChannelsResponse" }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "id": "adsense.accounts.adclients.customchannels.list", "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}/customchannels" } } }, "adunits": { "methods": { "getAdcode": { "response": { "$ref": "AdUnitAdCode" }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "description": "Gets the AdSense code for a given ad unit.", "path": "v2/{+name}/adcode", "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}/adunits/{adunitsId}/adcode", "id": "adsense.accounts.adclients.adunits.getAdcode", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^accounts/[^/]+/adclients/[^/]+/adunits/[^/]+$", "required": true, "description": "Required. Name of the adunit for which to get the adcode. Format: accounts/{account}/adclients/{adclient}/adunits/{adunit}" } }, "httpMethod": "GET", "parameterOrder": [ "name" ] }, "get": { "id": "adsense.accounts.adclients.adunits.get", "parameters": { "name": { "description": "Required. AdUnit to get information about. Format: accounts/{account}/adclients/{adclient}/adunits/{adunit}", "type": "string", "required": true, "pattern": "^accounts/[^/]+/adclients/[^/]+/adunits/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "description": "Gets an ad unit from a specified account and ad client.", "parameterOrder": [ "name" ], "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}/adunits/{adunitsId}", "response": { "$ref": "AdUnit" }, "path": "v2/{+name}", "httpMethod": "GET" }, "listLinkedCustomChannels": { "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "parameterOrder": [ "parent" ], "description": "Lists all the custom channels available for an ad unit.", "id": "adsense.accounts.adclients.adunits.listLinkedCustomChannels", "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}/adunits/{adunitsId}:listLinkedCustomChannels", "path": "v2/{+parent}:listLinkedCustomChannels", "response": { "$ref": "ListLinkedCustomChannelsResponse" }, "httpMethod": "GET", "parameters": { "parent": { "type": "string", "required": true, "pattern": "^accounts/[^/]+/adclients/[^/]+/adunits/[^/]+$", "description": "Required. The ad unit which owns the collection of custom channels. Format: accounts/{account}/adclients/{adclient}/adunits/{adunit}", "location": "path" }, "pageToken": { "description": "A page token, received from a previous `ListLinkedCustomChannels` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListLinkedCustomChannels` must match the call that provided the page token.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of custom channels to include in the response, used for paging. If unspecified, at most 10000 custom channels will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000.", "format": "int32" } } }, "list": { "path": "v2/{+parent}/adunits", "httpMethod": "GET", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "description": "Required. The ad client which owns the collection of ad units. Format: accounts/{account}/adclients/{adclient}", "location": "path", "pattern": "^accounts/[^/]+/adclients/[^/]+$", "required": true }, "pageSize": { "location": "query", "description": "The maximum number of ad units to include in the response, used for paging. If unspecified, at most 10000 ad units will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000.", "format": "int32", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "A page token, received from a previous `ListAdUnits` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListAdUnits` must match the call that provided the page token." } }, "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}/adunits", "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "id": "adsense.accounts.adclients.adunits.list", "description": "Lists all ad units under a specified account and ad client.", "response": { "$ref": "ListAdUnitsResponse" } } } } }, "methods": { "get": { "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}", "parameters": { "name": { "description": "Required. The name of the ad client to retrieve. Format: accounts/{account}/adclients/{adclient}", "pattern": "^accounts/[^/]+/adclients/[^/]+$", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "name" ], "id": "adsense.accounts.adclients.get", "description": "Gets the ad client from the given resource name.", "response": { "$ref": "AdClient" }, "httpMethod": "GET" }, "list": { "parameterOrder": [ "parent" ], "flatPath": "v2/accounts/{accountsId}/adclients", "path": "v2/{+parent}/adclients", "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "httpMethod": "GET", "description": "Lists all the ad clients available in an account.", "id": "adsense.accounts.adclients.list", "response": { "$ref": "ListAdClientsResponse" }, "parameters": { "parent": { "type": "string", "description": "Required. The account which owns the collection of ad clients. Format: accounts/{account}", "required": true, "pattern": "^accounts/[^/]+$", "location": "path" }, "pageSize": { "format": "int32", "description": "The maximum number of ad clients to include in the response, used for paging. If unspecified, at most 10000 ad clients will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000.", "type": "integer", "location": "query" }, "pageToken": { "description": "A page token, received from a previous `ListAdClients` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListAdClients` must match the call that provided the page token.", "location": "query", "type": "string" } } }, "getAdcode": { "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^accounts/[^/]+/adclients/[^/]+$", "type": "string", "description": "Required. Name of the ad client for which to get the adcode. Format: accounts/{account}/adclients/{adclient}", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "response": { "$ref": "AdClientAdCode" }, "httpMethod": "GET", "flatPath": "v2/accounts/{accountsId}/adclients/{adclientsId}/adcode", "id": "adsense.accounts.adclients.getAdcode", "description": "Gets the AdSense code for a given ad client. This returns what was previously known as the 'auto ad code'. This is only supported for ad clients with a product_code of AFC. For more information, see [About the AdSense code](https://support.google.com/adsense/answer/9274634).", "path": "v2/{+name}/adcode" } } }, "alerts": { "methods": { "list": { "parameters": { "languageCode": { "description": "The language to use for translating alert messages. If unspecified, this defaults to the user's display language. If the given language is not supported, alerts will be returned in English. The language is specified as an [IETF BCP-47 language code](https://en.wikipedia.org/wiki/IETF_language_tag).", "location": "query", "type": "string" }, "parent": { "description": "Required. The account which owns the collection of alerts. Format: accounts/{account}", "location": "path", "type": "string", "pattern": "^accounts/[^/]+$", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "path": "v2/{+parent}/alerts", "httpMethod": "GET", "id": "adsense.accounts.alerts.list", "parameterOrder": [ "parent" ], "description": "Lists all the alerts available in an account.", "flatPath": "v2/accounts/{accountsId}/alerts", "response": { "$ref": "ListAlertsResponse" } } } }, "reports": { "methods": { "generateCsv": { "path": "v2/{+account}/reports:generateCsv", "httpMethod": "GET", "parameters": { "dateRange": { "type": "string", "enum": [ "REPORTING_DATE_RANGE_UNSPECIFIED", "CUSTOM", "TODAY", "YESTERDAY", "MONTH_TO_DATE", "YEAR_TO_DATE", "LAST_7_DAYS", "LAST_30_DAYS" ], "description": "Date range of the report, if unset the range will be considered CUSTOM.", "location": "query", "enumDescriptions": [ "Unspecified date range.", "A custom date range specified using the `start_date` and `end_date` fields. This is the default if no ReportingDateRange is provided.", "Current day.", "Yesterday.", "From the start of the current month to the current day. e.g. if the current date is 2020-03-12 then the range will be [2020-03-01, 2020-03-12].", "From the start of the current year to the current day. e.g. if the current date is 2020-03-12 then the range will be [2020-01-01, 2020-03-12].", "Last 7 days, excluding current day.", "Last 30 days, excluding current day." ] }, "limit": { "location": "query", "type": "integer", "description": "The maximum number of rows of report data to return. Reports producing more rows than the requested limit will be truncated. If unset, this defaults to 100,000 rows for `Reports.GenerateReport` and 1,000,000 rows for `Reports.GenerateCsvReport`, which are also the maximum values permitted here. Report truncation can be identified (for `Reports.GenerateReport` only) by comparing the number of rows returned to the value returned in `total_matched_rows`.", "format": "int32" }, "endDate.day": { "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "location": "query", "format": "int32", "type": "integer" }, "account": { "type": "string", "pattern": "^accounts/[^/]+$", "description": "Required. The account which owns the collection of reports. Format: accounts/{account}", "location": "path", "required": true }, "startDate.year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32", "type": "integer", "location": "query" }, "orderBy": { "location": "query", "repeated": true, "type": "string", "description": "The name of a dimension or metric to sort the resulting report on, can be prefixed with \"+\" to sort ascending or \"-\" to sort descending. If no prefix is specified, the column is sorted ascending." }, "metrics": { "type": "string", "enum": [ "METRIC_UNSPECIFIED", "PAGE_VIEWS", "AD_REQUESTS", "MATCHED_AD_REQUESTS", "TOTAL_IMPRESSIONS", "IMPRESSIONS", "INDIVIDUAL_AD_IMPRESSIONS", "CLICKS", "PAGE_VIEWS_SPAM_RATIO", "AD_REQUESTS_SPAM_RATIO", "MATCHED_AD_REQUESTS_SPAM_RATIO", "IMPRESSIONS_SPAM_RATIO", "INDIVIDUAL_AD_IMPRESSIONS_SPAM_RATIO", "CLICKS_SPAM_RATIO", "AD_REQUESTS_COVERAGE", "PAGE_VIEWS_CTR", "AD_REQUESTS_CTR", "MATCHED_AD_REQUESTS_CTR", "IMPRESSIONS_CTR", "INDIVIDUAL_AD_IMPRESSIONS_CTR", "ACTIVE_VIEW_MEASURABILITY", "ACTIVE_VIEW_VIEWABILITY", "ACTIVE_VIEW_TIME", "ESTIMATED_EARNINGS", "PAGE_VIEWS_RPM", "AD_REQUESTS_RPM", "MATCHED_AD_REQUESTS_RPM", "IMPRESSIONS_RPM", "INDIVIDUAL_AD_IMPRESSIONS_RPM", "COST_PER_CLICK", "ADS_PER_IMPRESSION", "TOTAL_EARNINGS", "WEBSEARCH_RESULT_PAGES" ], "location": "query", "description": "Required. Reporting metrics.", "repeated": true, "enumDescriptions": [ "Unspecified metric.", "Number of page views.", "Number of ad units that requested ads (for content ads) or search queries (for search ads). An ad request may result in zero, one, or multiple individual ad impressions depending on the size of the ad unit and whether any ads were available.", "Requests that returned at least one ad.", "Impressions. An impression is counted for each ad request where at least one ad has been downloaded to the user’s device and has begun to load. It is the number of ad units (for content ads) or search queries (for search ads) that showed ads.", "Impressions. An impression is counted for each ad request where at least one ad has been downloaded to the user’s device and has begun to load. It is the number of ad units (for content ads) or search queries (for search ads) that showed ads.", "Ads shown. Different ad formats will display varying numbers of ads. For example, a vertical banner may consist of 2 or more ads. Also, the number of ads in an ad unit may vary depending on whether the ad unit is displaying standard text ads, expanded text ads or image ads.", "Number of times a user clicked on a standard content ad.", "Fraction of page views considered to be spam. Only available to premium accounts.", "Fraction of ad requests considered to be spam. Only available to premium accounts.", "Fraction of ad requests that returned ads considered to be spam. Only available to premium accounts.", "Fraction of impressions considered to be spam. Only available to premium accounts.", "Fraction of ad impressions considered to be spam. Only available to premium accounts.", "Fraction of clicks considered to be spam. Only available to premium accounts.", "Ratio of requested ad units or queries to the number returned to the site.", "Ratio of individual page views that resulted in a click.", "Ratio of ad requests that resulted in a click.", "Ratio of clicks to matched requests.", "Ratio of IMPRESSIONS that resulted in a click.", "Ratio of individual ad impressions that resulted in a click.", "Ratio of requests that were measurable for viewability.", "Ratio of requests that were viewable.", "Mean time an ad was displayed on screen.", "Estimated earnings of the publisher. Note that earnings up to yesterday are accurate, more recent earnings are estimated due to the possibility of spam, or exchange rate fluctuations.", "Revenue per thousand page views. This is calculated by dividing the estimated revenue by the number of page views multiplied by 1000.", "Revenue per thousand ad requests. This is calculated by dividing estimated revenue by the number of ad requests multiplied by 1000.", "Revenue per thousand matched ad requests. This is calculated by dividing estimated revenue by the number of matched ad requests multiplied by 1000.", "Revenue per thousand ad impressions. This is calculated by dividing estimated revenue by the number of ad impressions multiplied by 1000.", "Revenue per thousand individual ad impressions. This is calculated by dividing estimated revenue by the number of individual ad impressions multiplied by 1000.", "Amount the publisher earns each time a user clicks on an ad. CPC is calculated by dividing the estimated revenue by the number of clicks received.", "Number of ad views per impression.", "Total earnings are the gross estimated earnings from revenue shared traffic before any parent and child account revenue share is applied.", "Number of results pages." ] }, "currencyCode": { "type": "string", "location": "query", "description": "The [ISO-4217 currency code](https://en.wikipedia.org/wiki/ISO_4217) to use when reporting on monetary metrics. Defaults to the account's currency if not set." }, "startDate.month": { "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "type": "integer", "location": "query" }, "endDate.month": { "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "location": "query", "type": "integer" }, "reportingTimeZone": { "location": "query", "enumDescriptions": [ "Unspecified timezone.", "Use the account timezone in the report.", "Use the Google timezone in the report (America/Los_Angeles)." ], "enum": [ "REPORTING_TIME_ZONE_UNSPECIFIED", "ACCOUNT_TIME_ZONE", "GOOGLE_TIME_ZONE" ], "description": "Timezone in which to generate the report. If unspecified, this defaults to the account timezone. For more information, see [changing the time zone of your reports](https://support.google.com/adsense/answer/9830725).", "type": "string" }, "startDate.day": { "location": "query", "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "format": "int32" }, "filters": { "location": "query", "description": "Filters to be run on the report.", "type": "string", "repeated": true }, "endDate.year": { "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "location": "query", "format": "int32" }, "languageCode": { "location": "query", "type": "string", "description": "The language to use for translating report output. If unspecified, this defaults to English (\"en\"). If the given language is not supported, report output will be returned in English. The language is specified as an [IETF BCP-47 language code](https://en.wikipedia.org/wiki/IETF_language_tag)." }, "dimensions": { "enumDescriptions": [ "Unspecified dimension.", "Date dimension in YYYY-MM-DD format (e.g. \"2010-02-10\").", "Week dimension in YYYY-MM-DD format, representing the first day of each week (e.g. \"2010-02-08\"). The first day of the week is determined by the language_code specified in a report generation request (so e.g. this would be a Monday for \"en-GB\" or \"es\", but a Sunday for \"en\" or \"fr-CA\").", "Month dimension in YYYY-MM format (e.g. \"2010-02\").", "Account name. The members of this dimension match the values from Account.display_name.", "Unique ID of an ad client. The members of this dimension match the values from AdClient.reporting_dimension_id.", "Localized product name (e.g. \"AdSense for Content\", \"AdSense for Search\").", "Product code (e.g. \"AFC\", \"AFS\"). The members of this dimension match the values from AdClient.product_code.", "Ad unit name (within which an ad was served). The members of this dimension match the values from AdUnit.display_name.", "Unique ID of an ad unit (within which an ad was served). The members of this dimension match the values from AdUnit.reporting_dimension_id.", "Localized size of an ad unit (e.g. \"728x90\", \"Responsive\").", "The size code of an ad unit (e.g. \"728x90\", \"responsive\").", "Custom channel name. The members of this dimension match the values from CustomChannel.display_name.", "Unique ID of a custom channel. The members of this dimension match the values from CustomChannel.reporting_dimension_id.", "Domain name of a verified site (e.g. \"example.com\"). The members of this dimension match the values from Site.domain.", "Unique ID of a verified site. The members of this dimension match the values from Site.reporting_dimension_id.", "Name of a URL channel. The members of this dimension match the values from UrlChannel.uri_pattern.", "Unique ID of a URL channel. The members of this dimension match the values from UrlChannel.reporting_dimension_id.", "Name of an ad network that returned the winning ads for an ad request (e.g. \"Google AdWords\"). Note that unlike other \"NAME\" dimensions, the members of this dimensions are not localized.", "Unique (opaque) ID of an ad network that returned the winning ads for an ad request.", "Localized bid type name (e.g. \"CPC bids\", \"CPM bids\") for a served ad.", "Type of a bid (e.g. \"cpc\", \"cpm\") for a served ad.", "Localized creative size name (e.g. \"728x90\", \"Dynamic\") of a served ad.", "Creative size code (e.g. \"728x90\", \"dynamic\") of a served ad.", "Localized name of a host on which an ad was served, after IDNA decoding (e.g. \"www.google.com\", \"Web caches and other\", \"bücher.example\").", "Name of a host on which an ad was served (e.g. \"www.google.com\", \"webcaches\", \"xn--bcher-kva.example\").", "Localized region name of a user viewing an ad (e.g. \"United States\", \"France\").", "CLDR region code of a user viewing an ad (e.g. \"US\", \"FR\").", "Localized platform type name (e.g. \"High-end mobile devices\", \"Desktop\").", "Platform type code (e.g. \"HighEndMobile\", \"Desktop\").", "Localized targeting type name (e.g. \"Contextual\", \"Personalized\", \"Run of Network\").", "Targeting type code (e.g. \"Keyword\", \"UserInterest\", \"RunOfNetwork\").", "Localized content platform name an ad request was made from (e.g. \"AMP\", \"Web\").", "Content platform code an ad request was made from (e.g. \"AMP\", \"HTML\").", "Localized ad placement name (e.g. \"Ad unit\", \"Global settings\", \"Manual\").", "Ad placement code (e.g. \"AD_UNIT\", \"ca-pub-123456:78910\", \"OTHER\").", "Localized requested ad type name (e.g. \"Display\", \"Link unit\", \"Other\").", "Requested ad type code (e.g. \"IMAGE\", \"RADLINK\", \"OTHER\").", "Localized served ad type name (e.g. \"Display\", \"Link unit\", \"Other\").", "Served ad type code (e.g. \"IMAGE\", \"RADLINK\", \"OTHER\").", "Localized ad format name indicating the way an ad is shown to the users on your site (e.g. \"In-page\", \"Anchor\", \"Vignette\").", "Ad format code indicating the way an ad is shown to the users on your site (e.g. \"ON_PAGE\", \"ANCHOR\", \"INTERSTITIAL\").", "Custom search style name.", "Custom search style id.", "Domain registrants.", "Query strings for web searches." ], "type": "string", "location": "query", "enum": [ "DIMENSION_UNSPECIFIED", "DATE", "WEEK", "MONTH", "ACCOUNT_NAME", "AD_CLIENT_ID", "PRODUCT_NAME", "PRODUCT_CODE", "AD_UNIT_NAME", "AD_UNIT_ID", "AD_UNIT_SIZE_NAME", "AD_UNIT_SIZE_CODE", "CUSTOM_CHANNEL_NAME", "CUSTOM_CHANNEL_ID", "OWNED_SITE_DOMAIN_NAME", "OWNED_SITE_ID", "URL_CHANNEL_NAME", "URL_CHANNEL_ID", "BUYER_NETWORK_NAME", "BUYER_NETWORK_ID", "BID_TYPE_NAME", "BID_TYPE_CODE", "CREATIVE_SIZE_NAME", "CREATIVE_SIZE_CODE", "DOMAIN_NAME", "DOMAIN_CODE", "COUNTRY_NAME", "COUNTRY_CODE", "PLATFORM_TYPE_NAME", "PLATFORM_TYPE_CODE", "TARGETING_TYPE_NAME", "TARGETING_TYPE_CODE", "CONTENT_PLATFORM_NAME", "CONTENT_PLATFORM_CODE", "AD_PLACEMENT_NAME", "AD_PLACEMENT_CODE", "REQUESTED_AD_TYPE_NAME", "REQUESTED_AD_TYPE_CODE", "SERVED_AD_TYPE_NAME", "SERVED_AD_TYPE_CODE", "AD_FORMAT_NAME", "AD_FORMAT_CODE", "CUSTOM_SEARCH_STYLE_NAME", "CUSTOM_SEARCH_STYLE_ID", "DOMAIN_REGISTRANT", "WEBSEARCH_QUERY_STRING" ], "repeated": true, "description": "Dimensions to base the report on." } }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "id": "adsense.accounts.reports.generateCsv", "description": "Generates a csv formatted ad hoc report.", "parameterOrder": [ "account" ], "flatPath": "v2/accounts/{accountsId}/reports:generateCsv", "response": { "$ref": "HttpBody" } }, "generate": { "path": "v2/{+account}/reports:generate", "flatPath": "v2/accounts/{accountsId}/reports:generate", "parameters": { "startDate.day": { "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer", "location": "query" }, "metrics": { "location": "query", "enum": [ "METRIC_UNSPECIFIED", "PAGE_VIEWS", "AD_REQUESTS", "MATCHED_AD_REQUESTS", "TOTAL_IMPRESSIONS", "IMPRESSIONS", "INDIVIDUAL_AD_IMPRESSIONS", "CLICKS", "PAGE_VIEWS_SPAM_RATIO", "AD_REQUESTS_SPAM_RATIO", "MATCHED_AD_REQUESTS_SPAM_RATIO", "IMPRESSIONS_SPAM_RATIO", "INDIVIDUAL_AD_IMPRESSIONS_SPAM_RATIO", "CLICKS_SPAM_RATIO", "AD_REQUESTS_COVERAGE", "PAGE_VIEWS_CTR", "AD_REQUESTS_CTR", "MATCHED_AD_REQUESTS_CTR", "IMPRESSIONS_CTR", "INDIVIDUAL_AD_IMPRESSIONS_CTR", "ACTIVE_VIEW_MEASURABILITY", "ACTIVE_VIEW_VIEWABILITY", "ACTIVE_VIEW_TIME", "ESTIMATED_EARNINGS", "PAGE_VIEWS_RPM", "AD_REQUESTS_RPM", "MATCHED_AD_REQUESTS_RPM", "IMPRESSIONS_RPM", "INDIVIDUAL_AD_IMPRESSIONS_RPM", "COST_PER_CLICK", "ADS_PER_IMPRESSION", "TOTAL_EARNINGS", "WEBSEARCH_RESULT_PAGES" ], "description": "Required. Reporting metrics.", "repeated": true, "enumDescriptions": [ "Unspecified metric.", "Number of page views.", "Number of ad units that requested ads (for content ads) or search queries (for search ads). An ad request may result in zero, one, or multiple individual ad impressions depending on the size of the ad unit and whether any ads were available.", "Requests that returned at least one ad.", "Impressions. An impression is counted for each ad request where at least one ad has been downloaded to the user’s device and has begun to load. It is the number of ad units (for content ads) or search queries (for search ads) that showed ads.", "Impressions. An impression is counted for each ad request where at least one ad has been downloaded to the user’s device and has begun to load. It is the number of ad units (for content ads) or search queries (for search ads) that showed ads.", "Ads shown. Different ad formats will display varying numbers of ads. For example, a vertical banner may consist of 2 or more ads. Also, the number of ads in an ad unit may vary depending on whether the ad unit is displaying standard text ads, expanded text ads or image ads.", "Number of times a user clicked on a standard content ad.", "Fraction of page views considered to be spam. Only available to premium accounts.", "Fraction of ad requests considered to be spam. Only available to premium accounts.", "Fraction of ad requests that returned ads considered to be spam. Only available to premium accounts.", "Fraction of impressions considered to be spam. Only available to premium accounts.", "Fraction of ad impressions considered to be spam. Only available to premium accounts.", "Fraction of clicks considered to be spam. Only available to premium accounts.", "Ratio of requested ad units or queries to the number returned to the site.", "Ratio of individual page views that resulted in a click.", "Ratio of ad requests that resulted in a click.", "Ratio of clicks to matched requests.", "Ratio of IMPRESSIONS that resulted in a click.", "Ratio of individual ad impressions that resulted in a click.", "Ratio of requests that were measurable for viewability.", "Ratio of requests that were viewable.", "Mean time an ad was displayed on screen.", "Estimated earnings of the publisher. Note that earnings up to yesterday are accurate, more recent earnings are estimated due to the possibility of spam, or exchange rate fluctuations.", "Revenue per thousand page views. This is calculated by dividing the estimated revenue by the number of page views multiplied by 1000.", "Revenue per thousand ad requests. This is calculated by dividing estimated revenue by the number of ad requests multiplied by 1000.", "Revenue per thousand matched ad requests. This is calculated by dividing estimated revenue by the number of matched ad requests multiplied by 1000.", "Revenue per thousand ad impressions. This is calculated by dividing estimated revenue by the number of ad impressions multiplied by 1000.", "Revenue per thousand individual ad impressions. This is calculated by dividing estimated revenue by the number of individual ad impressions multiplied by 1000.", "Amount the publisher earns each time a user clicks on an ad. CPC is calculated by dividing the estimated revenue by the number of clicks received.", "Number of ad views per impression.", "Total earnings are the gross estimated earnings from revenue shared traffic before any parent and child account revenue share is applied.", "Number of results pages." ], "type": "string" }, "dimensions": { "enum": [ "DIMENSION_UNSPECIFIED", "DATE", "WEEK", "MONTH", "ACCOUNT_NAME", "AD_CLIENT_ID", "PRODUCT_NAME", "PRODUCT_CODE", "AD_UNIT_NAME", "AD_UNIT_ID", "AD_UNIT_SIZE_NAME", "AD_UNIT_SIZE_CODE", "CUSTOM_CHANNEL_NAME", "CUSTOM_CHANNEL_ID", "OWNED_SITE_DOMAIN_NAME", "OWNED_SITE_ID", "URL_CHANNEL_NAME", "URL_CHANNEL_ID", "BUYER_NETWORK_NAME", "BUYER_NETWORK_ID", "BID_TYPE_NAME", "BID_TYPE_CODE", "CREATIVE_SIZE_NAME", "CREATIVE_SIZE_CODE", "DOMAIN_NAME", "DOMAIN_CODE", "COUNTRY_NAME", "COUNTRY_CODE", "PLATFORM_TYPE_NAME", "PLATFORM_TYPE_CODE", "TARGETING_TYPE_NAME", "TARGETING_TYPE_CODE", "CONTENT_PLATFORM_NAME", "CONTENT_PLATFORM_CODE", "AD_PLACEMENT_NAME", "AD_PLACEMENT_CODE", "REQUESTED_AD_TYPE_NAME", "REQUESTED_AD_TYPE_CODE", "SERVED_AD_TYPE_NAME", "SERVED_AD_TYPE_CODE", "AD_FORMAT_NAME", "AD_FORMAT_CODE", "CUSTOM_SEARCH_STYLE_NAME", "CUSTOM_SEARCH_STYLE_ID", "DOMAIN_REGISTRANT", "WEBSEARCH_QUERY_STRING" ], "description": "Dimensions to base the report on.", "repeated": true, "type": "string", "location": "query", "enumDescriptions": [ "Unspecified dimension.", "Date dimension in YYYY-MM-DD format (e.g. \"2010-02-10\").", "Week dimension in YYYY-MM-DD format, representing the first day of each week (e.g. \"2010-02-08\"). The first day of the week is determined by the language_code specified in a report generation request (so e.g. this would be a Monday for \"en-GB\" or \"es\", but a Sunday for \"en\" or \"fr-CA\").", "Month dimension in YYYY-MM format (e.g. \"2010-02\").", "Account name. The members of this dimension match the values from Account.display_name.", "Unique ID of an ad client. The members of this dimension match the values from AdClient.reporting_dimension_id.", "Localized product name (e.g. \"AdSense for Content\", \"AdSense for Search\").", "Product code (e.g. \"AFC\", \"AFS\"). The members of this dimension match the values from AdClient.product_code.", "Ad unit name (within which an ad was served). The members of this dimension match the values from AdUnit.display_name.", "Unique ID of an ad unit (within which an ad was served). The members of this dimension match the values from AdUnit.reporting_dimension_id.", "Localized size of an ad unit (e.g. \"728x90\", \"Responsive\").", "The size code of an ad unit (e.g. \"728x90\", \"responsive\").", "Custom channel name. The members of this dimension match the values from CustomChannel.display_name.", "Unique ID of a custom channel. The members of this dimension match the values from CustomChannel.reporting_dimension_id.", "Domain name of a verified site (e.g. \"example.com\"). The members of this dimension match the values from Site.domain.", "Unique ID of a verified site. The members of this dimension match the values from Site.reporting_dimension_id.", "Name of a URL channel. The members of this dimension match the values from UrlChannel.uri_pattern.", "Unique ID of a URL channel. The members of this dimension match the values from UrlChannel.reporting_dimension_id.", "Name of an ad network that returned the winning ads for an ad request (e.g. \"Google AdWords\"). Note that unlike other \"NAME\" dimensions, the members of this dimensions are not localized.", "Unique (opaque) ID of an ad network that returned the winning ads for an ad request.", "Localized bid type name (e.g. \"CPC bids\", \"CPM bids\") for a served ad.", "Type of a bid (e.g. \"cpc\", \"cpm\") for a served ad.", "Localized creative size name (e.g. \"728x90\", \"Dynamic\") of a served ad.", "Creative size code (e.g. \"728x90\", \"dynamic\") of a served ad.", "Localized name of a host on which an ad was served, after IDNA decoding (e.g. \"www.google.com\", \"Web caches and other\", \"bücher.example\").", "Name of a host on which an ad was served (e.g. \"www.google.com\", \"webcaches\", \"xn--bcher-kva.example\").", "Localized region name of a user viewing an ad (e.g. \"United States\", \"France\").", "CLDR region code of a user viewing an ad (e.g. \"US\", \"FR\").", "Localized platform type name (e.g. \"High-end mobile devices\", \"Desktop\").", "Platform type code (e.g. \"HighEndMobile\", \"Desktop\").", "Localized targeting type name (e.g. \"Contextual\", \"Personalized\", \"Run of Network\").", "Targeting type code (e.g. \"Keyword\", \"UserInterest\", \"RunOfNetwork\").", "Localized content platform name an ad request was made from (e.g. \"AMP\", \"Web\").", "Content platform code an ad request was made from (e.g. \"AMP\", \"HTML\").", "Localized ad placement name (e.g. \"Ad unit\", \"Global settings\", \"Manual\").", "Ad placement code (e.g. \"AD_UNIT\", \"ca-pub-123456:78910\", \"OTHER\").", "Localized requested ad type name (e.g. \"Display\", \"Link unit\", \"Other\").", "Requested ad type code (e.g. \"IMAGE\", \"RADLINK\", \"OTHER\").", "Localized served ad type name (e.g. \"Display\", \"Link unit\", \"Other\").", "Served ad type code (e.g. \"IMAGE\", \"RADLINK\", \"OTHER\").", "Localized ad format name indicating the way an ad is shown to the users on your site (e.g. \"In-page\", \"Anchor\", \"Vignette\").", "Ad format code indicating the way an ad is shown to the users on your site (e.g. \"ON_PAGE\", \"ANCHOR\", \"INTERSTITIAL\").", "Custom search style name.", "Custom search style id.", "Domain registrants.", "Query strings for web searches." ] }, "endDate.year": { "type": "integer", "location": "query", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32" }, "startDate.year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "type": "integer", "location": "query", "format": "int32" }, "reportingTimeZone": { "location": "query", "enum": [ "REPORTING_TIME_ZONE_UNSPECIFIED", "ACCOUNT_TIME_ZONE", "GOOGLE_TIME_ZONE" ], "type": "string", "enumDescriptions": [ "Unspecified timezone.", "Use the account timezone in the report.", "Use the Google timezone in the report (America/Los_Angeles)." ], "description": "Timezone in which to generate the report. If unspecified, this defaults to the account timezone. For more information, see [changing the time zone of your reports](https://support.google.com/adsense/answer/9830725)." }, "filters": { "repeated": true, "type": "string", "description": "Filters to be run on the report.", "location": "query" }, "endDate.day": { "location": "query", "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "format": "int32" }, "limit": { "location": "query", "type": "integer", "description": "The maximum number of rows of report data to return. Reports producing more rows than the requested limit will be truncated. If unset, this defaults to 100,000 rows for `Reports.GenerateReport` and 1,000,000 rows for `Reports.GenerateCsvReport`, which are also the maximum values permitted here. Report truncation can be identified (for `Reports.GenerateReport` only) by comparing the number of rows returned to the value returned in `total_matched_rows`.", "format": "int32" }, "currencyCode": { "description": "The [ISO-4217 currency code](https://en.wikipedia.org/wiki/ISO_4217) to use when reporting on monetary metrics. Defaults to the account's currency if not set.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "repeated": true, "type": "string", "description": "The name of a dimension or metric to sort the resulting report on, can be prefixed with \"+\" to sort ascending or \"-\" to sort descending. If no prefix is specified, the column is sorted ascending." }, "startDate.month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "location": "query", "type": "integer", "format": "int32" }, "languageCode": { "type": "string", "description": "The language to use for translating report output. If unspecified, this defaults to English (\"en\"). If the given language is not supported, report output will be returned in English. The language is specified as an [IETF BCP-47 language code](https://en.wikipedia.org/wiki/IETF_language_tag).", "location": "query" }, "dateRange": { "location": "query", "description": "Date range of the report, if unset the range will be considered CUSTOM.", "type": "string", "enumDescriptions": [ "Unspecified date range.", "A custom date range specified using the `start_date` and `end_date` fields. This is the default if no ReportingDateRange is provided.", "Current day.", "Yesterday.", "From the start of the current month to the current day. e.g. if the current date is 2020-03-12 then the range will be [2020-03-01, 2020-03-12].", "From the start of the current year to the current day. e.g. if the current date is 2020-03-12 then the range will be [2020-01-01, 2020-03-12].", "Last 7 days, excluding current day.", "Last 30 days, excluding current day." ], "enum": [ "REPORTING_DATE_RANGE_UNSPECIFIED", "CUSTOM", "TODAY", "YESTERDAY", "MONTH_TO_DATE", "YEAR_TO_DATE", "LAST_7_DAYS", "LAST_30_DAYS" ] }, "account": { "pattern": "^accounts/[^/]+$", "required": true, "type": "string", "description": "Required. The account which owns the collection of reports. Format: accounts/{account}", "location": "path" }, "endDate.month": { "format": "int32", "type": "integer", "location": "query", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." } }, "description": "Generates an ad hoc report.", "httpMethod": "GET", "response": { "$ref": "ReportResult" }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "parameterOrder": [ "account" ], "id": "adsense.accounts.reports.generate" }, "getSaved": { "id": "adsense.accounts.reports.getSaved", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^accounts/[^/]+/reports/[^/]+$", "type": "string", "location": "path", "description": "Required. The name of the saved report to retrieve. Format: accounts/{account}/reports/{report}", "required": true } }, "response": { "$ref": "SavedReport" }, "path": "v2/{+name}/saved", "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "httpMethod": "GET", "flatPath": "v2/accounts/{accountsId}/reports/{reportsId}/saved", "description": "Gets the saved report from the given resource name." } }, "resources": { "saved": { "methods": { "generateCsv": { "parameters": { "startDate.day": { "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer", "location": "query" }, "name": { "description": "Required. Name of the saved report. Format: accounts/{account}/reports/{report}", "location": "path", "type": "string", "pattern": "^accounts/[^/]+/reports/[^/]+$", "required": true }, "startDate.year": { "type": "integer", "format": "int32", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "location": "query" }, "languageCode": { "description": "The language to use for translating report output. If unspecified, this defaults to English (\"en\"). If the given language is not supported, report output will be returned in English. The language is specified as an [IETF BCP-47 language code](https://en.wikipedia.org/wiki/IETF_language_tag).", "type": "string", "location": "query" }, "endDate.month": { "type": "integer", "location": "query", "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." }, "endDate.year": { "type": "integer", "format": "int32", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "location": "query" }, "reportingTimeZone": { "location": "query", "type": "string", "enum": [ "REPORTING_TIME_ZONE_UNSPECIFIED", "ACCOUNT_TIME_ZONE", "GOOGLE_TIME_ZONE" ], "enumDescriptions": [ "Unspecified timezone.", "Use the account timezone in the report.", "Use the Google timezone in the report (America/Los_Angeles)." ], "description": "Timezone in which to generate the report. If unspecified, this defaults to the account timezone. For more information, see [changing the time zone of your reports](https://support.google.com/adsense/answer/9830725)." }, "currencyCode": { "type": "string", "description": "The [ISO-4217 currency code](https://en.wikipedia.org/wiki/ISO_4217) to use when reporting on monetary metrics. Defaults to the account's currency if not set.", "location": "query" }, "startDate.month": { "location": "query", "type": "integer", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "format": "int32" }, "dateRange": { "enumDescriptions": [ "Unspecified date range.", "A custom date range specified using the `start_date` and `end_date` fields. This is the default if no ReportingDateRange is provided.", "Current day.", "Yesterday.", "From the start of the current month to the current day. e.g. if the current date is 2020-03-12 then the range will be [2020-03-01, 2020-03-12].", "From the start of the current year to the current day. e.g. if the current date is 2020-03-12 then the range will be [2020-01-01, 2020-03-12].", "Last 7 days, excluding current day.", "Last 30 days, excluding current day." ], "description": "Date range of the report, if unset the range will be considered CUSTOM.", "location": "query", "type": "string", "enum": [ "REPORTING_DATE_RANGE_UNSPECIFIED", "CUSTOM", "TODAY", "YESTERDAY", "MONTH_TO_DATE", "YEAR_TO_DATE", "LAST_7_DAYS", "LAST_30_DAYS" ] }, "endDate.day": { "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "location": "query", "format": "int32" } }, "flatPath": "v2/accounts/{accountsId}/reports/{reportsId}/saved:generateCsv", "id": "adsense.accounts.reports.saved.generateCsv", "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "description": "Generates a csv formatted saved report.", "httpMethod": "GET", "path": "v2/{+name}/saved:generateCsv", "parameterOrder": [ "name" ] }, "generate": { "parameterOrder": [ "name" ], "description": "Generates a saved report.", "flatPath": "v2/accounts/{accountsId}/reports/{reportsId}/saved:generate", "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "httpMethod": "GET", "response": { "$ref": "ReportResult" }, "id": "adsense.accounts.reports.saved.generate", "path": "v2/{+name}/saved:generate", "parameters": { "languageCode": { "description": "The language to use for translating report output. If unspecified, this defaults to English (\"en\"). If the given language is not supported, report output will be returned in English. The language is specified as an [IETF BCP-47 language code](https://en.wikipedia.org/wiki/IETF_language_tag).", "type": "string", "location": "query" }, "reportingTimeZone": { "type": "string", "location": "query", "enum": [ "REPORTING_TIME_ZONE_UNSPECIFIED", "ACCOUNT_TIME_ZONE", "GOOGLE_TIME_ZONE" ], "description": "Timezone in which to generate the report. If unspecified, this defaults to the account timezone. For more information, see [changing the time zone of your reports](https://support.google.com/adsense/answer/9830725).", "enumDescriptions": [ "Unspecified timezone.", "Use the account timezone in the report.", "Use the Google timezone in the report (America/Los_Angeles)." ] }, "startDate.day": { "location": "query", "type": "integer", "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant." }, "name": { "type": "string", "required": true, "pattern": "^accounts/[^/]+/reports/[^/]+$", "description": "Required. Name of the saved report. Format: accounts/{account}/reports/{report}", "location": "path" }, "startDate.month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "location": "query", "type": "integer", "format": "int32" }, "endDate.month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "location": "query", "type": "integer", "format": "int32" }, "currencyCode": { "type": "string", "description": "The [ISO-4217 currency code](https://en.wikipedia.org/wiki/ISO_4217) to use when reporting on monetary metrics. Defaults to the account's currency if not set.", "location": "query" }, "dateRange": { "type": "string", "location": "query", "enumDescriptions": [ "Unspecified date range.", "A custom date range specified using the `start_date` and `end_date` fields. This is the default if no ReportingDateRange is provided.", "Current day.", "Yesterday.", "From the start of the current month to the current day. e.g. if the current date is 2020-03-12 then the range will be [2020-03-01, 2020-03-12].", "From the start of the current year to the current day. e.g. if the current date is 2020-03-12 then the range will be [2020-01-01, 2020-03-12].", "Last 7 days, excluding current day.", "Last 30 days, excluding current day." ], "enum": [ "REPORTING_DATE_RANGE_UNSPECIFIED", "CUSTOM", "TODAY", "YESTERDAY", "MONTH_TO_DATE", "YEAR_TO_DATE", "LAST_7_DAYS", "LAST_30_DAYS" ], "description": "Date range of the report, if unset the range will be considered CUSTOM." }, "startDate.year": { "format": "int32", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "location": "query", "type": "integer" }, "endDate.year": { "location": "query", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "type": "integer", "format": "int32" }, "endDate.day": { "location": "query", "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer" } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "flatPath": "v2/accounts/{accountsId}/reports/saved", "httpMethod": "GET", "id": "adsense.accounts.reports.saved.list", "parameters": { "pageSize": { "format": "int32", "description": "The maximum number of reports to include in the response, used for paging. If unspecified, at most 10000 reports will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000.", "type": "integer", "location": "query" }, "pageToken": { "description": "A page token, received from a previous `ListPayments` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListPayments` must match the call that provided the page token.", "type": "string", "location": "query" }, "parent": { "location": "path", "type": "string", "required": true, "description": "Required. The account which owns the collection of reports. Format: accounts/{account}", "pattern": "^accounts/[^/]+$" } }, "response": { "$ref": "ListSavedReportsResponse" }, "description": "Lists saved reports.", "path": "v2/{+parent}/reports/saved", "parameterOrder": [ "parent" ] } } } } }, "payments": { "methods": { "list": { "httpMethod": "GET", "parameters": { "parent": { "location": "path", "description": "Required. The account which owns the collection of payments. Format: accounts/{account}", "required": true, "type": "string", "pattern": "^accounts/[^/]+$" } }, "response": { "$ref": "ListPaymentsResponse" }, "id": "adsense.accounts.payments.list", "flatPath": "v2/accounts/{accountsId}/payments", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "description": "Lists all the payments available for an account.", "path": "v2/{+parent}/payments" } } }, "sites": { "methods": { "list": { "parameterOrder": [ "parent" ], "description": "Lists all the sites available in an account.", "response": { "$ref": "ListSitesResponse" }, "path": "v2/{+parent}/sites", "parameters": { "parent": { "location": "path", "description": "Required. The account which owns the collection of sites. Format: accounts/{account}", "required": true, "type": "string", "pattern": "^accounts/[^/]+$" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of sites to include in the response, used for paging. If unspecified, at most 10000 sites will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000." }, "pageToken": { "description": "A page token, received from a previous `ListSites` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSites` must match the call that provided the page token.", "type": "string", "location": "query" } }, "id": "adsense.accounts.sites.list", "httpMethod": "GET", "flatPath": "v2/accounts/{accountsId}/sites", "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ] }, "get": { "id": "adsense.accounts.sites.get", "httpMethod": "GET", "description": "Gets information about the selected site.", "parameters": { "name": { "required": true, "description": "Required. Name of the site. Format: accounts/{account}/sites/{site}", "location": "path", "type": "string", "pattern": "^accounts/[^/]+/sites/[^/]+$" } }, "flatPath": "v2/accounts/{accountsId}/sites/{sitesId}", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "response": { "$ref": "Site" }, "parameterOrder": [ "name" ] } } } }, "methods": { "listChildAccounts": { "httpMethod": "GET", "description": "Lists all accounts directly managed by the given AdSense account.", "id": "adsense.accounts.listChildAccounts", "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "path": "v2/{+parent}:listChildAccounts", "parameterOrder": [ "parent" ], "flatPath": "v2/accounts/{accountsId}:listChildAccounts", "parameters": { "parent": { "description": "Required. The parent account, which owns the child accounts. Format: accounts/{account}", "location": "path", "required": true, "type": "string", "pattern": "^accounts/[^/]+$" }, "pageToken": { "location": "query", "type": "string", "description": "A page token, received from a previous `ListAccounts` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListAccounts` must match the call that provided the page token." }, "pageSize": { "description": "The maximum number of accounts to include in the response, used for paging. If unspecified, at most 10000 accounts will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000.", "location": "query", "type": "integer", "format": "int32" } }, "response": { "$ref": "ListChildAccountsResponse" } }, "list": { "parameters": { "pageSize": { "description": "The maximum number of accounts to include in the response, used for paging. If unspecified, at most 10000 accounts will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000.", "format": "int32", "type": "integer", "location": "query" }, "pageToken": { "description": "A page token, received from a previous `ListAccounts` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListAccounts` must match the call that provided the page token.", "type": "string", "location": "query" } }, "response": { "$ref": "ListAccountsResponse" }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "id": "adsense.accounts.list", "description": "Lists all accounts available to this user.", "httpMethod": "GET", "path": "v2/accounts", "flatPath": "v2/accounts", "parameterOrder": [] }, "get": { "flatPath": "v2/accounts/{accountsId}", "httpMethod": "GET", "description": "Gets information about the selected AdSense account.", "path": "v2/{+name}", "response": { "$ref": "Account" }, "scopes": [ "https://www.googleapis.com/auth/adsense", "https://www.googleapis.com/auth/adsense.readonly" ], "parameterOrder": [ "name" ], "id": "adsense.accounts.get", "parameters": { "name": { "required": true, "location": "path", "pattern": "^accounts/[^/]+$", "type": "string", "description": "Required. Account to get information about. Format: accounts/{account}" } } } } } }, "revision": "20220712", "documentationLink": "https://developers.google.com/adsense/management/", "rootUrl": "https://adsense.googleapis.com/", "basePath": "", "parameters": { "prettyPrint": { "location": "query", "default": "true", "type": "boolean", "description": "Returns response with indentations and line breaks." }, "alt": { "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json", "description": "Data format for response.", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/adsense": { "description": "View and manage your AdSense data" }, "https://www.googleapis.com/auth/adsense.readonly": { "description": "View your AdSense data" } } } }, "servicePath": "", "name": "adsense", "discoveryVersion": "v1", "description": "The AdSense Management API allows publishers to access their inventory and run earnings and performance reports.", "ownerName": "Google", "batchPath": "batch", "title": "AdSense Management API", "mtlsRootUrl": "https://adsense.mtls.googleapis.com/", "baseUrl": "https://adsense.googleapis.com/", "ownerDomain": "google.com", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "kind": "discovery#restDescription" }
]===]))
