local decode = require("cjson").new().decode
return assert(decode([===[
{ "canonicalName": "AdSense Host", "resources": { "reports": { "methods": { "generate": { "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "id": "adsensehost.reports.generate", "response": { "$ref": "Report" }, "path": "reports", "parameters": { "startIndex": { "minimum": "0", "maximum": "5000", "description": "Index of the first row of report data to return.", "format": "uint32", "location": "query", "type": "integer" }, "filter": { "location": "query", "repeated": true, "pattern": "[a-zA-Z_]+(==|=@).+", "description": "Filters to be run on the report.", "type": "string" }, "sort": { "pattern": "(\\+|-)?[a-zA-Z_]+", "location": "query", "repeated": true, "type": "string", "description": "The name of a dimension or metric to sort the resulting report on, optionally prefixed with \"+\" to sort ascending or \"-\" to sort descending. If no prefix is specified, the column is sorted ascending." }, "endDate": { "required": true, "type": "string", "location": "query", "pattern": "\\d{4}-\\d{2}-\\d{2}|(today|startOfMonth|startOfYear)(([\\-\\+]\\d+[dwmy]){0,3}?)", "description": "End of the date range to report on in \"YYYY-MM-DD\" format, inclusive." }, "dimension": { "type": "string", "repeated": true, "location": "query", "pattern": "[a-zA-Z_]+", "description": "Dimensions to base the report on." }, "locale": { "location": "query", "pattern": "[a-zA-Z_]+", "description": "Optional locale to use for translating report output to a local language. Defaults to \"en_US\" if not specified.", "type": "string" }, "metric": { "repeated": true, "location": "query", "type": "string", "description": "Numeric columns to include in the report.", "pattern": "[a-zA-Z_]+" }, "maxResults": { "type": "integer", "minimum": "0", "location": "query", "format": "uint32", "maximum": "50000", "description": "The maximum number of rows of report data to return." }, "startDate": { "pattern": "\\d{4}-\\d{2}-\\d{2}|(today|startOfMonth|startOfYear)(([\\-\\+]\\d+[dwmy]){0,3}?)", "description": "Start of the date range to report on in \"YYYY-MM-DD\" format, inclusive.", "required": true, "location": "query", "type": "string" } }, "parameterOrder": [ "startDate", "endDate" ], "httpMethod": "GET", "description": "Generate an AdSense report based on the report request sent in the query parameters. Returns the result as JSON; to retrieve output in CSV format specify \"alt=csv\" as a query parameter." } } }, "accounts": { "resources": { "adclients": { "methods": { "get": { "path": "accounts/{accountId}/adclients/{adClientId}", "httpMethod": "GET", "description": "Get information about one of the ad clients in the specified publisher's AdSense account.", "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "response": { "$ref": "AdClient" }, "id": "adsensehost.accounts.adclients.get", "parameterOrder": [ "accountId", "adClientId" ], "parameters": { "accountId": { "required": true, "description": "Account which contains the ad client.", "location": "path", "type": "string" }, "adClientId": { "type": "string", "location": "path", "required": true, "description": "Ad client to get." } } }, "list": { "id": "adsensehost.accounts.adclients.list", "parameterOrder": [ "accountId" ], "response": { "$ref": "AdClients" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "path": "accounts/{accountId}/adclients", "parameters": { "maxResults": { "minimum": "0", "type": "integer", "maximum": "10000", "description": "The maximum number of ad clients to include in the response, used for paging.", "format": "uint32", "location": "query" }, "pageToken": { "description": "A continuation token, used to page through ad clients. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.", "location": "query", "type": "string" }, "accountId": { "required": true, "location": "path", "type": "string", "description": "Account for which to list ad clients." } }, "description": "List all hosted ad clients in the specified hosted account." } } }, "adunits": { "methods": { "insert": { "request": { "$ref": "AdUnit" }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "response": { "$ref": "AdUnit" }, "httpMethod": "POST", "description": "Insert the supplied ad unit into the specified publisher AdSense account.", "id": "adsensehost.accounts.adunits.insert", "parameters": { "accountId": { "type": "string", "required": true, "location": "path", "description": "Account which will contain the ad unit." }, "adClientId": { "required": true, "description": "Ad client into which to insert the ad unit.", "location": "path", "type": "string" } }, "parameterOrder": [ "accountId", "adClientId" ], "path": "accounts/{accountId}/adclients/{adClientId}/adunits" }, "patch": { "request": { "$ref": "AdUnit" }, "parameters": { "accountId": { "type": "string", "location": "path", "required": true, "description": "Account which contains the ad client." }, "adUnitId": { "required": true, "description": "Ad unit to get.", "location": "query", "type": "string" }, "adClientId": { "description": "Ad client which contains the ad unit.", "type": "string", "required": true, "location": "path" } }, "path": "accounts/{accountId}/adclients/{adClientId}/adunits", "parameterOrder": [ "accountId", "adClientId", "adUnitId" ], "description": "Update the supplied ad unit in the specified publisher AdSense account. This method supports patch semantics.", "id": "adsensehost.accounts.adunits.patch", "httpMethod": "PATCH", "response": { "$ref": "AdUnit" }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ] }, "list": { "parameters": { "pageToken": { "location": "query", "type": "string", "description": "A continuation token, used to page through ad units. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response." }, "accountId": { "required": true, "type": "string", "description": "Account which contains the ad client.", "location": "path" }, "includeInactive": { "type": "boolean", "description": "Whether to include inactive ad units. Default: true.", "location": "query" }, "maxResults": { "minimum": "0", "location": "query", "description": "The maximum number of ad units to include in the response, used for paging.", "maximum": "10000", "type": "integer", "format": "uint32" }, "adClientId": { "location": "path", "description": "Ad client for which to list ad units.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "description": "List all ad units in the specified publisher's AdSense account.", "response": { "$ref": "AdUnits" }, "parameterOrder": [ "accountId", "adClientId" ], "httpMethod": "GET", "id": "adsensehost.accounts.adunits.list", "path": "accounts/{accountId}/adclients/{adClientId}/adunits" }, "get": { "httpMethod": "GET", "response": { "$ref": "AdUnit" }, "path": "accounts/{accountId}/adclients/{adClientId}/adunits/{adUnitId}", "description": "Get the specified host ad unit in this AdSense account.", "parameters": { "adClientId": { "required": true, "description": "Ad client for which to get ad unit.", "location": "path", "type": "string" }, "accountId": { "required": true, "location": "path", "description": "Account which contains the ad unit.", "type": "string" }, "adUnitId": { "location": "path", "required": true, "description": "Ad unit to get.", "type": "string" } }, "parameterOrder": [ "accountId", "adClientId", "adUnitId" ], "id": "adsensehost.accounts.adunits.get", "scopes": [ "https://www.googleapis.com/auth/adsensehost" ] }, "delete": { "parameterOrder": [ "accountId", "adClientId", "adUnitId" ], "response": { "$ref": "AdUnit" }, "parameters": { "adClientId": { "required": true, "description": "Ad client for which to get ad unit.", "type": "string", "location": "path" }, "accountId": { "required": true, "location": "path", "type": "string", "description": "Account which contains the ad unit." }, "adUnitId": { "required": true, "type": "string", "location": "path", "description": "Ad unit to delete." } }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "path": "accounts/{accountId}/adclients/{adClientId}/adunits/{adUnitId}", "httpMethod": "DELETE", "description": "Delete the specified ad unit from the specified publisher AdSense account.", "id": "adsensehost.accounts.adunits.delete" }, "update": { "httpMethod": "PUT", "id": "adsensehost.accounts.adunits.update", "path": "accounts/{accountId}/adclients/{adClientId}/adunits", "description": "Update the supplied ad unit in the specified publisher AdSense account.", "parameterOrder": [ "accountId", "adClientId" ], "request": { "$ref": "AdUnit" }, "response": { "$ref": "AdUnit" }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "parameters": { "adClientId": { "type": "string", "description": "Ad client which contains the ad unit.", "location": "path", "required": true }, "accountId": { "location": "path", "description": "Account which contains the ad client.", "required": true, "type": "string" } } }, "getAdCode": { "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "parameters": { "adClientId": { "description": "Ad client with contains the ad unit.", "required": true, "type": "string", "location": "path" }, "accountId": { "required": true, "description": "Account which contains the ad client.", "type": "string", "location": "path" }, "adUnitId": { "required": true, "location": "path", "description": "Ad unit to get the code for.", "type": "string" }, "hostCustomChannelId": { "location": "query", "description": "Host custom channel to attach to the ad code.", "repeated": true, "type": "string" } }, "id": "adsensehost.accounts.adunits.getAdCode", "path": "accounts/{accountId}/adclients/{adClientId}/adunits/{adUnitId}/adcode", "description": "Get ad code for the specified ad unit, attaching the specified host custom channels.", "httpMethod": "GET", "parameterOrder": [ "accountId", "adClientId", "adUnitId" ], "response": { "$ref": "AdCode" } } } }, "reports": { "methods": { "generate": { "path": "accounts/{accountId}/reports", "description": "Generate an AdSense report based on the report request sent in the query parameters. Returns the result as JSON; to retrieve output in CSV format specify \"alt=csv\" as a query parameter.", "id": "adsensehost.accounts.reports.generate", "parameterOrder": [ "accountId", "startDate", "endDate" ], "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "httpMethod": "GET", "response": { "$ref": "Report" }, "parameters": { "endDate": { "description": "End of the date range to report on in \"YYYY-MM-DD\" format, inclusive.", "pattern": "\\d{4}-\\d{2}-\\d{2}|(today|startOfMonth|startOfYear)(([\\-\\+]\\d+[dwmy]){0,3}?)", "type": "string", "location": "query", "required": true }, "metric": { "description": "Numeric columns to include in the report.", "location": "query", "pattern": "[a-zA-Z_]+", "type": "string", "repeated": true }, "sort": { "type": "string", "repeated": true, "pattern": "(\\+|-)?[a-zA-Z_]+", "description": "The name of a dimension or metric to sort the resulting report on, optionally prefixed with \"+\" to sort ascending or \"-\" to sort descending. If no prefix is specified, the column is sorted ascending.", "location": "query" }, "accountId": { "description": "Hosted account upon which to report.", "type": "string", "location": "path", "required": true }, "filter": { "repeated": true, "description": "Filters to be run on the report.", "location": "query", "type": "string", "pattern": "[a-zA-Z_]+(==|=@).+" }, "dimension": { "pattern": "[a-zA-Z_]+", "description": "Dimensions to base the report on.", "location": "query", "type": "string", "repeated": true }, "startDate": { "description": "Start of the date range to report on in \"YYYY-MM-DD\" format, inclusive.", "pattern": "\\d{4}-\\d{2}-\\d{2}|(today|startOfMonth|startOfYear)(([\\-\\+]\\d+[dwmy]){0,3}?)", "required": true, "location": "query", "type": "string" }, "startIndex": { "maximum": "5000", "description": "Index of the first row of report data to return.", "type": "integer", "location": "query", "minimum": "0", "format": "uint32" }, "locale": { "pattern": "[a-zA-Z_]+", "type": "string", "location": "query", "description": "Optional locale to use for translating report output to a local language. Defaults to \"en_US\" if not specified." }, "maxResults": { "location": "query", "type": "integer", "minimum": "0", "maximum": "50000", "description": "The maximum number of rows of report data to return.", "format": "uint32" } } } } } }, "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "parameterOrder": [ "accountId" ], "id": "adsensehost.accounts.get", "description": "Get information about the selected associated AdSense account.", "response": { "$ref": "Account" }, "parameters": { "accountId": { "required": true, "description": "Account to get information about.", "type": "string", "location": "path" } }, "httpMethod": "GET", "path": "accounts/{accountId}" }, "list": { "httpMethod": "GET", "path": "accounts", "description": "List hosted accounts associated with this AdSense account by ad client id.", "parameters": { "filterAdClientId": { "description": "Ad clients to list accounts for.", "required": true, "repeated": true, "type": "string", "location": "query" } }, "id": "adsensehost.accounts.list", "response": { "$ref": "Accounts" }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "parameterOrder": [ "filterAdClientId" ] } } }, "customchannels": { "methods": { "list": { "parameters": { "adClientId": { "type": "string", "location": "path", "description": "Ad client for which to list custom channels.", "required": true }, "pageToken": { "description": "A continuation token, used to page through custom channels. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.", "location": "query", "type": "string" }, "maxResults": { "location": "query", "maximum": "10000", "format": "uint32", "type": "integer", "description": "The maximum number of custom channels to include in the response, used for paging.", "minimum": "0" } }, "httpMethod": "GET", "path": "adclients/{adClientId}/customchannels", "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "response": { "$ref": "CustomChannels" }, "description": "List all host custom channels in this AdSense account.", "id": "adsensehost.customchannels.list", "parameterOrder": [ "adClientId" ] }, "insert": { "description": "Add a new custom channel to the host AdSense account.", "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "path": "adclients/{adClientId}/customchannels", "id": "adsensehost.customchannels.insert", "response": { "$ref": "CustomChannel" }, "parameterOrder": [ "adClientId" ], "parameters": { "adClientId": { "location": "path", "required": true, "type": "string", "description": "Ad client to which the new custom channel will be added." } }, "httpMethod": "POST", "request": { "$ref": "CustomChannel" } }, "get": { "parameters": { "adClientId": { "location": "path", "type": "string", "description": "Ad client from which to get the custom channel.", "required": true }, "customChannelId": { "type": "string", "location": "path", "required": true, "description": "Custom channel to get." } }, "parameterOrder": [ "adClientId", "customChannelId" ], "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "id": "adsensehost.customchannels.get", "path": "adclients/{adClientId}/customchannels/{customChannelId}", "description": "Get a specific custom channel from the host AdSense account.", "response": { "$ref": "CustomChannel" }, "httpMethod": "GET" }, "update": { "httpMethod": "PUT", "id": "adsensehost.customchannels.update", "response": { "$ref": "CustomChannel" }, "description": "Update a custom channel in the host AdSense account.", "request": { "$ref": "CustomChannel" }, "parameters": { "adClientId": { "description": "Ad client in which the custom channel will be updated.", "location": "path", "required": true, "type": "string" } }, "path": "adclients/{adClientId}/customchannels", "parameterOrder": [ "adClientId" ], "scopes": [ "https://www.googleapis.com/auth/adsensehost" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "path": "adclients/{adClientId}/customchannels/{customChannelId}", "response": { "$ref": "CustomChannel" }, "description": "Delete a specific custom channel from the host AdSense account.", "httpMethod": "DELETE", "parameters": { "adClientId": { "location": "path", "type": "string", "required": true, "description": "Ad client from which to delete the custom channel." }, "customChannelId": { "description": "Custom channel to delete.", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "adClientId", "customChannelId" ], "id": "adsensehost.customchannels.delete" }, "patch": { "parameters": { "customChannelId": { "description": "Custom channel to get.", "required": true, "location": "query", "type": "string" }, "adClientId": { "type": "string", "description": "Ad client in which the custom channel will be updated.", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "path": "adclients/{adClientId}/customchannels", "id": "adsensehost.customchannels.patch", "httpMethod": "PATCH", "description": "Update a custom channel in the host AdSense account. This method supports patch semantics.", "parameterOrder": [ "adClientId", "customChannelId" ], "request": { "$ref": "CustomChannel" }, "response": { "$ref": "CustomChannel" } } } }, "associationsessions": { "methods": { "verify": { "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "description": "Verify an association session after the association callback returns from AdSense signup.", "id": "adsensehost.associationsessions.verify", "parameterOrder": [ "token" ], "httpMethod": "GET", "path": "associationsessions/verify", "response": { "$ref": "AssociationSession" }, "parameters": { "token": { "description": "The token returned to the association callback URL.", "type": "string", "required": true, "location": "query" } } }, "start": { "response": { "$ref": "AssociationSession" }, "httpMethod": "GET", "parameters": { "websiteUrl": { "type": "string", "required": true, "description": "The URL of the user's hosted website.", "location": "query" }, "websiteLocale": { "type": "string", "description": "The locale of the user's hosted website.", "location": "query" }, "userLocale": { "type": "string", "location": "query", "description": "The preferred locale of the user." }, "callbackUrl": { "location": "query", "type": "string", "description": "The URL to redirect the user to once association is completed. It receives a token parameter that can then be used to retrieve the associated account." }, "productCode": { "enumDescriptions": [ "AdSense For Content", "AdSense For Games", "AdSense For Mobile Content - deprecated", "AdSense For Search - deprecated", "AdSense For Video" ], "type": "string", "required": true, "enum": [ "AFC", "AFG", "AFMC", "AFS", "AFV" ], "repeated": true, "location": "query", "description": "Products to associate with the user." } }, "description": "Create an association session for initiating an association with an AdSense user.", "id": "adsensehost.associationsessions.start", "path": "associationsessions/start", "parameterOrder": [ "productCode", "websiteUrl" ], "scopes": [ "https://www.googleapis.com/auth/adsensehost" ] } } }, "urlchannels": { "methods": { "delete": { "parameterOrder": [ "adClientId", "urlChannelId" ], "parameters": { "adClientId": { "location": "path", "required": true, "type": "string", "description": "Ad client from which to delete the URL channel." }, "urlChannelId": { "location": "path", "required": true, "description": "URL channel to delete.", "type": "string" } }, "id": "adsensehost.urlchannels.delete", "description": "Delete a URL channel from the host AdSense account.", "httpMethod": "DELETE", "path": "adclients/{adClientId}/urlchannels/{urlChannelId}", "response": { "$ref": "UrlChannel" }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ] }, "list": { "httpMethod": "GET", "response": { "$ref": "UrlChannels" }, "id": "adsensehost.urlchannels.list", "path": "adclients/{adClientId}/urlchannels", "parameters": { "maxResults": { "location": "query", "minimum": "0", "format": "uint32", "description": "The maximum number of URL channels to include in the response, used for paging.", "maximum": "10000", "type": "integer" }, "adClientId": { "description": "Ad client for which to list URL channels.", "location": "path", "required": true, "type": "string" }, "pageToken": { "description": "A continuation token, used to page through URL channels. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "description": "List all host URL channels in the host AdSense account.", "parameterOrder": [ "adClientId" ] }, "insert": { "response": { "$ref": "UrlChannel" }, "parameters": { "adClientId": { "location": "path", "description": "Ad client to which the new URL channel will be added.", "required": true, "type": "string" } }, "request": { "$ref": "UrlChannel" }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "description": "Add a new URL channel to the host AdSense account.", "id": "adsensehost.urlchannels.insert", "path": "adclients/{adClientId}/urlchannels", "parameterOrder": [ "adClientId" ], "httpMethod": "POST" } } }, "adclients": { "methods": { "get": { "id": "adsensehost.adclients.get", "description": "Get information about one of the ad clients in the Host AdSense account.", "parameterOrder": [ "adClientId" ], "parameters": { "adClientId": { "description": "Ad client to get.", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "path": "adclients/{adClientId}", "httpMethod": "GET", "response": { "$ref": "AdClient" } }, "list": { "id": "adsensehost.adclients.list", "scopes": [ "https://www.googleapis.com/auth/adsensehost" ], "httpMethod": "GET", "description": "List all host ad clients in this AdSense account.", "parameters": { "maxResults": { "description": "The maximum number of ad clients to include in the response, used for paging.", "minimum": "0", "format": "uint32", "location": "query", "type": "integer", "maximum": "10000" }, "pageToken": { "location": "query", "type": "string", "description": "A continuation token, used to page through ad clients. To retrieve the next page, set this parameter to the value of \"nextPageToken\" from the previous response." } }, "response": { "$ref": "AdClients" }, "path": "adclients" } } } }, "batchPath": "batch/adsensehost/v4.1", "baseUrl": "https://www.googleapis.com/adsensehost/v4.1/", "basePath": "/adsensehost/v4.1/", "rootUrl": "https://www.googleapis.com/", "documentationLink": "https://developers.google.com/adsense/host/", "name": "adsensehost", "id": "adsensehost:v4.1", "discoveryVersion": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/adsensehost": { "description": "View and manage your AdSense host data and associated accounts" } } } }, "version": "v4.1", "description": "Generates performance reports, generates ad codes, and provides publisher management capabilities for AdSense Hosts.", "revision": "20200930", "schemas": { "UrlChannels": { "type": "object", "properties": { "kind": { "default": "adsensehost#urlChannels", "description": "Kind of list this is, in this case adsensehost#urlChannels.", "type": "string" }, "nextPageToken": { "type": "string", "description": "Continuation token used to page through URL channels. To retrieve the next page of results, set the next request's \"pageToken\" value to this." }, "items": { "type": "array", "description": "The URL channels returned in this list response.", "items": { "$ref": "UrlChannel" } }, "etag": { "type": "string", "description": "ETag of this response for caching purposes." } }, "id": "UrlChannels" }, "Report": { "type": "object", "properties": { "totals": { "items": { "type": "string" }, "description": "The totals of the report. This is the same length as any other row in the report; cells corresponding to dimension columns are empty.", "type": "array" }, "warnings": { "description": "Any warnings associated with generation of the report.", "items": { "type": "string" }, "type": "array" }, "kind": { "default": "adsensehost#report", "type": "string", "description": "Kind this is, in this case adsensehost#report." }, "totalMatchedRows": { "description": "The total number of rows matched by the report request. Fewer rows may be returned in the response due to being limited by the row count requested or the report row limit.", "format": "int64", "type": "string" }, "rows": { "type": "array", "items": { "items": { "type": "string" }, "type": "array" }, "description": "The output rows of the report. Each row is a list of cells; one for each dimension in the request, followed by one for each metric in the request. The dimension cells contain strings, and the metric cells contain numbers." }, "headers": { "items": { "type": "object", "properties": { "currency": { "description": "The currency of this column. Only present if the header type is METRIC_CURRENCY.", "type": "string" }, "name": { "type": "string", "description": "The name of the header." }, "type": { "description": "The type of the header; one of DIMENSION, METRIC_TALLY, METRIC_RATIO, or METRIC_CURRENCY.", "type": "string" } } }, "type": "array", "description": "The header information of the columns requested in the report. This is a list of headers; one for each dimension in the request, followed by one for each metric in the request." }, "averages": { "type": "array", "items": { "type": "string" }, "description": "The averages of the report. This is the same length as any other row in the report; cells corresponding to dimension columns are empty." } }, "id": "Report" }, "AssociationSession": { "properties": { "userLocale": { "description": "The preferred locale of the user themselves when going through the AdSense association flow.", "type": "string" }, "redirectUrl": { "description": "Redirect URL of this association session. Used to redirect users into the AdSense association flow.", "type": "string" }, "productCodes": { "description": "The products to associate with the user. Options: AFC, AFG, AFV, AFS (deprecated), AFMC (deprecated)", "type": "array", "items": { "type": "string" } }, "accountId": { "description": "Hosted account id of the associated publisher after association. Present if status is ACCEPTED.", "type": "string" }, "websiteUrl": { "type": "string", "description": "The URL of the user's hosted website." }, "id": { "type": "string", "description": "Unique identifier of this association session." }, "kind": { "default": "adsensehost#associationSession", "description": "Kind of resource this is, in this case adsensehost#associationSession.", "type": "string" }, "status": { "description": "Status of the completed association, available once the association callback token has been verified. One of ACCEPTED, REJECTED, or ERROR.", "type": "string" }, "websiteLocale": { "description": "The locale of the user's hosted website.", "type": "string" } }, "id": "AssociationSession", "type": "object" }, "Account": { "id": "Account", "properties": { "name": { "type": "string", "description": "Name of this account." }, "id": { "description": "Unique identifier of this account.", "type": "string" }, "status": { "type": "string", "description": "Approval status of this account. One of: PENDING, APPROVED, DISABLED." }, "kind": { "default": "adsensehost#account", "type": "string", "description": "Kind of resource this is, in this case adsensehost#account." } }, "type": "object" }, "UrlChannel": { "id": "UrlChannel", "type": "object", "properties": { "urlPattern": { "description": "URL Pattern of this URL channel. Does not include \"http://\" or \"https://\". Example: www.example.com/home", "type": "string" }, "kind": { "description": "Kind of resource this is, in this case adsensehost#urlChannel.", "default": "adsensehost#urlChannel", "type": "string" }, "id": { "description": "Unique identifier of this URL channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.", "type": "string" } } }, "CustomChannel": { "properties": { "id": { "description": "Unique identifier of this custom channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.", "type": "string" }, "name": { "description": "Name of this custom channel.", "type": "string" }, "kind": { "type": "string", "default": "adsensehost#customChannel", "description": "Kind of resource this is, in this case adsensehost#customChannel." }, "code": { "description": "Code of this custom channel, not necessarily unique across ad clients.", "type": "string" } }, "type": "object", "id": "CustomChannel" }, "AdStyle": { "id": "AdStyle", "properties": { "colors": { "properties": { "url": { "type": "string", "description": "The color of the ad url." }, "background": { "type": "string", "description": "The color of the ad background." }, "text": { "description": "The color of the ad text.", "type": "string" }, "title": { "description": "The color of the ad title.", "type": "string" }, "border": { "description": "The color of the ad border.", "type": "string" } }, "type": "object", "description": "The colors included in the style. These are represented as six hexadecimal characters, similar to HTML color codes, but without the leading hash." }, "kind": { "default": "adsensehost#adStyle", "type": "string", "description": "Kind this is, in this case adsensehost#adStyle." }, "font": { "description": "The font which is included in the style.", "properties": { "family": { "description": "The family of the font. Possible values are: ACCOUNT_DEFAULT_FAMILY, ADSENSE_DEFAULT_FAMILY, ARIAL, TIMES and VERDANA.", "type": "string" }, "size": { "description": "The size of the font. Possible values are: ACCOUNT_DEFAULT_SIZE, ADSENSE_DEFAULT_SIZE, SMALL, MEDIUM and LARGE.", "type": "string" } }, "type": "object" }, "corners": { "description": "The style of the corners in the ad (deprecated: never populated, ignored).", "type": "string" } }, "type": "object" }, "CustomChannels": { "id": "CustomChannels", "properties": { "etag": { "type": "string", "description": "ETag of this response for caching purposes." }, "kind": { "description": "Kind of list this is, in this case adsensehost#customChannels.", "type": "string", "default": "adsensehost#customChannels" }, "items": { "items": { "$ref": "CustomChannel" }, "type": "array", "description": "The custom channels returned in this list response." }, "nextPageToken": { "type": "string", "description": "Continuation token used to page through custom channels. To retrieve the next page of results, set the next request's \"pageToken\" value to this." } }, "type": "object" }, "AdCode": { "id": "AdCode", "type": "object", "properties": { "adCode": { "description": "The ad code snippet.", "type": "string" }, "kind": { "description": "Kind this is, in this case adsensehost#adCode.", "default": "adsensehost#adCode", "type": "string" } } }, "AdUnit": { "properties": { "code": { "type": "string", "description": "Identity code of this ad unit, not necessarily unique across ad clients." }, "mobileContentAdsSettings": { "type": "object", "description": "Settings specific to WAP mobile content ads (AFMC - deprecated).", "properties": { "scriptingLanguage": { "description": "The scripting language to use for this ad unit.", "type": "string" }, "markupLanguage": { "type": "string", "description": "The markup language to use for this ad unit." }, "size": { "type": "string", "description": "Size of this ad unit." }, "type": { "type": "string", "description": "Type of this ad unit." } } }, "id": { "description": "Unique identifier of this ad unit. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.", "type": "string" }, "name": { "description": "Name of this ad unit.", "type": "string" }, "contentAdsSettings": { "description": "Settings specific to content ads (AFC) and highend mobile content ads (AFMC - deprecated).", "properties": { "type": { "description": "Type of this ad unit. Possible values are TEXT, TEXT_IMAGE, IMAGE and LINK.", "type": "string" }, "backupOption": { "properties": { "url": { "type": "string", "description": "URL to use when type is set to URL." }, "color": { "type": "string", "description": "Color to use when type is set to COLOR. These are represented as six hexadecimal characters, similar to HTML color codes, but without the leading hash." }, "type": { "type": "string", "description": "Type of the backup option. Possible values are BLANK, COLOR and URL." } }, "type": "object", "description": "The backup option to be used in instances where no ad is available." }, "size": { "type": "string", "description": "Size of this ad unit. Size values are in the form SIZE_{width}_{height}." } }, "type": "object" }, "kind": { "type": "string", "description": "Kind of resource this is, in this case adsensehost#adUnit.", "default": "adsensehost#adUnit" }, "customStyle": { "description": "Custom style information specific to this ad unit.", "$ref": "AdStyle" }, "status": { "type": "string", "description": "Status of this ad unit. Possible values are:\nNEW: Indicates that the ad unit was created within the last seven days and does not yet have any activity associated with it.\n\nACTIVE: Indicates that there has been activity on this ad unit in the last seven days.\n\nINACTIVE: Indicates that there has been no activity on this ad unit in the last seven days." } }, "type": "object", "id": "AdUnit" }, "AdClient": { "properties": { "supportsReporting": { "description": "Whether this ad client supports being reported on.", "type": "boolean" }, "arcOptIn": { "description": "Whether this ad client is opted in to ARC.", "type": "boolean" }, "kind": { "type": "string", "default": "adsensehost#adClient", "description": "Kind of resource this is, in this case adsensehost#adClient." }, "productCode": { "description": "This ad client's product code, which corresponds to the PRODUCT_CODE report dimension.", "type": "string" }, "id": { "description": "Unique identifier of this ad client.", "type": "string" } }, "id": "AdClient", "type": "object" }, "Accounts": { "properties": { "etag": { "type": "string", "description": "ETag of this response for caching purposes." }, "kind": { "description": "Kind of list this is, in this case adsensehost#accounts.", "default": "adsensehost#accounts", "type": "string" }, "items": { "type": "array", "description": "The accounts returned in this list response.", "items": { "$ref": "Account" } } }, "type": "object", "id": "Accounts" }, "AdUnits": { "type": "object", "id": "AdUnits", "properties": { "etag": { "type": "string", "description": "ETag of this response for caching purposes." }, "nextPageToken": { "description": "Continuation token used to page through ad units. To retrieve the next page of results, set the next request's \"pageToken\" value to this.", "type": "string" }, "kind": { "type": "string", "description": "Kind of list this is, in this case adsensehost#adUnits.", "default": "adsensehost#adUnits" }, "items": { "type": "array", "items": { "$ref": "AdUnit" }, "description": "The ad units returned in this list response." } } }, "AdClients": { "id": "AdClients", "properties": { "etag": { "description": "ETag of this response for caching purposes.", "type": "string" }, "kind": { "type": "string", "default": "adsensehost#adClients", "description": "Kind of list this is, in this case adsensehost#adClients." }, "items": { "type": "array", "description": "The ad clients returned in this list response.", "items": { "$ref": "AdClient" } }, "nextPageToken": { "description": "Continuation token used to page through ad clients. To retrieve the next page of results, set the next request's \"pageToken\" value to this.", "type": "string" } }, "type": "object" } }, "servicePath": "adsensehost/v4.1/", "labels": [ "limited_availability" ], "protocol": "rest", "parameters": { "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "userIp": { "description": "Deprecated. Please use quotaUser instead.", "type": "string", "location": "query" }, "prettyPrint": { "location": "query", "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks." }, "quotaUser": { "type": "string", "description": "An opaque string that represents a user for quota purposes. Must not exceed 40 characters.", "location": "query" }, "alt": { "default": "json", "location": "query", "enum": [ "csv", "json" ], "enumDescriptions": [ "Responses with Content-Type of text/csv", "Responses with Content-Type of application/json" ], "type": "string", "description": "Data format for the response." } }, "title": "AdSense Host API", "ownerName": "Google", "icons": { "x16": "https://www.google.com/images/icons/product/adsense-16.png", "x32": "https://www.google.com/images/icons/product/adsense-32.png" }, "ownerDomain": "google.com", "kind": "discovery#restDescription" }
]===]))
