local decode = require("cjson").new().decode
return assert(decode([===[
{ "kind": "discovery#restDescription", "batchPath": "batch", "rootUrl": "https://alertcenter.googleapis.com/", "revision": "20220711", "mtlsRootUrl": "https://alertcenter.mtls.googleapis.com/", "parameters": { "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "type": "string", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "default": "json" }, "$.xgafv": { "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" } }, "fullyEncodeReservedExpansion": true, "ownerDomain": "google.com", "discoveryVersion": "v1", "baseUrl": "https://alertcenter.googleapis.com/", "protocol": "rest", "canonicalName": "AlertCenter", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/apps.alerts": { "description": "See and delete your domain's G Suite alerts, and send alert feedback" } } } }, "documentationLink": "https://developers.google.com/admin-sdk/alertcenter/", "id": "alertcenter:v1beta1", "description": "Manages alerts on issues affecting your domain. Note: The current version of this API (v1beta1) is available to all Google Workspace customers. ", "servicePath": "", "title": "Google Workspace Alert Center API", "version_module": true, "basePath": "", "schemas": { "RuleInfo": { "id": "RuleInfo", "type": "object", "properties": { "displayName": { "type": "string", "description": "User provided name of the rule." }, "resourceName": { "type": "string", "description": "Resource name that uniquely identifies the rule." } }, "description": "Proto that contains rule information." }, "Empty": { "type": "object", "id": "Empty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "PrimaryAdminChangedEvent": { "id": "PrimaryAdminChangedEvent", "description": "Event occurred when primary admin changed in customer's account. The event are being received from insight forwarder", "type": "object", "properties": { "domain": { "description": "domain in which actioned occurred", "type": "string" }, "previousAdminEmail": { "type": "string", "description": "Email of person who was the primary admin before the action" }, "updatedAdminEmail": { "type": "string", "description": "Email of person who is the primary admin after the action" } } }, "StateSponsoredAttack": { "properties": { "email": { "description": "The email of the user this incident was created for.", "type": "string" } }, "type": "object", "id": "StateSponsoredAttack", "description": "A state-sponsored attack alert. Derived from audit logs." }, "BatchDeleteAlertsRequest": { "properties": { "customerId": { "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alerts are associated with.", "type": "string" }, "alertId": { "type": "array", "description": "Required. list of alert IDs.", "items": { "type": "string" } } }, "id": "BatchDeleteAlertsRequest", "type": "object", "description": "A request to perform batch delete on alerts." }, "CloudPubsubTopic": { "id": "CloudPubsubTopic", "description": "A reference to a Cloud Pubsub topic. To register for notifications, the owner of the topic must grant `alerts-api-push-notifications@system.gserviceaccount.com` the `projects.topics.publish` permission.", "properties": { "payloadFormat": { "description": "Optional. The format of the payload that would be sent. If not specified the format will be JSON.", "enum": [ "PAYLOAD_FORMAT_UNSPECIFIED", "JSON" ], "enumDescriptions": [ "Payload format is not specified (will use JSON as default).", "Use JSON." ], "type": "string" }, "topicName": { "description": "The `name` field of a Cloud Pubsub [Topic] (https://cloud.google.com/pubsub/docs/reference/rest/v1/projects.topics#Topic).", "type": "string" } }, "type": "object" }, "BadWhitelist": { "properties": { "messages": { "description": "The list of messages contained by this alert.", "items": { "$ref": "GmailMessageInfo" }, "type": "array" }, "maliciousEntity": { "description": "The entity whose actions triggered a Gmail phishing alert.", "$ref": "MaliciousEntity" }, "domainId": { "description": "The domain ID.", "$ref": "DomainId" }, "sourceIp": { "description": "The source IP address of the malicious email, for example, `127.0.0.1`.", "type": "string" } }, "description": "Alert for setting the domain or IP that malicious email comes from as whitelisted domain or IP in Gmail advanced settings.", "id": "BadWhitelist", "type": "object" }, "UserDefinedDetectorInfo": { "properties": { "resourceName": { "description": "Resource name that uniquely identifies the detector.", "type": "string" }, "displayName": { "description": "Display name of the detector.", "type": "string" } }, "type": "object", "id": "UserDefinedDetectorInfo", "description": "Detector defined by administrators." }, "RequestInfo": { "description": "Requests for one application that needs default SQL setup.", "id": "RequestInfo", "type": "object", "properties": { "appKey": { "type": "string", "description": "Required. The application that requires the SQL setup." }, "numberOfRequests": { "format": "int64", "type": "string", "description": "Required. Number of requests sent for this application to set up default SQL instance." }, "appDeveloperEmail": { "items": { "type": "string" }, "type": "array", "description": "List of app developers who triggered notifications for above application." } } }, "DeviceCompromisedSecurityDetail": { "type": "object", "description": "Detailed information of a single MDM device compromised event.", "id": "DeviceCompromisedSecurityDetail", "properties": { "deviceModel": { "type": "string", "description": "The model of the device." }, "serialNumber": { "description": "The serial number of the device.", "type": "string" }, "iosVendorId": { "description": "Required for iOS, empty for others.", "type": "string" }, "deviceType": { "type": "string", "description": "The type of the device." }, "deviceId": { "description": "Required. The device ID.", "type": "string" }, "deviceCompromisedState": { "description": "The device compromised state. Possible values are \"`Compromised`\" or \"`Not Compromised`\".", "type": "string" }, "resourceId": { "type": "string", "description": "The device resource ID." } } }, "DomainWideTakeoutInitiated": { "description": "A takeout operation for the entire domain was initiated by an admin. Derived from audit logs.", "id": "DomainWideTakeoutInitiated", "type": "object", "properties": { "email": { "type": "string", "description": "The email of the admin who initiated the takeout." }, "takeoutRequestId": { "type": "string", "description": "The takeout request ID." } } }, "CsvRow": { "id": "CsvRow", "description": "A representation of a single data row in a CSV file.", "type": "object", "properties": { "entries": { "description": "The data entries in a CSV file row, as a string array rather than a single comma-separated string.", "type": "array", "items": { "type": "string" } } } }, "ReportingRule": { "description": "Alerts from Reporting Rules configured by Admin.", "id": "ReportingRule", "properties": { "name": { "type": "string", "description": "Rule name" }, "alertDetails": { "description": "Any other associated alert details, for example, AlertConfiguration.", "type": "string", "format": "byte" }, "query": { "type": "string", "description": "Alert Rule query Sample Query query { condition { filter { expected_application_id: 777491262838 expected_event_name: \"indexable_content_change\" filter_op: IN } } conjunction_operator: OR }", "format": "byte" } }, "type": "object" }, "MergeInfo": { "type": "object", "id": "MergeInfo", "description": "New alert tracking numbers.", "properties": { "newIncidentTrackingId": { "description": "The new tracking ID from the parent incident.", "type": "string" }, "newAlertId": { "type": "string", "description": "Optional. New alert ID. Reference the [google.apps.alertcenter.Alert] with this ID for the current state." } } }, "AppsOutage": { "properties": { "resolutionTime": { "format": "google-datetime", "type": "string", "description": "Timestamp when the outage is expected to be resolved, or has confirmed resolution. Provided only when known." }, "products": { "items": { "type": "string" }, "description": "List of products impacted by the outage.", "type": "array" }, "dashboardUri": { "type": "string", "description": "Link to the outage event in Google Workspace Status Dashboard" }, "incidentTrackingId": { "description": "Incident tracking ID.", "type": "string" }, "status": { "type": "string", "description": "Current outage status.", "enumDescriptions": [ "Status is unspecified.", "The incident has just been reported.", "The incident is ongoing.", "The incident has been resolved.", "Further assessment indicated no customer impact.", "The incident has been partially resolved.", "The incident was merged into a parent.", "The incident has lower impact than initially anticipated." ], "enum": [ "STATUS_UNSPECIFIED", "NEW", "ONGOING", "RESOLVED", "FALSE_POSITIVE", "PARTIALLY_RESOLVED", "MERGED", "DOWNGRADED" ] }, "nextUpdateTime": { "type": "string", "format": "google-datetime", "description": "Timestamp by which the next update is expected to arrive." }, "mergeInfo": { "description": "Indicates new alert details under which the outage is communicated. Only populated when Status is MERGED.", "$ref": "MergeInfo" } }, "type": "object", "description": "An outage incident reported for a Google Workspace service.", "id": "AppsOutage" }, "AccountWarning": { "type": "object", "properties": { "loginDetails": { "description": "Optional. Details of the login action associated with the warning event. This is only available for: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Suspicious login LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Suspicious login (less secure app) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Suspicious programmatic login LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh User suspended (suspicious activity)", "$ref": "LoginDetails" }, "email": { "description": "Required. The email of the user that this event belongs to.", "type": "string" } }, "id": "AccountWarning", "description": "Alerts for user account warning events." }, "AlertMetadata": { "description": "An alert metadata.", "type": "object", "id": "AlertMetadata", "properties": { "customerId": { "type": "string", "description": "Output only. The unique identifier of the Google account of the customer." }, "alertId": { "type": "string", "description": "Output only. The alert identifier." }, "status": { "description": "The current status of the alert. The supported values are the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_STARTED LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh IN_PROGRESS LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CLOSED", "type": "string" }, "updateTime": { "format": "google-datetime", "description": "Output only. The time this metadata was last updated.", "type": "string" }, "severity": { "type": "string", "description": "The severity value of the alert. Alert Center will set this field at alert creation time, default's to an empty string when it could not be determined. The supported values for update actions on this field are the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh HIGH LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MEDIUM LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LOW" }, "etag": { "type": "string", "description": "Optional. `etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of an alert metadata from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform metadata updates in order to avoid race conditions: An `etag` is returned in the response which contains alert metadata, and systems are expected to put that etag in the request to update alert metadata to ensure that their change will be applied to the same version of the alert metadata. If no `etag` is provided in the call to update alert metadata, then the existing alert metadata is overwritten blindly." }, "assignee": { "type": "string", "description": "The email address of the user assigned to the alert." } } }, "AppMakerSqlSetupNotification": { "type": "object", "id": "AppMakerSqlSetupNotification", "description": "Alerts from App Maker to notify admins to set up default SQL instance.", "properties": { "requestInfo": { "type": "array", "description": "List of applications with requests for default SQL set up.", "items": { "$ref": "RequestInfo" } } } }, "RuleViolationInfo": { "type": "object", "properties": { "resourceInfo": { "description": "Details of the resource which violated the rule.", "$ref": "ResourceInfo" }, "triggeredActionTypes": { "description": "Actions applied as a consequence of the rule being triggered.", "type": "array", "items": { "enum": [ "ACTION_TYPE_UNSPECIFIED", "DRIVE_BLOCK_EXTERNAL_SHARING", "DRIVE_WARN_ON_EXTERNAL_SHARING", "ALERT", "RULE_ACTIVATE", "RULE_DEACTIVATE" ], "type": "string", "enumDescriptions": [ "Action type is unspecified.", "Block sharing a file externally.", "Show a warning message when sharing a file externally.", "Send alert.", "Activate Rule Action", "Deactivate Rule Action" ] } }, "recipients": { "items": { "type": "string" }, "description": "Resource recipients. For Drive, they are grantees that the Drive file was shared with at the time of rule triggering. Valid values include user emails, group emails, domains, or 'anyone' if the file was publicly accessible. If the file was private the recipients list will be empty. For Gmail, they are emails of the users or groups that the Gmail message was sent to.", "type": "array" }, "triggeredActionInfo": { "description": "Metadata related to the triggered actions.", "items": { "$ref": "ActionInfo" }, "type": "array" }, "trigger": { "enum": [ "TRIGGER_UNSPECIFIED", "DRIVE_SHARE" ], "description": "Trigger of the rule.", "enumDescriptions": [ "Trigger is unspecified.", "A Drive file is shared." ], "type": "string" }, "suppressedActionTypes": { "items": { "type": "string", "enum": [ "ACTION_TYPE_UNSPECIFIED", "DRIVE_BLOCK_EXTERNAL_SHARING", "DRIVE_WARN_ON_EXTERNAL_SHARING", "ALERT", "RULE_ACTIVATE", "RULE_DEACTIVATE" ], "enumDescriptions": [ "Action type is unspecified.", "Block sharing a file externally.", "Show a warning message when sharing a file externally.", "Send alert.", "Activate Rule Action", "Deactivate Rule Action" ] }, "description": "Actions suppressed due to other actions with higher priority.", "type": "array" }, "triggeringUserEmail": { "type": "string", "description": "Email of the user who caused the violation. Value could be empty if not applicable, for example, a violation found by drive continuous scan." }, "dataSource": { "type": "string", "enumDescriptions": [ "Data source is unspecified.", "Drive data source." ], "enum": [ "DATA_SOURCE_UNSPECIFIED", "DRIVE" ], "description": "Source of the data." }, "ruleInfo": { "$ref": "RuleInfo", "description": "Details of the violated rule." }, "matchInfo": { "type": "array", "description": "List of matches that were found in the resource content.", "items": { "$ref": "MatchInfo" } } }, "id": "RuleViolationInfo", "description": "Common alert information about violated rules that are configured by Google Workspace administrators." }, "UserChanges": { "properties": { "name": { "type": "string", "description": "Rule name" } }, "type": "object", "id": "UserChanges", "description": "Alerts from UserChanges bucket Rules for predefined rules which contain the below rules. Suspended user made active New user Added User suspended (by admin) User granted admin privileges User admin privileges revoked User deleted Users password changed" }, "AlertFeedback": { "type": "object", "properties": { "createTime": { "description": "Output only. The time this feedback was created.", "type": "string", "format": "google-datetime" }, "alertId": { "description": "Output only. The alert identifier.", "type": "string" }, "email": { "type": "string", "description": "Output only. The email of the user that provided the feedback." }, "type": { "enumDescriptions": [ "The feedback type is not specified.", "The alert report is not useful.", "The alert report is somewhat useful.", "The alert report is very useful." ], "enum": [ "ALERT_FEEDBACK_TYPE_UNSPECIFIED", "NOT_USEFUL", "SOMEWHAT_USEFUL", "VERY_USEFUL" ], "type": "string", "description": "Required. The type of the feedback." }, "feedbackId": { "description": "Output only. The unique identifier for the feedback.", "type": "string" }, "customerId": { "type": "string", "description": "Output only. The unique identifier of the Google account of the customer." } }, "description": "A customer feedback about an alert.", "id": "AlertFeedback" }, "BatchDeleteAlertsResponse": { "type": "object", "id": "BatchDeleteAlertsResponse", "description": "Response to batch delete operation on alerts.", "properties": { "failedAlertStatus": { "description": "The status details for each failed alert_id.", "additionalProperties": { "$ref": "Status" }, "type": "object" }, "successAlertIds": { "description": "The successful list of alert IDs.", "type": "array", "items": { "type": "string" } } } }, "GmailMessageInfo": { "description": "Details of a message in phishing spike alert.", "id": "GmailMessageInfo", "properties": { "subjectText": { "description": "The email subject text (only available for reported emails).", "type": "string" }, "messageBodySnippet": { "type": "string", "description": "The snippet of the message body text (only available for reported emails)." }, "messageId": { "type": "string", "description": "The message ID." }, "recipient": { "type": "string", "description": "The recipient of this email." }, "md5HashMessageBody": { "description": "The hash of the message body text.", "type": "string" }, "date": { "description": "The date of the event related to this email.", "type": "string", "format": "google-datetime" }, "md5HashSubject": { "type": "string", "description": "The MD5 Hash of email's subject (only available for reported emails)." }, "attachmentsSha256Hash": { "type": "array", "description": "The `SHA256` hash of email's attachment and all MIME parts.", "items": { "type": "string" } } }, "type": "object" }, "SSOProfileUpdatedEvent": { "properties": { "inboundSsoProfileName": { "type": "string", "description": "sso profile name which got updated" }, "inboundSsoProfileChanges": { "description": "changes made to sso profile", "type": "string" } }, "description": "Event occurred when SSO Profile updated in customer's account. The event are being received from insight forwarder", "id": "SSOProfileUpdatedEvent", "type": "object" }, "Csv": { "description": "A representation of a CSV file attachment, as a list of column headers and a list of data rows.", "properties": { "dataRows": { "type": "array", "description": "The list of data rows in a CSV file, as string arrays rather than as a single comma-separated string.", "items": { "$ref": "CsvRow" } }, "headers": { "description": "The list of headers for data columns in a CSV file.", "type": "array", "items": { "type": "string" } } }, "id": "Csv", "type": "object" }, "ResourceInfo": { "id": "ResourceInfo", "description": "Proto that contains resource information.", "type": "object", "properties": { "resourceTitle": { "type": "string", "description": "Title of the resource, for example email subject, or document title." }, "documentId": { "type": "string", "description": "Drive file ID." } } }, "DeviceCompromised": { "description": "A mobile device compromised alert. Derived from audit logs.", "type": "object", "id": "DeviceCompromised", "properties": { "email": { "type": "string", "description": "The email of the user this alert was created for." }, "events": { "items": { "$ref": "DeviceCompromisedSecurityDetail" }, "type": "array", "description": "Required. The list of security events." } } }, "SuspiciousActivity": { "properties": { "events": { "description": "Required. The list of security events.", "type": "array", "items": { "$ref": "SuspiciousActivitySecurityDetail" } }, "email": { "description": "The email of the user this alert was created for.", "type": "string" } }, "description": "A mobile suspicious activity alert. Derived from audit logs.", "type": "object", "id": "SuspiciousActivity" }, "Alert": { "id": "Alert", "properties": { "createTime": { "description": "Output only. The time this alert was created.", "format": "google-datetime", "type": "string" }, "metadata": { "description": "Output only. The metadata associated with this alert.", "$ref": "AlertMetadata" }, "deleted": { "type": "boolean", "description": "Output only. `True` if this alert is marked for deletion." }, "source": { "description": "Required. A unique identifier for the system that reported the alert. This is output only after alert is created. Supported sources are any of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Google Operations LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Mobile device management LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Gmail phishing LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Data Loss Prevention LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Domain wide takeout LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh State sponsored attack LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Google identity LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Apps outage", "type": "string" }, "startTime": { "type": "string", "description": "Required. The time the event that caused this alert was started or detected.", "format": "google-datetime" }, "data": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Optional. The data associated with this alert, for example google.apps.alertcenter.type.DeviceCompromised.", "type": "object" }, "type": { "type": "string", "description": "Required. The type of the alert. This is output only after alert is created. For a list of available alert types see [Google Workspace Alert types](https://developers.google.com/admin-sdk/alertcenter/reference/alert-types)." }, "endTime": { "format": "google-datetime", "type": "string", "description": "Optional. The time the event that caused this alert ceased being active. If provided, the end time must not be earlier than the start time. If not provided, it indicates an ongoing alert." }, "customerId": { "description": "Output only. The unique identifier of the Google account of the customer.", "type": "string" }, "securityInvestigationToolLink": { "type": "string", "description": "Output only. An optional [Security Investigation Tool](https://support.google.com/a/answer/7575955) query for this alert." }, "alertId": { "description": "Output only. The unique identifier for the alert.", "type": "string" }, "etag": { "type": "string", "description": "Optional. `etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of an alert from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform alert updates in order to avoid race conditions: An `etag` is returned in the response which contains alerts, and systems are expected to put that etag in the request to update alert to ensure that their change will be applied to the same version of the alert. If no `etag` is provided in the call to update alert, then the existing alert is overwritten blindly." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time this alert was last updated." } }, "description": "An alert affecting a customer.", "type": "object" }, "SensitiveAdminAction": { "type": "object", "properties": { "superAdminPasswordResetEvent": { "$ref": "SuperAdminPasswordResetEvent", "description": "Event occurred when password was reset for super admin in customer's account" }, "primaryAdminChangedEvent": { "$ref": "PrimaryAdminChangedEvent", "description": "Event occurred when primary admin changed in customer's account" }, "ssoProfileUpdatedEvent": { "description": "Event occurred when SSO Profile updated in customer's account", "$ref": "SSOProfileUpdatedEvent" }, "actorEmail": { "type": "string", "description": "Email of person who performed the action" }, "eventTime": { "type": "string", "format": "google-datetime", "description": "The time at which event occurred" }, "ssoProfileDeletedEvent": { "$ref": "SSOProfileDeletedEvent", "description": "Event occurred when SSO Profile deleted in customer's account" }, "ssoProfileCreatedEvent": { "description": "Event occurred when SSO Profile created in customer's account", "$ref": "SSOProfileCreatedEvent" } }, "id": "SensitiveAdminAction", "description": "Alert that is triggered when Sensitive Admin Action occur in customer account." }, "BatchUndeleteAlertsRequest": { "description": "A request to perform batch undelete on alerts.", "id": "BatchUndeleteAlertsRequest", "type": "object", "properties": { "customerId": { "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alerts are associated with.", "type": "string" }, "alertId": { "description": "Required. list of alert IDs.", "items": { "type": "string" }, "type": "array" } } }, "PhishingSpike": { "type": "object", "description": "Alert for a spike in user reported phishing. *Warning*: This type has been deprecated. Use [MailPhishing](/admin-sdk/alertcenter/reference/rest/v1beta1/MailPhishing) instead.", "id": "PhishingSpike", "properties": { "maliciousEntity": { "$ref": "MaliciousEntity", "description": "The entity whose actions triggered a Gmail phishing alert." }, "isInternal": { "type": "boolean", "description": "If `true`, the email originated from within the organization." }, "messages": { "description": "The list of messages contained by this alert.", "type": "array", "items": { "$ref": "GmailMessageInfo" } }, "domainId": { "$ref": "DomainId", "description": "The domain ID." } } }, "Settings": { "description": "Customer-level settings.", "type": "object", "id": "Settings", "properties": { "notifications": { "description": "The list of notifications.", "items": { "$ref": "Notification" }, "type": "array" } } }, "UndeleteAlertRequest": { "type": "object", "properties": { "customerId": { "type": "string", "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alert is associated with. Inferred from the caller identity if not provided." } }, "description": "A request to undelete a specific alert that was marked for deletion.", "id": "UndeleteAlertRequest" }, "BatchUndeleteAlertsResponse": { "type": "object", "description": "Response to batch undelete operation on alerts.", "id": "BatchUndeleteAlertsResponse", "properties": { "successAlertIds": { "description": "The successful list of alert IDs.", "items": { "type": "string" }, "type": "array" }, "failedAlertStatus": { "additionalProperties": { "$ref": "Status" }, "type": "object", "description": "The status details for each failed alert_id." } } }, "MandatoryServiceAnnouncement": { "properties": { "description": { "description": "Detailed, freeform text describing the announcement", "type": "string" }, "title": { "description": "One line summary of the announcement", "type": "string" } }, "type": "object", "id": "MandatoryServiceAnnouncement", "description": "Alert Created by the MSA team for communications necessary for continued use of Google Workspace Products." }, "DlpRuleViolation": { "id": "DlpRuleViolation", "description": "Alerts that get triggered on violations of Data Loss Prevention (DLP) rules.", "type": "object", "properties": { "ruleViolationInfo": { "$ref": "RuleViolationInfo", "description": "Details about the violated DLP rule. Admins can use the predefined detectors provided by Google Cloud DLP https://cloud.google.com/dlp/ when setting up a DLP rule. Matched Cloud DLP detectors in this violation if any will be captured in the MatchInfo.predefined_detector." } } }, "ActivityRule": { "properties": { "name": { "type": "string", "description": "Rule name." }, "description": { "type": "string", "description": "Description of the rule." }, "query": { "description": "Query that is used to get the data from the associated source.", "type": "string" }, "threshold": { "description": "Alert threshold is for example “COUNT \u003e 5”.", "type": "string" }, "supersededAlerts": { "type": "array", "items": { "type": "string" }, "description": "List of alert IDs superseded by this alert. It is used to indicate that this alert is essentially extension of superseded alerts and we found the relationship after creating these alerts." }, "triggerSource": { "type": "string", "description": "The trigger sources for this rule. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh GMAIL_EVENTS LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DEVICE_EVENTS LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh USER_EVENTS" }, "actionNames": { "description": "List of action names associated with the rule threshold.", "items": { "type": "string" }, "type": "array" }, "createTime": { "description": "Rule create timestamp.", "type": "string", "format": "google-datetime" }, "updateTime": { "description": "The timestamp of the last update to the rule.", "format": "google-datetime", "type": "string" }, "displayName": { "type": "string", "description": "Alert display name." }, "windowSize": { "description": "Rule window size. Possible values are 1 hour or 24 hours.", "format": "google-duration", "type": "string" }, "supersedingAlert": { "description": "Alert ID superseding this alert. It is used to indicate that superseding alert is essentially extension of this alert and we found the relationship after creating both alerts.", "type": "string" } }, "description": "Alerts from Google Workspace Security Center rules service configured by an admin.", "id": "ActivityRule", "type": "object" }, "Status": { "id": "Status", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "type": "array" } } }, "AppSettingsChanged": { "description": "Alerts from AppSettingsChanged bucket Rules configured by Admin which contain the below rules. Calendar settings changed Drive settings changed Email settings changed Mobile settings changed", "properties": { "name": { "type": "string", "description": "Rule name" }, "alertDetails": { "type": "string", "format": "byte", "description": "Any other associated alert details, for example, AlertConfiguration." } }, "type": "object", "id": "AppSettingsChanged" }, "User": { "properties": { "displayName": { "description": "Display name of the user.", "type": "string" }, "emailAddress": { "type": "string", "description": "Email address of the user." } }, "type": "object", "description": "A user.", "id": "User" }, "ListAlertsResponse": { "description": "Response message for an alert listing request.", "id": "ListAlertsResponse", "type": "object", "properties": { "nextPageToken": { "description": "The token for the next page. If not empty, indicates that there may be more alerts that match the listing request; this value can be used in a subsequent ListAlertsRequest to get alerts continuing from last result of the current list call.", "type": "string" }, "alerts": { "items": { "$ref": "Alert" }, "description": "The list of alerts.", "type": "array" } } }, "SSOProfileCreatedEvent": { "id": "SSOProfileCreatedEvent", "type": "object", "description": "Event occurred when SSO Profile created in customer's account. The event are being received from insight forwarder", "properties": { "inboundSsoProfileName": { "type": "string", "description": "sso profile name which got created" } } }, "MatchInfo": { "properties": { "predefinedDetector": { "$ref": "PredefinedDetectorInfo", "description": "For matched detector predefined by Google." }, "userDefinedDetector": { "description": "For matched detector defined by administrators.", "$ref": "UserDefinedDetectorInfo" } }, "description": "Proto that contains match information from the condition part of the rule.", "type": "object", "id": "MatchInfo" }, "Attachment": { "type": "object", "properties": { "csv": { "description": "A CSV file attachment.", "$ref": "Csv" } }, "description": "Attachment with application-specific information about an alert.", "id": "Attachment" }, "ActionInfo": { "type": "object", "id": "ActionInfo", "properties": {}, "description": "Metadata related to the action." }, "AccountSuspensionWarning": { "type": "object", "description": "A warning that the customer's account is about to be suspended.", "id": "AccountSuspensionWarning", "properties": { "state": { "type": "string", "description": "Account suspension warning state.", "enumDescriptions": [ "State is unspecified.", "Customer is receiving a warning about imminent suspension.", "Customer is being notified that their account has been suspended.", "Customer is being notified that their suspension appeal was approved.", "Customer has submitted their appeal, which is pending review." ], "enum": [ "ACCOUNT_SUSPENSION_WARNING_STATE_UNSPECIFIED", "WARNING", "SUSPENDED", "APPEAL_APPROVED", "APPEAL_SUBMITTED" ] }, "appealWindow": { "description": "The amount of time remaining to appeal an imminent suspension. After this window has elapsed, the account will be suspended. Only populated if the account suspension is in WARNING state.", "type": "string", "format": "google-duration" }, "suspensionDetails": { "type": "array", "description": "Details about why an account is being suspended.", "items": { "$ref": "AccountSuspensionDetails" } } } }, "GoogleOperations": { "properties": { "description": { "description": "A detailed, freeform incident description.", "type": "string" }, "attachmentData": { "$ref": "Attachment", "description": "Optional. Application-specific data for an incident, provided when the Google Workspace application which reported the incident cannot be completely restored to a valid state." }, "title": { "description": "A one-line incident description.", "type": "string" }, "domain": { "type": "string", "description": "Customer domain for email template personalization." }, "affectedUserEmails": { "items": { "type": "string" }, "type": "array", "description": "The list of emails which correspond to the users directly affected by the incident." }, "header": { "type": "string", "description": "A header to display above the incident message. Typically used to attach a localized notice on the timeline for followup comms translations." } }, "type": "object", "id": "GoogleOperations", "description": "An incident reported by Google Operations for a Google Workspace application." }, "LoginDetails": { "description": "The details of the login action.", "properties": { "loginTime": { "type": "string", "format": "google-datetime", "description": "Optional. The successful login time that is associated with the warning event. This isn't present for blocked login attempts." }, "ipAddress": { "type": "string", "description": "Optional. The human-readable IP address (for example, `11.22.33.44`) that is associated with the warning event." } }, "type": "object", "id": "LoginDetails" }, "SSOProfileDeletedEvent": { "properties": { "inboundSsoProfileName": { "description": "sso profile name which got deleted", "type": "string" } }, "description": "Event occurred when SSO Profile deleted in customer's account. The event are being received from insight forwarder", "type": "object", "id": "SSOProfileDeletedEvent" }, "ListAlertFeedbackResponse": { "id": "ListAlertFeedbackResponse", "properties": { "feedback": { "type": "array", "items": { "$ref": "AlertFeedback" }, "description": "The list of alert feedback. Feedback entries for each alert are ordered by creation time descending." } }, "type": "object", "description": "Response message for an alert feedback listing request." }, "SuperAdminPasswordResetEvent": { "id": "SuperAdminPasswordResetEvent", "type": "object", "properties": { "userEmail": { "description": "email of person whose password was reset", "type": "string" } }, "description": "Event occurred when password was reset for super admin in customer's account. The event are being received from insight forwarder" }, "MailPhishing": { "description": "Proto for all phishing alerts with common payload. Supported types are any of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh User reported phishing LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh User reported spam spike LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Suspicious message reported LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Phishing reclassification LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Malware reclassification LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Gmail potential employee spoofing", "id": "MailPhishing", "properties": { "systemActionType": { "description": "System actions on the messages.", "type": "string", "enumDescriptions": [ "System action is unspecified.", "No operation.", "Messages were removed from the inbox." ], "enum": [ "SYSTEM_ACTION_TYPE_UNSPECIFIED", "NO_OPERATION", "REMOVED_FROM_INBOX" ] }, "domainId": { "$ref": "DomainId", "description": "The domain ID." }, "messages": { "items": { "$ref": "GmailMessageInfo" }, "description": "The list of messages contained by this alert.", "type": "array" }, "maliciousEntity": { "$ref": "MaliciousEntity", "description": "The entity whose actions triggered a Gmail phishing alert." }, "isInternal": { "type": "boolean", "description": "If `true`, the email originated from within the organization." } }, "type": "object" }, "DomainId": { "description": "Domain ID of Gmail phishing alerts.", "type": "object", "properties": { "customerPrimaryDomain": { "description": "The primary domain for the customer.", "type": "string" } }, "id": "DomainId" }, "MaliciousEntity": { "type": "object", "id": "MaliciousEntity", "properties": { "entity": { "description": "The actor who triggered a gmail phishing alert.", "$ref": "User" }, "displayName": { "description": "The header from display name.", "type": "string" }, "fromHeader": { "type": "string", "description": "The sender email address." } }, "description": "Entity whose actions triggered a Gmail phishing alert." }, "Notification": { "description": "Settings for callback notifications. For more details see [Google Workspace Alert Notification](https://developers.google.com/admin-sdk/alertcenter/guides/notifications).", "type": "object", "id": "Notification", "properties": { "cloudPubsubTopic": { "description": "A Google Cloud Pub/sub topic destination.", "$ref": "CloudPubsubTopic" } } }, "PredefinedDetectorInfo": { "description": "Detector provided by Google.", "type": "object", "properties": { "detectorName": { "type": "string", "description": "Name that uniquely identifies the detector." } }, "id": "PredefinedDetectorInfo" }, "AccountSuspensionDetails": { "type": "object", "id": "AccountSuspensionDetails", "properties": { "productName": { "type": "string", "description": "The name of the product being abused. This is restricted to only the following values: \"Gmail\" \"Google Workspace\" \"Payments\" \"Voice\" \"YouTube\" \"Other\"" }, "abuseReason": { "type": "string", "enumDescriptions": [ "Abuse reason is unspecified.", "This account is being suspended for a Terms of Service violation.", "This account is being suspended for spam.", "This account is being suspended for phishing.", "This account is being suspended for artificially boosting traffic to a website.", "This account is being suspended for fraud.", "This account is being suspended for number harvesting.", "This account is being suspended for payments fraud.", "This account is being suspended for unwanted content." ], "enum": [ "ACCOUNT_SUSPENSION_ABUSE_REASON_UNSPECIFIED", "TOS_VIOLATION", "SPAM", "PHISHING", "TRAFFIC_PUMPING", "FRAUD", "NUMBER_HARVESTING", "PAYMENTS_FRAUD", "UNWANTED_CONTENT" ], "description": "The reason why this account is receiving an account suspension warning." } }, "description": "Details about why an account is receiving an account suspension warning." }, "SuspiciousActivitySecurityDetail": { "properties": { "iosVendorId": { "description": "Required for iOS, empty for others.", "type": "string" }, "deviceModel": { "description": "The model of the device.", "type": "string" }, "deviceId": { "description": "Required. The device ID.", "type": "string" }, "deviceType": { "type": "string", "description": "The type of the device." }, "resourceId": { "description": "The device resource ID.", "type": "string" }, "deviceProperty": { "description": "The device property which was changed.", "type": "string" }, "newValue": { "description": "The new value of the device property after the change.", "type": "string" }, "oldValue": { "type": "string", "description": "The old value of the device property before the change." }, "serialNumber": { "type": "string", "description": "The serial number of the device." } }, "type": "object", "description": "Detailed information of a single MDM suspicious activity event.", "id": "SuspiciousActivitySecurityDetail" } }, "version": "v1beta1", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "resources": { "alerts": { "resources": { "feedback": { "methods": { "list": { "parameters": { "alertId": { "required": true, "type": "string", "location": "path", "description": "Required. The alert identifier. The \"-\" wildcard could be used to represent all alerts." }, "customerId": { "type": "string", "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alert feedback are associated with. Inferred from the caller identity if not provided.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "Optional. A query string for filtering alert feedback results. For more details, see [Query filters](https://developers.google.com/admin-sdk/alertcenter/guides/query-filters) and [Supported query filter fields](https://developers.google.com/admin-sdk/alertcenter/reference/filter-fields#alerts.feedback.list)." } }, "flatPath": "v1beta1/alerts/{alertId}/feedback", "description": "Lists all the feedback for an alert. Attempting to list feedbacks for a non-existent alert returns `NOT_FOUND` error.", "parameterOrder": [ "alertId" ], "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "httpMethod": "GET", "id": "alertcenter.alerts.feedback.list", "path": "v1beta1/alerts/{alertId}/feedback", "response": { "$ref": "ListAlertFeedbackResponse" } }, "create": { "path": "v1beta1/alerts/{alertId}/feedback", "description": "Creates new feedback for an alert. Attempting to create a feedback for a non-existent alert returns `NOT_FOUND` error. Attempting to create a feedback for an alert that is marked for deletion returns `FAILED_PRECONDITION' error.", "httpMethod": "POST", "request": { "$ref": "AlertFeedback" }, "parameters": { "customerId": { "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alert is associated with. Inferred from the caller identity if not provided.", "location": "query", "type": "string" }, "alertId": { "type": "string", "location": "path", "description": "Required. The identifier of the alert this feedback belongs to.", "required": true } }, "parameterOrder": [ "alertId" ], "flatPath": "v1beta1/alerts/{alertId}/feedback", "response": { "$ref": "AlertFeedback" }, "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "id": "alertcenter.alerts.feedback.create" } } } }, "methods": { "batchUndelete": { "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "parameterOrder": [], "flatPath": "v1beta1/alerts:batchUndelete", "path": "v1beta1/alerts:batchUndelete", "parameters": {}, "description": "Performs batch undelete operation on alerts.", "id": "alertcenter.alerts.batchUndelete", "request": { "$ref": "BatchUndeleteAlertsRequest" }, "response": { "$ref": "BatchUndeleteAlertsResponse" }, "httpMethod": "POST" }, "undelete": { "parameters": { "alertId": { "description": "Required. The identifier of the alert to undelete.", "location": "path", "required": true, "type": "string" } }, "description": "Restores, or \"undeletes\", an alert that was marked for deletion within the past 30 days. Attempting to undelete an alert which was marked for deletion over 30 days ago (which has been removed from the Alert Center database) or a nonexistent alert returns a `NOT_FOUND` error. Attempting to undelete an alert which has not been marked for deletion has no effect.", "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "path": "v1beta1/alerts/{alertId}:undelete", "parameterOrder": [ "alertId" ], "id": "alertcenter.alerts.undelete", "httpMethod": "POST", "flatPath": "v1beta1/alerts/{alertId}:undelete", "response": { "$ref": "Alert" }, "request": { "$ref": "UndeleteAlertRequest" } }, "getMetadata": { "parameters": { "customerId": { "type": "string", "location": "query", "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alert metadata is associated with. Inferred from the caller identity if not provided." }, "alertId": { "required": true, "description": "Required. The identifier of the alert this metadata belongs to.", "location": "path", "type": "string" } }, "description": "Returns the metadata of an alert. Attempting to get metadata for a non-existent alert returns `NOT_FOUND` error.", "flatPath": "v1beta1/alerts/{alertId}/metadata", "response": { "$ref": "AlertMetadata" }, "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "id": "alertcenter.alerts.getMetadata", "httpMethod": "GET", "path": "v1beta1/alerts/{alertId}/metadata", "parameterOrder": [ "alertId" ] }, "get": { "flatPath": "v1beta1/alerts/{alertId}", "path": "v1beta1/alerts/{alertId}", "description": "Gets the specified alert. Attempting to get a nonexistent alert returns `NOT_FOUND` error.", "parameters": { "customerId": { "location": "query", "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alert is associated with. Inferred from the caller identity if not provided.", "type": "string" }, "alertId": { "description": "Required. The identifier of the alert to retrieve.", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "httpMethod": "GET", "parameterOrder": [ "alertId" ], "response": { "$ref": "Alert" }, "id": "alertcenter.alerts.get" }, "list": { "description": "Lists the alerts.", "id": "alertcenter.alerts.list", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "flatPath": "v1beta1/alerts", "path": "v1beta1/alerts", "httpMethod": "GET", "response": { "$ref": "ListAlertsResponse" }, "parameters": { "pageToken": { "description": "Optional. A token identifying a page of results the server should return. If empty, a new iteration is started. To continue an iteration, pass in the value from the previous ListAlertsResponse's next_page_token field.", "type": "string", "location": "query" }, "customerId": { "location": "query", "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alerts are associated with. Inferred from the caller identity if not provided.", "type": "string" }, "orderBy": { "location": "query", "description": "Optional. The sort order of the list results. If not specified results may be returned in arbitrary order. You can sort the results in descending order based on the creation timestamp using `order_by=\"create_time desc\"`. Currently, supported sorting are `create_time asc`, `create_time desc`, `update_time desc`", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "Optional. The requested page size. Server may return fewer items than requested. If unspecified, server picks an appropriate default.", "format": "int32" }, "filter": { "location": "query", "type": "string", "description": "Optional. A query string for filtering alert results. For more details, see [Query filters](https://developers.google.com/admin-sdk/alertcenter/guides/query-filters) and [Supported query filter fields](https://developers.google.com/admin-sdk/alertcenter/reference/filter-fields#alerts.list)." } } }, "batchDelete": { "parameterOrder": [], "response": { "$ref": "BatchDeleteAlertsResponse" }, "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "path": "v1beta1/alerts:batchDelete", "flatPath": "v1beta1/alerts:batchDelete", "id": "alertcenter.alerts.batchDelete", "httpMethod": "POST", "description": "Performs batch delete operation on alerts.", "request": { "$ref": "BatchDeleteAlertsRequest" }, "parameters": {} }, "delete": { "description": "Marks the specified alert for deletion. An alert that has been marked for deletion is removed from Alert Center after 30 days. Marking an alert for deletion has no effect on an alert which has already been marked for deletion. Attempting to mark a nonexistent alert for deletion results in a `NOT_FOUND` error.", "parameters": { "customerId": { "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alert is associated with. Inferred from the caller identity if not provided.", "location": "query", "type": "string" }, "alertId": { "required": true, "type": "string", "location": "path", "description": "Required. The identifier of the alert to delete." } }, "id": "alertcenter.alerts.delete", "parameterOrder": [ "alertId" ], "flatPath": "v1beta1/alerts/{alertId}", "path": "v1beta1/alerts/{alertId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "response": { "$ref": "Empty" } } } }, "v1beta1": { "methods": { "getSettings": { "response": { "$ref": "Settings" }, "parameters": { "customerId": { "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alert settings are associated with. Inferred from the caller identity if not provided.", "location": "query", "type": "string" } }, "httpMethod": "GET", "path": "v1beta1/settings", "flatPath": "v1beta1/settings", "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "description": "Returns customer-level settings.", "parameterOrder": [], "id": "alertcenter.getSettings" }, "updateSettings": { "request": { "$ref": "Settings" }, "parameterOrder": [], "description": "Updates the customer-level settings.", "flatPath": "v1beta1/settings", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/apps.alerts" ], "parameters": { "customerId": { "location": "query", "type": "string", "description": "Optional. The unique identifier of the Google Workspace organization account of the customer the alert settings are associated with. Inferred from the caller identity if not provided." } }, "response": { "$ref": "Settings" }, "path": "v1beta1/settings", "id": "alertcenter.updateSettings" } } } }, "name": "alertcenter", "ownerName": "Google" }
]===]))
