local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "GoogleAnalyticsAdminV1alphaListGoogleAdsLinksResponse": { "id": "GoogleAnalyticsAdminV1alphaListGoogleAdsLinksResponse", "description": "Response message for ListGoogleAdsLinks RPC.", "properties": { "googleAdsLinks": { "type": "array", "description": "List of GoogleAdsLinks.", "items": { "$ref": "GoogleAnalyticsAdminV1alphaGoogleAdsLink" } }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "type": "object" }, "GoogleAnalyticsAdminV1alphaListConversionEventsResponse": { "properties": { "conversionEvents": { "type": "array", "description": "The requested conversion events", "items": { "$ref": "GoogleAnalyticsAdminV1alphaConversionEvent" } }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "description": "Response message for ListConversionEvents RPC.", "type": "object", "id": "GoogleAnalyticsAdminV1alphaListConversionEventsResponse" }, "GoogleAnalyticsAdminV1alphaGoogleSignalsSettings": { "description": "Settings values for Google Signals. This is a singleton resource.", "type": "object", "properties": { "consent": { "type": "string", "description": "Output only. Terms of Service acceptance.", "enumDescriptions": [ "Google Signals consent value defaults to GOOGLE_SIGNALS_CONSENT_UNSPECIFIED. This will be treated as GOOGLE_SIGNALS_CONSENT_NOT_CONSENTED.", "Terms of service have been accepted", "Terms of service have not been accepted" ], "enum": [ "GOOGLE_SIGNALS_CONSENT_UNSPECIFIED", "GOOGLE_SIGNALS_CONSENT_CONSENTED", "GOOGLE_SIGNALS_CONSENT_NOT_CONSENTED" ], "readOnly": true }, "name": { "description": "Output only. Resource name of this setting. Format: properties/{property_id}/googleSignalsSettings Example: \"properties/1000/googleSignalsSettings\"", "type": "string", "readOnly": true }, "state": { "description": "Status of this setting.", "enumDescriptions": [ "Google Signals status defaults to GOOGLE_SIGNALS_STATE_UNSPECIFIED to represent that the user has not made an explicit choice.", "Google Signals is enabled.", "Google Signals is disabled." ], "enum": [ "GOOGLE_SIGNALS_STATE_UNSPECIFIED", "GOOGLE_SIGNALS_ENABLED", "GOOGLE_SIGNALS_DISABLED" ], "type": "string" } }, "id": "GoogleAnalyticsAdminV1alphaGoogleSignalsSettings" }, "GoogleAnalyticsAdminV1alphaUpdateUserLinkRequest": { "id": "GoogleAnalyticsAdminV1alphaUpdateUserLinkRequest", "properties": { "userLink": { "description": "Required. The user link to update.", "$ref": "GoogleAnalyticsAdminV1alphaUserLink" } }, "description": "Request message for UpdateUserLink RPC.", "type": "object" }, "GoogleAnalyticsAdminV1alphaCustomMetric": { "type": "object", "description": "A definition for a custom metric.", "properties": { "scope": { "description": "Required. Immutable. The scope of this custom metric.", "type": "string", "enum": [ "METRIC_SCOPE_UNSPECIFIED", "EVENT" ], "enumDescriptions": [ "Scope unknown or not specified.", "Metric scoped to an event." ] }, "displayName": { "description": "Required. Display name for this custom metric as shown in the Analytics UI. Max length of 82 characters, alphanumeric plus space and underscore starting with a letter. Legacy system-generated display names may contain square brackets, but updates to this field will never permit square brackets.", "type": "string" }, "name": { "type": "string", "description": "Output only. Resource name for this CustomMetric resource. Format: properties/{property}/customMetrics/{customMetric}", "readOnly": true }, "parameterName": { "type": "string", "description": "Required. Immutable. Tagging name for this custom metric. If this is an event-scoped metric, then this is the event parameter name. May only contain alphanumeric and underscore charactes, starting with a letter. Max length of 40 characters for event-scoped metrics." }, "description": { "description": "Optional. Description for this custom dimension. Max length of 150 characters.", "type": "string" }, "measurementUnit": { "type": "string", "enumDescriptions": [ "MeasurementUnit unspecified or missing.", "This metric uses default units.", "This metric measures a currency.", "This metric measures feet.", "This metric measures meters.", "This metric measures kilometers.", "This metric measures miles.", "This metric measures milliseconds.", "This metric measures seconds.", "This metric measures minutes.", "This metric measures hours." ], "enum": [ "MEASUREMENT_UNIT_UNSPECIFIED", "STANDARD", "CURRENCY", "FEET", "METERS", "KILOMETERS", "MILES", "MILLISECONDS", "SECONDS", "MINUTES", "HOURS" ], "description": "Required. The type for the custom metric's value." }, "restrictedMetricType": { "items": { "enumDescriptions": [ "Type unknown or unspecified.", "Metric reports cost data.", "Metric reports revenue data." ], "enum": [ "RESTRICTED_METRIC_TYPE_UNSPECIFIED", "COST_DATA", "REVENUE_DATA" ], "type": "string" }, "description": "Optional. Types of restricted data that this metric may contain. Required for metrics with CURRENCY measurement unit. Must be empty for metrics with a non-CURRENCY measurement unit.", "type": "array" } }, "id": "GoogleAnalyticsAdminV1alphaCustomMetric" }, "GoogleAnalyticsAdminV1alphaApproveDisplayVideo360AdvertiserLinkProposalResponse": { "id": "GoogleAnalyticsAdminV1alphaApproveDisplayVideo360AdvertiserLinkProposalResponse", "description": "Response message for ApproveDisplayVideo360AdvertiserLinkProposal RPC.", "properties": { "displayVideo360AdvertiserLink": { "description": "The DisplayVideo360AdvertiserLink created as a result of approving the proposal.", "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLink" } }, "type": "object" }, "GoogleAnalyticsAdminV1alphaBatchCreateUserLinksResponse": { "description": "Response message for BatchCreateUserLinks RPC.", "id": "GoogleAnalyticsAdminV1alphaBatchCreateUserLinksResponse", "type": "object", "properties": { "userLinks": { "items": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "type": "array", "description": "The user links created." } } }, "GoogleAnalyticsAdminV1alphaBatchCreateUserLinksRequest": { "id": "GoogleAnalyticsAdminV1alphaBatchCreateUserLinksRequest", "type": "object", "description": "Request message for BatchCreateUserLinks RPC.", "properties": { "requests": { "items": { "$ref": "GoogleAnalyticsAdminV1alphaCreateUserLinkRequest" }, "description": "Required. The requests specifying the user links to create. A maximum of 1000 user links can be created in a batch.", "type": "array" }, "notifyNewUsers": { "description": "Optional. If set, then email the new users notifying them that they've been granted permissions to the resource. Regardless of whether this is set or not, notify_new_user field inside each individual request is ignored.", "type": "boolean" } } }, "GoogleAnalyticsAdminV1alphaLinkProposalStatusDetails": { "type": "object", "description": "Status information for a link proposal.", "id": "GoogleAnalyticsAdminV1alphaLinkProposalStatusDetails", "properties": { "linkProposalState": { "readOnly": true, "enumDescriptions": [ "Unspecified state", "This proposal is awaiting review from a Google Analytics user. This proposal will automatically expire after some time.", "This proposal is awaiting review from a user of a linked product. This proposal will automatically expire after some time.", "This proposal has been withdrawn by an admin on the initiating product. This proposal will be automatically deleted after some time.", "This proposal has been declined by an admin on the receiving product. This proposal will be automatically deleted after some time.", "This proposal expired due to lack of response from an admin on the receiving product. This proposal will be automatically deleted after some time.", "This proposal has become obsolete because a link was directly created to the same external product resource that this proposal specifies. This proposal will be automatically deleted after some time." ], "description": "Output only. The state of this proposal.", "type": "string", "enum": [ "LINK_PROPOSAL_STATE_UNSPECIFIED", "AWAITING_REVIEW_FROM_GOOGLE_ANALYTICS", "AWAITING_REVIEW_FROM_LINKED_PRODUCT", "WITHDRAWN", "DECLINED", "EXPIRED", "OBSOLETE" ] }, "requestorEmail": { "type": "string", "readOnly": true, "description": "Output only. The email address of the user that proposed this linkage." }, "linkProposalInitiatingProduct": { "enumDescriptions": [ "Unspecified product.", "This proposal was created by a user from Google Analytics.", "This proposal was created by a user from a linked product (not Google Analytics)." ], "type": "string", "enum": [ "LINK_PROPOSAL_INITIATING_PRODUCT_UNSPECIFIED", "GOOGLE_ANALYTICS", "LINKED_PRODUCT" ], "description": "Output only. The source of this proposal.", "readOnly": true } } }, "GoogleAnalyticsAdminV1alphaConversionEvent": { "type": "object", "description": "A conversion event in a Google Analytics property.", "id": "GoogleAnalyticsAdminV1alphaConversionEvent", "properties": { "eventName": { "description": "Immutable. The event name for this conversion event. Examples: 'click', 'purchase'", "type": "string" }, "custom": { "description": "Output only. If set to true, this conversion event refers to a custom event. If set to false, this conversion event refers to a default event in GA. Default events typically have special meaning in GA. Default events are usually created for you by the GA system, but in some cases can be created by property admins. Custom events count towards the maximum number of custom conversion events that may be created per property.", "readOnly": true, "type": "boolean" }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. Time when this conversion event was created in the property.", "type": "string" }, "name": { "readOnly": true, "description": "Output only. Resource name of this conversion event. Format: properties/{property}/conversionEvents/{conversion_event}", "type": "string" }, "deletable": { "description": "Output only. If set, this event can currently be deleted via DeleteConversionEvent.", "type": "boolean", "readOnly": true } } }, "GoogleAnalyticsAdminV1alphaBatchGetUserLinksResponse": { "id": "GoogleAnalyticsAdminV1alphaBatchGetUserLinksResponse", "type": "object", "description": "Response message for BatchGetUserLinks RPC.", "properties": { "userLinks": { "type": "array", "items": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "description": "The requested user links." } } }, "GoogleAnalyticsAdminV1alphaChangeHistoryChangeChangeHistoryResource": { "description": "A snapshot of a resource as before or after the result of a change in change history.", "type": "object", "properties": { "measurementProtocolSecret": { "$ref": "GoogleAnalyticsAdminV1alphaMeasurementProtocolSecret", "description": "A snapshot of a MeasurementProtocolSecret resource in change history." }, "googleAdsLink": { "description": "A snapshot of a GoogleAdsLink resource in change history.", "$ref": "GoogleAnalyticsAdminV1alphaGoogleAdsLink" }, "attributionSettings": { "$ref": "GoogleAnalyticsAdminV1alphaAttributionSettings", "description": "A snapshot of AttributionSettings resource in change history." }, "account": { "$ref": "GoogleAnalyticsAdminV1alphaAccount", "description": "A snapshot of an Account resource in change history." }, "conversionEvent": { "description": "A snapshot of a ConversionEvent resource in change history.", "$ref": "GoogleAnalyticsAdminV1alphaConversionEvent" }, "property": { "description": "A snapshot of a Property resource in change history.", "$ref": "GoogleAnalyticsAdminV1alphaProperty" }, "googleSignalsSettings": { "description": "A snapshot of a GoogleSignalsSettings resource in change history.", "$ref": "GoogleAnalyticsAdminV1alphaGoogleSignalsSettings" }, "customDimension": { "description": "A snapshot of a CustomDimension resource in change history.", "$ref": "GoogleAnalyticsAdminV1alphaCustomDimension" }, "dataRetentionSettings": { "description": "A snapshot of a data retention settings resource in change history.", "$ref": "GoogleAnalyticsAdminV1alphaDataRetentionSettings" }, "displayVideo360AdvertiserLink": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLink", "description": "A snapshot of a DisplayVideo360AdvertiserLink resource in change history." }, "customMetric": { "$ref": "GoogleAnalyticsAdminV1alphaCustomMetric", "description": "A snapshot of a CustomMetric resource in change history." }, "firebaseLink": { "description": "A snapshot of a FirebaseLink resource in change history.", "$ref": "GoogleAnalyticsAdminV1alphaFirebaseLink" }, "displayVideo360AdvertiserLinkProposal": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLinkProposal", "description": "A snapshot of a DisplayVideo360AdvertiserLinkProposal resource in change history." }, "dataStream": { "$ref": "GoogleAnalyticsAdminV1alphaDataStream", "description": "A snapshot of a DataStream resource in change history." } }, "id": "GoogleAnalyticsAdminV1alphaChangeHistoryChangeChangeHistoryResource" }, "GoogleAnalyticsAdminV1alphaArchiveCustomDimensionRequest": { "type": "object", "description": "Request message for ArchiveCustomDimension RPC.", "properties": {}, "id": "GoogleAnalyticsAdminV1alphaArchiveCustomDimensionRequest" }, "GoogleAnalyticsAdminV1alphaChangeHistoryEvent": { "type": "object", "id": "GoogleAnalyticsAdminV1alphaChangeHistoryEvent", "properties": { "userActorEmail": { "type": "string", "description": "Email address of the Google account that made the change. This will be a valid email address if the actor field is set to USER, and empty otherwise. Google accounts that have been deleted will cause an error." }, "id": { "type": "string", "description": "ID of this change history event. This ID is unique across Google Analytics." }, "changeTime": { "type": "string", "description": "Time when change was made.", "format": "google-datetime" }, "actorType": { "type": "string", "enumDescriptions": [ "Unknown or unspecified actor type.", "Changes made by the user specified in actor_email.", "Changes made by the Google Analytics system.", "Changes made by Google Analytics support team staff." ], "description": "The type of actor that made this change.", "enum": [ "ACTOR_TYPE_UNSPECIFIED", "USER", "SYSTEM", "SUPPORT" ] }, "changes": { "description": "A list of changes made in this change history event that fit the filters specified in SearchChangeHistoryEventsRequest.", "items": { "$ref": "GoogleAnalyticsAdminV1alphaChangeHistoryChange" }, "type": "array" }, "changesFiltered": { "type": "boolean", "description": "If true, then the list of changes returned was filtered, and does not represent all changes that occurred in this event." } }, "description": "A set of changes within a Google Analytics account or its child properties that resulted from the same cause. Common causes would be updates made in the Google Analytics UI, changes from customer support, or automatic Google Analytics system changes." }, "GoogleAnalyticsAdminV1alphaFirebaseLink": { "type": "object", "description": "A link between a GA4 property and a Firebase project.", "id": "GoogleAnalyticsAdminV1alphaFirebaseLink", "properties": { "project": { "type": "string", "description": "Immutable. Firebase project resource name. When creating a FirebaseLink, you may provide this resource name using either a project number or project ID. Once this resource has been created, returned FirebaseLinks will always have a project_name that contains a project number. Format: 'projects/{project number}' Example: 'projects/1234'" }, "name": { "description": "Output only. Example format: properties/1234/firebaseLinks/5678", "type": "string", "readOnly": true }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Time when this FirebaseLink was originally created." } } }, "GoogleAnalyticsAdminV1alphaAuditUserLink": { "properties": { "directRoles": { "type": "array", "items": { "type": "string" }, "description": "Roles directly assigned to this user for this entity. Format: predefinedRoles/viewer Excludes roles that are inherited from an account (if this is for a property), group, or organization admin role." }, "name": { "type": "string", "description": "Example format: properties/1234/userLinks/5678" }, "emailAddress": { "type": "string", "description": "Email address of the linked user" }, "effectiveRoles": { "type": "array", "items": { "type": "string" }, "description": "Union of all permissions a user has at this account or property (includes direct permissions, group-inherited permissions, etc.). Format: predefinedRoles/viewer" } }, "id": "GoogleAnalyticsAdminV1alphaAuditUserLink", "type": "object", "description": "Read-only resource used to summarize a principal's effective roles." }, "GoogleAnalyticsAdminV1alphaListUserLinksResponse": { "id": "GoogleAnalyticsAdminV1alphaListUserLinksResponse", "type": "object", "description": "Response message for ListUserLinks RPC.", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "userLinks": { "description": "List of UserLinks. These will be ordered stably, but in an arbitrary order.", "items": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "type": "array" } } }, "GoogleAnalyticsAdminV1alphaSearchChangeHistoryEventsResponse": { "type": "object", "id": "GoogleAnalyticsAdminV1alphaSearchChangeHistoryEventsResponse", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "changeHistoryEvents": { "description": "Results that were accessible to the caller.", "items": { "$ref": "GoogleAnalyticsAdminV1alphaChangeHistoryEvent" }, "type": "array" } }, "description": "Response message for SearchAccounts RPC." }, "GoogleAnalyticsAdminV1alphaGlobalSiteTag": { "id": "GoogleAnalyticsAdminV1alphaGlobalSiteTag", "type": "object", "description": "Read-only resource with the tag for sending data from a website to a DataStream. Only present for web DataStream resources.", "properties": { "snippet": { "type": "string", "description": "Immutable. JavaScript code snippet to be pasted as the first item into the head tag of every webpage to measure." }, "name": { "type": "string", "readOnly": true, "description": "Output only. Resource name for this GlobalSiteTag resource. Format: properties/{property_id}/dataStreams/{stream_id}/globalSiteTag Example: \"properties/123/dataStreams/456/globalSiteTag\"" } } }, "GoogleAnalyticsAdminV1alphaAttributionSettings": { "description": "The attribution settings used for a given property. This is a singleton resource.", "properties": { "name": { "readOnly": true, "description": "Output only. Resource name of this attribution settings resource. Format: properties/{property_id}/attributionSettings Example: \"properties/1000/attributionSettings\"", "type": "string" }, "reportingAttributionModel": { "type": "string", "description": "Required. The reporting attribution model used to calculate conversion credit in this property's reports. Changing the attribution model will apply to both historical and future data. These changes will be reflected in reports with conversion and revenue data. User and session data will be unaffected.", "enum": [ "REPORTING_ATTRIBUTION_MODEL_UNSPECIFIED", "CROSS_CHANNEL_DATA_DRIVEN", "CROSS_CHANNEL_LAST_CLICK", "CROSS_CHANNEL_FIRST_CLICK", "CROSS_CHANNEL_LINEAR", "CROSS_CHANNEL_POSITION_BASED", "CROSS_CHANNEL_TIME_DECAY", "ADS_PREFERRED_LAST_CLICK" ], "enumDescriptions": [ "Reporting attribution model unspecified.", "Data-driven attribution distributes credit for the conversion based on data for each conversion event. Each Data-driven model is specific to each advertiser and each conversion event.", "Ignores direct traffic and attributes 100% of the conversion value to the last channel that the customer clicked through (or engaged view through for YouTube) before converting.", "Gives all credit for the conversion to the first channel that a customer clicked (or engaged view through for YouTube) before converting.", "Distributes the credit for the conversion equally across all the channels a customer clicked (or engaged view through for YouTube) before converting.", "Attributes 40% credit to the first and last interaction, and the remaining 20% credit is distributed evenly to the middle interactions.", "Gives more credit to the touchpoints that happened closer in time to the conversion.", "Attributes 100% of the conversion value to the last Google Ads channel that the customer clicked through before converting." ] }, "otherConversionEventLookbackWindow": { "type": "string", "enumDescriptions": [ "Lookback window size unspecified.", "30-day lookback window.", "60-day lookback window.", "90-day lookback window." ], "enum": [ "OTHER_CONVERSION_EVENT_LOOKBACK_WINDOW_UNSPECIFIED", "OTHER_CONVERSION_EVENT_LOOKBACK_WINDOW_30_DAYS", "OTHER_CONVERSION_EVENT_LOOKBACK_WINDOW_60_DAYS", "OTHER_CONVERSION_EVENT_LOOKBACK_WINDOW_90_DAYS" ], "description": "Required. The lookback window for all other, non-acquisition conversion events. The default window size is 90 days." }, "acquisitionConversionEventLookbackWindow": { "description": "Required. The lookback window configuration for acquisition conversion events. The default window size is 30 days.", "enum": [ "ACQUISITION_CONVERSION_EVENT_LOOKBACK_WINDOW_UNSPECIFIED", "ACQUISITION_CONVERSION_EVENT_LOOKBACK_WINDOW_7_DAYS", "ACQUISITION_CONVERSION_EVENT_LOOKBACK_WINDOW_30_DAYS" ], "enumDescriptions": [ "Lookback window size unspecified.", "7-day lookback window.", "30-day lookback window." ], "type": "string" } }, "id": "GoogleAnalyticsAdminV1alphaAttributionSettings", "type": "object" }, "GoogleAnalyticsAdminV1alphaDataStreamAndroidAppStreamData": { "properties": { "packageName": { "description": "Immutable. The package name for the app being measured. Example: \"com.example.myandroidapp\"", "type": "string" }, "firebaseAppId": { "readOnly": true, "type": "string", "description": "Output only. ID of the corresponding Android app in Firebase, if any. This ID can change if the Android app is deleted and recreated." } }, "type": "object", "id": "GoogleAnalyticsAdminV1alphaDataStreamAndroidAppStreamData", "description": "Data specific to Android app streams." }, "GoogleAnalyticsAdminV1alphaListAccountsResponse": { "type": "object", "id": "GoogleAnalyticsAdminV1alphaListAccountsResponse", "properties": { "accounts": { "items": { "$ref": "GoogleAnalyticsAdminV1alphaAccount" }, "description": "Results that were accessible to the caller.", "type": "array" }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "description": "Request message for ListAccounts RPC." }, "GoogleAnalyticsAdminV1alphaProvisionAccountTicketRequest": { "type": "object", "description": "Request message for ProvisionAccountTicket RPC.", "id": "GoogleAnalyticsAdminV1alphaProvisionAccountTicketRequest", "properties": { "redirectUri": { "description": "Redirect URI where the user will be sent after accepting Terms of Service. Must be configured in Developers Console as a Redirect URI", "type": "string" }, "account": { "description": "The account to create.", "$ref": "GoogleAnalyticsAdminV1alphaAccount" } } }, "GoogleAnalyticsAdminV1alphaBatchUpdateUserLinksRequest": { "properties": { "requests": { "items": { "$ref": "GoogleAnalyticsAdminV1alphaUpdateUserLinkRequest" }, "description": "Required. The requests specifying the user links to update. A maximum of 1000 user links can be updated in a batch.", "type": "array" } }, "type": "object", "id": "GoogleAnalyticsAdminV1alphaBatchUpdateUserLinksRequest", "description": "Request message for BatchUpdateUserLinks RPC." }, "GoogleAnalyticsAdminV1alphaCreateUserLinkRequest": { "description": "Request message for CreateUserLink RPC. Users can have multiple email addresses associated with their Google account, and one of these email addresses is the \"primary\" email address. Any of the email addresses associated with a Google account may be used for a new UserLink, but the returned UserLink will always contain the \"primary\" email address. As a result, the input and output email address for this request may differ.", "type": "object", "id": "GoogleAnalyticsAdminV1alphaCreateUserLinkRequest", "properties": { "notifyNewUser": { "description": "Optional. If set, then email the new user notifying them that they've been granted permissions to the resource.", "type": "boolean" }, "userLink": { "description": "Required. The user link to create.", "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "parent": { "description": "Required. Example format: accounts/1234", "type": "string" } } }, "GoogleAnalyticsAdminV1alphaListDisplayVideo360AdvertiserLinkProposalsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "displayVideo360AdvertiserLinkProposals": { "type": "array", "description": "List of DisplayVideo360AdvertiserLinkProposals.", "items": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLinkProposal" } } }, "id": "GoogleAnalyticsAdminV1alphaListDisplayVideo360AdvertiserLinkProposalsResponse", "type": "object", "description": "Response message for ListDisplayVideo360AdvertiserLinkProposals RPC." }, "GoogleAnalyticsAdminV1alphaBatchUpdateUserLinksResponse": { "description": "Response message for BatchUpdateUserLinks RPC.", "type": "object", "id": "GoogleAnalyticsAdminV1alphaBatchUpdateUserLinksResponse", "properties": { "userLinks": { "items": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "type": "array", "description": "The user links updated." } } }, "GoogleProtobufEmpty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "id": "GoogleProtobufEmpty", "properties": {} }, "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLink": { "id": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLink", "description": "A link between a GA4 property and a Display & Video 360 advertiser.", "type": "object", "properties": { "advertiserId": { "type": "string", "description": "Immutable. The Display & Video 360 Advertiser's advertiser ID." }, "advertiserDisplayName": { "description": "Output only. The display name of the Display & Video 360 Advertiser.", "readOnly": true, "type": "string" }, "campaignDataSharingEnabled": { "description": "Immutable. Enables the import of campaign data from Display & Video 360 into the GA4 property. After link creation, this can only be updated from the Display & Video 360 product. If this field is not set on create, it will be defaulted to true.", "type": "boolean" }, "adsPersonalizationEnabled": { "type": "boolean", "description": "Enables personalized advertising features with this integration. If this field is not set on create/update, it will be defaulted to true." }, "name": { "description": "Output only. The resource name for this DisplayVideo360AdvertiserLink resource. Format: properties/{propertyId}/displayVideo360AdvertiserLinks/{linkId} Note: linkId is not the Display & Video 360 Advertiser ID", "type": "string", "readOnly": true }, "costDataSharingEnabled": { "description": "Immutable. Enables the import of cost data from Display & Video 360 into the GA4 property. This can only be enabled if campaign_data_sharing_enabled is enabled. After link creation, this can only be updated from the Display & Video 360 product. If this field is not set on create, it will be defaulted to true.", "type": "boolean" } } }, "GoogleAnalyticsAdminV1alphaListMeasurementProtocolSecretsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "measurementProtocolSecrets": { "items": { "$ref": "GoogleAnalyticsAdminV1alphaMeasurementProtocolSecret" }, "type": "array", "description": "A list of secrets for the parent stream specified in the request." } }, "type": "object", "description": "Response message for ListMeasurementProtocolSecret RPC", "id": "GoogleAnalyticsAdminV1alphaListMeasurementProtocolSecretsResponse" }, "GoogleAnalyticsAdminV1alphaListPropertiesResponse": { "description": "Response message for ListProperties RPC.", "properties": { "properties": { "items": { "$ref": "GoogleAnalyticsAdminV1alphaProperty" }, "description": "Results that matched the filter criteria and were accessible to the caller.", "type": "array" }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "id": "GoogleAnalyticsAdminV1alphaListPropertiesResponse", "type": "object" }, "GoogleAnalyticsAdminV1alphaProperty": { "id": "GoogleAnalyticsAdminV1alphaProperty", "type": "object", "properties": { "expireTime": { "format": "google-datetime", "description": "Output only. If set, the time at which this trashed property will be permanently deleted. If not set, then this property is not currently in the trash can and is not slated to be deleted.", "readOnly": true, "type": "string" }, "updateTime": { "type": "string", "readOnly": true, "description": "Output only. Time when entity payload fields were last updated.", "format": "google-datetime" }, "parent": { "description": "Immutable. Resource name of this property's logical parent. Note: The Property-Moving UI can be used to change the parent. Format: accounts/{account}, properties/{property} Example: \"accounts/100\", \"properties/101\"", "type": "string" }, "industryCategory": { "description": "Industry associated with this property Example: AUTOMOTIVE, FOOD_AND_DRINK", "enumDescriptions": [ "Industry category unspecified", "Automotive", "Business and industrial markets", "Finance", "Healthcare", "Technology", "Travel", "Other", "Arts and entertainment", "Beauty and fitness", "Books and literature", "Food and drink", "Games", "Hobbies and leisure", "Home and garden", "Internet and telecom", "Law and government", "News", "Online communities", "People and society", "Pets and animals", "Real estate", "Reference", "Science", "Sports", "Jobs and education", "Shopping" ], "enum": [ "INDUSTRY_CATEGORY_UNSPECIFIED", "AUTOMOTIVE", "BUSINESS_AND_INDUSTRIAL_MARKETS", "FINANCE", "HEALTHCARE", "TECHNOLOGY", "TRAVEL", "OTHER", "ARTS_AND_ENTERTAINMENT", "BEAUTY_AND_FITNESS", "BOOKS_AND_LITERATURE", "FOOD_AND_DRINK", "GAMES", "HOBBIES_AND_LEISURE", "HOME_AND_GARDEN", "INTERNET_AND_TELECOM", "LAW_AND_GOVERNMENT", "NEWS", "ONLINE_COMMUNITIES", "PEOPLE_AND_SOCIETY", "PETS_AND_ANIMALS", "REAL_ESTATE", "REFERENCE", "SCIENCE", "SPORTS", "JOBS_AND_EDUCATION", "SHOPPING" ], "type": "string" }, "serviceLevel": { "type": "string", "description": "Output only. The Google Analytics service level that applies to this property.", "enum": [ "SERVICE_LEVEL_UNSPECIFIED", "GOOGLE_ANALYTICS_STANDARD", "GOOGLE_ANALYTICS_360" ], "enumDescriptions": [ "Service level not specified or invalid.", "The standard version of Google Analytics.", "The paid, premium version of Google Analytics." ], "readOnly": true }, "currencyCode": { "type": "string", "description": "The currency type used in reports involving monetary values. Format: https://en.wikipedia.org/wiki/ISO_4217 Examples: \"USD\", \"EUR\", \"JPY\"" }, "displayName": { "description": "Required. Human-readable display name for this property. The max allowed display name length is 100 UTF-16 code units.", "type": "string" }, "name": { "type": "string", "readOnly": true, "description": "Output only. Resource name of this property. Format: properties/{property_id} Example: \"properties/1000\"" }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. Time when the entity was originally created.", "format": "google-datetime" }, "account": { "type": "string", "description": "Immutable. The resource name of the parent account Format: accounts/{account_id} Example: \"accounts/123\"" }, "propertyType": { "enumDescriptions": [ "Unknown or unspecified property type", "Ordinary GA4 property", "GA4 subproperty", "GA4 rollup property" ], "type": "string", "enum": [ "PROPERTY_TYPE_UNSPECIFIED", "PROPERTY_TYPE_ORDINARY", "PROPERTY_TYPE_SUBPROPERTY", "PROPERTY_TYPE_ROLLUP" ], "description": "Immutable. The property type for this Property resource. When creating a property, if the type is \"PROPERTY_TYPE_UNSPECIFIED\", then \"ORDINARY_PROPERTY\" will be implied. \"SUBPROPERTY\" and \"ROLLUP_PROPERTY\" types cannot yet be created via Google Analytics Admin API." }, "timeZone": { "description": "Required. Reporting Time Zone, used as the day boundary for reports, regardless of where the data originates. If the time zone honors DST, Analytics will automatically adjust for the changes. NOTE: Changing the time zone only affects data going forward, and is not applied retroactively. Format: https://www.iana.org/time-zones Example: \"America/Los_Angeles\"", "type": "string" }, "deleteTime": { "format": "google-datetime", "description": "Output only. If set, the time at which this property was trashed. If not set, then this property is not currently in the trash can.", "readOnly": true, "type": "string" } }, "description": "A resource message representing a Google Analytics GA4 property." }, "GoogleAnalyticsAdminV1alphaListDisplayVideo360AdvertiserLinksResponse": { "description": "Response message for ListDisplayVideo360AdvertiserLinks RPC.", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "displayVideo360AdvertiserLinks": { "type": "array", "description": "List of DisplayVideo360AdvertiserLinks.", "items": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLink" } } }, "id": "GoogleAnalyticsAdminV1alphaListDisplayVideo360AdvertiserLinksResponse", "type": "object" }, "GoogleAnalyticsAdminV1alphaAcknowledgeUserDataCollectionResponse": { "description": "Response message for AcknowledgeUserDataCollection RPC.", "properties": {}, "type": "object", "id": "GoogleAnalyticsAdminV1alphaAcknowledgeUserDataCollectionResponse" }, "GoogleAnalyticsAdminV1alphaDataStreamIosAppStreamData": { "properties": { "firebaseAppId": { "type": "string", "readOnly": true, "description": "Output only. ID of the corresponding iOS app in Firebase, if any. This ID can change if the iOS app is deleted and recreated." }, "bundleId": { "type": "string", "description": "Required. Immutable. The Apple App Store Bundle ID for the app Example: \"com.example.myiosapp\"" } }, "description": "Data specific to iOS app streams.", "type": "object", "id": "GoogleAnalyticsAdminV1alphaDataStreamIosAppStreamData" }, "GoogleAnalyticsAdminV1alphaApproveDisplayVideo360AdvertiserLinkProposalRequest": { "properties": {}, "type": "object", "description": "Request message for ApproveDisplayVideo360AdvertiserLinkProposal RPC.", "id": "GoogleAnalyticsAdminV1alphaApproveDisplayVideo360AdvertiserLinkProposalRequest" }, "GoogleAnalyticsAdminV1alphaCancelDisplayVideo360AdvertiserLinkProposalRequest": { "id": "GoogleAnalyticsAdminV1alphaCancelDisplayVideo360AdvertiserLinkProposalRequest", "properties": {}, "type": "object", "description": "Request message for CancelDisplayVideo360AdvertiserLinkProposal RPC." }, "GoogleAnalyticsAdminV1alphaListAccountSummariesResponse": { "id": "GoogleAnalyticsAdminV1alphaListAccountSummariesResponse", "description": "Response message for ListAccountSummaries RPC.", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "accountSummaries": { "type": "array", "items": { "$ref": "GoogleAnalyticsAdminV1alphaAccountSummary" }, "description": "Account summaries of all accounts the caller has access to." } }, "type": "object" }, "GoogleAnalyticsAdminV1alphaGoogleAdsLink": { "properties": { "canManageClients": { "type": "boolean", "readOnly": true, "description": "Output only. If true, this link is for a Google Ads manager account." }, "creatorEmailAddress": { "description": "Output only. Email address of the user that created the link. An empty string will be returned if the email address can't be retrieved.", "readOnly": true, "type": "string" }, "customerId": { "type": "string", "description": "Immutable. Google Ads customer ID." }, "adsPersonalizationEnabled": { "type": "boolean", "description": "Enable personalized advertising features with this integration. Automatically publish my Google Analytics audience lists and Google Analytics remarketing events/parameters to the linked Google Ads account. If this field is not set on create/update, it will be defaulted to true." }, "name": { "description": "Output only. Format: properties/{propertyId}/googleAdsLinks/{googleAdsLinkId} Note: googleAdsLinkId is not the Google Ads customer ID.", "type": "string", "readOnly": true }, "createTime": { "description": "Output only. Time when this link was originally created.", "format": "google-datetime", "type": "string", "readOnly": true }, "updateTime": { "description": "Output only. Time when this link was last updated.", "format": "google-datetime", "type": "string", "readOnly": true } }, "id": "GoogleAnalyticsAdminV1alphaGoogleAdsLink", "type": "object", "description": "A link between a GA4 property and a Google Ads account." }, "GoogleAnalyticsAdminV1alphaProvisionAccountTicketResponse": { "properties": { "accountTicketId": { "type": "string", "description": "The param to be passed in the ToS link." } }, "type": "object", "id": "GoogleAnalyticsAdminV1alphaProvisionAccountTicketResponse", "description": "Response message for ProvisionAccountTicket RPC." }, "GoogleAnalyticsAdminV1alphaAuditUserLinksResponse": { "description": "Response message for AuditUserLinks RPC.", "type": "object", "id": "GoogleAnalyticsAdminV1alphaAuditUserLinksResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "userLinks": { "type": "array", "items": { "$ref": "GoogleAnalyticsAdminV1alphaAuditUserLink" }, "description": "List of AuditUserLinks. These will be ordered stably, but in an arbitrary order." } } }, "GoogleAnalyticsAdminV1alphaChangeHistoryChange": { "type": "object", "properties": { "resource": { "type": "string", "description": "Resource name of the resource whose changes are described by this entry." }, "action": { "description": "The type of action that changed this resource.", "enum": [ "ACTION_TYPE_UNSPECIFIED", "CREATED", "UPDATED", "DELETED" ], "type": "string", "enumDescriptions": [ "Action type unknown or not specified.", "Resource was created in this change.", "Resource was updated in this change.", "Resource was deleted in this change." ] }, "resourceAfterChange": { "description": "Resource contents from after the change was made. If this resource was deleted in this change, this field will be missing.", "$ref": "GoogleAnalyticsAdminV1alphaChangeHistoryChangeChangeHistoryResource" }, "resourceBeforeChange": { "description": "Resource contents from before the change was made. If this resource was created in this change, this field will be missing.", "$ref": "GoogleAnalyticsAdminV1alphaChangeHistoryChangeChangeHistoryResource" } }, "id": "GoogleAnalyticsAdminV1alphaChangeHistoryChange", "description": "A description of a change to a single Google Analytics resource." }, "GoogleAnalyticsAdminV1alphaAcknowledgeUserDataCollectionRequest": { "properties": { "acknowledgement": { "description": "Required. An acknowledgement that the caller of this method understands the terms of user data collection. This field must contain the exact value: \"I acknowledge that I have the necessary privacy disclosures and rights from my end users for the collection and processing of their data, including the association of such data with the visitation information Google Analytics collects from my site and/or app property.\"", "type": "string" } }, "description": "Request message for AcknowledgeUserDataCollection RPC.", "type": "object", "id": "GoogleAnalyticsAdminV1alphaAcknowledgeUserDataCollectionRequest" }, "GoogleAnalyticsAdminV1alphaDataRetentionSettings": { "type": "object", "id": "GoogleAnalyticsAdminV1alphaDataRetentionSettings", "description": "Settings values for data retention. This is a singleton resource.", "properties": { "resetUserDataOnNewActivity": { "description": "If true, reset the retention period for the user identifier with every event from that user.", "type": "boolean" }, "name": { "readOnly": true, "description": "Output only. Resource name for this DataRetentionSetting resource. Format: properties/{property}/dataRetentionSettings", "type": "string" }, "eventDataRetention": { "description": "The length of time that event-level data is retained.", "enumDescriptions": [ "Data retention time duration is not specified.", "The data retention time duration is 2 months.", "The data retention time duration is 14 months.", "The data retention time duration is 26 months. Available to 360 properties only.", "The data retention time duration is 38 months. Available to 360 properties only.", "The data retention time duration is 50 months. Available to 360 properties only." ], "enum": [ "RETENTION_DURATION_UNSPECIFIED", "TWO_MONTHS", "FOURTEEN_MONTHS", "TWENTY_SIX_MONTHS", "THIRTY_EIGHT_MONTHS", "FIFTY_MONTHS" ], "type": "string" } } }, "GoogleAnalyticsAdminV1alphaMeasurementProtocolSecret": { "type": "object", "id": "GoogleAnalyticsAdminV1alphaMeasurementProtocolSecret", "properties": { "name": { "readOnly": true, "description": "Output only. Resource name of this secret. This secret may be a child of any type of stream. Format: properties/{property}/dataStreams/{dataStream}/measurementProtocolSecrets/{measurementProtocolSecret}", "type": "string" }, "secretValue": { "type": "string", "description": "Output only. The measurement protocol secret value. Pass this value to the api_secret field of the Measurement Protocol API when sending hits to this secret's parent property.", "readOnly": true }, "displayName": { "type": "string", "description": "Required. Human-readable display name for this secret." } }, "description": "A secret value used for sending hits to Measurement Protocol." }, "GoogleAnalyticsAdminV1alphaDataSharingSettings": { "id": "GoogleAnalyticsAdminV1alphaDataSharingSettings", "type": "object", "description": "A resource message representing data sharing settings of a Google Analytics account.", "properties": { "name": { "readOnly": true, "type": "string", "description": "Output only. Resource name. Format: accounts/{account}/dataSharingSettings Example: \"accounts/1000/dataSharingSettings\"" }, "sharingWithGoogleProductsEnabled": { "type": "boolean", "description": "Allows Google to use the data to improve other Google products or services." }, "sharingWithGoogleAssignedSalesEnabled": { "type": "boolean", "description": "Allows Google sales teams that are assigned to the customer to access the data in order to suggest configuration changes to improve results. Sales team restrictions still apply when enabled." }, "sharingWithOthersEnabled": { "description": "Allows Google to share the data anonymously in aggregate form with others.", "type": "boolean" }, "sharingWithGoogleAnySalesEnabled": { "type": "boolean", "description": "Allows any of Google sales to access the data in order to suggest configuration changes to improve results." }, "sharingWithGoogleSupportEnabled": { "type": "boolean", "description": "Allows Google support to access the data in order to help troubleshoot issues." } } }, "GoogleAnalyticsAdminV1alphaListCustomMetricsResponse": { "id": "GoogleAnalyticsAdminV1alphaListCustomMetricsResponse", "type": "object", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "customMetrics": { "items": { "$ref": "GoogleAnalyticsAdminV1alphaCustomMetric" }, "description": "List of CustomMetrics.", "type": "array" } }, "description": "Response message for ListCustomMetrics RPC." }, "GoogleAnalyticsAdminV1alphaListFirebaseLinksResponse": { "description": "Response message for ListFirebaseLinks RPC", "properties": { "firebaseLinks": { "type": "array", "items": { "$ref": "GoogleAnalyticsAdminV1alphaFirebaseLink" }, "description": "List of FirebaseLinks. This will have at most one value." }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages. Currently, Google Analytics supports only one FirebaseLink per property, so this will never be populated." } }, "id": "GoogleAnalyticsAdminV1alphaListFirebaseLinksResponse", "type": "object" }, "GoogleAnalyticsAdminV1alphaPropertySummary": { "properties": { "displayName": { "description": "Display name for the property referred to in this property summary.", "type": "string" }, "propertyType": { "enum": [ "PROPERTY_TYPE_UNSPECIFIED", "PROPERTY_TYPE_ORDINARY", "PROPERTY_TYPE_SUBPROPERTY", "PROPERTY_TYPE_ROLLUP" ], "description": "The property's property type.", "type": "string", "enumDescriptions": [ "Unknown or unspecified property type", "Ordinary GA4 property", "GA4 subproperty", "GA4 rollup property" ] }, "parent": { "type": "string", "description": "Resource name of this property's logical parent. Note: The Property-Moving UI can be used to change the parent. Format: accounts/{account}, properties/{property} Example: \"accounts/100\", \"properties/200\"" }, "property": { "type": "string", "description": "Resource name of property referred to by this property summary Format: properties/{property_id} Example: \"properties/1000\"" } }, "id": "GoogleAnalyticsAdminV1alphaPropertySummary", "type": "object", "description": "A virtual resource representing metadata for a GA4 property." }, "GoogleAnalyticsAdminV1alphaUserLink": { "description": "A resource message representing a user's permissions on an Account or Property resource.", "id": "GoogleAnalyticsAdminV1alphaUserLink", "type": "object", "properties": { "name": { "readOnly": true, "type": "string", "description": "Output only. Example format: properties/1234/userLinks/5678" }, "directRoles": { "description": "Roles directly assigned to this user for this account or property. Valid values: predefinedRoles/viewer predefinedRoles/analyst predefinedRoles/editor predefinedRoles/admin predefinedRoles/no-cost-data predefinedRoles/no-revenue-data Excludes roles that are inherited from a higher-level entity, group, or organization admin role. A UserLink that is updated to have an empty list of direct_roles will be deleted.", "items": { "type": "string" }, "type": "array" }, "emailAddress": { "description": "Immutable. Email address of the user to link", "type": "string" } } }, "GoogleAnalyticsAdminV1alphaCustomDimension": { "properties": { "description": { "type": "string", "description": "Optional. Description for this custom dimension. Max length of 150 characters." }, "displayName": { "description": "Required. Display name for this custom dimension as shown in the Analytics UI. Max length of 82 characters, alphanumeric plus space and underscore starting with a letter. Legacy system-generated display names may contain square brackets, but updates to this field will never permit square brackets.", "type": "string" }, "name": { "description": "Output only. Resource name for this CustomDimension resource. Format: properties/{property}/customDimensions/{customDimension}", "type": "string", "readOnly": true }, "parameterName": { "type": "string", "description": "Required. Immutable. Tagging parameter name for this custom dimension. If this is a user-scoped dimension, then this is the user property name. If this is an event-scoped dimension, then this is the event parameter name. May only contain alphanumeric and underscore characters, starting with a letter. Max length of 24 characters for user-scoped dimensions, 40 characters for event-scoped dimensions." }, "disallowAdsPersonalization": { "description": "Optional. If set to true, sets this dimension as NPA and excludes it from ads personalization. This is currently only supported by user-scoped custom dimensions.", "type": "boolean" }, "scope": { "type": "string", "description": "Required. Immutable. The scope of this dimension.", "enum": [ "DIMENSION_SCOPE_UNSPECIFIED", "EVENT", "USER" ], "enumDescriptions": [ "Scope unknown or not specified.", "Dimension scoped to an event.", "Dimension scoped to a user." ] } }, "type": "object", "id": "GoogleAnalyticsAdminV1alphaCustomDimension", "description": "A definition for a CustomDimension." }, "GoogleAnalyticsAdminV1alphaSearchChangeHistoryEventsRequest": { "properties": { "earliestChangeTime": { "format": "google-datetime", "type": "string", "description": "Optional. If set, only return changes made after this time (inclusive)." }, "actorEmail": { "type": "array", "description": "Optional. If set, only return changes if they are made by a user in this list.", "items": { "type": "string" } }, "latestChangeTime": { "format": "google-datetime", "description": "Optional. If set, only return changes made before this time (inclusive).", "type": "string" }, "pageToken": { "type": "string", "description": "Optional. A page token, received from a previous `SearchChangeHistoryEvents` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `SearchChangeHistoryEvents` must match the call that provided the page token." }, "action": { "items": { "enum": [ "ACTION_TYPE_UNSPECIFIED", "CREATED", "UPDATED", "DELETED" ], "type": "string", "enumDescriptions": [ "Action type unknown or not specified.", "Resource was created in this change.", "Resource was updated in this change.", "Resource was deleted in this change." ] }, "type": "array", "description": "Optional. If set, only return changes that match one or more of these types of actions." }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. The maximum number of ChangeHistoryEvent items to return. The service may return fewer than this value, even if there are additional pages. If unspecified, at most 50 items will be returned. The maximum value is 200 (higher values will be coerced to the maximum)." }, "property": { "type": "string", "description": "Optional. Resource name for a child property. If set, only return changes made to this property or its child resources." }, "resourceType": { "description": "Optional. If set, only return changes if they are for a resource that matches at least one of these types.", "type": "array", "items": { "enum": [ "CHANGE_HISTORY_RESOURCE_TYPE_UNSPECIFIED", "ACCOUNT", "PROPERTY", "FIREBASE_LINK", "GOOGLE_ADS_LINK", "GOOGLE_SIGNALS_SETTINGS", "CONVERSION_EVENT", "MEASUREMENT_PROTOCOL_SECRET", "CUSTOM_DIMENSION", "CUSTOM_METRIC", "DATA_RETENTION_SETTINGS", "DISPLAY_VIDEO_360_ADVERTISER_LINK", "DISPLAY_VIDEO_360_ADVERTISER_LINK_PROPOSAL", "DATA_STREAM", "ATTRIBUTION_SETTINGS" ], "enumDescriptions": [ "Resource type unknown or not specified.", "Account resource", "Property resource", "FirebaseLink resource", "GoogleAdsLink resource", "GoogleSignalsSettings resource", "ConversionEvent resource", "MeasurementProtocolSecret resource", "CustomDimension resource", "CustomMetric resource", "DataRetentionSettings resource", "DisplayVideo360AdvertiserLink resource", "DisplayVideo360AdvertiserLinkProposal resource", "DataStream resource", "AttributionSettings resource" ], "type": "string" } } }, "type": "object", "description": "Request message for SearchChangeHistoryEvents RPC.", "id": "GoogleAnalyticsAdminV1alphaSearchChangeHistoryEventsRequest" }, "GoogleAnalyticsAdminV1alphaBatchDeleteUserLinksRequest": { "id": "GoogleAnalyticsAdminV1alphaBatchDeleteUserLinksRequest", "properties": { "requests": { "type": "array", "description": "Required. The requests specifying the user links to update. A maximum of 1000 user links can be updated in a batch.", "items": { "$ref": "GoogleAnalyticsAdminV1alphaDeleteUserLinkRequest" } } }, "description": "Request message for BatchDeleteUserLinks RPC.", "type": "object" }, "GoogleAnalyticsAdminV1alphaDataStream": { "type": "object", "id": "GoogleAnalyticsAdminV1alphaDataStream", "properties": { "name": { "description": "Output only. Resource name of this Data Stream. Format: properties/{property_id}/dataStreams/{stream_id} Example: \"properties/1000/dataStreams/2000\"", "readOnly": true, "type": "string" }, "iosAppStreamData": { "$ref": "GoogleAnalyticsAdminV1alphaDataStreamIosAppStreamData", "description": "Data specific to iOS app streams. Must be populated if type is IOS_APP_DATA_STREAM." }, "createTime": { "readOnly": true, "description": "Output only. Time when this stream was originally created.", "type": "string", "format": "google-datetime" }, "updateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Time when stream payload fields were last updated." }, "displayName": { "type": "string", "description": "Human-readable display name for the Data Stream. Required for web data streams. The max allowed display name length is 255 UTF-16 code units." }, "type": { "description": "Required. Immutable. The type of this DataStream resource.", "enum": [ "DATA_STREAM_TYPE_UNSPECIFIED", "WEB_DATA_STREAM", "ANDROID_APP_DATA_STREAM", "IOS_APP_DATA_STREAM" ], "type": "string", "enumDescriptions": [ "Type unknown or not specified.", "Web data stream.", "Android app data stream.", "iOS app data stream." ] }, "androidAppStreamData": { "description": "Data specific to Android app streams. Must be populated if type is ANDROID_APP_DATA_STREAM.", "$ref": "GoogleAnalyticsAdminV1alphaDataStreamAndroidAppStreamData" }, "webStreamData": { "$ref": "GoogleAnalyticsAdminV1alphaDataStreamWebStreamData", "description": "Data specific to web streams. Must be populated if type is WEB_DATA_STREAM." } }, "description": "A resource message representing a data stream." }, "GoogleAnalyticsAdminV1alphaAuditUserLinksRequest": { "id": "GoogleAnalyticsAdminV1alphaAuditUserLinksRequest", "type": "object", "properties": { "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of user links to return. The service may return fewer than this value. If unspecified, at most 1000 user links will be returned. The maximum value is 5000; values above 5000 will be coerced to 5000." }, "pageToken": { "type": "string", "description": "A page token, received from a previous `AuditUserLinks` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `AuditUserLinks` must match the call that provided the page token." } }, "description": "Request message for AuditUserLinks RPC." }, "GoogleAnalyticsAdminV1alphaListDataStreamsResponse": { "type": "object", "id": "GoogleAnalyticsAdminV1alphaListDataStreamsResponse", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "dataStreams": { "items": { "$ref": "GoogleAnalyticsAdminV1alphaDataStream" }, "type": "array", "description": "List of DataStreams." } }, "description": "Response message for ListDataStreams RPC." }, "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLinkProposal": { "type": "object", "id": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLinkProposal", "description": "A proposal for a link between a GA4 property and a Display & Video 360 advertiser. A proposal is converted to a DisplayVideo360AdvertiserLink once approved. Google Analytics admins approve inbound proposals while Display & Video 360 admins approve outbound proposals.", "properties": { "advertiserDisplayName": { "type": "string", "description": "Output only. The display name of the Display & Video Advertiser. Only populated for proposals that originated from Display & Video 360.", "readOnly": true }, "name": { "type": "string", "readOnly": true, "description": "Output only. The resource name for this DisplayVideo360AdvertiserLinkProposal resource. Format: properties/{propertyId}/displayVideo360AdvertiserLinkProposals/{proposalId} Note: proposalId is not the Display & Video 360 Advertiser ID" }, "campaignDataSharingEnabled": { "description": "Immutable. Enables the import of campaign data from Display & Video 360. If this field is not set on create, it will be defaulted to true.", "type": "boolean" }, "linkProposalStatusDetails": { "$ref": "GoogleAnalyticsAdminV1alphaLinkProposalStatusDetails", "description": "Output only. The status information for this link proposal.", "readOnly": true }, "adsPersonalizationEnabled": { "type": "boolean", "description": "Immutable. Enables personalized advertising features with this integration. If this field is not set on create, it will be defaulted to true." }, "costDataSharingEnabled": { "type": "boolean", "description": "Immutable. Enables the import of cost data from Display & Video 360. This can only be enabled if campaign_data_sharing_enabled is enabled. If this field is not set on create, it will be defaulted to true." }, "advertiserId": { "type": "string", "description": "Immutable. The Display & Video 360 Advertiser's advertiser ID." }, "validationEmail": { "description": "Input only. On a proposal being sent to Display & Video 360, this field must be set to the email address of an admin on the target advertiser. This is used to verify that the Google Analytics admin is aware of at least one admin on the Display & Video 360 Advertiser. This does not restrict approval of the proposal to a single user. Any admin on the Display & Video 360 Advertiser may approve the proposal.", "type": "string" } } }, "GoogleAnalyticsAdminV1alphaAccountSummary": { "description": "A virtual resource representing an overview of an account and all its child GA4 properties.", "type": "object", "id": "GoogleAnalyticsAdminV1alphaAccountSummary", "properties": { "account": { "description": "Resource name of account referred to by this account summary Format: accounts/{account_id} Example: \"accounts/1000\"", "type": "string" }, "displayName": { "type": "string", "description": "Display name for the account referred to in this account summary." }, "name": { "type": "string", "description": "Resource name for this account summary. Format: accountSummaries/{account_id} Example: \"accountSummaries/1000\"" }, "propertySummaries": { "items": { "$ref": "GoogleAnalyticsAdminV1alphaPropertySummary" }, "description": "List of summaries for child accounts of this account.", "type": "array" } } }, "GoogleAnalyticsAdminV1alphaAccount": { "id": "GoogleAnalyticsAdminV1alphaAccount", "type": "object", "description": "A resource message representing a Google Analytics account.", "properties": { "deleted": { "readOnly": true, "type": "boolean", "description": "Output only. Indicates whether this Account is soft-deleted or not. Deleted accounts are excluded from List results unless specifically requested." }, "displayName": { "description": "Required. Human-readable display name for this account.", "type": "string" }, "regionCode": { "description": "Country of business. Must be a Unicode CLDR region code.", "type": "string" }, "createTime": { "description": "Output only. Time when this account was originally created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "name": { "description": "Output only. Resource name of this account. Format: accounts/{account} Example: \"accounts/100\"", "type": "string", "readOnly": true }, "updateTime": { "description": "Output only. Time when account payload fields were last updated.", "readOnly": true, "format": "google-datetime", "type": "string" } } }, "GoogleAnalyticsAdminV1alphaListCustomDimensionsResponse": { "description": "Response message for ListCustomDimensions RPC.", "type": "object", "properties": { "customDimensions": { "type": "array", "items": { "$ref": "GoogleAnalyticsAdminV1alphaCustomDimension" }, "description": "List of CustomDimensions." }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "id": "GoogleAnalyticsAdminV1alphaListCustomDimensionsResponse" }, "GoogleAnalyticsAdminV1alphaDeleteUserLinkRequest": { "id": "GoogleAnalyticsAdminV1alphaDeleteUserLinkRequest", "properties": { "name": { "description": "Required. Example format: accounts/1234/userLinks/5678", "type": "string" } }, "description": "Request message for DeleteUserLink RPC.", "type": "object" }, "GoogleAnalyticsAdminV1alphaArchiveCustomMetricRequest": { "type": "object", "id": "GoogleAnalyticsAdminV1alphaArchiveCustomMetricRequest", "description": "Request message for ArchiveCustomMetric RPC.", "properties": {} }, "GoogleAnalyticsAdminV1alphaDataStreamWebStreamData": { "id": "GoogleAnalyticsAdminV1alphaDataStreamWebStreamData", "description": "Data specific to web streams.", "properties": { "measurementId": { "readOnly": true, "type": "string", "description": "Output only. Analytics \"Measurement ID\", without the \"G-\" prefix. Example: \"G-1A2BCD345E\" would just be \"1A2BCD345E\"" }, "defaultUri": { "description": "Immutable. Domain name of the web app being measured, or empty. Example: \"http://www.google.com\", \"https://www.google.com\"", "type": "string" }, "firebaseAppId": { "description": "Output only. ID of the corresponding web app in Firebase, if any. This ID can change if the web app is deleted and recreated.", "readOnly": true, "type": "string" } }, "type": "object" } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "canonicalName": "Google Analytics Admin", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/analytics.manage.users.readonly": { "description": "View Google Analytics user permissions" }, "https://www.googleapis.com/auth/analytics.edit": { "description": "Edit Google Analytics management entities" }, "https://www.googleapis.com/auth/analytics.manage.users": { "description": "Manage Google Analytics Account users by email address" }, "https://www.googleapis.com/auth/analytics.readonly": { "description": "See and download your Google Analytics data" } } } }, "fullyEncodeReservedExpansion": true, "protocol": "rest", "servicePath": "", "batchPath": "batch", "title": "Google Analytics Admin API", "resources": { "properties": { "methods": { "delete": { "flatPath": "v1alpha/properties/{propertiesId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "parameterOrder": [ "name" ], "description": "Marks target Property as soft-deleted (ie: \"trashed\") and returns it. This API does not have a method to restore soft-deleted properties. However, they can be restored using the Trash Can UI. If the properties are not restored before the expiration time, the Property and all child resources (eg: GoogleAdsLinks, Streams, UserLinks) will be permanently purged. https://support.google.com/analytics/answer/6154772 Returns an error if the target is not found, or is not an GA4 Property.", "id": "analyticsadmin.properties.delete", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^properties/[^/]+$", "description": "Required. The name of the Property to soft-delete. Format: properties/{property_id} Example: \"properties/1000\"", "required": true } }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaProperty" }, "path": "v1alpha/{+name}" }, "acknowledgeUserDataCollection": { "response": { "$ref": "GoogleAnalyticsAdminV1alphaAcknowledgeUserDataCollectionResponse" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "parameterOrder": [ "property" ], "path": "v1alpha/{+property}:acknowledgeUserDataCollection", "request": { "$ref": "GoogleAnalyticsAdminV1alphaAcknowledgeUserDataCollectionRequest" }, "flatPath": "v1alpha/properties/{propertiesId}:acknowledgeUserDataCollection", "parameters": { "property": { "location": "path", "pattern": "^properties/[^/]+$", "type": "string", "description": "Required. The property for which to acknowledge user data collection.", "required": true } }, "description": "Acknowledges the terms of user data collection for the specified property. This acknowledgement must be completed (either in the Google Analytics UI or via this API) before MeasurementProtocolSecret resources may be created.", "id": "analyticsadmin.properties.acknowledgeUserDataCollection" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "id": "analyticsadmin.properties.patch", "httpMethod": "PATCH", "parameters": { "name": { "location": "path", "type": "string", "description": "Output only. Resource name of this property. Format: properties/{property_id} Example: \"properties/1000\"", "required": true, "pattern": "^properties/[^/]+$" }, "updateMask": { "type": "string", "description": "Required. The list of fields to be updated. Field names must be in snake case (e.g., \"field_to_update\"). Omitted fields will not be updated. To replace the entire entity, use one path with the string \"*\" to match all fields.", "format": "google-fieldmask", "location": "query" } }, "description": "Updates a property.", "flatPath": "v1alpha/properties/{propertiesId}", "path": "v1alpha/{+name}", "response": { "$ref": "GoogleAnalyticsAdminV1alphaProperty" }, "request": { "$ref": "GoogleAnalyticsAdminV1alphaProperty" }, "parameterOrder": [ "name" ] }, "create": { "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "parameterOrder": [], "flatPath": "v1alpha/properties", "description": "Creates an \"GA4\" property with the specified location and attributes.", "httpMethod": "POST", "id": "analyticsadmin.properties.create", "response": { "$ref": "GoogleAnalyticsAdminV1alphaProperty" }, "path": "v1alpha/properties", "request": { "$ref": "GoogleAnalyticsAdminV1alphaProperty" } }, "updateGoogleSignalsSettings": { "id": "analyticsadmin.properties.updateGoogleSignalsSettings", "flatPath": "v1alpha/properties/{propertiesId}/googleSignalsSettings", "description": "Updates Google Signals settings for a property.", "parameters": { "name": { "pattern": "^properties/[^/]+/googleSignalsSettings$", "required": true, "type": "string", "description": "Output only. Resource name of this setting. Format: properties/{property_id}/googleSignalsSettings Example: \"properties/1000/googleSignalsSettings\"", "location": "path" }, "updateMask": { "location": "query", "type": "string", "description": "Required. The list of fields to be updated. Field names must be in snake case (e.g., \"field_to_update\"). Omitted fields will not be updated. To replace the entire entity, use one path with the string \"*\" to match all fields.", "format": "google-fieldmask" } }, "request": { "$ref": "GoogleAnalyticsAdminV1alphaGoogleSignalsSettings" }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "httpMethod": "PATCH", "path": "v1alpha/{+name}", "response": { "$ref": "GoogleAnalyticsAdminV1alphaGoogleSignalsSettings" }, "parameterOrder": [ "name" ] }, "getDataRetentionSettings": { "path": "v1alpha/{+name}", "response": { "$ref": "GoogleAnalyticsAdminV1alphaDataRetentionSettings" }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "flatPath": "v1alpha/properties/{propertiesId}/dataRetentionSettings", "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "analyticsadmin.properties.getDataRetentionSettings", "parameters": { "name": { "pattern": "^properties/[^/]+/dataRetentionSettings$", "type": "string", "required": true, "location": "path", "description": "Required. The name of the settings to lookup. Format: properties/{property}/dataRetentionSettings Example: \"properties/1000/dataRetentionSettings\"" } }, "description": "Returns the singleton data retention settings for this property." }, "updateDataRetentionSettings": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "description": "Updates the singleton data retention settings for this property.", "parameterOrder": [ "name" ], "id": "analyticsadmin.properties.updateDataRetentionSettings", "response": { "$ref": "GoogleAnalyticsAdminV1alphaDataRetentionSettings" }, "parameters": { "name": { "description": "Output only. Resource name for this DataRetentionSetting resource. Format: properties/{property}/dataRetentionSettings", "type": "string", "required": true, "location": "path", "pattern": "^properties/[^/]+/dataRetentionSettings$" }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Required. The list of fields to be updated. Field names must be in snake case (e.g., \"field_to_update\"). Omitted fields will not be updated. To replace the entire entity, use one path with the string \"*\" to match all fields." } }, "request": { "$ref": "GoogleAnalyticsAdminV1alphaDataRetentionSettings" }, "path": "v1alpha/{+name}", "flatPath": "v1alpha/properties/{propertiesId}/dataRetentionSettings" }, "getGoogleSignalsSettings": { "description": "Lookup for Google Signals settings for a property.", "response": { "$ref": "GoogleAnalyticsAdminV1alphaGoogleSignalsSettings" }, "parameters": { "name": { "location": "path", "pattern": "^properties/[^/]+/googleSignalsSettings$", "type": "string", "description": "Required. The name of the google signals settings to retrieve. Format: properties/{property}/googleSignalsSettings", "required": true } }, "id": "analyticsadmin.properties.getGoogleSignalsSettings", "flatPath": "v1alpha/properties/{propertiesId}/googleSignalsSettings", "path": "v1alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "parameterOrder": [ "name" ], "httpMethod": "GET" }, "list": { "parameterOrder": [], "httpMethod": "GET", "response": { "$ref": "GoogleAnalyticsAdminV1alphaListPropertiesResponse" }, "description": "Returns child Properties under the specified parent Account. Only \"GA4\" properties will be returned. Properties will be excluded if the caller does not have access. Soft-deleted (ie: \"trashed\") properties are excluded by default. Returns an empty list if no relevant properties are found.", "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "parameters": { "pageSize": { "description": "The maximum number of resources to return. The service may return fewer than this value, even if there are additional pages. If unspecified, at most 50 resources will be returned. The maximum value is 200; (higher values will be coerced to the maximum)", "location": "query", "format": "int32", "type": "integer" }, "filter": { "description": "Required. An expression for filtering the results of the request. Fields eligible for filtering are: `parent:`(The resource name of the parent account/property) or `ancestor:`(The resource name of the parent account) or `firebase_project:`(The id or number of the linked firebase project). Some examples of filters: ``` | Filter | Description | |-----------------------------|-------------------------------------------| | parent:accounts/123 | The account with account id: 123. | | parent:properties/123 | The property with property id: 123. | | ancestor:accounts/123 | The account with account id: 123. | | firebase_project:project-id | The firebase project with id: project-id. | | firebase_project:123 | The firebase project with number: 123. | ```", "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "A page token, received from a previous `ListProperties` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListProperties` must match the call that provided the page token." }, "showDeleted": { "type": "boolean", "description": "Whether to include soft-deleted (ie: \"trashed\") Properties in the results. Properties can be inspected to determine whether they are deleted or not.", "location": "query" } }, "id": "analyticsadmin.properties.list", "flatPath": "v1alpha/properties", "path": "v1alpha/properties" }, "get": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "path": "v1alpha/{+name}", "parameters": { "name": { "pattern": "^properties/[^/]+$", "location": "path", "description": "Required. The name of the property to lookup. Format: properties/{property_id} Example: \"properties/1000\"", "type": "string", "required": true } }, "flatPath": "v1alpha/properties/{propertiesId}", "httpMethod": "GET", "id": "analyticsadmin.properties.get", "description": "Lookup for a single \"GA4\" Property.", "response": { "$ref": "GoogleAnalyticsAdminV1alphaProperty" }, "parameterOrder": [ "name" ] }, "updateAttributionSettings": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. The list of fields to be updated. Field names must be in snake case (e.g., \"field_to_update\"). Omitted fields will not be updated. To replace the entire entity, use one path with the string \"*\" to match all fields.", "location": "query" }, "name": { "description": "Output only. Resource name of this attribution settings resource. Format: properties/{property_id}/attributionSettings Example: \"properties/1000/attributionSettings\"", "type": "string", "required": true, "pattern": "^properties/[^/]+/attributionSettings$", "location": "path" } }, "description": "Updates attribution settings on a property.", "id": "analyticsadmin.properties.updateAttributionSettings", "request": { "$ref": "GoogleAnalyticsAdminV1alphaAttributionSettings" }, "httpMethod": "PATCH", "response": { "$ref": "GoogleAnalyticsAdminV1alphaAttributionSettings" }, "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1alpha/properties/{propertiesId}/attributionSettings" }, "getAttributionSettings": { "response": { "$ref": "GoogleAnalyticsAdminV1alphaAttributionSettings" }, "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "location": "path", "description": "Required. The name of the attribution settings to retrieve. Format: properties/{property}/attributionSettings", "type": "string", "pattern": "^properties/[^/]+/attributionSettings$" } }, "flatPath": "v1alpha/properties/{propertiesId}/attributionSettings", "id": "analyticsadmin.properties.getAttributionSettings", "path": "v1alpha/{+name}", "description": "Lookup for a AttributionSettings singleton.", "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "httpMethod": "GET" } }, "resources": { "displayVideo360AdvertiserLinkProposals": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinkProposals/{displayVideo360AdvertiserLinkProposalsId}", "description": "Deletes a DisplayVideo360AdvertiserLinkProposal on a property. This can only be used on cancelled proposals.", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^properties/[^/]+/displayVideo360AdvertiserLinkProposals/[^/]+$", "description": "Required. The name of the DisplayVideo360AdvertiserLinkProposal to delete. Example format: properties/1234/displayVideo360AdvertiserLinkProposals/5678", "required": true } }, "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v1alpha/{+name}", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "id": "analyticsadmin.properties.displayVideo360AdvertiserLinkProposals.delete" }, "get": { "id": "analyticsadmin.properties.displayVideo360AdvertiserLinkProposals.get", "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinkProposals/{displayVideo360AdvertiserLinkProposalsId}", "response": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLinkProposal" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "parameters": { "name": { "required": true, "type": "string", "pattern": "^properties/[^/]+/displayVideo360AdvertiserLinkProposals/[^/]+$", "description": "Required. The name of the DisplayVideo360AdvertiserLinkProposal to get. Example format: properties/1234/displayVideo360AdvertiserLinkProposals/5678", "location": "path" } }, "httpMethod": "GET", "description": "Lookup for a single DisplayVideo360AdvertiserLinkProposal.", "path": "v1alpha/{+name}" }, "create": { "path": "v1alpha/{+parent}/displayVideo360AdvertiserLinkProposals", "request": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLinkProposal" }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "parameters": { "parent": { "required": true, "location": "path", "description": "Required. Example format: properties/1234", "type": "string", "pattern": "^properties/[^/]+$" } }, "description": "Creates a DisplayVideo360AdvertiserLinkProposal.", "response": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLinkProposal" }, "id": "analyticsadmin.properties.displayVideo360AdvertiserLinkProposals.create", "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinkProposals" }, "cancel": { "path": "v1alpha/{+name}:cancel", "response": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLinkProposal" }, "id": "analyticsadmin.properties.displayVideo360AdvertiserLinkProposals.cancel", "parameters": { "name": { "type": "string", "description": "Required. The name of the DisplayVideo360AdvertiserLinkProposal to cancel. Example format: properties/1234/displayVideo360AdvertiserLinkProposals/5678", "location": "path", "required": true, "pattern": "^properties/[^/]+/displayVideo360AdvertiserLinkProposals/[^/]+$" } }, "parameterOrder": [ "name" ], "httpMethod": "POST", "description": "Cancels a DisplayVideo360AdvertiserLinkProposal. Cancelling can mean either: - Declining a proposal initiated from Display & Video 360 - Withdrawing a proposal initiated from Google Analytics After being cancelled, a proposal will eventually be deleted automatically.", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaCancelDisplayVideo360AdvertiserLinkProposalRequest" }, "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinkProposals/{displayVideo360AdvertiserLinkProposalsId}:cancel" }, "approve": { "path": "v1alpha/{+name}:approve", "response": { "$ref": "GoogleAnalyticsAdminV1alphaApproveDisplayVideo360AdvertiserLinkProposalResponse" }, "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinkProposals/{displayVideo360AdvertiserLinkProposalsId}:approve", "description": "Approves a DisplayVideo360AdvertiserLinkProposal. The DisplayVideo360AdvertiserLinkProposal will be deleted and a new DisplayVideo360AdvertiserLink will be created.", "httpMethod": "POST", "request": { "$ref": "GoogleAnalyticsAdminV1alphaApproveDisplayVideo360AdvertiserLinkProposalRequest" }, "parameters": { "name": { "pattern": "^properties/[^/]+/displayVideo360AdvertiserLinkProposals/[^/]+$", "type": "string", "description": "Required. The name of the DisplayVideo360AdvertiserLinkProposal to approve. Example format: properties/1234/displayVideo360AdvertiserLinkProposals/5678", "location": "path", "required": true } }, "id": "analyticsadmin.properties.displayVideo360AdvertiserLinkProposals.approve", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "parameterOrder": [ "name" ] }, "list": { "response": { "$ref": "GoogleAnalyticsAdminV1alphaListDisplayVideo360AdvertiserLinkProposalsResponse" }, "parameters": { "pageSize": { "format": "int32", "location": "query", "description": "The maximum number of resources to return. If unspecified, at most 50 resources will be returned. The maximum value is 200 (higher values will be coerced to the maximum).", "type": "integer" }, "parent": { "location": "path", "type": "string", "description": "Required. Example format: properties/1234", "required": true, "pattern": "^properties/[^/]+$" }, "pageToken": { "description": "A page token, received from a previous `ListDisplayVideo360AdvertiserLinkProposals` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDisplayVideo360AdvertiserLinkProposals` must match the call that provided the page token.", "type": "string", "location": "query" } }, "id": "analyticsadmin.properties.displayVideo360AdvertiserLinkProposals.list", "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "description": "Lists DisplayVideo360AdvertiserLinkProposals on a property.", "httpMethod": "GET", "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinkProposals", "parameterOrder": [ "parent" ], "path": "v1alpha/{+parent}/displayVideo360AdvertiserLinkProposals" } } }, "customMetrics": { "methods": { "list": { "response": { "$ref": "GoogleAnalyticsAdminV1alphaListCustomMetricsResponse" }, "parameters": { "parent": { "location": "path", "required": true, "pattern": "^properties/[^/]+$", "description": "Required. Example format: properties/1234", "type": "string" }, "pageToken": { "type": "string", "description": "A page token, received from a previous `ListCustomMetrics` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListCustomMetrics` must match the call that provided the page token.", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of resources to return. If unspecified, at most 50 resources will be returned. The maximum value is 200 (higher values will be coerced to the maximum).", "format": "int32" } }, "flatPath": "v1alpha/properties/{propertiesId}/customMetrics", "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "httpMethod": "GET", "path": "v1alpha/{+parent}/customMetrics", "parameterOrder": [ "parent" ], "id": "analyticsadmin.properties.customMetrics.list", "description": "Lists CustomMetrics on a property." }, "archive": { "response": { "$ref": "GoogleProtobufEmpty" }, "id": "analyticsadmin.properties.customMetrics.archive", "parameters": { "name": { "location": "path", "description": "Required. The name of the CustomMetric to archive. Example format: properties/1234/customMetrics/5678", "pattern": "^properties/[^/]+/customMetrics/[^/]+$", "required": true, "type": "string" } }, "httpMethod": "POST", "flatPath": "v1alpha/properties/{propertiesId}/customMetrics/{customMetricsId}:archive", "request": { "$ref": "GoogleAnalyticsAdminV1alphaArchiveCustomMetricRequest" }, "parameterOrder": [ "name" ], "description": "Archives a CustomMetric on a property.", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "path": "v1alpha/{+name}:archive" }, "create": { "httpMethod": "POST", "description": "Creates a CustomMetric.", "parameterOrder": [ "parent" ], "id": "analyticsadmin.properties.customMetrics.create", "flatPath": "v1alpha/properties/{propertiesId}/customMetrics", "path": "v1alpha/{+parent}/customMetrics", "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^properties/[^/]+$", "required": true, "description": "Required. Example format: properties/1234" } }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaCustomMetric" }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaCustomMetric" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "description": "Updates a CustomMetric on a property.", "response": { "$ref": "GoogleAnalyticsAdminV1alphaCustomMetric" }, "request": { "$ref": "GoogleAnalyticsAdminV1alphaCustomMetric" }, "httpMethod": "PATCH", "id": "analyticsadmin.properties.customMetrics.patch", "flatPath": "v1alpha/properties/{propertiesId}/customMetrics/{customMetricsId}", "parameters": { "name": { "pattern": "^properties/[^/]+/customMetrics/[^/]+$", "location": "path", "required": true, "description": "Output only. Resource name for this CustomMetric resource. Format: properties/{property}/customMetrics/{customMetric}", "type": "string" }, "updateMask": { "location": "query", "type": "string", "description": "Required. The list of fields to be updated. Omitted fields will not be updated. To replace the entire entity, use one path with the string \"*\" to match all fields.", "format": "google-fieldmask" } }, "parameterOrder": [ "name" ], "path": "v1alpha/{+name}" }, "get": { "flatPath": "v1alpha/properties/{propertiesId}/customMetrics/{customMetricsId}", "id": "analyticsadmin.properties.customMetrics.get", "httpMethod": "GET", "path": "v1alpha/{+name}", "description": "Lookup for a single CustomMetric.", "response": { "$ref": "GoogleAnalyticsAdminV1alphaCustomMetric" }, "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "pattern": "^properties/[^/]+/customMetrics/[^/]+$", "description": "Required. The name of the CustomMetric to get. Example format: properties/1234/customMetrics/5678", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ] } } }, "dataStreams": { "resources": { "measurementProtocolSecrets": { "methods": { "get": { "httpMethod": "GET", "path": "v1alpha/{+name}", "flatPath": "v1alpha/properties/{propertiesId}/dataStreams/{dataStreamsId}/measurementProtocolSecrets/{measurementProtocolSecretsId}", "parameters": { "name": { "pattern": "^properties/[^/]+/dataStreams/[^/]+/measurementProtocolSecrets/[^/]+$", "description": "Required. The name of the measurement protocol secret to lookup. Format: properties/{property}/dataStreams/{dataStream}/measurementProtocolSecrets/{measurementProtocolSecret}", "required": true, "location": "path", "type": "string" } }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaMeasurementProtocolSecret" }, "description": "Lookup for a single \"GA4\" MeasurementProtocolSecret.", "parameterOrder": [ "name" ], "id": "analyticsadmin.properties.dataStreams.measurementProtocolSecrets.get", "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ] }, "list": { "response": { "$ref": "GoogleAnalyticsAdminV1alphaListMeasurementProtocolSecretsResponse" }, "httpMethod": "GET", "id": "analyticsadmin.properties.dataStreams.measurementProtocolSecrets.list", "path": "v1alpha/{+parent}/measurementProtocolSecrets", "description": "Returns child MeasurementProtocolSecrets under the specified parent Property.", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^properties/[^/]+/dataStreams/[^/]+$", "description": "Required. The resource name of the parent stream. Format: properties/{property}/dataStreams/{dataStream}/measurementProtocolSecrets", "required": true, "type": "string", "location": "path" }, "pageToken": { "type": "string", "description": "A page token, received from a previous `ListMeasurementProtocolSecrets` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMeasurementProtocolSecrets` must match the call that provided the page token.", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of resources to return. If unspecified, at most 10 resources will be returned. The maximum value is 10. Higher values will be coerced to the maximum." } }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "flatPath": "v1alpha/properties/{propertiesId}/dataStreams/{dataStreamsId}/measurementProtocolSecrets" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "flatPath": "v1alpha/properties/{propertiesId}/dataStreams/{dataStreamsId}/measurementProtocolSecrets/{measurementProtocolSecretsId}", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes target MeasurementProtocolSecret.", "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The name of the MeasurementProtocolSecret to delete. Format: properties/{property}/dataStreams/{dataStream}/measurementProtocolSecrets/{measurementProtocolSecret}", "pattern": "^properties/[^/]+/dataStreams/[^/]+/measurementProtocolSecrets/[^/]+$", "type": "string", "location": "path", "required": true } }, "id": "analyticsadmin.properties.dataStreams.measurementProtocolSecrets.delete", "path": "v1alpha/{+name}", "parameterOrder": [ "name" ] }, "patch": { "request": { "$ref": "GoogleAnalyticsAdminV1alphaMeasurementProtocolSecret" }, "httpMethod": "PATCH", "description": "Updates a measurement protocol secret.", "path": "v1alpha/{+name}", "response": { "$ref": "GoogleAnalyticsAdminV1alphaMeasurementProtocolSecret" }, "id": "analyticsadmin.properties.dataStreams.measurementProtocolSecrets.patch", "parameters": { "name": { "type": "string", "description": "Output only. Resource name of this secret. This secret may be a child of any type of stream. Format: properties/{property}/dataStreams/{dataStream}/measurementProtocolSecrets/{measurementProtocolSecret}", "required": true, "location": "path", "pattern": "^properties/[^/]+/dataStreams/[^/]+/measurementProtocolSecrets/[^/]+$" }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "The list of fields to be updated. Omitted fields will not be updated." } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "flatPath": "v1alpha/properties/{propertiesId}/dataStreams/{dataStreamsId}/measurementProtocolSecrets/{measurementProtocolSecretsId}" }, "create": { "flatPath": "v1alpha/properties/{propertiesId}/dataStreams/{dataStreamsId}/measurementProtocolSecrets", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "response": { "$ref": "GoogleAnalyticsAdminV1alphaMeasurementProtocolSecret" }, "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The parent resource where this secret will be created. Format: properties/{property}/dataStreams/{dataStream}", "type": "string", "pattern": "^properties/[^/]+/dataStreams/[^/]+$" } }, "path": "v1alpha/{+parent}/measurementProtocolSecrets", "description": "Creates a measurement protocol secret.", "request": { "$ref": "GoogleAnalyticsAdminV1alphaMeasurementProtocolSecret" }, "httpMethod": "POST", "id": "analyticsadmin.properties.dataStreams.measurementProtocolSecrets.create", "parameterOrder": [ "parent" ] } } } }, "methods": { "get": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "path": "v1alpha/{+name}", "id": "analyticsadmin.properties.dataStreams.get", "flatPath": "v1alpha/properties/{propertiesId}/dataStreams/{dataStreamsId}", "response": { "$ref": "GoogleAnalyticsAdminV1alphaDataStream" }, "httpMethod": "GET", "description": "Lookup for a single DataStream.", "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^properties/[^/]+/dataStreams/[^/]+$", "description": "Required. The name of the DataStream to get. Example format: properties/1234/dataStreams/5678" } } }, "getGlobalSiteTag": { "id": "analyticsadmin.properties.dataStreams.getGlobalSiteTag", "response": { "$ref": "GoogleAnalyticsAdminV1alphaGlobalSiteTag" }, "parameters": { "name": { "pattern": "^properties/[^/]+/dataStreams/[^/]+/globalSiteTag$", "location": "path", "description": "Required. The name of the site tag to lookup. Note that site tags are singletons and do not have unique IDs. Format: properties/{property_id}/dataStreams/{stream_id}/globalSiteTag Example: \"properties/123/dataStreams/456/globalSiteTag\"", "required": true, "type": "string" } }, "path": "v1alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "parameterOrder": [ "name" ], "description": "Returns the Site Tag for the specified web stream. Site Tags are immutable singletons.", "httpMethod": "GET", "flatPath": "v1alpha/properties/{propertiesId}/dataStreams/{dataStreamsId}/globalSiteTag" }, "list": { "httpMethod": "GET", "description": "Lists DataStreams on a property.", "parameters": { "pageToken": { "description": "A page token, received from a previous `ListDataStreams` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDataStreams` must match the call that provided the page token.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of resources to return. If unspecified, at most 50 resources will be returned. The maximum value is 200 (higher values will be coerced to the maximum).", "format": "int32" }, "parent": { "type": "string", "location": "path", "pattern": "^properties/[^/]+$", "required": true, "description": "Required. Example format: properties/1234" } }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "id": "analyticsadmin.properties.dataStreams.list", "flatPath": "v1alpha/properties/{propertiesId}/dataStreams", "response": { "$ref": "GoogleAnalyticsAdminV1alphaListDataStreamsResponse" }, "parameterOrder": [ "parent" ], "path": "v1alpha/{+parent}/dataStreams" }, "create": { "flatPath": "v1alpha/properties/{propertiesId}/dataStreams", "parameters": { "parent": { "pattern": "^properties/[^/]+$", "location": "path", "required": true, "description": "Required. Example format: properties/1234", "type": "string" } }, "description": "Creates a DataStream.", "response": { "$ref": "GoogleAnalyticsAdminV1alphaDataStream" }, "httpMethod": "POST", "id": "analyticsadmin.properties.dataStreams.create", "path": "v1alpha/{+parent}/dataStreams", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaDataStream" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "response": { "$ref": "GoogleAnalyticsAdminV1alphaDataStream" }, "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "Output only. Resource name of this Data Stream. Format: properties/{property_id}/dataStreams/{stream_id} Example: \"properties/1000/dataStreams/2000\"", "pattern": "^properties/[^/]+/dataStreams/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "description": "Required. The list of fields to be updated. Omitted fields will not be updated. To replace the entire entity, use one path with the string \"*\" to match all fields.", "type": "string", "location": "query" } }, "flatPath": "v1alpha/properties/{propertiesId}/dataStreams/{dataStreamsId}", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaDataStream" }, "id": "analyticsadmin.properties.dataStreams.patch", "path": "v1alpha/{+name}", "description": "Updates a DataStream on a property.", "httpMethod": "PATCH" }, "delete": { "description": "Deletes a DataStream on a property.", "parameters": { "name": { "required": true, "pattern": "^properties/[^/]+/dataStreams/[^/]+$", "location": "path", "type": "string", "description": "Required. The name of the DataStream to delete. Example format: properties/1234/dataStreams/5678" } }, "flatPath": "v1alpha/properties/{propertiesId}/dataStreams/{dataStreamsId}", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "id": "analyticsadmin.properties.dataStreams.delete", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "httpMethod": "DELETE" } } }, "userLinks": { "methods": { "list": { "httpMethod": "GET", "flatPath": "v1alpha/properties/{propertiesId}/userLinks", "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users", "https://www.googleapis.com/auth/analytics.manage.users.readonly" ], "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleAnalyticsAdminV1alphaListUserLinksResponse" }, "path": "v1alpha/{+parent}/userLinks", "description": "Lists all user links on an account or property.", "parameters": { "pageSize": { "location": "query", "description": "The maximum number of user links to return. The service may return fewer than this value. If unspecified, at most 200 user links will be returned. The maximum value is 500; values above 500 will be coerced to 500.", "format": "int32", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "A page token, received from a previous `ListUserLinks` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListUserLinks` must match the call that provided the page token." }, "parent": { "type": "string", "description": "Required. Example format: accounts/1234", "required": true, "pattern": "^properties/[^/]+$", "location": "path" } }, "id": "analyticsadmin.properties.userLinks.list" }, "batchGet": { "description": "Gets information about multiple users' links to an account or property.", "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users", "https://www.googleapis.com/auth/analytics.manage.users.readonly" ], "path": "v1alpha/{+parent}/userLinks:batchGet", "response": { "$ref": "GoogleAnalyticsAdminV1alphaBatchGetUserLinksResponse" }, "httpMethod": "GET", "id": "analyticsadmin.properties.userLinks.batchGet", "flatPath": "v1alpha/properties/{propertiesId}/userLinks:batchGet", "parameters": { "parent": { "type": "string", "description": "Required. The account or property that all user links in the request are for. The parent of all provided values for the 'names' field must match this field. Example format: accounts/1234", "location": "path", "pattern": "^properties/[^/]+$", "required": true }, "names": { "description": "Required. The names of the user links to retrieve. A maximum of 1000 user links can be retrieved in a batch. Format: accounts/{accountId}/userLinks/{userLinkId}", "type": "string", "location": "query", "repeated": true } }, "parameterOrder": [ "parent" ] }, "delete": { "path": "v1alpha/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. Example format: accounts/1234/userLinks/5678", "pattern": "^properties/[^/]+/userLinks/[^/]+$", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "id": "analyticsadmin.properties.userLinks.delete", "description": "Deletes a user link on an account or property.", "flatPath": "v1alpha/properties/{propertiesId}/userLinks/{userLinksId}" }, "create": { "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "path": "v1alpha/{+parent}/userLinks", "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "description": "Creates a user link on an account or property. If the user with the specified email already has permissions on the account or property, then the user's existing permissions will be unioned with the permissions specified in the new UserLink.", "id": "analyticsadmin.properties.userLinks.create", "parameters": { "parent": { "pattern": "^properties/[^/]+$", "required": true, "description": "Required. Example format: accounts/1234", "type": "string", "location": "path" }, "notifyNewUser": { "location": "query", "type": "boolean", "description": "Optional. If set, then email the new user notifying them that they've been granted permissions to the resource." } }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "httpMethod": "POST", "flatPath": "v1alpha/properties/{propertiesId}/userLinks" }, "batchUpdate": { "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "id": "analyticsadmin.properties.userLinks.batchUpdate", "path": "v1alpha/{+parent}/userLinks:batchUpdate", "description": "Updates information about multiple users' links to an account or property.", "parameters": { "parent": { "location": "path", "required": true, "pattern": "^properties/[^/]+$", "description": "Required. The account or property that all user links in the request are for. The parent field in the UpdateUserLinkRequest messages must either be empty or match this field. Example format: accounts/1234", "type": "string" } }, "request": { "$ref": "GoogleAnalyticsAdminV1alphaBatchUpdateUserLinksRequest" }, "flatPath": "v1alpha/properties/{propertiesId}/userLinks:batchUpdate", "response": { "$ref": "GoogleAnalyticsAdminV1alphaBatchUpdateUserLinksResponse" }, "httpMethod": "POST", "parameterOrder": [ "parent" ] }, "patch": { "description": "Updates a user link on an account or property.", "httpMethod": "PATCH", "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "flatPath": "v1alpha/properties/{propertiesId}/userLinks/{userLinksId}", "id": "analyticsadmin.properties.userLinks.patch", "parameters": { "name": { "type": "string", "required": true, "pattern": "^properties/[^/]+/userLinks/[^/]+$", "location": "path", "description": "Output only. Example format: properties/1234/userLinks/5678" } }, "request": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" } }, "audit": { "response": { "$ref": "GoogleAnalyticsAdminV1alphaAuditUserLinksResponse" }, "id": "analyticsadmin.properties.userLinks.audit", "path": "v1alpha/{+parent}/userLinks:audit", "httpMethod": "POST", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaAuditUserLinksRequest" }, "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users", "https://www.googleapis.com/auth/analytics.manage.users.readonly" ], "description": "Lists all user links on an account or property, including implicit ones that come from effective permissions granted by groups or organization admin roles. If a returned user link does not have direct permissions, they cannot be removed from the account or property directly with the DeleteUserLink command. They have to be removed from the group/etc that gives them permissions, which is currently only usable/discoverable in the GA or GMP UIs.", "parameters": { "parent": { "type": "string", "description": "Required. Example format: accounts/1234", "pattern": "^properties/[^/]+$", "location": "path", "required": true } }, "flatPath": "v1alpha/properties/{propertiesId}/userLinks:audit" }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "analyticsadmin.properties.userLinks.get", "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users", "https://www.googleapis.com/auth/analytics.manage.users.readonly" ], "flatPath": "v1alpha/properties/{propertiesId}/userLinks/{userLinksId}", "description": "Gets information about a user's link to an account or property.", "path": "v1alpha/{+name}", "response": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "parameters": { "name": { "description": "Required. Example format: accounts/1234/userLinks/5678", "required": true, "type": "string", "location": "path", "pattern": "^properties/[^/]+/userLinks/[^/]+$" } } }, "batchCreate": { "id": "analyticsadmin.properties.userLinks.batchCreate", "path": "v1alpha/{+parent}/userLinks:batchCreate", "description": "Creates information about multiple users' links to an account or property. This method is transactional. If any UserLink cannot be created, none of the UserLinks will be created.", "request": { "$ref": "GoogleAnalyticsAdminV1alphaBatchCreateUserLinksRequest" }, "flatPath": "v1alpha/properties/{propertiesId}/userLinks:batchCreate", "parameters": { "parent": { "pattern": "^properties/[^/]+$", "type": "string", "description": "Required. The account or property that all user links in the request are for. This field is required. The parent field in the CreateUserLinkRequest messages must either be empty or match this field. Example format: accounts/1234", "location": "path", "required": true } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "httpMethod": "POST", "response": { "$ref": "GoogleAnalyticsAdminV1alphaBatchCreateUserLinksResponse" } }, "batchDelete": { "request": { "$ref": "GoogleAnalyticsAdminV1alphaBatchDeleteUserLinksRequest" }, "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The account or property that all user links in the request are for. The parent of all values for user link names to delete must match this field. Example format: accounts/1234", "type": "string", "pattern": "^properties/[^/]+$" } }, "id": "analyticsadmin.properties.userLinks.batchDelete", "path": "v1alpha/{+parent}/userLinks:batchDelete", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v1alpha/properties/{propertiesId}/userLinks:batchDelete", "description": "Deletes information about multiple users' links to an account or property.", "httpMethod": "POST" } } }, "conversionEvents": { "methods": { "create": { "path": "v1alpha/{+parent}/conversionEvents", "parameters": { "parent": { "pattern": "^properties/[^/]+$", "location": "path", "description": "Required. The resource name of the parent property where this conversion event will be created. Format: properties/123", "required": true, "type": "string" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaConversionEvent" }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaConversionEvent" }, "id": "analyticsadmin.properties.conversionEvents.create", "parameterOrder": [ "parent" ], "flatPath": "v1alpha/properties/{propertiesId}/conversionEvents", "description": "Creates a conversion event with the specified attributes." }, "list": { "parameters": { "parent": { "type": "string", "location": "path", "required": true, "pattern": "^properties/[^/]+$", "description": "Required. The resource name of the parent property. Example: 'properties/123'" }, "pageToken": { "type": "string", "description": "A page token, received from a previous `ListConversionEvents` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListConversionEvents` must match the call that provided the page token.", "location": "query" }, "pageSize": { "format": "int32", "description": "The maximum number of resources to return. If unspecified, at most 50 resources will be returned. The maximum value is 200; (higher values will be coerced to the maximum)", "location": "query", "type": "integer" } }, "path": "v1alpha/{+parent}/conversionEvents", "description": "Returns a list of conversion events in the specified parent property. Returns an empty list if no conversion events are found.", "response": { "$ref": "GoogleAnalyticsAdminV1alphaListConversionEventsResponse" }, "id": "analyticsadmin.properties.conversionEvents.list", "flatPath": "v1alpha/properties/{propertiesId}/conversionEvents", "httpMethod": "GET", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "httpMethod": "DELETE", "flatPath": "v1alpha/properties/{propertiesId}/conversionEvents/{conversionEventsId}", "description": "Deletes a conversion event in a property.", "path": "v1alpha/{+name}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The resource name of the conversion event to delete. Format: properties/{property}/conversionEvents/{conversion_event} Example: \"properties/123/conversionEvents/456\"", "pattern": "^properties/[^/]+/conversionEvents/[^/]+$" } }, "parameterOrder": [ "name" ], "id": "analyticsadmin.properties.conversionEvents.delete" }, "get": { "response": { "$ref": "GoogleAnalyticsAdminV1alphaConversionEvent" }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "httpMethod": "GET", "path": "v1alpha/{+name}", "flatPath": "v1alpha/properties/{propertiesId}/conversionEvents/{conversionEventsId}", "parameters": { "name": { "description": "Required. The resource name of the conversion event to retrieve. Format: properties/{property}/conversionEvents/{conversion_event} Example: \"properties/123/conversionEvents/456\"", "type": "string", "location": "path", "pattern": "^properties/[^/]+/conversionEvents/[^/]+$", "required": true } }, "parameterOrder": [ "name" ], "description": "Retrieve a single conversion event.", "id": "analyticsadmin.properties.conversionEvents.get" } } }, "firebaseLinks": { "methods": { "create": { "path": "v1alpha/{+parent}/firebaseLinks", "parameters": { "parent": { "description": "Required. Format: properties/{property_id} Example: properties/1234", "location": "path", "type": "string", "pattern": "^properties/[^/]+$", "required": true } }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaFirebaseLink" }, "description": "Creates a FirebaseLink. Properties can have at most one FirebaseLink.", "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "id": "analyticsadmin.properties.firebaseLinks.create", "flatPath": "v1alpha/properties/{propertiesId}/firebaseLinks", "request": { "$ref": "GoogleAnalyticsAdminV1alphaFirebaseLink" } }, "delete": { "httpMethod": "DELETE", "flatPath": "v1alpha/properties/{propertiesId}/firebaseLinks/{firebaseLinksId}", "description": "Deletes a FirebaseLink on a property", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v1alpha/{+name}", "id": "analyticsadmin.properties.firebaseLinks.delete", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^properties/[^/]+/firebaseLinks/[^/]+$", "type": "string", "description": "Required. Format: properties/{property_id}/firebaseLinks/{firebase_link_id} Example: properties/1234/firebaseLinks/5678" } } }, "list": { "parameters": { "pageSize": { "description": "The maximum number of resources to return. The service may return fewer than this value, even if there are additional pages. If unspecified, at most 50 resources will be returned. The maximum value is 200; (higher values will be coerced to the maximum)", "format": "int32", "type": "integer", "location": "query" }, "parent": { "pattern": "^properties/[^/]+$", "description": "Required. Format: properties/{property_id} Example: properties/1234", "location": "path", "required": true, "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListFirebaseLinks` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListProperties` must match the call that provided the page token." } }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaListFirebaseLinksResponse" }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "description": "Lists FirebaseLinks on a property. Properties can have at most one FirebaseLink.", "httpMethod": "GET", "flatPath": "v1alpha/properties/{propertiesId}/firebaseLinks", "path": "v1alpha/{+parent}/firebaseLinks", "parameterOrder": [ "parent" ], "id": "analyticsadmin.properties.firebaseLinks.list" } } }, "customDimensions": { "methods": { "archive": { "id": "analyticsadmin.properties.customDimensions.archive", "flatPath": "v1alpha/properties/{propertiesId}/customDimensions/{customDimensionsId}:archive", "parameters": { "name": { "pattern": "^properties/[^/]+/customDimensions/[^/]+$", "required": true, "description": "Required. The name of the CustomDimension to archive. Example format: properties/1234/customDimensions/5678", "type": "string", "location": "path" } }, "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaArchiveCustomDimensionRequest" }, "description": "Archives a CustomDimension on a property.", "path": "v1alpha/{+name}:archive", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "httpMethod": "POST" }, "list": { "path": "v1alpha/{+parent}/customDimensions", "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "description": "The maximum number of resources to return. If unspecified, at most 50 resources will be returned. The maximum value is 200 (higher values will be coerced to the maximum).", "format": "int32", "location": "query", "type": "integer" }, "pageToken": { "description": "A page token, received from a previous `ListCustomDimensions` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListCustomDimensions` must match the call that provided the page token.", "location": "query", "type": "string" }, "parent": { "location": "path", "required": true, "pattern": "^properties/[^/]+$", "description": "Required. Example format: properties/1234", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "flatPath": "v1alpha/properties/{propertiesId}/customDimensions", "id": "analyticsadmin.properties.customDimensions.list", "httpMethod": "GET", "description": "Lists CustomDimensions on a property.", "response": { "$ref": "GoogleAnalyticsAdminV1alphaListCustomDimensionsResponse" } }, "patch": { "parameterOrder": [ "name" ], "path": "v1alpha/{+name}", "description": "Updates a CustomDimension on a property.", "request": { "$ref": "GoogleAnalyticsAdminV1alphaCustomDimension" }, "parameters": { "name": { "description": "Output only. Resource name for this CustomDimension resource. Format: properties/{property}/customDimensions/{customDimension}", "required": true, "pattern": "^properties/[^/]+/customDimensions/[^/]+$", "type": "string", "location": "path" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Required. The list of fields to be updated. Omitted fields will not be updated. To replace the entire entity, use one path with the string \"*\" to match all fields.", "location": "query" } }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaCustomDimension" }, "flatPath": "v1alpha/properties/{propertiesId}/customDimensions/{customDimensionsId}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "id": "analyticsadmin.properties.customDimensions.patch" }, "get": { "response": { "$ref": "GoogleAnalyticsAdminV1alphaCustomDimension" }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "description": "Lookup for a single CustomDimension.", "flatPath": "v1alpha/properties/{propertiesId}/customDimensions/{customDimensionsId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "analyticsadmin.properties.customDimensions.get", "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. The name of the CustomDimension to get. Example format: properties/1234/customDimensions/5678", "pattern": "^properties/[^/]+/customDimensions/[^/]+$" } }, "path": "v1alpha/{+name}" }, "create": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaCustomDimension" }, "flatPath": "v1alpha/properties/{propertiesId}/customDimensions", "response": { "$ref": "GoogleAnalyticsAdminV1alphaCustomDimension" }, "id": "analyticsadmin.properties.customDimensions.create", "httpMethod": "POST", "path": "v1alpha/{+parent}/customDimensions", "parameterOrder": [ "parent" ], "description": "Creates a CustomDimension.", "parameters": { "parent": { "location": "path", "pattern": "^properties/[^/]+$", "required": true, "description": "Required. Example format: properties/1234", "type": "string" } } } } }, "displayVideo360AdvertiserLinks": { "methods": { "get": { "response": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLink" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "id": "analyticsadmin.properties.displayVideo360AdvertiserLinks.get", "parameters": { "name": { "required": true, "location": "path", "description": "Required. The name of the DisplayVideo360AdvertiserLink to get. Example format: properties/1234/displayVideo360AdvertiserLink/5678", "pattern": "^properties/[^/]+/displayVideo360AdvertiserLinks/[^/]+$", "type": "string" } }, "description": "Look up a single DisplayVideo360AdvertiserLink", "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinks/{displayVideo360AdvertiserLinksId}" }, "list": { "description": "Lists all DisplayVideo360AdvertiserLinks on a property.", "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinks", "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "httpMethod": "GET", "parameterOrder": [ "parent" ], "path": "v1alpha/{+parent}/displayVideo360AdvertiserLinks", "parameters": { "parent": { "pattern": "^properties/[^/]+$", "required": true, "location": "path", "description": "Required. Example format: properties/1234", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of resources to return. If unspecified, at most 50 resources will be returned. The maximum value is 200 (higher values will be coerced to the maximum).", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListDisplayVideo360AdvertiserLinks` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDisplayVideo360AdvertiserLinks` must match the call that provided the page token." } }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaListDisplayVideo360AdvertiserLinksResponse" }, "id": "analyticsadmin.properties.displayVideo360AdvertiserLinks.list" }, "create": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "id": "analyticsadmin.properties.displayVideo360AdvertiserLinks.create", "response": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLink" }, "httpMethod": "POST", "description": "Creates a DisplayVideo360AdvertiserLink. This can only be utilized by users who have proper authorization both on the Google Analytics property and on the Display & Video 360 advertiser. Users who do not have access to the Display & Video 360 advertiser should instead seek to create a DisplayVideo360LinkProposal.", "request": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLink" }, "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinks", "parameterOrder": [ "parent" ], "path": "v1alpha/{+parent}/displayVideo360AdvertiserLinks", "parameters": { "parent": { "type": "string", "required": true, "pattern": "^properties/[^/]+$", "location": "path", "description": "Required. Example format: properties/1234" } } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "id": "analyticsadmin.properties.displayVideo360AdvertiserLinks.delete", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "path": "v1alpha/{+name}", "description": "Deletes a DisplayVideo360AdvertiserLink on a property.", "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Required. The name of the DisplayVideo360AdvertiserLink to delete. Example format: properties/1234/displayVideo360AdvertiserLinks/5678", "pattern": "^properties/[^/]+/displayVideo360AdvertiserLinks/[^/]+$" } }, "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinks/{displayVideo360AdvertiserLinksId}" }, "patch": { "httpMethod": "PATCH", "flatPath": "v1alpha/properties/{propertiesId}/displayVideo360AdvertiserLinks/{displayVideo360AdvertiserLinksId}", "parameters": { "updateMask": { "location": "query", "description": "Required. The list of fields to be updated. Omitted fields will not be updated. To replace the entire entity, use one path with the string \"*\" to match all fields.", "format": "google-fieldmask", "type": "string" }, "name": { "pattern": "^properties/[^/]+/displayVideo360AdvertiserLinks/[^/]+$", "description": "Output only. The resource name for this DisplayVideo360AdvertiserLink resource. Format: properties/{propertyId}/displayVideo360AdvertiserLinks/{linkId} Note: linkId is not the Display & Video 360 Advertiser ID", "required": true, "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "path": "v1alpha/{+name}", "id": "analyticsadmin.properties.displayVideo360AdvertiserLinks.patch", "description": "Updates a DisplayVideo360AdvertiserLink on a property.", "response": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLink" }, "parameterOrder": [ "name" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaDisplayVideo360AdvertiserLink" } } } }, "googleAdsLinks": { "methods": { "create": { "description": "Creates a GoogleAdsLink.", "parameters": { "parent": { "location": "path", "description": "Required. Example format: properties/1234", "required": true, "pattern": "^properties/[^/]+$", "type": "string" } }, "path": "v1alpha/{+parent}/googleAdsLinks", "request": { "$ref": "GoogleAnalyticsAdminV1alphaGoogleAdsLink" }, "response": { "$ref": "GoogleAnalyticsAdminV1alphaGoogleAdsLink" }, "parameterOrder": [ "parent" ], "id": "analyticsadmin.properties.googleAdsLinks.create", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "flatPath": "v1alpha/properties/{propertiesId}/googleAdsLinks" }, "delete": { "flatPath": "v1alpha/properties/{propertiesId}/googleAdsLinks/{googleAdsLinksId}", "description": "Deletes a GoogleAdsLink on a property", "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "Required. Example format: properties/1234/googleAdsLinks/5678", "pattern": "^properties/[^/]+/googleAdsLinks/[^/]+$" } }, "id": "analyticsadmin.properties.googleAdsLinks.delete", "path": "v1alpha/{+name}", "httpMethod": "DELETE" }, "list": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "response": { "$ref": "GoogleAnalyticsAdminV1alphaListGoogleAdsLinksResponse" }, "id": "analyticsadmin.properties.googleAdsLinks.list", "parameters": { "pageSize": { "description": "The maximum number of resources to return. If unspecified, at most 50 resources will be returned. The maximum value is 200 (higher values will be coerced to the maximum).", "format": "int32", "type": "integer", "location": "query" }, "parent": { "pattern": "^properties/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. Example format: properties/1234" }, "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListGoogleAdsLinks` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListGoogleAdsLinks` must match the call that provided the page token." } }, "description": "Lists GoogleAdsLinks on a property.", "path": "v1alpha/{+parent}/googleAdsLinks", "httpMethod": "GET", "parameterOrder": [ "parent" ], "flatPath": "v1alpha/properties/{propertiesId}/googleAdsLinks" }, "patch": { "flatPath": "v1alpha/properties/{propertiesId}/googleAdsLinks/{googleAdsLinksId}", "parameters": { "name": { "type": "string", "pattern": "^properties/[^/]+/googleAdsLinks/[^/]+$", "description": "Output only. Format: properties/{propertyId}/googleAdsLinks/{googleAdsLinkId} Note: googleAdsLinkId is not the Google Ads customer ID.", "required": true, "location": "path" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Required. The list of fields to be updated. Field names must be in snake case (e.g., \"field_to_update\"). Omitted fields will not be updated. To replace the entire entity, use one path with the string \"*\" to match all fields.", "location": "query" } }, "request": { "$ref": "GoogleAnalyticsAdminV1alphaGoogleAdsLink" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "id": "analyticsadmin.properties.googleAdsLinks.patch", "response": { "$ref": "GoogleAnalyticsAdminV1alphaGoogleAdsLink" }, "parameterOrder": [ "name" ], "path": "v1alpha/{+name}", "description": "Updates a GoogleAdsLink on a property" } } } } }, "accountSummaries": { "methods": { "list": { "httpMethod": "GET", "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of AccountSummary resources to return. The service may return fewer than this value, even if there are additional pages. If unspecified, at most 50 resources will be returned. The maximum value is 200; (higher values will be coerced to the maximum)", "format": "int32" }, "pageToken": { "description": "A page token, received from a previous `ListAccountSummaries` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListAccountSummaries` must match the call that provided the page token.", "location": "query", "type": "string" } }, "path": "v1alpha/accountSummaries", "parameterOrder": [], "flatPath": "v1alpha/accountSummaries", "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "description": "Returns summaries of all accounts accessible by the caller.", "id": "analyticsadmin.accountSummaries.list", "response": { "$ref": "GoogleAnalyticsAdminV1alphaListAccountSummariesResponse" } } } }, "accounts": { "resources": { "userLinks": { "methods": { "batchUpdate": { "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "path": "v1alpha/{+parent}/userLinks:batchUpdate", "response": { "$ref": "GoogleAnalyticsAdminV1alphaBatchUpdateUserLinksResponse" }, "description": "Updates information about multiple users' links to an account or property.", "request": { "$ref": "GoogleAnalyticsAdminV1alphaBatchUpdateUserLinksRequest" }, "flatPath": "v1alpha/accounts/{accountsId}/userLinks:batchUpdate", "httpMethod": "POST", "parameters": { "parent": { "pattern": "^accounts/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The account or property that all user links in the request are for. The parent field in the UpdateUserLinkRequest messages must either be empty or match this field. Example format: accounts/1234" } }, "id": "analyticsadmin.accounts.userLinks.batchUpdate", "parameterOrder": [ "parent" ] }, "delete": { "flatPath": "v1alpha/accounts/{accountsId}/userLinks/{userLinksId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "id": "analyticsadmin.accounts.userLinks.delete", "description": "Deletes a user link on an account or property.", "parameters": { "name": { "description": "Required. Example format: accounts/1234/userLinks/5678", "location": "path", "type": "string", "pattern": "^accounts/[^/]+/userLinks/[^/]+$", "required": true } }, "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v1alpha/{+name}", "parameterOrder": [ "name" ] }, "create": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "id": "analyticsadmin.accounts.userLinks.create", "parameters": { "parent": { "pattern": "^accounts/[^/]+$", "required": true, "type": "string", "description": "Required. Example format: accounts/1234", "location": "path" }, "notifyNewUser": { "type": "boolean", "description": "Optional. If set, then email the new user notifying them that they've been granted permissions to the resource.", "location": "query" } }, "path": "v1alpha/{+parent}/userLinks", "response": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "request": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "httpMethod": "POST", "flatPath": "v1alpha/accounts/{accountsId}/userLinks", "description": "Creates a user link on an account or property. If the user with the specified email already has permissions on the account or property, then the user's existing permissions will be unioned with the permissions specified in the new UserLink." }, "audit": { "flatPath": "v1alpha/accounts/{accountsId}/userLinks:audit", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleAnalyticsAdminV1alphaAuditUserLinksResponse" }, "parameters": { "parent": { "description": "Required. Example format: accounts/1234", "location": "path", "pattern": "^accounts/[^/]+$", "required": true, "type": "string" } }, "httpMethod": "POST", "id": "analyticsadmin.accounts.userLinks.audit", "path": "v1alpha/{+parent}/userLinks:audit", "description": "Lists all user links on an account or property, including implicit ones that come from effective permissions granted by groups or organization admin roles. If a returned user link does not have direct permissions, they cannot be removed from the account or property directly with the DeleteUserLink command. They have to be removed from the group/etc that gives them permissions, which is currently only usable/discoverable in the GA or GMP UIs.", "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users", "https://www.googleapis.com/auth/analytics.manage.users.readonly" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaAuditUserLinksRequest" } }, "patch": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "path": "v1alpha/{+name}", "parameters": { "name": { "description": "Output only. Example format: properties/1234/userLinks/5678", "location": "path", "type": "string", "pattern": "^accounts/[^/]+/userLinks/[^/]+$", "required": true } }, "id": "analyticsadmin.accounts.userLinks.patch", "request": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "description": "Updates a user link on an account or property.", "flatPath": "v1alpha/accounts/{accountsId}/userLinks/{userLinksId}", "response": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "httpMethod": "PATCH" }, "batchDelete": { "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "description": "Deletes information about multiple users' links to an account or property.", "path": "v1alpha/{+parent}/userLinks:batchDelete", "id": "analyticsadmin.accounts.userLinks.batchDelete", "response": { "$ref": "GoogleProtobufEmpty" }, "request": { "$ref": "GoogleAnalyticsAdminV1alphaBatchDeleteUserLinksRequest" }, "httpMethod": "POST", "parameters": { "parent": { "pattern": "^accounts/[^/]+$", "required": true, "location": "path", "description": "Required. The account or property that all user links in the request are for. The parent of all values for user link names to delete must match this field. Example format: accounts/1234", "type": "string" } }, "flatPath": "v1alpha/accounts/{accountsId}/userLinks:batchDelete", "parameterOrder": [ "parent" ] }, "batchCreate": { "response": { "$ref": "GoogleAnalyticsAdminV1alphaBatchCreateUserLinksResponse" }, "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaBatchCreateUserLinksRequest" }, "path": "v1alpha/{+parent}/userLinks:batchCreate", "parameterOrder": [ "parent" ], "httpMethod": "POST", "parameters": { "parent": { "type": "string", "description": "Required. The account or property that all user links in the request are for. This field is required. The parent field in the CreateUserLinkRequest messages must either be empty or match this field. Example format: accounts/1234", "required": true, "pattern": "^accounts/[^/]+$", "location": "path" } }, "id": "analyticsadmin.accounts.userLinks.batchCreate", "description": "Creates information about multiple users' links to an account or property. This method is transactional. If any UserLink cannot be created, none of the UserLinks will be created.", "flatPath": "v1alpha/accounts/{accountsId}/userLinks:batchCreate" }, "get": { "flatPath": "v1alpha/accounts/{accountsId}/userLinks/{userLinksId}", "parameterOrder": [ "name" ], "path": "v1alpha/{+name}", "id": "analyticsadmin.accounts.userLinks.get", "response": { "$ref": "GoogleAnalyticsAdminV1alphaUserLink" }, "httpMethod": "GET", "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^accounts/[^/]+/userLinks/[^/]+$", "description": "Required. Example format: accounts/1234/userLinks/5678" } }, "description": "Gets information about a user's link to an account or property.", "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users", "https://www.googleapis.com/auth/analytics.manage.users.readonly" ] }, "list": { "description": "Lists all user links on an account or property.", "path": "v1alpha/{+parent}/userLinks", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users", "https://www.googleapis.com/auth/analytics.manage.users.readonly" ], "response": { "$ref": "GoogleAnalyticsAdminV1alphaListUserLinksResponse" }, "id": "analyticsadmin.accounts.userLinks.list", "parameters": { "pageSize": { "format": "int32", "description": "The maximum number of user links to return. The service may return fewer than this value. If unspecified, at most 200 user links will be returned. The maximum value is 500; values above 500 will be coerced to 500.", "type": "integer", "location": "query" }, "pageToken": { "location": "query", "description": "A page token, received from a previous `ListUserLinks` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListUserLinks` must match the call that provided the page token.", "type": "string" }, "parent": { "pattern": "^accounts/[^/]+$", "location": "path", "description": "Required. Example format: accounts/1234", "required": true, "type": "string" } }, "flatPath": "v1alpha/accounts/{accountsId}/userLinks", "parameterOrder": [ "parent" ] }, "batchGet": { "parameterOrder": [ "parent" ], "id": "analyticsadmin.accounts.userLinks.batchGet", "flatPath": "v1alpha/accounts/{accountsId}/userLinks:batchGet", "scopes": [ "https://www.googleapis.com/auth/analytics.manage.users", "https://www.googleapis.com/auth/analytics.manage.users.readonly" ], "description": "Gets information about multiple users' links to an account or property.", "response": { "$ref": "GoogleAnalyticsAdminV1alphaBatchGetUserLinksResponse" }, "path": "v1alpha/{+parent}/userLinks:batchGet", "parameters": { "names": { "repeated": true, "type": "string", "description": "Required. The names of the user links to retrieve. A maximum of 1000 user links can be retrieved in a batch. Format: accounts/{accountId}/userLinks/{userLinkId}", "location": "query" }, "parent": { "required": true, "description": "Required. The account or property that all user links in the request are for. The parent of all provided values for the 'names' field must match this field. Example format: accounts/1234", "pattern": "^accounts/[^/]+$", "type": "string", "location": "path" } }, "httpMethod": "GET" } } } }, "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "parameterOrder": [], "response": { "$ref": "GoogleAnalyticsAdminV1alphaListAccountsResponse" }, "flatPath": "v1alpha/accounts", "path": "v1alpha/accounts", "parameters": { "showDeleted": { "description": "Whether to include soft-deleted (ie: \"trashed\") Accounts in the results. Accounts can be inspected to determine whether they are deleted or not.", "type": "boolean", "location": "query" }, "pageToken": { "location": "query", "description": "A page token, received from a previous `ListAccounts` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListAccounts` must match the call that provided the page token.", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of resources to return. The service may return fewer than this value, even if there are additional pages. If unspecified, at most 50 resources will be returned. The maximum value is 200; (higher values will be coerced to the maximum)", "format": "int32" } }, "id": "analyticsadmin.accounts.list", "description": "Returns all accounts accessible by the caller. Note that these accounts might not currently have GA4 properties. Soft-deleted (ie: \"trashed\") accounts are excluded by default. Returns an empty list if no relevant accounts are found.", "httpMethod": "GET" }, "getDataSharingSettings": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "httpMethod": "GET", "response": { "$ref": "GoogleAnalyticsAdminV1alphaDataSharingSettings" }, "flatPath": "v1alpha/accounts/{accountsId}/dataSharingSettings", "description": "Get data sharing settings on an account. Data sharing settings are singletons.", "path": "v1alpha/{+name}", "id": "analyticsadmin.accounts.getDataSharingSettings", "parameters": { "name": { "required": true, "type": "string", "description": "Required. The name of the settings to lookup. Format: accounts/{account}/dataSharingSettings Example: \"accounts/1000/dataSharingSettings\"", "pattern": "^accounts/[^/]+/dataSharingSettings$", "location": "path" } }, "parameterOrder": [ "name" ] }, "searchChangeHistoryEvents": { "path": "v1alpha/{+account}:searchChangeHistoryEvents", "httpMethod": "POST", "id": "analyticsadmin.accounts.searchChangeHistoryEvents", "response": { "$ref": "GoogleAnalyticsAdminV1alphaSearchChangeHistoryEventsResponse" }, "parameterOrder": [ "account" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaSearchChangeHistoryEventsRequest" }, "parameters": { "account": { "pattern": "^accounts/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The account resource for which to return change history resources." } }, "flatPath": "v1alpha/accounts/{accountsId}:searchChangeHistoryEvents", "description": "Searches through all changes to an account or its children given the specified set of filters." }, "patch": { "parameters": { "name": { "location": "path", "required": true, "pattern": "^accounts/[^/]+$", "description": "Output only. Resource name of this account. Format: accounts/{account} Example: \"accounts/100\"", "type": "string" }, "updateMask": { "format": "google-fieldmask", "description": "Required. The list of fields to be updated. Field names must be in snake case (e.g., \"field_to_update\"). Omitted fields will not be updated. To replace the entire entity, use one path with the string \"*\" to match all fields.", "location": "query", "type": "string" } }, "parameterOrder": [ "name" ], "description": "Updates an account.", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "request": { "$ref": "GoogleAnalyticsAdminV1alphaAccount" }, "httpMethod": "PATCH", "flatPath": "v1alpha/accounts/{accountsId}", "path": "v1alpha/{+name}", "id": "analyticsadmin.accounts.patch", "response": { "$ref": "GoogleAnalyticsAdminV1alphaAccount" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/analytics.edit", "https://www.googleapis.com/auth/analytics.readonly" ], "path": "v1alpha/{+name}", "description": "Lookup for a single Account.", "id": "analyticsadmin.accounts.get", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. The name of the account to lookup. Format: accounts/{account} Example: \"accounts/100\"", "pattern": "^accounts/[^/]+$" } }, "flatPath": "v1alpha/accounts/{accountsId}", "response": { "$ref": "GoogleAnalyticsAdminV1alphaAccount" }, "httpMethod": "GET", "parameterOrder": [ "name" ] }, "delete": { "description": "Marks target Account as soft-deleted (ie: \"trashed\") and returns it. This API does not have a method to restore soft-deleted accounts. However, they can be restored using the Trash Can UI. If the accounts are not restored before the expiration time, the account and all child resources (eg: Properties, GoogleAdsLinks, Streams, UserLinks) will be permanently purged. https://support.google.com/analytics/answer/6154772 Returns an error if the target is not found.", "id": "analyticsadmin.accounts.delete", "flatPath": "v1alpha/accounts/{accountsId}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "httpMethod": "DELETE", "path": "v1alpha/{+name}", "parameters": { "name": { "description": "Required. The name of the Account to soft-delete. Format: accounts/{account} Example: \"accounts/100\"", "pattern": "^accounts/[^/]+$", "type": "string", "location": "path", "required": true } } }, "provisionAccountTicket": { "request": { "$ref": "GoogleAnalyticsAdminV1alphaProvisionAccountTicketRequest" }, "id": "analyticsadmin.accounts.provisionAccountTicket", "scopes": [ "https://www.googleapis.com/auth/analytics.edit" ], "parameters": {}, "httpMethod": "POST", "flatPath": "v1alpha/accounts:provisionAccountTicket", "path": "v1alpha/accounts:provisionAccountTicket", "parameterOrder": [], "response": { "$ref": "GoogleAnalyticsAdminV1alphaProvisionAccountTicketResponse" }, "description": "Requests a ticket for creating an account." } } } }, "ownerDomain": "google.com", "revision": "20220711", "name": "analyticsadmin", "baseUrl": "https://analyticsadmin.googleapis.com/", "parameters": { "$.xgafv": { "enum": [ "1", "2" ], "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format." }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "alt": { "type": "string", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "default": "json", "location": "query" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." } }, "mtlsRootUrl": "https://analyticsadmin.mtls.googleapis.com/", "version_module": true, "documentationLink": "http://code.google.com/apis/analytics/docs/mgmt/home.html", "description": "", "version": "v1alpha", "basePath": "", "id": "analyticsadmin:v1alpha", "ownerName": "Google", "discoveryVersion": "v1", "kind": "discovery#restDescription", "rootUrl": "https://analyticsadmin.googleapis.com/" }
]===]))
