local decode = require("cjson").new().decode
return assert(decode([===[
{ "resources": { "organizations": { "resources": { "locations": { "resources": { "dataExchanges": { "methods": { "list": { "parameterOrder": [ "organization" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all data exchanges from projects in a given organization and location.", "response": { "$ref": "ListOrgDataExchangesResponse" }, "parameters": { "organization": { "required": true, "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+$", "description": "Required. The organization resource path of the projects containing DataExchanges. e.g. `organizations/myorg/locations/US`.", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Page token, returned by a previous call, to request the next page of results." }, "pageSize": { "type": "integer", "description": "The maximum number of results to return in a single response page. Leverage the page tokens to iterate through the entire collection.", "location": "query", "format": "int32" } }, "id": "analyticshub.organizations.locations.dataExchanges.list", "httpMethod": "GET", "path": "v1beta1/{+organization}/dataExchanges", "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/dataExchanges" } } } } } } }, "projects": { "resources": { "locations": { "methods": { "get": { "parameters": { "name": { "location": "path", "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "analyticshub.projects.locations.get", "description": "Gets information about a location.", "path": "v1beta1/{+name}", "response": { "$ref": "Location" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}" }, "list": { "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations", "description": "Lists information about the supported locations for this service.", "id": "analyticshub.projects.locations.list", "httpMethod": "GET", "response": { "$ref": "ListLocationsResponse" }, "path": "v1beta1/{+name}/locations", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+$", "description": "The resource that owns the locations collection, if applicable.", "type": "string", "location": "path", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query", "type": "string" } } } }, "resources": { "dataExchanges": { "methods": { "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" }, "description": "Returns the permissions that a caller has.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}:testIamPermissions", "id": "analyticshub.projects.locations.dataExchanges.testIamPermissions", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true } }, "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" } }, "setIamPolicy": { "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:setIamPolicy", "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}:setIamPolicy", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the IAM policy.", "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "id": "analyticshub.projects.locations.dataExchanges.setIamPolicy" }, "list": { "parameters": { "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of results to return in a single response page. Leverage the page tokens to iterate through the entire collection.", "type": "integer" }, "pageToken": { "description": "Page token, returned by a previous call, to request the next page of results.", "type": "string", "location": "query" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The parent resource path of the data exchanges. e.g. `projects/myproject/locations/US`.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges", "httpMethod": "GET", "id": "analyticshub.projects.locations.dataExchanges.list", "path": "v1beta1/{+parent}/dataExchanges", "description": "Lists all data exchanges in a given project and location.", "response": { "$ref": "ListDataExchangesResponse" }, "parameterOrder": [ "parent" ] }, "create": { "parameterOrder": [ "parent" ], "description": "Creates a new data exchange.", "request": { "$ref": "DataExchange" }, "path": "v1beta1/{+parent}/dataExchanges", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges", "id": "analyticshub.projects.locations.dataExchanges.create", "httpMethod": "POST", "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "description": "Required. The parent resource path of the data exchange. e.g. `projects/myproject/locations/US`." }, "dataExchangeId": { "type": "string", "location": "query", "description": "Required. The ID of the data exchange. Must contain only Unicode letters, numbers (0-9), underscores (_). Should not use characters that require URL-escaping, or characters outside of ASCII, spaces. Max length: 100 bytes." } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "DataExchange" } }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "name" ], "description": "Deletes an existing data exchange.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}", "response": { "$ref": "Empty" }, "id": "analyticshub.projects.locations.dataExchanges.delete", "parameters": { "name": { "description": "Required. The full name of the data exchange resource that you want to delete. For example, `projects/myproject/locations/US/dataExchanges/123`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+$", "location": "path" } } }, "get": { "id": "analyticshub.projects.locations.dataExchanges.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+$", "description": "Required. The resource name of the data exchange. e.g. `projects/myproject/locations/US/dataExchanges/123`.", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}", "response": { "$ref": "DataExchange" }, "description": "Gets the details of a data exchange.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "httpMethod": "POST", "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:getIamPolicy", "id": "analyticshub.projects.locations.dataExchanges.getIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string" } }, "request": { "$ref": "GetIamPolicyRequest" }, "description": "Gets the IAM policy." }, "patch": { "id": "analyticshub.projects.locations.dataExchanges.patch", "parameters": { "name": { "description": "Output only. The resource name of the data exchange. e.g. `projects/myproject/locations/US/dataExchanges/123`.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+$" }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Required. Field mask specifies the fields to update in the data exchange resource. The fields specified in the `updateMask` are relative to the resource and are not a full request." } }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "path": "v1beta1/{+name}", "request": { "$ref": "DataExchange" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}", "response": { "$ref": "DataExchange" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates an existing data exchange." } }, "resources": { "listings": { "methods": { "setIamPolicy": { "path": "v1beta1/{+resource}:setIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}/listings/{listingsId}:setIamPolicy", "id": "analyticshub.projects.locations.dataExchanges.listings.setIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "httpMethod": "POST", "description": "Sets the IAM policy.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+/listings/[^/]+$" } }, "request": { "$ref": "SetIamPolicyRequest" } }, "delete": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}/listings/{listingsId}", "response": { "$ref": "Empty" }, "id": "analyticshub.projects.locations.dataExchanges.listings.delete", "parameters": { "name": { "description": "Required. Resource name of the listing to delete. e.g. `projects/myproject/locations/US/dataExchanges/123/listings/456`.", "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+/listings/[^/]+$", "type": "string", "required": true, "location": "path" } }, "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "description": "Deletes a listing.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "description": "Gets the IAM policy.", "request": { "$ref": "GetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+/listings/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "response": { "$ref": "Policy" }, "id": "analyticshub.projects.locations.dataExchanges.listings.getIamPolicy", "path": "v1beta1/{+resource}:getIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}/listings/{listingsId}:getIamPolicy" }, "list": { "httpMethod": "GET", "description": "Lists all listings in a given project and location.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "type": "string", "description": "Required. The parent resource path of the listing. e.g. `projects/myproject/locations/US/dataExchanges/123`.", "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+$", "required": true }, "pageToken": { "type": "string", "description": "Page token, returned by a previous call, to request the next page of results.", "location": "query" }, "pageSize": { "type": "integer", "description": "The maximum number of results to return in a single response page. Leverage the page tokens to iterate through the entire collection.", "format": "int32", "location": "query" } }, "id": "analyticshub.projects.locations.dataExchanges.listings.list", "path": "v1beta1/{+parent}/listings", "response": { "$ref": "ListListingsResponse" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}/listings" }, "get": { "id": "analyticshub.projects.locations.dataExchanges.listings.get", "response": { "$ref": "Listing" }, "parameters": { "name": { "description": "Required. The resource name of the listing. e.g. `projects/myproject/locations/US/dataExchanges/123/listings/456`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+/listings/[^/]+$", "required": true, "type": "string" } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "description": "Gets the details of a listing.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}/listings/{listingsId}" }, "testIamPermissions": { "parameterOrder": [ "resource" ], "description": "Returns the permissions that a caller has.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+resource}:testIamPermissions", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+/listings/[^/]+$", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "TestIamPermissionsResponse" }, "id": "analyticshub.projects.locations.dataExchanges.listings.testIamPermissions", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}/listings/{listingsId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" } }, "subscribe": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}:subscribe", "description": "Subscribes to a listing. Currently, with Analytics Hub, you can create listings that reference only BigQuery datasets. Upon subscription to a listing for a BigQuery dataset, Analytics Hub creates a linked dataset in the subscriber's project.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}/listings/{listingsId}:subscribe", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. Resource name of the listing that you want to subscribe to. e.g. `projects/myproject/locations/US/dataExchanges/123/listings/456`.", "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+/listings/[^/]+$", "required": true } }, "httpMethod": "POST", "parameterOrder": [ "name" ], "id": "analyticshub.projects.locations.dataExchanges.listings.subscribe", "response": { "$ref": "SubscribeListingResponse" }, "request": { "$ref": "SubscribeListingRequest" } }, "patch": { "parameterOrder": [ "name" ], "id": "analyticshub.projects.locations.dataExchanges.listings.patch", "response": { "$ref": "Listing" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}/listings/{listingsId}", "path": "v1beta1/{+name}", "request": { "$ref": "Listing" }, "parameters": { "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "Required. Field mask specifies the fields to update in the listing resource. The fields specified in the `updateMask` are relative to the resource and are not a full request." }, "name": { "location": "path", "type": "string", "description": "Output only. The resource name of the listing. e.g. `projects/myproject/locations/US/dataExchanges/123/listings/456`", "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+/listings/[^/]+$", "required": true } }, "httpMethod": "PATCH", "description": "Updates an existing listing." }, "create": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/dataExchanges/{dataExchangesId}/listings", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "Listing" }, "id": "analyticshub.projects.locations.dataExchanges.listings.create", "response": { "$ref": "Listing" }, "parameters": { "listingId": { "description": "Required. The ID of the listing to create. Must contain only Unicode letters, numbers (0-9), underscores (_). Should not use characters that require URL-escaping, or characters outside of ASCII, spaces. Max length: 100 bytes.", "location": "query", "type": "string" }, "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/dataExchanges/[^/]+$", "description": "Required. The parent resource path of the listing. e.g. `projects/myproject/locations/US/dataExchanges/123`." } }, "path": "v1beta1/{+parent}/listings", "description": "Creates a new listing." } } } } } } } } } }, "protocol": "rest", "description": "Exchange data and analytics assets securely and efficiently.", "baseUrl": "https://analyticshub.googleapis.com/", "documentationLink": "https://cloud.google.com/bigquery/docs/analytics-hub-introduction", "version": "v1beta1", "id": "analyticshub:v1beta1", "servicePath": "", "canonicalName": "Analytics Hub", "parameters": { "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "$.xgafv": { "location": "query", "description": "V1 error format.", "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query", "default": "true" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "alt": { "type": "string", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "default": "json", "location": "query" } }, "title": "Analytics Hub API", "ownerName": "Google", "fullyEncodeReservedExpansion": true, "batchPath": "batch", "rootUrl": "https://analyticshub.googleapis.com/", "revision": "20220701", "basePath": "", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "schemas": { "ListListingsResponse": { "properties": { "listings": { "items": { "$ref": "Listing" }, "description": "The list of Listing.", "type": "array" }, "nextPageToken": { "description": "A token to request the next page of results.", "type": "string" } }, "description": "Message for response to the list of Listings.", "id": "ListListingsResponse", "type": "object" }, "Binding": { "type": "object", "id": "Binding", "description": "Associates `members`, or principals, with a `role`.", "properties": { "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" } } }, "Location": { "type": "object", "description": "A resource that represents Google Cloud Platform location.", "properties": { "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object", "additionalProperties": { "type": "string" } } }, "id": "Location" }, "ListOrgDataExchangesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token to request the next page of results." }, "dataExchanges": { "items": { "$ref": "DataExchange" }, "description": "The list of data exchanges.", "type": "array" } }, "description": "Message for response to listing data exchanges in an organization and location.", "id": "ListOrgDataExchangesResponse", "type": "object" }, "BigQueryDatasetSource": { "id": "BigQueryDatasetSource", "properties": { "dataset": { "type": "string", "description": "Resource name of the dataset source for this listing. e.g. `projects/myproject/datasets/123`" } }, "description": "A reference to a shared dataset. It is an existing BigQuery dataset with a collection of objects such as tables and views that you want to share with subscribers. When subscriber's subscribe to a listing, Analytics Hub creates a linked dataset in the subscriber's project. A Linked dataset is an opaque, read-only BigQuery dataset that serves as a _symbolic link_ to a shared dataset.", "type": "object" }, "Listing": { "type": "object", "properties": { "dataProvider": { "$ref": "DataProvider", "description": "Optional. Details of the data provider who owns the source data." }, "state": { "enum": [ "STATE_UNSPECIFIED", "ACTIVE" ], "description": "Output only. Current state of the listing.", "enumDescriptions": [ "Default value. This value is unused.", "Subscribable state. Users with dataexchange.listings.subscribe permission can subscribe to this listing." ], "type": "string", "readOnly": true }, "requestAccess": { "description": "Optional. Email or URL of the request access of the listing. Subscribers can use this reference to request access. Max Length: 1000 bytes.", "type": "string" }, "icon": { "format": "byte", "type": "string", "description": "Optional. Base64 encoded image representing the listing. Max Size: 3.0MiB Expected image dimensions are 512x512 pixels, however the API only performs validation on size of the encoded data. Note: For byte fields, the contents of the field are base64-encoded (which increases the size of the data by 33-36%) when using JSON on the wire." }, "displayName": { "type": "string", "description": "Required. Human-readable display name of the listing. The display name must contain only Unicode letters, numbers (0-9), underscores (_), dashes (-), spaces ( ), and can't start or end with spaces. Default value is an empty string. Max length: 63 bytes." }, "name": { "readOnly": true, "type": "string", "description": "Output only. The resource name of the listing. e.g. `projects/myproject/locations/US/dataExchanges/123/listings/456`" }, "primaryContact": { "description": "Optional. Email or URL of the primary point of contact of the listing. Max Length: 1000 bytes.", "type": "string" }, "description": { "description": "Optional. Short description of the listing. The description must not contain Unicode non-characters and C0 and C1 control codes except tabs (HT), new lines (LF), carriage returns (CR), and page breaks (FF). Default value is an empty string. Max length: 2000 bytes.", "type": "string" }, "publisher": { "description": "Optional. Details of the publisher who owns the listing and who can share the source data.", "$ref": "Publisher" }, "documentation": { "type": "string", "description": "Optional. Documentation describing the listing." }, "bigqueryDataset": { "description": "Required. Shared dataset i.e. BigQuery dataset source.", "$ref": "BigQueryDatasetSource" }, "categories": { "type": "array", "items": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "CATEGORY_UNSPECIFIED", "CATEGORY_OTHERS", "CATEGORY_ADVERTISING_AND_MARKETING", "CATEGORY_COMMERCE", "CATEGORY_CLIMATE_AND_ENVIRONMENT", "CATEGORY_DEMOGRAPHICS", "CATEGORY_ECONOMICS", "CATEGORY_EDUCATION", "CATEGORY_ENERGY", "CATEGORY_FINANCIAL", "CATEGORY_GAMING", "CATEGORY_GEOSPATIAL", "CATEGORY_HEALTHCARE_AND_LIFE_SCIENCE", "CATEGORY_MEDIA", "CATEGORY_PUBLIC_SECTOR", "CATEGORY_RETAIL", "CATEGORY_SPORTS", "CATEGORY_SCIENCE_AND_RESEARCH", "CATEGORY_TRANSPORTATION_AND_LOGISTICS", "CATEGORY_TRAVEL_AND_TOURISM" ], "type": "string" }, "description": "Optional. Categories of the listing. Up to two categories are allowed." } }, "description": "A listing is what gets published into a data exchange that a subscriber can subscribe to. It contains a reference to the data source along with descriptive information that will help subscribers find and subscribe the data.", "id": "Listing" }, "SubscribeListingResponse": { "description": "Message for response when you subscribe to a listing.", "properties": {}, "type": "object", "id": "SubscribeListingResponse" }, "GetPolicyOptions": { "description": "Encapsulates settings provided to GetIamPolicy.", "id": "GetPolicyOptions", "type": "object", "properties": { "requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } } }, "GetIamPolicyRequest": { "description": "Request message for `GetIamPolicy` method.", "properties": { "options": { "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.", "$ref": "GetPolicyOptions" } }, "type": "object", "id": "GetIamPolicyRequest" }, "Policy": { "type": "object", "properties": { "auditConfigs": { "items": { "$ref": "AuditConfig" }, "type": "array", "description": "Specifies cloud audit logging configuration for this policy." }, "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" } }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string", "format": "byte" } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy" }, "Expr": { "type": "object", "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." } } }, "AuditConfig": { "properties": { "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" }, "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "type": "array", "description": "The configuration for logging of each type of permission." } }, "id": "AuditConfig", "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "DestinationDataset": { "type": "object", "id": "DestinationDataset", "properties": { "friendlyName": { "description": "Optional. A descriptive name for the dataset.", "type": "string" }, "description": { "type": "string", "description": "Optional. A user-friendly description of the dataset." }, "location": { "type": "string", "description": "Required. The geographic location where the dataset should reside. See https://cloud.google.com/bigquery/docs/locations for supported locations." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. The labels associated with this dataset. You can use these to organize and group your datasets. You can set this property when inserting or updating a dataset. See https://cloud.google.com/resource-manager/docs/creating-managing-labels for more information." }, "datasetReference": { "$ref": "DestinationDatasetReference", "description": "Required. A reference that identifies the destination dataset." } }, "description": "Defines the destination bigquery dataset." }, "Publisher": { "description": "Contains details of the listing publisher.", "type": "object", "properties": { "primaryContact": { "type": "string", "description": "Optional. Email or URL of the listing publisher. Max Length: 1000 bytes." }, "name": { "description": "Optional. Name of the listing publisher.", "type": "string" } }, "id": "Publisher" }, "ListDataExchangesResponse": { "type": "object", "description": "Message for response to the list of data exchanges.", "properties": { "nextPageToken": { "description": "A token to request the next page of results.", "type": "string" }, "dataExchanges": { "description": "The list of data exchanges.", "type": "array", "items": { "$ref": "DataExchange" } } }, "id": "ListDataExchangesResponse" }, "DestinationDatasetReference": { "properties": { "datasetId": { "type": "string", "description": "Required. A unique ID for this dataset, without the project name. The ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_). The maximum length is 1,024 characters." }, "projectId": { "type": "string", "description": "Required. The ID of the project containing this dataset." } }, "description": "Contains the reference that identifies a destination bigquery dataset.", "type": "object", "id": "DestinationDatasetReference" }, "Empty": { "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "properties": {} }, "OperationMetadata": { "properties": { "createTime": { "readOnly": true, "description": "Output only. The time the operation was created.", "format": "google-datetime", "type": "string" }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "endTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time the operation finished running." }, "statusDetail": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true }, "target": { "readOnly": true, "type": "string", "description": "Output only. Server-defined resource path for the target of the operation." }, "apiVersion": { "description": "Output only. API version used to start the operation.", "readOnly": true, "type": "string" }, "cancelRequested": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true } }, "type": "object", "description": "Represents the metadata of the long-running operation.", "id": "OperationMetadata" }, "SubscribeListingRequest": { "properties": { "destinationDataset": { "description": "BigQuery destination dataset to create for the subscriber.", "$ref": "DestinationDataset" } }, "id": "SubscribeListingRequest", "description": "Message for subscribing to a listing.", "type": "object" }, "TestIamPermissionsResponse": { "type": "object", "id": "TestIamPermissionsResponse", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "description": "Response message for `TestIamPermissions` method." }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "id": "SetIamPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string" } }, "type": "object" }, "DataExchange": { "description": "A data exchange is a container that lets you share data. Along with the descriptive information about the data exchange, it contains listings that reference shared datasets.", "type": "object", "id": "DataExchange", "properties": { "icon": { "description": "Optional. Base64 encoded image representing the data exchange. Max Size: 3.0MiB Expected image dimensions are 512x512 pixels, however the API only performs validation on size of the encoded data. Note: For byte fields, the content of the fields are base64-encoded (which increases the size of the data by 33-36%) when using JSON on the wire.", "type": "string", "format": "byte" }, "name": { "type": "string", "description": "Output only. The resource name of the data exchange. e.g. `projects/myproject/locations/US/dataExchanges/123`.", "readOnly": true }, "documentation": { "description": "Optional. Documentation describing the data exchange.", "type": "string" }, "primaryContact": { "description": "Optional. Email or URL of the primary point of contact of the data exchange. Max Length: 1000 bytes.", "type": "string" }, "displayName": { "type": "string", "description": "Required. Human-readable display name of the data exchange. The display name must contain only Unicode letters, numbers (0-9), underscores (_), dashes (-), spaces ( ), and must not start or end with spaces. Default value is an empty string. Max length: 63 bytes." }, "listingCount": { "readOnly": true, "type": "integer", "format": "int32", "description": "Output only. Number of listings contained in the data exchange." }, "description": { "type": "string", "description": "Optional. Description of the data exchange. The description must not contain Unicode non-characters as well as C0 and C1 control codes except tabs (HT), new lines (LF), carriage returns (CR), and page breaks (FF). Default value is an empty string. Max length: 2000 bytes." } } }, "ListLocationsResponse": { "properties": { "locations": { "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request.", "type": "array" }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Locations.ListLocations.", "type": "object", "id": "ListLocationsResponse" }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "type": "object", "description": "Request message for `TestIamPermissions` method." }, "DataProvider": { "properties": { "name": { "type": "string", "description": "Optional. Name of the data provider." }, "primaryContact": { "type": "string", "description": "Optional. Email or URL of the data provider. Max Length: 1000 bytes." } }, "type": "object", "description": "Contains details of the data provider.", "id": "DataProvider" }, "AuditLogConfig": { "type": "object", "properties": { "exemptedMembers": { "type": "array", "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." }, "logType": { "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string" } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/bigquery": { "description": "View and manage your data in Google BigQuery and see the email address for your Google Account" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "mtlsRootUrl": "https://analyticshub.mtls.googleapis.com/", "name": "analyticshub", "version_module": true, "ownerDomain": "google.com", "discoveryVersion": "v1", "kind": "discovery#restDescription" }
]===]))
