local decode = require("cjson").new().decode
return assert(decode([===[
{ "discoveryVersion": "v1", "kind": "discovery#restDescription", "parameters": { "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "$.xgafv": { "location": "query", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ] }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "alt": { "default": "json", "enum": [ "json", "media", "proto" ], "location": "query", "description": "Data format for response.", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "prettyPrint": { "type": "boolean", "location": "query", "default": "true", "description": "Returns response with indentations and line breaks." }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" } }, "canonicalName": "Android Provisioning Partner", "name": "androiddeviceprovisioning", "rootUrl": "https://androiddeviceprovisioning.googleapis.com/", "title": "Android Device Provisioning Partner API", "fullyEncodeReservedExpansion": true, "ownerName": "Google", "ownerDomain": "google.com", "schemas": { "CustomerListDpcsResponse": { "properties": { "dpcs": { "items": { "$ref": "Dpc" }, "type": "array", "description": "The list of DPCs available to the customer that support zero-touch enrollment." } }, "id": "CustomerListDpcsResponse", "type": "object", "description": "Response message of customer's listing DPCs." }, "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "id": "Empty" }, "ClaimDeviceResponse": { "properties": { "deviceName": { "description": "The resource name of the device in the format `partners/[PARTNER_ID]/devices/[DEVICE_ID]`.", "type": "string" }, "deviceId": { "type": "string", "format": "int64", "description": "The device ID of the claimed device." } }, "type": "object", "description": "Response message containing device id of the claim.", "id": "ClaimDeviceResponse" }, "CustomerUnclaimDeviceRequest": { "properties": { "device": { "description": "Required. The device to unclaim. There are custom validations in UnclaimDeviceRequestValidator.", "$ref": "DeviceReference" } }, "id": "CustomerUnclaimDeviceRequest", "type": "object", "description": "Request message for customer to unclaim a device." }, "FindDevicesByOwnerResponse": { "description": "Response containing found devices.", "id": "FindDevicesByOwnerResponse", "properties": { "totalSize": { "description": "The total count of items in the list irrespective of pagination.", "format": "int32", "type": "integer" }, "devices": { "description": "The customer's devices.", "type": "array", "items": { "$ref": "Device" } }, "nextPageToken": { "description": "A token used to access the next page of results. Omitted if no further results are available.", "type": "string" } }, "type": "object" }, "UnclaimDeviceRequest": { "id": "UnclaimDeviceRequest", "description": "Request message to unclaim a device.", "type": "object", "properties": { "deviceIdentifier": { "description": "Required. The device identifier you used when you claimed this device.", "$ref": "DeviceIdentifier" }, "sectionType": { "enum": [ "SECTION_TYPE_UNSPECIFIED", "SECTION_TYPE_SIM_LOCK", "SECTION_TYPE_ZERO_TOUCH" ], "enumDescriptions": [ "Unspecified section type.", "SIM-lock section type.", "Zero-touch enrollment section type." ], "type": "string", "description": "Required. The section type of the device's provisioning record." }, "deviceId": { "description": "Required. The device ID returned by `ClaimDevice`.", "type": "string", "format": "int64" }, "vacationModeExpireTime": { "description": "The expiration time of the vacation unlock.", "type": "string", "format": "google-datetime" }, "vacationModeDays": { "description": "The duration of the vacation unlock starting from when the request is processed. (1 day is treated as 24 hours)", "type": "integer", "format": "int32" } } }, "Company": { "properties": { "skipWelcomeEmail": { "type": "boolean", "description": "Input only. If set to true, welcome email will not be sent to the customer. It is recommended to skip the welcome email if devices will be claimed with additional DEVICE_PROTECTION service, as the customer will receive separate emails at device claim time. This field is ignored if this is not a Zero-touch customer." }, "ownerEmails": { "items": { "type": "string" }, "type": "array", "description": "Required. Input only. Email address of customer's users in the owner role. At least one `owner_email` is required. Owners share the same access as admins but can also add, delete, and edit your organization's portal users." }, "languageCode": { "type": "string", "description": "Input only. The preferred locale of the customer represented as a BCP47 language code. This field is validated on input and requests containing unsupported language codes will be rejected. Supported language codes: Arabic (ar) Chinese (Hong Kong) (zh-HK) Chinese (Simplified) (zh-CN) Chinese (Traditional) (zh-TW) Czech (cs) Danish (da) Dutch (nl) English (UK) (en-GB) English (US) (en-US) Filipino (fil) Finnish (fi) French (fr) German (de) Hebrew (iw) Hindi (hi) Hungarian (hu) Indonesian (id) Italian (it) Japanese (ja) Korean (ko) Norwegian (Bokmal) (no) Polish (pl) Portuguese (Brazil) (pt-BR) Portuguese (Portugal) (pt-PT) Russian (ru) Spanish (es) Spanish (Latin America) (es-419) Swedish (sv) Thai (th) Turkish (tr) Ukrainian (uk) Vietnamese (vi)" }, "name": { "description": "Output only. The API resource name of the company. The resource name is one of the following formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `partners/[PARTNER_ID]/customers/[CUSTOMER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `partners/[PARTNER_ID]/vendors/[VENDOR_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `partners/[PARTNER_ID]/vendors/[VENDOR_ID]/customers/[CUSTOMER_ID]` Assigned by the server.", "readOnly": true, "type": "string" }, "companyId": { "type": "string", "readOnly": true, "description": "Output only. The ID of the company. Assigned by the server.", "format": "int64" }, "termsStatus": { "enumDescriptions": [ "Default value. This value should never be set if the enum is present.", "None of the company's users have accepted the ToS.", "One (or more) of the company's users has accepted the ToS.", "None of the company's users has accepted the current ToS but at least one user accepted a previous ToS." ], "type": "string", "readOnly": true, "enum": [ "TERMS_STATUS_UNSPECIFIED", "TERMS_STATUS_NOT_ACCEPTED", "TERMS_STATUS_ACCEPTED", "TERMS_STATUS_STALE" ], "description": "Output only. Whether any user from the company has accepted the latest Terms of Service (ToS). See TermsStatus." }, "companyName": { "description": "Required. The name of the company. For example _XYZ Corp_. Displayed to the company's employees in the zero-touch enrollment portal.", "type": "string" }, "adminEmails": { "items": { "type": "string" }, "type": "array", "description": "Optional. Email address of customer's users in the admin role. Each email address must be associated with a Google Account." } }, "type": "object", "id": "Company", "description": "A reseller, vendor, or customer in the zero-touch reseller and customer APIs." }, "FindDevicesByDeviceIdentifierRequest": { "type": "object", "id": "FindDevicesByDeviceIdentifierRequest", "properties": { "deviceIdentifier": { "$ref": "DeviceIdentifier", "description": "Required. Required. The device identifier to search for." }, "limit": { "format": "int64", "description": "Required. The maximum number of devices to show in a page of results. Must be between 1 and 100 inclusive.", "type": "string" }, "pageToken": { "type": "string", "description": "A token specifying which result page to return." } }, "description": "Request to find devices." }, "CustomerListCustomersResponse": { "type": "object", "description": "Response message for listing my customers.", "properties": { "nextPageToken": { "type": "string", "description": "A token used to access the next page of results. Omitted if no further results are available." }, "customers": { "type": "array", "description": "The customer accounts the calling user is a member of.", "items": { "$ref": "Company" } } }, "id": "CustomerListCustomersResponse" }, "Configuration": { "properties": { "configurationName": { "type": "string", "description": "Required. A short name that describes the configuration's purpose. For example, _Sales team_ or _Temporary employees_. The zero-touch enrollment portal displays this name to IT admins." }, "companyName": { "description": "Required. The name of the organization. Zero-touch enrollment shows this organization name to device users during device provisioning.", "type": "string" }, "contactEmail": { "description": "Required. The email address that device users can contact to get help. Zero-touch enrollment shows this email address to device users before device provisioning. The value is validated on input.", "type": "string" }, "contactPhone": { "type": "string", "description": "Required. The telephone number that device users can call, using another device, to get help. Zero-touch enrollment shows this number to device users before device provisioning. Accepts numerals, spaces, the plus sign, hyphens, and parentheses." }, "dpcExtras": { "type": "string", "description": "The JSON-formatted EMM provisioning extras that are passed to the DPC." }, "name": { "description": "Output only. The API resource name in the format `customers/[CUSTOMER_ID]/configurations/[CONFIGURATION_ID]`. Assigned by the server.", "type": "string", "readOnly": true }, "dpcResourcePath": { "type": "string", "description": "Required. The resource name of the selected DPC (device policy controller) in the format `customers/[CUSTOMER_ID]/dpcs/*`. To list the supported DPCs, call `customers.dpcs.list`." }, "configurationId": { "description": "Output only. The ID of the configuration. Assigned by the server.", "readOnly": true, "format": "int64", "type": "string" }, "isDefault": { "description": "Required. Whether this is the default configuration that zero-touch enrollment applies to any new devices the organization purchases in the future. Only one customer configuration can be the default. Setting this value to `true`, changes the previous default configuration's `isDefault` value to `false`.", "type": "boolean" }, "customMessage": { "type": "string", "description": "A message, containing one or two sentences, to help device users get help or give them more details about what’s happening to their device. Zero-touch enrollment shows this message before the device is provisioned." } }, "description": "A configuration collects the provisioning options for Android devices. Each configuration combines the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The EMM device policy controller (DPC) installed on the devices. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh EMM policies enforced on the devices. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Metadata displayed on the device to help users during setup. Customers can add as many configurations as they need. However, zero-touch enrollment works best when a customer sets a default configuration that's applied to any new devices the organization purchases.", "id": "Configuration", "type": "object" }, "FindDevicesByOwnerRequest": { "id": "FindDevicesByOwnerRequest", "type": "object", "description": "Request to find devices by customers.", "properties": { "pageToken": { "type": "string", "description": "A token specifying which result page to return." }, "sectionType": { "description": "Required. The section type of the device's provisioning record.", "enumDescriptions": [ "Unspecified section type.", "SIM-lock section type.", "Zero-touch enrollment section type." ], "enum": [ "SECTION_TYPE_UNSPECIFIED", "SECTION_TYPE_SIM_LOCK", "SECTION_TYPE_ZERO_TOUCH" ], "type": "string" }, "limit": { "type": "string", "format": "int64", "description": "Required. The maximum number of devices to show in a page of results. Must be between 1 and 100 inclusive." }, "customerId": { "items": { "type": "string", "format": "int64" }, "type": "array", "description": "Required. The list of customer IDs to search for." } } }, "DevicesLongRunningOperationResponse": { "type": "object", "description": "Tracks the status of a long-running operation to claim, unclaim, or attach metadata to devices. To learn more, read [Long‑running batch operations](/zero-touch/guides/how-it-works#operations).", "properties": { "perDeviceStatus": { "description": "The processing status for each device in the operation. One `PerDeviceStatus` per device. The list order matches the items in the original request.", "items": { "$ref": "OperationPerDevice" }, "type": "array" }, "successCount": { "type": "integer", "format": "int32", "description": "A summary of how many items in the operation the server processed successfully. Updated as the operation progresses." } }, "id": "DevicesLongRunningOperationResponse" }, "Operation": { "id": "Operation", "properties": { "response": { "type": "object", "description": "This field will contain a `DevicesLongRunningOperationResponse` object if the operation is created by `claimAsync`, `unclaimAsync`, or `updateMetadataAsync`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "error": { "description": "This field will always be not set if the operation is created by `claimAsync`, `unclaimAsync`, or `updateMetadataAsync`. In this case, error information for each device is set in `response.perDeviceStatus.result.status`.", "$ref": "Status" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "This field will contain a `DevicesLongRunningOperationMetadata` object if the operation is created by `claimAsync`, `unclaimAsync`, or `updateMetadataAsync`." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object" }, "PartnerClaim": { "id": "PartnerClaim", "type": "object", "description": "Identifies one claim request.", "properties": { "deviceIdentifier": { "$ref": "DeviceIdentifier", "description": "Required. Required. Device identifier of the device." }, "customerId": { "format": "int64", "description": "Required. The ID of the customer for whom the device is being claimed.", "type": "string" }, "sectionType": { "enum": [ "SECTION_TYPE_UNSPECIFIED", "SECTION_TYPE_SIM_LOCK", "SECTION_TYPE_ZERO_TOUCH" ], "description": "Required. The section type of the device's provisioning record.", "type": "string", "enumDescriptions": [ "Unspecified section type.", "SIM-lock section type.", "Zero-touch enrollment section type." ] }, "deviceMetadata": { "description": "Required. The metadata to attach to the device at claim.", "$ref": "DeviceMetadata" } } }, "ClaimDevicesRequest": { "properties": { "claims": { "description": "Required. A list of device claims.", "items": { "$ref": "PartnerClaim" }, "type": "array" } }, "type": "object", "description": "Request to claim devices asynchronously in batch. Claiming a device adds the device to zero-touch enrollment and shows the device in the customer's view of the portal.", "id": "ClaimDevicesRequest" }, "UpdateMetadataArguments": { "id": "UpdateMetadataArguments", "type": "object", "properties": { "deviceId": { "description": "Required. Device ID of the device.", "type": "string", "format": "int64" }, "deviceIdentifier": { "description": "Required. Device identifier.", "$ref": "DeviceIdentifier" }, "deviceMetadata": { "$ref": "DeviceMetadata", "description": "Required. The metadata to update." } }, "description": "Identifies metadata updates to one device." }, "Dpc": { "properties": { "dpcName": { "readOnly": true, "description": "Output only. The title of the DPC app in Google Play. For example, _Google Apps Device Policy_. Useful in an application's user interface.", "type": "string" }, "name": { "description": "Output only. The API resource name in the format `customers/[CUSTOMER_ID]/dpcs/[DPC_ID]`. Assigned by the server. To maintain a reference to a DPC across customer accounts, persist and match the last path component (`DPC_ID`).", "type": "string", "readOnly": true }, "packageName": { "description": "Output only. The DPC's Android application ID that looks like a Java package name. Zero-touch enrollment installs the DPC app onto a device using this identifier.", "type": "string", "readOnly": true } }, "description": "An EMM's DPC ([device policy controller](http://developer.android.com/work/dpc/build-dpc.html)). Zero-touch enrollment installs a DPC (listed in the `Configuration`) on a device to maintain the customer's mobile policies. All the DPCs listed by the API support zero-touch enrollment and are available in Google Play.", "type": "object", "id": "Dpc" }, "PerDeviceStatusInBatch": { "id": "PerDeviceStatusInBatch", "properties": { "errorMessage": { "description": "If processing fails, a developer message explaining what went wrong.", "type": "string" }, "status": { "enum": [ "SINGLE_DEVICE_STATUS_UNSPECIFIED", "SINGLE_DEVICE_STATUS_UNKNOWN_ERROR", "SINGLE_DEVICE_STATUS_OTHER_ERROR", "SINGLE_DEVICE_STATUS_SUCCESS", "SINGLE_DEVICE_STATUS_PERMISSION_DENIED", "SINGLE_DEVICE_STATUS_INVALID_DEVICE_IDENTIFIER", "SINGLE_DEVICE_STATUS_INVALID_SECTION_TYPE", "SINGLE_DEVICE_STATUS_SECTION_NOT_YOURS" ], "enumDescriptions": [ "Invalid code. Shouldn't be used.", "Unknown error. We don't expect this error to occur here.", "Other error. We know/expect this error, but there's no defined error code for the error.", "Success.", "Permission denied.", "Invalid device identifier.", "Invalid section type.", "This section is claimed by another company." ], "type": "string", "description": "The result status of the device after processing." }, "errorIdentifier": { "type": "string", "description": "If processing fails, the error type." }, "deviceId": { "type": "string", "format": "int64", "description": "If processing succeeds, the device ID of the device." } }, "type": "object", "description": "Captures the processing status for each device in the operation." }, "UnclaimDevicesRequest": { "description": "Request to unclaim devices asynchronously in batch.", "type": "object", "properties": { "unclaims": { "description": "Required. The list of devices to unclaim.", "type": "array", "items": { "$ref": "PartnerUnclaim" } } }, "id": "UnclaimDevicesRequest" }, "DeviceReference": { "properties": { "deviceIdentifier": { "$ref": "DeviceIdentifier", "description": "The hardware IDs of the device." }, "deviceId": { "description": "The ID of the device.", "format": "int64", "type": "string" } }, "description": "A `DeviceReference` is an API abstraction that lets you supply a _device_ argument to a method using one of the following identifier types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A numeric API resource ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Real-world hardware IDs, such as IMEI number, belonging to the manufactured device. Methods that operate on devices take a `DeviceReference` as a parameter type because it's more flexible for the caller. To learn more about device identifiers, read [Identifiers](https://developers.google.com/zero-touch/guides/identifiers).", "type": "object", "id": "DeviceReference" }, "Device": { "id": "Device", "type": "object", "description": "An Android device registered for zero-touch enrollment.", "properties": { "deviceIdentifier": { "description": "The hardware IDs that identify a manufactured device. To learn more, read [Identifiers](https://developers.google.com/zero-touch/guides/identifiers).", "$ref": "DeviceIdentifier" }, "name": { "readOnly": true, "description": "Output only. The API resource name in the format `partners/[PARTNER_ID]/devices/[DEVICE_ID]`. Assigned by the server.", "type": "string" }, "deviceMetadata": { "$ref": "DeviceMetadata", "description": "The metadata attached to the device. Structured as key-value pairs. To learn more, read [Device metadata](https://developers.google.com/zero-touch/guides/metadata)." }, "deviceId": { "readOnly": true, "format": "int64", "type": "string", "description": "Output only. The ID of the device. Assigned by the server." }, "configuration": { "description": "Not available to resellers.", "type": "string" }, "claims": { "readOnly": true, "description": "Output only. The provisioning claims for a device. Devices claimed for zero-touch enrollment have a claim with the type `SECTION_TYPE_ZERO_TOUCH`. Call `partners.devices.unclaim` or `partners.devices.unclaimAsync` to remove the device from zero-touch enrollment.", "type": "array", "items": { "$ref": "DeviceClaim" } } } }, "OperationPerDevice": { "properties": { "claim": { "$ref": "PartnerClaim", "description": "A copy of the original device-claim request received by the server." }, "result": { "description": "The processing result for each device.", "$ref": "PerDeviceStatusInBatch" }, "unclaim": { "$ref": "PartnerUnclaim", "description": "A copy of the original device-unclaim request received by the server." }, "updateMetadata": { "$ref": "UpdateMetadataArguments", "description": "A copy of the original metadata-update request received by the server." } }, "description": "A task for each device in the operation. Corresponds to each device change in the request.", "id": "OperationPerDevice", "type": "object" }, "ListCustomersResponse": { "type": "object", "id": "ListCustomersResponse", "properties": { "customers": { "items": { "$ref": "Company" }, "description": "List of customers related to this reseller partner.", "type": "array" }, "nextPageToken": { "description": "A token to retrieve the next page of results. Omitted if no further results are available.", "type": "string" }, "totalSize": { "description": "The total count of items in the list irrespective of pagination.", "type": "integer", "format": "int32" } }, "description": "Response message of all customers related to this partner." }, "UpdateDeviceMetadataRequest": { "properties": { "deviceMetadata": { "description": "Required. The metadata to attach to the device.", "$ref": "DeviceMetadata" } }, "type": "object", "description": "Request to set metadata for a device.", "id": "UpdateDeviceMetadataRequest" }, "CreateCustomerRequest": { "properties": { "customer": { "$ref": "Company", "description": "Required. The company data to populate the new customer. Must contain a value for `companyName` and at least one `owner_email` that's associated with a Google Account. The values for `companyId` and `name` must be empty." } }, "description": "Request message to create a customer.", "id": "CreateCustomerRequest", "type": "object" }, "FindDevicesByDeviceIdentifierResponse": { "type": "object", "properties": { "totalSize": { "format": "int32", "description": "The total count of items in the list irrespective of pagination.", "type": "integer" }, "nextPageToken": { "description": "A token used to access the next page of results. Omitted if no further results are available.", "type": "string" }, "devices": { "items": { "$ref": "Device" }, "type": "array", "description": "Found devices." } }, "description": "Response containing found devices.", "id": "FindDevicesByDeviceIdentifierResponse" }, "ListVendorsResponse": { "description": "Response message to list vendors of the partner.", "properties": { "totalSize": { "type": "integer", "description": "The total count of items in the list irrespective of pagination.", "format": "int32" }, "vendors": { "items": { "$ref": "Company" }, "type": "array", "description": "List of vendors of the reseller partner. Fields `name`, `companyId` and `companyName` are populated to the Company object." }, "nextPageToken": { "description": "A token to retrieve the next page of results. Omitted if no further results are available.", "type": "string" } }, "id": "ListVendorsResponse", "type": "object" }, "CustomerListDevicesResponse": { "type": "object", "properties": { "devices": { "description": "The customer's devices.", "type": "array", "items": { "$ref": "Device" } }, "nextPageToken": { "type": "string", "description": "A token used to access the next page of results. Omitted if no further results are available." } }, "description": "Response message of customer's liting devices.", "id": "CustomerListDevicesResponse" }, "DeviceIdentifier": { "properties": { "meid": { "description": "The device’s MEID number.", "type": "string" }, "manufacturer": { "description": "The device manufacturer’s name. Matches the device's built-in value returned from `android.os.Build.MANUFACTURER`. Allowed values are listed in [manufacturers](/zero-touch/resources/manufacturer-names#manufacturers-names).", "type": "string" }, "serialNumber": { "description": "The manufacturer's serial number for the device. This value might not be unique across different device models.", "type": "string" }, "model": { "type": "string", "description": "The device model's name. Matches the device's built-in value returned from `android.os.Build.MODEL`. Allowed values are listed in [models](/zero-touch/resources/manufacturer-names#model-names)." }, "imei": { "type": "string", "description": "The device’s IMEI number. Validated on input." } }, "type": "object", "id": "DeviceIdentifier", "description": "Encapsulates hardware and product IDs to identify a manufactured device. To understand requirements on identifier sets, read [Identifiers](https://developers.google.com/zero-touch/guides/identifiers)." }, "UpdateDeviceMetadataInBatchRequest": { "type": "object", "description": "Request to update device metadata in batch.", "id": "UpdateDeviceMetadataInBatchRequest", "properties": { "updates": { "items": { "$ref": "UpdateMetadataArguments" }, "description": "Required. The list of metadata updates.", "type": "array" } } }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status", "properties": { "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "type": "object" }, "DeviceClaim": { "description": "A record of a device claimed by a reseller for a customer. Devices claimed for zero-touch enrollment have a claim with the type `SECTION_TYPE_ZERO_TOUCH`. To learn more, read [Claim devices for customers](/zero-touch/guides/how-it-works#claim).", "id": "DeviceClaim", "type": "object", "properties": { "resellerId": { "format": "int64", "description": "The ID of the reseller that claimed the device.", "type": "string" }, "additionalService": { "enum": [ "ADDITIONAL_SERVICE_UNSPECIFIED", "DEVICE_PROTECTION" ], "description": "The Additional service registered for the device.", "enumDescriptions": [ "No additional service.", "Device protection service, also known as Android Enterprise Essentials. To claim a device with the device protection service you must enroll with the partnership team." ], "type": "string" }, "vacationModeExpireTime": { "description": "The timestamp when the device will exit ‘vacation mode’. This value is present iff the device is in 'vacation mode'.", "format": "google-datetime", "type": "string" }, "vacationModeStartTime": { "format": "google-datetime", "description": "The timestamp when the device was put into ‘vacation mode’. This value is present iff the device is in 'vacation mode'.", "type": "string" }, "ownerCompanyId": { "format": "int64", "type": "string", "description": "The ID of the Customer that purchased the device." }, "sectionType": { "enumDescriptions": [ "Unspecified section type.", "SIM-lock section type.", "Zero-touch enrollment section type." ], "readOnly": true, "enum": [ "SECTION_TYPE_UNSPECIFIED", "SECTION_TYPE_SIM_LOCK", "SECTION_TYPE_ZERO_TOUCH" ], "description": "Output only. The type of claim made on the device.", "type": "string" } } }, "DeviceMetadata": { "description": "Metadata entries that can be attached to a `Device`. To learn more, read [Device metadata](https://developers.google.com/zero-touch/guides/metadata).", "type": "object", "properties": { "entries": { "additionalProperties": { "type": "string" }, "description": "Metadata entries recorded as key-value pairs.", "type": "object" } }, "id": "DeviceMetadata" }, "ListVendorCustomersResponse": { "description": "Response message to list customers of the vendor.", "type": "object", "id": "ListVendorCustomersResponse", "properties": { "totalSize": { "description": "The total count of items in the list irrespective of pagination.", "format": "int32", "type": "integer" }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Omitted if no further results are available." }, "customers": { "description": "List of customers of the vendor.", "items": { "$ref": "Company" }, "type": "array" } } }, "ClaimDeviceRequest": { "id": "ClaimDeviceRequest", "properties": { "deviceIdentifier": { "description": "Required. Required. The device identifier of the device to claim.", "$ref": "DeviceIdentifier" }, "sectionType": { "enumDescriptions": [ "Unspecified section type.", "SIM-lock section type.", "Zero-touch enrollment section type." ], "enum": [ "SECTION_TYPE_UNSPECIFIED", "SECTION_TYPE_SIM_LOCK", "SECTION_TYPE_ZERO_TOUCH" ], "description": "Required. The section type of the device's provisioning record.", "type": "string" }, "deviceMetadata": { "description": "Optional. The metadata to attach to the device.", "$ref": "DeviceMetadata" }, "customerId": { "format": "int64", "type": "string", "description": "Required. The ID of the customer for whom the device is being claimed." } }, "type": "object", "description": "Request message to claim a device on behalf of a customer." }, "DevicesLongRunningOperationMetadata": { "id": "DevicesLongRunningOperationMetadata", "type": "object", "description": "Tracks the status of a long-running operation to asynchronously update a batch of reseller metadata attached to devices. To learn more, read [Long‑running batch operations](/zero-touch/guides/how-it-works#operations).", "properties": { "devicesCount": { "description": "The number of metadata updates in the operation. This might be different from the number of updates in the request if the API can't parse some of the updates.", "type": "integer", "format": "int32" }, "progress": { "type": "integer", "description": "The processing progress of the operation. Measured as a number from 0 to 100. A value of 10O doesnt always mean the operation completed—check for the inclusion of a `done` field.", "format": "int32" }, "processingStatus": { "enum": [ "BATCH_PROCESS_STATUS_UNSPECIFIED", "BATCH_PROCESS_PENDING", "BATCH_PROCESS_IN_PROGRESS", "BATCH_PROCESS_PROCESSED" ], "enumDescriptions": [ "Invalid code. Shouldn't be used.", "Pending.", "In progress.", "Processed. This doesn't mean all items were processed successfully, you should check the `response` field for the result of every item." ], "description": "The processing status of the operation.", "type": "string" } } }, "CustomerRemoveConfigurationRequest": { "id": "CustomerRemoveConfigurationRequest", "type": "object", "properties": { "device": { "$ref": "DeviceReference", "description": "Required. The device to remove the configuration from. There are custom validations in RemoveConfigurationRequestValidator" } }, "description": "Request message for customer to remove the configuration from device." }, "CustomerListConfigurationsResponse": { "properties": { "configurations": { "type": "array", "items": { "$ref": "Configuration" }, "description": "The configurations." } }, "id": "CustomerListConfigurationsResponse", "type": "object", "description": "Response message of customer's listing configuration." }, "PartnerUnclaim": { "type": "object", "properties": { "sectionType": { "enumDescriptions": [ "Unspecified section type.", "SIM-lock section type.", "Zero-touch enrollment section type." ], "type": "string", "enum": [ "SECTION_TYPE_UNSPECIFIED", "SECTION_TYPE_SIM_LOCK", "SECTION_TYPE_ZERO_TOUCH" ], "description": "Required. The section type of the device's provisioning record." }, "deviceIdentifier": { "description": "Required. Device identifier of the device.", "$ref": "DeviceIdentifier" }, "deviceId": { "format": "int64", "description": "Required. Device ID of the device.", "type": "string" }, "vacationModeExpireTime": { "description": "Optional. The expiration time of the vacation unlock.", "type": "string", "format": "google-datetime" }, "vacationModeDays": { "type": "integer", "format": "int32", "description": "Optional. The duration of the vacation unlock starting from when the request is processed. (1 day is treated as 24 hours)" } }, "id": "PartnerUnclaim", "description": "Identifies one unclaim request." }, "CustomerApplyConfigurationRequest": { "description": "Request message for customer to assign a configuration to device.", "id": "CustomerApplyConfigurationRequest", "type": "object", "properties": { "device": { "description": "Required. The device the configuration is applied to. There are custom validations in ApplyConfigurationRequestValidator", "$ref": "DeviceReference" }, "configuration": { "description": "Required. The configuration applied to the device in the format `customers/[CUSTOMER_ID]/configurations/[CONFIGURATION_ID]`.", "type": "string" } } } }, "protocol": "rest", "resources": { "partners": { "resources": { "customers": { "methods": { "list": { "description": "Lists the customers that are enrolled to the reseller identified by the `partnerId` argument. This list includes customers that the reseller created and customers that enrolled themselves using the portal.", "id": "androiddeviceprovisioning.partners.customers.list", "path": "v1/partners/{+partnerId}/customers", "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "description": "The maximum number of results to be returned. If not specified or 0, all the records are returned.", "location": "query", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "A token identifying a page of results returned by the server." }, "partnerId": { "format": "int64", "type": "string", "location": "path", "description": "Required. The ID of the reseller partner.", "pattern": "^[^/]+$", "required": true } }, "parameterOrder": [ "partnerId" ], "response": { "$ref": "ListCustomersResponse" }, "flatPath": "v1/partners/{partnersId}/customers" }, "create": { "httpMethod": "POST", "response": { "$ref": "Company" }, "flatPath": "v1/partners/{partnersId}/customers", "id": "androiddeviceprovisioning.partners.customers.create", "parameterOrder": [ "parent" ], "description": "Creates a customer for zero-touch enrollment. After the method returns successfully, admin and owner roles can manage devices and EMM configs by calling API methods or using their zero-touch enrollment portal. The customer receives an email that welcomes them to zero-touch enrollment and explains how to sign into the portal.", "parameters": { "parent": { "location": "path", "required": true, "pattern": "^partners/[^/]+$", "description": "Required. The parent resource ID in the format `partners/[PARTNER_ID]` that identifies the reseller.", "type": "string" } }, "path": "v1/{+parent}/customers", "request": { "$ref": "CreateCustomerRequest" } } } }, "devices": { "methods": { "findByIdentifier": { "response": { "$ref": "FindDevicesByDeviceIdentifierResponse" }, "parameterOrder": [ "partnerId" ], "flatPath": "v1/partners/{partnersId}/devices:findByIdentifier", "description": "Finds devices by hardware identifiers, such as IMEI.", "httpMethod": "POST", "parameters": { "partnerId": { "format": "int64", "required": true, "description": "Required. The ID of the reseller partner.", "pattern": "^[^/]+$", "location": "path", "type": "string" } }, "id": "androiddeviceprovisioning.partners.devices.findByIdentifier", "request": { "$ref": "FindDevicesByDeviceIdentifierRequest" }, "path": "v1/partners/{+partnerId}/devices:findByIdentifier" }, "unclaim": { "httpMethod": "POST", "path": "v1/partners/{+partnerId}/devices:unclaim", "request": { "$ref": "UnclaimDeviceRequest" }, "response": { "$ref": "Empty" }, "parameterOrder": [ "partnerId" ], "parameters": { "partnerId": { "description": "Required. The ID of the reseller partner.", "type": "string", "format": "int64", "location": "path", "pattern": "^[^/]+$", "required": true } }, "id": "androiddeviceprovisioning.partners.devices.unclaim", "flatPath": "v1/partners/{partnersId}/devices:unclaim", "description": "Unclaims a device from a customer and removes it from zero-touch enrollment." }, "findByOwner": { "httpMethod": "POST", "parameters": { "partnerId": { "required": true, "type": "string", "pattern": "^[^/]+$", "format": "int64", "location": "path", "description": "Required. The ID of the reseller partner." } }, "response": { "$ref": "FindDevicesByOwnerResponse" }, "parameterOrder": [ "partnerId" ], "id": "androiddeviceprovisioning.partners.devices.findByOwner", "flatPath": "v1/partners/{partnersId}/devices:findByOwner", "request": { "$ref": "FindDevicesByOwnerRequest" }, "description": "Finds devices claimed for customers. The results only contain devices registered to the reseller that's identified by the `partnerId` argument. The customer's devices purchased from other resellers don't appear in the results.", "path": "v1/partners/{+partnerId}/devices:findByOwner" }, "claim": { "response": { "$ref": "ClaimDeviceResponse" }, "parameterOrder": [ "partnerId" ], "path": "v1/partners/{+partnerId}/devices:claim", "description": "Claims a device for a customer and adds it to zero-touch enrollment. If the device is already claimed by another customer, the call returns an error.", "request": { "$ref": "ClaimDeviceRequest" }, "flatPath": "v1/partners/{partnersId}/devices:claim", "id": "androiddeviceprovisioning.partners.devices.claim", "parameters": { "partnerId": { "type": "string", "location": "path", "description": "Required. The ID of the reseller partner.", "pattern": "^[^/]+$", "format": "int64", "required": true } }, "httpMethod": "POST" }, "get": { "description": "Gets a device.", "response": { "$ref": "Device" }, "httpMethod": "GET", "flatPath": "v1/partners/{partnersId}/devices/{devicesId}", "path": "v1/{+name}", "parameters": { "name": { "required": true, "description": "Required. The device API resource name in the format `partners/[PARTNER_ID]/devices/[DEVICE_ID]`.", "location": "path", "type": "string", "pattern": "^partners/[^/]+/devices/[^/]+$" } }, "id": "androiddeviceprovisioning.partners.devices.get", "parameterOrder": [ "name" ] }, "metadata": { "description": "Updates reseller metadata associated with the device.", "parameters": { "metadataOwnerId": { "location": "path", "format": "int64", "required": true, "description": "Required. The owner of the newly set metadata. Set this to the partner ID.", "type": "string", "pattern": "^[^/]+$" }, "deviceId": { "format": "int64", "location": "path", "description": "Required. The ID of the device.", "pattern": "^[^/]+$", "type": "string", "required": true } }, "path": "v1/partners/{+metadataOwnerId}/devices/{+deviceId}/metadata", "httpMethod": "POST", "parameterOrder": [ "metadataOwnerId", "deviceId" ], "response": { "$ref": "DeviceMetadata" }, "request": { "$ref": "UpdateDeviceMetadataRequest" }, "flatPath": "v1/partners/{partnersId}/devices/{devicesId}/metadata", "id": "androiddeviceprovisioning.partners.devices.metadata" }, "updateMetadataAsync": { "id": "androiddeviceprovisioning.partners.devices.updateMetadataAsync", "parameterOrder": [ "partnerId" ], "flatPath": "v1/partners/{partnersId}/devices:updateMetadataAsync", "description": "Updates the reseller metadata attached to a batch of devices. This method updates devices asynchronously and returns an `Operation` that can be used to track progress. Read [Long‑running batch operations](/zero-touch/guides/how-it-works#operations).", "path": "v1/partners/{+partnerId}/devices:updateMetadataAsync", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "partnerId": { "required": true, "format": "int64", "pattern": "^[^/]+$", "type": "string", "description": "Required. The reseller partner ID.", "location": "path" } }, "request": { "$ref": "UpdateDeviceMetadataInBatchRequest" } }, "claimAsync": { "id": "androiddeviceprovisioning.partners.devices.claimAsync", "parameterOrder": [ "partnerId" ], "request": { "$ref": "ClaimDevicesRequest" }, "description": "Claims a batch of devices for a customer asynchronously. Adds the devices to zero-touch enrollment. To learn more, read [Long‑running batch operations](/zero-touch/guides/how-it-works#operations).", "response": { "$ref": "Operation" }, "flatPath": "v1/partners/{partnersId}/devices:claimAsync", "httpMethod": "POST", "parameters": { "partnerId": { "location": "path", "pattern": "^[^/]+$", "type": "string", "required": true, "format": "int64", "description": "Required. The ID of the reseller partner." } }, "path": "v1/partners/{+partnerId}/devices:claimAsync" }, "unclaimAsync": { "httpMethod": "POST", "description": "Unclaims a batch of devices for a customer asynchronously. Removes the devices from zero-touch enrollment. To learn more, read [Long‑running batch operations](/zero-touch/guides/how-it-works#operations).", "flatPath": "v1/partners/{partnersId}/devices:unclaimAsync", "parameterOrder": [ "partnerId" ], "path": "v1/partners/{+partnerId}/devices:unclaimAsync", "request": { "$ref": "UnclaimDevicesRequest" }, "id": "androiddeviceprovisioning.partners.devices.unclaimAsync", "response": { "$ref": "Operation" }, "parameters": { "partnerId": { "required": true, "description": "Required. The reseller partner ID.", "location": "path", "type": "string", "format": "int64", "pattern": "^[^/]+$" } } } } }, "vendors": { "methods": { "list": { "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "description": "The maximum number of results to be returned.", "type": "integer", "location": "query", "format": "int32" }, "parent": { "type": "string", "required": true, "description": "Required. The resource name in the format `partners/[PARTNER_ID]`.", "pattern": "^partners/[^/]+$", "location": "path" }, "pageToken": { "type": "string", "description": "A token identifying a page of results returned by the server.", "location": "query" } }, "response": { "$ref": "ListVendorsResponse" }, "flatPath": "v1/partners/{partnersId}/vendors", "description": "Lists the vendors of the partner.", "id": "androiddeviceprovisioning.partners.vendors.list", "httpMethod": "GET", "path": "v1/{+parent}/vendors" } }, "resources": { "customers": { "methods": { "list": { "response": { "$ref": "ListVendorCustomersResponse" }, "flatPath": "v1/partners/{partnersId}/vendors/{vendorsId}/customers", "description": "Lists the customers of the vendor.", "id": "androiddeviceprovisioning.partners.vendors.customers.list", "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "description": "A token identifying a page of results returned by the server.", "location": "query" }, "parent": { "location": "path", "type": "string", "description": "Required. The resource name in the format `partners/[PARTNER_ID]/vendors/[VENDOR_ID]`.", "pattern": "^partners/[^/]+/vendors/[^/]+$", "required": true }, "pageSize": { "description": "The maximum number of results to be returned.", "format": "int32", "type": "integer", "location": "query" } }, "path": "v1/{+parent}/customers", "parameterOrder": [ "parent" ] } } } } } } }, "customers": { "resources": { "devices": { "methods": { "removeConfiguration": { "id": "androiddeviceprovisioning.customers.devices.removeConfiguration", "path": "v1/{+parent}/devices:removeConfiguration", "httpMethod": "POST", "response": { "$ref": "Empty" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "pattern": "^customers/[^/]+$", "required": true, "description": "Required. The customer managing the device in the format `customers/[CUSTOMER_ID]`.", "type": "string" } }, "flatPath": "v1/customers/{customersId}/devices:removeConfiguration", "request": { "$ref": "CustomerRemoveConfigurationRequest" }, "description": "Removes a configuration from device." }, "applyConfiguration": { "request": { "$ref": "CustomerApplyConfigurationRequest" }, "httpMethod": "POST", "flatPath": "v1/customers/{customersId}/devices:applyConfiguration", "response": { "$ref": "Empty" }, "parameterOrder": [ "parent" ], "id": "androiddeviceprovisioning.customers.devices.applyConfiguration", "parameters": { "parent": { "pattern": "^customers/[^/]+$", "type": "string", "location": "path", "description": "Required. The customer managing the device. An API resource name in the format `customers/[CUSTOMER_ID]`.", "required": true } }, "path": "v1/{+parent}/devices:applyConfiguration", "description": "Applies a Configuration to the device to register the device for zero-touch enrollment. After applying a configuration to a device, the device automatically provisions itself on first boot, or next factory reset." }, "unclaim": { "path": "v1/{+parent}/devices:unclaim", "parameterOrder": [ "parent" ], "id": "androiddeviceprovisioning.customers.devices.unclaim", "flatPath": "v1/customers/{customersId}/devices:unclaim", "request": { "$ref": "CustomerUnclaimDeviceRequest" }, "description": "Unclaims a device from a customer and removes it from zero-touch enrollment. After removing a device, a customer must contact their reseller to register the device into zero-touch enrollment again.", "httpMethod": "POST", "response": { "$ref": "Empty" }, "parameters": { "parent": { "required": true, "type": "string", "location": "path", "pattern": "^customers/[^/]+$", "description": "Required. The customer managing the device. An API resource name in the format `customers/[CUSTOMER_ID]`." } } }, "get": { "description": "Gets the details of a device.", "response": { "$ref": "Device" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1/{+name}", "flatPath": "v1/customers/{customersId}/devices/{devicesId}", "parameters": { "name": { "description": "Required. The device to get. An API resource name in the format `customers/[CUSTOMER_ID]/devices/[DEVICE_ID]`.", "required": true, "location": "path", "type": "string", "pattern": "^customers/[^/]+/devices/[^/]+$" } }, "id": "androiddeviceprovisioning.customers.devices.get" }, "list": { "path": "v1/{+parent}/devices", "description": "Lists a customer's devices.", "flatPath": "v1/customers/{customersId}/devices", "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "description": "The maximum number of devices to show in a page of results. Must be between 1 and 100 inclusive.", "type": "string", "location": "query", "format": "int64" }, "parent": { "type": "string", "description": "Required. The customer managing the devices. An API resource name in the format `customers/[CUSTOMER_ID]`.", "location": "path", "pattern": "^customers/[^/]+$", "required": true }, "pageToken": { "type": "string", "description": "A token specifying which result page to return.", "location": "query" } }, "id": "androiddeviceprovisioning.customers.devices.list", "httpMethod": "GET", "response": { "$ref": "CustomerListDevicesResponse" } } } }, "configurations": { "methods": { "create": { "parameterOrder": [ "parent" ], "flatPath": "v1/customers/{customersId}/configurations", "httpMethod": "POST", "id": "androiddeviceprovisioning.customers.configurations.create", "parameters": { "parent": { "required": true, "description": "Required. The customer that manages the configuration. An API resource name in the format `customers/[CUSTOMER_ID]`. This field has custom validation in CreateConfigurationRequestValidator", "location": "path", "type": "string", "pattern": "^customers/[^/]+$" } }, "request": { "$ref": "Configuration" }, "path": "v1/{+parent}/configurations", "response": { "$ref": "Configuration" }, "description": "Creates a new configuration. Once created, a customer can apply the configuration to devices." }, "patch": { "request": { "$ref": "Configuration" }, "response": { "$ref": "Configuration" }, "httpMethod": "PATCH", "description": "Updates a configuration's field values.", "parameters": { "name": { "pattern": "^customers/[^/]+/configurations/[^/]+$", "description": "Output only. The API resource name in the format `customers/[CUSTOMER_ID]/configurations/[CONFIGURATION_ID]`. Assigned by the server.", "required": true, "type": "string", "location": "path" }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Required. The field mask applied to the target `Configuration` before updating the fields. To learn more about using field masks, read [FieldMask](/protocol-buffers/docs/reference/google.protobuf#fieldmask) in the Protocol Buffers documentation." } }, "parameterOrder": [ "name" ], "id": "androiddeviceprovisioning.customers.configurations.patch", "path": "v1/{+name}", "flatPath": "v1/customers/{customersId}/configurations/{configurationsId}" }, "list": { "id": "androiddeviceprovisioning.customers.configurations.list", "flatPath": "v1/customers/{customersId}/configurations", "parameters": { "parent": { "type": "string", "pattern": "^customers/[^/]+$", "required": true, "description": "Required. The customer that manages the listed configurations. An API resource name in the format `customers/[CUSTOMER_ID]`.", "location": "path" } }, "response": { "$ref": "CustomerListConfigurationsResponse" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/configurations", "description": "Lists a customer's configurations.", "httpMethod": "GET" }, "get": { "parameterOrder": [ "name" ], "description": "Gets the details of a configuration.", "path": "v1/{+name}", "response": { "$ref": "Configuration" }, "httpMethod": "GET", "id": "androiddeviceprovisioning.customers.configurations.get", "flatPath": "v1/customers/{customersId}/configurations/{configurationsId}", "parameters": { "name": { "location": "path", "pattern": "^customers/[^/]+/configurations/[^/]+$", "required": true, "description": "Required. The configuration to get. An API resource name in the format `customers/[CUSTOMER_ID]/configurations/[CONFIGURATION_ID]`.", "type": "string" } } }, "delete": { "response": { "$ref": "Empty" }, "id": "androiddeviceprovisioning.customers.configurations.delete", "description": "Deletes an unused configuration. The API call fails if the customer has devices with the configuration applied.", "parameters": { "name": { "required": true, "type": "string", "pattern": "^customers/[^/]+/configurations/[^/]+$", "description": "Required. The configuration to delete. An API resource name in the format `customers/[CUSTOMER_ID]/configurations/[CONFIGURATION_ID]`. If the configuration is applied to any devices, the API call fails.", "location": "path" } }, "httpMethod": "DELETE", "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/customers/{customersId}/configurations/{configurationsId}" } } }, "dpcs": { "methods": { "list": { "path": "v1/{+parent}/dpcs", "response": { "$ref": "CustomerListDpcsResponse" }, "httpMethod": "GET", "description": "Lists the DPCs (device policy controllers) that support zero-touch enrollment.", "flatPath": "v1/customers/{customersId}/dpcs", "parameterOrder": [ "parent" ], "id": "androiddeviceprovisioning.customers.dpcs.list", "parameters": { "parent": { "pattern": "^customers/[^/]+$", "type": "string", "required": true, "description": "Required. The customer that can use the DPCs in configurations. An API resource name in the format `customers/[CUSTOMER_ID]`.", "location": "path" } } } } } }, "methods": { "list": { "parameters": { "pageToken": { "description": "A token specifying which result page to return. This field has custom validations in ListCustomersRequestValidator", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of customers to show in a page of results. A number between 1 and 100 (inclusive)." } }, "id": "androiddeviceprovisioning.customers.list", "parameterOrder": [], "path": "v1/customers", "description": "Lists the user's customer accounts.", "response": { "$ref": "CustomerListCustomersResponse" }, "flatPath": "v1/customers", "httpMethod": "GET" } } }, "operations": { "methods": { "get": { "parameters": { "name": { "type": "string", "required": true, "pattern": "^operations/.*$", "location": "path", "description": "The name of the operation resource." } }, "flatPath": "v1/operations/{operationsId}", "parameterOrder": [ "name" ], "id": "androiddeviceprovisioning.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1/{+name}", "response": { "$ref": "Operation" }, "httpMethod": "GET" } } } }, "revision": "20220711", "description": "Automates Android zero-touch enrollment for device resellers, customers, and EMMs.", "basePath": "", "batchPath": "batch", "documentationLink": "https://developers.google.com/zero-touch/", "id": "androiddeviceprovisioning:v1", "servicePath": "", "version_module": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "baseUrl": "https://androiddeviceprovisioning.googleapis.com/", "mtlsRootUrl": "https://androiddeviceprovisioning.mtls.googleapis.com/", "version": "v1" }
]===]))
