local decode = require("cjson").new().decode
return assert(decode([===[
{ "documentationLink": "https://cloud.google.com/api-gateway/docs", "title": "API Gateway API", "mtlsRootUrl": "https://apigateway.mtls.googleapis.com/", "parameters": { "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "alt": { "default": "json", "location": "query", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "description": "Data format for response." }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." } }, "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "cancel": { "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "path": "v1/{+name}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "ApigatewayCancelOperationRequest" }, "id": "apigateway.projects.locations.operations.cancel", "response": { "$ref": "Empty" }, "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "The name of the operation resource to be cancelled.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "httpMethod": "POST" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be deleted.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "type": "string" } }, "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "response": { "$ref": "Empty" }, "id": "apigateway.projects.locations.operations.delete", "path": "v1/{+name}" }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ApigatewayOperation" }, "id": "apigateway.projects.locations.operations.get", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "required": true, "description": "The name of the operation resource." } }, "path": "v1/{+name}" }, "list": { "path": "v1/{+name}/operations", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "response": { "$ref": "ApigatewayListOperationsResponse" }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "httpMethod": "GET", "id": "apigateway.projects.locations.operations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "filter": { "description": "The standard list filter.", "location": "query", "type": "string" }, "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource." }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "pageSize": { "description": "The standard list page size.", "location": "query", "format": "int32", "type": "integer" } } } } }, "apis": { "methods": { "delete": { "description": "Deletes a single Api.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigateway.projects.locations.apis.delete", "httpMethod": "DELETE", "response": { "$ref": "ApigatewayOperation" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}", "parameters": { "name": { "description": "Required. Resource name of the form: `projects/*/locations/global/apis/*`", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "location": "path", "required": true, "type": "string" } }, "path": "v1/{+name}" }, "setIamPolicy": { "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}:setIamPolicy", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "type": "string" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "ApigatewayPolicy" }, "id": "apigateway.projects.locations.apis.setIamPolicy", "request": { "$ref": "ApigatewaySetIamPolicyRequest" }, "path": "v1/{+resource}:setIamPolicy" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Api in a given project and location.", "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis", "request": { "$ref": "ApigatewayApi" }, "parameters": { "apiId": { "location": "query", "type": "string", "description": "Required. Identifier to assign to the API. Must be unique within scope of the parent resource." }, "parent": { "type": "string", "location": "path", "description": "Required. Parent resource of the API, of the form: `projects/*/locations/global`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "response": { "$ref": "ApigatewayOperation" }, "parameterOrder": [ "parent" ], "id": "apigateway.projects.locations.apis.create", "path": "v1/{+parent}/apis" }, "list": { "response": { "$ref": "ApigatewayListApisResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis", "httpMethod": "GET", "description": "Lists Apis in a given project and location.", "parameters": { "parent": { "description": "Required. Parent resource of the API, of the form: `projects/*/locations/global`", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Page size." }, "orderBy": { "type": "string", "location": "query", "description": "Order by parameters." }, "filter": { "description": "Filter.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "description": "Page token.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigateway.projects.locations.apis.list", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/apis" }, "get": { "response": { "$ref": "ApigatewayApi" }, "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}", "description": "Gets details of a single Api.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "description": "Required. Resource name of the form: `projects/*/locations/global/apis/*`", "required": true, "type": "string" } }, "path": "v1/{+name}", "id": "apigateway.projects.locations.apis.get" }, "testIamPermissions": { "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "required": true, "type": "string" } }, "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "ApigatewayTestIamPermissionsResponse" }, "httpMethod": "POST", "request": { "$ref": "ApigatewayTestIamPermissionsRequest" }, "id": "apigateway.projects.locations.apis.testIamPermissions" }, "getIamPolicy": { "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "response": { "$ref": "ApigatewayPolicy" }, "id": "apigateway.projects.locations.apis.getIamPolicy", "path": "v1/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}:getIamPolicy" }, "patch": { "parameterOrder": [ "name" ], "id": "apigateway.projects.locations.apis.patch", "httpMethod": "PATCH", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "updateMask": { "type": "string", "description": "Field mask is used to specify the fields to be overwritten in the Api resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "location": "query", "format": "google-fieldmask" }, "name": { "location": "path", "required": true, "type": "string", "description": "Output only. Resource name of the API. Format: projects/{project}/locations/global/apis/{api}", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$" } }, "response": { "$ref": "ApigatewayOperation" }, "request": { "$ref": "ApigatewayApi" }, "path": "v1/{+name}", "description": "Updates the parameters of a single Api." } }, "resources": { "configs": { "methods": { "patch": { "id": "apigateway.projects.locations.apis.configs.patch", "request": { "$ref": "ApigatewayApiConfig" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}", "path": "v1/{+name}", "description": "Updates the parameters of a single ApiConfig.", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Field mask is used to specify the fields to be overwritten in the ApiConfig resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." }, "name": { "location": "path", "required": true, "description": "Output only. Resource name of the API Config. Format: projects/{project}/locations/global/apis/{api}/configs/{api_config}", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ApigatewayOperation" }, "httpMethod": "PATCH" }, "delete": { "description": "Deletes a single ApiConfig.", "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "type": "string", "required": true, "description": "Required. Resource name of the form: `projects/*/locations/global/apis/*/configs/*`", "location": "path" } }, "httpMethod": "DELETE", "id": "apigateway.projects.locations.apis.configs.delete", "response": { "$ref": "ApigatewayOperation" } }, "setIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}:setIamPolicy", "request": { "$ref": "ApigatewaySetIamPolicyRequest" }, "path": "v1/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameterOrder": [ "resource" ], "id": "apigateway.projects.locations.apis.configs.setIamPolicy", "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$" } }, "httpMethod": "POST", "response": { "$ref": "ApigatewayPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "response": { "$ref": "ApigatewayPolicy" }, "parameters": { "options.requestedPolicyVersion": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}:getIamPolicy", "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "id": "apigateway.projects.locations.apis.configs.getIamPolicy" }, "testIamPermissions": { "id": "apigateway.projects.locations.apis.configs.testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ApigatewayTestIamPermissionsResponse" }, "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "path": "v1/{+resource}:testIamPermissions", "request": { "$ref": "ApigatewayTestIamPermissionsRequest" } }, "create": { "request": { "$ref": "ApigatewayApiConfig" }, "response": { "$ref": "ApigatewayOperation" }, "path": "v1/{+parent}/configs", "parameters": { "apiConfigId": { "location": "query", "type": "string", "description": "Required. Identifier to assign to the API Config. Must be unique within scope of the parent resource." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. Parent resource of the API Config, of the form: `projects/*/locations/global/apis/*`" } }, "description": "Creates a new ApiConfig in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigateway.projects.locations.apis.configs.create", "parameterOrder": [ "parent" ], "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs" }, "list": { "id": "apigateway.projects.locations.apis.configs.list", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/configs", "description": "Lists ApiConfigs in a given project and location.", "httpMethod": "GET", "response": { "$ref": "ApigatewayListApiConfigsResponse" }, "parameters": { "filter": { "description": "Filter.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Page token." }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Page size." }, "orderBy": { "description": "Order by parameters.", "type": "string", "location": "query" }, "parent": { "description": "Required. Parent resource of the API Config, of the form: `projects/*/locations/global/apis/*`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs" }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}", "id": "apigateway.projects.locations.apis.configs.get", "httpMethod": "GET", "path": "v1/{+name}", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "location": "path", "description": "Required. Resource name of the form: `projects/*/locations/global/apis/*/configs/*`", "type": "string" }, "view": { "enumDescriptions": [ "", "Do not include configuration source files.", "Include configuration source files." ], "type": "string", "location": "query", "description": "Specifies which fields of the API Config are returned in the response. Defaults to `BASIC` view.", "enum": [ "CONFIG_VIEW_UNSPECIFIED", "BASIC", "FULL" ] } }, "description": "Gets details of a single ApiConfig.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ApigatewayApiConfig" }, "parameterOrder": [ "name" ] } } } } }, "gateways": { "methods": { "setIamPolicy": { "path": "v1/{+resource}:setIamPolicy", "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$" } }, "request": { "$ref": "ApigatewaySetIamPolicyRequest" }, "response": { "$ref": "ApigatewayPolicy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}:setIamPolicy", "id": "apigateway.projects.locations.gateways.setIamPolicy", "parameterOrder": [ "resource" ] }, "delete": { "response": { "$ref": "ApigatewayOperation" }, "path": "v1/{+name}", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "description": "Required. Resource name of the form: `projects/*/locations/*/gateways/*`" } }, "description": "Deletes a single Gateway.", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "id": "apigateway.projects.locations.gateways.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ], "request": { "$ref": "ApigatewayTestIamPermissionsRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}:testIamPermissions", "id": "apigateway.projects.locations.gateways.testIamPermissions", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "required": true, "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "response": { "$ref": "ApigatewayTestIamPermissionsResponse" } }, "list": { "response": { "$ref": "ApigatewayListGatewaysResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways", "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1/{+parent}/gateways", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigateway.projects.locations.gateways.list", "description": "Lists Gateways in a given project and location.", "parameters": { "pageSize": { "description": "Page size.", "type": "integer", "format": "int32", "location": "query" }, "orderBy": { "location": "query", "description": "Order by parameters.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "Filter." }, "pageToken": { "description": "Page token.", "type": "string", "location": "query" }, "parent": { "required": true, "description": "Required. Parent resource of the Gateway, of the form: `projects/*/locations/*`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } } }, "create": { "path": "v1/{+parent}/gateways", "id": "apigateway.projects.locations.gateways.create", "parameters": { "gatewayId": { "location": "query", "type": "string", "description": "Required. Identifier to assign to the Gateway. Must be unique within scope of the parent resource." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "description": "Required. Parent resource of the Gateway, of the form: `projects/*/locations/*`" } }, "parameterOrder": [ "parent" ], "description": "Creates a new Gateway in a given project and location.", "request": { "$ref": "ApigatewayGateway" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ApigatewayOperation" } }, "getIamPolicy": { "response": { "$ref": "ApigatewayPolicy" }, "parameters": { "options.requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "type": "integer" }, "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}:getIamPolicy", "httpMethod": "GET", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigateway.projects.locations.gateways.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." }, "get": { "description": "Gets details of a single Gateway.", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigateway.projects.locations.gateways.get", "response": { "$ref": "ApigatewayGateway" }, "path": "v1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "required": true, "description": "Required. Resource name of the form: `projects/*/locations/*/gateways/*`", "location": "path", "type": "string" } }, "httpMethod": "GET" }, "patch": { "path": "v1/{+name}", "request": { "$ref": "ApigatewayGateway" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "updateMask": { "location": "query", "type": "string", "description": "Field mask is used to specify the fields to be overwritten in the Gateway resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "format": "google-fieldmask" }, "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "description": "Output only. Resource name of the Gateway. Format: projects/{project}/locations/{location}/gateways/{gateway}", "location": "path" } }, "description": "Updates the parameters of a single Gateway.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}", "parameterOrder": [ "name" ], "response": { "$ref": "ApigatewayOperation" }, "id": "apigateway.projects.locations.gateways.patch", "httpMethod": "PATCH" } } } }, "methods": { "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "response": { "$ref": "ApigatewayLocation" }, "path": "v1/{+name}", "parameters": { "name": { "location": "path", "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "apigateway.projects.locations.get", "description": "Gets information about a location.", "parameterOrder": [ "name" ] }, "list": { "path": "v1/{+name}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "apigateway.projects.locations.list", "flatPath": "v1/projects/{projectsId}/locations", "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ApigatewayListLocationsResponse" }, "parameters": { "pageToken": { "location": "query", "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "pageSize": { "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "type": "integer" }, "filter": { "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query" }, "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+$", "type": "string", "description": "The resource that owns the locations collection, if applicable." } } } } } } } }, "version_module": true, "ownerName": "Google", "version": "v1", "fullyEncodeReservedExpansion": true, "baseUrl": "https://apigateway.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "protocol": "rest", "batchPath": "batch", "kind": "discovery#restDescription", "revision": "20220623", "basePath": "", "rootUrl": "https://apigateway.googleapis.com/", "servicePath": "", "discoveryVersion": "v1", "description": "", "id": "apigateway:v1", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "schemas": { "ApigatewayOperationMetadata": { "properties": { "endTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation finished running." }, "diagnostics": { "items": { "$ref": "ApigatewayOperationMetadataDiagnostic" }, "type": "array", "description": "Output only. Diagnostics generated during processing of configuration source files.", "readOnly": true }, "target": { "readOnly": true, "type": "string", "description": "Output only. Server-defined resource path for the target of the operation." }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "apiVersion": { "readOnly": true, "description": "Output only. API version used to start the operation.", "type": "string" }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "createTime": { "description": "Output only. The time the operation was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "requestedCancellation": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true } }, "type": "object", "id": "ApigatewayOperationMetadata", "description": "Represents the metadata of the long-running operation." }, "ApigatewayApiConfigOpenApiDocument": { "type": "object", "id": "ApigatewayApiConfigOpenApiDocument", "description": "An OpenAPI Specification Document describing an API.", "properties": { "document": { "$ref": "ApigatewayApiConfigFile", "description": "The OpenAPI Specification document file." } } }, "ApigatewayListGatewaysResponse": { "id": "ApigatewayListGatewaysResponse", "type": "object", "properties": { "gateways": { "type": "array", "description": "Gateways.", "items": { "$ref": "ApigatewayGateway" } }, "unreachableLocations": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." }, "nextPageToken": { "type": "string", "description": "Next page token." } }, "description": "Response message for ApiGatewayService.ListGateways" }, "ApigatewayCancelOperationRequest": { "id": "ApigatewayCancelOperationRequest", "type": "object", "properties": {}, "description": "The request message for Operations.CancelOperation." }, "ApigatewayListLocationsResponse": { "id": "ApigatewayListLocationsResponse", "type": "object", "properties": { "locations": { "type": "array", "items": { "$ref": "ApigatewayLocation" }, "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "description": "The response message for Locations.ListLocations." }, "ApigatewayTestIamPermissionsResponse": { "id": "ApigatewayTestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "type": "object" }, "ApigatewayApiConfigGrpcServiceDefinition": { "id": "ApigatewayApiConfigGrpcServiceDefinition", "description": "A gRPC service definition.", "type": "object", "properties": { "fileDescriptorSet": { "$ref": "ApigatewayApiConfigFile", "description": "Input only. File descriptor set, generated by protoc. To generate, use protoc with imports and source info included. For an example test.proto file, the following command would put the value in a new file named out.pb. $ protoc --include_imports --include_source_info test.proto -o out.pb" }, "source": { "description": "Optional. Uncompiled proto files associated with the descriptor set, used for display purposes (server-side compilation is not supported). These should match the inputs to 'protoc' command used to generate file_descriptor_set.", "items": { "$ref": "ApigatewayApiConfigFile" }, "type": "array" } } }, "ApigatewaySetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "properties": { "updateMask": { "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "ApigatewayPolicy" } }, "type": "object", "id": "ApigatewaySetIamPolicyRequest" }, "ApigatewayApiConfigFile": { "id": "ApigatewayApiConfigFile", "description": "A lightweight description of a file.", "type": "object", "properties": { "contents": { "format": "byte", "description": "The bytes that constitute the file.", "type": "string" }, "path": { "type": "string", "description": "The file path (full or relative path). This is typically the path of the file when it is uploaded." } } }, "ApigatewayOperationMetadataDiagnostic": { "description": "Diagnostic information from configuration processing.", "id": "ApigatewayOperationMetadataDiagnostic", "type": "object", "properties": { "message": { "type": "string", "description": "The diagnostic message." }, "location": { "type": "string", "description": "Location of the diagnostic." } } }, "ApigatewayAuditConfig": { "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "type": "object", "id": "ApigatewayAuditConfig", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "items": { "$ref": "ApigatewayAuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" } } }, "ApigatewayListApiConfigsResponse": { "id": "ApigatewayListApiConfigsResponse", "description": "Response message for ApiGatewayService.ListApiConfigs", "type": "object", "properties": { "unreachableLocations": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." }, "apiConfigs": { "description": "API Configs.", "type": "array", "items": { "$ref": "ApigatewayApiConfig" } }, "nextPageToken": { "description": "Next page token.", "type": "string" } } }, "Empty": { "id": "Empty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" }, "ApigatewayGateway": { "type": "object", "description": "A Gateway is an API-aware HTTP proxy. It performs API-Method and/or API-Consumer specific actions based on an API Config such as authentication, policy enforcement, and backend selection.", "id": "ApigatewayGateway", "properties": { "displayName": { "description": "Optional. Display name.", "type": "string" }, "labels": { "description": "Optional. Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources", "additionalProperties": { "type": "string" }, "type": "object" }, "apiConfig": { "type": "string", "description": "Required. Resource name of the API Config for this Gateway. Format: projects/{project}/locations/global/apis/{api}/configs/{apiConfig}" }, "state": { "type": "string", "enumDescriptions": [ "Gateway does not have a state yet.", "Gateway is being created.", "Gateway is running and ready for requests.", "Gateway creation failed.", "Gateway is being deleted.", "Gateway is being updated." ], "description": "Output only. The current state of the Gateway.", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "FAILED", "DELETING", "UPDATING" ] }, "updateTime": { "type": "string", "readOnly": true, "description": "Output only. Updated time.", "format": "google-datetime" }, "defaultHostname": { "description": "Output only. The default API Gateway host name of the form `{gateway_id}-{hash}.{region_code}.gateway.dev`.", "type": "string", "readOnly": true }, "name": { "description": "Output only. Resource name of the Gateway. Format: projects/{project}/locations/{location}/gateways/{gateway}", "type": "string", "readOnly": true }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. Created time.", "type": "string" } } }, "ApigatewayAuditLogConfig": { "properties": { "logType": { "description": "The log type that this config enables.", "type": "string", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "ApigatewayAuditLogConfig", "type": "object" }, "ApigatewayExpr": { "id": "ApigatewayExpr", "type": "object", "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "ApigatewayPolicy": { "properties": { "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "ApigatewayAuditConfig" }, "type": "array" }, "bindings": { "items": { "$ref": "ApigatewayBinding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" } }, "id": "ApigatewayPolicy", "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "ApigatewayStatus": { "properties": { "details": { "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "ApigatewayStatus", "type": "object" }, "ApigatewayApiConfig": { "type": "object", "id": "ApigatewayApiConfig", "description": "An API Configuration is a combination of settings for both the Managed Service and Gateways serving this API Config.", "properties": { "labels": { "type": "object", "description": "Optional. Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources", "additionalProperties": { "type": "string" } }, "managedServiceConfigs": { "items": { "$ref": "ApigatewayApiConfigFile" }, "description": "Optional. Service Configuration files. At least one must be included when using gRPC service definitions. See https://cloud.google.com/endpoints/docs/grpc/grpc-service-config#service_configuration_overview for the expected file contents. If multiple files are specified, the files are merged with the following rules: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All singular scalar fields are merged using \"last one wins\" semantics in the order of the files uploaded. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Repeated fields are concatenated. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Singular embedded messages are merged using these rules for nested fields.", "type": "array" }, "displayName": { "type": "string", "description": "Optional. Display name." }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "FAILED", "DELETING", "UPDATING", "ACTIVATING" ], "enumDescriptions": [ "API Config does not have a state yet.", "API Config is being created and deployed to the API Controller.", "API Config is ready for use by Gateways.", "API Config creation failed.", "API Config is being deleted.", "API Config is being updated.", "API Config settings are being activated in downstream systems. API Configs in this state cannot be used by Gateways." ], "description": "Output only. State of the API Config.", "readOnly": true, "type": "string" }, "name": { "readOnly": true, "description": "Output only. Resource name of the API Config. Format: projects/{project}/locations/global/apis/{api}/configs/{api_config}", "type": "string" }, "createTime": { "readOnly": true, "description": "Output only. Created time.", "format": "google-datetime", "type": "string" }, "gatewayServiceAccount": { "type": "string", "description": "Immutable. The Google Cloud IAM Service Account that Gateways serving this config should use to authenticate to other services. This may either be the Service Account's email (`{ACCOUNT_ID}@{PROJECT}.iam.gserviceaccount.com`) or its full resource name (`projects/{PROJECT}/accounts/{UNIQUE_ID}`). This is most often used when the service is a GCP resource such as a Cloud Run Service or an IAP-secured service." }, "updateTime": { "description": "Output only. Updated time.", "format": "google-datetime", "readOnly": true, "type": "string" }, "serviceConfigId": { "readOnly": true, "type": "string", "description": "Output only. The ID of the associated Service Config ( https://cloud.google.com/service-infrastructure/docs/glossary#config)." }, "grpcServices": { "description": "Optional. gRPC service definition files. If specified, openapi_documents must not be included.", "items": { "$ref": "ApigatewayApiConfigGrpcServiceDefinition" }, "type": "array" }, "openapiDocuments": { "items": { "$ref": "ApigatewayApiConfigOpenApiDocument" }, "description": "Optional. OpenAPI specification documents. If specified, grpc_services and managed_service_configs must not be included.", "type": "array" } } }, "ApigatewayListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "ApigatewayListOperationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "items": { "$ref": "ApigatewayOperation" }, "description": "A list of operations that matches the specified filter in the request." } }, "type": "object" }, "ApigatewayBinding": { "description": "Associates `members`, or principals, with a `role`.", "id": "ApigatewayBinding", "type": "object", "properties": { "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array", "items": { "type": "string" } }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "$ref": "ApigatewayExpr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } } }, "ApigatewayTestIamPermissionsRequest": { "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "id": "ApigatewayTestIamPermissionsRequest", "type": "object", "description": "Request message for `TestIamPermissions` method." }, "ApigatewayLocation": { "properties": { "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." } }, "id": "ApigatewayLocation", "type": "object", "description": "A resource that represents Google Cloud Platform location." }, "ApigatewayListApisResponse": { "properties": { "unreachableLocations": { "description": "Locations that could not be reached.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "description": "Next page token.", "type": "string" }, "apis": { "type": "array", "items": { "$ref": "ApigatewayApi" }, "description": "APIs." } }, "description": "Response message for ApiGatewayService.ListApis", "id": "ApigatewayListApisResponse", "type": "object" }, "ApigatewayOperation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "ApigatewayOperation", "properties": { "error": { "$ref": "ApigatewayStatus", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." } } }, "ApigatewayApi": { "properties": { "labels": { "type": "object", "description": "Optional. Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources", "additionalProperties": { "type": "string" } }, "managedService": { "type": "string", "description": "Optional. Immutable. The name of a Google Managed Service ( https://cloud.google.com/service-infrastructure/docs/glossary#managed). If not specified, a new Service will automatically be created in the same project as this API." }, "displayName": { "type": "string", "description": "Optional. Display name." }, "name": { "readOnly": true, "description": "Output only. Resource name of the API. Format: projects/{project}/locations/global/apis/{api}", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. Created time.", "readOnly": true }, "updateTime": { "description": "Output only. Updated time.", "format": "google-datetime", "type": "string", "readOnly": true }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "FAILED", "DELETING", "UPDATING" ], "enumDescriptions": [ "API does not have a state yet.", "API is being created.", "API is active.", "API creation failed.", "API is being deleted.", "API is being updated." ], "description": "Output only. State of the API.", "readOnly": true, "type": "string" } }, "id": "ApigatewayApi", "description": "An API that can be served by one or more Gateways.", "type": "object" } }, "ownerDomain": "google.com", "name": "apigateway" }
]===]))
