local decode = require("cjson").new().decode
return assert(decode([===[
{ "rootUrl": "https://apigateway.googleapis.com/", "ownerName": "Google", "batchPath": "batch", "revision": "20220623", "description": "", "ownerDomain": "google.com", "parameters": { "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "type": "string", "location": "query", "enum": [ "1", "2" ] }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "alt": { "description": "Data format for response.", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "enum": [ "json", "media", "proto" ], "default": "json" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." } }, "servicePath": "", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "fullyEncodeReservedExpansion": true, "id": "apigateway:v1beta", "kind": "discovery#restDescription", "mtlsRootUrl": "https://apigateway.mtls.googleapis.com/", "schemas": { "ApigatewayGateway": { "type": "object", "id": "ApigatewayGateway", "properties": { "name": { "description": "Output only. Resource name of the Gateway. Format: projects/{project}/locations/{location}/gateways/{gateway}", "readOnly": true, "type": "string" }, "updateTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. Updated time." }, "displayName": { "type": "string", "description": "Optional. Display name." }, "createTime": { "description": "Output only. Created time.", "type": "string", "format": "google-datetime", "readOnly": true }, "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "FAILED", "DELETING", "UPDATING" ], "description": "Output only. The current state of the Gateway.", "type": "string", "enumDescriptions": [ "Gateway does not have a state yet.", "Gateway is being created.", "Gateway is running and ready for requests.", "Gateway creation failed.", "Gateway is being deleted.", "Gateway is being updated." ] }, "defaultHostname": { "readOnly": true, "type": "string", "description": "Output only. The default API Gateway host name of the form `{gateway_id}-{hash}.{region_code}.gateway.dev`." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Optional. Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources", "type": "object" }, "apiConfig": { "description": "Required. Resource name of the API Config for this Gateway. Format: projects/{project}/locations/global/apis/{api}/configs/{apiConfig}", "type": "string" } }, "description": "A Gateway is an API-aware HTTP proxy. It performs API-Method and/or API-Consumer specific actions based on an API Config such as authentication, policy enforcement, and backend selection." }, "ApigatewayListLocationsResponse": { "type": "object", "id": "ApigatewayListLocationsResponse", "description": "The response message for Locations.ListLocations.", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "ApigatewayLocation" }, "type": "array" } } }, "ApigatewayCancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "id": "ApigatewayCancelOperationRequest", "type": "object", "properties": {} }, "ApigatewaySetIamPolicyRequest": { "type": "object", "properties": { "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask", "type": "string" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "ApigatewayPolicy" } }, "id": "ApigatewaySetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method." }, "ApigatewayListApiConfigsResponse": { "properties": { "unreachableLocations": { "description": "Locations that could not be reached.", "type": "array", "items": { "type": "string" } }, "apiConfigs": { "type": "array", "description": "API Configs.", "items": { "$ref": "ApigatewayApiConfig" } }, "nextPageToken": { "type": "string", "description": "Next page token." } }, "type": "object", "description": "Response message for ApiGatewayService.ListApiConfigs", "id": "ApigatewayListApiConfigsResponse" }, "ApigatewayListOperationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "ApigatewayOperation" } } }, "id": "ApigatewayListOperationsResponse", "description": "The response message for Operations.ListOperations.", "type": "object" }, "ApigatewayLocation": { "description": "A resource that represents Google Cloud Platform location.", "type": "object", "id": "ApigatewayLocation", "properties": { "labels": { "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" } }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" } } }, "ApigatewayTestIamPermissionsResponse": { "type": "object", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "id": "ApigatewayTestIamPermissionsResponse" }, "ApigatewayOperationMetadata": { "id": "ApigatewayOperationMetadata", "properties": { "diagnostics": { "readOnly": true, "items": { "$ref": "ApigatewayOperationMetadataDiagnostic" }, "description": "Output only. Diagnostics generated during processing of configuration source files.", "type": "array" }, "verb": { "type": "string", "description": "Output only. Name of the verb executed by the operation.", "readOnly": true }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "readOnly": true, "type": "string" }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "target": { "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string" }, "endTime": { "description": "Output only. The time the operation finished running.", "type": "string", "readOnly": true, "format": "google-datetime" }, "createTime": { "readOnly": true, "description": "Output only. The time the operation was created.", "type": "string", "format": "google-datetime" } }, "description": "Represents the metadata of the long-running operation.", "type": "object" }, "ApigatewayListApisResponse": { "description": "Response message for ApiGatewayService.ListApis", "properties": { "apis": { "type": "array", "description": "APIs.", "items": { "$ref": "ApigatewayApi" } }, "unreachableLocations": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } }, "nextPageToken": { "description": "Next page token.", "type": "string" } }, "type": "object", "id": "ApigatewayListApisResponse" }, "ApigatewayListGatewaysResponse": { "type": "object", "id": "ApigatewayListGatewaysResponse", "properties": { "nextPageToken": { "description": "Next page token.", "type": "string" }, "gateways": { "description": "Gateways.", "type": "array", "items": { "$ref": "ApigatewayGateway" } }, "unreachableLocations": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." } }, "description": "Response message for ApiGatewayService.ListGateways" }, "ApigatewayGatewayConfig": { "properties": { "backendConfig": { "$ref": "ApigatewayBackendConfig", "description": "Required. Backend settings that are applied to all backends of the Gateway." } }, "id": "ApigatewayGatewayConfig", "description": "Configuration settings for Gateways.", "type": "object" }, "ApigatewayStatus": { "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } } }, "type": "object", "id": "ApigatewayStatus", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "ApigatewayApiConfigFile": { "type": "object", "properties": { "contents": { "type": "string", "description": "The bytes that constitute the file.", "format": "byte" }, "path": { "description": "The file path (full or relative path). This is typically the path of the file when it is uploaded.", "type": "string" } }, "id": "ApigatewayApiConfigFile", "description": "A lightweight description of a file." }, "ApigatewayTestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "type": "object", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "id": "ApigatewayTestIamPermissionsRequest" }, "ApigatewayExpr": { "id": "ApigatewayExpr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object", "properties": { "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." } } }, "ApigatewayAuditLogConfig": { "type": "object", "id": "ApigatewayAuditLogConfig", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" }, "logType": { "description": "The log type that this config enables.", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string" } } }, "ApigatewayApiConfig": { "type": "object", "description": "An API Configuration is a combination of settings for both the Managed Service and Gateways serving this API Config.", "id": "ApigatewayApiConfig", "properties": { "gatewayConfig": { "$ref": "ApigatewayGatewayConfig", "description": "Immutable. Gateway specific configuration." }, "serviceConfigId": { "description": "Output only. The ID of the associated Service Config ( https://cloud.google.com/service-infrastructure/docs/glossary#config).", "type": "string", "readOnly": true }, "managedServiceConfigs": { "items": { "$ref": "ApigatewayApiConfigFile" }, "type": "array", "description": "Optional. Service Configuration files. At least one must be included when using gRPC service definitions. See https://cloud.google.com/endpoints/docs/grpc/grpc-service-config#service_configuration_overview for the expected file contents. If multiple files are specified, the files are merged with the following rules: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All singular scalar fields are merged using \"last one wins\" semantics in the order of the files uploaded. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Repeated fields are concatenated. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Singular embedded messages are merged using these rules for nested fields." }, "createTime": { "description": "Output only. Created time.", "format": "google-datetime", "type": "string", "readOnly": true }, "openapiDocuments": { "description": "Optional. OpenAPI specification documents. If specified, grpc_services and managed_service_configs must not be included.", "type": "array", "items": { "$ref": "ApigatewayApiConfigOpenApiDocument" } }, "state": { "enumDescriptions": [ "API Config does not have a state yet.", "API Config is being created and deployed to the API Controller.", "API Config is ready for use by Gateways.", "API Config creation failed.", "API Config is being deleted.", "API Config is being updated.", "API Config settings are being activated in downstream systems. API Configs in this state cannot be used by Gateways." ], "type": "string", "description": "Output only. State of the API Config.", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "FAILED", "DELETING", "UPDATING", "ACTIVATING" ] }, "displayName": { "description": "Optional. Display name.", "type": "string" }, "gatewayServiceAccount": { "type": "string", "description": "Immutable. The Google Cloud IAM Service Account that Gateways serving this config should use to authenticate to other services. This may either be the Service Account's email (`{ACCOUNT_ID}@{PROJECT}.iam.gserviceaccount.com`) or its full resource name (`projects/{PROJECT}/accounts/{UNIQUE_ID}`). This is most often used when the service is a GCP resource such as a Cloud Run Service or an IAP-secured service." }, "labels": { "type": "object", "description": "Optional. Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources", "additionalProperties": { "type": "string" } }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. Updated time.", "readOnly": true }, "name": { "description": "Output only. Resource name of the API Config. Format: projects/{project}/locations/global/apis/{api}/configs/{api_config}", "type": "string", "readOnly": true }, "grpcServices": { "description": "Optional. gRPC service definition files. If specified, openapi_documents must not be included.", "type": "array", "items": { "$ref": "ApigatewayApiConfigGrpcServiceDefinition" } } } }, "ApigatewayBackendConfig": { "id": "ApigatewayBackendConfig", "description": "Configuration for all backends.", "type": "object", "properties": { "googleServiceAccount": { "type": "string", "description": "Google Cloud IAM service account used to sign OIDC tokens for backends that have authentication configured (https://cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.configs#backend). This may either be the Service Account's email (i.e. \"{ACCOUNT_ID}@{PROJECT}.iam.gserviceaccount.com\") or its full resource name (i.e. \"projects/{PROJECT}/accounts/{UNIQUE_ID}\"). This is most often used when the backend is a GCP resource such as a Cloud Run Service or an IAP-secured service. Note that this token is always sent as an authorization header bearer token. The audience of the OIDC token is configured in the associated Service Config in the BackendRule option (https://github.com/googleapis/googleapis/blob/master/google/api/backend.proto#L125)." } } }, "ApigatewayAuditConfig": { "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "ApigatewayAuditConfig", "type": "object", "properties": { "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "type": "array", "items": { "$ref": "ApigatewayAuditLogConfig" } }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } } }, "ApigatewayPolicy": { "properties": { "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "type": "array", "items": { "$ref": "ApigatewayAuditConfig" } }, "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "etag": { "type": "string", "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "ApigatewayBinding" } } }, "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "ApigatewayPolicy" }, "ApigatewayApiConfigGrpcServiceDefinition": { "type": "object", "description": "A gRPC service definition.", "properties": { "fileDescriptorSet": { "$ref": "ApigatewayApiConfigFile", "description": "Input only. File descriptor set, generated by protoc. To generate, use protoc with imports and source info included. For an example test.proto file, the following command would put the value in a new file named out.pb. $ protoc --include_imports --include_source_info test.proto -o out.pb" }, "source": { "type": "array", "description": "Optional. Uncompiled proto files associated with the descriptor set, used for display purposes (server-side compilation is not supported). These should match the inputs to 'protoc' command used to generate file_descriptor_set.", "items": { "$ref": "ApigatewayApiConfigFile" } } }, "id": "ApigatewayApiConfigGrpcServiceDefinition" }, "Empty": { "id": "Empty", "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "ApigatewayBinding": { "type": "object", "description": "Associates `members`, or principals, with a `role`.", "id": "ApigatewayBinding", "properties": { "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "ApigatewayExpr" }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" } } }, "ApigatewayOperationMetadataDiagnostic": { "properties": { "message": { "description": "The diagnostic message.", "type": "string" }, "location": { "description": "Location of the diagnostic.", "type": "string" } }, "type": "object", "description": "Diagnostic information from configuration processing.", "id": "ApigatewayOperationMetadataDiagnostic" }, "ApigatewayApiConfigOpenApiDocument": { "id": "ApigatewayApiConfigOpenApiDocument", "description": "An OpenAPI Specification Document describing an API.", "type": "object", "properties": { "document": { "$ref": "ApigatewayApiConfigFile", "description": "The OpenAPI Specification document file." } } }, "ApigatewayOperation": { "type": "object", "id": "ApigatewayOperation", "properties": { "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "ApigatewayStatus" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "description": "This resource represents a long-running operation that is the result of a network API call." }, "ApigatewayApi": { "id": "ApigatewayApi", "description": "An API that can be served by one or more Gateways.", "type": "object", "properties": { "labels": { "type": "object", "description": "Optional. Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources", "additionalProperties": { "type": "string" } }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. Updated time.", "readOnly": true }, "createTime": { "description": "Output only. Created time.", "readOnly": true, "type": "string", "format": "google-datetime" }, "managedService": { "type": "string", "description": "Optional. Immutable. The name of a Google Managed Service ( https://cloud.google.com/service-infrastructure/docs/glossary#managed). If not specified, a new Service will automatically be created in the same project as this API." }, "name": { "description": "Output only. Resource name of the API. Format: projects/{project}/locations/global/apis/{api}", "type": "string", "readOnly": true }, "displayName": { "type": "string", "description": "Optional. Display name." }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "FAILED", "DELETING", "UPDATING" ], "readOnly": true, "type": "string", "enumDescriptions": [ "API does not have a state yet.", "API is being created.", "API is active.", "API creation failed.", "API is being deleted.", "API is being updated." ], "description": "Output only. State of the API." } } } }, "baseUrl": "https://apigateway.googleapis.com/", "discoveryVersion": "v1", "basePath": "", "protocol": "rest", "version": "v1beta", "version_module": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "name": "apigateway", "resources": { "projects": { "resources": { "locations": { "resources": { "apis": { "resources": { "configs": { "methods": { "create": { "parameterOrder": [ "parent" ], "httpMethod": "POST", "request": { "$ref": "ApigatewayApiConfig" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "location": "path", "type": "string", "description": "Required. Parent resource of the API Config, of the form: `projects/*/locations/global/apis/*`", "required": true }, "apiConfigId": { "location": "query", "type": "string", "description": "Required. Identifier to assign to the API Config. Must be unique within scope of the parent resource." } }, "response": { "$ref": "ApigatewayOperation" }, "description": "Creates a new ApiConfig in a given project and location.", "id": "apigateway.projects.locations.apis.configs.create", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+parent}/configs" }, "testIamPermissions": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ApigatewayTestIamPermissionsResponse" }, "path": "v1beta/{+resource}:testIamPermissions", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "apigateway.projects.locations.apis.configs.testIamPermissions", "parameterOrder": [ "resource" ], "request": { "$ref": "ApigatewayTestIamPermissionsRequest" }, "parameters": { "resource": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } } }, "get": { "parameters": { "view": { "enum": [ "CONFIG_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "description": "Specifies which fields of the API Config are returned in the response. Defaults to `BASIC` view.", "enumDescriptions": [ "", "Do not include configuration source files.", "Include configuration source files." ], "location": "query", "type": "string" }, "name": { "type": "string", "description": "Required. Resource name of the form: `projects/*/locations/global/apis/*/configs/*`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "location": "path" } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "apigateway.projects.locations.apis.configs.get", "path": "v1beta/{+name}", "response": { "$ref": "ApigatewayApiConfig" }, "description": "Gets details of a single ApiConfig.", "httpMethod": "GET" }, "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}:getIamPolicy", "response": { "$ref": "ApigatewayPolicy" }, "path": "v1beta/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "apigateway.projects.locations.apis.configs.getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } } }, "delete": { "httpMethod": "DELETE", "description": "Deletes a single ApiConfig.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigateway.projects.locations.apis.configs.delete", "response": { "$ref": "ApigatewayOperation" }, "path": "v1beta/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. Resource name of the form: `projects/*/locations/global/apis/*/configs/*`" } } }, "list": { "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Order by parameters." }, "pageSize": { "type": "integer", "description": "Page size.", "location": "query", "format": "int32" }, "filter": { "location": "query", "type": "string", "description": "Filter." }, "parent": { "required": true, "description": "Required. Parent resource of the API Config, of the form: `projects/*/locations/global/apis/*`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "Page token." } }, "description": "Lists ApiConfigs in a given project and location.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs", "id": "apigateway.projects.locations.apis.configs.list", "parameterOrder": [ "parent" ], "response": { "$ref": "ApigatewayListApiConfigsResponse" }, "path": "v1beta/{+parent}/configs" }, "patch": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}", "httpMethod": "PATCH", "parameterOrder": [ "name" ], "response": { "$ref": "ApigatewayOperation" }, "id": "apigateway.projects.locations.apis.configs.patch", "path": "v1beta/{+name}", "request": { "$ref": "ApigatewayApiConfig" }, "parameters": { "name": { "description": "Output only. Resource name of the API Config. Format: projects/{project}/locations/global/apis/{api}/configs/{api_config}", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "type": "string" }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Field mask is used to specify the fields to be overwritten in the ApiConfig resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the parameters of a single ApiConfig." }, "setIamPolicy": { "id": "apigateway.projects.locations.apis.configs.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1beta/{+resource}:setIamPolicy", "request": { "$ref": "ApigatewaySetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "ApigatewayPolicy" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}/configs/{configsId}:setIamPolicy", "parameterOrder": [ "resource" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+/configs/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true } } } } } }, "methods": { "get": { "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}", "response": { "$ref": "ApigatewayApi" }, "description": "Gets details of a single Api.", "path": "v1beta/{+name}", "id": "apigateway.projects.locations.apis.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Resource name of the form: `projects/*/locations/global/apis/*`", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "name" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+parent}/apis", "id": "apigateway.projects.locations.apis.list", "response": { "$ref": "ApigatewayListApisResponse" }, "description": "Lists Apis in a given project and location.", "parameterOrder": [ "parent" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis", "httpMethod": "GET", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "description": "Required. Parent resource of the API, of the form: `projects/*/locations/global`" }, "pageSize": { "format": "int32", "description": "Page size.", "location": "query", "type": "integer" }, "orderBy": { "description": "Order by parameters.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "description": "Page token.", "location": "query" }, "filter": { "description": "Filter.", "type": "string", "location": "query" } } }, "testIamPermissions": { "parameterOrder": [ "resource" ], "id": "apigateway.projects.locations.apis.testIamPermissions", "parameters": { "resource": { "type": "string", "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$" } }, "httpMethod": "POST", "request": { "$ref": "ApigatewayTestIamPermissionsRequest" }, "response": { "$ref": "ApigatewayTestIamPermissionsResponse" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1beta/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "location": "path", "description": "Required. Resource name of the form: `projects/*/locations/global/apis/*`", "type": "string", "required": true } }, "description": "Deletes a single Api.", "response": { "$ref": "ApigatewayOperation" }, "id": "apigateway.projects.locations.apis.delete", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "path": "v1beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}" }, "setIamPolicy": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}:setIamPolicy", "response": { "$ref": "ApigatewayPolicy" }, "parameters": { "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "apigateway.projects.locations.apis.setIamPolicy", "path": "v1beta/{+resource}:setIamPolicy", "request": { "$ref": "ApigatewaySetIamPolicyRequest" } }, "getIamPolicy": { "parameterOrder": [ "resource" ], "id": "apigateway.projects.locations.apis.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ApigatewayPolicy" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1beta/{+resource}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "format": "int32" }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$" } }, "httpMethod": "GET" }, "patch": { "description": "Updates the parameters of a single Api.", "id": "apigateway.projects.locations.apis.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "response": { "$ref": "ApigatewayOperation" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis/{apisId}", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Field mask is used to specify the fields to be overwritten in the Api resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." }, "name": { "type": "string", "location": "path", "description": "Output only. Resource name of the API. Format: projects/{project}/locations/global/apis/{api}", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/apis/[^/]+$" } }, "path": "v1beta/{+name}", "request": { "$ref": "ApigatewayApi" } }, "create": { "httpMethod": "POST", "description": "Creates a new Api in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "type": "string", "description": "Required. Parent resource of the API, of the form: `projects/*/locations/global`", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "apiId": { "location": "query", "description": "Required. Identifier to assign to the API. Must be unique within scope of the parent resource.", "type": "string" } }, "response": { "$ref": "ApigatewayOperation" }, "path": "v1beta/{+parent}/apis", "id": "apigateway.projects.locations.apis.create", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/apis", "parameterOrder": [ "parent" ], "request": { "$ref": "ApigatewayApi" } } } }, "gateways": { "methods": { "getIamPolicy": { "httpMethod": "GET", "path": "v1beta/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigateway.projects.locations.gateways.getIamPolicy", "response": { "$ref": "ApigatewayPolicy" }, "parameters": { "resource": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer", "location": "query" } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ] }, "setIamPolicy": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}:setIamPolicy", "httpMethod": "POST", "parameters": { "resource": { "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "location": "path" } }, "id": "apigateway.projects.locations.gateways.setIamPolicy", "response": { "$ref": "ApigatewayPolicy" }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+resource}:setIamPolicy", "request": { "$ref": "ApigatewaySetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors." }, "create": { "httpMethod": "POST", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gateways", "id": "apigateway.projects.locations.gateways.create", "description": "Creates a new Gateway in a given project and location.", "path": "v1beta/{+parent}/gateways", "response": { "$ref": "ApigatewayOperation" }, "parameters": { "gatewayId": { "location": "query", "description": "Required. Identifier to assign to the Gateway. Must be unique within scope of the parent resource.", "type": "string" }, "parent": { "location": "path", "required": true, "type": "string", "description": "Required. Parent resource of the Gateway, of the form: `projects/*/locations/*`", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "request": { "$ref": "ApigatewayGateway" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "id": "apigateway.projects.locations.gateways.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1beta/{+name}", "httpMethod": "DELETE", "response": { "$ref": "ApigatewayOperation" }, "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "required": true, "location": "path", "description": "Required. Resource name of the form: `projects/*/locations/*/gateways/*`" } }, "description": "Deletes a single Gateway.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}" }, "testIamPermissions": { "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}:testIamPermissions", "response": { "$ref": "ApigatewayTestIamPermissionsResponse" }, "id": "apigateway.projects.locations.gateways.testIamPermissions", "request": { "$ref": "ApigatewayTestIamPermissionsRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ] }, "list": { "parameterOrder": [ "parent" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gateways", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists Gateways in a given project and location.", "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "Page size.", "location": "query" }, "filter": { "description": "Filter.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Page token." }, "orderBy": { "type": "string", "description": "Order by parameters.", "location": "query" }, "parent": { "description": "Required. Parent resource of the Gateway, of the form: `projects/*/locations/*`", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "response": { "$ref": "ApigatewayListGatewaysResponse" }, "id": "apigateway.projects.locations.gateways.list", "path": "v1beta/{+parent}/gateways" }, "get": { "path": "v1beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Gets details of a single Gateway.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}", "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "location": "path", "description": "Required. Resource name of the form: `projects/*/locations/*/gateways/*`" } }, "response": { "$ref": "ApigatewayGateway" }, "id": "apigateway.projects.locations.gateways.get" }, "patch": { "response": { "$ref": "ApigatewayOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+name}", "httpMethod": "PATCH", "request": { "$ref": "ApigatewayGateway" }, "id": "apigateway.projects.locations.gateways.patch", "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Field mask is used to specify the fields to be overwritten in the Gateway resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "location": "query" }, "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "description": "Output only. Resource name of the Gateway. Format: projects/{project}/locations/{location}/gateways/{gateway}", "type": "string" } }, "description": "Updates the parameters of a single Gateway.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}", "parameterOrder": [ "name" ] } } }, "operations": { "methods": { "delete": { "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "The name of the operation resource to be deleted.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } }, "id": "apigateway.projects.locations.operations.delete", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1beta/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameterOrder": [ "name" ], "httpMethod": "DELETE" }, "list": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations", "id": "apigateway.projects.locations.operations.list", "httpMethod": "GET", "path": "v1beta/{+name}/operations", "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameters": { "filter": { "description": "The standard list filter.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The standard list page size." }, "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "The name of the operation's parent resource.", "required": true } }, "response": { "$ref": "ApigatewayListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "cancel": { "response": { "$ref": "Empty" }, "path": "v1beta/{+name}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource to be cancelled.", "type": "string" } }, "httpMethod": "POST", "request": { "$ref": "ApigatewayCancelOperationRequest" }, "parameterOrder": [ "name" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "id": "apigateway.projects.locations.operations.cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "get": { "path": "v1beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "description": "The name of the operation resource.", "required": true } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "apigateway.projects.locations.operations.get", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "response": { "$ref": "ApigatewayOperation" }, "httpMethod": "GET" } } } }, "methods": { "get": { "path": "v1beta/{+name}", "id": "apigateway.projects.locations.get", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}", "description": "Gets information about a location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ApigatewayLocation" }, "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location.", "type": "string", "location": "path" } }, "httpMethod": "GET", "parameterOrder": [ "name" ] }, "list": { "parameterOrder": [ "name" ], "path": "v1beta/{+name}/locations", "response": { "$ref": "ApigatewayListLocationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigateway.projects.locations.list", "parameters": { "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "format": "int32" }, "name": { "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$", "type": "string", "location": "path", "required": true } }, "httpMethod": "GET", "description": "Lists information about the supported locations for this service.", "flatPath": "v1beta/projects/{projectsId}/locations" } } } } } }, "title": "API Gateway API", "documentationLink": "https://cloud.google.com/api-gateway/docs" }
]===]))
