local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "apigee:v1", "version_module": true, "basePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "batchPath": "batch", "documentationLink": "https://cloud.google.com/apigee-api-management/", "kind": "discovery#restDescription", "parameters": { "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "alt": { "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "type": "string", "default": "json", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "prettyPrint": { "location": "query", "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query", "type": "string", "description": "V1 error format." }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" } }, "description": "Use the Apigee API to programmatically develop and manage APIs with a set of RESTful operations. Develop and secure API proxies, deploy and undeploy API proxy revisions, monitor APIs, configure environments, manage users, and more. Note: This product is available as a free trial for a time period of 60 days.", "servicePath": "", "canonicalName": "Apigee", "protocol": "rest", "version": "v1", "discoveryVersion": "v1", "mtlsRootUrl": "https://apigee.mtls.googleapis.com/", "schemas": { "GoogleCloudApigeeV1DataCollectorConfig": { "description": "Data collector and its configuration.", "id": "GoogleCloudApigeeV1DataCollectorConfig", "type": "object", "properties": { "type": { "enum": [ "TYPE_UNSPECIFIED", "INTEGER", "FLOAT", "STRING", "BOOLEAN", "DATETIME" ], "description": "Data type accepted by the data collector.", "type": "string", "enumDescriptions": [ "For future compatibility.", "For integer values.", "For float values.", "For string values.", "For boolean values.", "For datetime values." ] }, "name": { "type": "string", "description": "Name of the data collector in the following format: `organizations/{org}/datacollectors/{datacollector}`" } } }, "GoogleCloudApigeeV1AdvancedApiOpsConfig": { "description": "Configuration for the Advanced API Ops add-on.", "properties": { "enabled": { "description": "Flag that specifies whether the Advanced API Ops add-on is enabled.", "type": "boolean" } }, "type": "object", "id": "GoogleCloudApigeeV1AdvancedApiOpsConfig" }, "GoogleCloudApigeeV1DeploymentConfig": { "properties": { "attributes": { "description": "Additional key-value metadata for the deployment.", "type": "object", "additionalProperties": { "type": "string" } }, "location": { "type": "string", "description": "Location of the API proxy bundle as a URI." }, "proxyUid": { "description": "Unique ID of the API proxy revision.", "type": "string" }, "serviceAccount": { "type": "string", "description": "The service account identity associated with this deployment. If non-empty, will be in the following format: `projects/-/serviceAccounts/{account_email}`" }, "basePath": { "description": "Base path where the application will be hosted. Defaults to \"/\".", "type": "string" }, "name": { "type": "string", "description": "Name of the API or shared flow revision to be deployed in the following format: `organizations/{org}/apis/{api}/revisions/{rev}` or `organizations/{org}/sharedflows/{sharedflow}/revisions/{rev}`" }, "uid": { "type": "string", "description": "Unique ID. The ID will only change if the deployment is deleted and recreated." } }, "description": "NEXT ID: 9", "id": "GoogleCloudApigeeV1DeploymentConfig", "type": "object" }, "GoogleCloudApigeeV1Score": { "type": "object", "properties": { "subcomponents": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1ScoreComponent" }, "description": "List of all the drilldown score components." }, "timeRange": { "description": "Start and end time for the score.", "$ref": "GoogleTypeInterval" }, "component": { "$ref": "GoogleCloudApigeeV1ScoreComponent", "description": "Component containing score, recommendations and actions." } }, "description": "Represents Security Score.", "id": "GoogleCloudApigeeV1Score" }, "GoogleCloudApigeeV1GenerateDownloadUrlRequest": { "properties": {}, "type": "object", "description": "Request for GenerateDownloadUrl method.", "id": "GoogleCloudApigeeV1GenerateDownloadUrlRequest" }, "GoogleCloudApigeeV1ComputeEnvironmentScoresRequest": { "id": "GoogleCloudApigeeV1ComputeEnvironmentScoresRequest", "type": "object", "description": "Request for ComputeEnvironmentScores.", "properties": { "pageSize": { "format": "int32", "description": "Optional. The maximum number of subcomponents to be returned in a single page. The service may return fewer than this value. If unspecified, at most 100 subcomponents will be returned in a single page.", "type": "integer" }, "filters": { "description": "Optional. Filters are used to filter scored components. Return all the components if no filter is mentioned. Example: [{ \"scorePath\": \"/org@myorg/envgroup@myenvgroup/env@myenv/proxies/proxy@myproxy/source\" }, { \"scorePath\": \"/org@myorg/envgroup@myenvgroup/env@myenv/proxies/proxy@myproxy/target\", }] This will return components with path: \"/org@myorg/envgroup@myenvgroup/env@myenv/proxies/proxy@myproxy/source\" OR \"/org@myorg/envgroup@myenvgroup/env@myenv/proxies/proxy@myproxy/target\"", "items": { "$ref": "GoogleCloudApigeeV1ComputeEnvironmentScoresRequestFilter" }, "type": "array" }, "timeRange": { "$ref": "GoogleTypeInterval", "description": "Required. Time range for score calculation. At most 14 days of scores will be returned." }, "pageToken": { "description": "Optional. A token that can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } } }, "GoogleCloudApigeeV1RuntimeTraceSamplingConfig": { "properties": { "samplingRate": { "type": "number", "description": "Field sampling rate. This value is only applicable when using the PROBABILITY sampler. The supported values are \u003e 0 and \u003c= 0.5.", "format": "float" }, "sampler": { "enum": [ "SAMPLER_UNSPECIFIED", "OFF", "PROBABILITY" ], "enumDescriptions": [ "Sampler unspecified.", "OFF means distributed trace is disabled, or the sampling probability is 0.", "PROBABILITY means traces are captured on a probability that defined by sampling_rate. The sampling rate is limited to 0 to 0.5 when this is set." ], "description": "Sampler of distributed tracing. OFF is the default value.", "type": "string" } }, "type": "object", "description": "NEXT ID: 3 RuntimeTraceSamplingConfig represents the detail settings of distributed tracing. Only the fields that are defined in the distributed trace configuration can be overridden using the distribute trace configuration override APIs.", "id": "GoogleCloudApigeeV1RuntimeTraceSamplingConfig" }, "GoogleCloudApigeeV1TraceSamplingConfig": { "id": "GoogleCloudApigeeV1TraceSamplingConfig", "type": "object", "description": "TraceSamplingConfig represents the detail settings of distributed tracing. Only the fields that are defined in the distributed trace configuration can be overridden using the distribute trace configuration override APIs.", "properties": { "samplingRate": { "format": "float", "description": "Field sampling rate. This value is only applicable when using the PROBABILITY sampler. The supported values are \u003e 0 and \u003c= 0.5.", "type": "number" }, "sampler": { "type": "string", "description": "Sampler of distributed tracing. OFF is the default value.", "enumDescriptions": [ "Sampler unspecified.", "OFF means distributed trace is disabled, or the sampling probability is 0.", "PROBABILITY means traces are captured on a probability that defined by sampling_rate. The sampling rate is limited to 0 to 0.5 when this is set." ], "enum": [ "SAMPLER_UNSPECIFIED", "OFF", "PROBABILITY" ] } } }, "GoogleCloudApigeeV1GetSyncAuthorizationRequest": { "id": "GoogleCloudApigeeV1GetSyncAuthorizationRequest", "description": "Request for GetSyncAuthorization.", "properties": {}, "type": "object" }, "GoogleCloudApigeeV1GenerateUploadUrlResponse": { "properties": { "uploadUri": { "description": "The Google Cloud Storage signed URL that can be used to upload a new Archive zip file.", "type": "string" } }, "type": "object", "id": "GoogleCloudApigeeV1GenerateUploadUrlResponse", "description": "Response for GenerateUploadUrl method." }, "GoogleCloudApigeeV1TraceConfigOverride": { "type": "object", "id": "GoogleCloudApigeeV1TraceConfigOverride", "description": "A representation of a configuration override.", "properties": { "name": { "type": "string", "description": "ID of the trace configuration override specified as a system-generated UUID." }, "samplingConfig": { "description": "Trace configuration to override.", "$ref": "GoogleCloudApigeeV1TraceSamplingConfig" }, "apiProxy": { "description": "ID of the API proxy that will have its trace configuration overridden.", "type": "string" } } }, "GoogleCloudApigeeV1PodStatus": { "type": "object", "id": "GoogleCloudApigeeV1PodStatus", "properties": { "statusCode": { "type": "string", "description": "Code associated with the deployment status." }, "deploymentStatusTime": { "description": "Time the deployment status was reported in milliseconds since epoch.", "type": "string", "format": "int64" }, "podStatusTime": { "format": "int64", "description": "Time the pod status was reported in milliseconds since epoch.", "type": "string" }, "statusCodeDetails": { "description": "Human-readable message associated with the status code.", "type": "string" }, "deploymentTime": { "type": "string", "description": "Time the proxy was deployed in milliseconds since epoch.", "format": "int64" }, "appVersion": { "type": "string", "description": "Version of the application running in the pod." }, "podStatus": { "description": "Overall status of the pod (not this specific deployment). Valid values include: - `active`: Up to date. - `stale` : Recently out of date. Pods that have not reported status in a long time are excluded from the output.", "type": "string" }, "deploymentStatus": { "type": "string", "description": "Status of the deployment. Valid values include: - `deployed`: Successful. - `error` : Failed. - `pending` : Pod has not yet reported on the deployment." }, "podName": { "type": "string", "description": "Name of the pod which is reporting the status." } } }, "GoogleCloudApigeeV1EnvironmentGroupConfig": { "type": "object", "properties": { "revisionId": { "type": "string", "description": "Revision id that defines the ordering of the EnvironmentGroupConfig resource. The higher the revision, the more recently the configuration was deployed.", "format": "int64" }, "hostnames": { "description": "Host names for the environment group.", "type": "array", "items": { "type": "string" } }, "name": { "description": "Name of the environment group in the following format: `organizations/{org}/envgroups/{envgroup}`.", "type": "string" }, "routingRules": { "items": { "$ref": "GoogleCloudApigeeV1RoutingRule" }, "description": "Ordered list of routing rules defining how traffic to this environment group's hostnames should be routed to different environments.", "type": "array" }, "uid": { "type": "string", "description": "A unique id for the environment group config that will only change if the environment group is deleted and recreated." } }, "id": "GoogleCloudApigeeV1EnvironmentGroupConfig", "description": "EnvironmentGroupConfig is a revisioned snapshot of an EnvironmentGroup and its associated routing rules." }, "GoogleCloudApigeeV1ListApiProxiesResponse": { "id": "GoogleCloudApigeeV1ListApiProxiesResponse", "type": "object", "description": "To change this message, in the same CL add a change log in go/changing-api-proto-breaks-ui", "properties": { "proxies": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1ApiProxy" } } } }, "GoogleCloudApigeeV1DeveloperBalanceWallet": { "description": "Wallet used to manage an account balance for a particular currency.", "id": "GoogleCloudApigeeV1DeveloperBalanceWallet", "type": "object", "properties": { "lastCreditTime": { "format": "int64", "readOnly": true, "type": "string", "description": "Output only. Time at which the developer last added credit to the account in milliseconds since epoch." }, "balance": { "description": "Current remaining balance of the developer for a particular currency.", "$ref": "GoogleTypeMoney" } } }, "GoogleCloudApigeeV1Metric": { "id": "GoogleCloudApigeeV1Metric", "type": "object", "description": "Encapsulates the metric data point. For example: ```{ \"name\": \"sum(message_count)\", \"values\" : [ { \"timestamp\": 1549004400000, \"value\": \"39.0\" }, { \"timestamp\" : 1548997200000, \"value\" : \"0.0\" } ] }``` or ```{ \"name\": \"sum(message_count)\", \"values\" : [\"39.0\"] }```", "properties": { "name": { "type": "string", "description": "Metric name." }, "values": { "items": { "type": "any" }, "type": "array", "description": "List of metric values. Possible value formats include: `\"values\":[\"39.0\"]` or `\"values\":[ { \"value\": \"39.0\", \"timestamp\": 1232434354} ]`" } } }, "GoogleCloudApigeeV1Metadata": { "description": "Encapsulates additional information about query execution.", "type": "object", "properties": { "errors": { "description": "List of error messages as strings.", "type": "array", "items": { "type": "string" } }, "notices": { "type": "array", "items": { "type": "string" }, "description": "List of additional information such as data source, if result was truncated. For example: ``` \"notices\": [ \"Source:Postgres\", \"PG Host:uappg0rw.e2e.apigeeks.net\", \"query served by:4b64601e-40de-4eb1-bfb9-eeee7ac929ed\", \"Table used: edge.api.uapgroup2.agg_api\" ]```" } }, "id": "GoogleCloudApigeeV1Metadata" }, "GoogleCloudApigeeV1ScoreComponent": { "properties": { "recommendations": { "description": "List of recommendations to improve API security.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1ScoreComponentRecommendation" } }, "dataCaptureTime": { "type": "string", "format": "google-datetime", "description": "Time in the requested time period when data was last captured to compute the score." }, "calculateTime": { "description": "Time when score was calculated.", "type": "string", "format": "google-datetime" }, "score": { "type": "integer", "description": "Score for the component.", "format": "int32" }, "drilldownPaths": { "description": "List of paths for next components.", "items": { "type": "string" }, "type": "array" }, "scorePath": { "type": "string", "description": "Path of the component. Example: /org@myorg/envgroup@myenvgroup/proxies/proxy@myproxy" } }, "description": "Component is an individual security element that is scored.", "type": "object", "id": "GoogleCloudApigeeV1ScoreComponent" }, "GoogleCloudApigeeV1RoutingRule": { "type": "object", "properties": { "receiver": { "type": "string", "description": "The resource name of the proxy revision that is receiving this basepath in the following format: `organizations/{org}/apis/{api}/revisions/{rev}`. This field is omitted from the IngressConfig unless the GetDeployedIngressConfig API is called with view=FULL." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "The unix timestamp when this rule was updated. This is updated whenever env_group_revision is updated. This field is omitted from the IngressConfig unless the GetDeployedIngressConfig API is called with view=FULL." }, "environment": { "type": "string", "description": "Name of an environment bound to the environment group in the following format: `organizations/{org}/environments/{env}`." }, "basepath": { "type": "string", "description": "URI path prefix used to route to the specified environment. May contain one or more wildcards. For example, path segments consisting of a single `*` character will match any string." }, "envGroupRevision": { "type": "string", "description": "The env group config revision_id when this rule was added or last updated. This value is set when the rule is created and will only update if the the environment_id changes. It is used to determine if the runtime is up to date with respect to this rule. This field is omitted from the IngressConfig unless the GetDeployedIngressConfig API is called with view=FULL.", "format": "int64" } }, "id": "GoogleCloudApigeeV1RoutingRule" }, "GoogleCloudApigeeV1ResourceFile": { "description": "Metadata about a resource file.", "id": "GoogleCloudApigeeV1ResourceFile", "properties": { "name": { "description": "ID of the resource file.", "type": "string" }, "type": { "description": "Resource file type. {{ resource_file_type }}", "type": "string" } }, "type": "object" }, "GoogleCloudApigeeV1CustomReportMetric": { "description": "This encapsulates a metric property of the form sum(message_count) where name is message_count and function is sum", "type": "object", "id": "GoogleCloudApigeeV1CustomReportMetric", "properties": { "name": { "description": "name of the metric", "type": "string" }, "function": { "description": "aggregate function", "type": "string" } } }, "GoogleRpcPreconditionFailure": { "properties": { "violations": { "items": { "$ref": "GoogleRpcPreconditionFailureViolation" }, "description": "Describes all precondition violations.", "type": "array" } }, "description": "Describes what preconditions have failed. For example, if an RPC failed because it required the Terms of Service to be acknowledged, it could list the terms of service violation in the PreconditionFailure message.", "type": "object", "id": "GoogleRpcPreconditionFailure" }, "GoogleIamV1SetIamPolicyRequest": { "id": "GoogleIamV1SetIamPolicyRequest", "type": "object", "properties": { "updateMask": { "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "GoogleIamV1Policy" } }, "description": "Request message for `SetIamPolicy` method." }, "GoogleProtobufEmpty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "id": "GoogleProtobufEmpty" }, "GoogleCloudApigeeV1EnvironmentGroupAttachment": { "type": "object", "id": "GoogleCloudApigeeV1EnvironmentGroupAttachment", "properties": { "environmentGroupId": { "description": "Output only. ID of the environment group.", "readOnly": true, "type": "string" }, "createdAt": { "format": "int64", "readOnly": true, "type": "string", "description": "Output only. The time at which the environment group attachment was created as milliseconds since epoch." }, "environment": { "type": "string", "description": "Required. ID of the attached environment." }, "name": { "type": "string", "description": "ID of the environment group attachment." } }, "description": "EnvironmentGroupAttachment is a resource which defines an attachment of an environment to an environment group." }, "GoogleCloudApigeeV1Stats": { "type": "object", "description": "Encapsulates a `stats` response.", "properties": { "hosts": { "items": { "$ref": "GoogleCloudApigeeV1StatsHostStats" }, "description": "List of query results grouped by host.", "type": "array" }, "metaData": { "description": "Metadata information.", "$ref": "GoogleCloudApigeeV1Metadata" }, "environments": { "description": "List of query results on the environment level.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1StatsEnvironmentStats" } } }, "id": "GoogleCloudApigeeV1Stats" }, "GoogleCloudApigeeV1ReportInstanceStatusRequest": { "description": "Request for ReportInstanceStatus.", "id": "GoogleCloudApigeeV1ReportInstanceStatusRequest", "properties": { "reportTime": { "format": "google-datetime", "description": "The time the report was generated in the runtime. Used to prevent an old status from overwriting a newer one. An instance should space out it's status reports so that clock skew does not play a factor.", "type": "string" }, "instanceUid": { "type": "string", "description": "A unique ID for the instance which is guaranteed to be unique in case the user installs multiple hybrid runtimes with the same instance ID." }, "resources": { "description": "Status for config resources", "items": { "$ref": "GoogleCloudApigeeV1ResourceStatus" }, "type": "array" } }, "type": "object" }, "GoogleCloudApigeeV1ArchiveDeployment": { "id": "GoogleCloudApigeeV1ArchiveDeployment", "type": "object", "description": "Archive Deployment information.", "properties": { "operation": { "readOnly": true, "description": "Output only. A reference to the LRO that created this Archive Deployment in the following format: `organizations/{org}/operations/{id}`", "type": "string" }, "name": { "type": "string", "description": "Name of the Archive Deployment in the following format: `organizations/{org}/environments/{env}/archiveDeployments/{id}`." }, "labels": { "type": "object", "description": "User-supplied key-value pairs used to organize ArchiveDeployments. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62} Label values must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} No more than 64 labels can be associated with a given store.", "additionalProperties": { "type": "string" } }, "updatedAt": { "type": "string", "description": "Output only. The time at which the Archive Deployment was updated in milliseconds since the epoch.", "readOnly": true, "format": "int64" }, "gcsUri": { "type": "string", "description": "Input only. The Google Cloud Storage signed URL returned from GenerateUploadUrl and used to upload the Archive zip file." }, "createdAt": { "description": "Output only. The time at which the Archive Deployment was created in milliseconds since the epoch.", "format": "int64", "type": "string", "readOnly": true } } }, "GoogleCloudApigeeV1Result": { "description": "Result is short for \"action result\", could be different types identified by \"action_result\" field. Supported types: 1. DebugInfo : generic debug info collected by runtime recorded as a list of properties. For example, the contents could be virtual host info, state change result, or execution metadata. Required fields : properties, timestamp 2. RequestMessage: information of a http request. Contains headers, request URI and http methods type.Required fields : headers, uri, verb 3. ResponseMessage: information of a http response. Contains headers, reason phrase and http status code. Required fields : headers, reasonPhrase, statusCode 4. ErrorMessage: information of a http error message. Contains detail error message, reason phrase and status code. Required fields : content, headers, reasonPhrase, statusCode 5. VariableAccess: a list of variable access actions, can be Get, Set and Remove. Required fields : accessList", "type": "object", "id": "GoogleCloudApigeeV1Result", "properties": { "verb": { "description": "HTTP method verb", "type": "string" }, "headers": { "description": "A list of HTTP headers. for example, '\"headers\" : [ { \"name\" : \"Content-Length\", \"value\" : \"83\" }, { \"name\" : \"Content-Type\", \"value\" : \"application/json\" } ]'", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1Property" } }, "properties": { "$ref": "GoogleCloudApigeeV1Properties", "description": "Name value pairs used for DebugInfo ActionResult." }, "content": { "description": "Error message content. for example, \"content\" : \"{\\\"fault\\\":{\\\"faultstring\\\":\\\"API timed out\\\",\\\"detail\\\":{\\\"errorcode\\\":\\\"flow.APITimedOut\\\"}}}\"", "type": "string" }, "accessList": { "items": { "$ref": "GoogleCloudApigeeV1Access" }, "type": "array", "description": "A list of variable access actions agaist the api proxy. Supported values: Get, Set, Remove." }, "uRI": { "description": "The relative path of the api proxy. for example, `\"uRI\" : \"/iloveapis\"`", "type": "string" }, "timestamp": { "description": "Timestamp of when the result is recorded. Its format is dd-mm-yy hh:mm:ss:xxx. For example, `\"timestamp\" : \"12-08-19 00:31:59:960\"`", "type": "string" }, "ActionResult": { "type": "string", "description": "Type of the action result. Can be one of the five: DebugInfo, RequestMessage, ResponseMessage, ErrorMessage, VariableAccess" }, "statusCode": { "type": "string", "description": "HTTP response code" }, "reasonPhrase": { "type": "string", "description": "HTTP response phrase" } } }, "GoogleCloudApigeeV1Access": { "type": "object", "properties": { "Remove": { "$ref": "GoogleCloudApigeeV1AccessRemove" }, "Get": { "$ref": "GoogleCloudApigeeV1AccessGet" }, "Set": { "$ref": "GoogleCloudApigeeV1AccessSet" } }, "id": "GoogleCloudApigeeV1Access" }, "GoogleCloudApigeeV1EnvironmentConfig": { "type": "object", "properties": { "flowhooks": { "items": { "$ref": "GoogleCloudApigeeV1FlowHookConfig" }, "description": "List of flow hooks in the environment.", "type": "array" }, "createTime": { "description": "Time that the environment configuration was created.", "format": "google-datetime", "type": "string" }, "arcConfigLocation": { "type": "string", "description": "The location for the config blob of API Runtime Control, aka Envoy Adapter, for op-based authentication as a URI, e.g. a Cloud Storage URI. This is only used by Envoy-based gateways." }, "provider": { "description": "Used by the Control plane to add context information to help detect the source of the document during diagnostics and debugging.", "type": "string" }, "revisionId": { "format": "int64", "description": "Revision ID of the environment configuration. The higher the value, the more recently the configuration was deployed.", "type": "string" }, "featureFlags": { "description": "Feature flags inherited from the organization and environment.", "additionalProperties": { "type": "string" }, "type": "object" }, "dataCollectors": { "description": "List of data collectors used by the deployments in the environment.", "items": { "$ref": "GoogleCloudApigeeV1DataCollectorConfig" }, "type": "array" }, "name": { "description": "Name of the environment configuration in the following format: `organizations/{org}/environments/{env}/configs/{config}`", "type": "string" }, "resourceReferences": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1ReferenceConfig" }, "description": "List of resource references in the environment." }, "traceConfig": { "description": "Trace configurations. Contains config for the environment and config overrides for specific API proxies.", "$ref": "GoogleCloudApigeeV1RuntimeTraceConfig" }, "uid": { "description": "Unique ID for the environment configuration. The ID will only change if the environment is deleted and recreated.", "type": "string" }, "forwardProxyUri": { "description": "The forward proxy's url to be used by the runtime. When set, runtime will send requests to the target via the given forward proxy. This is only used by programmable gateways.", "type": "string" }, "deployments": { "type": "array", "description": "List of deployments in the environment.", "items": { "$ref": "GoogleCloudApigeeV1DeploymentConfig" } }, "gatewayConfigLocation": { "description": "The location for the gateway config blob as a URI, e.g. a Cloud Storage URI. This is only used by Envoy-based gateways.", "type": "string" }, "pubsubTopic": { "description": "Name of the PubSub topic for the environment.", "type": "string" }, "resources": { "items": { "$ref": "GoogleCloudApigeeV1ResourceConfig" }, "type": "array", "description": "List of resource versions in the environment." }, "sequenceNumber": { "type": "string", "format": "int64", "description": "DEPRECATED: Use revision_id." }, "targets": { "type": "array", "description": "List of target servers in the environment. Disabled target servers are not displayed.", "items": { "$ref": "GoogleCloudApigeeV1TargetServerConfig" } }, "keystores": { "items": { "$ref": "GoogleCloudApigeeV1KeystoreConfig" }, "description": "List of keystores in the environment.", "type": "array" }, "debugMask": { "$ref": "GoogleCloudApigeeV1DebugMask", "description": "Debug mask that applies to all deployments in the environment." } }, "id": "GoogleCloudApigeeV1EnvironmentConfig" }, "EdgeConfigstoreBundleBadBundle": { "description": "Describes why a bundle is invalid. Intended for use in error details.", "properties": { "violations": { "items": { "$ref": "EdgeConfigstoreBundleBadBundleViolation" }, "type": "array", "description": "Describes all precondition violations." } }, "type": "object", "id": "EdgeConfigstoreBundleBadBundle" }, "GoogleCloudApigeeV1DeveloperMonetizationConfig": { "type": "object", "properties": { "billingType": { "description": "Billing type.", "enumDescriptions": [ "The default/unset value.", "Developer pays in advance for the use of APIs and the charged amount is deducted from their account balance.", "Developer does not maintain an account balance. The API provider bills the developer for API usage." ], "type": "string", "enum": [ "BILLING_TYPE_UNSPECIFIED", "PREPAID", "POSTPAID" ] } }, "description": "Monetization configuration for the developer.", "id": "GoogleCloudApigeeV1DeveloperMonetizationConfig" }, "GoogleCloudApigeeV1Certificate": { "id": "GoogleCloudApigeeV1Certificate", "type": "object", "properties": { "certInfo": { "description": "Chain of certificates under this name.", "items": { "$ref": "GoogleCloudApigeeV1CertInfo" }, "type": "array" } } }, "GoogleCloudApigeeV1ListApiProductsResponse": { "properties": { "apiProduct": { "type": "array", "description": "Lists all API product names defined for an organization.", "items": { "$ref": "GoogleCloudApigeeV1ApiProduct" } } }, "type": "object", "id": "GoogleCloudApigeeV1ListApiProductsResponse" }, "GoogleCloudApigeeV1ListNatAddressesResponse": { "properties": { "natAddresses": { "items": { "$ref": "GoogleCloudApigeeV1NatAddress" }, "type": "array", "description": "List of NAT Addresses for the instance." }, "nextPageToken": { "type": "string", "description": "Page token that you can include in a ListNatAddresses request to retrieve the next page of content. If omitted, no subsequent pages exist." } }, "type": "object", "description": "Response for ListNatAddresses.", "id": "GoogleCloudApigeeV1ListNatAddressesResponse" }, "GoogleCloudApigeeV1ListKeyValueEntriesResponse": { "type": "object", "properties": { "keyValueEntries": { "description": "One or more key value map keys and values.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" } }, "nextPageToken": { "description": "Token that can be sent as `next_page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "id": "GoogleCloudApigeeV1ListKeyValueEntriesResponse", "description": "The request structure for listing Key value map keys and its corrresponding values." }, "GoogleCloudApigeeV1ListSecurityReportsResponse": { "id": "GoogleCloudApigeeV1ListSecurityReportsResponse", "properties": { "nextPageToken": { "type": "string", "description": "If the number of security reports exceeded the page size requested, the token can be used to fetch the next page in a subsequent call. If the response is the last page and there are no more reports to return this field is left empty." }, "securityReports": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1SecurityReport" }, "description": "The security reports belong to requested resource name." } }, "type": "object", "description": "The response for SecurityReports." }, "EdgeConfigstoreBundleBadBundleViolation": { "properties": { "description": { "type": "string", "description": "A description of why the bundle is invalid and how to fix it." }, "filename": { "description": "The filename (including relative path from the bundle root) in which the error occurred.", "type": "string" } }, "id": "EdgeConfigstoreBundleBadBundleViolation", "type": "object", "description": "A message type used to describe a single bundle validation error." }, "GoogleCloudApigeeV1SecurityProfileEnvironment": { "properties": { "attachTime": { "description": "Output only. Time at which environment was attached to the security profile.", "type": "string", "format": "google-datetime", "readOnly": true }, "environment": { "readOnly": true, "type": "string", "description": "Output only. Name of the environment." } }, "type": "object", "id": "GoogleCloudApigeeV1SecurityProfileEnvironment", "description": "Environment information of attached environments. Scoring an environment is enabled only if it is attached to a security profile." }, "GoogleCloudApigeeV1DebugSessionTransaction": { "id": "GoogleCloudApigeeV1DebugSessionTransaction", "description": "A transaction contains all of the debug information of the entire message flow of an API call processed by the runtime plane. The information is collected and recorded at critical points of the message flow in the runtime apiproxy.", "type": "object", "properties": { "point": { "description": "List of debug data collected by runtime plane at various defined points in the flow.", "items": { "$ref": "GoogleCloudApigeeV1Point" }, "type": "array" }, "completed": { "description": "Flag indicating whether a transaction is completed or not", "type": "boolean" } } }, "GoogleCloudApigeeV1ListAppsResponse": { "properties": { "app": { "items": { "$ref": "GoogleCloudApigeeV1App" }, "type": "array" } }, "id": "GoogleCloudApigeeV1ListAppsResponse", "type": "object" }, "GoogleIamV1TestIamPermissionsRequest": { "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "GoogleIamV1TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method." }, "GoogleCloudApigeeV1ApiProxyRevision": { "type": "object", "properties": { "resources": { "description": "List of the resources included in the API proxy revision formatted as \"{type}://{name}\".", "type": "array", "items": { "type": "string" } }, "proxyEndpoints": { "items": { "type": "string" }, "type": "array", "description": "List of ProxyEndpoints in the `/proxies` directory of the API proxy. Typically, this element is included only when the API proxy was created using the Edge UI. This is a 'manifest' setting designed to provide visibility into the contents of the API proxy." }, "integrationEndpoints": { "items": { "type": "string" }, "type": "array", "description": "List of IntegrationEndpoints in the '/integration-endpoints' directory of the API proxy. This is a 'manifest' setting designed to provide visibility into the contents of the API proxy." }, "proxies": { "items": { "type": "string" }, "type": "array", "description": "List of proxy names included in the API proxy revision." }, "name": { "type": "string", "description": "Name of the API proxy." }, "targetEndpoints": { "items": { "type": "string" }, "type": "array", "description": "List of TargetEndpoints in the `/targets` directory of the API proxy. Typically, this element is included only when the API proxy was created using the Edge UI. This is a 'manifest' setting designed to provide visibility into the contents of the API proxy." }, "targetServers": { "type": "array", "items": { "type": "string" }, "description": "List of TargetServers referenced in any TargetEndpoint in the API proxy. Typically, you will see this element only when the API proxy was created using the Edge UI. This is a 'manifest' setting designed to provide visibility into the contents of the API proxy." }, "description": { "description": "Description of the API proxy revision.", "type": "string" }, "lastModifiedAt": { "format": "int64", "description": "Time that the API proxy revision was last modified in milliseconds since epoch.", "type": "string" }, "archive": { "description": "Output only. The archive that generated this proxy revision. This field is only present on proxy revisions that were generated by an archive. Proxies generated by archives cannot be updated, deleted, or deployed to other environments. Format: `organizations/*/environments/*/archiveDeployments/*`", "type": "string", "readOnly": true }, "entityMetaDataAsProperties": { "description": "Metadata describing the API proxy revision as a key-value map.", "type": "object", "additionalProperties": { "type": "string" } }, "targets": { "description": "List of the targets included in the API proxy revision.", "type": "array", "items": { "type": "string" } }, "contextInfo": { "description": "Revision number, app name, and organization for the API proxy.", "type": "string" }, "basepaths": { "type": "array", "description": "Base URL of the API proxy.", "items": { "type": "string" } }, "type": { "type": "string", "description": "Type. Set to `Application`. Maintained for compatibility with the Apigee Edge API." }, "policies": { "type": "array", "description": "List of policy names included in the API proxy revision..", "items": { "type": "string" } }, "sharedFlows": { "items": { "type": "string" }, "description": "List of the shared flows included in the API proxy revision.", "type": "array" }, "createdAt": { "format": "int64", "type": "string", "description": "Time that the API proxy revision was created in milliseconds since epoch." }, "configurationVersion": { "description": "Version of the API proxy configuration schema to which the API proxy conforms. Currently, the only supported value is 4.0 (`majorVersion.minorVersion`). This setting may be used in the future to track the evolution of the API proxy format.", "$ref": "GoogleCloudApigeeV1ConfigVersion" }, "teams": { "items": { "type": "string" }, "type": "array", "description": "List of the teams included in the API proxy revision." }, "resourceFiles": { "$ref": "GoogleCloudApigeeV1ResourceFiles", "description": "List of resource files included in the API proxy revision." }, "revision": { "type": "string", "description": "API proxy revision." }, "spec": { "description": "OpenAPI Specification that is associated with the API proxy. The value is set to a URL or to a path in the specification store.", "type": "string" }, "displayName": { "type": "string", "description": "Human-readable name of the API proxy." } }, "description": "API proxy revision.", "id": "GoogleCloudApigeeV1ApiProxyRevision" }, "GoogleCloudApigeeV1ApiResponseWrapper": { "type": "object", "id": "GoogleCloudApigeeV1ApiResponseWrapper", "properties": { "requestId": { "type": "string", "description": "ID that can be used to find request details in the log files." }, "message": { "description": "Description of the operation.", "type": "string" }, "status": { "type": "string", "description": "Status of the operation." }, "errorCode": { "type": "string", "description": "ID that can be used to find errors in the log files." } } }, "GoogleRpcStatus": { "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "GoogleRpcStatus", "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } } } }, "GoogleCloudApigeeV1DeploymentChangeReportRoutingChange": { "id": "GoogleCloudApigeeV1DeploymentChangeReportRoutingChange", "type": "object", "description": "Describes a potential routing change that may occur as a result of some deployment operation.", "properties": { "description": { "description": "Human-readable description of this routing change.", "type": "string" }, "shouldSequenceRollout": { "type": "boolean", "description": "Set to `true` if using sequenced rollout would make this routing change safer. **Note**: This does not necessarily imply that automated sequenced rollout mode is supported for the operation." }, "environmentGroup": { "description": "Name of the environment group affected by this routing change.", "type": "string" }, "toDeployment": { "description": "Base path/deployment that may start receiving that traffic. May be null if no deployment is able to receive the traffic.", "$ref": "GoogleCloudApigeeV1DeploymentChangeReportRoutingDeployment" }, "fromDeployment": { "description": "Base path/deployment that may stop receiving some traffic.", "$ref": "GoogleCloudApigeeV1DeploymentChangeReportRoutingDeployment" } } }, "GoogleCloudApigeeV1EnvironmentGroup": { "id": "GoogleCloudApigeeV1EnvironmentGroup", "type": "object", "properties": { "name": { "description": "ID of the environment group.", "type": "string" }, "lastModifiedAt": { "type": "string", "readOnly": true, "description": "Output only. The time at which the environment group was last updated as milliseconds since epoch.", "format": "int64" }, "state": { "enumDescriptions": [ "Resource is in an unspecified state.", "Resource is being created.", "Resource is provisioned and ready to use.", "The resource is being deleted.", "The resource is being updated." ], "description": "Output only. State of the environment group. Values other than ACTIVE means the resource is not ready to use.", "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "DELETING", "UPDATING" ], "readOnly": true, "type": "string" }, "createdAt": { "type": "string", "description": "Output only. The time at which the environment group was created as milliseconds since epoch.", "format": "int64", "readOnly": true }, "hostnames": { "type": "array", "description": "Required. Host names for this environment group.", "items": { "type": "string" } } }, "description": "EnvironmentGroup configuration. An environment group is used to group one or more Apigee environments under a single host name." }, "GoogleCloudApigeeV1ListDebugSessionsResponse": { "id": "GoogleCloudApigeeV1ListDebugSessionsResponse", "type": "object", "properties": { "nextPageToken": { "description": "Page token that you can include in a ListDebugSessionsRequest to retrieve the next page. If omitted, no subsequent pages exist.", "type": "string" }, "sessions": { "description": "Session info that includes debug session ID and the first transaction creation timestamp.", "items": { "$ref": "GoogleCloudApigeeV1Session" }, "type": "array" } } }, "GoogleIamV1AuditLogConfig": { "properties": { "logType": { "type": "string", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleIamV1AuditLogConfig", "type": "object", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging." }, "GoogleCloudApigeeV1OperationMetadataProgress": { "properties": { "percentDone": { "type": "integer", "description": "The percentage of the operation progress.", "format": "int32" }, "description": { "type": "string", "description": "Description of the operation's progress." }, "state": { "type": "string", "enumDescriptions": [ "", "", "", "" ], "description": "State of the operation.", "enum": [ "STATE_UNSPECIFIED", "NOT_STARTED", "IN_PROGRESS", "FINISHED" ] }, "details": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "The additional details of the progress." } }, "description": "Information about operation progress.", "type": "object", "id": "GoogleCloudApigeeV1OperationMetadataProgress" }, "GoogleLongrunningOperation": { "properties": { "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "GoogleLongrunningOperation" }, "GoogleCloudApigeeV1ApiCategoryData": { "properties": { "siteId": { "description": "Name of the portal.", "type": "string" }, "id": { "description": "ID of the category (a UUID).", "type": "string" }, "name": { "type": "string", "description": "Name of the category." }, "updateTime": { "format": "int64", "type": "string", "description": "Time the category was last modified in milliseconds since epoch." } }, "id": "GoogleCloudApigeeV1ApiCategoryData", "type": "object", "description": "the Api category resource." }, "GoogleCloudApigeeV1InstanceDeploymentStatusDeployedRevision": { "type": "object", "id": "GoogleCloudApigeeV1InstanceDeploymentStatusDeployedRevision", "description": "Revisions deployed in the MPs.", "properties": { "percentage": { "format": "int32", "description": "Percentage of MP replicas reporting this revision.", "type": "integer" }, "revision": { "type": "string", "description": "API proxy revision reported as deployed." } } }, "GoogleCloudApigeeV1Session": { "type": "object", "description": "Session carries the debug session id and its creation time.", "id": "GoogleCloudApigeeV1Session", "properties": { "id": { "type": "string", "description": "The debug session ID." }, "timestampMs": { "type": "string", "format": "int64", "description": "The first transaction creation timestamp in millisecond, recorded by UAP." } } }, "GoogleCloudApigeeV1DeploymentChangeReport": { "properties": { "validationErrors": { "description": "Validation errors that would cause the deployment change request to be rejected.", "$ref": "GoogleRpcPreconditionFailure" }, "routingChanges": { "description": "All routing changes that may result from a deployment request.", "items": { "$ref": "GoogleCloudApigeeV1DeploymentChangeReportRoutingChange" }, "type": "array" }, "routingConflicts": { "type": "array", "description": "All base path conflicts detected for a deployment request.", "items": { "$ref": "GoogleCloudApigeeV1DeploymentChangeReportRoutingConflict" } } }, "type": "object", "id": "GoogleCloudApigeeV1DeploymentChangeReport", "description": "Response for GenerateDeployChangeReport and GenerateUndeployChangeReport. This report contains any validation failures that would cause the deployment to be rejected, as well changes and conflicts in routing that may occur due to the new deployment. The existence of a routing warning does not necessarily imply that the deployment request is bad, if the desired state of the deployment request is to effect a routing change. The primary purposes of the routing messages are: 1) To inform users of routing changes that may have an effect on traffic currently being routed to other existing deployments. 2) To warn users if some base path in the proxy will not receive traffic due to an existing deployment having already claimed that base path. The presence of routing conflicts/changes will not cause non-dry-run DeployApiProxy/UndeployApiProxy requests to be rejected." }, "GoogleCloudApigeeV1ListHybridIssuersResponse": { "properties": { "issuers": { "description": "Lists of hybrid services and its trusted issuer email ids.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1ServiceIssuersMapping" } } }, "type": "object", "id": "GoogleCloudApigeeV1ListHybridIssuersResponse" }, "GoogleCloudApigeeV1AccessGet": { "id": "GoogleCloudApigeeV1AccessGet", "description": "Get action. For example, \"Get\" : { \"name\" : \"target.name\", \"value\" : \"default\" }", "properties": { "value": { "type": "string" }, "name": { "type": "string" } }, "type": "object" }, "GoogleCloudApigeeV1SecurityReportQueryMetric": { "properties": { "operator": { "type": "string", "description": "One of `+`, `-`, `/`, `%`, `*`." }, "aggregationFunction": { "type": "string", "description": "Aggregation function: avg, min, max, or sum." }, "alias": { "description": "Alias for the metric. Alias will be used to replace metric name in query results.", "type": "string" }, "value": { "type": "string", "description": "Operand value should be provided when operator is set." }, "name": { "description": "Required. Metric name.", "type": "string" } }, "description": "Metric of the Query", "type": "object", "id": "GoogleCloudApigeeV1SecurityReportQueryMetric" }, "GoogleCloudApigeeV1DebugMask": { "id": "GoogleCloudApigeeV1DebugMask", "properties": { "namespaces": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Map of namespaces to URIs." }, "variables": { "items": { "type": "string" }, "description": "List of variables that should be masked from the debug output.", "type": "array" }, "name": { "description": "Name of the debug mask.", "type": "string" }, "requestXPaths": { "type": "array", "description": "List of XPaths that specify the XML elements to be filtered from XML request message payloads.", "items": { "type": "string" } }, "faultXPaths": { "description": "List of XPaths that specify the XML elements to be filtered from XML payloads in error flows.", "items": { "type": "string" }, "type": "array" }, "responseXPaths": { "description": "List of XPaths that specify the XML elements to be filtered from XML response message payloads.", "type": "array", "items": { "type": "string" } }, "requestJSONPaths": { "items": { "type": "string" }, "description": "List of JSON paths that specify the JSON elements to be filtered from JSON request message payloads.", "type": "array" }, "faultJSONPaths": { "description": "List of JSON paths that specify the JSON elements to be filtered from JSON payloads in error flows.", "items": { "type": "string" }, "type": "array" }, "responseJSONPaths": { "type": "array", "description": "List of JSON paths that specify the JSON elements to be filtered from JSON response message payloads.", "items": { "type": "string" } } }, "type": "object" }, "GoogleIamV1Binding": { "type": "object", "description": "Associates `members`, or principals, with a `role`.", "id": "GoogleIamV1Binding", "properties": { "condition": { "$ref": "GoogleTypeExpr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" }, "type": "array" }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." } } }, "GoogleCloudApigeeV1Attributes": { "id": "GoogleCloudApigeeV1Attributes", "properties": { "attribute": { "description": "List of attributes.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1Attribute" } } }, "type": "object" }, "GoogleCloudApigeeV1InstanceAttachment": { "type": "object", "id": "GoogleCloudApigeeV1InstanceAttachment", "description": "InstanceAttachment represents the installation of an environment onto an instance.", "properties": { "name": { "readOnly": true, "description": "Output only. ID of the attachment.", "type": "string" }, "environment": { "type": "string", "description": "ID of the attached environment." }, "createdAt": { "type": "string", "readOnly": true, "format": "int64", "description": "Output only. Time the attachment was created in milliseconds since epoch." } } }, "GoogleCloudApigeeV1CommonNameConfig": { "properties": { "matchWildCards": { "type": "boolean" }, "name": { "type": "string" } }, "id": "GoogleCloudApigeeV1CommonNameConfig", "type": "object" }, "GoogleCloudApigeeV1SecurityReport": { "id": "GoogleCloudApigeeV1SecurityReport", "type": "object", "properties": { "state": { "description": "Query state could be \"enqueued\", \"running\", \"completed\", \"failed\".", "type": "string" }, "self": { "type": "string", "description": "Self link of the query. Example: `/organizations/myorg/environments/myenv/securityReports/9cfc0d85-0f30-46d6-ae6f-318d0cb961bd` or following format if query is running at host level: `/organizations/myorg/hostSecurityReports/9cfc0d85-0f30-46d6-ae6f-318d0cb961bd`" }, "envgroupHostname": { "type": "string", "description": "Hostname is available only when query is executed at host level." }, "displayName": { "description": "Display Name specified by the user.", "type": "string" }, "created": { "type": "string", "description": "Creation time of the query." }, "reportDefinitionId": { "type": "string", "description": "Report Definition ID." }, "resultFileSize": { "type": "string", "description": "ResultFileSize is available only after the query is completed." }, "updated": { "type": "string", "description": "Output only. Last updated timestamp for the query.", "readOnly": true }, "executionTime": { "description": "ExecutionTime is available only after the query is completed.", "type": "string" }, "resultRows": { "type": "string", "format": "int64", "description": "ResultRows is available only after the query is completed." }, "queryParams": { "description": "Contains information like metrics, dimenstions etc of the Security Report.", "$ref": "GoogleCloudApigeeV1SecurityReportMetadata" }, "result": { "description": "Result is available only after the query is completed.", "$ref": "GoogleCloudApigeeV1SecurityReportResultMetadata" }, "error": { "type": "string", "description": "Error is set when query fails." } }, "description": "SecurityReport saves all the information about the created security report." }, "GoogleCloudApigeeV1TargetServerConfig": { "type": "object", "id": "GoogleCloudApigeeV1TargetServerConfig", "properties": { "enabled": { "type": "boolean", "description": "Whether the target server is enabled. An empty/omitted value for this field should be interpreted as true." }, "name": { "type": "string", "description": "Target server revision name in the following format: `organizations/{org}/environments/{env}/targetservers/{targetserver}/revisions/{rev}`" }, "host": { "type": "string", "description": "Host name of the target server." }, "tlsInfo": { "$ref": "GoogleCloudApigeeV1TlsInfoConfig", "description": "TLS settings for the target server." }, "protocol": { "type": "string", "description": "The protocol used by this target server.", "enumDescriptions": [ "UNSPECIFIED defaults to HTTP for backwards compatibility.", "The TargetServer uses HTTP.", "The TargetServer uses GRPC." ], "enum": [ "PROTOCOL_UNSPECIFIED", "HTTP", "GRPC" ] }, "port": { "format": "int32", "type": "integer", "description": "Port number for the target server." } } }, "GoogleCloudApigeeV1QueryMetric": { "properties": { "name": { "description": "Required. Metric name.", "type": "string" }, "value": { "description": "Operand value should be provided when operator is set.", "type": "string" }, "alias": { "type": "string", "description": "Alias for the metric. Alias will be used to replace metric name in query results." }, "function": { "description": "Aggregation function: avg, min, max, or sum.", "type": "string" }, "operator": { "description": "One of `+`, `-`, `/`, `%`, `*`.", "type": "string" } }, "id": "GoogleCloudApigeeV1QueryMetric", "type": "object", "description": "More info about Metric: https://docs.apigee.com/api-platform/analytics/analytics-reference#metrics" }, "GoogleCloudApigeeV1OperationMetadata": { "id": "GoogleCloudApigeeV1OperationMetadata", "type": "object", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "NOT_STARTED", "IN_PROGRESS", "FINISHED" ], "type": "string", "enumDescriptions": [ "", "", "", "" ] }, "warnings": { "type": "array", "items": { "type": "string" }, "description": "Warnings encountered while executing the operation." }, "progress": { "description": "Progress of the operation.", "$ref": "GoogleCloudApigeeV1OperationMetadataProgress" }, "targetResourceName": { "description": "Name of the resource for which the operation is operating on.", "type": "string" }, "operationType": { "enum": [ "OPERATION_TYPE_UNSPECIFIED", "INSERT", "DELETE", "UPDATE" ], "type": "string", "enumDescriptions": [ "", "", "", "" ] } }, "description": "Metadata describing an Operation." }, "GoogleCloudApigeeV1App": { "type": "object", "id": "GoogleCloudApigeeV1App", "properties": { "companyName": { "description": "Name of the company that owns the app.", "type": "string" }, "status": { "description": "Status of the credential.", "type": "string" }, "keyExpiresIn": { "description": "Duration, in milliseconds, of the consumer key that will be generated for the app. The default value, -1, indicates an infinite validity period. Once set, the expiration can't be updated. json key: keyExpiresIn", "type": "string", "format": "int64" }, "scopes": { "type": "array", "items": { "type": "string" }, "description": "Scopes to apply to the app. The specified scope names must already exist on the API product that you associate with the app." }, "appId": { "type": "string", "description": "ID of the app." }, "developerId": { "type": "string", "description": "ID of the developer." }, "callbackUrl": { "description": "Callback URL used by OAuth 2.0 authorization servers to communicate authorization codes back to apps.", "type": "string" }, "credentials": { "type": "array", "readOnly": true, "description": "Output only. Set of credentials for the app. Credentials are API key/secret pairs associated with API products.", "items": { "$ref": "GoogleCloudApigeeV1Credential" } }, "name": { "description": "Name of the app.", "type": "string" }, "apiProducts": { "type": "array", "description": "List of API products associated with the app.", "items": { "$ref": "GoogleCloudApigeeV1ApiProductRef" } }, "attributes": { "description": "List of attributes.", "items": { "$ref": "GoogleCloudApigeeV1Attribute" }, "type": "array" }, "lastModifiedAt": { "format": "int64", "readOnly": true, "description": "Output only. Last modified time as milliseconds since epoch.", "type": "string" }, "createdAt": { "type": "string", "description": "Output only. Unix time when the app was created.", "format": "int64", "readOnly": true } } }, "GoogleCloudApigeeV1TraceConfig": { "properties": { "endpoint": { "type": "string", "description": "Required. Endpoint of the exporter." }, "samplingConfig": { "description": "Distributed trace configuration for all API proxies in an environment. You can also override the configuration for a specific API proxy using the distributed trace configuration overrides API.", "$ref": "GoogleCloudApigeeV1TraceSamplingConfig" }, "exporter": { "description": "Required. Exporter that is used to view the distributed trace captured using OpenCensus. An exporter sends traces to any backend that is capable of consuming them. Recorded spans can be exported by registered exporters.", "type": "string", "enum": [ "EXPORTER_UNSPECIFIED", "JAEGER", "CLOUD_TRACE" ], "enumDescriptions": [ "Exporter unspecified", "Jaeger exporter", "Cloudtrace exporter" ] } }, "description": "TraceConfig defines the configurations in an environment of distributed trace.", "type": "object", "id": "GoogleCloudApigeeV1TraceConfig" }, "GoogleCloudApigeeV1Developer": { "properties": { "attributes": { "items": { "$ref": "GoogleCloudApigeeV1Attribute" }, "type": "array", "description": "Optional. Developer attributes (name/value pairs). The custom attribute limit is 18." }, "status": { "readOnly": true, "description": "Output only. Status of the developer. Valid values are `active` and `inactive`.", "type": "string" }, "companies": { "description": "List of companies associated with the developer.", "type": "array", "items": { "type": "string" } }, "lastModifiedAt": { "readOnly": true, "type": "string", "description": "Output only. Time at which the developer was last modified in milliseconds since epoch.", "format": "int64" }, "firstName": { "description": "Required. First name of the developer.", "type": "string" }, "apps": { "description": "List of apps associated with the developer.", "items": { "type": "string" }, "type": "array" }, "developerId": { "description": "ID of the developer. **Note**: IDs are generated internally by Apigee and are not guaranteed to stay the same over time.", "type": "string" }, "userName": { "type": "string", "description": "Required. User name of the developer. Not used by Apigee hybrid." }, "appFamily": { "type": "string", "description": "Developer app family." }, "accessType": { "type": "string", "description": "Access type." }, "lastName": { "type": "string", "description": "Required. Last name of the developer." }, "createdAt": { "format": "int64", "description": "Output only. Time at which the developer was created in milliseconds since epoch.", "type": "string", "readOnly": true }, "email": { "description": "Required. Email address of the developer. This value is used to uniquely identify the developer in Apigee hybrid. Note that the email address has to be in lowercase only.", "type": "string" }, "organizationName": { "readOnly": true, "description": "Output only. Name of the Apigee organization in which the developer resides.", "type": "string" } }, "type": "object", "id": "GoogleCloudApigeeV1Developer" }, "GoogleCloudApigeeV1ExportRequest": { "type": "object", "properties": { "name": { "description": "Required. Display name of the export job.", "type": "string" }, "description": { "description": "Optional. Description of the export job.", "type": "string" }, "outputFormat": { "type": "string", "description": "Optional. Output format of the export. Valid values include: `csv` or `json`. Defaults to `json`. Note: Configure the delimiter for CSV output using the `csvDelimiter` property." }, "csvDelimiter": { "type": "string", "description": "Optional. Delimiter used in the CSV file, if `outputFormat` is set to `csv`. Defaults to the `,` (comma) character. Supported delimiter characters include comma (`,`), pipe (`|`), and tab (`\\t`)." }, "dateRange": { "$ref": "GoogleCloudApigeeV1DateRange", "description": "Required. Date range of the data to export." }, "datastoreName": { "description": "Required. Name of the preconfigured datastore.", "type": "string" } }, "description": "Request body for [CreateExportRequest]", "id": "GoogleCloudApigeeV1ExportRequest" }, "GoogleCloudApigeeV1EndpointAttachment": { "properties": { "location": { "description": "Required. Location of the endpoint attachment.", "type": "string" }, "host": { "type": "string", "description": "Output only. Host that can be used in either the HTTP target endpoint directly or as the host in target server.", "readOnly": true }, "name": { "type": "string", "description": "Name of the endpoint attachment. Use the following structure in your request: `organizations/{org}/endpointAttachments/{endpoint_attachment}`" }, "serviceAttachment": { "type": "string", "description": "Format: projects/*/regions/*/serviceAttachments/*" }, "state": { "enumDescriptions": [ "Resource is in an unspecified state.", "Resource is being created.", "Resource is provisioned and ready to use.", "The resource is being deleted.", "The resource is being updated." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "DELETING", "UPDATING" ], "readOnly": true, "description": "Output only. State of the endpoint attachment. Values other than `ACTIVE` mean the resource is not ready to use." } }, "type": "object", "id": "GoogleCloudApigeeV1EndpointAttachment", "description": "Apigee endpoint attachment. For more information, see Southbound networking patterns." }, "GoogleTypeMoney": { "properties": { "units": { "type": "string", "format": "int64", "description": "The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar." }, "currencyCode": { "type": "string", "description": "The three-letter currency code defined in ISO 4217." }, "nanos": { "format": "int32", "description": "Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.", "type": "integer" } }, "description": "Represents an amount of money with its currency type.", "type": "object", "id": "GoogleTypeMoney" }, "GoogleCloudApigeeV1ListAsyncQueriesResponse": { "properties": { "queries": { "description": "The asynchronous queries belong to requested resource name.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1AsyncQuery" } } }, "id": "GoogleCloudApigeeV1ListAsyncQueriesResponse", "description": "The response for ListAsyncQueries.", "type": "object" }, "GoogleCloudApigeeV1DeploymentChangeReportRoutingConflict": { "properties": { "conflictingDeployment": { "$ref": "GoogleCloudApigeeV1DeploymentChangeReportRoutingDeployment", "description": "Existing base path/deployment causing the conflict." }, "environmentGroup": { "type": "string", "description": "Name of the environment group in which this conflict exists." }, "description": { "type": "string", "description": "Human-readable description of this conflict." } }, "description": "Describes a routing conflict that may cause a deployment not to receive traffic at some base path.", "type": "object", "id": "GoogleCloudApigeeV1DeploymentChangeReportRoutingConflict" }, "GoogleCloudApigeeV1UpdateError": { "id": "GoogleCloudApigeeV1UpdateError", "description": "Details on why a resource update failed in the runtime.", "type": "object", "properties": { "code": { "enum": [ "OK", "CANCELLED", "UNKNOWN", "INVALID_ARGUMENT", "DEADLINE_EXCEEDED", "NOT_FOUND", "ALREADY_EXISTS", "PERMISSION_DENIED", "UNAUTHENTICATED", "RESOURCE_EXHAUSTED", "FAILED_PRECONDITION", "ABORTED", "OUT_OF_RANGE", "UNIMPLEMENTED", "INTERNAL", "UNAVAILABLE", "DATA_LOSS" ], "description": "Status code.", "type": "string", "enumDescriptions": [ "Not an error; returned on success HTTP Mapping: 200 OK", "The operation was cancelled, typically by the caller. HTTP Mapping: 499 Client Closed Request", "Unknown error. For example, this error may be returned when a `Status` value received from another address space belongs to an error space that is not known in this address space. Also errors raised by APIs that do not return enough error information may be converted to this error. HTTP Mapping: 500 Internal Server Error", "The client specified an invalid argument. Note that this differs from `FAILED_PRECONDITION`. `INVALID_ARGUMENT` indicates arguments that are problematic regardless of the state of the system (e.g., a malformed file name). HTTP Mapping: 400 Bad Request", "The deadline expired before the operation could complete. For operations that change the state of the system, this error may be returned even if the operation has completed successfully. For example, a successful response from a server could have been delayed long enough for the deadline to expire. HTTP Mapping: 504 Gateway Timeout", "Some requested entity (e.g., file or directory) was not found. Note to server developers: if a request is denied for an entire class of users, such as gradual feature rollout or undocumented allowlist, `NOT_FOUND` may be used. If a request is denied for some users within a class of users, such as user-based access control, `PERMISSION_DENIED` must be used. HTTP Mapping: 404 Not Found", "The entity that a client attempted to create (e.g., file or directory) already exists. HTTP Mapping: 409 Conflict", "The caller does not have permission to execute the specified operation. `PERMISSION_DENIED` must not be used for rejections caused by exhausting some resource (use `RESOURCE_EXHAUSTED` instead for those errors). `PERMISSION_DENIED` must not be used if the caller can not be identified (use `UNAUTHENTICATED` instead for those errors). This error code does not imply the request is valid or the requested entity exists or satisfies other pre-conditions. HTTP Mapping: 403 Forbidden", "The request does not have valid authentication credentials for the operation. HTTP Mapping: 401 Unauthorized", "Some resource has been exhausted, perhaps a per-user quota, or perhaps the entire file system is out of space. HTTP Mapping: 429 Too Many Requests", "The operation was rejected because the system is not in a state required for the operation's execution. For example, the directory to be deleted is non-empty, an rmdir operation is applied to a non-directory, etc. Service implementors can use the following guidelines to decide between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`: (a) Use `UNAVAILABLE` if the client can retry just the failing call. (b) Use `ABORTED` if the client should retry at a higher level. For example, when a client-specified test-and-set fails, indicating the client should restart a read-modify-write sequence. (c) Use `FAILED_PRECONDITION` if the client should not retry until the system state has been explicitly fixed. For example, if an \"rmdir\" fails because the directory is non-empty, `FAILED_PRECONDITION` should be returned since the client should not retry unless the files are deleted from the directory. HTTP Mapping: 400 Bad Request", "The operation was aborted, typically due to a concurrency issue such as a sequencer check failure or transaction abort. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 409 Conflict", "The operation was attempted past the valid range. E.g., seeking or reading past end-of-file. Unlike `INVALID_ARGUMENT`, this error indicates a problem that may be fixed if the system state changes. For example, a 32-bit file system will generate `INVALID_ARGUMENT` if asked to read at an offset that is not in the range [0,2^32-1], but it will generate `OUT_OF_RANGE` if asked to read from an offset past the current file size. There is a fair bit of overlap between `FAILED_PRECONDITION` and `OUT_OF_RANGE`. We recommend using `OUT_OF_RANGE` (the more specific error) when it applies so that callers who are iterating through a space can easily look for an `OUT_OF_RANGE` error to detect when they are done. HTTP Mapping: 400 Bad Request", "The operation is not implemented or is not supported/enabled in this service. HTTP Mapping: 501 Not Implemented", "Internal errors. This means that some invariants expected by the underlying system have been broken. This error code is reserved for serious errors. HTTP Mapping: 500 Internal Server Error", "The service is currently unavailable. This is most likely a transient condition, which can be corrected by retrying with a backoff. Note that it is not always safe to retry non-idempotent operations. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 503 Service Unavailable", "Unrecoverable data loss or corruption. HTTP Mapping: 500 Internal Server Error" ] }, "type": { "description": "A string that uniquely identifies the type of error. This provides a more reliable means to deduplicate errors across revisions and instances.", "type": "string" }, "resource": { "type": "string", "description": "The sub resource specific to this error (e.g. a proxy deployed within the EnvironmentConfig). If empty the error refers to the top level resource." }, "message": { "description": "User-friendly error message.", "type": "string" } } }, "GoogleCloudApigeeV1ListEnvironmentResourcesResponse": { "properties": { "resourceFile": { "items": { "$ref": "GoogleCloudApigeeV1ResourceFile" }, "type": "array", "description": "List of resources files." } }, "description": "Response for ListEnvironmentResources", "id": "GoogleCloudApigeeV1ListEnvironmentResourcesResponse", "type": "object" }, "GoogleCloudApigeeV1ExpireDeveloperSubscriptionRequest": { "description": "Request for ExpireDeveloperSubscription.", "type": "object", "id": "GoogleCloudApigeeV1ExpireDeveloperSubscriptionRequest", "properties": {} }, "GoogleCloudApigeeV1ApiProductRef": { "id": "GoogleCloudApigeeV1ApiProductRef", "type": "object", "properties": { "status": { "type": "string", "description": "Status of the API product. Valid values are `approved` or `revoked`." }, "apiproduct": { "description": "Name of the API product.", "type": "string" } } }, "GoogleCloudApigeeV1GetAsyncQueryResultUrlResponse": { "type": "object", "properties": { "urls": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1GetAsyncQueryResultUrlResponseURLInfo" }, "description": "The list of Signed URLs generated by the CreateAsyncQuery request" } }, "description": "The response for GetAsyncQueryResultUrl", "id": "GoogleCloudApigeeV1GetAsyncQueryResultUrlResponse" }, "GoogleCloudApigeeV1Attribute": { "properties": { "name": { "description": "API key of the attribute.", "type": "string" }, "value": { "type": "string", "description": "Value of the attribute." } }, "id": "GoogleCloudApigeeV1Attribute", "description": "Key-value pair to store extra metadata.", "type": "object" }, "GoogleCloudApigeeV1ServiceIssuersMapping": { "properties": { "service": { "type": "string", "description": "String indicating the Apigee service name." }, "emailIds": { "description": "List of trusted issuer email ids.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "GoogleCloudApigeeV1ServiceIssuersMapping" }, "GoogleCloudApigeeV1Query": { "id": "GoogleCloudApigeeV1Query", "properties": { "timeRange": { "description": "Required. Time range for the query. Can use the following predefined strings to specify the time range: `last60minutes` `last24hours` `last7days` Or, specify the timeRange as a structure describing start and end timestamps in the ISO format: yyyy-mm-ddThh:mm:ssZ. Example: \"timeRange\": { \"start\": \"2018-07-29T00:13:00Z\", \"end\": \"2018-08-01T00:18:00Z\" }", "type": "any" }, "csvDelimiter": { "description": "Delimiter used in the CSV file, if `outputFormat` is set to `csv`. Defaults to the `,` (comma) character. Supported delimiter characters include comma (`,`), pipe (`|`), and tab (`\\t`).", "type": "string" }, "envgroupHostname": { "description": "Hostname needs to be specified if query intends to run at host level. This field is only allowed when query is submitted by CreateHostAsyncQuery where analytics data will be grouped by organization and hostname.", "type": "string" }, "limit": { "description": "Maximum number of rows that can be returned in the result.", "type": "integer", "format": "int32" }, "metrics": { "items": { "$ref": "GoogleCloudApigeeV1QueryMetric" }, "type": "array", "description": "A list of Metrics." }, "outputFormat": { "description": "Valid values include: `csv` or `json`. Defaults to `json`. Note: Configure the delimiter for CSV output using the csvDelimiter property.", "type": "string" }, "reportDefinitionId": { "type": "string", "description": "Asynchronous Report ID." }, "dimensions": { "items": { "type": "string" }, "type": "array", "description": "A list of dimensions. https://docs.apigee.com/api-platform/analytics/analytics-reference#dimensions" }, "groupByTimeUnit": { "description": "Time unit used to group the result set. Valid values include: second, minute, hour, day, week, or month. If a query includes groupByTimeUnit, then the result is an aggregation based on the specified time unit and the resultant timestamp does not include milliseconds precision. If a query omits groupByTimeUnit, then the resultant timestamp includes milliseconds precision.", "type": "string" }, "name": { "description": "Asynchronous Query Name.", "type": "string" }, "filter": { "description": "Boolean expression that can be used to filter data. Filter expressions can be combined using AND/OR terms and should be fully parenthesized to avoid ambiguity. See Analytics metrics, dimensions, and filters reference https://docs.apigee.com/api-platform/analytics/analytics-reference for more information on the fields available to filter on. For more information on the tokens that you use to build filter expressions, see Filter expression syntax. https://docs.apigee.com/api-platform/analytics/asynch-reports-api#filter-expression-syntax", "type": "string" } }, "type": "object" }, "GoogleCloudApigeeV1AccessRemove": { "type": "object", "properties": { "success": { "type": "boolean" }, "name": { "type": "string" } }, "description": "Remove action. For example, \"Remove\" : { \"name\" : \"target.name\", \"success\" : true }", "id": "GoogleCloudApigeeV1AccessRemove" }, "GoogleCloudApigeeV1ReportProperty": { "id": "GoogleCloudApigeeV1ReportProperty", "properties": { "value": { "type": "array", "description": "property values", "items": { "$ref": "GoogleCloudApigeeV1Attribute" } }, "property": { "type": "string", "description": "name of the property" } }, "type": "object" }, "GoogleCloudApigeeV1Instance": { "id": "GoogleCloudApigeeV1Instance", "type": "object", "properties": { "location": { "description": "Required. Compute Engine location where the instance resides.", "type": "string" }, "consumerAcceptList": { "description": "Optional. Customer accept list represents the list of projects (id/number) on customer side that can privately connect to the service attachment. It is an optional field which the customers can provide during the instance creation. By default, the customer project associated with the Apigee organization will be included to the list.", "type": "array", "items": { "type": "string" } }, "host": { "readOnly": true, "type": "string", "description": "Output only. Internal hostname or IP address of the Apigee endpoint used by clients to connect to the service." }, "diskEncryptionKeyName": { "description": "Customer Managed Encryption Key (CMEK) used for disk and volume encryption. Required for Apigee paid subscriptions only. Use the following format: `projects/([^/]+)/locations/([^/]+)/keyRings/([^/]+)/cryptoKeys/([^/]+)`", "type": "string" }, "ipRange": { "type": "string", "description": "Optional. IP range represents the customer-provided CIDR block of length 22 that will be used for the Apigee instance creation. This optional range, if provided, should be freely available as part of larger named range the customer has allocated to the Service Networking peering. If this is not provided, Apigee will automatically request for any available /22 CIDR block from Service Networking. The customer should use this CIDR block for configuring their firewall needs to allow traffic from Apigee. Input format: \"a.b.c.d/22\", Output format: a.b.c.d/22, e.f.g.h/28\"" }, "peeringCidrRange": { "type": "string", "enum": [ "CIDR_RANGE_UNSPECIFIED", "SLASH_16", "SLASH_17", "SLASH_18", "SLASH_19", "SLASH_20", "SLASH_22", "SLASH_23" ], "enumDescriptions": [ "Range not specified.", "`/16` CIDR range.", "`/17` CIDR range.", "`/18` CIDR range.", "`/19` CIDR range.", "`/20` CIDR range.", "`/22` CIDR range. Supported for evaluation only.", "`/23` CIDR range. Supported for evaluation only." ], "description": "Optional. Size of the CIDR block range that will be reserved by the instance. PAID organizations support `SLASH_16` to `SLASH_20` and defaults to `SLASH_16`. Evaluation organizations support only `SLASH_23`." }, "description": { "description": "Optional. Description of the instance.", "type": "string" }, "name": { "type": "string", "description": "Required. Resource ID of the instance. Values must match the regular expression `^a-z{0,30}[a-z\\d]$`." }, "createdAt": { "format": "int64", "description": "Output only. Time the instance was created in milliseconds since epoch.", "type": "string", "readOnly": true }, "port": { "type": "string", "readOnly": true, "description": "Output only. Port number of the exposed Apigee endpoint." }, "state": { "enumDescriptions": [ "Resource is in an unspecified state.", "Resource is being created.", "Resource is provisioned and ready to use.", "The resource is being deleted.", "The resource is being updated." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "DELETING", "UPDATING" ], "type": "string", "readOnly": true, "description": "Output only. State of the instance. Values other than `ACTIVE` means the resource is not ready to use." }, "serviceAttachment": { "type": "string", "readOnly": true, "description": "Output only. Resource name of the service attachment created for the instance in the format: `projects/*/regions/*/serviceAttachments/*` Apigee customers can privately forward traffic to this service attachment using the PSC endpoints." }, "lastModifiedAt": { "type": "string", "readOnly": true, "format": "int64", "description": "Output only. Time the instance was last modified in milliseconds since epoch." }, "displayName": { "description": "Optional. Display name for the instance.", "type": "string" }, "runtimeVersion": { "readOnly": true, "type": "string", "description": "Output only. Version of the runtime system running in the instance. The runtime system is the set of components that serve the API Proxy traffic in your Environments." } }, "description": "Apigee runtime instance." }, "GoogleCloudApigeeV1DebugSession": { "type": "object", "properties": { "count": { "description": "Optional. The number of request to be traced. Min = 1, Max = 15, Default = 10.", "format": "int32", "type": "integer" }, "filter": { "type": "string", "description": "Optional. A conditional statement which is evaluated against the request message to determine if it should be traced. Syntax matches that of on API Proxy bundle flow Condition." }, "tracesize": { "format": "int32", "type": "integer", "description": "Optional. The maximum number of bytes captured from the response payload. Min = 0, Max = 5120, Default = 5120." }, "timeout": { "format": "int64", "type": "string", "description": "Optional. The time in seconds after which this DebugSession should end. This value will override the value in query param, if both are provided." }, "validity": { "description": "Optional. The length of time, in seconds, that this debug session is valid, starting from when it's received in the control plane. Min = 1, Max = 15, Default = 10.", "type": "integer", "format": "int32" }, "name": { "type": "string", "description": "A unique ID for this DebugSession." }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. The first transaction creation timestamp, recorded by UAP.", "format": "google-datetime" } }, "id": "GoogleCloudApigeeV1DebugSession" }, "GoogleCloudApigeeV1AsyncQueryResult": { "id": "GoogleCloudApigeeV1AsyncQueryResult", "properties": { "expires": { "type": "string", "description": "Query result will be unaccessable after this time." }, "self": { "type": "string", "description": "Self link of the query results. Example: `/organizations/myorg/environments/myenv/queries/9cfc0d85-0f30-46d6-ae6f-318d0cb961bd/result` or following format if query is running at host level: `/organizations/myorg/hostQueries/9cfc0d85-0f30-46d6-ae6f-318d0cb961bd/result`" } }, "type": "object" }, "GoogleCloudApigeeV1ListArchiveDeploymentsResponse": { "description": "Response for ListArchiveDeployments method.", "properties": { "archiveDeployments": { "description": "Archive Deployments in the specified environment.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1ArchiveDeployment" } }, "nextPageToken": { "type": "string", "description": "Page token that you can include in a ListArchiveDeployments request to retrieve the next page. If omitted, no subsequent pages exist." } }, "type": "object", "id": "GoogleCloudApigeeV1ListArchiveDeploymentsResponse" }, "GoogleCloudApigeeV1GenerateUploadUrlRequest": { "id": "GoogleCloudApigeeV1GenerateUploadUrlRequest", "description": "Request for GenerateUploadUrl method.", "properties": {}, "type": "object" }, "GoogleCloudApigeeV1Export": { "type": "object", "properties": { "updated": { "description": "Output only. Time the export job was last updated.", "type": "string", "readOnly": true }, "datastoreName": { "description": "Name of the datastore that is the destination of the export job [datastore]", "type": "string" }, "description": { "type": "string", "description": "Description of the export job." }, "error": { "description": "Output only. Error is set when export fails", "type": "string", "readOnly": true }, "executionTime": { "type": "string", "description": "Output only. Execution time for this export job. If the job is still in progress, it will be set to the amount of time that has elapsed since`created`, in seconds. Else, it will set to (`updated` - `created`), in seconds.", "readOnly": true }, "state": { "description": "Output only. Status of the export job. Valid values include `enqueued`, `running`, `completed`, and `failed`.", "type": "string", "readOnly": true }, "name": { "type": "string", "description": "Display name of the export job." }, "self": { "type": "string", "description": "Output only. Self link of the export job. A URI that can be used to retrieve the status of an export job. Example: `/organizations/myorg/environments/myenv/analytics/exports/9cfc0d85-0f30-46d6-ae6f-318d0cb961bd`", "readOnly": true }, "created": { "readOnly": true, "description": "Output only. Time the export job was created.", "type": "string" } }, "id": "GoogleCloudApigeeV1Export", "description": "Details of an export job." }, "GoogleCloudApigeeV1OperationConfig": { "id": "GoogleCloudApigeeV1OperationConfig", "description": "Binds the resources in an API proxy or remote service with the allowed REST methods and associated quota enforcement.", "type": "object", "properties": { "apiSource": { "type": "string", "description": "Required. Name of the API proxy or remote service with which the resources, methods, and quota are associated." }, "operations": { "description": "List of resource/method pairs for the API proxy or remote service to which quota will applied. **Note**: Currently, you can specify only a single resource/method pair. The call will fail if more than one resource/method pair is provided.", "items": { "$ref": "GoogleCloudApigeeV1Operation" }, "type": "array" }, "attributes": { "description": "Custom attributes associated with the operation.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1Attribute" } }, "quota": { "description": "Quota parameters to be enforced for the resources, methods, and API source combination. If none are specified, quota enforcement will not be done.", "$ref": "GoogleCloudApigeeV1Quota" } } }, "GoogleCloudApigeeV1ConfigVersion": { "id": "GoogleCloudApigeeV1ConfigVersion", "type": "object", "description": "Version of the API proxy configuration schema. Currently, only 4.0 is supported.", "properties": { "majorVersion": { "format": "int32", "description": "Major version of the API proxy configuration schema.", "type": "integer" }, "minorVersion": { "description": "Minor version of the API proxy configuration schema.", "format": "int32", "type": "integer" } } }, "GoogleCloudApigeeV1ListTraceConfigOverridesResponse": { "type": "object", "description": "Response for ListTraceConfigOverrides.", "properties": { "traceConfigOverrides": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1TraceConfigOverride" }, "description": "List all trace configuration overrides in an environment." }, "nextPageToken": { "type": "string", "description": "Token value that can be passed as `page_token` to retrieve the next page of content." } }, "id": "GoogleCloudApigeeV1ListTraceConfigOverridesResponse" }, "GoogleCloudApigeeV1SecurityReportQuery": { "type": "object", "description": "Body structure when user makes a request to create a security report.", "id": "GoogleCloudApigeeV1SecurityReportQuery", "properties": { "csvDelimiter": { "description": "Delimiter used in the CSV file, if `outputFormat` is set to `csv`. Defaults to the `,` (comma) character. Supported delimiter characters include comma (`,`), pipe (`|`), and tab (`\\t`).", "type": "string" }, "metrics": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1SecurityReportQueryMetric" }, "description": "A list of Metrics." }, "limit": { "description": "Maximum number of rows that can be returned in the result.", "type": "integer", "format": "int32" }, "displayName": { "type": "string", "description": "Security Report display name which users can specify." }, "mimeType": { "type": "string", "description": "Valid values include: `csv` or `json`. Defaults to `json`. Note: Configure the delimiter for CSV output using the csvDelimiter property." }, "dimensions": { "description": "A list of dimensions. https://docs.apigee.com/api-platform/analytics/analytics-reference#dimensions", "type": "array", "items": { "type": "string" } }, "filter": { "type": "string", "description": "Boolean expression that can be used to filter data. Filter expressions can be combined using AND/OR terms and should be fully parenthesized to avoid ambiguity. See Analytics metrics, dimensions, and filters reference https://docs.apigee.com/api-platform/analytics/analytics-reference for more information on the fields available to filter on. For more information on the tokens that you use to build filter expressions, see Filter expression syntax. https://docs.apigee.com/api-platform/analytics/asynch-reports-api#filter-expression-syntax" }, "reportDefinitionId": { "description": "Report Definition ID.", "type": "string" }, "timeRange": { "type": "any", "description": "Required. Time range for the query. Can use the following predefined strings to specify the time range: `last60minutes` `last24hours` `last7days` Or, specify the timeRange as a structure describing start and end timestamps in the ISO format: yyyy-mm-ddThh:mm:ssZ. Example: \"timeRange\": { \"start\": \"2018-07-29T00:13:00Z\", \"end\": \"2018-08-01T00:18:00Z\" }" }, "envgroupHostname": { "description": "Hostname needs to be specified if query intends to run at host level. This field is only allowed when query is submitted by CreateHostSecurityReport where analytics data will be grouped by organization and hostname.", "type": "string" }, "groupByTimeUnit": { "type": "string", "description": "Time unit used to group the result set. Valid values include: second, minute, hour, day, week, or month. If a query includes groupByTimeUnit, then the result is an aggregation based on the specified time unit and the resultant timestamp does not include milliseconds precision. If a query omits groupByTimeUnit, then the resultant timestamp includes milliseconds precision." } } }, "GoogleCloudApigeeV1CreditDeveloperBalanceRequest": { "id": "GoogleCloudApigeeV1CreditDeveloperBalanceRequest", "properties": { "transactionId": { "type": "string", "description": "Each transaction_id uniquely identifies a credit balance request. If multiple requests are received with the same transaction_id, only one of them will be considered." }, "transactionAmount": { "$ref": "GoogleTypeMoney", "description": "The amount of money to be credited. The wallet corresponding to the currency specified within `transaction_amount` will be updated. For example, if you specified `currency_code` within `transaction_amount` as \"USD\", then the amount would be added to the wallet which has the \"USD\" currency or if no such wallet exists, a new wallet will be created with the \"USD\" currency." } }, "type": "object", "description": "Request for CreditDeveloperBalance." }, "GoogleCloudApigeeV1SyncAuthorization": { "id": "GoogleCloudApigeeV1SyncAuthorization", "properties": { "etag": { "description": "Entity tag (ETag) used for optimistic concurrency control as a way to help prevent simultaneous updates from overwriting each other. For example, when you call [getSyncAuthorization](organizations/getSyncAuthorization) an ETag is returned in the response. Pass that ETag when calling the [setSyncAuthorization](organizations/setSyncAuthorization) to ensure that you are updating the correct version. If you don't pass the ETag in the call to `setSyncAuthorization`, then the existing authorization is overwritten indiscriminately. **Note**: We strongly recommend that you use the ETag in the read-modify-write cycle to avoid race conditions.", "format": "byte", "type": "string" }, "identities": { "type": "array", "description": "Required. Array of service accounts to grant access to control plane resources, each specified using the following format: `serviceAccount:` service-account-name. The service-account-name is formatted like an email address. For example: `my-synchronizer-manager-service_account@my_project_id.iam.gserviceaccount.com` You might specify multiple service accounts, for example, if you have multiple environments and wish to assign a unique service account to each one. The service accounts must have **Apigee Synchronizer Manager** role. See also [Create service accounts](https://cloud.google.com/apigee/docs/hybrid/latest/sa-about#create-the-service-accounts).", "items": { "type": "string" } } }, "type": "object" }, "GoogleCloudApigeeV1ActivateNatAddressRequest": { "type": "object", "description": "Request for ActivateNatAddressRequest. Activate the nat address request.", "properties": {}, "id": "GoogleCloudApigeeV1ActivateNatAddressRequest" }, "GoogleCloudApigeeV1ApiProduct": { "type": "object", "id": "GoogleCloudApigeeV1ApiProduct", "properties": { "approvalType": { "description": "Flag that specifies how API keys are approved to access the APIs defined by the API product. If set to `manual`, the consumer key is generated and returned in \"pending\" state. In this case, the API keys won't work until they have been explicitly approved. If set to `auto`, the consumer key is generated and returned in \"approved\" state and can be used immediately. **Note:** Typically, `auto` is used to provide access to free or trial API products that provide limited quota or capabilities.", "type": "string" }, "quotaTimeUnit": { "type": "string", "description": "Time unit defined for the `quotaInterval`. Valid values include `minute`, `hour`, `day`, or `month`." }, "attributes": { "description": "Array of attributes that may be used to extend the default API product profile with customer-specific metadata. You can specify a maximum of 18 attributes. Use this property to specify the access level of the API product as either `public`, `private`, or `internal`. Only products marked `public` are available to developers in the Apigee developer portal. For example, you can set a product to `internal` while it is in development and then change access to `public` when it is ready to release on the portal. API products marked as `private` do not appear on the portal, but can be accessed by external developers.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1Attribute" } }, "displayName": { "description": "Name displayed in the UI or developer portal to developers registering for API access.", "type": "string" }, "environments": { "items": { "type": "string" }, "description": "Comma-separated list of environment names to which the API product is bound. Requests to environments that are not listed are rejected. By specifying one or more environments, you can bind the resources listed in the API product to a specific environment, preventing developers from accessing those resources through API proxies deployed in another environment. This setting is used, for example, to prevent resources associated with API proxies in `prod` from being accessed by API proxies deployed in `test`.", "type": "array" }, "quota": { "type": "string", "description": "Number of request messages permitted per app by this API product for the specified `quotaInterval` and `quotaTimeUnit`. For example, a `quota` of 50, for a `quotaInterval` of 12 and a `quotaTimeUnit` of hours means 50 requests are allowed every 12 hours." }, "apiResources": { "type": "array", "items": { "type": "string" } }, "quotaInterval": { "type": "string", "description": "Time interval over which the number of request messages is calculated." }, "operationGroup": { "description": "Configuration used to group Apigee proxies or remote services with resources, method types, and quotas. The resource refers to the resource URI (excluding the base path). With this grouping, the API product creator is able to fine-tune and give precise control over which REST methods have access to specific resources and how many calls can be made (using the `quota` setting). **Note:** The `api_resources` setting cannot be specified for both the API product and operation group; otherwise the call will fail.", "$ref": "GoogleCloudApigeeV1OperationGroup" }, "graphqlOperationGroup": { "$ref": "GoogleCloudApigeeV1GraphQLOperationGroup", "description": "Configuration used to group Apigee proxies or remote services with graphQL operation name, graphQL operation type and quotas. This grouping allows us to precisely set quota for a particular combination of graphQL name and operation type for a particular proxy request. If graphQL name is not set, this would imply quota will be applied on all graphQL requests matching the operation type." }, "name": { "description": "Internal name of the API product. Characters you can use in the name are restricted to: `A-Z0-9._\\-$ %`. **Note:** The internal name cannot be edited when updating the API product.", "type": "string" }, "createdAt": { "description": "Response only. Creation time of this environment as milliseconds since epoch.", "format": "int64", "type": "string" }, "proxies": { "description": "Comma-separated list of API proxy names to which this API product is bound. By specifying API proxies, you can associate resources in the API product with specific API proxies, preventing developers from accessing those resources through other API proxies. Apigee rejects requests to API proxies that are not listed. **Note:** The API proxy names must already exist in the specified environment as they will be validated upon creation.", "type": "array", "items": { "type": "string" } }, "description": { "type": "string", "description": "Description of the API product. Include key information about the API product that is not captured by other fields. Comma-separated list of API resources to be bundled in the API product. By default, the resource paths are mapped from the `proxy.pathsuffix` variable. The proxy path suffix is defined as the URI fragment following the ProxyEndpoint base path. For example, if the `apiResources` element is defined to be `/forecastrss` and the base path defined for the API proxy is `/weather`, then only requests to `/weather/forecastrss` are permitted by the API product. You can select a specific path, or you can select all subpaths with the following wildcard: - `/**`: Indicates that all sub-URIs are included. - `/*` : Indicates that only URIs one level down are included. By default, / supports the same resources as /Applications /Library /System /Users /Volumes /bin /cores /dev /etc /home /opt /private /sbin /tmp /usr /var as well as the base path defined by the API proxy. For example, if the base path of the API proxy is `/v1/weatherapikey`, then the API product supports requests to `/v1/weatherapikey` and to any sub-URIs, such as `/v1/weatherapikey/forecastrss`, `/v1/weatherapikey/region/CA`, and so on. For more information, see Managing API products." }, "scopes": { "type": "array", "description": "Comma-separated list of OAuth scopes that are validated at runtime. Apigee validates that the scopes in any access token presented match the scopes defined in the OAuth policy associated with the API product.", "items": { "type": "string" } }, "lastModifiedAt": { "format": "int64", "type": "string", "description": "Response only. Modified time of this environment as milliseconds since epoch." } } }, "GoogleCloudApigeeV1Operation": { "properties": { "methods": { "description": "methods refers to the REST verbs as in https://www.w3.org/Protocols/rfc2616/rfc2616-sec9.html. When none specified, all verb types are allowed.", "items": { "type": "string" }, "type": "array" }, "resource": { "type": "string", "description": "Required. REST resource path associated with the API proxy or remote service." } }, "id": "GoogleCloudApigeeV1Operation", "description": "Represents the pairing of REST resource path and the actions (verbs) allowed on the resource path.", "type": "object" }, "GoogleCloudApigeeV1Quota": { "id": "GoogleCloudApigeeV1Quota", "type": "object", "description": "Quota contains the essential parameters needed that can be applied on the resources, methods, API source combination associated with this API product. While Quota is optional, setting it prevents requests from exceeding the provisioned parameters.", "properties": { "limit": { "type": "string", "description": "Required. Upper limit allowed for the time interval and time unit specified. Requests exceeding this limit will be rejected." }, "interval": { "type": "string", "description": "Required. Time interval over which the number of request messages is calculated." }, "timeUnit": { "description": "Time unit defined for the `interval`. Valid values include `minute`, `hour`, `day`, or `month`. If `limit` and `interval` are valid, the default value is `hour`; otherwise, the default is null.", "type": "string" } } }, "GoogleCloudApigeeV1ListOfDevelopersResponse": { "id": "GoogleCloudApigeeV1ListOfDevelopersResponse", "properties": { "developer": { "description": "List of developers.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1Developer" } } }, "type": "object" }, "GoogleCloudApigeeV1ResourceConfig": { "properties": { "name": { "description": "Resource name in the following format: `organizations/{org}/environments/{env}/resourcefiles/{type}/{file}/revisions/{rev}` Only environment-scoped resource files are supported.", "type": "string" }, "location": { "description": "Location of the resource as a URI.", "type": "string" } }, "id": "GoogleCloudApigeeV1ResourceConfig", "type": "object" }, "GoogleCloudApigeeV1CustomReport": { "type": "object", "properties": { "offset": { "description": "Legacy field: not used. This field contains the offset for the data", "type": "string" }, "limit": { "type": "string", "description": "Legacy field: not used This field contains the limit for the result retrieved" }, "metrics": { "items": { "$ref": "GoogleCloudApigeeV1CustomReportMetric" }, "description": "Required. This contains the list of metrics", "type": "array" }, "chartType": { "description": "This field contains the chart type for the report", "type": "string" }, "lastViewedAt": { "type": "string", "description": "Output only. Last viewed time of this entity as milliseconds since epoch", "format": "int64", "readOnly": true }, "dimensions": { "description": "This contains the list of dimensions for the report", "type": "array", "items": { "type": "string" } }, "toTime": { "type": "string", "description": "Legacy field: not used. Contains the end time for the report" }, "sortByCols": { "type": "array", "items": { "type": "string" }, "description": "Legacy field: not used much. Contains the list of sort by columns" }, "organization": { "description": "Output only. Organization name", "readOnly": true, "type": "string" }, "comments": { "items": { "type": "string" }, "description": "Legacy field: not used. This field contains a list of comments associated with custom report", "type": "array" }, "tags": { "description": "Legacy field: not used. This field contains a list of tags associated with custom report", "type": "array", "items": { "type": "string" } }, "topk": { "type": "string", "description": "Legacy field: not used. This field contains the top k parameter value for restricting the result" }, "fromTime": { "description": "Legacy field: not used. Contains the from time for the report", "type": "string" }, "createdAt": { "type": "string", "format": "int64", "readOnly": true, "description": "Output only. Unix time when the app was created json key: createdAt" }, "sortOrder": { "type": "string", "description": "Legacy field: not used much. Contains the sort order for the sort columns" }, "properties": { "type": "array", "description": "This field contains report properties such as ui metadata etc.", "items": { "$ref": "GoogleCloudApigeeV1ReportProperty" } }, "name": { "type": "string", "description": "Required. Unique identifier for the report T his is a legacy field used to encode custom report unique id" }, "lastModifiedAt": { "type": "string", "format": "int64", "readOnly": true, "description": "Output only. Modified time of this entity as milliseconds since epoch. json key: lastModifiedAt" }, "timeUnit": { "type": "string", "description": "This field contains the time unit of aggregation for the report" }, "environment": { "type": "string", "readOnly": true, "description": "Output only. Environment name" }, "filter": { "description": "This field contains the filter expression", "type": "string" }, "displayName": { "type": "string", "description": "This is the display name for the report" } }, "id": "GoogleCloudApigeeV1CustomReport" }, "GoogleCloudApigeeV1ApiSecurityConfig": { "properties": { "expiresAt": { "description": "Output only. Time at which the API Security add-on expires in in milliseconds since epoch. If unspecified, the add-on will never expire.", "type": "string", "format": "int64", "readOnly": true }, "enabled": { "type": "boolean", "description": "Flag that specifies whether the API security add-on is enabled." } }, "type": "object", "id": "GoogleCloudApigeeV1ApiSecurityConfig", "description": "Configurations of the API Security add-on." }, "GoogleCloudApigeeV1AsyncQueryResultView": { "id": "GoogleCloudApigeeV1AsyncQueryResultView", "type": "object", "properties": { "rows": { "type": "array", "description": "Rows of query result. Each row is a JSON object. Example: {sum(message_count): 1, developer_app: \"(not set)\",…}", "items": { "type": "any" } }, "code": { "format": "int32", "type": "integer", "description": "Error code when there is a failure." }, "metadata": { "$ref": "GoogleCloudApigeeV1QueryMetadata", "description": "Metadata contains information like metrics, dimenstions etc of the AsyncQuery." }, "error": { "type": "string", "description": "Error message when there is a failure." }, "state": { "description": "State of retrieving ResultView.", "type": "string" } } }, "GoogleCloudApigeeV1RuntimeTraceConfig": { "description": "NEXT ID: 8 RuntimeTraceConfig defines the configurations for distributed trace in an environment.", "id": "GoogleCloudApigeeV1RuntimeTraceConfig", "properties": { "overrides": { "type": "array", "description": "List of trace configuration overrides for spicific API proxies.", "items": { "$ref": "GoogleCloudApigeeV1RuntimeTraceConfigOverride" } }, "name": { "type": "string", "description": "Name of the trace config in the following format: `organizations/{org}/environment/{env}/traceConfig`" }, "samplingConfig": { "description": "Trace configuration for all API proxies in an environment.", "$ref": "GoogleCloudApigeeV1RuntimeTraceSamplingConfig" }, "exporter": { "description": "Exporter that is used to view the distributed trace captured using OpenCensus. An exporter sends traces to any backend that is capable of consuming them. Recorded spans can be exported by registered exporters.", "type": "string", "enum": [ "EXPORTER_UNSPECIFIED", "JAEGER", "CLOUD_TRACE" ], "enumDescriptions": [ "Exporter unspecified", "Jaeger exporter", "Cloudtrace exporter" ] }, "endpoint": { "description": "Endpoint of the exporter.", "type": "string" }, "revisionCreateTime": { "description": "The timestamp that the revision was created or updated.", "format": "google-datetime", "type": "string" }, "revisionId": { "description": "Revision number which can be used by the runtime to detect if the trace config has changed between two versions.", "type": "string" } }, "type": "object" }, "GoogleCloudApigeeV1SharedFlowRevision": { "type": "object", "description": "The metadata describing a shared flow revision.", "properties": { "resources": { "description": "A list of the resources included in this shared flow revision formatted as \"{type}://{name}\".", "items": { "type": "string" }, "type": "array" }, "lastModifiedAt": { "type": "string", "format": "int64", "description": "Time at which this shared flow revision was most recently modified, in milliseconds since epoch." }, "contextInfo": { "type": "string", "description": "A textual description of the shared flow revision." }, "displayName": { "description": "The human readable name of this shared flow.", "type": "string" }, "policies": { "type": "array", "items": { "type": "string" }, "description": "A list of policy names included in this shared flow revision." }, "createdAt": { "description": "Time at which this shared flow revision was created, in milliseconds since epoch.", "format": "int64", "type": "string" }, "description": { "type": "string", "description": "Description of the shared flow revision." }, "entityMetaDataAsProperties": { "description": "A Key-Value map of metadata about this shared flow revision.", "additionalProperties": { "type": "string" }, "type": "object" }, "revision": { "type": "string", "description": "The resource ID of this revision." }, "name": { "type": "string", "description": "The resource ID of the parent shared flow." }, "configurationVersion": { "$ref": "GoogleCloudApigeeV1ConfigVersion", "description": "The version of the configuration schema to which this shared flow conforms. The only supported value currently is majorVersion 4 and minorVersion 0. This setting may be used in the future to enable evolution of the shared flow format." }, "resourceFiles": { "description": "The resource files included in this shared flow revision.", "$ref": "GoogleCloudApigeeV1ResourceFiles" }, "sharedFlows": { "items": { "type": "string" }, "type": "array", "description": "A list of the shared flow names included in this shared flow revision." }, "type": { "type": "string", "description": "The string \"Application\"" } }, "id": "GoogleCloudApigeeV1SharedFlowRevision" }, "GoogleCloudApigeeV1Reference": { "properties": { "resourceType": { "description": "The type of resource referred to by this reference. Valid values are 'KeyStore' or 'TrustStore'.", "type": "string" }, "name": { "description": "Required. The resource id of this reference. Values must match the regular expression [\\w\\s\\-.]+.", "type": "string" }, "description": { "description": "Optional. A human-readable description of this reference.", "type": "string" }, "refers": { "type": "string", "description": "Required. The id of the resource to which this reference refers. Must be the id of a resource that exists in the parent environment and is of the given resource_type." } }, "type": "object", "id": "GoogleCloudApigeeV1Reference", "description": "A Reference configuration. References must refer to a keystore that also exists in the parent environment." }, "GoogleCloudApigeeV1AdjustDeveloperBalanceRequest": { "description": "Request for AdjustDeveloperBalance.", "id": "GoogleCloudApigeeV1AdjustDeveloperBalanceRequest", "type": "object", "properties": { "adjustment": { "$ref": "GoogleTypeMoney", "description": "* A positive value of `adjustment` means that that the API provider wants to adjust the balance for an under-charged developer i.e. the balance of the developer will decrease. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A negative value of `adjustment` means that that the API provider wants to adjust the balance for an over-charged developer i.e. the balance of the developer will increase." } } }, "GoogleCloudApigeeV1RatePlan": { "id": "GoogleCloudApigeeV1RatePlan", "type": "object", "properties": { "name": { "type": "string", "description": "Output only. Name of the rate plan.", "readOnly": true }, "fixedFeeFrequency": { "description": "Frequency at which the fixed fee is charged.", "format": "int32", "type": "integer" }, "startTime": { "format": "int64", "description": "Time when the rate plan becomes active in milliseconds since epoch.", "type": "string" }, "revenueShareRates": { "items": { "$ref": "GoogleCloudApigeeV1RevenueShareRange" }, "type": "array", "description": "Details of the revenue sharing model." }, "revenueShareType": { "enum": [ "REVENUE_SHARE_TYPE_UNSPECIFIED", "FIXED", "VOLUME_BANDED" ], "enumDescriptions": [ "Revenue share type is not specified.", "Fixed percentage of the total revenue will be shared. The percentage to be shared can be configured by the API provider.", "Amount of revenue shared depends on the number of API calls. The API call volume ranges and the revenue share percentage for each volume can be configured by the API provider. **Note**: Not supported by Apigee at this time." ], "description": "Method used to calculate the revenue that is shared with developers.", "type": "string" }, "endTime": { "description": "Time when the rate plan will expire in milliseconds since epoch. Set to 0 or `null` to indicate that the rate plan should never expire.", "type": "string", "format": "int64" }, "setupFee": { "$ref": "GoogleTypeMoney", "description": "Initial, one-time fee paid when purchasing the API product." }, "consumptionPricingRates": { "type": "array", "description": "API call volume ranges and the fees charged when the total number of API calls is within a given range. The method used to calculate the final fee depends on the selected pricing model. For example, if the pricing model is `STAIRSTEP` and the ranges are defined as follows: ``` { \"start\": 1, \"end\": 100, \"fee\": 75 }, { \"start\": 101, \"end\": 200, \"fee\": 100 }, } ``` Then the following fees would be charged based on the total number of API calls (assuming the currency selected is `USD`): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 1 call costs $75 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 50 calls cost $75 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 150 calls cost $100 The number of API calls cannot exceed 200.", "items": { "$ref": "GoogleCloudApigeeV1RateRange" } }, "paymentFundingModel": { "enum": [ "PAYMENT_FUNDING_MODEL_UNSPECIFIED", "PREPAID", "POSTPAID" ], "enumDescriptions": [ "Billing account type not specified.", "Prepaid billing account type. Developer pays in advance for the use of your API products. Funds are deducted from their prepaid account balance. **Note**: Not supported by Apigee at this time.", "Postpaid billing account type. Developer is billed through an invoice after using your API products." ], "type": "string", "description": "DEPRECATED: This field is no longer supported and will eventually be removed when Apigee Hybrid 1.5/1.6 is no longer supported. Instead, use the `billingType` field inside `DeveloperMonetizationConfig` resource. Flag that specifies the billing account type, prepaid or postpaid." }, "consumptionPricingType": { "description": "Pricing model used for consumption-based charges.", "enumDescriptions": [ "Pricing model not specified. This is the default.", "Fixed rate charged for each API call.", "Variable rate charged for each API call based on price tiers. Example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 1-100 calls cost $2 per call LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 101-200 calls cost $1.50 per call LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 201-300 calls cost $1 per call LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Total price for 50 calls: 50 x $2 = $100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Total price for 150 calls: 100 x $2 + 50 x $1.5 = $275 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Total price for 250 calls: 100 x $2 + 100 x $1.5 + 50 x $1 = $400. **Note**: Not supported by Apigee at this time.", "**Note**: Not supported by Apigee at this time.", "**Note**: Not supported by Apigee at this time." ], "enum": [ "CONSUMPTION_PRICING_TYPE_UNSPECIFIED", "FIXED_PER_UNIT", "BANDED", "TIERED", "STAIRSTEP" ], "type": "string" }, "state": { "enumDescriptions": [ "State of the rate plan is not specified.", "Rate plan is in draft mode and only visible to API providers.", "Rate plan is published and will become visible to developers for the configured duration (between `startTime` and `endTime`)." ], "description": "Current state of the rate plan (draft or published).", "enum": [ "STATE_UNSPECIFIED", "DRAFT", "PUBLISHED" ], "type": "string" }, "billingPeriod": { "type": "string", "enum": [ "BILLING_PERIOD_UNSPECIFIED", "WEEKLY", "MONTHLY" ], "enumDescriptions": [ "Billing period not specified.", "Weekly billing period. **Note**: Not supported by Apigee at this time.", "Monthly billing period." ], "description": "Frequency at which the customer will be billed." }, "createdAt": { "format": "int64", "readOnly": true, "description": "Output only. Time that the rate plan was created in milliseconds since epoch.", "type": "string" }, "fixedRecurringFee": { "description": "Fixed amount that is charged at a defined interval and billed in advance of use of the API product. The fee will be prorated for the first billing period.", "$ref": "GoogleTypeMoney" }, "description": { "type": "string", "description": "Description of the rate plan." }, "currencyCode": { "description": "Currency to be used for billing. Consists of a three-letter code as defined by the [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) standard.", "type": "string" }, "apiproduct": { "description": "Name of the API product that the rate plan is associated with.", "type": "string" }, "lastModifiedAt": { "format": "int64", "type": "string", "description": "Output only. Time the rate plan was last modified in milliseconds since epoch.", "readOnly": true }, "displayName": { "description": "Display name of the rate plan.", "type": "string" } }, "description": "Rate plan details." }, "GoogleCloudApigeeV1ApiCategory": { "id": "GoogleCloudApigeeV1ApiCategory", "properties": { "status": { "type": "string", "description": "Status of the operation." }, "data": { "description": "Details of category.", "$ref": "GoogleCloudApigeeV1ApiCategoryData" }, "requestId": { "description": "ID that can be used to find request details in the log files.", "type": "string" }, "message": { "description": "Description of the operation.", "type": "string" }, "errorCode": { "type": "string", "description": "ID that can be used to find errors in the log files." } }, "description": "the Api category resource wrapped with response status, error_code etc.", "type": "object" }, "GoogleCloudApigeeV1TlsInfoCommonName": { "id": "GoogleCloudApigeeV1TlsInfoCommonName", "properties": { "value": { "type": "string", "description": "The TLS Common Name string of the certificate." }, "wildcardMatch": { "type": "boolean", "description": "Indicates whether the cert should be matched against as a wildcard cert." } }, "type": "object" }, "GoogleCloudApigeeV1ProvisionOrganizationRequest": { "description": "Request for ProvisionOrganization.", "properties": { "authorizedNetwork": { "description": "Name of the customer project's VPC network. If provided, the network needs to be peered through Service Networking. If none is provided, the organization will have access only to the public internet.", "type": "string" }, "analyticsRegion": { "description": "Primary Cloud Platform region for analytics data storage. For valid values, see [Create an organization](https://cloud.google.com/apigee/docs/hybrid/latest/precog-provision). Defaults to `us-west1`.", "type": "string" }, "runtimeLocation": { "description": "Cloud Platform location for the runtime instance. Defaults to zone `us-west1-a`. If a region is provided, `EVAL` organizations will use the region for automatically selecting a zone for the runtime instance.", "type": "string" } }, "id": "GoogleCloudApigeeV1ProvisionOrganizationRequest", "type": "object" }, "GoogleCloudApigeeV1ResourceFiles": { "type": "object", "id": "GoogleCloudApigeeV1ResourceFiles", "properties": { "resourceFile": { "type": "array", "description": "List of resource files.", "items": { "$ref": "GoogleCloudApigeeV1ResourceFile" } } }, "description": "List of resource files." }, "GoogleCloudApigeeV1ReportInstanceStatusResponse": { "description": "Placeholder for future enhancements to status reporting protocol", "properties": {}, "id": "GoogleCloudApigeeV1ReportInstanceStatusResponse", "type": "object" }, "GoogleCloudApigeeV1TlsInfoConfig": { "id": "GoogleCloudApigeeV1TlsInfoConfig", "type": "object", "properties": { "enabled": { "type": "boolean", "description": "Flag that specifies whether one-way TLS is enabled. Set to `true` to enable one-way TLS." }, "trustStore": { "description": "Name of the keystore or keystore reference containing trusted certificates for the server in the following format: `organizations/{org}/environments/{env}/keystores/{keystore}` or `organizations/{org}/environments/{env}/references/{reference}`", "type": "string" }, "ciphers": { "type": "array", "description": "List of ciphers that are granted access.", "items": { "type": "string" } }, "ignoreValidationErrors": { "description": "Flag that specifies whether to ignore TLS certificate validation errors. Set to `true` to ignore errors.", "type": "boolean" }, "commonName": { "$ref": "GoogleCloudApigeeV1CommonNameConfig", "description": "Common name to validate the target server against." }, "clientAuthEnabled": { "type": "boolean", "description": "Flag that specifies whether client-side authentication is enabled for the target server. Enables two-way TLS." }, "keyAliasReference": { "description": "Reference name and alias pair to use for client-side authentication.", "$ref": "GoogleCloudApigeeV1KeyAliasReference" }, "protocols": { "description": "List of TLS protocols that are granted access.", "type": "array", "items": { "type": "string" } }, "keyAlias": { "type": "string", "description": "Name of the alias used for client-side authentication in the following format: `organizations/{org}/environments/{env}/keystores/{keystore}/aliases/{alias}`" } } }, "GoogleTypeInterval": { "properties": { "startTime": { "format": "google-datetime", "type": "string", "description": "Optional. Inclusive start of the interval. If specified, a Timestamp matching this interval will have to be the same or after the start." }, "endTime": { "description": "Optional. Exclusive end of the interval. If specified, a Timestamp matching this interval will have to be before the end.", "type": "string", "format": "google-datetime" } }, "id": "GoogleTypeInterval", "description": "Represents a time interval, encoded as a Timestamp start (inclusive) and a Timestamp end (exclusive). The start must be less than or equal to the end. When the start equals the end, the interval is empty (matches no time). When both start and end are unspecified, the interval matches any time.", "type": "object" }, "GoogleCloudApigeeV1IngressConfig": { "type": "object", "properties": { "revisionCreateTime": { "type": "string", "description": "Time at which the IngressConfig revision was created.", "format": "google-datetime" }, "name": { "type": "string", "description": "Name of the resource in the following format: `organizations/{org}/deployedIngressConfig`." }, "revisionId": { "type": "string", "description": "Revision id that defines the ordering on IngressConfig resources. The higher the revision, the more recently the configuration was deployed.", "format": "int64" }, "uid": { "description": "A unique id for the ingress config that will only change if the organization is deleted and recreated.", "type": "string" }, "environmentGroups": { "type": "array", "description": "List of environment groups in the organization.", "items": { "$ref": "GoogleCloudApigeeV1EnvironmentGroupConfig" } } }, "id": "GoogleCloudApigeeV1IngressConfig" }, "GoogleCloudApigeeV1CanaryEvaluationMetricLabels": { "id": "GoogleCloudApigeeV1CanaryEvaluationMetricLabels", "description": "Labels that can be used to filter Apigee metrics.", "properties": { "instance_id": { "description": "Required. The instance ID associated with the metrics. In Apigee Hybrid, the value is configured during installation.", "type": "string" }, "location": { "description": "Required. The location associated with the metrics.", "type": "string" }, "env": { "type": "string", "description": "The environment ID associated with the metrics." } }, "type": "object" }, "GoogleIamV1AuditConfig": { "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "properties": { "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "GoogleIamV1AuditLogConfig" } }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "type": "object", "id": "GoogleIamV1AuditConfig" }, "GoogleCloudApigeeV1NatAddress": { "id": "GoogleCloudApigeeV1NatAddress", "type": "object", "description": "Apigee NAT(network address translation) address. A NAT address is a static external IP address used for Internet egress traffic.", "properties": { "state": { "enumDescriptions": [ "The resource is in an unspecified state.", "The NAT address is being created.", "The NAT address is reserved but not yet used for Internet egress.", "The NAT address is active and used for Internet egress.", "The NAT address is being deleted." ], "type": "string", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "RESERVED", "ACTIVE", "DELETING" ], "description": "Output only. State of the nat address." }, "name": { "description": "Required. Resource ID of the NAT address.", "type": "string" }, "ipAddress": { "description": "Output only. The static IPV4 address.", "readOnly": true, "type": "string" } } }, "GoogleCloudApigeeV1ListEnvironmentGroupsResponse": { "id": "GoogleCloudApigeeV1ListEnvironmentGroupsResponse", "properties": { "environmentGroups": { "items": { "$ref": "GoogleCloudApigeeV1EnvironmentGroup" }, "type": "array", "description": "EnvironmentGroups in the specified organization." }, "nextPageToken": { "description": "Page token that you can include in a ListEnvironmentGroups request to retrieve the next page. If omitted, no subsequent pages exist.", "type": "string" } }, "type": "object", "description": "Response for ListEnvironmentGroups." }, "GoogleCloudApigeeV1Properties": { "type": "object", "id": "GoogleCloudApigeeV1Properties", "properties": { "property": { "description": "List of all properties in the object", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1Property" } } }, "description": "Message for compatibility with legacy Edge specification for Java Properties object in JSON." }, "GoogleCloudApigeeV1ListSecurityProfileRevisionsResponse": { "type": "object", "description": "Response for ListSecurityProfileRevisions.", "properties": { "securityProfiles": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1SecurityProfile" }, "description": "List of security profile revisions. The revisions may be attached or unattached to any environment." }, "nextPageToken": { "type": "string", "description": "A token that can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "id": "GoogleCloudApigeeV1ListSecurityProfileRevisionsResponse" }, "GoogleCloudApigeeV1InstanceDeploymentStatusDeployedRoute": { "id": "GoogleCloudApigeeV1InstanceDeploymentStatusDeployedRoute", "description": "Route deployed in the ingress routing table.", "properties": { "basepath": { "type": "string", "description": "Base path in the routing table." }, "percentage": { "format": "int32", "type": "integer", "description": "Percentage of ingress replicas reporting this route." }, "envgroup": { "type": "string", "description": "Environment group where this route is installed." }, "environment": { "description": "Destination environment. This will be empty if the route is not yet reported.", "type": "string" } }, "type": "object" }, "GoogleCloudApigeeV1ScoreComponentRecommendation": { "id": "GoogleCloudApigeeV1ScoreComponentRecommendation", "type": "object", "description": "Recommendation based on security concerns and score.", "properties": { "impact": { "format": "int32", "description": "Potential impact of this recommendation on the overall score. This denotes how important this recommendation is to improve the score.", "type": "integer" }, "actions": { "description": "Actions for the recommendation to improve the security score.", "items": { "$ref": "GoogleCloudApigeeV1ScoreComponentRecommendationAction" }, "type": "array" }, "title": { "type": "string", "description": "Title represents recommendation title." }, "description": { "description": "Description of the recommendation.", "type": "string" } } }, "GoogleCloudApigeeV1StatsEnvironmentStats": { "type": "object", "id": "GoogleCloudApigeeV1StatsEnvironmentStats", "description": "Encapsulates the environment wrapper: ``` \"environments\": [ { \"metrics\": [ { \"name\": \"sum(message_count)\", \"values\": [ \"2.52056245E8\" ] } ], \"name\": \"prod\" } ]```", "properties": { "metrics": { "description": "In the final response, only one of the following fields will be present based on the dimensions provided. If no dimensions are provided, then only top-level metrics is provided. If dimensions are included, then there will be a top-level dimensions field under environments which will contain metrics values and the dimension name. Example: ``` \"environments\": [ { \"dimensions\": [ { \"metrics\": [ { \"name\": \"sum(message_count)\", \"values\": [ \"2.14049521E8\" ] } ], \"name\": \"nit_proxy\" } ], \"name\": \"prod\" } ]``` or ```\"environments\": [ { \"metrics\": [ { \"name\": \"sum(message_count)\", \"values\": [ \"2.19026331E8\" ] } ], \"name\": \"prod\" } ]``` List of metric values.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1Metric" } }, "dimensions": { "description": "List of metrics grouped under dimensions.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1DimensionMetric" } }, "name": { "description": "Name of the environment.", "type": "string" } } }, "GoogleCloudApigeeV1ListCustomReportsResponse": { "id": "GoogleCloudApigeeV1ListCustomReportsResponse", "properties": { "qualifier": { "items": { "$ref": "GoogleCloudApigeeV1CustomReport" }, "type": "array" } }, "type": "object", "description": "This message encapsulates a list of custom report definitions" }, "GoogleCloudApigeeV1Datastore": { "description": "The data store defines the connection to export data repository (Cloud Storage, BigQuery), including the credentials used to access the data repository.", "properties": { "datastoreConfig": { "$ref": "GoogleCloudApigeeV1DatastoreConfig", "description": "Datastore Configurations." }, "displayName": { "type": "string", "description": "Required. Display name in UI" }, "org": { "description": "Output only. Organization that the datastore belongs to", "type": "string", "readOnly": true }, "createTime": { "description": "Output only. Datastore create time, in milliseconds since the epoch of 1970-01-01T00:00:00Z", "format": "int64", "readOnly": true, "type": "string" }, "targetType": { "type": "string", "description": "Destination storage type. Supported types `gcs` or `bigquery`." }, "lastUpdateTime": { "readOnly": true, "format": "int64", "type": "string", "description": "Output only. Datastore last update time, in milliseconds since the epoch of 1970-01-01T00:00:00Z" }, "self": { "type": "string", "readOnly": true, "description": "Output only. Resource link of Datastore. Example: `/organizations/{org}/analytics/datastores/{uuid}`" } }, "id": "GoogleCloudApigeeV1Datastore", "type": "object" }, "GoogleCloudApigeeV1Schema": { "description": "Response for Schema call", "type": "object", "properties": { "dimensions": { "description": "List of schema fields grouped as dimensions.", "items": { "$ref": "GoogleCloudApigeeV1SchemaSchemaElement" }, "type": "array" }, "metrics": { "description": "List of schema fields grouped as dimensions that can be used with an aggregate function such as `sum`, `avg`, `min`, and `max`.", "items": { "$ref": "GoogleCloudApigeeV1SchemaSchemaElement" }, "type": "array" }, "meta": { "description": "Additional metadata associated with schema. This is a legacy field and usually consists of an empty array of strings.", "type": "array", "items": { "type": "string" } } }, "id": "GoogleCloudApigeeV1Schema" }, "GoogleCloudApigeeV1Deployment": { "type": "object", "id": "GoogleCloudApigeeV1Deployment", "properties": { "instances": { "type": "array", "description": "Status reported by each runtime instance. **Note**: This field is displayed only when viewing deployment status.", "items": { "$ref": "GoogleCloudApigeeV1InstanceDeploymentStatus" } }, "environment": { "type": "string", "description": "Environment." }, "apiProxy": { "type": "string", "description": "API proxy." }, "state": { "enumDescriptions": [ "This value should never be returned.", "Runtime has loaded the deployment.", "Deployment is not fully ready in the runtime.", "Encountered an error with the deployment that requires intervention." ], "description": "Current state of the deployment. **Note**: This field is displayed only when viewing deployment status.", "type": "string", "enum": [ "RUNTIME_STATE_UNSPECIFIED", "READY", "PROGRESSING", "ERROR" ] }, "revision": { "description": "API proxy revision.", "type": "string" }, "deployStartTime": { "description": "Time the API proxy was marked `deployed` in the control plane in millisconds since epoch.", "format": "int64", "type": "string" }, "pods": { "description": "Status reported by runtime pods. **Note**: **This field is deprecated**. Runtime versions 1.3 and above report instance level status rather than pod status.", "items": { "$ref": "GoogleCloudApigeeV1PodStatus" }, "type": "array" }, "serviceAccount": { "description": "The full resource name of Cloud IAM Service Account that this deployment is using, eg, `projects/-/serviceAccounts/{email}`.", "type": "string" }, "routeConflicts": { "items": { "$ref": "GoogleCloudApigeeV1DeploymentChangeReportRoutingConflict" }, "description": "Conflicts in the desired state routing configuration. The presence of conflicts does not cause the state to be `ERROR`, but it will mean that some of the deployment's base paths are not routed to its environment. If the conflicts change, the state will transition to `PROGRESSING` until the latest configuration is rolled out to all instances. **Note**: This field is displayed only when viewing deployment status.", "type": "array" }, "errors": { "description": "Errors reported for this deployment. Populated only when state == ERROR. **Note**: This field is displayed only when viewing deployment status.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" } } }, "GoogleCloudApigeeV1ListRatePlansResponse": { "id": "GoogleCloudApigeeV1ListRatePlansResponse", "type": "object", "properties": { "nextStartKey": { "description": "Value that can be sent as `startKey` to retrieve the next page of content. If this field is omitted, there are no subsequent pages.", "type": "string" }, "ratePlans": { "type": "array", "description": "List of rate plans in an organization.", "items": { "$ref": "GoogleCloudApigeeV1RatePlan" } } }, "description": "Response for ListRatePlans." }, "GoogleCloudApigeeV1Subscription": { "description": "Pub/Sub subscription of an environment.", "properties": { "name": { "description": "Full name of the Pub/Sub subcription. Use the following structure in your request: `subscription \"projects/foo/subscription/bar\"`", "type": "string" } }, "type": "object", "id": "GoogleCloudApigeeV1Subscription" }, "GoogleCloudApigeeV1ListEnvironmentGroupAttachmentsResponse": { "description": "Response for ListEnvironmentGroupAttachments.", "id": "GoogleCloudApigeeV1ListEnvironmentGroupAttachmentsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Page token that you can include in a ListEnvironmentGroupAttachments request to retrieve the next page. If omitted, no subsequent pages exist." }, "environmentGroupAttachments": { "items": { "$ref": "GoogleCloudApigeeV1EnvironmentGroupAttachment" }, "type": "array", "description": "EnvironmentGroupAttachments for the specified environment group." } }, "type": "object" }, "GoogleCloudApigeeV1ListDatastoresResponse": { "description": "The response for ListDatastores", "id": "GoogleCloudApigeeV1ListDatastoresResponse", "properties": { "datastores": { "description": "A list of datastores", "items": { "$ref": "GoogleCloudApigeeV1Datastore" }, "type": "array" } }, "type": "object" }, "GoogleCloudApigeeV1SecurityProfileEnvironmentAssociation": { "description": "Represents a SecurityProfileEnvironmentAssociation resource.", "type": "object", "id": "GoogleCloudApigeeV1SecurityProfileEnvironmentAssociation", "properties": { "securityProfileRevisionId": { "type": "string", "format": "int64", "description": "Revision ID of the security profile." }, "attachTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time when environment was attached to the security profile." }, "name": { "type": "string", "description": "Immutable. Name of the profile-environment association resource. Format: organizations/{org}/securityProfiles/{profile}/environments/{env}" } } }, "GoogleCloudApigeeV1DeploymentChangeReportRoutingDeployment": { "description": "Tuple representing a base path and the deployment containing it.", "type": "object", "properties": { "apiProxy": { "description": "Name of the deployed API proxy revision containing the base path.", "type": "string" }, "basepath": { "description": "Base path receiving traffic.", "type": "string" }, "environment": { "description": "Name of the environment in which the proxy is deployed.", "type": "string" }, "revision": { "type": "string", "description": "Name of the deployed API proxy revision containing the base path." } }, "id": "GoogleCloudApigeeV1DeploymentChangeReportRoutingDeployment" }, "GoogleCloudApigeeV1ListDeploymentsResponse": { "type": "object", "id": "GoogleCloudApigeeV1ListDeploymentsResponse", "properties": { "deployments": { "type": "array", "description": "List of deployments.", "items": { "$ref": "GoogleCloudApigeeV1Deployment" } } } }, "GoogleCloudApigeeV1SchemaSchemaElement": { "properties": { "name": { "type": "string", "description": "Name of the field." }, "properties": { "description": "Properties for the schema field. For example: { \"createTime\": \"2016-02-26T10:23:09.592Z\", \"custom\": \"false\", \"type\": \"string\" }", "$ref": "GoogleCloudApigeeV1SchemaSchemaProperty" } }, "type": "object", "description": "Message type for the schema element", "id": "GoogleCloudApigeeV1SchemaSchemaElement" }, "GoogleCloudApigeeV1DeveloperApp": { "type": "object", "properties": { "attributes": { "items": { "$ref": "GoogleCloudApigeeV1Attribute" }, "description": "List of attributes for the developer app.", "type": "array" }, "keyExpiresIn": { "format": "int64", "description": "Expiration time, in milliseconds, for the consumer key that is generated for the developer app. If not set or left to the default value of `-1`, the API key never expires. The expiration time can't be updated after it is set.", "type": "string" }, "apiProducts": { "type": "array", "description": "List of API products associated with the developer app.", "items": { "type": "string" } }, "callbackUrl": { "type": "string", "description": "Callback URL used by OAuth 2.0 authorization servers to communicate authorization codes back to developer apps." }, "credentials": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1Credential" }, "readOnly": true, "description": "Output only. Set of credentials for the developer app consisting of the consumer key/secret pairs associated with the API products." }, "developerId": { "description": "ID of the developer.", "type": "string" }, "appFamily": { "type": "string", "description": "Developer app family." }, "status": { "type": "string", "description": "Status of the credential. Valid values include `approved` or `revoked`." }, "lastModifiedAt": { "readOnly": true, "format": "int64", "description": "Output only. Time the developer app was modified in milliseconds since epoch.", "type": "string" }, "scopes": { "items": { "type": "string" }, "description": "Scopes to apply to the developer app. The specified scopes must already exist for the API product that you associate with the developer app.", "type": "array" }, "appId": { "type": "string", "description": "ID of the developer app." }, "name": { "type": "string", "description": "Name of the developer app." }, "createdAt": { "type": "string", "format": "int64", "readOnly": true, "description": "Output only. Time the developer app was created in milliseconds since epoch." } }, "id": "GoogleCloudApigeeV1DeveloperApp" }, "GoogleCloudApigeeV1SecurityProfileScoringConfig": { "id": "GoogleCloudApigeeV1SecurityProfileScoringConfig", "type": "object", "properties": { "title": { "description": "Title of the config.", "type": "string" }, "scorePath": { "description": "Path of the component config used for scoring.", "type": "string" }, "description": { "description": "Description of the config.", "type": "string" } }, "description": "Security configurations to manage scoring." }, "GoogleCloudApigeeV1TlsInfo": { "description": "TLS configuration information for virtual hosts and TargetServers.", "id": "GoogleCloudApigeeV1TlsInfo", "type": "object", "properties": { "protocols": { "items": { "type": "string" }, "description": "The TLS versioins to be used.", "type": "array" }, "trustStore": { "type": "string", "description": "The resource ID of the truststore." }, "ciphers": { "description": "The SSL/TLS cipher suites to be used. For programmable proxies, it must be one of the cipher suite names listed in: http://docs.oracle.com/javase/8/docs/technotes/guides/security/StandardNames.html#ciphersuites. For configurable proxies, it must follow the configuration specified in: https://commondatastorage.googleapis.com/chromium-boringssl-docs/ssl.h.html#Cipher-suite-configuration. This setting has no effect for configurable proxies when negotiating TLS 1.3.", "type": "array", "items": { "type": "string" } }, "keyStore": { "type": "string", "description": "Required if `client_auth_enabled` is true. The resource ID of the keystore." }, "keyAlias": { "type": "string", "description": "Required if `client_auth_enabled` is true. The resource ID for the alias containing the private key and cert." }, "enabled": { "type": "boolean", "description": "Required. Enables TLS. If false, neither one-way nor two-way TLS will be enabled." }, "commonName": { "$ref": "GoogleCloudApigeeV1TlsInfoCommonName", "description": "The TLS Common Name of the certificate." }, "clientAuthEnabled": { "type": "boolean", "description": "Optional. Enables two-way TLS." }, "ignoreValidationErrors": { "type": "boolean", "description": "If true, Edge ignores TLS certificate errors. Valid when configuring TLS for target servers and target endpoints, and when configuring virtual hosts that use 2-way TLS. When used with a target endpoint/target server, if the backend system uses SNI and returns a cert with a subject Distinguished Name (DN) that does not match the hostname, there is no way to ignore the error and the connection fails." } } }, "GoogleCloudApigeeV1KeyAliasReference": { "type": "object", "id": "GoogleCloudApigeeV1KeyAliasReference", "properties": { "reference": { "description": "Reference name in the following format: `organizations/{org}/environments/{env}/references/{reference}`", "type": "string" }, "aliasId": { "type": "string", "description": "Alias ID. Must exist in the keystore referred to by the reference." } } }, "GoogleCloudApigeeV1Alias": { "description": "Reference to a certificate or key/certificate pair.", "properties": { "alias": { "type": "string", "description": "Resource ID for this alias. Values must match the regular expression `[^/]{1,255}`." }, "type": { "enumDescriptions": [ "Alias type is not specified.", "Certificate.", "Key/certificate pair." ], "enum": [ "ALIAS_TYPE_UNSPECIFIED", "CERT", "KEY_CERT" ], "description": "Type of alias.", "type": "string" }, "certsInfo": { "description": "Chain of certificates under this alias.", "$ref": "GoogleCloudApigeeV1Certificate" } }, "type": "object", "id": "GoogleCloudApigeeV1Alias" }, "GoogleCloudApigeeV1EntityMetadata": { "id": "GoogleCloudApigeeV1EntityMetadata", "type": "object", "description": "Metadata common to many entities in this API.", "properties": { "subType": { "description": "The type of entity described", "type": "string" }, "lastModifiedAt": { "type": "string", "format": "int64", "description": "Time at which the API proxy was most recently modified, in milliseconds since epoch." }, "createdAt": { "description": "Time at which the API proxy was created, in milliseconds since epoch.", "type": "string", "format": "int64" } } }, "GoogleCloudApigeeV1RevenueShareRange": { "type": "object", "properties": { "sharePercentage": { "format": "double", "type": "number", "description": "Percentage of the revenue to be shared with the developer. For example, to share 21 percent of the total revenue with the developer, set this value to 21. Specify a decimal number with a maximum of two digits following the decimal point." }, "end": { "type": "string", "description": "Ending value of the range. Set to 0 or `null` for the last range of values.", "format": "int64" }, "start": { "description": "Starting value of the range. Set to 0 or `null` for the initial range of values.", "type": "string", "format": "int64" } }, "description": "API call volume range and the percentage of revenue to share with the developer when the total number of API calls is within the range.", "id": "GoogleCloudApigeeV1RevenueShareRange" }, "GoogleIamV1Policy": { "properties": { "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "GoogleIamV1Binding" } }, "auditConfigs": { "type": "array", "items": { "$ref": "GoogleIamV1AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy." }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string", "format": "byte" } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "GoogleIamV1Policy", "type": "object" }, "GoogleCloudApigeeV1SecurityReportResultMetadata": { "type": "object", "description": "Contains informations about the security report results.", "properties": { "self": { "type": "string", "description": "Self link of the query results. Example: `/organizations/myorg/environments/myenv/securityReports/9cfc0d85-0f30-46d6-ae6f-318d0cb961bd/result` or following format if query is running at host level: `/organizations/myorg/hostSecurityReports/9cfc0d85-0f30-46d6-ae6f-318d0cb961bd/result`" }, "expires": { "type": "string", "readOnly": true, "description": "Output only. Expire_time is set to 7 days after report creation. Query result will be unaccessable after this time. Example: \"2021-05-04T13:38:52-07:00\"" } }, "id": "GoogleCloudApigeeV1SecurityReportResultMetadata" }, "GoogleCloudApigeeV1AddonsConfig": { "properties": { "apiSecurityConfig": { "$ref": "GoogleCloudApigeeV1ApiSecurityConfig", "description": "Configuration for the API Security add-on." }, "advancedApiOpsConfig": { "$ref": "GoogleCloudApigeeV1AdvancedApiOpsConfig", "description": "Configuration for the Advanced API Ops add-on." }, "integrationConfig": { "$ref": "GoogleCloudApigeeV1IntegrationConfig", "description": "Configuration for the Integration add-on." }, "connectorsPlatformConfig": { "$ref": "GoogleCloudApigeeV1ConnectorsPlatformConfig", "description": "Configuration for the Connectors Platform add-on." }, "monetizationConfig": { "description": "Configuration for the Monetization add-on.", "$ref": "GoogleCloudApigeeV1MonetizationConfig" } }, "id": "GoogleCloudApigeeV1AddonsConfig", "description": "Add-on configurations for the Apigee organization.", "type": "object" }, "GoogleCloudApigeeV1Environment": { "id": "GoogleCloudApigeeV1Environment", "properties": { "lastModifiedAt": { "readOnly": true, "format": "int64", "type": "string", "description": "Output only. Last modification time of this environment as milliseconds since epoch." }, "state": { "enumDescriptions": [ "Resource is in an unspecified state.", "Resource is being created.", "Resource is provisioned and ready to use.", "The resource is being deleted.", "The resource is being updated." ], "description": "Output only. State of the environment. Values other than ACTIVE means the resource is not ready to use.", "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "DELETING", "UPDATING" ], "type": "string", "readOnly": true }, "name": { "type": "string", "description": "Required. Name of the environment. Values must match the regular expression `^[.\\\\p{Alnum}-_]{1,255}$`" }, "deploymentType": { "type": "string", "enumDescriptions": [ "Deployment type not specified.", "Proxy deployment enables you to develop and deploy API proxies using Apigee on Google Cloud. This cannot currently be combined with the CONFIGURABLE API proxy type.", "Archive deployment enables you to develop API proxies locally then deploy an archive of your API proxy configuration to an environment in Apigee on Google Cloud. You will be prevented from performing a [subset of actions](/apigee/docs/api-platform/local-development/overview#prevented-actions) within the environment." ], "enum": [ "DEPLOYMENT_TYPE_UNSPECIFIED", "PROXY", "ARCHIVE" ], "description": "Optional. Deployment type supported by the environment. The deployment type can be set when creating the environment and cannot be changed. When you enable archive deployment, you will be **prevented from performing** a [subset of actions](/apigee/docs/api-platform/local-development/overview#prevented-actions) within the environment, including: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Managing the deployment of API proxy or shared flow revisions LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Creating, updating, or deleting resource files LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Creating, updating, or deleting target servers" }, "description": { "type": "string", "description": "Optional. Description of the environment." }, "forwardProxyUri": { "type": "string", "description": "Optional. Url of the forward proxy to be applied to the runtime instances in this environment. Must be in the format of {scheme}://{hostname}:{port}. Note that scheme must be one of \"http\" or \"https\", and port must be supplied." }, "properties": { "description": "Optional. Key-value pairs that may be used for customizing the environment.", "$ref": "GoogleCloudApigeeV1Properties" }, "createdAt": { "readOnly": true, "type": "string", "format": "int64", "description": "Output only. Creation time of this environment as milliseconds since epoch." }, "apiProxyType": { "enumDescriptions": [ "API proxy type not specified.", "Programmable API Proxies enable you to develop APIs with highly flexible behavior using bundled policy configuration and one or more programming languages to describe complex sequential and/or conditional flows of logic.", "Configurable API Proxies enable you to develop efficient APIs using simple configuration while complex execution control flow logic is handled by Apigee. This type only works with the ARCHIVE deployment type and cannot be combined with the PROXY deployment type." ], "description": "Optional. API Proxy type supported by the environment. The type can be set when creating the Environment and cannot be changed.", "type": "string", "enum": [ "API_PROXY_TYPE_UNSPECIFIED", "PROGRAMMABLE", "CONFIGURABLE" ] }, "displayName": { "type": "string", "description": "Optional. Display name for this environment." } }, "type": "object" }, "GoogleCloudApigeeV1OptimizedStatsResponse": { "type": "object", "properties": { "stats": { "$ref": "GoogleCloudApigeeV1OptimizedStatsNode", "description": "`stats` results." }, "metaData": { "description": "Metadata information about the query executed.", "$ref": "GoogleCloudApigeeV1Metadata" }, "resultTruncated": { "type": "boolean", "description": "Boolean flag that indicates whether the results were truncated based on the limit parameter." }, "TimeUnit": { "items": { "type": "string", "format": "int64" }, "description": "List of time unit values. Time unit refers to an epoch timestamp value.", "type": "array" } }, "id": "GoogleCloudApigeeV1OptimizedStatsResponse", "description": "Encapsulates a response format for JavaScript Optimized Scenario." }, "GoogleCloudApigeeV1FlowHook": { "properties": { "flowHookPoint": { "description": "Output only. Where in the API call flow the flow hook is invoked. Must be one of `PreProxyFlowHook`, `PostProxyFlowHook`, `PreTargetFlowHook`, or `PostTargetFlowHook`.", "type": "string", "readOnly": true }, "description": { "type": "string", "description": "Description of the flow hook." }, "continueOnError": { "type": "boolean", "description": "Optional. Flag that specifies whether execution should continue if the flow hook throws an exception. Set to `true` to continue execution. Set to `false` to stop execution if the flow hook throws an exception. Defaults to `true`." }, "sharedFlow": { "description": "Shared flow attached to this flow hook, or empty if there is none attached.", "type": "string" } }, "id": "GoogleCloudApigeeV1FlowHook", "type": "object" }, "GoogleCloudApigeeV1Organization": { "id": "GoogleCloudApigeeV1Organization", "type": "object", "properties": { "displayName": { "type": "string", "description": "Display name for the Apigee organization. Unused, but reserved for future use." }, "createdAt": { "description": "Output only. Time that the Apigee organization was created in milliseconds since epoch.", "format": "int64", "type": "string", "readOnly": true }, "properties": { "description": "Properties defined in the Apigee organization profile.", "$ref": "GoogleCloudApigeeV1Properties" }, "lastModifiedAt": { "description": "Output only. Time that the Apigee organization was last modified in milliseconds since epoch.", "type": "string", "readOnly": true, "format": "int64" }, "billingType": { "enumDescriptions": [ "Billing type not specified.", "A pre-paid subscription to Apigee.", "Free and limited access to Apigee for evaluation purposes only. only." ], "description": "Billing type of the Apigee organization. See [Apigee pricing](https://cloud.google.com/apigee/pricing).", "enum": [ "BILLING_TYPE_UNSPECIFIED", "SUBSCRIPTION", "EVALUATION" ], "type": "string" }, "apigeeProjectId": { "readOnly": true, "description": "Output only. Apigee Project ID associated with the organization. Use this project to allowlist Apigee in the Service Attachment when using private service connect with Apigee.", "type": "string" }, "runtimeType": { "enumDescriptions": [ "Runtime type not specified.", "Google-managed Apigee runtime.", "User-managed Apigee hybrid runtime." ], "description": "Required. Runtime type of the Apigee organization based on the Apigee subscription purchased.", "type": "string", "enum": [ "RUNTIME_TYPE_UNSPECIFIED", "CLOUD", "HYBRID" ] }, "portalDisabled": { "type": "boolean", "description": "Configuration for the Portals settings." }, "runtimeDatabaseEncryptionKeyName": { "type": "string", "description": "Cloud KMS key name used for encrypting the data that is stored and replicated across runtime instances. Update is not allowed after the organization is created. Required when [RuntimeType](#RuntimeType) is `CLOUD`. If not specified when [RuntimeType](#RuntimeType) is `TRIAL`, a Google-Managed encryption key will be used. For example: \"projects/foo/locations/us/keyRings/bar/cryptoKeys/baz\". **Note:** Not supported for Apigee hybrid." }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "DELETING", "UPDATING" ], "type": "string", "enumDescriptions": [ "Resource is in an unspecified state.", "Resource is being created.", "Resource is provisioned and ready to use.", "The resource is being deleted.", "The resource is being updated." ], "readOnly": true, "description": "Output only. State of the organization. Values other than ACTIVE means the resource is not ready to use." }, "name": { "description": "Output only. Name of the Apigee organization.", "readOnly": true, "type": "string" }, "analyticsRegion": { "description": "Required. DEPRECATED: This field will be deprecated once Apigee supports DRZ. Primary GCP region for analytics data storage. For valid values, see [Create an Apigee organization](https://cloud.google.com/apigee/docs/api-platform/get-started/create-org).", "type": "string" }, "addonsConfig": { "description": "Addon configurations of the Apigee organization.", "$ref": "GoogleCloudApigeeV1AddonsConfig" }, "type": { "type": "string", "enumDescriptions": [ "Subscription type not specified.", "Subscription to Apigee is free, limited, and used for evaluation purposes only.", "Full subscription to Apigee has been purchased. See [Apigee pricing](https://cloud.google.com/apigee/pricing/).", "For internal users only." ], "description": "Not used by Apigee.", "enum": [ "TYPE_UNSPECIFIED", "TYPE_TRIAL", "TYPE_PAID", "TYPE_INTERNAL" ] }, "subscriptionType": { "enumDescriptions": [ "Subscription type not specified.", "Full subscription to Apigee has been purchased.", "Subscription to Apigee is free, limited, and used for evaluation purposes only." ], "enum": [ "SUBSCRIPTION_TYPE_UNSPECIFIED", "PAID", "TRIAL" ], "readOnly": true, "type": "string", "description": "Output only. DEPRECATED: This will eventually be replaced by BillingType. Subscription type of the Apigee organization. Valid values include trial (free, limited, and for evaluation purposes only) or paid (full subscription has been purchased). See [Apigee pricing](https://cloud.google.com/apigee/pricing/)." }, "authorizedNetwork": { "type": "string", "description": "Compute Engine network used for Service Networking to be peered with Apigee runtime instances. See [Getting started with the Service Networking API](https://cloud.google.com/service-infrastructure/docs/service-networking/getting-started). Valid only when [RuntimeType](#RuntimeType) is set to `CLOUD`. The value must be set before the creation of a runtime instance and can be updated only when there are no runtime instances. For example: `default`. Apigee also supports shared VPC (that is, the host network project is not the same as the one that is peering with Apigee). See [Shared VPC overview](https://cloud.google.com/vpc/docs/shared-vpc). To use a shared VPC network, use the following format: `projects/{host-project-id}/{region}/networks/{network-name}`. For example: `projects/my-sharedvpc-host/global/networks/mynetwork` **Note:** Not supported for Apigee hybrid." }, "attributes": { "items": { "type": "string" }, "description": "Not used by Apigee.", "type": "array" }, "environments": { "description": "Output only. List of environments in the Apigee organization.", "items": { "type": "string" }, "readOnly": true, "type": "array" }, "projectId": { "type": "string", "readOnly": true, "description": "Output only. Project ID associated with the Apigee organization." }, "description": { "type": "string", "description": "Description of the Apigee organization." }, "customerName": { "description": "Not used by Apigee.", "type": "string" }, "expiresAt": { "readOnly": true, "format": "int64", "description": "Output only. Time that the Apigee organization is scheduled for deletion.", "type": "string" }, "caCertificate": { "description": "Output only. Base64-encoded public certificate for the root CA of the Apigee organization. Valid only when [RuntimeType](#RuntimeType) is `CLOUD`.", "format": "byte", "readOnly": true, "type": "string" } } }, "GoogleCloudApigeeV1ListEndpointAttachmentsResponse": { "type": "object", "id": "GoogleCloudApigeeV1ListEndpointAttachmentsResponse", "description": "Response for ListEndpointAttachments method.", "properties": { "endpointAttachments": { "type": "array", "description": "Endpoint attachments in the specified organization.", "items": { "$ref": "GoogleCloudApigeeV1EndpointAttachment" } }, "nextPageToken": { "description": "Page token that you can include in an `ListEndpointAttachments` request to retrieve the next page. If omitted, no subsequent pages exist.", "type": "string" } } }, "GoogleCloudApigeeV1DeveloperAppKey": { "properties": { "expiresInSeconds": { "format": "int64", "type": "string", "description": "Input only. Expiration time, in seconds, for the consumer key. If not set or left to the default value of `-1`, the API key never expires. The expiration time can't be updated after it is set." }, "issuedAt": { "format": "int64", "type": "string", "description": "Time the developer app was created in milliseconds since epoch." }, "apiProducts": { "items": { "type": "any" }, "type": "array", "description": "List of API products for which the credential can be used. **Note**: Do not specify the list of API products when creating a consumer key and secret for a developer app. Instead, use the UpdateDeveloperAppKey API to make the association after the consumer key and secret are created." }, "status": { "type": "string", "description": "Status of the credential. Valid values include `approved` or `revoked`." }, "consumerKey": { "type": "string", "description": "Consumer key." }, "consumerSecret": { "type": "string", "description": "Secret key." }, "scopes": { "description": "Scopes to apply to the app. The specified scope names must already be defined for the API product that you associate with the app.", "type": "array", "items": { "type": "string" } }, "expiresAt": { "format": "int64", "description": "Time the developer app expires in milliseconds since epoch.", "type": "string" }, "attributes": { "description": "List of attributes associated with the credential.", "items": { "$ref": "GoogleCloudApigeeV1Attribute" }, "type": "array" } }, "type": "object", "id": "GoogleCloudApigeeV1DeveloperAppKey" }, "GoogleApiHttpBody": { "id": "GoogleApiHttpBody", "description": "Message that represents an arbitrary HTTP body. It should only be used for payload formats that can't be represented as JSON, such as raw binary or an HTML page. This message can be used both in streaming and non-streaming API methods in the request as well as the response. It can be used as a top-level request field, which is convenient if one wants to extract parameters from either the URL or HTTP template into the request fields and also want access to the raw HTTP body. Example: message GetResourceRequest { // A unique request id. string request_id = 1; // The raw HTTP body is bound to this field. google.api.HttpBody http_body = 2; } service ResourceService { rpc GetResource(GetResourceRequest) returns (google.api.HttpBody); rpc UpdateResource(google.api.HttpBody) returns (google.protobuf.Empty); } Example with streaming methods: service CaldavService { rpc GetCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); rpc UpdateCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); } Use of this type only changes how the request and response bodies are handled, all other features will continue to work unchanged.", "properties": { "data": { "type": "string", "description": "The HTTP request/response body as raw binary.", "format": "byte" }, "contentType": { "description": "The HTTP Content-Type header value specifying the content type of the body.", "type": "string" }, "extensions": { "type": "array", "description": "Application specific response metadata. Must be set in the first response for streaming APIs.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } } }, "type": "object" }, "GoogleCloudApigeeV1Property": { "description": "A single property entry in the Properties message.", "properties": { "value": { "description": "The property value", "type": "string" }, "name": { "description": "The property key", "type": "string" } }, "type": "object", "id": "GoogleCloudApigeeV1Property" }, "GoogleCloudApigeeV1CanaryEvaluation": { "description": "CanaryEvaluation represents the canary analysis between two versions of the runtime that is serving requests.", "properties": { "control": { "type": "string", "description": "Required. The stable version that is serving requests." }, "createTime": { "type": "string", "description": "Output only. Create time of the canary evaluation.", "readOnly": true, "format": "google-datetime" }, "endTime": { "type": "string", "description": "Required. End time for the evaluation's analysis.", "format": "google-datetime" }, "verdict": { "enumDescriptions": [ "Verdict is not available yet.", "No verdict reached.", "Evaluation is not good.", "Evaluation is good." ], "description": "Output only. The resulting verdict of the canary evaluations: NONE, PASS, or FAIL.", "readOnly": true, "type": "string", "enum": [ "VERDICT_UNSPECIFIED", "NONE", "FAIL", "PASS" ] }, "metricLabels": { "description": "Required. Labels used to filter the metrics used for a canary evaluation.", "$ref": "GoogleCloudApigeeV1CanaryEvaluationMetricLabels" }, "startTime": { "description": "Required. Start time for the canary evaluation's analysis.", "format": "google-datetime", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED" ], "type": "string", "readOnly": true, "enumDescriptions": [ "No state has been specified.", "The canary evaluation is still in progress.", "The canary evaluation has finished." ], "description": "Output only. The current state of the canary evaluation." }, "name": { "description": "Output only. Name of the canary evalution.", "type": "string", "readOnly": true }, "treatment": { "description": "Required. The newer version that is serving requests.", "type": "string" } }, "id": "GoogleCloudApigeeV1CanaryEvaluation", "type": "object" }, "GoogleCloudApigeeV1AliasRevisionConfig": { "id": "GoogleCloudApigeeV1AliasRevisionConfig", "type": "object", "properties": { "location": { "type": "string", "description": "Location of the alias file. For example, a Google Cloud Storage URI." }, "type": { "type": "string", "enumDescriptions": [ "Alias type is not specified.", "Certificate.", "Key/certificate pair." ], "enum": [ "ALIAS_TYPE_UNSPECIFIED", "CERT", "KEY_CERT" ] }, "name": { "description": "Name of the alias revision included in the keystore in the following format: `organizations/{org}/environments/{env}/keystores/{keystore}/aliases/{alias}/revisions/{rev}`", "type": "string" } } }, "GoogleCloudApigeeV1ListSecurityProfilesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token that can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "securityProfiles": { "description": "List of security profiles in the organization. The profiles may be attached or unattached to any environment. This will return latest revision of each profile.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1SecurityProfile" } } }, "description": "Response for ListSecurityProfiles.", "id": "GoogleCloudApigeeV1ListSecurityProfilesResponse", "type": "object" }, "GoogleCloudApigeeV1IntegrationConfig": { "id": "GoogleCloudApigeeV1IntegrationConfig", "properties": { "enabled": { "type": "boolean", "description": "Flag that specifies whether the Integration add-on is enabled." } }, "type": "object", "description": "Configuration for the Integration add-on." }, "GoogleCloudApigeeV1Point": { "description": "Point is a group of information collected by runtime plane at critical points of the message flow of the processed API request. This is a list of supported point IDs, categorized to three major buckets. For each category, debug points that we are currently supporting are listed below: - Flow status debug points: StateChange FlowInfo Condition Execution DebugMask Error - Flow control debug points: FlowCallout Paused Resumed FlowReturn BreakFlow Error - Runtime debug points: ScriptExecutor FlowCalloutStepDefinition CustomTarget StepDefinition Oauth2ServicePoint RaiseFault NodeJS The detail information of the given debug point is stored in a list of results.", "type": "object", "properties": { "results": { "type": "array", "description": "List of results extracted from a given debug point.", "items": { "$ref": "GoogleCloudApigeeV1Result" } }, "id": { "type": "string", "description": "Name of a step in the transaction." } }, "id": "GoogleCloudApigeeV1Point" }, "GoogleCloudApigeeV1DataCollector": { "id": "GoogleCloudApigeeV1DataCollector", "description": "Data collector configuration.", "properties": { "name": { "type": "string", "description": "ID of the data collector. Must begin with `dc_`." }, "description": { "description": "A description of the data collector.", "type": "string" }, "createdAt": { "type": "string", "readOnly": true, "description": "Output only. The time at which the data collector was created in milliseconds since the epoch.", "format": "int64" }, "lastModifiedAt": { "readOnly": true, "type": "string", "description": "Output only. The time at which the Data Collector was last updated in milliseconds since the epoch.", "format": "int64" }, "type": { "description": "Immutable. The type of data this data collector will collect.", "enum": [ "TYPE_UNSPECIFIED", "INTEGER", "FLOAT", "STRING", "BOOLEAN", "DATETIME" ], "enumDescriptions": [ "For future compatibility.", "For integer values.", "For float values.", "For string values.", "For boolean values.", "For datetime values." ], "type": "string" } }, "type": "object" }, "GoogleCloudApigeeV1ListExportsResponse": { "id": "GoogleCloudApigeeV1ListExportsResponse", "properties": { "exports": { "items": { "$ref": "GoogleCloudApigeeV1Export" }, "type": "array", "description": "Details of the export jobs." } }, "type": "object", "description": "The response for ListExports" }, "GoogleCloudApigeeV1AsyncQuery": { "type": "object", "properties": { "error": { "description": "Error is set when query fails.", "type": "string" }, "name": { "description": "Asynchronous Query Name.", "type": "string" }, "reportDefinitionId": { "type": "string", "description": "Asynchronous Report ID." }, "created": { "type": "string", "description": "Creation time of the query." }, "self": { "description": "Self link of the query. Example: `/organizations/myorg/environments/myenv/queries/9cfc0d85-0f30-46d6-ae6f-318d0cb961bd` or following format if query is running at host level: `/organizations/myorg/hostQueries/9cfc0d85-0f30-46d6-ae6f-318d0cb961bd`", "type": "string" }, "state": { "description": "Query state could be \"enqueued\", \"running\", \"completed\", \"failed\".", "type": "string" }, "executionTime": { "type": "string", "description": "ExecutionTime is available only after the query is completed." }, "resultRows": { "format": "int64", "description": "ResultRows is available only after the query is completed.", "type": "string" }, "envgroupHostname": { "type": "string", "description": "Hostname is available only when query is executed at host level." }, "updated": { "type": "string", "description": "Last updated timestamp for the query." }, "resultFileSize": { "description": "ResultFileSize is available only after the query is completed.", "type": "string" }, "queryParams": { "$ref": "GoogleCloudApigeeV1QueryMetadata", "description": "Contains information like metrics, dimenstions etc of the AsyncQuery." }, "result": { "description": "Result is available only after the query is completed.", "$ref": "GoogleCloudApigeeV1AsyncQueryResult" } }, "id": "GoogleCloudApigeeV1AsyncQuery" }, "GoogleCloudApigeeV1ConnectorsPlatformConfig": { "description": "Configuration for the Connectors Platform add-on.", "type": "object", "properties": { "enabled": { "description": "Flag that specifies whether the Connectors Platform add-on is enabled.", "type": "boolean" }, "expiresAt": { "format": "int64", "type": "string", "readOnly": true, "description": "Output only. Time at which the Connectors Platform add-on expires in milliseconds since epoch. If unspecified, the add-on will never expire." } }, "id": "GoogleCloudApigeeV1ConnectorsPlatformConfig" }, "GoogleCloudApigeeV1Credential": { "properties": { "status": { "type": "string", "description": "Status of the credential. Valid values include `approved` or `revoked`." }, "attributes": { "description": "List of attributes associated with this credential.", "items": { "$ref": "GoogleCloudApigeeV1Attribute" }, "type": "array" }, "issuedAt": { "format": "int64", "type": "string", "description": "Time the credential was issued in milliseconds since epoch." }, "apiProducts": { "items": { "$ref": "GoogleCloudApigeeV1ApiProductRef" }, "description": "List of API products this credential can be used for.", "type": "array" }, "scopes": { "items": { "type": "string" }, "description": "List of scopes to apply to the app. Specified scopes must already exist on the API product that you associate with the app.", "type": "array" }, "consumerKey": { "description": "Consumer key.", "type": "string" }, "consumerSecret": { "description": "Secret key.", "type": "string" }, "expiresAt": { "format": "int64", "type": "string", "description": "Time the credential will expire in milliseconds since epoch." } }, "id": "GoogleCloudApigeeV1Credential", "type": "object" }, "GoogleCloudApigeeV1ApiProxy": { "id": "GoogleCloudApigeeV1ApiProxy", "properties": { "apiProxyType": { "readOnly": true, "enum": [ "API_PROXY_TYPE_UNSPECIFIED", "PROGRAMMABLE", "CONFIGURABLE" ], "enumDescriptions": [ "API proxy type not specified.", "Programmable API Proxies enable you to develop APIs with highly flexible behavior using bundled policy configuration and one or more programming languages to describe complex sequential and/or conditional flows of logic.", "Configurable API Proxies enable you to develop efficient APIs using simple configuration while complex execution control flow logic is handled by Apigee. This type only works with the ARCHIVE deployment type and cannot be combined with the PROXY deployment type." ], "description": "Output only. The type of the API proxy.", "type": "string" }, "latestRevisionId": { "type": "string", "description": "Output only. The id of the most recently created revision for this api proxy.", "readOnly": true }, "readOnly": { "description": "Output only. Whether this proxy is read-only. A read-only proxy cannot have new revisions created through calls to CreateApiProxyRevision. A proxy is read-only if it was generated by an archive.", "type": "boolean", "readOnly": true }, "metaData": { "$ref": "GoogleCloudApigeeV1EntityMetadata", "description": "Output only. Metadata describing the API proxy.", "readOnly": true }, "revision": { "readOnly": true, "description": "Output only. List of revisions defined for the API proxy.", "type": "array", "items": { "type": "string" } }, "labels": { "additionalProperties": { "type": "string" }, "description": "User labels applied to this API Proxy.", "type": "object" }, "name": { "readOnly": true, "type": "string", "description": "Output only. Name of the API proxy." } }, "type": "object", "description": "Metadata describing the API proxy" }, "GoogleCloudApigeeV1KeystoreConfig": { "id": "GoogleCloudApigeeV1KeystoreConfig", "properties": { "name": { "type": "string", "description": "Resource name in the following format: `organizations/{org}/environments/{env}/keystores/{keystore}`" }, "aliases": { "items": { "$ref": "GoogleCloudApigeeV1AliasRevisionConfig" }, "description": "Aliases in the keystore.", "type": "array" } }, "type": "object" }, "GoogleTypeExpr": { "id": "GoogleTypeExpr", "properties": { "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object" }, "GoogleCloudApigeeV1GraphQLOperation": { "description": "Represents the pairing of GraphQL operation types and the GraphQL operation name.", "properties": { "operationTypes": { "description": "Required. GraphQL operation types. Valid values include `query` or `mutation`. **Note**: Apigee does not currently support `subscription` types.", "type": "array", "items": { "type": "string" } }, "operation": { "description": "GraphQL operation name. The name and operation type will be used to apply quotas. If no name is specified, the quota will be applied to all GraphQL operations irrespective of their operation names in the payload.", "type": "string" } }, "id": "GoogleCloudApigeeV1GraphQLOperation", "type": "object" }, "GoogleCloudApigeeV1RevisionStatus": { "type": "object", "id": "GoogleCloudApigeeV1RevisionStatus", "description": "The status of a specific resource revision.", "properties": { "replicas": { "type": "integer", "format": "int32", "description": "The number of replicas that have successfully loaded this revision." }, "jsonSpec": { "type": "string", "description": "The json content of the resource revision. Large specs should be sent individually via the spec field to avoid hitting request size limits." }, "revisionId": { "type": "string", "description": "The revision of the resource." }, "errors": { "type": "array", "description": "Errors reported when attempting to load this revision.", "items": { "$ref": "GoogleCloudApigeeV1UpdateError" } } } }, "GoogleCloudApigeeV1OrganizationProjectMapping": { "type": "object", "properties": { "projectId": { "type": "string", "description": "GCP project associated with the Apigee organization" }, "projectIds": { "items": { "type": "string" }, "description": "DEPRECATED: Use `project_id`. An Apigee Organization is mapped to a single project.", "type": "array" }, "location": { "description": "Output only. The Google Cloud region where control plane data is located. For more information, see https://cloud.google.com/about/locations/.", "type": "string", "readOnly": true }, "organization": { "description": "Name of the Apigee organization.", "type": "string" } }, "id": "GoogleCloudApigeeV1OrganizationProjectMapping" }, "GoogleCloudApigeeV1ComputeEnvironmentScoresResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A page token, received from a previous `ComputeScore` call. Provide this to retrieve the subsequent page." }, "scores": { "type": "array", "description": "List of scores. One score per day.", "items": { "$ref": "GoogleCloudApigeeV1Score" } } }, "id": "GoogleCloudApigeeV1ComputeEnvironmentScoresResponse", "description": "Response for ComputeEnvironmentScores.", "type": "object" }, "GoogleCloudApigeeV1KeyValueMap": { "properties": { "name": { "type": "string", "description": "Required. ID of the key value map." }, "encrypted": { "description": "Optional. Flag that specifies whether entry values will be encrypted. You must set this value to `true`. Apigee X and hybrid do not support unencrytped key value maps.", "type": "boolean" } }, "type": "object", "description": "Collection of key/value string pairs.", "id": "GoogleCloudApigeeV1KeyValueMap" }, "GoogleCloudApigeeV1DateRange": { "properties": { "start": { "description": "Required. Start date of the data to export in the format `yyyy-mm-dd`. The date range begins at 00:00:00 UTC on the start date.", "type": "string" }, "end": { "description": "Required. End date (exclusive) of the data to export in the format `yyyy-mm-dd`. The date range ends at 00:00:00 UTC on the end date- which will not be in the output.", "type": "string" } }, "id": "GoogleCloudApigeeV1DateRange", "description": "Date range of the data to export.", "type": "object" }, "GoogleCloudApigeeV1ListInstanceAttachmentsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Page token that you can include in a ListInstanceAttachments request to retrieve the next page of content. If omitted, no subsequent pages exist." }, "attachments": { "description": "Attachments for the instance.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1InstanceAttachment" } } }, "description": "Response for ListInstanceAttachments.", "id": "GoogleCloudApigeeV1ListInstanceAttachmentsResponse" }, "GoogleCloudApigeeV1MonetizationConfig": { "id": "GoogleCloudApigeeV1MonetizationConfig", "type": "object", "description": "Configuration for the Monetization add-on.", "properties": { "enabled": { "type": "boolean", "description": "Flag that specifies whether the Monetization add-on is enabled." } } }, "GoogleCloudApigeeV1KeyValueEntry": { "description": "Key value map pair where the value represents the data associated with the corresponding key.", "properties": { "name": { "description": "Resource URI that can be used to identify the scope of the key value map entries.", "type": "string" }, "value": { "type": "string", "description": "Required. Data or payload that is being retrieved and associated with the unique key." } }, "id": "GoogleCloudApigeeV1KeyValueEntry", "type": "object" }, "GoogleCloudApigeeV1DeveloperBalance": { "type": "object", "id": "GoogleCloudApigeeV1DeveloperBalance", "description": "Account balance for the developer.", "properties": { "wallets": { "readOnly": true, "type": "array", "description": "Output only. List of all wallets. Each individual wallet stores the account balance for a particular currency.", "items": { "$ref": "GoogleCloudApigeeV1DeveloperBalanceWallet" } } } }, "GoogleCloudApigeeV1AccessSet": { "description": "Set action. For example, \"Set\" : { \"name\" : \"target.name\", \"success\" : true, \"value\" : \"default\" }", "type": "object", "properties": { "success": { "type": "boolean" }, "name": { "type": "string" }, "value": { "type": "string" } }, "id": "GoogleCloudApigeeV1AccessSet" }, "GoogleCloudApigeeV1GraphQLOperationConfig": { "description": "Binds the resources in a proxy or remote service with the GraphQL operation and its associated quota enforcement.", "id": "GoogleCloudApigeeV1GraphQLOperationConfig", "properties": { "apiSource": { "description": "Required. Name of the API proxy endpoint or remote service with which the GraphQL operation and quota are associated.", "type": "string" }, "quota": { "description": "Quota parameters to be enforced for the resources, methods, and API source combination. If none are specified, quota enforcement will not be done.", "$ref": "GoogleCloudApigeeV1Quota" }, "attributes": { "description": "Custom attributes associated with the operation.", "items": { "$ref": "GoogleCloudApigeeV1Attribute" }, "type": "array" }, "operations": { "description": "Required. List of GraphQL name/operation type pairs for the proxy or remote service to which quota will be applied. If only operation types are specified, the quota will be applied to all GraphQL requests irrespective of the GraphQL name. **Note**: Currently, you can specify only a single GraphQLOperation. Specifying more than one will cause the operation to fail.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1GraphQLOperation" } } }, "type": "object" }, "GoogleCloudApigeeV1SchemaSchemaProperty": { "description": "Properties for the schema field.", "id": "GoogleCloudApigeeV1SchemaSchemaProperty", "type": "object", "properties": { "type": { "description": "Data type of the field.", "type": "string" }, "createTime": { "type": "string", "description": "Time the field was created in RFC3339 string form. For example: `2016-02-26T10:23:09.592Z`." }, "custom": { "description": "Flag that specifies whether the field is standard in the dataset or a custom field created by the customer. `true` indicates that it is a custom field.", "type": "string" } } }, "GoogleCloudApigeeV1FlowHookConfig": { "id": "GoogleCloudApigeeV1FlowHookConfig", "type": "object", "properties": { "sharedFlowName": { "description": "Name of the shared flow to invoke in the following format: `organizations/{org}/sharedflows/{sharedflow}`", "type": "string" }, "name": { "type": "string", "description": "Name of the flow hook in the following format: `organizations/{org}/environments/{env}/flowhooks/{point}`. Valid `point` values include: `PreProxyFlowHook`, `PostProxyFlowHook`, `PreTargetFlowHook`, and `PostTargetFlowHook`" }, "continueOnError": { "type": "boolean", "description": "Flag that specifies whether the flow should abort after an error in the flow hook. Defaults to `true` (continue on error)." } } }, "GoogleCloudApigeeV1CertInfo": { "type": "object", "id": "GoogleCloudApigeeV1CertInfo", "properties": { "sigAlgName": { "description": "X.509 signatureAlgorithm.", "type": "string" }, "issuer": { "type": "string", "description": "X.509 issuer." }, "subjectAlternativeNames": { "description": "X.509 subject alternative names (SANs) extension.", "items": { "type": "string" }, "type": "array" }, "publicKey": { "description": "Public key component of the X.509 subject public key info.", "type": "string" }, "subject": { "description": "X.509 subject.", "type": "string" }, "version": { "format": "int32", "type": "integer", "description": "X.509 version." }, "basicConstraints": { "description": "X.509 basic constraints extension.", "type": "string" }, "expiryDate": { "description": "X.509 `notAfter` validity period in milliseconds since epoch.", "type": "string", "format": "int64" }, "serialNumber": { "description": "X.509 serial number.", "type": "string" }, "isValid": { "type": "string", "description": "Flag that specifies whether the certificate is valid. Flag is set to `Yes` if the certificate is valid, `No` if expired, or `Not yet` if not yet valid." }, "validFrom": { "type": "string", "format": "int64", "description": "X.509 `notBefore` validity period in milliseconds since epoch." } }, "description": "X.509 certificate as defined in RFC 5280." }, "GoogleCloudApigeeV1DatastoreConfig": { "description": "Configuration detail for datastore", "id": "GoogleCloudApigeeV1DatastoreConfig", "properties": { "bucketName": { "type": "string", "description": "Name of the Cloud Storage bucket. Required for `gcs` target_type." }, "projectId": { "type": "string", "description": "Required. GCP project in which the datastore exists" }, "datasetName": { "description": "BigQuery dataset name Required for `bigquery` target_type.", "type": "string" }, "path": { "type": "string", "description": "Path of Cloud Storage bucket Required for `gcs` target_type." }, "tablePrefix": { "description": "Prefix of BigQuery table Required for `bigquery` target_type.", "type": "string" } }, "type": "object" }, "GoogleIamV1TestIamPermissionsResponse": { "id": "GoogleIamV1TestIamPermissionsResponse", "type": "object", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" } } } }, "GoogleRpcPreconditionFailureViolation": { "type": "object", "id": "GoogleRpcPreconditionFailureViolation", "properties": { "type": { "type": "string", "description": "The type of PreconditionFailure. We recommend using a service-specific enum type to define the supported precondition violation subjects. For example, \"TOS\" for \"Terms of Service violation\"." }, "subject": { "type": "string", "description": "The subject, relative to the type, that failed. For example, \"google.com/cloud\" relative to the \"TOS\" type would indicate which terms of service is being referenced." }, "description": { "type": "string", "description": "A description of how the precondition failed. Developers can use this description to understand how to fix the failure. For example: \"Terms of service not accepted\"." } }, "description": "A message type used to describe a single precondition failure." }, "GoogleCloudApigeeV1GetAsyncQueryResultUrlResponseURLInfo": { "description": "A Signed URL and the relevant metadata associated with it.", "properties": { "md5": { "type": "string", "description": "The MD5 Hash of the JSON data" }, "sizeBytes": { "type": "string", "description": "The size of the returned file in bytes", "format": "int64" }, "uri": { "description": "The signed URL of the JSON data. Will be of the form `https://storage.googleapis.com/example-bucket/cat.jpeg?X-Goog-Algorithm= GOOG4-RSA-SHA256&X-Goog-Credential=example%40example-project.iam.gserviceaccount .com%2F20181026%2Fus-central1%2Fstorage%2Fgoog4_request&X-Goog-Date=20181026T18 1309Z&X-Goog-Expires=900&X-Goog-SignedHeaders=host&X-Goog-Signature=247a2aa45f16 9edf4d187d54e7cc46e4731b1e6273242c4f4c39a1d2507a0e58706e25e3a85a7dbb891d62afa849 6def8e260c1db863d9ace85ff0a184b894b117fe46d1225c82f2aa19efd52cf21d3e2022b3b868dc c1aca2741951ed5bf3bb25a34f5e9316a2841e8ff4c530b22ceaa1c5ce09c7cbb5732631510c2058 0e61723f5594de3aea497f195456a2ff2bdd0d13bad47289d8611b6f9cfeef0c46c91a455b94e90a 66924f722292d21e24d31dcfb38ce0c0f353ffa5a9756fc2a9f2b40bc2113206a81e324fc4fd6823 a29163fa845c8ae7eca1fcf6e5bb48b3200983c56c5ca81fffb151cca7402beddfc4a76b13344703 2ea7abedc098d2eb14a7`", "type": "string" } }, "id": "GoogleCloudApigeeV1GetAsyncQueryResultUrlResponseURLInfo", "type": "object" }, "GoogleCloudApigeeV1SecurityReportResultView": { "type": "object", "properties": { "code": { "description": "Error code when there is a failure.", "type": "integer", "format": "int32" }, "rows": { "type": "array", "items": { "type": "any" }, "description": "Rows of security report result. Each row is a JSON object. Example: {sum(message_count): 1, developer_app: \"(not set)\",…}" }, "metadata": { "description": "Metadata contains information like metrics, dimenstions etc of the security report.", "$ref": "GoogleCloudApigeeV1SecurityReportMetadata" }, "state": { "type": "string", "description": "State of retrieving ResultView." }, "error": { "type": "string", "description": "Error message when there is a failure." } }, "id": "GoogleCloudApigeeV1SecurityReportResultView", "description": "The response for security report result view APIs." }, "GoogleCloudApigeeV1ListSharedFlowsResponse": { "description": "To change this message, in the same CL add a change log in go/changing-api-proto-breaks-ui", "properties": { "sharedFlows": { "items": { "$ref": "GoogleCloudApigeeV1SharedFlow" }, "type": "array" } }, "type": "object", "id": "GoogleCloudApigeeV1ListSharedFlowsResponse" }, "GoogleCloudApigeeV1SetAddonsRequest": { "properties": { "addonsConfig": { "description": "Required. Add-on configurations.", "$ref": "GoogleCloudApigeeV1AddonsConfig" } }, "description": "Request for SetAddons.", "id": "GoogleCloudApigeeV1SetAddonsRequest", "type": "object" }, "GoogleCloudApigeeV1SecurityProfile": { "description": "Represents a SecurityProfile resource.", "id": "GoogleCloudApigeeV1SecurityProfile", "properties": { "revisionCreateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time when revision was created.", "type": "string" }, "revisionId": { "type": "string", "format": "int64", "description": "Output only. Revision ID of the security profile.", "readOnly": true }, "scoringConfigs": { "description": "List of profile scoring configs in this revision.", "items": { "$ref": "GoogleCloudApigeeV1SecurityProfileScoringConfig" }, "type": "array" }, "revisionUpdateTime": { "description": "Output only. The time when revision was updated.", "type": "string", "readOnly": true, "format": "google-datetime" }, "environments": { "description": "List of environments attached to security profile.", "items": { "$ref": "GoogleCloudApigeeV1SecurityProfileEnvironment" }, "type": "array" }, "maxScore": { "description": "Output only. Maximum security score that can be generated by this profile.", "type": "integer", "format": "int32", "readOnly": true }, "revisionPublishTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time when revision was published. Once published, the security profile revision cannot be updated further and can be attached to environments." }, "name": { "type": "string", "description": "Immutable. Name of the security profile resource. Format: organizations/{org}/securityProfiles/{profile}" }, "minScore": { "description": "Output only. Minimum security score that can be generated by this profile.", "type": "integer", "format": "int32", "readOnly": true }, "displayName": { "type": "string", "description": "Display name of the security profile." } }, "type": "object" }, "GoogleCloudApigeeV1OptimizedStatsNode": { "type": "object", "id": "GoogleCloudApigeeV1OptimizedStatsNode", "description": "Encapsulates a data node as represented below: ``` { \"identifier\": { \"names\": [ \"apiproxy\" ], \"values\": [ \"sirjee\" ] }, \"metric\": [ { \"env\": \"prod\", \"name\": \"sum(message_count)\", \"values\": [ 36.0 ] } ] }``` or ``` { \"env\": \"prod\", \"name\": \"sum(message_count)\", \"values\": [ 36.0 ] }``` Depending on whether a dimension is present in the query or not the data node type can be a simple metric value or dimension identifier with list of metrics.", "properties": { "data": { "type": "array", "items": { "type": "any" } } } }, "GoogleCloudApigeeV1ResourceStatus": { "id": "GoogleCloudApigeeV1ResourceStatus", "description": "The status of a resource loaded in the runtime.", "type": "object", "properties": { "totalReplicas": { "format": "int32", "type": "integer", "description": "The total number of replicas that should have this resource." }, "resource": { "type": "string", "description": "The resource name. Currently only two resources are supported: EnvironmentGroup - organizations/{org}/envgroups/{envgroup} EnvironmentConfig - organizations/{org}/environments/{environment}/deployedConfig" }, "uid": { "type": "string", "description": "The uid of the resource. In the unexpected case that the instance has multiple uids for the same name, they should be reported under separate ResourceStatuses." }, "revisions": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1RevisionStatus" }, "description": "Revisions of the resource currently deployed in the instance." } } }, "GoogleCloudApigeeV1ListOrganizationsResponse": { "properties": { "organizations": { "type": "array", "description": "List of Apigee organizations and associated GCP projects.", "items": { "$ref": "GoogleCloudApigeeV1OrganizationProjectMapping" } } }, "type": "object", "id": "GoogleCloudApigeeV1ListOrganizationsResponse" }, "GoogleCloudApigeeV1GraphQLOperationGroup": { "description": "List of graphQL operation configuration details associated with Apigee API proxies or remote services. Remote services are non-Apigee proxies, such as Istio-Envoy.", "id": "GoogleCloudApigeeV1GraphQLOperationGroup", "type": "object", "properties": { "operationConfigType": { "description": "Flag that specifies whether the configuration is for Apigee API proxy or a remote service. Valid values include `proxy` or `remoteservice`. Defaults to `proxy`. Set to `proxy` when Apigee API proxies are associated with the API product. Set to `remoteservice` when non-Apigee proxies like Istio-Envoy are associated with the API product.", "type": "string" }, "operationConfigs": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1GraphQLOperationConfig" }, "description": "Required. List of operation configurations for either Apigee API proxies or other remote services that are associated with this API product." } } }, "GoogleCloudApigeeV1SharedFlow": { "description": "The metadata describing a shared flow", "type": "object", "id": "GoogleCloudApigeeV1SharedFlow", "properties": { "revision": { "items": { "type": "string" }, "type": "array", "description": "A list of revisions of this shared flow." }, "metaData": { "$ref": "GoogleCloudApigeeV1EntityMetadata", "description": "Metadata describing the shared flow." }, "name": { "type": "string", "description": "The ID of the shared flow." }, "latestRevisionId": { "description": "The id of the most recently created revision for this shared flow.", "type": "string" } } }, "GoogleCloudApigeeV1ComputeEnvironmentScoresRequestFilter": { "description": "Filter scores by component path. Used custom filter instead of AIP-160 as the use cases are highly constrained and predictable.", "type": "object", "properties": { "scorePath": { "description": "Optional. Return scores for this component. Example: \"/org@myorg/envgroup@myenvgroup/env@myenv/proxies/proxy@myproxy/source\"", "type": "string" } }, "id": "GoogleCloudApigeeV1ComputeEnvironmentScoresRequestFilter" }, "GoogleCloudApigeeV1ListInstancesResponse": { "id": "GoogleCloudApigeeV1ListInstancesResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Page token that you can include in a ListInstance request to retrieve the next page of content. If omitted, no subsequent pages exist." }, "instances": { "description": "Instances in the specified organization.", "items": { "$ref": "GoogleCloudApigeeV1Instance" }, "type": "array" } }, "description": "Response for ListInstances." }, "GoogleCloudApigeeV1ScoreComponentRecommendationAction": { "description": "Action to improve security score.", "id": "GoogleCloudApigeeV1ScoreComponentRecommendationAction", "type": "object", "properties": { "actionContext": { "description": "Action context for the action.", "$ref": "GoogleCloudApigeeV1ScoreComponentRecommendationActionActionContext" }, "description": { "type": "string", "description": "Description of the action." } } }, "GoogleCloudApigeeV1OperationGroup": { "type": "object", "id": "GoogleCloudApigeeV1OperationGroup", "properties": { "operationConfigs": { "description": "Required. List of operation configurations for either Apigee API proxies or other remote services that are associated with this API product.", "items": { "$ref": "GoogleCloudApigeeV1OperationConfig" }, "type": "array" }, "operationConfigType": { "description": "Flag that specifes whether the configuration is for Apigee API proxy or a remote service. Valid values include `proxy` or `remoteservice`. Defaults to `proxy`. Set to `proxy` when Apigee API proxies are associated with the API product. Set to `remoteservice` when non-Apigee proxies like Istio-Envoy are associated with the API product.", "type": "string" } }, "description": "List of operation configuration details associated with Apigee API proxies or remote services. Remote services are non-Apigee proxies, such as Istio-Envoy." }, "GoogleCloudApigeeV1RuntimeConfig": { "description": "Runtime configuration for the organization. Response for GetRuntimeConfig.", "properties": { "traceBucket": { "type": "string", "description": "Cloud Storage bucket used for uploading Trace records." }, "name": { "type": "string", "description": "Name of the resource in the following format: `organizations/{org}/runtimeConfig`." }, "analyticsBucket": { "type": "string", "description": "Cloud Storage bucket used for uploading Analytics records." }, "tenantProjectId": { "readOnly": true, "description": "Output only. Tenant project ID associated with the Apigee organization. The tenant project is used to host Google-managed resources that are dedicated to this Apigee organization. Clients have limited access to resources within the tenant project used to support Apigee runtime instances. Access to the tenant project is managed using SetSyncAuthorization. It can be empty if the tenant project hasn't been created yet.", "type": "string" } }, "id": "GoogleCloudApigeeV1RuntimeConfig", "type": "object" }, "GoogleCloudApigeeV1ReferenceConfig": { "id": "GoogleCloudApigeeV1ReferenceConfig", "type": "object", "properties": { "name": { "type": "string", "description": "Name of the reference in the following format: `organizations/{org}/environments/{env}/references/{reference}`" }, "resourceName": { "description": "Name of the referenced resource in the following format: `organizations/{org}/environments/{env}/keystores/{keystore}` Only references to keystore resources are supported.", "type": "string" } } }, "GoogleCloudApigeeV1SecurityReportMetadata": { "properties": { "timeUnit": { "description": "Query GroupBy time unit. Example: \"seconds\", \"minute\", \"hour\"", "type": "string" }, "mimeType": { "description": "MIME type / Output format.", "type": "string" }, "endTimestamp": { "description": "End timestamp of the query range.", "format": "google-datetime", "type": "string" }, "dimensions": { "description": "Dimensions of the SecurityReport.", "items": { "type": "string" }, "type": "array" }, "startTimestamp": { "type": "string", "format": "google-datetime", "description": "Start timestamp of the query range." }, "metrics": { "items": { "type": "string" }, "description": "Metrics of the SecurityReport. Example: [\"name:bot_count,func:sum,alias:sum_bot_count\"]", "type": "array" } }, "description": "Metadata for the security report.", "id": "GoogleCloudApigeeV1SecurityReportMetadata", "type": "object" }, "GoogleCloudApigeeV1ListDeveloperAppsResponse": { "properties": { "app": { "items": { "$ref": "GoogleCloudApigeeV1DeveloperApp" }, "type": "array", "description": "List of developer apps and their credentials." } }, "type": "object", "id": "GoogleCloudApigeeV1ListDeveloperAppsResponse" }, "GoogleCloudApigeeV1ScoreComponentRecommendationActionActionContext": { "type": "object", "properties": { "documentationLink": { "description": "Documentation link for the action.", "type": "string" } }, "description": "Action context are all the relevant details for the action.", "id": "GoogleCloudApigeeV1ScoreComponentRecommendationActionActionContext" }, "GoogleCloudApigeeV1StatsHostStats": { "id": "GoogleCloudApigeeV1StatsHostStats", "description": "Encapsulates the hostname wrapper: ``` \"hosts\": [ { \"metrics\": [ { \"name\": \"sum(message_count)\", \"values\": [ \"2.52056245E8\" ] } ], \"name\": \"example.com\" } ]```", "properties": { "dimensions": { "description": "List of metrics grouped under dimensions.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1DimensionMetric" } }, "metrics": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1Metric" }, "description": "In the final response, only one of the following fields will be present based on the dimensions provided. If no dimensions are provided, then only the top-level metrics are provided. If dimensions are included, then there will be a top-level dimensions field under hostnames which will contain metrics values and the dimension name. Example: ``` \"hosts\": [ { \"dimensions\": [ { \"metrics\": [ { \"name\": \"sum(message_count)\", \"values\": [ \"2.14049521E8\" ] } ], \"name\": \"nit_proxy\" } ], \"name\": \"example.com\" } ]``` OR ```\"hosts\": [ { \"metrics\": [ { \"name\": \"sum(message_count)\", \"values\": [ \"2.19026331E8\" ] } ], \"name\": \"example.com\" } ]``` List of metric values." }, "name": { "type": "string", "description": "Hostname used in query." } }, "type": "object" }, "GoogleCloudApigeeV1InstanceDeploymentStatus": { "id": "GoogleCloudApigeeV1InstanceDeploymentStatus", "properties": { "deployedRoutes": { "items": { "$ref": "GoogleCloudApigeeV1InstanceDeploymentStatusDeployedRoute" }, "type": "array", "description": "Current routes deployed in the ingress routing table. A route which is missing will appear in `missing_routes`." }, "instance": { "type": "string", "description": "ID of the instance reporting the status." }, "deployedRevisions": { "type": "array", "items": { "$ref": "GoogleCloudApigeeV1InstanceDeploymentStatusDeployedRevision" }, "description": "Revisions currently deployed in MPs." } }, "type": "object", "description": "The status of a deployment as reported by a single instance." }, "GoogleCloudApigeeV1DeveloperSubscription": { "type": "object", "description": "Structure of a DeveloperSubscription.", "id": "GoogleCloudApigeeV1DeveloperSubscription", "properties": { "endTime": { "description": "Time when the API product subscription ends in milliseconds since epoch.", "type": "string", "format": "int64" }, "lastModifiedAt": { "description": "Output only. Time when the API product subscription was last modified in milliseconds since epoch.", "format": "int64", "readOnly": true, "type": "string" }, "startTime": { "description": "Time when the API product subscription starts in milliseconds since epoch.", "type": "string", "format": "int64" }, "name": { "readOnly": true, "type": "string", "description": "Output only. Name of the API product subscription." }, "apiproduct": { "type": "string", "description": "Name of the API product for which the developer is purchasing a subscription." }, "createdAt": { "format": "int64", "readOnly": true, "description": "Output only. Time when the API product subscription was created in milliseconds since epoch.", "type": "string" } } }, "GoogleCloudApigeeV1OptimizedStats": { "properties": { "Response": { "$ref": "GoogleCloudApigeeV1OptimizedStatsResponse", "description": "Wraps the `stats` response for JavaScript Optimized Scenario with a response key. For example: ```{ \"Response\": { \"TimeUnit\": [], \"metaData\": { \"errors\": [], \"notices\": [ \"Source:Postgres\", \"Table used: edge.api.aaxgroup001.agg_api\", \"PG Host:ruappg08-ro.production.apigeeks.net\", \"query served by:80c4ebca-6a10-4a2e-8faf-c60c1ee306ca\" ] }, \"resultTruncated\": false, \"stats\": { \"data\": [ { \"identifier\": { \"names\": [ \"apiproxy\" ], \"values\": [ \"sirjee\" ] }, \"metric\": [ { \"env\": \"prod\", \"name\": \"sum(message_count)\", \"values\": [ 36.0 ] }, { \"env\": \"prod\", \"name\": \"sum(is_error)\", \"values\": [ 36.0 ] } ] } ] } } }```" } }, "type": "object", "id": "GoogleCloudApigeeV1OptimizedStats" }, "GoogleCloudApigeeV1ListDataCollectorsResponse": { "description": "Response for ListDataCollectors.", "type": "object", "id": "GoogleCloudApigeeV1ListDataCollectorsResponse", "properties": { "dataCollectors": { "description": "Data collectors in the specified organization.", "items": { "$ref": "GoogleCloudApigeeV1DataCollector" }, "type": "array" }, "nextPageToken": { "description": "Page token that you can include in a ListDataCollectors request to retrieve the next page. If omitted, no subsequent pages exist.", "type": "string" } } }, "GoogleCloudApigeeV1DimensionMetric": { "type": "object", "description": "Encapsulates a metric grouped by dimension.", "id": "GoogleCloudApigeeV1DimensionMetric", "properties": { "metrics": { "items": { "$ref": "GoogleCloudApigeeV1Metric" }, "description": "List of metrics.", "type": "array" }, "name": { "type": "string", "description": "Name of the dimension." } } }, "GoogleCloudApigeeV1TestDatastoreResponse": { "properties": { "state": { "description": "Output only. It could be `completed` or `failed`", "type": "string", "readOnly": true }, "error": { "type": "string", "readOnly": true, "description": "Output only. Error message of test connection failure" } }, "id": "GoogleCloudApigeeV1TestDatastoreResponse", "type": "object", "description": "The response for TestDatastore" }, "GoogleCloudApigeeV1ListApiCategoriesResponse": { "properties": { "requestId": { "description": "ID that can be used to find request details in the log files.", "type": "string" }, "data": { "description": "Details of categories.", "type": "array", "items": { "$ref": "GoogleCloudApigeeV1ApiCategoryData" } }, "status": { "type": "string", "description": "Status of the operation." }, "errorCode": { "type": "string", "description": "ID that can be used to find errors in the log files." }, "message": { "type": "string", "description": "Description of the operation." } }, "type": "object", "id": "GoogleCloudApigeeV1ListApiCategoriesResponse", "description": "the response for ListApiCategoriesRequest." }, "GoogleCloudApigeeV1Keystore": { "id": "GoogleCloudApigeeV1Keystore", "properties": { "name": { "description": "Required. Resource ID for this keystore. Values must match the regular expression `[\\w[:space:]-.]{1,255}`.", "type": "string" }, "aliases": { "readOnly": true, "items": { "type": "string" }, "type": "array", "description": "Output only. Aliases in this keystore." } }, "description": "Datastore for Certificates and Aliases.", "type": "object" }, "GoogleCloudApigeeV1ListDeveloperSubscriptionsResponse": { "properties": { "developerSubscriptions": { "type": "array", "description": "List of all subscriptions.", "items": { "$ref": "GoogleCloudApigeeV1DeveloperSubscription" } }, "nextStartKey": { "type": "string", "description": "Value that can be sent as `startKey` to retrieve the next page of content. If this field is omitted, there are no subsequent pages." } }, "id": "GoogleCloudApigeeV1ListDeveloperSubscriptionsResponse", "type": "object", "description": "Response for ListDeveloperSubscriptions." }, "GoogleCloudApigeeV1RateRange": { "properties": { "start": { "description": "Starting value of the range. Set to 0 or `null` for the initial range of values.", "type": "string", "format": "int64" }, "fee": { "description": "Fee to charge when total number of API calls falls within this range.", "$ref": "GoogleTypeMoney" }, "end": { "format": "int64", "description": "Ending value of the range. Set to 0 or `null` for the last range of values.", "type": "string" } }, "description": "API call volume range and the fees charged when the total number of API calls is within the range.", "id": "GoogleCloudApigeeV1RateRange", "type": "object" }, "GoogleCloudApigeeV1GenerateDownloadUrlResponse": { "id": "GoogleCloudApigeeV1GenerateDownloadUrlResponse", "properties": { "downloadUri": { "type": "string", "description": "The Google Cloud Storage signed URL that can be used to download the Archive zip file." } }, "type": "object", "description": "Response for GenerateDownloadUrl method." }, "GoogleLongrunningListOperationsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "items": { "$ref": "GoogleLongrunningOperation" }, "description": "A list of operations that matches the specified filter in the request.", "type": "array" } }, "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse" }, "GoogleCloudApigeeV1TargetServer": { "description": "TargetServer configuration. TargetServers are used to decouple a proxy's TargetEndpoint HTTPTargetConnections from concrete URLs for backend services.", "properties": { "name": { "description": "Required. The resource id of this target server. Values must match the regular expression ", "type": "string" }, "isEnabled": { "description": "Optional. Enabling/disabling a TargetServer is useful when TargetServers are used in load balancing configurations, and one or more TargetServers need to taken out of rotation periodically. Defaults to true.", "type": "boolean" }, "host": { "description": "Required. The host name this target connects to. Value must be a valid hostname as described by RFC-1123.", "type": "string" }, "protocol": { "type": "string", "enum": [ "PROTOCOL_UNSPECIFIED", "HTTP", "GRPC" ], "enumDescriptions": [ "UNSPECIFIED defaults to HTTP for backwards compatibility.", "The TargetServer uses HTTP.", "The TargetServer uses GRPC." ], "description": "Immutable. The protocol used by this TargetServer." }, "port": { "type": "integer", "description": "Required. The port number this target connects to on the given host. Value must be between 1 and 65535, inclusive.", "format": "int32" }, "sSLInfo": { "$ref": "GoogleCloudApigeeV1TlsInfo", "description": "Optional. Specifies TLS configuration info for this TargetServer. The JSON name is `sSLInfo` for legacy/backwards compatibility reasons -- Edge originally supported SSL, and the name is still used for TLS configuration." }, "description": { "type": "string", "description": "Optional. A human-readable description of this TargetServer." } }, "type": "object", "id": "GoogleCloudApigeeV1TargetServer" }, "GoogleCloudApigeeV1DeleteCustomReportResponse": { "type": "object", "properties": { "message": { "description": "The response contains only a message field.", "type": "string" } }, "id": "GoogleCloudApigeeV1DeleteCustomReportResponse" }, "GoogleCloudApigeeV1RuntimeTraceConfigOverride": { "description": "NEXT ID: 7 Trace configuration override for a specific API proxy in an environment.", "properties": { "revisionCreateTime": { "format": "google-datetime", "type": "string", "description": "The timestamp that the revision was created or updated." }, "name": { "description": "Name of the trace config override in the following format: `organizations/{org}/environment/{env}/traceConfig/overrides/{override}`", "type": "string" }, "revisionId": { "type": "string", "description": "Revision number which can be used by the runtime to detect if the trace config override has changed between two versions." }, "samplingConfig": { "$ref": "GoogleCloudApigeeV1RuntimeTraceSamplingConfig", "description": "Trace configuration override for a specific API proxy in an environment." }, "apiProxy": { "type": "string", "description": "Name of the API proxy that will have its trace configuration overridden following format: `organizations/{org}/apis/{api}`" }, "uid": { "type": "string", "description": "Unique ID for the configuration override. The ID will only change if the override is deleted and recreated. Corresponds to name's \"override\" field." } }, "id": "GoogleCloudApigeeV1RuntimeTraceConfigOverride", "type": "object" }, "GoogleCloudApigeeV1QueryMetadata": { "type": "object", "id": "GoogleCloudApigeeV1QueryMetadata", "properties": { "timeUnit": { "type": "string", "description": "Query GroupBy time unit." }, "endTimestamp": { "description": "End timestamp of the query range.", "type": "string" }, "startTimestamp": { "type": "string", "description": "Start timestamp of the query range." }, "metrics": { "items": { "type": "string" }, "description": "Metrics of the AsyncQuery. Example: [\"name:message_count,func:sum,alias:sum_message_count\"]", "type": "array" }, "outputFormat": { "type": "string", "description": "Output format." }, "dimensions": { "items": { "type": "string" }, "description": "Dimensions of the AsyncQuery.", "type": "array" } } } }, "rootUrl": "https://apigee.googleapis.com/", "ownerDomain": "google.com", "title": "Apigee API", "ownerName": "Google", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "fullyEncodeReservedExpansion": true, "resources": { "organizations": { "methods": { "getSyncAuthorization": { "id": "apigee.organizations.getSyncAuthorization", "description": "Lists the service accounts with the permissions required to allow the Synchronizer to download environment data from the control plane. An ETag is returned in the response to `getSyncAuthorization`. Pass that ETag when calling [setSyncAuthorization](setSyncAuthorization) to ensure that you are updating the correct version. If you don't pass the ETag in the call to `setSyncAuthorization`, then the existing authorization is overwritten indiscriminately. For more information, see [Configure the Synchronizer](https://cloud.google.com/apigee/docs/hybrid/latest/synchronizer-access). **Note**: Available to Apigee hybrid only.", "request": { "$ref": "GoogleCloudApigeeV1GetSyncAuthorizationRequest" }, "parameterOrder": [ "name" ], "path": "v1/{+name}:getSyncAuthorization", "response": { "$ref": "GoogleCloudApigeeV1SyncAuthorization" }, "flatPath": "v1/organizations/{organizationsId}:getSyncAuthorization", "parameters": { "name": { "pattern": "^organizations/[^/]+$", "type": "string", "required": true, "description": "Required. Name of the Apigee organization. Use the following structure in your request: `organizations/{org}`", "location": "path" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "id": "apigee.organizations.get", "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the profile for an Apigee organization. See [Understanding organizations](https://cloud.google.com/apigee/docs/api-platform/fundamentals/organization-structure).", "flatPath": "v1/organizations/{organizationsId}", "parameters": { "name": { "required": true, "description": "Required. Apigee organization name in the following format: `organizations/{org}`", "location": "path", "type": "string", "pattern": "^organizations/[^/]+$" } }, "response": { "$ref": "GoogleCloudApigeeV1Organization" }, "httpMethod": "GET" }, "getProjectMapping": { "parameters": { "name": { "pattern": "^organizations/[^/]+$", "type": "string", "location": "path", "description": "Required. Apigee organization name in the following format: `organizations/{org}`", "required": true } }, "flatPath": "v1/organizations/{organizationsId}:getProjectMapping", "path": "v1/{+name}:getProjectMapping", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1OrganizationProjectMapping" }, "id": "apigee.organizations.getProjectMapping", "httpMethod": "GET", "description": "Gets the project ID and region for an Apigee organization." }, "list": { "parameters": { "parent": { "required": true, "location": "path", "pattern": "^organizations$", "description": "Required. Use the following structure in your request: `organizations`", "type": "string" } }, "flatPath": "v1/organizations", "id": "apigee.organizations.list", "path": "v1/{+parent}", "response": { "$ref": "GoogleCloudApigeeV1ListOrganizationsResponse" }, "description": "Lists the Apigee organizations and associated GCP projects that you have permission to access. See [Understanding organizations](https://cloud.google.com/apigee/docs/api-platform/fundamentals/organization-structure).", "parameterOrder": [ "parent" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameterOrder": [ "name" ], "httpMethod": "DELETE", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+name}", "id": "apigee.organizations.delete", "description": "Delete an Apigee organization. For organizations with BillingType EVALUATION, an immediate deletion is performed. For paid organizations, a soft-deletion is performed. The organization can be restored within the soft-deletion period - which can be controlled using the retention field in the request.", "flatPath": "v1/organizations/{organizationsId}", "parameters": { "name": { "type": "string", "description": "Required. Name of the organization. Use the following structure in your request: `organizations/{org}`", "required": true, "location": "path", "pattern": "^organizations/[^/]+$" }, "retention": { "location": "query", "enum": [ "DELETION_RETENTION_UNSPECIFIED", "MINIMUM" ], "description": "Optional. This setting is only applicable for organizations that are soft-deleted (i.e. BillingType is not EVALUATION). It controls how long Organization data will be retained after the initial delete operation completes. During this period, the Organization may be restored to its last known state. After this period, the Organization will no longer be able to be restored.", "type": "string", "enumDescriptions": [ "Default data retention settings will be applied.", "Organization data will be retained for the minimum period of 24 hours." ] } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setAddons": { "request": { "$ref": "GoogleCloudApigeeV1SetAddonsRequest" }, "flatPath": "v1/organizations/{organizationsId}:setAddons", "description": "Configures the add-ons for the Apigee organization. The existing add-on configuration will be fully replaced.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+org}:setAddons", "id": "apigee.organizations.setAddons", "parameters": { "org": { "location": "path", "type": "string", "description": "Required. Name of the organization. Use the following structure in your request: `organizations/{org}`", "required": true, "pattern": "^organizations/[^/]+$" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "org" ] }, "create": { "parameterOrder": [], "flatPath": "v1/organizations", "parameters": { "parent": { "type": "string", "description": "Required. Name of the GCP project in which to associate the Apigee organization. Pass the information as a query parameter using the following structure in your request: `projects/`", "location": "query" } }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudApigeeV1Organization" }, "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/organizations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates an Apigee organization. See [Create an Apigee organization](https://cloud.google.com/apigee/docs/api-platform/get-started/create-org).", "id": "apigee.organizations.create" }, "getRuntimeConfig": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/runtimeConfig", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1RuntimeConfig" }, "id": "apigee.organizations.getRuntimeConfig", "parameters": { "name": { "location": "path", "pattern": "^organizations/[^/]+/runtimeConfig$", "description": "Required. Name of the runtime config for the organization in the following format: 'organizations/{org}/runtimeConfig'.", "required": true, "type": "string" } }, "description": "Get runtime config for an organization.", "path": "v1/{+name}", "httpMethod": "GET" }, "setSyncAuthorization": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the permissions required to allow the Synchronizer to download environment data from the control plane. You must call this API to enable proper functioning of hybrid. Pass the ETag when calling `setSyncAuthorization` to ensure that you are updating the correct version. To get an ETag, call [getSyncAuthorization](getSyncAuthorization). If you don't pass the ETag in the call to `setSyncAuthorization`, then the existing authorization is overwritten indiscriminately. For more information, see [Configure the Synchronizer](https://cloud.google.com/apigee/docs/hybrid/latest/synchronizer-access). **Note**: Available to Apigee hybrid only.", "id": "apigee.organizations.setSyncAuthorization", "httpMethod": "POST", "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+$", "description": "Required. Name of the Apigee organization. Use the following structure in your request: `organizations/{org}`", "type": "string", "location": "path" } }, "path": "v1/{+name}:setSyncAuthorization", "flatPath": "v1/organizations/{organizationsId}:setSyncAuthorization", "request": { "$ref": "GoogleCloudApigeeV1SyncAuthorization" }, "response": { "$ref": "GoogleCloudApigeeV1SyncAuthorization" } }, "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PUT", "description": "Updates the properties for an Apigee organization. No other fields in the organization profile will be updated.", "response": { "$ref": "GoogleCloudApigeeV1Organization" }, "parameters": { "name": { "pattern": "^organizations/[^/]+$", "type": "string", "description": "Required. Apigee organization name in the following format: `organizations/{org}`", "location": "path", "required": true } }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "apigee.organizations.update", "request": { "$ref": "GoogleCloudApigeeV1Organization" }, "flatPath": "v1/organizations/{organizationsId}" }, "getDeployedIngressConfig": { "response": { "$ref": "GoogleCloudApigeeV1IngressConfig" }, "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/deployedIngressConfig", "path": "v1/{+name}", "httpMethod": "GET", "parameters": { "view": { "description": "When set to FULL, additional details about the specific deployments receiving traffic will be included in the IngressConfig response's RoutingRules.", "enum": [ "INGRESS_CONFIG_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "location": "query", "type": "string", "enumDescriptions": [ "The default/unset value. The API will default to the BASIC view.", "Include all ingress config data necessary for the runtime to configure ingress, but no more. Routing rules will include only basepath and destination environment. This the default value.", "Include all ingress config data, including internal debug info for each routing rule such as the proxy claiming a particular basepath and when the routing rule first appeared in the env group." ] }, "name": { "type": "string", "pattern": "^organizations/[^/]+/deployedIngressConfig$", "required": true, "location": "path", "description": "Required. Name of the deployed configuration for the organization in the following format: 'organizations/{org}/deployedIngressConfig'." } }, "id": "apigee.organizations.getDeployedIngressConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the deployed ingress configuration for an organization." } }, "resources": { "optimizedHostStats": { "methods": { "get": { "response": { "$ref": "GoogleCloudApigeeV1OptimizedStats" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "timeUnit": { "type": "string", "description": "Granularity of metrics returned. Valid values include: `second`, `minute`, `hour`, `day`, `week`, or `month`.", "location": "query" }, "sortby": { "type": "string", "location": "query", "description": "Comma-separated list of columns used to sort the final result." }, "name": { "required": true, "location": "path", "description": "Required. Resource name for which the interactive query will be executed. Use the following format in your request: `organizations/{organization_id}/optimizedHostStats/{dimensions}` Dimensions let you view metrics in meaningful groupings, such as `apiproxy`, `target_host`. The value of dimensions should be a comma-separated list as shown below: `organizations/{org}/optimizedHostStats/apiproxy,request_verb`", "pattern": "^organizations/[^/]+/optimizedHostStats/.*$", "type": "string" }, "topk": { "location": "query", "type": "string", "description": "Top number of results to return. For example, to return the top 5 results, set `topk=5`." }, "filter": { "description": "Filter that enables you to drill-down on specific dimension values.", "location": "query", "type": "string" }, "envgroupHostname": { "description": "Required. Hostname for which the interactive query will be executed.", "location": "query", "type": "string" }, "limit": { "description": "Maximum number of result items to return. The default and maximum value that can be returned is 14400.", "type": "string", "location": "query" }, "sort": { "description": "Flag that specifies whether the sort order should be ascending or descending. Valid values include `DESC` and `ASC`.", "type": "string", "location": "query" }, "timeRange": { "location": "query", "description": "Required. Time interval for the interactive query. Time range is specified in GMT as `start~end`. For example: `04/15/2017 00:00~05/15/2017 23:59`.", "type": "string" }, "select": { "description": "Required. Comma-separated list of metrics. For example: `sum(message_count),sum(error_count)`", "location": "query", "type": "string" }, "offset": { "location": "query", "type": "string", "description": "Offset value. Use `offset` with `limit` to enable pagination of results. For example, to display results 11-20, set limit to `10` and offset to `10`." }, "accuracy": { "description": "No longer used by Apigee. Supported for backwards compatibility.", "location": "query", "type": "string" }, "tsAscending": { "location": "query", "description": "Flag that specifies whether to list timestamps in ascending (`true`) or descending (`false`) order. Apigee recommends that you set this value to `true` if you are using `sortby` with `sort=DESC`.", "type": "boolean" }, "tzo": { "description": "Timezone offset value.", "location": "query", "type": "string" }, "realtime": { "description": "No longer used by Apigee. Supported for backwards compatibility.", "type": "boolean", "location": "query" } }, "httpMethod": "GET", "id": "apigee.organizations.optimizedHostStats.get", "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/optimizedHostStats/{optimizedHostStatsId}", "description": "Similar to GetHostStats except that the response is less verbose." } } }, "hostQueries": { "methods": { "getResult": { "description": "After the query is completed, use this API to retrieve the results. If the request succeeds, and there is a non-zero result set, the result is downloaded to the client as a zipped JSON file. The name of the downloaded file will be: OfflineQueryResult-.zip Example: `OfflineQueryResult-9cfc0d85-0f30-46d6-ae6f-318d0cb961bd.zip`", "response": { "$ref": "GoogleApiHttpBody" }, "httpMethod": "GET", "id": "apigee.organizations.hostQueries.getResult", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Name of the asynchronous query result to get. Must be of the form `organizations/{org}/queries/{queryId}/result`.", "pattern": "^organizations/[^/]+/hostQueries/[^/]+/result$", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/organizations/{organizationsId}/hostQueries/{hostQueriesId}/result", "parameterOrder": [ "name" ] }, "getResultView": { "id": "apigee.organizations.hostQueries.getResultView", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "name": { "description": "Required. Name of the asynchronous query result view to get. Must be of the form `organizations/{org}/queries/{queryId}/resultView`.", "required": true, "pattern": "^organizations/[^/]+/hostQueries/[^/]+/resultView$", "location": "path", "type": "string" } }, "response": { "$ref": "GoogleCloudApigeeV1AsyncQueryResultView" }, "flatPath": "v1/organizations/{organizationsId}/hostQueries/{hostQueriesId}/resultView", "description": "", "path": "v1/{+name}" }, "list": { "httpMethod": "GET", "path": "v1/{+parent}/hostQueries", "flatPath": "v1/organizations/{organizationsId}/hostQueries", "id": "apigee.organizations.hostQueries.list", "description": "Return a list of Asynchronous Queries at host level.", "response": { "$ref": "GoogleCloudApigeeV1ListAsyncQueriesResponse" }, "parameters": { "envgroupHostname": { "description": "Required. Filter response list by hostname.", "type": "string", "location": "query" }, "status": { "type": "string", "description": "Filter response list by asynchronous query status.", "location": "query" }, "from": { "description": "Filter response list by returning asynchronous queries that created after this date time. Time must be in ISO date-time format like '2011-12-03T10:15:30Z'.", "type": "string", "location": "query" }, "submittedBy": { "description": "Filter response list by user who submitted queries.", "location": "query", "type": "string" }, "inclQueriesWithoutReport": { "type": "string", "description": "Flag to include asynchronous queries that don't have a report denifition.", "location": "query" }, "to": { "location": "query", "type": "string", "description": "Filter response list by returning asynchronous queries that created before this date time. Time must be in ISO date-time format like '2011-12-03T10:16:30Z'." }, "parent": { "description": "Required. The parent resource name. Must be of the form `organizations/{org}`.", "required": true, "pattern": "^organizations/[^/]+$", "type": "string", "location": "path" }, "dataset": { "location": "query", "description": "Filter response list by dataset. Example: `api`, `mint`", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ] }, "create": { "flatPath": "v1/organizations/{organizationsId}/hostQueries", "id": "apigee.organizations.hostQueries.create", "response": { "$ref": "GoogleCloudApigeeV1AsyncQuery" }, "parameters": { "parent": { "required": true, "description": "Required. The parent resource name. Must be of the form `organizations/{org}`.", "pattern": "^organizations/[^/]+$", "location": "path", "type": "string" } }, "request": { "$ref": "GoogleCloudApigeeV1Query" }, "httpMethod": "POST", "path": "v1/{+parent}/hostQueries", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "description": "Submit a query at host level to be processed in the background. If the submission of the query succeeds, the API returns a 201 status and an ID that refer to the query. In addition to the HTTP status 201, the `state` of \"enqueued\" means that the request succeeded." }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/hostQueries/{hostQueriesId}", "path": "v1/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "description": "Required. Name of the asynchronous query to get. Must be of the form `organizations/{org}/queries/{queryId}`.", "type": "string", "location": "path", "pattern": "^organizations/[^/]+/hostQueries/[^/]+$" } }, "httpMethod": "GET", "response": { "$ref": "GoogleCloudApigeeV1AsyncQuery" }, "id": "apigee.organizations.hostQueries.get", "description": "Get status of a query submitted at host level. If the query is still in progress, the `state` is set to \"running\" After the query has completed successfully, `state` is set to \"completed\"" } } }, "instances": { "resources": { "natAddresses": { "methods": { "create": { "response": { "$ref": "GoogleLongrunningOperation" }, "id": "apigee.organizations.instances.natAddresses.create", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "pattern": "^organizations/[^/]+/instances/[^/]+$", "required": true, "location": "path", "description": "Required. Name of the instance. Use the following structure in your request: `organizations/{org}/instances/{instance}`" } }, "request": { "$ref": "GoogleCloudApigeeV1NatAddress" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a NAT address. The address is created in the RESERVED state and a static external IP address will be provisioned. At this time, the instance will not use this IP address for Internet egress traffic. The address can be activated for use once any required firewall IP whitelisting has been completed. **Note:** Not supported for Apigee hybrid.", "httpMethod": "POST", "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/natAddresses", "path": "v1/{+parent}/natAddresses" }, "activate": { "path": "v1/{+name}:activate", "parameters": { "name": { "location": "path", "description": "Required. Name of the nat address. Use the following structure in your request: `organizations/{org}/instances/{instances}/natAddresses/{nataddress}``", "type": "string", "pattern": "^organizations/[^/]+/instances/[^/]+/natAddresses/[^/]+$", "required": true } }, "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/natAddresses/{natAddressesId}:activate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1ActivateNatAddressRequest" }, "id": "apigee.organizations.instances.natAddresses.activate", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "description": "Activates the NAT address. The Apigee instance can now use this for Internet egress traffic. **Note:** Not supported for Apigee hybrid." }, "list": { "path": "v1/{+parent}/natAddresses", "description": "Lists the NAT addresses for an Apigee instance. **Note:** Not supported for Apigee hybrid.", "httpMethod": "GET", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "description": "Page token, returned from a previous ListNatAddresses call, that you can use to retrieve the next page of content.", "location": "query", "type": "string" }, "parent": { "type": "string", "pattern": "^organizations/[^/]+/instances/[^/]+$", "location": "path", "required": true, "description": "Required. Name of the instance. Use the following structure in your request: `organizations/{org}/instances/{instance}`" }, "pageSize": { "format": "int32", "description": "Maximum number of natAddresses to return. Defaults to 25.", "location": "query", "type": "integer" } }, "id": "apigee.organizations.instances.natAddresses.list", "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/natAddresses", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1ListNatAddressesResponse" } }, "get": { "description": "Gets the details of a NAT address. **Note:** Not supported for Apigee hybrid.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1NatAddress" }, "id": "apigee.organizations.instances.natAddresses.get", "parameters": { "name": { "type": "string", "required": true, "description": "Required. Name of the nat address. Use the following structure in your request: `organizations/{org}/instances/{instances}/natAddresses/{nataddress}`", "location": "path", "pattern": "^organizations/[^/]+/instances/[^/]+/natAddresses/[^/]+$" } }, "httpMethod": "GET", "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/natAddresses/{natAddressesId}" }, "delete": { "id": "apigee.organizations.instances.natAddresses.delete", "path": "v1/{+name}", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes the NAT address. Connections that are actively using the address are drained before it is removed. **Note:** Not supported for Apigee hybrid.", "parameters": { "name": { "type": "string", "pattern": "^organizations/[^/]+/instances/[^/]+/natAddresses/[^/]+$", "location": "path", "required": true, "description": "Required. Name of the nat address. Use the following structure in your request: `organizations/{org}/instances/{instances}/natAddresses/{nataddress}``" } }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/natAddresses/{natAddressesId}" } } }, "attachments": { "methods": { "delete": { "description": "Deletes an attachment. **Note:** Not supported for Apigee hybrid.", "id": "apigee.organizations.instances.attachments.delete", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. Name of the attachment. Use the following structure in your request: `organizations/{org}/instances/{instance}/attachments/{attachment}`.", "pattern": "^organizations/[^/]+/instances/[^/]+/attachments/[^/]+$" } }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/attachments/{attachmentsId}" }, "create": { "path": "v1/{+parent}/attachments", "parameters": { "parent": { "location": "path", "type": "string", "description": "Required. Name of the instance. Use the following structure in your request: `organizations/{org}/instances/{instance}`.", "required": true, "pattern": "^organizations/[^/]+/instances/[^/]+$" } }, "description": "Creates a new attachment of an environment to an instance. **Note:** Not supported for Apigee hybrid.", "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/attachments", "request": { "$ref": "GoogleCloudApigeeV1InstanceAttachment" }, "httpMethod": "POST", "id": "apigee.organizations.instances.attachments.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleLongrunningOperation" } }, "list": { "path": "v1/{+parent}/attachments", "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/attachments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "type": "string", "description": "Page token, returned by a previous ListInstanceAttachments call, that you can use to retrieve the next page of content.", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Maximum number of instance attachments to return. Defaults to 25." }, "parent": { "description": "Required. Name of the organization. Use the following structure in your request: `organizations/{org}/instances/{instance}`", "pattern": "^organizations/[^/]+/instances/[^/]+$", "required": true, "type": "string", "location": "path" } }, "id": "apigee.organizations.instances.attachments.list", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1ListInstanceAttachmentsResponse" }, "description": "Lists all attachments to an instance. **Note:** Not supported for Apigee hybrid.", "httpMethod": "GET" }, "get": { "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Gets an attachment. **Note:** Not supported for Apigee hybrid.", "parameters": { "name": { "type": "string", "required": true, "description": "Required. Name of the attachment. Use the following structure in your request: `organizations/{org}/instances/{instance}/attachments/{attachment}`", "location": "path", "pattern": "^organizations/[^/]+/instances/[^/]+/attachments/[^/]+$" } }, "id": "apigee.organizations.instances.attachments.get", "response": { "$ref": "GoogleCloudApigeeV1InstanceAttachment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/attachments/{attachmentsId}" } } }, "canaryevaluations": { "methods": { "get": { "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/canaryevaluations/{canaryevaluationsId}", "httpMethod": "GET", "description": "Gets a CanaryEvaluation for an organization.", "path": "v1/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^organizations/[^/]+/instances/[^/]+/canaryevaluations/[^/]+$", "description": "Required. Name of the CanaryEvaluation. Use the following structure in your request: `organizations/{org}/instances/*/canaryevaluations/{evaluation}`" } }, "id": "apigee.organizations.instances.canaryevaluations.get", "response": { "$ref": "GoogleCloudApigeeV1CanaryEvaluation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}/canaryevaluations", "parameterOrder": [ "parent" ], "description": "Creates a new canary evaluation for an organization.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1CanaryEvaluation" }, "parameters": { "parent": { "type": "string", "location": "path", "required": true, "pattern": "^organizations/[^/]+/instances/[^/]+$", "description": "Required. Name of the organization. Use the following structure in your request: `organizations/{org}/instances/{instance}`." } }, "id": "apigee.organizations.instances.canaryevaluations.create", "path": "v1/{+parent}/canaryevaluations" } } } }, "methods": { "get": { "response": { "$ref": "GoogleCloudApigeeV1Instance" }, "path": "v1/{+name}", "id": "apigee.organizations.instances.get", "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^organizations/[^/]+/instances/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. Name of the instance. Use the following structure in your request: `organizations/{org}/instances/{instance}`." } }, "httpMethod": "GET", "description": "Gets the details for an Apigee runtime instance. **Note:** Not supported for Apigee hybrid.", "parameterOrder": [ "name" ] }, "patch": { "request": { "$ref": "GoogleCloudApigeeV1Instance" }, "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.instances.patch", "description": "Updates an Apigee runtime instance. You can update the fields described in NodeConfig. No other fields will be updated. **Note:** Not supported for Apigee hybrid.", "path": "v1/{+name}", "httpMethod": "PATCH", "parameters": { "updateMask": { "location": "query", "type": "string", "description": "List of fields to be updated.", "format": "google-fieldmask" }, "name": { "type": "string", "location": "path", "required": true, "pattern": "^organizations/[^/]+/instances/[^/]+$", "description": "Required. Name of the instance. Use the following structure in your request: `organizations/{org}/instances/{instance}`." } } }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.instances.create", "path": "v1/{+parent}/instances", "parameters": { "parent": { "pattern": "^organizations/[^/]+$", "location": "path", "description": "Required. Name of the organization. Use the following structure in your request: `organizations/{org}`.", "type": "string", "required": true } }, "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "description": "Creates an Apigee runtime instance. The instance is accessible from the authorized network configured on the organization. **Note:** Not supported for Apigee hybrid.", "flatPath": "v1/organizations/{organizationsId}/instances", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudApigeeV1Instance" } }, "delete": { "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "id": "apigee.organizations.instances.delete", "description": "Deletes an Apigee runtime instance. The instance stops serving requests and the runtime data is deleted. **Note:** Not supported for Apigee hybrid.", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "description": "Required. Name of the instance. Use the following structure in your request: `organizations/{org}/instances/{instance}`.", "type": "string", "pattern": "^organizations/[^/]+/instances/[^/]+$", "location": "path" } }, "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}", "parameterOrder": [ "name" ] }, "list": { "httpMethod": "GET", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1ListInstancesResponse" }, "id": "apigee.organizations.instances.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/instances", "description": "Lists all Apigee runtime instances for the organization. **Note:** Not supported for Apigee hybrid.", "flatPath": "v1/organizations/{organizationsId}/instances", "parameters": { "parent": { "pattern": "^organizations/[^/]+$", "location": "path", "type": "string", "description": "Required. Name of the organization. Use the following structure in your request: `organizations/{org}`.", "required": true }, "pageSize": { "type": "integer", "format": "int32", "description": "Maximum number of instances to return. Defaults to 25.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Page token, returned from a previous ListInstances call, that you can use to retrieve the next page of content." } } }, "reportStatus": { "flatPath": "v1/organizations/{organizationsId}/instances/{instancesId}:reportStatus", "id": "apigee.organizations.instances.reportStatus", "path": "v1/{+instance}:reportStatus", "description": "Reports the latest status for a runtime instance.", "httpMethod": "POST", "response": { "$ref": "GoogleCloudApigeeV1ReportInstanceStatusResponse" }, "request": { "$ref": "GoogleCloudApigeeV1ReportInstanceStatusRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "instance" ], "parameters": { "instance": { "location": "path", "type": "string", "description": "The name of the instance reporting this status. For SaaS the request will be rejected if no instance exists under this name. Format is organizations/{org}/instances/{instance}", "pattern": "^organizations/[^/]+/instances/[^/]+$", "required": true } } } } }, "hostSecurityReports": { "methods": { "getResult": { "parameterOrder": [ "name" ], "id": "apigee.organizations.hostSecurityReports.getResult", "description": "After the query is completed, use this API to retrieve the results. If the request succeeds, and there is a non-zero result set, the result is downloaded to the client as a zipped JSON file. The name of the downloaded file will be: OfflineQueryResult-.zip Example: `OfflineQueryResult-9cfc0d85-0f30-46d6-ae6f-318d0cb961bd.zip`", "httpMethod": "GET", "response": { "$ref": "GoogleApiHttpBody" }, "flatPath": "v1/organizations/{organizationsId}/hostSecurityReports/{hostSecurityReportsId}/result", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^organizations/[^/]+/hostSecurityReports/[^/]+/result$", "description": "Required. Name of the security report result to get. Must be of the form `organizations/{org}/securityReports/{reportId}/result`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}" }, "getResultView": { "parameters": { "name": { "pattern": "^organizations/[^/]+/hostSecurityReports/[^/]+/resultView$", "location": "path", "type": "string", "description": "Required. Name of the security report result view to get. Must be of the form `organizations/{org}/securityReports/{reportId}/resultView`.", "required": true } }, "parameterOrder": [ "name" ], "description": "After the query is completed, use this API to view the query result when result size is small.", "path": "v1/{+name}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/hostSecurityReports/{hostSecurityReportsId}/resultView", "response": { "$ref": "GoogleCloudApigeeV1SecurityReportResultView" }, "id": "apigee.organizations.hostSecurityReports.getResultView" }, "get": { "parameters": { "name": { "type": "string", "pattern": "^organizations/[^/]+/hostSecurityReports/[^/]+$", "description": "Required. Name of the security report to get. Must be of the form `organizations/{org}/securityReports/{reportId}`.", "location": "path", "required": true } }, "parameterOrder": [ "name" ], "id": "apigee.organizations.hostSecurityReports.get", "httpMethod": "GET", "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1SecurityReport" }, "description": "Get status of a query submitted at host level. If the query is still in progress, the `state` is set to \"running\" After the query has completed successfully, `state` is set to \"completed\"", "flatPath": "v1/organizations/{organizationsId}/hostSecurityReports/{hostSecurityReportsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1/{+parent}/hostSecurityReports", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1ListSecurityReportsResponse" }, "flatPath": "v1/organizations/{organizationsId}/hostSecurityReports", "description": "Return a list of Security Reports at host level.", "id": "apigee.organizations.hostSecurityReports.list", "parameters": { "status": { "location": "query", "type": "string", "description": "Filter response list by security report status." }, "submittedBy": { "description": "Filter response list by user who submitted queries.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "description": "The maximum number of security report to return in the list response.", "type": "integer", "location": "query" }, "envgroupHostname": { "location": "query", "type": "string", "description": "Required. Filter response list by hostname." }, "from": { "description": "Filter response list by returning security reports that created after this date time. Time must be in ISO date-time format like '2011-12-03T10:15:30Z'.", "type": "string", "location": "query" }, "pageToken": { "description": "Token returned from the previous list response to fetch the next page.", "type": "string", "location": "query" }, "parent": { "type": "string", "location": "path", "description": "Required. The parent resource name. Must be of the form `organizations/{org}`.", "pattern": "^organizations/[^/]+$", "required": true }, "dataset": { "description": "Filter response list by dataset. Example: `api`, `mint`", "location": "query", "type": "string" }, "to": { "location": "query", "type": "string", "description": "Filter response list by returning security reports that created before this date time. Time must be in ISO date-time format like '2011-12-03T10:16:30Z'." } } }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "type": "string", "description": "Required. The parent resource name. Must be of the form `organizations/{org}`.", "required": true, "pattern": "^organizations/[^/]+$", "location": "path" } }, "path": "v1/{+parent}/hostSecurityReports", "flatPath": "v1/organizations/{organizationsId}/hostSecurityReports", "httpMethod": "POST", "parameterOrder": [ "parent" ], "description": "Submit a query at host level to be processed in the background. If the submission of the query succeeds, the API returns a 201 status and an ID that refer to the query. In addition to the HTTP status 201, the `state` of \"enqueued\" means that the request succeeded.", "request": { "$ref": "GoogleCloudApigeeV1SecurityReportQuery" }, "response": { "$ref": "GoogleCloudApigeeV1SecurityReport" }, "id": "apigee.organizations.hostSecurityReports.create" } } }, "hostStats": { "methods": { "get": { "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1Stats" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "timeUnit": { "location": "query", "description": "Granularity of metrics returned. Valid values include: `second`, `minute`, `hour`, `day`, `week`, or `month`.", "type": "string" }, "offset": { "description": "Offset value. Use `offset` with `limit` to enable pagination of results. For example, to display results 11-20, set limit to `10` and offset to `10`.", "location": "query", "type": "string" }, "timeRange": { "type": "string", "location": "query", "description": "Time interval for the interactive query. Time range is specified in GMT as `start~end`. For example: `04/15/2017 00:00~05/15/2017 23:59`" }, "topk": { "type": "string", "location": "query", "description": "Top number of results to return. For example, to return the top 5 results, set `topk=5`." }, "name": { "type": "string", "required": true, "description": "Required. Resource name for which the interactive query will be executed. Use the following format in your request: `organizations/{org}/hostStats/{dimensions}` Dimensions let you view metrics in meaningful groupings, such as `apiproxy`, `target_host`. The value of dimensions should be a comma-separated list as shown below `organizations/{org}/hostStats/apiproxy,request_verb`", "location": "path", "pattern": "^organizations/[^/]+/hostStats/.*$" }, "select": { "description": "Comma-separated list of metrics. For example: `sum(message_count),sum(error_count)`", "type": "string", "location": "query" }, "accuracy": { "type": "string", "location": "query", "description": "No longer used by Apigee. Supported for backwards compatibility." }, "limit": { "type": "string", "location": "query", "description": "Maximum number of result items to return. The default and maximum value that can be returned is 14400." }, "tzo": { "location": "query", "description": "Timezone offset value.", "type": "string" }, "realtime": { "location": "query", "description": "No longer used by Apigee. Supported for backwards compatibility.", "type": "boolean" }, "filter": { "description": "Flag that enables drill-down on specific dimension values.", "type": "string", "location": "query" }, "tsAscending": { "type": "boolean", "description": "Flag that specifies whether to list timestamps in ascending (`true`) or descending (`false`) order. Apigee recommends that you set this value to `true` if you are using `sortby` with `sort=DESC`.", "location": "query" }, "envgroupHostname": { "description": "Required. Hostname for which the interactive query will be executed.", "location": "query", "type": "string" }, "sort": { "location": "query", "type": "string", "description": "Flag that specifies if the sort order should be ascending or descending. Valid values are `DESC` and `ASC`." }, "sortby": { "type": "string", "location": "query", "description": "Comma-separated list of columns to sort the final result." } }, "flatPath": "v1/organizations/{organizationsId}/hostStats/{hostStatsId}", "parameterOrder": [ "name" ], "description": "Retrieve metrics grouped by dimensions in host level. The types of metrics you can retrieve include traffic, message counts, API call latency, response size, and cache hits and counts. Dimensions let you view metrics in meaningful groups. You can optionally pass dimensions as path parameters to the `stats` API. If dimensions are not specified, the metrics are computed on the entire set of data for the given time range.", "httpMethod": "GET", "id": "apigee.organizations.hostStats.get" } } }, "deployments": { "methods": { "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/deployments", "path": "v1/{+parent}/deployments", "response": { "$ref": "GoogleCloudApigeeV1ListDeploymentsResponse" }, "parameters": { "sharedFlows": { "location": "query", "description": "Optional. Flag that specifies whether to return shared flow or API proxy deployments. Set to `true` to return shared flow deployments; set to `false` to return API proxy deployments. Defaults to `false`.", "type": "boolean" }, "parent": { "required": true, "pattern": "^organizations/[^/]+$", "type": "string", "location": "path", "description": "Required. Name of the organization for which to return deployment information in the following format: `organizations/{org}`" } }, "description": "Lists all deployments of API proxies or shared flows.", "id": "apigee.organizations.deployments.list" } } }, "analytics": { "resources": { "datastores": { "methods": { "update": { "parameters": { "name": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/analytics/datastores/[^/]+$", "description": "Required. The resource name of datastore to be updated. Must be of the form `organizations/{org}/analytics/datastores/{datastoreId}`", "location": "path" } }, "httpMethod": "PUT", "id": "apigee.organizations.analytics.datastores.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1Datastore" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1Datastore" }, "description": "Update a Datastore", "flatPath": "v1/organizations/{organizationsId}/analytics/datastores/{datastoresId}" }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v1/{+name}", "description": "Delete a Datastore from an org.", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^organizations/[^/]+/analytics/datastores/[^/]+$", "description": "Required. Resource name of the Datastore to be deleted. Must be of the form `organizations/{org}/analytics/datastores/{datastoreId}`", "required": true } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/analytics/datastores/{datastoresId}", "id": "apigee.organizations.analytics.datastores.delete" }, "list": { "response": { "$ref": "GoogleCloudApigeeV1ListDatastoresResponse" }, "path": "v1/{+parent}/analytics/datastores", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/analytics/datastores", "description": "List Datastores", "id": "apigee.organizations.analytics.datastores.list", "parameterOrder": [ "parent" ], "parameters": { "parent": { "description": "Required. The parent organization name. Must be of the form `organizations/{org}`.", "pattern": "^organizations/[^/]+$", "type": "string", "required": true, "location": "path" }, "targetType": { "type": "string", "location": "query", "description": "Optional. TargetType is used to fetch all Datastores that match the type" } } }, "create": { "id": "apigee.organizations.analytics.datastores.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/analytics/datastores", "response": { "$ref": "GoogleCloudApigeeV1Datastore" }, "description": "Create a Datastore for an org", "flatPath": "v1/organizations/{organizationsId}/analytics/datastores", "request": { "$ref": "GoogleCloudApigeeV1Datastore" }, "parameters": { "parent": { "required": true, "description": "Required. The parent organization name. Must be of the form `organizations/{org}`.", "location": "path", "pattern": "^organizations/[^/]+$", "type": "string" } } }, "get": { "parameters": { "name": { "pattern": "^organizations/[^/]+/analytics/datastores/[^/]+$", "type": "string", "description": "Required. Resource name of the Datastore to be get. Must be of the form `organizations/{org}/analytics/datastores/{datastoreId}`", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Get a Datastore", "response": { "$ref": "GoogleCloudApigeeV1Datastore" }, "flatPath": "v1/organizations/{organizationsId}/analytics/datastores/{datastoresId}", "id": "apigee.organizations.analytics.datastores.get", "httpMethod": "GET" }, "test": { "path": "v1/{+parent}/analytics/datastores:test", "flatPath": "v1/organizations/{organizationsId}/analytics/datastores:test", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1TestDatastoreResponse" }, "description": "Test if Datastore configuration is correct. This includes checking if credentials provided by customer have required permissions in target destination storage", "id": "apigee.organizations.analytics.datastores.test", "parameters": { "parent": { "description": "Required. The parent organization name Must be of the form `organizations/{org}`", "pattern": "^organizations/[^/]+$", "required": true, "type": "string", "location": "path" } }, "request": { "$ref": "GoogleCloudApigeeV1Datastore" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "sites": { "resources": { "apicategories": { "methods": { "create": { "description": "Creates a new category on the portal.", "parameters": { "parent": { "description": "Required. Name of the portal. Use the following structure in your request: `organizations/{org}/sites/{site}`", "type": "string", "location": "path", "required": true, "pattern": "^organizations/[^/]+/sites/[^/]+$" } }, "flatPath": "v1/organizations/{organizationsId}/sites/{sitesId}/apicategories", "response": { "$ref": "GoogleCloudApigeeV1ApiCategory" }, "request": { "$ref": "GoogleCloudApigeeV1ApiCategoryData" }, "path": "v1/{+parent}/apicategories", "parameterOrder": [ "parent" ], "id": "apigee.organizations.sites.apicategories.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "list": { "response": { "$ref": "GoogleCloudApigeeV1ListApiCategoriesResponse" }, "httpMethod": "GET", "id": "apigee.organizations.sites.apicategories.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/sites/{sitesId}/apicategories", "description": "Lists the categories on the portal.", "parameterOrder": [ "parent" ], "parameters": { "parent": { "description": "Required. Name of the portal. Use the following structure in your request: `organizations/{org}/sites/{site}`", "location": "path", "type": "string", "required": true, "pattern": "^organizations/[^/]+/sites/[^/]+$" } }, "path": "v1/{+parent}/apicategories" }, "delete": { "description": "Deletes a category from the portal.", "flatPath": "v1/organizations/{organizationsId}/sites/{sitesId}/apicategories/{apicategoriesId}", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^organizations/[^/]+/sites/[^/]+/apicategories/[^/]+$", "description": "Required. Name of the category. Use the following structure in your request: `organizations/{org}/sites/{site}/apicategories/{apicategory}`" } }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.sites.apicategories.delete", "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1ApiResponseWrapper" } }, "get": { "flatPath": "v1/organizations/{organizationsId}/sites/{sitesId}/apicategories/{apicategoriesId}", "id": "apigee.organizations.sites.apicategories.get", "response": { "$ref": "GoogleCloudApigeeV1ApiCategory" }, "description": "Gets a category on the portal.", "httpMethod": "GET", "parameters": { "name": { "pattern": "^organizations/[^/]+/sites/[^/]+/apicategories/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. Name of the category. Use the following structure in your request: `organizations/{org}/sites/{site}/apicategories/{apicategory}`" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameterOrder": [ "name" ] }, "patch": { "request": { "$ref": "GoogleCloudApigeeV1ApiCategoryData" }, "parameters": { "name": { "pattern": "^organizations/[^/]+/sites/[^/]+/apicategories/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. Name of the category. Use the following structure in your request: `organizations/{org}/sites/{site}/apicategories/{apicategory}`" } }, "flatPath": "v1/organizations/{organizationsId}/sites/{sitesId}/apicategories/{apicategoriesId}", "path": "v1/{+name}", "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudApigeeV1ApiCategory" }, "description": "Updates a category on the portal.", "parameterOrder": [ "name" ], "id": "apigee.organizations.sites.apicategories.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "securityProfiles": { "resources": { "environments": { "methods": { "delete": { "parameters": { "name": { "required": true, "location": "path", "description": "Required. The name of the environment attachment to delete. Format: organizations/{org}/securityProfiles/{profile}/environments/{env}", "type": "string", "pattern": "^organizations/[^/]+/securityProfiles/[^/]+/environments/[^/]+$" } }, "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" }, "id": "apigee.organizations.securityProfiles.environments.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/securityProfiles/{securityProfilesId}/environments/{environmentsId}", "parameterOrder": [ "name" ], "description": "DeleteSecurityProfileEnvironmentAssociation removes profile environment association i.e. detaches environment from security profile.", "path": "v1/{+name}" }, "create": { "description": "CreateSecurityProfileEnvironmentAssociation creates profile environment association i.e. attaches environment to security profile.", "path": "v1/{+parent}/environments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "pattern": "^organizations/[^/]+/securityProfiles/[^/]+$", "type": "string", "description": "Required. Name of organization and security profile ID. Format: organizations/{org}/securityProfiles/{profile}", "required": true, "location": "path" } }, "response": { "$ref": "GoogleCloudApigeeV1SecurityProfileEnvironmentAssociation" }, "id": "apigee.organizations.securityProfiles.environments.create", "httpMethod": "POST", "request": { "$ref": "GoogleCloudApigeeV1SecurityProfileEnvironmentAssociation" }, "flatPath": "v1/organizations/{organizationsId}/securityProfiles/{securityProfilesId}/environments", "parameterOrder": [ "parent" ] }, "computeEnvironmentScores": { "parameterOrder": [ "profileEnvironment" ], "response": { "$ref": "GoogleCloudApigeeV1ComputeEnvironmentScoresResponse" }, "description": "ComputeEnvironmentScores calculates scores for requested time range for the specified security profile and environment.", "httpMethod": "POST", "path": "v1/{+profileEnvironment}:computeEnvironmentScores", "flatPath": "v1/organizations/{organizationsId}/securityProfiles/{securityProfilesId}/environments/{environmentsId}:computeEnvironmentScores", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "profileEnvironment": { "location": "path", "description": "Required. Name of organization and environment and profile id for which score needs to be computed. Format: organizations/{org}/securityProfiles/{profile}/environments/{env}", "type": "string", "required": true, "pattern": "^organizations/[^/]+/securityProfiles/[^/]+/environments/[^/]+$" } }, "request": { "$ref": "GoogleCloudApigeeV1ComputeEnvironmentScoresRequest" }, "id": "apigee.organizations.securityProfiles.environments.computeEnvironmentScores" } } } }, "methods": { "listRevisions": { "parameters": { "pageToken": { "description": "A page token, received from a previous `ListSecurityProfileRevisions` call. Provide this to retrieve the subsequent page.", "type": "string", "location": "query" }, "pageSize": { "description": "The maximum number of profile revisions to return. The service may return fewer than this value. If unspecified, at most 50 revisions will be returned.", "type": "integer", "location": "query", "format": "int32" }, "name": { "type": "string", "required": true, "description": "Required. For a specific profile, list all the revisions. Format: `organizations/{org}/securityProfiles/{profile}`", "location": "path", "pattern": "^organizations/[^/]+/securityProfiles/[^/]+$" } }, "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/securityProfiles/{securityProfilesId}:listRevisions", "path": "v1/{+name}:listRevisions", "description": "ListSecurityProfileRevisions lists all the revisions of the security profile.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1ListSecurityProfileRevisionsResponse" }, "id": "apigee.organizations.securityProfiles.listRevisions" }, "get": { "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1SecurityProfile" }, "parameters": { "name": { "pattern": "^organizations/[^/]+/securityProfiles/[^/]+$", "location": "path", "description": "Required. Security profile in the following format: `organizations/{org}/securityProfiles/{profile}'. Profile may optionally contain revision ID. If revision ID is not provided, the response will contain latest revision by default. Example: organizations/testOrg/securityProfiles/testProfile@5", "type": "string", "required": true } }, "description": "GetSecurityProfile gets the specified security profile. Returns NOT_FOUND if security profile is not present for the specified organization.", "flatPath": "v1/organizations/{organizationsId}/securityProfiles/{securityProfilesId}", "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "apigee.organizations.securityProfiles.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameters": { "pageSize": { "description": "The maximum number of profiles to return. The service may return fewer than this value. If unspecified, at most 50 profiles will be returned.", "type": "integer", "location": "query", "format": "int32" }, "parent": { "type": "string", "location": "path", "pattern": "^organizations/[^/]+$", "description": "Required. For a specific organization, list of all the security profiles. Format: `organizations/{org}`", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "A page token, received from a previous `ListSecurityProfiles` call. Provide this to retrieve the subsequent page." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/securityProfiles", "response": { "$ref": "GoogleCloudApigeeV1ListSecurityProfilesResponse" }, "description": "ListSecurityProfiles lists all the security profiles associated with the org including attached and unattached profiles.", "httpMethod": "GET", "id": "apigee.organizations.securityProfiles.list", "path": "v1/{+parent}/securityProfiles" } } }, "apiproducts": { "methods": { "get": { "response": { "$ref": "GoogleCloudApigeeV1ApiProduct" }, "id": "apigee.organizations.apiproducts.get", "description": "Gets configuration details for an API product. The API product name required in the request URL is the internal name of the product, not the display name. While they may be the same, it depends on whether the API product was created via the UI or the API. View the list of API products to verify the internal name.", "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}", "path": "v1/{+name}", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. Name of the API product. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}`", "required": true, "pattern": "^organizations/[^/]+/apiproducts/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ] }, "attributes": { "id": "apigee.organizations.apiproducts.attributes", "path": "v1/{+name}/attributes", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates or creates API product attributes. This API **replaces** the current list of attributes with the attributes specified in the request body. In this way, you can update existing attributes, add new attributes, or delete existing attributes by omitting them from the request body. **Note**: OAuth access tokens and Key Management Service (KMS) entities (apps, developers, and API products) are cached for 180 seconds (current default). Any custom attributes associated with entities also get cached for at least 180 seconds after entity is accessed during runtime. In this case, the `ExpiresIn` element on the OAuthV2 policy won't be able to expire an access token in less than 180 seconds.", "httpMethod": "POST", "request": { "$ref": "GoogleCloudApigeeV1Attributes" }, "response": { "$ref": "GoogleCloudApigeeV1Attributes" }, "parameters": { "name": { "location": "path", "description": "Required. Name of the API product. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}`", "pattern": "^organizations/[^/]+/apiproducts/[^/]+$", "required": true, "type": "string" } }, "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}/attributes" }, "list": { "description": "Lists all API product names for an organization. Filter the list by passing an `attributename` and `attibutevalue`. The maximum number of API products returned is 1000. You can paginate the list of API products returned using the `startKey` and `count` query parameters.", "response": { "$ref": "GoogleCloudApigeeV1ListApiProductsResponse" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/apiproducts", "flatPath": "v1/organizations/{organizationsId}/apiproducts", "id": "apigee.organizations.apiproducts.list", "parameters": { "attributevalue": { "location": "query", "description": "Value of the attribute used to filter the search.", "type": "string" }, "attributename": { "description": "Name of the attribute used to filter the search.", "type": "string", "location": "query" }, "expand": { "location": "query", "description": "Flag that specifies whether to expand the results. Set to `true` to get expanded details about each API.", "type": "boolean" }, "count": { "description": "Enter the number of API products you want returned in the API call. The limit is 1000.", "type": "string", "location": "query", "format": "int64" }, "startKey": { "description": "Gets a list of API products starting with a specific API product in the list. For example, if you're returning 50 API products at a time (using the `count` query parameter), you can view products 50-99 by entering the name of the 50th API product in the first API (without using `startKey`). Product name is case sensitive.", "location": "query", "type": "string" }, "parent": { "type": "string", "pattern": "^organizations/[^/]+$", "location": "path", "required": true, "description": "Required. Name of the organization. Use the following structure in your request: `organizations/{org}`" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "httpMethod": "POST", "response": { "$ref": "GoogleCloudApigeeV1ApiProduct" }, "id": "apigee.organizations.apiproducts.create", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudApigeeV1ApiProduct" }, "parameters": { "parent": { "required": true, "location": "path", "type": "string", "pattern": "^organizations/[^/]+$", "description": "Required. Name of the organization in which the API product will be created. Use the following structure in your request: `organizations/{org}`" } }, "path": "v1/{+parent}/apiproducts", "flatPath": "v1/organizations/{organizationsId}/apiproducts", "description": "Creates an API product in an organization. You create API products after you have proxied backend services using API proxies. An API product is a collection of API resources combined with quota settings and metadata that you can use to deliver customized and productized API bundles to your developer community. This metadata can include: - Scope - Environments - API proxies - Extensible profile API products enable you repackage APIs on the fly, without having to do any additional coding or configuration. Apigee recommends that you start with a simple API product including only required elements. You then provision credentials to apps to enable them to start testing your APIs. After you have authentication and authorization working against a simple API product, you can iterate to create finer-grained API products, defining different sets of API resources for each API product. **WARNING:** - If you don't specify an API proxy in the request body, *any* app associated with the product can make calls to *any* API in your entire organization. - If you don't specify an environment in the request body, the product allows access to all environments. For more information, see What is an API product?", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameters": { "name": { "type": "string", "description": "Required. Name of the API product. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}`", "pattern": "^organizations/[^/]+/apiproducts/[^/]+$", "location": "path", "required": true } }, "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1ApiProduct" }, "httpMethod": "DELETE", "description": "Deletes an API product from an organization. Deleting an API product causes app requests to the resource URIs defined in the API product to fail. Ensure that you create a new API product to serve existing apps, unless your intention is to disable access to the resources defined in the API product. The API product name required in the request URL is the internal name of the product, not the display name. While they may be the same, it depends on whether the API product was created via the UI or the API. View the list of API products to verify the internal name.", "id": "apigee.organizations.apiproducts.delete", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "update": { "parameters": { "name": { "type": "string", "description": "Required. Name of the API product. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}`", "location": "path", "required": true, "pattern": "^organizations/[^/]+/apiproducts/[^/]+$" } }, "id": "apigee.organizations.apiproducts.update", "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}", "httpMethod": "PUT", "description": "Updates an existing API product. You must include all required values, whether or not you are updating them, as well as any optional values that you are updating. The API product name required in the request URL is the internal name of the product, not the display name. While they may be the same, it depends on whether the API product was created via UI or API. View the list of API products to identify their internal names.", "request": { "$ref": "GoogleCloudApigeeV1ApiProduct" }, "response": { "$ref": "GoogleCloudApigeeV1ApiProduct" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "attributes": { "methods": { "delete": { "id": "apigee.organizations.apiproducts.attributes.delete", "response": { "$ref": "GoogleCloudApigeeV1Attribute" }, "description": "Deletes an API product attribute.", "httpMethod": "DELETE", "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}/attributes/{attributesId}", "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Required. Name of the API product attribute. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}/attributes/{attribute}`", "type": "string", "location": "path", "pattern": "^organizations/[^/]+/apiproducts/[^/]+/attributes/[^/]+$" } } }, "list": { "description": "Lists all API product attributes.", "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}/attributes", "id": "apigee.organizations.apiproducts.attributes.list", "httpMethod": "GET", "response": { "$ref": "GoogleCloudApigeeV1Attributes" }, "path": "v1/{+parent}/attributes", "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "type": "string", "description": "Required. Name of the API product. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}`", "required": true, "pattern": "^organizations/[^/]+/apiproducts/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}/attributes/{attributesId}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1Attribute" }, "id": "apigee.organizations.apiproducts.attributes.get", "path": "v1/{+name}", "description": "Gets the value of an API product attribute.", "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+/apiproducts/[^/]+/attributes/[^/]+$", "location": "path", "description": "Required. Name of the API product attribute. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}/attributes/{attribute}`", "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "updateApiProductAttribute": { "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1Attribute" }, "path": "v1/{+name}", "description": "Updates the value of an API product attribute. **Note**: OAuth access tokens and Key Management Service (KMS) entities (apps, developers, and API products) are cached for 180 seconds (current default). Any custom attributes associated with entities also get cached for at least 180 seconds after entity is accessed during runtime. In this case, the `ExpiresIn` element on the OAuthV2 policy won't be able to expire an access token in less than 180 seconds.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1Attribute" }, "parameters": { "name": { "pattern": "^organizations/[^/]+/apiproducts/[^/]+/attributes/[^/]+$", "location": "path", "type": "string", "description": "Required. Name of the API product. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}`", "required": true } }, "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}/attributes/{attributesId}", "id": "apigee.organizations.apiproducts.attributes.updateApiProductAttribute", "httpMethod": "POST" } } }, "rateplans": { "methods": { "create": { "response": { "$ref": "GoogleCloudApigeeV1RatePlan" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}/rateplans", "request": { "$ref": "GoogleCloudApigeeV1RatePlan" }, "parameterOrder": [ "parent" ], "id": "apigee.organizations.apiproducts.rateplans.create", "httpMethod": "POST", "description": "Create a rate plan that is associated with an API product in an organization. Using rate plans, API product owners can monetize their API products by configuring one or more of the following: - Billing frequency - Initial setup fees for using an API product - Payment funding model (postpaid only) - Fixed recurring or consumption-based charges for using an API product - Revenue sharing with developer partners An API product can have multiple rate plans associated with it but *only one* rate plan can be active at any point of time. **Note: From the developer's perspective, they purchase API products not rate plans.", "parameters": { "parent": { "required": true, "location": "path", "description": "Required. Name of the API product that is associated with the rate plan. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}`", "type": "string", "pattern": "^organizations/[^/]+/apiproducts/[^/]+$" } }, "path": "v1/{+parent}/rateplans" }, "get": { "response": { "$ref": "GoogleCloudApigeeV1RatePlan" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the details of a rate plan.", "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}/rateplans/{rateplansId}", "httpMethod": "GET", "id": "apigee.organizations.apiproducts.rateplans.get", "parameters": { "name": { "type": "string", "pattern": "^organizations/[^/]+/apiproducts/[^/]+/rateplans/[^/]+$", "required": true, "location": "path", "description": "Required. Name of the rate plan. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}/rateplans/{rateplan}`" } } }, "delete": { "description": "Deletes a rate plan.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameters": { "name": { "required": true, "description": "Required. ID of the rate plan. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}/rateplans/{rateplan}`", "location": "path", "type": "string", "pattern": "^organizations/[^/]+/apiproducts/[^/]+/rateplans/[^/]+$" } }, "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}/rateplans/{rateplansId}", "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1RatePlan" }, "id": "apigee.organizations.apiproducts.rateplans.delete" }, "list": { "description": "Lists all the rate plans for an API product.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}/rateplans", "path": "v1/{+parent}/rateplans", "id": "apigee.organizations.apiproducts.rateplans.list", "response": { "$ref": "GoogleCloudApigeeV1ListRatePlansResponse" }, "parameters": { "orderBy": { "description": "Name of the attribute used for sorting. Valid values include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name`: Name of the rate plan. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state`: State of the rate plan (`DRAFT`, `PUBLISHED`). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `startTime`: Time when the rate plan becomes active. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `endTime`: Time when the rate plan expires. **Note**: Not supported by Apigee at this time.", "type": "string", "location": "query" }, "startKey": { "location": "query", "description": "Name of the rate plan from which to start displaying the list of rate plans. If omitted, the list starts from the first item. For example, to view the rate plans from 51-150, set the value of `startKey` to the name of the 51st rate plan and set the value of `count` to 100.", "type": "string" }, "expand": { "description": "Flag that specifies whether to expand the results. Set to `true` to get expanded details about each API. Defaults to `false`.", "location": "query", "type": "boolean" }, "parent": { "pattern": "^organizations/[^/]+/apiproducts/[^/]+$", "required": true, "type": "string", "description": "Required. Name of the API product. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}` Use `organizations/{org}/apiproducts/-` to return rate plans for all API products within the organization.", "location": "path" }, "state": { "enumDescriptions": [ "State of the rate plan is not specified.", "Rate plan is in draft mode and only visible to API providers.", "Rate plan is published and will become visible to developers for the configured duration (between `startTime` and `endTime`)." ], "enum": [ "STATE_UNSPECIFIED", "DRAFT", "PUBLISHED" ], "type": "string", "description": "State of the rate plans (`DRAFT`, `PUBLISHED`) that you want to display.", "location": "query" }, "count": { "type": "integer", "location": "query", "format": "int32", "description": "Number of rate plans to return in the API call. Use with the `startKey` parameter to provide more targeted filtering. The maximum limit is 1000. Defaults to 100." } } }, "update": { "request": { "$ref": "GoogleCloudApigeeV1RatePlan" }, "parameterOrder": [ "name" ], "id": "apigee.organizations.apiproducts.rateplans.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "PUT", "flatPath": "v1/organizations/{organizationsId}/apiproducts/{apiproductsId}/rateplans/{rateplansId}", "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+/apiproducts/[^/]+/rateplans/[^/]+$", "location": "path", "type": "string", "description": "Required. Name of the rate plan. Use the following structure in your request: `organizations/{org}/apiproducts/{apiproduct}/rateplans/{rateplan}`" } }, "description": "Updates an existing rate plan.", "response": { "$ref": "GoogleCloudApigeeV1RatePlan" } } } } } }, "sharedflows": { "methods": { "delete": { "id": "apigee.organizations.sharedflows.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1SharedFlow" }, "flatPath": "v1/organizations/{organizationsId}/sharedflows/{sharedflowsId}", "parameters": { "name": { "description": "Required. shared flow name of the form: `organizations/{organization_id}/sharedflows/{shared_flow_id}`", "pattern": "^organizations/[^/]+/sharedflows/[^/]+$", "type": "string", "required": true, "location": "path" } }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "description": "Deletes a shared flow and all it's revisions. The shared flow must be undeployed before you can delete it.", "path": "v1/{+name}" }, "get": { "parameterOrder": [ "name" ], "id": "apigee.organizations.sharedflows.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+name}", "description": "Gets a shared flow by name, including a list of its revisions.", "response": { "$ref": "GoogleCloudApigeeV1SharedFlow" }, "parameters": { "name": { "description": "Required. The name of the shared flow to get. Must be of the form: `organizations/{organization_id}/sharedflows/{shared_flow_id}`", "location": "path", "required": true, "type": "string", "pattern": "^organizations/[^/]+/sharedflows/[^/]+$" } }, "flatPath": "v1/organizations/{organizationsId}/sharedflows/{sharedflowsId}" }, "create": { "request": { "$ref": "GoogleApiHttpBody" }, "path": "v1/{+parent}/sharedflows", "parameters": { "name": { "type": "string", "description": "Required. The name to give the shared flow", "location": "query" }, "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The name of the parent organization under which to create the shared flow. Must be of the form: `organizations/{organization_id}`", "pattern": "^organizations/[^/]+$" }, "action": { "description": "Required. Must be set to either `import` or `validate`.", "location": "query", "type": "string" } }, "httpMethod": "POST", "response": { "$ref": "GoogleCloudApigeeV1SharedFlowRevision" }, "parameterOrder": [ "parent" ], "description": "Uploads a ZIP-formatted shared flow configuration bundle to an organization. If the shared flow already exists, this creates a new revision of it. If the shared flow does not exist, this creates it. Once imported, the shared flow revision must be deployed before it can be accessed at runtime. The size limit of a shared flow bundle is 15 MB.", "flatPath": "v1/organizations/{organizationsId}/sharedflows", "id": "apigee.organizations.sharedflows.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "httpMethod": "GET", "description": "Lists all shared flows in the organization.", "response": { "$ref": "GoogleCloudApigeeV1ListSharedFlowsResponse" }, "flatPath": "v1/organizations/{organizationsId}/sharedflows", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "location": "path", "pattern": "^organizations/[^/]+$", "type": "string", "description": "Required. The name of the parent organization under which to get shared flows. Must be of the form: `organizations/{organization_id}`" }, "includeMetaData": { "type": "boolean", "description": "Indicates whether to include shared flow metadata in the response.", "location": "query" }, "includeRevisions": { "location": "query", "description": "Indicates whether to include a list of revisions in the response.", "type": "boolean" } }, "id": "apigee.organizations.sharedflows.list", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/sharedflows" } }, "resources": { "revisions": { "methods": { "get": { "flatPath": "v1/organizations/{organizationsId}/sharedflows/{sharedflowsId}/revisions/{revisionsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleApiHttpBody" }, "description": "Gets a revision of a shared flow. To download the shared flow configuration bundle for the specified revision as a zip file, set the `format` query parameter to `bundle`. If you are using curl, specify `-o filename.zip` to save the output to a file; otherwise, it displays to `stdout`. Then, develop the shared flow configuration locally and upload the updated sharedFlow configuration revision, as described in [updateSharedFlowRevision](updateSharedFlowRevision).", "id": "apigee.organizations.sharedflows.revisions.get", "parameters": { "name": { "pattern": "^organizations/[^/]+/sharedflows/[^/]+/revisions/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. The name of the shared flow revision to get. Must be of the form: `organizations/{organization_id}/sharedflows/{shared_flow_id}/revisions/{revision_id}`" }, "format": { "location": "query", "description": "Specify `bundle` to export the contents of the shared flow bundle. Otherwise, the bundle metadata is returned.", "type": "string" } } }, "delete": { "id": "apigee.organizations.sharedflows.revisions.delete", "httpMethod": "DELETE", "response": { "$ref": "GoogleCloudApigeeV1SharedFlowRevision" }, "description": "Deletes a shared flow and all associated policies, resources, and revisions. You must undeploy the shared flow before deleting it.", "flatPath": "v1/organizations/{organizationsId}/sharedflows/{sharedflowsId}/revisions/{revisionsId}", "path": "v1/{+name}", "parameters": { "name": { "required": true, "description": "Required. The name of the shared flow revision to delete. Must be of the form: `organizations/{organization_id}/sharedflows/{shared_flow_id}/revisions/{revision_id}`", "type": "string", "pattern": "^organizations/[^/]+/sharedflows/[^/]+/revisions/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "updateSharedFlowRevision": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/sharedflows/{sharedflowsId}/revisions/{revisionsId}", "httpMethod": "POST", "description": "Updates a shared flow revision. This operation is only allowed on revisions which have never been deployed. After deployment a revision becomes immutable, even if it becomes undeployed. The payload is a ZIP-formatted shared flow. Content type must be either multipart/form-data or application/octet-stream.", "response": { "$ref": "GoogleCloudApigeeV1SharedFlowRevision" }, "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^organizations/[^/]+/sharedflows/[^/]+/revisions/[^/]+$", "description": "Required. The name of the shared flow revision to update. Must be of the form: `organizations/{organization_id}/sharedflows/{shared_flow_id}/revisions/{revision_id}`" }, "validate": { "description": "Ignored. All uploads are validated regardless of the value of this field. It is kept for compatibility with existing APIs. Must be `true` or `false` if provided.", "location": "query", "type": "boolean" } }, "path": "v1/{+name}", "id": "apigee.organizations.sharedflows.revisions.updateSharedFlowRevision", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleApiHttpBody" } } }, "resources": { "deployments": { "methods": { "list": { "flatPath": "v1/organizations/{organizationsId}/sharedflows/{sharedflowsId}/revisions/{revisionsId}/deployments", "response": { "$ref": "GoogleCloudApigeeV1ListDeploymentsResponse" }, "description": "Lists all deployments of a shared flow revision.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "description": "Required. Name of the API proxy revision for which to return deployment information in the following format: `organizations/{org}/sharedflows/{sharedflow}/revisions/{rev}`.", "type": "string", "required": true, "pattern": "^organizations/[^/]+/sharedflows/[^/]+/revisions/[^/]+$" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "id": "apigee.organizations.sharedflows.revisions.deployments.list", "path": "v1/{+parent}/deployments" } } } } }, "deployments": { "methods": { "list": { "httpMethod": "GET", "parameters": { "parent": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/sharedflows/[^/]+$", "location": "path", "description": "Required. Name of the shared flow for which to return deployment information in the following format: `organizations/{org}/sharedflows/{sharedflow}`" } }, "id": "apigee.organizations.sharedflows.deployments.list", "flatPath": "v1/organizations/{organizationsId}/sharedflows/{sharedflowsId}/deployments", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1ListDeploymentsResponse" }, "path": "v1/{+parent}/deployments", "description": "Lists all deployments of a shared flow.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "environments": { "methods": { "delete": { "id": "apigee.organizations.environments.delete", "parameters": { "name": { "description": "Required. Name of the environment. Use the following structure in your request: `organizations/{org}/environments/{env}`", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+$", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Deletes an environment from an organization. **Note**: You must delete all key value maps and key value entries before you can delete an environment.", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "DELETE", "path": "v1/{+name}" }, "getIamPolicy": { "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}:getIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "httpMethod": "GET", "description": "Gets the IAM policy on an environment. For more information, see [Manage users, roles, and permissions using the API](https://cloud.google.com/apigee/docs/api-platform/system-administration/manage-users-roles). You must have the `apigee.environments.getIamPolicy` permission to call this API.", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "resource": { "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+$", "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "id": "apigee.organizations.environments.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "path": "v1/{+resource}:setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "description": "Sets the IAM policy on an environment, if the policy already exists it will be replaced. For more information, see [Manage users, roles, and permissions using the API](https://cloud.google.com/apigee/docs/api-platform/system-administration/manage-users-roles). You must have the `apigee.environments.setIamPolicy` permission to call this API.", "httpMethod": "POST", "response": { "$ref": "GoogleIamV1Policy" }, "parameterOrder": [ "resource" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}:setIamPolicy", "id": "apigee.organizations.environments.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "pattern": "^organizations/[^/]+/environments/[^/]+$", "location": "path", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } } }, "updateEnvironment": { "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}", "id": "apigee.organizations.environments.updateEnvironment", "description": "Updates an existing environment. When updating properties, you must pass all existing properties to the API, even if they are not being changed. If you omit properties from the payload, the properties are removed. To get the current list of properties for the environment, use the [Get Environment API](get). **Note**: Both `PUT` and `POST` methods are supported for updating an existing environment.", "httpMethod": "POST", "response": { "$ref": "GoogleCloudApigeeV1Environment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. Name of the environment. Use the following structure in your request: `organizations/{org}/environments/{env}`", "required": true } }, "request": { "$ref": "GoogleCloudApigeeV1Environment" } }, "subscribe": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. Name of the environment. Use the following structure in your request: `organizations/{org}/environments/{env}`", "pattern": "^organizations/[^/]+/environments/[^/]+$", "required": true } }, "response": { "$ref": "GoogleCloudApigeeV1Subscription" }, "path": "v1/{+parent}:subscribe", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}:subscribe", "id": "apigee.organizations.environments.subscribe", "httpMethod": "POST", "description": "Creates a subscription for the environment's Pub/Sub topic. The server will assign a random name for this subscription. The \"name\" and \"push_config\" must *not* be specified." }, "get": { "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+$", "required": true, "description": "Required. Name of the environment. Use the following structure in your request: `organizations/{org}/environments/{env}`" } }, "id": "apigee.organizations.environments.get", "response": { "$ref": "GoogleCloudApigeeV1Environment" }, "description": "Gets environment details.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "updateTraceConfig": { "id": "apigee.organizations.environments.updateTraceConfig", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/traceConfig", "request": { "$ref": "GoogleCloudApigeeV1TraceConfig" }, "response": { "$ref": "GoogleCloudApigeeV1TraceConfig" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/traceConfig$", "description": "Required. Name of the trace configuration. Use the following structure in your request: \"organizations/*/environments/*/traceConfig\"." }, "updateMask": { "description": "List of fields to be updated.", "type": "string", "format": "google-fieldmask", "location": "query" } }, "description": "Updates the trace configurations in an environment. Note that the repeated fields have replace semantics when included in the field mask and that they will be overwritten by the value of the fields in the request body." }, "updateDebugmask": { "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/debugmask", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1DebugMask" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the debug mask singleton resource for an environment.", "httpMethod": "PATCH", "parameters": { "replaceRepeatedFields": { "type": "boolean", "location": "query", "description": "Boolean flag that specifies whether to replace existing values in the debug mask when doing an update. Set to true to replace existing values. The default behavior is to append the values (false)." }, "updateMask": { "description": "Field debug mask to support partial updates.", "type": "string", "location": "query", "format": "google-fieldmask" }, "name": { "pattern": "^organizations/[^/]+/environments/[^/]+/debugmask$", "description": "Name of the debug mask.", "required": true, "location": "path", "type": "string" } }, "request": { "$ref": "GoogleCloudApigeeV1DebugMask" }, "path": "v1/{+name}", "id": "apigee.organizations.environments.updateDebugmask" }, "create": { "request": { "$ref": "GoogleCloudApigeeV1Environment" }, "parameters": { "parent": { "pattern": "^organizations/[^/]+$", "type": "string", "required": true, "description": "Required. Name of the organization in which the environment will be created. Use the following structure in your request: `organizations/{org}`", "location": "path" }, "name": { "type": "string", "description": "Optional. Name of the environment. Alternatively, the name may be specified in the request body in the name field.", "location": "query" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/environments", "id": "apigee.organizations.environments.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates an environment in an organization.", "httpMethod": "POST", "path": "v1/{+parent}/environments" }, "testIamPermissions": { "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}:testIamPermissions", "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "description": "Tests the permissions of a user on an environment, and returns a subset of permissions that the user has on the environment. If the environment does not exist, an empty permission set is returned (a NOT_FOUND error is not returned).", "id": "apigee.organizations.environments.testIamPermissions", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "path": "v1/{+resource}:testIamPermissions", "parameters": { "resource": { "pattern": "^organizations/[^/]+/environments/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "unsubscribe": { "httpMethod": "POST", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}:unsubscribe", "path": "v1/{+parent}:unsubscribe", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1Subscription" }, "parameters": { "parent": { "type": "string", "required": true, "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. Name of the environment. Use the following structure in your request: `organizations/{org}/environments/{env}`" } }, "description": "Deletes a subscription for the environment's Pub/Sub topic.", "response": { "$ref": "GoogleProtobufEmpty" }, "id": "apigee.organizations.environments.unsubscribe" }, "update": { "httpMethod": "PUT", "description": "Updates an existing environment. When updating properties, you must pass all existing properties to the API, even if they are not being changed. If you omit properties from the payload, the properties are removed. To get the current list of properties for the environment, use the [Get Environment API](get). **Note**: Both `PUT` and `POST` methods are supported for updating an existing environment.", "id": "apigee.organizations.environments.update", "request": { "$ref": "GoogleCloudApigeeV1Environment" }, "response": { "$ref": "GoogleCloudApigeeV1Environment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameters": { "name": { "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. Name of the environment. Use the following structure in your request: `organizations/{org}/environments/{env}`", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}" }, "getTraceConfig": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.environments.getTraceConfig", "parameters": { "name": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+/traceConfig$", "description": "Required. Name of the trace configuration. Use the following structure in your request: \"organizations/*/environments/*/traceConfig\".", "location": "path" } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1TraceConfig" }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/traceConfig", "description": "Get distributed trace configuration in an environment.", "httpMethod": "GET" }, "getDeployedConfig": { "response": { "$ref": "GoogleCloudApigeeV1EnvironmentConfig" }, "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/deployedConfig", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the deployed configuration for an environment.", "id": "apigee.organizations.environments.getDeployedConfig", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+/deployedConfig$", "description": "Required. Name of the environment deployed configuration resource. Use the following structure in your request: `organizations/{org}/environments/{env}/deployedConfig`", "location": "path" } } }, "getDebugmask": { "parameters": { "name": { "location": "path", "description": "Required. Name of the debug mask. Use the following structure in your request: `organizations/{org}/environments/{env}/debugmask`.", "type": "string", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/debugmask$" } }, "response": { "$ref": "GoogleCloudApigeeV1DebugMask" }, "id": "apigee.organizations.environments.getDebugmask", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/debugmask", "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Gets the debug mask singleton resource for an environment." } }, "resources": { "caches": { "methods": { "delete": { "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "required": true, "description": "Required. Cache resource name of the form: `organizations/{organization_id}/environments/{environment_id}/caches/{cache_id}`", "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+/caches/[^/]+$" } }, "description": "Deletes a cache.", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/caches/{cachesId}", "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "id": "apigee.organizations.environments.caches.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "resourcefiles": { "methods": { "create": { "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/resourcefiles", "request": { "$ref": "GoogleApiHttpBody" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/resourcefiles", "response": { "$ref": "GoogleCloudApigeeV1ResourceFile" }, "parameters": { "name": { "description": "Required. Name of the resource file. Must match the regular expression: [a-zA-Z0-9:/\\\\!@#$%^&{}\\[\\]()+\\-=,.~'` ]{1,255}", "location": "query", "type": "string" }, "parent": { "description": "Required. Name of the environment in which to create the resource file in the following format: `organizations/{org}/environments/{env}`.", "required": true, "location": "path", "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+$" }, "type": { "description": "Required. Resource file type. {{ resource_file_type }}", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.environments.resourcefiles.create", "description": "Creates a resource file. Specify the `Content-Type` as `application/octet-stream` or `multipart/form-data`. For more information about resource files, see [Resource files](https://cloud.google.com/apigee/docs/api-platform/develop/resource-files).", "httpMethod": "POST" }, "update": { "parameterOrder": [ "parent", "type", "name" ], "request": { "$ref": "GoogleApiHttpBody" }, "description": "Updates a resource file. Specify the `Content-Type` as `application/octet-stream` or `multipart/form-data`. For more information about resource files, see [Resource files](https://cloud.google.com/apigee/docs/api-platform/develop/resource-files).", "parameters": { "type": { "description": "Required. Resource file type. {{ resource_file_type }}", "type": "string", "location": "path", "required": true }, "parent": { "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. Name of the environment in the following format: `organizations/{org}/environments/{env}`.", "required": true, "type": "string" }, "name": { "type": "string", "description": "Required. ID of the resource file to update. Must match the regular expression: [a-zA-Z0-9:/\\\\!@#$%^&{}\\[\\]()+\\-=,.~'` ]{1,255}", "location": "path", "required": true } }, "response": { "$ref": "GoogleCloudApigeeV1ResourceFile" }, "path": "v1/{+parent}/resourcefiles/{type}/{name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.environments.resourcefiles.update", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/resourcefiles/{type}/{name}", "httpMethod": "PUT" }, "list": { "description": "Lists all resource files, optionally filtering by type. For more information about resource files, see [Resource files](https://cloud.google.com/apigee/docs/api-platform/develop/resource-files).", "id": "apigee.organizations.environments.resourcefiles.list", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/resourcefiles", "httpMethod": "GET", "parameters": { "type": { "type": "string", "location": "query", "description": "Optional. Type of resource files to list. {{ resource_file_type }}" }, "parent": { "type": "string", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. Name of the environment in which to list resource files in the following format: `organizations/{org}/environments/{env}`.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1ListEnvironmentResourcesResponse" }, "path": "v1/{+parent}/resourcefiles" }, "listEnvironmentResources": { "parameterOrder": [ "parent", "type" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1ListEnvironmentResourcesResponse" }, "id": "apigee.organizations.environments.resourcefiles.listEnvironmentResources", "description": "Lists all resource files, optionally filtering by type. For more information about resource files, see [Resource files](https://cloud.google.com/apigee/docs/api-platform/develop/resource-files).", "path": "v1/{+parent}/resourcefiles/{type}", "parameters": { "type": { "description": "Optional. Type of resource files to list. {{ resource_file_type }}", "location": "path", "required": true, "type": "string" }, "parent": { "description": "Required. Name of the environment in which to list resource files in the following format: `organizations/{org}/environments/{env}`.", "pattern": "^organizations/[^/]+/environments/[^/]+$", "required": true, "location": "path", "type": "string" } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/resourcefiles/{type}" }, "get": { "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/resourcefiles/{type}/{name}", "parameters": { "parent": { "description": "Required. Name of the environment in the following format: `organizations/{org}/environments/{env}`.", "required": true, "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+$", "location": "path" }, "name": { "description": "Required. ID of the resource file. Must match the regular expression: [a-zA-Z0-9:/\\\\!@#$%^&{}\\[\\]()+\\-=,.~'` ]{1,255}", "required": true, "type": "string", "location": "path" }, "type": { "description": "Required. Resource file type. {{ resource_file_type }}", "required": true, "location": "path", "type": "string" } }, "response": { "$ref": "GoogleApiHttpBody" }, "parameterOrder": [ "parent", "type", "name" ], "description": "Gets the contents of a resource file. For more information about resource files, see [Resource files](https://cloud.google.com/apigee/docs/api-platform/develop/resource-files).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+parent}/resourcefiles/{type}/{name}", "id": "apigee.organizations.environments.resourcefiles.get" }, "delete": { "description": "Deletes a resource file. For more information about resource files, see [Resource files](https://cloud.google.com/apigee/docs/api-platform/develop/resource-files).", "parameterOrder": [ "parent", "type", "name" ], "id": "apigee.organizations.environments.resourcefiles.delete", "parameters": { "type": { "required": true, "description": "Required. Resource file type. {{ resource_file_type }}", "location": "path", "type": "string" }, "name": { "required": true, "description": "Required. ID of the resource file to delete. Must match the regular expression: [a-zA-Z0-9:/\\\\!@#$%^&{}\\[\\]()+\\-=,.~'` ]{1,255}", "type": "string", "location": "path" }, "parent": { "pattern": "^organizations/[^/]+/environments/[^/]+$", "type": "string", "required": true, "description": "Required. Name of the environment in the following format: `organizations/{org}/environments/{env}`.", "location": "path" } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/resourcefiles/{type}/{name}", "response": { "$ref": "GoogleCloudApigeeV1ResourceFile" }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/resourcefiles/{type}/{name}" } } }, "keyvaluemaps": { "methods": { "delete": { "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keyvaluemaps/{keyvaluemapsId}", "id": "apigee.organizations.environments.keyvaluemaps.delete", "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/keyvaluemaps/[^/]+$", "description": "Required. Name of the key value map. Use the following structure in your request: `organizations/{org}/environments/{env}/keyvaluemaps/{keyvaluemap}`", "type": "string" } }, "response": { "$ref": "GoogleCloudApigeeV1KeyValueMap" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Deletes a key value map from an environment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "parameters": { "parent": { "pattern": "^organizations/[^/]+/environments/[^/]+$", "required": true, "description": "Required. Name of the environment in which to create the key value map. Use the following structure in your request: `organizations/{org}/environments/{env}`", "location": "path", "type": "string" } }, "response": { "$ref": "GoogleCloudApigeeV1KeyValueMap" }, "id": "apigee.organizations.environments.keyvaluemaps.create", "path": "v1/{+parent}/keyvaluemaps", "description": "Creates a key value map in an environment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "httpMethod": "POST", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keyvaluemaps", "request": { "$ref": "GoogleCloudApigeeV1KeyValueMap" } } }, "resources": { "entries": { "methods": { "delete": { "response": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "path": "v1/{+name}", "parameters": { "name": { "required": true, "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/keyvaluemaps/[^/]+/entries/[^/]+$", "description": "Required. Scope as indicated by the URI in which to delete the key value map entry. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}/entries/{entry}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}/entries/{entry}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}/entries/{entry}`.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keyvaluemaps/{keyvaluemapsId}/entries/{entriesId}", "parameterOrder": [ "name" ], "id": "apigee.organizations.environments.keyvaluemaps.entries.delete", "description": "Deletes a key value entry from a key value map scoped to an organization, environment, or API proxy. **Note:** After you delete the key value entry, the policy consuming the entry will continue to function with its cached values for a few minutes. This is expected behavior." }, "get": { "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keyvaluemaps/{keyvaluemapsId}/entries/{entriesId}", "parameters": { "name": { "required": true, "description": "Required. Scope as indicated by the URI in which to fetch the key value map entry/value. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}/entries/{entry}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}/entries/{entry}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}/entries/{entry}`.", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/keyvaluemaps/[^/]+/entries/[^/]+$", "type": "string" } }, "parameterOrder": [ "name" ], "description": "Get the Key value entry value for org, env or apis scoped Key value map.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "id": "apigee.organizations.environments.keyvaluemaps.entries.get" }, "create": { "id": "apigee.organizations.environments.keyvaluemaps.entries.create", "request": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/entries", "response": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "httpMethod": "POST", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keyvaluemaps/{keyvaluemapsId}/entries", "parameters": { "parent": { "location": "path", "description": "Required. Scope as indicated by the URI in which to create the key value map entry. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}`.", "type": "string", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/keyvaluemaps/[^/]+$" } }, "description": "Creates key value entries in a key value map scoped to an organization, environment, or API proxy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "path": "v1/{+parent}/entries", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists key value entries for key values maps scoped to an organization, environment, or API proxy.", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keyvaluemaps/{keyvaluemapsId}/entries", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1ListKeyValueEntriesResponse" }, "httpMethod": "GET", "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. Maximum number of key value entries to return. If unspecified, at most 100 entries will be returned." }, "pageToken": { "type": "string", "description": "Optional. Page token. If provides, must be a valid key value entry returned from a previous call that can be used to retrieve the next page.", "location": "query" }, "parent": { "location": "path", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/keyvaluemaps/[^/]+$", "type": "string", "description": "Required. Scope as indicated by the URI in which to list key value maps. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}`." } }, "id": "apigee.organizations.environments.keyvaluemaps.entries.list" } } } } }, "targetservers": { "methods": { "delete": { "httpMethod": "DELETE", "description": "Deletes a TargetServer from an environment. Returns the deleted TargetServer resource.", "id": "apigee.organizations.environments.targetservers.delete", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1TargetServer" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameters": { "name": { "location": "path", "description": "Required. The name of the TargetServer to delete. Must be of the form `organizations/{org}/environments/{env}/targetservers/{target_server_id}`.", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/targetservers/[^/]+$", "type": "string" } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/targetservers/{targetserversId}" }, "get": { "path": "v1/{+name}", "httpMethod": "GET", "id": "apigee.organizations.environments.targetservers.get", "response": { "$ref": "GoogleCloudApigeeV1TargetServer" }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/targetservers/{targetserversId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "required": true, "description": "Required. The name of the TargetServer to get. Must be of the form `organizations/{org}/environments/{env}/targetservers/{target_server_id}`.", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/targetservers/[^/]+$" } }, "parameterOrder": [ "name" ], "description": "Gets a TargetServer resource." }, "create": { "path": "v1/{+parent}/targetservers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1TargetServer" }, "response": { "$ref": "GoogleCloudApigeeV1TargetServer" }, "description": "Creates a TargetServer in the specified environment.", "httpMethod": "POST", "id": "apigee.organizations.environments.targetservers.create", "parameters": { "name": { "type": "string", "location": "query", "description": "Optional. The ID to give the TargetServer. This will overwrite the value in TargetServer." }, "parent": { "required": true, "location": "path", "description": "Required. The parent environment name under which the TargetServer will be created. Must be of the form `organizations/{org}/environments/{env}`.", "pattern": "^organizations/[^/]+/environments/[^/]+$", "type": "string" } }, "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/targetservers" }, "update": { "request": { "$ref": "GoogleCloudApigeeV1TargetServer" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1TargetServer" }, "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The name of the TargetServer to replace. Must be of the form `organizations/{org}/environments/{env}/targetservers/{target_server_id}`.", "location": "path", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/targetservers/[^/]+$" } }, "httpMethod": "PUT", "path": "v1/{+name}", "description": "Updates an existing TargetServer. Note that this operation has PUT semantics; it will replace the entirety of the existing TargetServer with the resource in the request body.", "id": "apigee.organizations.environments.targetservers.update", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/targetservers/{targetserversId}" } } }, "optimizedStats": { "methods": { "get": { "parameters": { "sort": { "type": "string", "location": "query", "description": "Flag that specifies whether the sort order should be ascending or descending. Valid values include `DESC` and `ASC`." }, "limit": { "location": "query", "type": "string", "description": "Maximum number of result items to return. The default and maximum value that can be returned is 14400." }, "timeRange": { "location": "query", "description": "Required. Time interval for the interactive query. Time range is specified in GMT as `start~end`. For example: `04/15/2017 00:00~05/15/2017 23:59`", "type": "string" }, "aggTable": { "location": "query", "description": "Table name used to query custom aggregate tables. If this parameter is skipped, then Apigee will try to retrieve the data from fact tables which will be expensive.", "type": "string" }, "realtime": { "location": "query", "description": "No longer used by Apigee. Supported for backwards compatibility.", "type": "boolean" }, "timeUnit": { "type": "string", "location": "query", "description": "Granularity of metrics returned. Valid values include: `second`, `minute`, `hour`, `day`, `week`, or `month`." }, "name": { "description": "Required. Resource name for which the interactive query will be executed. Use the following format in your request: `organizations/{org}/environments/{env}/optimizedStats/{dimensions}` Dimensions let you view metrics in meaningful groupings, such as `apiproxy`, `target_host`. The value of `dimensions` should be a comma-separated list as shown below: `organizations/{org}/environments/{env}/optimizedStats/apiproxy,request_verb`", "required": true, "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/optimizedStats/.*$", "type": "string" }, "filter": { "type": "string", "description": "Filter that enables you to drill-down on specific dimension values.", "location": "query" }, "accuracy": { "type": "string", "location": "query", "description": "No longer used by Apigee. Supported for backwards compatibility." }, "offset": { "description": "Offset value. Use `offset` with `limit` to enable pagination of results. For example, to display results 11-20, set limit to `10` and offset to `10`.", "type": "string", "location": "query" }, "sonar": { "description": "Routes the query to API Monitoring for the last hour.", "location": "query", "type": "boolean" }, "sortby": { "description": "Comma-separated list of columns to sort the final result.", "location": "query", "type": "string" }, "select": { "location": "query", "description": "Required. Comma-separated list of metrics. For example: `sum(message_count),sum(error_count)`", "type": "string" }, "tsAscending": { "type": "boolean", "location": "query", "description": "Flag that specifies whether to list timestamps in ascending (`true`) or descending (`false`) order. Apigee recommends setting this value to `true` if you are using `sortby` with `sort=DESC`." }, "tzo": { "description": "Timezone offset value.", "type": "string", "location": "query" }, "topk": { "location": "query", "description": "Top number of results to return. For example, to return the top 5 results, set `topk=5`.", "type": "string" } }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/optimizedStats/{optimizedStatsId}", "parameterOrder": [ "name" ], "description": "Similar to GetStats except that the response is less verbose.", "id": "apigee.organizations.environments.optimizedStats.get", "response": { "$ref": "GoogleCloudApigeeV1OptimizedStats" } } } }, "analytics": { "resources": { "exports": { "methods": { "list": { "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/analytics/exports", "id": "apigee.organizations.environments.analytics.exports.list", "path": "v1/{+parent}/analytics/exports", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1ListExportsResponse" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "required": true, "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. Names of the parent organization and environment. Must be of the form `organizations/{org}/environments/{env}`." } }, "httpMethod": "GET", "description": "Lists the details and status of all analytics export jobs belonging to the parent organization and environment." }, "create": { "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/analytics/exports", "description": "Submit a data export job to be processed in the background. If the request is successful, the API returns a 201 status, a URI that can be used to retrieve the status of the export job, and the `state` value of \"enqueued\".", "path": "v1/{+parent}/analytics/exports", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1Export" }, "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudApigeeV1ExportRequest" }, "parameters": { "parent": { "location": "path", "type": "string", "description": "Required. Names of the parent organization and environment. Must be of the form `organizations/{org}/environments/{env}`.", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+$" } }, "id": "apigee.organizations.environments.analytics.exports.create" }, "get": { "id": "apigee.organizations.environments.analytics.exports.get", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Gets the details and status of an analytics export job. If the export job is still in progress, its `state` is set to \"running\". After the export job has completed successfully, its `state` is set to \"completed\". If the export job fails, its `state` is set to `failed`.", "parameters": { "name": { "pattern": "^organizations/[^/]+/environments/[^/]+/analytics/exports/[^/]+$", "description": "Required. Resource name of the export to get.", "required": true, "location": "path", "type": "string" } }, "response": { "$ref": "GoogleCloudApigeeV1Export" }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/analytics/exports/{exportsId}", "parameterOrder": [ "name" ] } } }, "admin": { "methods": { "getSchemav2": { "response": { "$ref": "GoogleCloudApigeeV1Schema" }, "id": "apigee.organizations.environments.analytics.admin.getSchemav2", "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/analytics/admin/schemav2", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Path to the schema. Use the following structure in your request: `organizations/{org}/environments/{env}/analytics/admin/schemav2`.", "location": "path", "type": "string", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/analytics/admin/schemav2$" }, "disableCache": { "location": "query", "description": "Flag that specifies whether the schema is be read from the database or cache. Set to `true` to read the schema from the database. Defaults to cache.", "type": "boolean" }, "type": { "type": "string", "description": "Required. Name of the dataset for which you want to retrieve the schema. For example: `fact` or `agg_cus1`", "location": "query" } }, "path": "v1/{+name}", "description": "Gets a list of metrics and dimensions that can be used to create analytics queries and reports. Each schema element contains the name of the field, its associated type, and a flag indicating whether it is a standard or custom field." } } } } }, "flowhooks": { "methods": { "get": { "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/flowhooks/{flowhooksId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Returns the name of the shared flow attached to the specified flow hook. If there's no shared flow attached to the flow hook, the API does not return an error; it simply does not return a name in the response.", "response": { "$ref": "GoogleCloudApigeeV1FlowHook" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/flowhooks/[^/]+$", "description": "Required. Name of the flow hook in the following format: `organizations/{org}/environments/{env}/flowhooks/{flowhook}`", "type": "string", "required": true } }, "id": "apigee.organizations.environments.flowhooks.get" }, "attachSharedFlowToFlowHook": { "response": { "$ref": "GoogleCloudApigeeV1FlowHook" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "description": "Required. Name of the flow hook to which the shared flow should be attached in the following format: `organizations/{org}/environments/{env}/flowhooks/{flowhook}`", "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+/flowhooks/[^/]+$" } }, "id": "apigee.organizations.environments.flowhooks.attachSharedFlowToFlowHook", "httpMethod": "PUT", "description": "Attaches a shared flow to a flow hook.", "request": { "$ref": "GoogleCloudApigeeV1FlowHook" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/flowhooks/{flowhooksId}" }, "detachSharedFlowFromFlowHook": { "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/flowhooks/{flowhooksId}", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. Name of the flow hook to detach in the following format: `organizations/{org}/environments/{env}/flowhooks/{flowhook}`", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/flowhooks/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1FlowHook" }, "description": "Detaches a shared flow from a flow hook.", "httpMethod": "DELETE", "id": "apigee.organizations.environments.flowhooks.detachSharedFlowFromFlowHook", "parameterOrder": [ "name" ] } } }, "securityReports": { "methods": { "getResult": { "id": "apigee.organizations.environments.securityReports.getResult", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/securityReports/{securityReportsId}/result", "path": "v1/{+name}", "description": "After the query is completed, use this API to retrieve the results as file. If the request succeeds, and there is a non-zero result set, the result is downloaded to the client as a zipped JSON file. The name of the downloaded file will be: OfflineQueryResult-.zip Example: `OfflineQueryResult-9cfc0d85-0f30-46d6-ae6f-318d0cb961bd.zip`", "httpMethod": "GET", "response": { "$ref": "GoogleApiHttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Name of the security report result to get. Must be of the form `organizations/{org}/environments/{env}/securityReports/{reportId}/result`.", "location": "path", "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+/securityReports/[^/]+/result$", "required": true } } }, "get": { "id": "apigee.organizations.environments.securityReports.get", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/securityReports/{securityReportsId}", "path": "v1/{+name}", "parameters": { "name": { "description": "Required. Name of the security report to get. Must be of the form `organizations/{org}/environments/{env}/securityReports/{reportId}`.", "type": "string", "required": true, "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/securityReports/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Get security report status If the query is still in progress, the `state` is set to \"running\" After the query has completed successfully, `state` is set to \"completed\"", "response": { "$ref": "GoogleCloudApigeeV1SecurityReport" } }, "getResultView": { "response": { "$ref": "GoogleCloudApigeeV1SecurityReportResultView" }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/securityReports/{securityReportsId}/resultView", "parameterOrder": [ "name" ], "id": "apigee.organizations.environments.securityReports.getResultView", "description": "After the query is completed, use this API to view the query result when result size is small.", "parameters": { "name": { "pattern": "^organizations/[^/]+/environments/[^/]+/securityReports/[^/]+/resultView$", "required": true, "type": "string", "location": "path", "description": "Required. Name of the security report result view to get. Must be of the form `organizations/{org}/environments/{env}/securityReports/{reportId}/resultView`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+name}" }, "create": { "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1SecurityReport" }, "id": "apigee.organizations.environments.securityReports.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudApigeeV1SecurityReportQuery" }, "path": "v1/{+parent}/securityReports", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/securityReports", "parameters": { "parent": { "description": "Required. The parent resource name. Must be of the form `organizations/{org}/environments/{env}`.", "type": "string", "location": "path", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+$" } }, "description": "Submit a report request to be processed in the background. If the submission succeeds, the API returns a 200 status and an ID that refer to the report request. In addition to the HTTP status 200, the `state` of \"enqueued\" means that the request succeeded." }, "list": { "description": "Return a list of Security Reports", "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/securityReports", "path": "v1/{+parent}/securityReports", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudApigeeV1ListSecurityReportsResponse" }, "parameters": { "pageSize": { "location": "query", "description": "The maximum number of security report to return in the list response.", "format": "int32", "type": "integer" }, "pageToken": { "location": "query", "description": "Token returned from the previous list response to fetch the next page.", "type": "string" }, "from": { "location": "query", "description": "Filter response list by returning security reports that created after this date time. Time must be in ISO date-time format like '2011-12-03T10:15:30Z'.", "type": "string" }, "status": { "location": "query", "description": "Filter response list by security reports status.", "type": "string" }, "submittedBy": { "description": "Filter response list by user who submitted queries.", "location": "query", "type": "string" }, "to": { "type": "string", "location": "query", "description": "Filter response list by returning security reports that created before this date time. Time must be in ISO date-time format like '2011-12-03T10:16:30Z'." }, "dataset": { "type": "string", "location": "query", "description": "Filter response list by dataset. Example: `api`, `mint`" }, "parent": { "type": "string", "location": "path", "description": "Required. The parent resource name. Must be of the form `organizations/{org}/environments/{env}`.", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+$" } }, "id": "apigee.organizations.environments.securityReports.list" } } }, "queries": { "methods": { "list": { "id": "apigee.organizations.environments.queries.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+parent}/queries", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/queries", "parameters": { "status": { "description": "Filter response list by asynchronous query status.", "location": "query", "type": "string" }, "submittedBy": { "type": "string", "location": "query", "description": "Filter response list by user who submitted queries." }, "dataset": { "location": "query", "description": "Filter response list by dataset. Example: `api`, `mint`", "type": "string" }, "from": { "description": "Filter response list by returning asynchronous queries that created after this date time. Time must be in ISO date-time format like '2011-12-03T10:15:30Z'.", "type": "string", "location": "query" }, "parent": { "required": true, "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. The parent resource name. Must be of the form `organizations/{org}/environments/{env}`.", "type": "string" }, "to": { "type": "string", "description": "Filter response list by returning asynchronous queries that created before this date time. Time must be in ISO date-time format like '2011-12-03T10:16:30Z'.", "location": "query" }, "inclQueriesWithoutReport": { "description": "Flag to include asynchronous queries that don't have a report denifition.", "type": "string", "location": "query" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1ListAsyncQueriesResponse" }, "description": "Return a list of Asynchronous Queries" }, "getResult": { "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/queries/[^/]+/result$", "description": "Required. Name of the asynchronous query result to get. Must be of the form `organizations/{org}/environments/{env}/queries/{queryId}/result`.", "required": true } }, "response": { "$ref": "GoogleApiHttpBody" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "id": "apigee.organizations.environments.queries.getResult", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/queries/{queriesId}/result", "description": "After the query is completed, use this API to retrieve the results. If the request succeeds, and there is a non-zero result set, the result is downloaded to the client as a zipped JSON file. The name of the downloaded file will be: OfflineQueryResult-.zip Example: `OfflineQueryResult-9cfc0d85-0f30-46d6-ae6f-318d0cb961bd.zip`" }, "getResulturl": { "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/queries/{queriesId}/resulturl", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "After the query is completed, use this API to retrieve the results. If the request succeeds, and there is a non-zero result set, the result is sent to the client as a list of urls to JSON files.", "response": { "$ref": "GoogleCloudApigeeV1GetAsyncQueryResultUrlResponse" }, "id": "apigee.organizations.environments.queries.getResulturl", "parameters": { "name": { "type": "string", "description": "Required. Name of the asynchronous query result to get. Must be of the form `organizations/{org}/environments/{env}/queries/{queryId}/resulturl`.", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/queries/[^/]+/resulturl$", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "response": { "$ref": "GoogleCloudApigeeV1AsyncQuery" }, "parameterOrder": [ "parent" ], "id": "apigee.organizations.environments.queries.create", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/queries", "request": { "$ref": "GoogleCloudApigeeV1Query" }, "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. The parent resource name. Must be of the form `organizations/{org}/environments/{env}`.", "required": true } }, "description": "Submit a query to be processed in the background. If the submission of the query succeeds, the API returns a 201 status and an ID that refer to the query. In addition to the HTTP status 201, the `state` of \"enqueued\" means that the request succeeded.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1/{+parent}/queries" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.environments.queries.get", "response": { "$ref": "GoogleCloudApigeeV1AsyncQuery" }, "parameters": { "name": { "pattern": "^organizations/[^/]+/environments/[^/]+/queries/[^/]+$", "description": "Required. Name of the asynchronous query to get. Must be of the form `organizations/{org}/environments/{env}/queries/{queryId}`.", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/queries/{queriesId}", "path": "v1/{+name}", "httpMethod": "GET", "description": "Get query status If the query is still in progress, the `state` is set to \"running\" After the query has completed successfully, `state` is set to \"completed\"" } } }, "traceConfig": { "resources": { "overrides": { "methods": { "patch": { "id": "apigee.organizations.environments.traceConfig.overrides.patch", "parameters": { "name": { "description": "Required. Name of the trace configuration override. Use the following structure in your request: \"organizations/*/environments/*/traceConfig/overrides/*\".", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/traceConfig/overrides/[^/]+$", "required": true, "type": "string" }, "updateMask": { "location": "query", "description": "List of fields to be updated.", "type": "string", "format": "google-fieldmask" } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/traceConfig/overrides/{overridesId}", "path": "v1/{+name}", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudApigeeV1TraceConfigOverride" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates a distributed trace configuration override. Note that the repeated fields have replace semantics when included in the field mask and that they will be overwritten by the value of the fields in the request body.", "response": { "$ref": "GoogleCloudApigeeV1TraceConfigOverride" }, "httpMethod": "PATCH" }, "delete": { "description": "Deletes a distributed trace configuration override.", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/traceConfig/overrides/{overridesId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "Required. Name of the trace configuration override. Use the following structure in your request: \"organizations/*/environments/*/traceConfig/overrides/*\".", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/traceConfig/overrides/[^/]+$", "required": true } }, "httpMethod": "DELETE", "id": "apigee.organizations.environments.traceConfig.overrides.delete" }, "list": { "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "type": "integer", "description": "Maximum number of trace configuration overrides to return. If not specified, the maximum number returned is 25. The maximum number cannot exceed 100.", "location": "query", "format": "int32" }, "parent": { "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/traceConfig$", "description": "Required. Parent resource of the trace configuration override. Use the following structure in your request: \"organizations/*/environments/*/traceConfig\".", "type": "string", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "A page token, returned from a previous `ListTraceConfigOverrides` call. Token value that can be used to retrieve the subsequent page. When paginating, all other parameters provided to `ListTraceConfigOverrides` must match those specified in the call to obtain the page token." } }, "httpMethod": "GET", "response": { "$ref": "GoogleCloudApigeeV1ListTraceConfigOverridesResponse" }, "id": "apigee.organizations.environments.traceConfig.overrides.list", "description": "Lists all of the distributed trace configuration overrides in an environment.", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/traceConfig/overrides", "path": "v1/{+parent}/overrides", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "id": "apigee.organizations.environments.traceConfig.overrides.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/traceConfig/overrides", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^organizations/[^/]+/environments/[^/]+/traceConfig$", "type": "string", "required": true, "description": "Required. Parent resource of the trace configuration override. Use the following structure in your request. \"organizations/*/environments/*/traceConfig\".", "location": "path" } }, "description": "Creates a trace configuration override. The response contains a system-generated UUID, that can be used to view, update, or delete the configuration override. Use the List API to view the existing trace configuration overrides.", "httpMethod": "POST", "request": { "$ref": "GoogleCloudApigeeV1TraceConfigOverride" }, "response": { "$ref": "GoogleCloudApigeeV1TraceConfigOverride" }, "path": "v1/{+parent}/overrides" }, "get": { "id": "apigee.organizations.environments.traceConfig.overrides.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets a trace configuration override.", "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/traceConfig/overrides/[^/]+$", "description": "Required. Name of the trace configuration override. Use the following structure in your request: \"organizations/*/environments/*/traceConfig/overrides/*\".", "location": "path", "type": "string" } }, "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1TraceConfigOverride" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/traceConfig/overrides/{overridesId}" } } } } }, "references": { "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1/{+parent}/references", "id": "apigee.organizations.environments.references.create", "request": { "$ref": "GoogleCloudApigeeV1Reference" }, "parameters": { "parent": { "type": "string", "location": "path", "required": true, "description": "Required. The parent environment name under which the Reference will be created. Must be of the form `organizations/{org}/environments/{env}`.", "pattern": "^organizations/[^/]+/environments/[^/]+$" } }, "response": { "$ref": "GoogleCloudApigeeV1Reference" }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/references", "description": "Creates a Reference in the specified environment.", "parameterOrder": [ "parent" ] }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "GoogleCloudApigeeV1Reference" }, "parameters": { "name": { "required": true, "description": "Required. The name of the Reference to delete. Must be of the form `organizations/{org}/environments/{env}/references/{ref}`.", "type": "string", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/references/[^/]+$" } }, "id": "apigee.organizations.environments.references.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Deletes a Reference from an environment. Returns the deleted Reference resource.", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/references/{referencesId}" }, "get": { "id": "apigee.organizations.environments.references.get", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/references/{referencesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameters": { "name": { "description": "Required. The name of the Reference to get. Must be of the form `organizations/{org}/environments/{env}/references/{ref}`.", "pattern": "^organizations/[^/]+/environments/[^/]+/references/[^/]+$", "type": "string", "location": "path", "required": true } }, "response": { "$ref": "GoogleCloudApigeeV1Reference" }, "description": "Gets a Reference resource.", "parameterOrder": [ "name" ], "httpMethod": "GET" }, "update": { "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudApigeeV1Reference" }, "parameters": { "name": { "type": "string", "description": "Required. The name of the Reference to update. Must be of the form `organizations/{org}/environments/{env}/references/{ref}`.", "required": true, "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/references/[^/]+$" } }, "id": "apigee.organizations.environments.references.update", "httpMethod": "PUT", "description": "Updates an existing Reference. Note that this operation has PUT semantics; it will replace the entirety of the existing Reference with the resource in the request body.", "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/references/{referencesId}", "response": { "$ref": "GoogleCloudApigeeV1Reference" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "deployments": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/deployments", "response": { "$ref": "GoogleCloudApigeeV1ListDeploymentsResponse" }, "httpMethod": "GET", "parameters": { "sharedFlows": { "description": "Optional. Flag that specifies whether to return shared flow or API proxy deployments. Set to `true` to return shared flow deployments; set to `false` to return API proxy deployments. Defaults to `false`.", "location": "query", "type": "boolean" }, "parent": { "required": true, "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. Name of the environment for which to return deployment information in the following format: `organizations/{org}/environments/{env}`", "type": "string" } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/deployments", "description": "Lists all deployments of API proxies or shared flows in an environment.", "parameterOrder": [ "parent" ], "id": "apigee.organizations.environments.deployments.list" } } }, "keystores": { "resources": { "aliases": { "methods": { "create": { "request": { "$ref": "GoogleApiHttpBody" }, "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1Alias" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates an alias from a key/certificate pair. The structure of the request is controlled by the `format` query parameter: - `keycertfile` - Separate PEM-encoded key and certificate files are uploaded. Set `Content-Type: multipart/form-data` and include the `keyFile`, `certFile`, and `password` (if keys are encrypted) fields in the request body. If uploading to a truststore, omit `keyFile`. - `pkcs12` - A PKCS12 file is uploaded. Set `Content-Type: multipart/form-data`, provide the file in the `file` field, and include the `password` field if the file is encrypted in the request body. - `selfsignedcert` - A new private key and certificate are generated. Set `Content-Type: application/json` and include CertificateGenerationSpec in the request body.", "httpMethod": "POST", "path": "v1/{+parent}/aliases", "parameters": { "format": { "location": "query", "description": "Required. Format of the data. Valid values include: `selfsignedcert`, `keycertfile`, or `pkcs12`", "type": "string" }, "_password": { "type": "string", "location": "query", "description": "DEPRECATED: For improved security, specify the password in the request body instead of using the query parameter. To specify the password in the request body, set `Content-type: multipart/form-data` part with name `password`. Password for the private key file, if required." }, "alias": { "description": "Alias for the key/certificate pair. Values must match the regular expression `[\\w\\s-.]{1,255}`. This must be provided for all formats except `selfsignedcert`; self-signed certs may specify the alias in either this parameter or the JSON body.", "location": "query", "type": "string" }, "ignoreExpiryValidation": { "description": "Flag that specifies whether to ignore expiry validation. If set to `true`, no expiry validation will be performed.", "location": "query", "type": "boolean" }, "parent": { "description": "Required. Name of the keystore. Use the following format in your request: `organizations/{org}/environments/{env}/keystores/{keystore}`.", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/keystores/[^/]+$", "required": true, "type": "string" }, "ignoreNewlineValidation": { "location": "query", "type": "boolean", "description": "Flag that specifies whether to ignore newline validation. If set to `true`, no error is thrown when the file contains a certificate chain with no newline between each certificate. Defaults to `false`." } }, "id": "apigee.organizations.environments.keystores.aliases.create", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keystores/{keystoresId}/aliases" }, "csr": { "path": "v1/{+name}/csr", "id": "apigee.organizations.environments.keystores.aliases.csr", "parameters": { "name": { "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/keystores/[^/]+/aliases/[^/]+$", "description": "Required. Name of the alias. Use the following format in your request: `organizations/{org}/environments/{env}/keystores/{keystore}/aliases/{alias}`.", "type": "string", "required": true } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keystores/{keystoresId}/aliases/{aliasesId}/csr", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Generates a PKCS #10 Certificate Signing Request for the private key in an alias.", "response": { "$ref": "GoogleApiHttpBody" }, "httpMethod": "GET", "parameterOrder": [ "name" ] }, "getCertificate": { "response": { "$ref": "GoogleApiHttpBody" }, "httpMethod": "GET", "path": "v1/{+name}/certificate", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keystores/{keystoresId}/aliases/{aliasesId}/certificate", "parameterOrder": [ "name" ], "description": "Gets the certificate from an alias in PEM-encoded form.", "parameters": { "name": { "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+/keystores/[^/]+/aliases/[^/]+$", "location": "path", "required": true, "description": "Required. Name of the alias. Use the following format in your request: `organizations/{org}/environments/{env}/keystores/{keystore}/aliases/{alias}`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.environments.keystores.aliases.getCertificate" }, "get": { "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1Alias" }, "description": "Gets an alias.", "id": "apigee.organizations.environments.keystores.aliases.get", "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keystores/{keystoresId}/aliases/{aliasesId}", "parameters": { "name": { "description": "Required. Name of the alias. Use the following format in your request: `organizations/{org}/environments/{env}/keystores/{keystore}/aliases/{alias}`.", "type": "string", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/keystores/[^/]+/aliases/[^/]+$", "location": "path" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameters": { "name": { "pattern": "^organizations/[^/]+/environments/[^/]+/keystores/[^/]+/aliases/[^/]+$", "required": true, "type": "string", "description": "Required. Name of the alias. Use the following format in your request: `organizations/{org}/environments/{env}/keystores/{keystore}/aliases/{alias}`.", "location": "path" } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keystores/{keystoresId}/aliases/{aliasesId}", "id": "apigee.organizations.environments.keystores.aliases.delete", "httpMethod": "DELETE", "response": { "$ref": "GoogleCloudApigeeV1Alias" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes an alias." }, "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Updates the certificate in an alias.", "response": { "$ref": "GoogleCloudApigeeV1Alias" }, "httpMethod": "PUT", "parameters": { "name": { "description": "Required. Name of the alias. Use the following format in your request: `organizations/{org}/environments/{env}/keystores/{keystore}/aliases/{alias}`", "required": true, "type": "string", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/keystores/[^/]+/aliases/[^/]+$" }, "ignoreNewlineValidation": { "location": "query", "type": "boolean", "description": "Flag that specifies whether to ignore newline validation. If set to `true`, no error is thrown when the file contains a certificate chain with no newline between each certificate. Defaults to `false`." }, "ignoreExpiryValidation": { "location": "query", "description": "Required. Flag that specifies whether to ignore expiry validation. If set to `true`, no expiry validation will be performed.", "type": "boolean" } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keystores/{keystoresId}/aliases/{aliasesId}", "request": { "$ref": "GoogleApiHttpBody" }, "id": "apigee.organizations.environments.keystores.aliases.update" } } } }, "methods": { "get": { "parameters": { "name": { "description": "Required. Name of the keystore. Use the following format in your request: `organizations/{org}/environments/{env}/keystores/{keystore}`.", "required": true, "type": "string", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/keystores/[^/]+$" } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keystores/{keystoresId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1Keystore" }, "description": "Gets a keystore or truststore.", "id": "apigee.organizations.environments.keystores.get", "parameterOrder": [ "name" ], "path": "v1/{+name}" }, "create": { "response": { "$ref": "GoogleCloudApigeeV1Keystore" }, "parameterOrder": [ "parent" ], "id": "apigee.organizations.environments.keystores.create", "request": { "$ref": "GoogleCloudApigeeV1Keystore" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/keystores", "parameters": { "name": { "location": "query", "type": "string", "description": "Optional. Name of the keystore. Overrides the value in Keystore." }, "parent": { "description": "Required. Name of the environment in which to create the keystore. Use the following format in your request: `organizations/{org}/environments/{env}`", "pattern": "^organizations/[^/]+/environments/[^/]+$", "required": true, "type": "string", "location": "path" } }, "description": "Creates a keystore or truststore. - Keystore: Contains certificates and their associated keys. - Truststore: Contains trusted certificates used to validate a server's certificate. These certificates are typically self-signed certificates or certificates that are not signed by a trusted CA.", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keystores", "httpMethod": "POST" }, "delete": { "description": "Deletes a keystore or truststore.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.environments.keystores.delete", "path": "v1/{+name}", "parameters": { "name": { "location": "path", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/keystores/[^/]+$", "description": "Required. Name of the keystore. Use the following format in your request: `organizations/{org}/environments/{env}/keystores/{keystore}`", "type": "string" } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/keystores/{keystoresId}", "response": { "$ref": "GoogleCloudApigeeV1Keystore" }, "httpMethod": "DELETE" } } }, "archiveDeployments": { "methods": { "generateUploadUrl": { "httpMethod": "POST", "id": "apigee.organizations.environments.archiveDeployments.generateUploadUrl", "path": "v1/{+parent}/archiveDeployments:generateUploadUrl", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/archiveDeployments:generateUploadUrl", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. The organization and environment to upload to.", "required": true, "location": "path", "type": "string" } }, "description": "Generates a signed URL for uploading an Archive zip file to Google Cloud Storage. Once the upload is complete, the signed URL should be passed to CreateArchiveDeployment. When uploading to the generated signed URL, please follow these restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Source file type should be a zip file. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Source file size should not exceed 1GB limit. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No credentials should be attached - the signed URLs provide access to the target bucket using internal service identity; if credentials were attached, the identity from the credentials would be used, but that identity does not have permissions to upload files to the URL. When making a HTTP PUT request, these two headers need to be specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `content-type: application/zip` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `x-goog-content-length-range: 0,1073741824` And this header SHOULD NOT be specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Authorization: Bearer YOUR_TOKEN`", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudApigeeV1GenerateUploadUrlRequest" }, "response": { "$ref": "GoogleCloudApigeeV1GenerateUploadUrlResponse" } }, "generateDownloadUrl": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1GenerateDownloadUrlRequest" }, "parameterOrder": [ "name" ], "id": "apigee.organizations.environments.archiveDeployments.generateDownloadUrl", "httpMethod": "POST", "response": { "$ref": "GoogleCloudApigeeV1GenerateDownloadUrlResponse" }, "parameters": { "name": { "required": true, "type": "string", "description": "Required. The name of the Archive Deployment you want to download.", "pattern": "^organizations/[^/]+/environments/[^/]+/archiveDeployments/[^/]+$", "location": "path" } }, "path": "v1/{+name}:generateDownloadUrl", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/archiveDeployments/{archiveDeploymentsId}:generateDownloadUrl", "description": "Generates a signed URL for downloading the original zip file used to create an Archive Deployment. The URL is only valid for a limited period and should be used within minutes after generation. Each call returns a new upload URL." }, "list": { "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/archiveDeployments", "httpMethod": "GET", "id": "apigee.organizations.environments.archiveDeployments.list", "description": "Lists the ArchiveDeployments in the specified Environment.", "path": "v1/{+parent}/archiveDeployments", "response": { "$ref": "GoogleCloudApigeeV1ListArchiveDeploymentsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "filter": { "location": "query", "description": "Optional. An optional query used to return a subset of Archive Deployments using the semantics defined in https://google.aip.dev/160.", "type": "string" }, "pageSize": { "description": "Optional. Maximum number of Archive Deployments to return. If unspecified, at most 25 deployments will be returned.", "location": "query", "type": "integer", "format": "int32" }, "parent": { "pattern": "^organizations/[^/]+/environments/[^/]+$", "required": true, "location": "path", "description": "Required. Name of the Environment for which to list Archive Deployments in the format: `organizations/{org}/environments/{env}`.", "type": "string" }, "pageToken": { "location": "query", "description": "Optional. Page token, returned from a previous ListArchiveDeployments call, that you can use to retrieve the next page.", "type": "string" } } }, "create": { "id": "apigee.organizations.environments.archiveDeployments.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/archiveDeployments", "description": "Creates a new ArchiveDeployment.", "httpMethod": "POST", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudApigeeV1ArchiveDeployment" }, "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/archiveDeployments", "parameters": { "parent": { "type": "string", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+$", "description": "Required. The Environment this Archive Deployment will be created in.", "location": "path" } } }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "id": "apigee.organizations.environments.archiveDeployments.delete", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/archiveDeployments/{archiveDeploymentsId}", "parameters": { "name": { "description": "Required. Name of the Archive Deployment in the following format: `organizations/{org}/environments/{env}/archiveDeployments/{id}`.", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/archiveDeployments/[^/]+$", "location": "path", "type": "string" } }, "description": "Deletes an archive deployment.", "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "path": "v1/{+name}", "httpMethod": "GET", "response": { "$ref": "GoogleCloudApigeeV1ArchiveDeployment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/archiveDeployments/{archiveDeploymentsId}", "id": "apigee.organizations.environments.archiveDeployments.get", "description": "Gets the specified ArchiveDeployment.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. Name of the Archive Deployment in the following format: `organizations/{org}/environments/{env}/archiveDeployments/{id}`.", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/archiveDeployments/[^/]+$", "type": "string", "required": true } } }, "patch": { "description": "Updates an existing ArchiveDeployment. Labels can modified but most of the other fields are not modifiable.", "path": "v1/{+name}", "id": "apigee.organizations.environments.archiveDeployments.patch", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1ArchiveDeployment" }, "request": { "$ref": "GoogleCloudApigeeV1ArchiveDeployment" }, "parameters": { "name": { "type": "string", "location": "path", "description": "Name of the Archive Deployment in the following format: `organizations/{org}/environments/{env}/archiveDeployments/{id}`.", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/archiveDeployments/[^/]+$" }, "updateMask": { "location": "query", "description": "Required. The list of fields to be updated.", "format": "google-fieldmask", "type": "string" } }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/archiveDeployments/{archiveDeploymentsId}", "parameterOrder": [ "name" ] } } }, "sharedflows": { "resources": { "revisions": { "methods": { "undeploy": { "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/sharedflows/{sharedflowsId}/revisions/{revisionsId}/deployments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Undeploys a shared flow revision from an environment. For a request path `organizations/{org}/environments/{env}/sharedflows/{sf}/revisions/{rev}/deployments`, two permissions are required: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.deployments.delete` on the resource `organizations/{org}/environments/{env}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.sharedflowrevisions.undeploy` on the resource `organizations/{org}/sharedflows/{sf}/revisions/{rev}`", "id": "apigee.organizations.environments.sharedflows.revisions.undeploy", "parameters": { "name": { "pattern": "^organizations/[^/]+/environments/[^/]+/sharedflows/[^/]+/revisions/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. Name of the shared flow revision to undeploy in the following format: `organizations/{org}/environments/{env}/sharedflows/{sharedflow}/revisions/{rev}`" } }, "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "path": "v1/{+name}/deployments", "httpMethod": "DELETE" }, "getDeployments": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Required. Name representing a shared flow in an environment in the following format: `organizations/{org}/environments/{env}/sharedflows/{sharedflow}/revisions/{rev}`", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/sharedflows/[^/]+/revisions/[^/]+$", "type": "string" } }, "description": "Gets the deployment of a shared flow revision and actual state reported by runtime pods.", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/sharedflows/{sharedflowsId}/revisions/{revisionsId}/deployments", "parameterOrder": [ "name" ], "path": "v1/{+name}/deployments", "id": "apigee.organizations.environments.sharedflows.revisions.getDeployments", "response": { "$ref": "GoogleCloudApigeeV1Deployment" } }, "deploy": { "response": { "$ref": "GoogleCloudApigeeV1Deployment" }, "parameters": { "override": { "description": "Flag that specifies whether the new deployment replaces other deployed revisions of the shared flow in the environment. Set `override` to `true` to replace other deployed revisions. By default, `override` is `false` and the deployment is rejected if other revisions of the shared flow are deployed in the environment.", "type": "boolean", "location": "query" }, "name": { "description": "Required. Name of the shared flow revision to deploy in the following format: `organizations/{org}/environments/{env}/sharedflows/{sharedflow}/revisions/{rev}`", "type": "string", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/sharedflows/[^/]+/revisions/[^/]+$", "required": true }, "serviceAccount": { "type": "string", "description": "Google Cloud IAM service account. The service account represents the identity of the deployed proxy, and determines what permissions it has. The format must be `{ACCOUNT_ID}@{PROJECT}.iam.gserviceaccount.com`.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}/deployments", "id": "apigee.organizations.environments.sharedflows.revisions.deploy", "description": "Deploys a revision of a shared flow. If another revision of the same shared flow is currently deployed, set the `override` parameter to `true` to have this revision replace the currently deployed revision. You cannot use a shared flow until it has been deployed to an environment. For a request path `organizations/{org}/environments/{env}/sharedflows/{sf}/revisions/{rev}/deployments`, two permissions are required: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.deployments.create` on the resource `organizations/{org}/environments/{env}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.sharedflowrevisions.deploy` on the resource `organizations/{org}/sharedflows/{sf}/revisions/{rev}`", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/sharedflows/{sharedflowsId}/revisions/{revisionsId}/deployments", "parameterOrder": [ "name" ], "httpMethod": "POST" } } }, "deployments": { "methods": { "list": { "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1ListDeploymentsResponse" }, "id": "apigee.organizations.environments.sharedflows.deployments.list", "description": "Lists all deployments of a shared flow in an environment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "pattern": "^organizations/[^/]+/environments/[^/]+/sharedflows/[^/]+$", "location": "path", "type": "string", "description": "Required. Name representing a shared flow in an environment in the following format: `organizations/{org}/environments/{env}/sharedflows/{sharedflow}`", "required": true } }, "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/sharedflows/{sharedflowsId}/deployments", "path": "v1/{+parent}/deployments" } } } } }, "apis": { "resources": { "revisions": { "resources": { "deployments": { "methods": { "generateDeployChangeReport": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.environments.apis.revisions.deployments.generateDeployChangeReport", "description": "Generates a report for a dry run analysis of a DeployApiProxy request without committing the deployment. In addition to the standard validations performed when adding deployments, additional analysis will be done to detect possible traffic routing changes that would result from this deployment being created. Any potential routing conflicts or unsafe changes will be reported in the response. This routing analysis is not performed for a non-dry-run DeployApiProxy request. For a request path `organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}/deployments:generateDeployChangeReport`, two permissions are required: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.deployments.create` on the resource `organizations/{org}/environments/{env}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.proxyrevisions.deploy` on the resource `organizations/{org}/apis/{api}/revisions/{rev}`", "parameterOrder": [ "name" ], "parameters": { "override": { "location": "query", "type": "boolean", "description": "Flag that specifies whether to force the deployment of the new revision over the currently deployed revision by overriding conflict checks." }, "name": { "description": "Name of the API proxy revision deployment in the following format: `organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}`", "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+/revisions/[^/]+$", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "GoogleCloudApigeeV1DeploymentChangeReport" }, "path": "v1/{+name}/deployments:generateDeployChangeReport", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/revisions/{revisionsId}/deployments:generateDeployChangeReport" }, "generateUndeployChangeReport": { "httpMethod": "POST", "id": "apigee.organizations.environments.apis.revisions.deployments.generateUndeployChangeReport", "description": "Generates a report for a dry run analysis of an UndeployApiProxy request without committing the undeploy. In addition to the standard validations performed when removing deployments, additional analysis will be done to detect possible traffic routing changes that would result from this deployment being removed. Any potential routing conflicts or unsafe changes will be reported in the response. This routing analysis is not performed for a non-dry-run UndeployApiProxy request. For a request path `organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}/deployments:generateUndeployChangeReport`, two permissions are required: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.deployments.delete` on the resource `organizations/{org}/environments/{env}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.proxyrevisions.undeploy` on the resource `organizations/{org}/apis/{api}/revisions/{rev}`", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/revisions/{revisionsId}/deployments:generateUndeployChangeReport", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1DeploymentChangeReport" }, "path": "v1/{+name}/deployments:generateUndeployChangeReport", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+/revisions/[^/]+$", "required": true, "description": "Name of the API proxy revision deployment in the following format: `organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}`" } }, "parameterOrder": [ "name" ] } } }, "debugsessions": { "methods": { "get": { "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "apigee.organizations.environments.apis.revisions.debugsessions.get", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The name of the debug session to retrieve. Must be of the form: `organizations/{organization}/environments/{environment}/apis/{api}/revisions/{revision}/debugsessions/{session}`.", "required": true, "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+/revisions/[^/]+/debugsessions/[^/]+$" } }, "description": "Retrieves a debug session.", "response": { "$ref": "GoogleCloudApigeeV1DebugSession" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/revisions/{revisionsId}/debugsessions/{debugsessionsId}", "httpMethod": "GET" }, "create": { "httpMethod": "POST", "description": "Creates a debug session for a deployed API Proxy revision.", "path": "v1/{+parent}/debugsessions", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/revisions/{revisionsId}/debugsessions", "request": { "$ref": "GoogleCloudApigeeV1DebugSession" }, "parameters": { "timeout": { "format": "int64", "description": "Optional. The time in seconds after which this DebugSession should end. A timeout specified in DebugSession will overwrite this value.", "location": "query", "type": "string" }, "parent": { "location": "path", "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+/revisions/[^/]+$", "required": true, "description": "Required. The resource name of the API Proxy revision deployment for which to create the DebugSession. Must be of the form `organizations/{organization}/environments/{environment}/apis/{api}/revisions/{revision}`." } }, "id": "apigee.organizations.environments.apis.revisions.debugsessions.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1DebugSession" }, "parameterOrder": [ "parent" ] }, "list": { "parameters": { "pageSize": { "description": "Maximum number of debug sessions to return. The page size defaults to 25.", "format": "int32", "type": "integer", "location": "query" }, "pageToken": { "description": "Page token, returned from a previous ListDebugSessions call, that you can use to retrieve the next page.", "type": "string", "location": "query" }, "parent": { "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+/revisions/[^/]+$", "location": "path", "description": "Required. The name of the API Proxy revision deployment for which to list debug sessions. Must be of the form: `organizations/{organization}/environments/{environment}/apis/{api}/revisions/{revision}`.", "type": "string", "required": true } }, "parameterOrder": [ "parent" ], "id": "apigee.organizations.environments.apis.revisions.debugsessions.list", "path": "v1/{+parent}/debugsessions", "response": { "$ref": "GoogleCloudApigeeV1ListDebugSessionsResponse" }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/revisions/{revisionsId}/debugsessions", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists debug sessions that are currently active in the given API Proxy revision." }, "deleteData": { "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The name of the debug session to delete. Must be of the form: `organizations/{organization}/environments/{environment}/apis/{api}/revisions/{revision}/debugsessions/{debugsession}`.", "location": "path", "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+/revisions/[^/]+/debugsessions/[^/]+$", "required": true } }, "path": "v1/{+name}/data", "id": "apigee.organizations.environments.apis.revisions.debugsessions.deleteData", "parameterOrder": [ "name" ], "description": "Deletes the data from a debug session. This does not cancel the debug session or prevent further data from being collected if the session is still active in runtime pods.", "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/revisions/{revisionsId}/debugsessions/{debugsessionsId}/data" } }, "resources": { "data": { "methods": { "get": { "parameters": { "name": { "location": "path", "type": "string", "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+/revisions/[^/]+/debugsessions/[^/]+/data/[^/]+$", "required": true, "description": "Required. The name of the debug session transaction. Must be of the form: `organizations/{organization}/environments/{environment}/apis/{api}/revisions/{revision}/debugsessions/{session}/data/{transaction}`." } }, "description": "Gets the debug data from a transaction.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.environments.apis.revisions.debugsessions.data.get", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/revisions/{revisionsId}/debugsessions/{debugsessionsId}/data/{dataId}", "response": { "$ref": "GoogleCloudApigeeV1DebugSessionTransaction" }, "httpMethod": "GET" } } } } } }, "methods": { "getDeployments": { "description": "Gets the deployment of an API proxy revision and actual state reported by runtime pods.", "path": "v1/{+name}/deployments", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1Deployment" }, "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/revisions/{revisionsId}/deployments", "id": "apigee.organizations.environments.apis.revisions.getDeployments", "parameters": { "name": { "required": true, "description": "Required. Name representing an API proxy revision in an environment in the following format: `organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}`", "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+/revisions/[^/]+$", "location": "path", "type": "string" } }, "httpMethod": "GET" }, "deploy": { "parameters": { "override": { "location": "query", "description": "Flag that specifies whether the new deployment replaces other deployed revisions of the API proxy in the environment. Set `override` to `true` to replace other deployed revisions. By default, `override` is `false` and the deployment is rejected if other revisions of the API proxy are deployed in the environment.", "type": "boolean" }, "serviceAccount": { "description": "Google Cloud IAM service account. The service account represents the identity of the deployed proxy, and determines what permissions it has. The format must be `{ACCOUNT_ID}@{PROJECT}.iam.gserviceaccount.com`.", "type": "string", "location": "query" }, "sequencedRollout": { "description": "Flag that specifies whether to enable sequenced rollout. If set to `true`, the routing rules for this deployment and the environment changes to add the deployment will be rolled out in a safe order. This reduces the risk of downtime that could be caused by changing the environment group's routing before the new destination for the affected traffic is ready to receive it. This should only be necessary if the new deployment will be capturing traffic from another environment under a shared environment group or if traffic will be rerouted to a different environment due to a base path removal. The [GenerateDeployChangeReport API](GenerateDeployChangeReport) may be used to examine routing changes before issuing the deployment request, and its response will indicate if a sequenced rollout is recommended for the deployment.", "location": "query", "type": "boolean" }, "name": { "required": true, "location": "path", "description": "Required. Name of the API proxy revision deployment in the following format: `organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}`", "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+/revisions/[^/]+$", "type": "string" } }, "response": { "$ref": "GoogleCloudApigeeV1Deployment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/revisions/{revisionsId}/deployments", "description": "Deploys a revision of an API proxy. If another revision of the same API proxy revision is currently deployed, set the `override` parameter to `true` to have this revision replace the currently deployed revision. You cannot invoke an API proxy until it has been deployed to an environment. After you deploy an API proxy revision, you cannot edit it. To edit the API proxy, you must create and deploy a new revision. For a request path `organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}/deployments`, two permissions are required: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.deployments.create` on the resource `organizations/{org}/environments/{env}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.proxyrevisions.deploy` on the resource `organizations/{org}/apis/{api}/revisions/{rev}` ", "id": "apigee.organizations.environments.apis.revisions.deploy", "parameterOrder": [ "name" ], "path": "v1/{+name}/deployments", "httpMethod": "POST" }, "undeploy": { "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "sequencedRollout": { "type": "boolean", "description": "Flag that specifies whether to enable sequenced rollout. If set to `true`, the environment group routing rules corresponding to this deployment will be removed before removing the deployment from the runtime. This is likely to be a rare use case; it is only needed when the intended effect of undeploying this proxy is to cause the traffic it currently handles to be rerouted to some other existing proxy in the environment group. The [GenerateUndeployChangeReport API](GenerateUndeployChangeReport) may be used to examine routing changes before issuing the undeployment request, and its response will indicate if a sequenced rollout is recommended for the undeployment.", "location": "query" }, "name": { "description": "Required. Name of the API proxy revision deployment in the following format: `organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}`", "type": "string", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+/revisions/[^/]+$", "required": true } }, "description": "Undeploys an API proxy revision from an environment. For a request path `organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}/deployments`, two permissions are required: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.deployments.delete` on the resource `organizations/{org}/environments/{env}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apigee.proxyrevisions.undeploy` on the resource `organizations/{org}/apis/{api}/revisions/{rev}`", "httpMethod": "DELETE", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/revisions/{revisionsId}/deployments", "path": "v1/{+name}/deployments", "id": "apigee.organizations.environments.apis.revisions.undeploy", "parameterOrder": [ "name" ] } } }, "deployments": { "methods": { "list": { "response": { "$ref": "GoogleCloudApigeeV1ListDeploymentsResponse" }, "path": "v1/{+parent}/deployments", "description": "Lists all deployments of an API proxy in an environment.", "id": "apigee.organizations.environments.apis.deployments.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "type": "string", "description": "Required. Name representing an API proxy in an environment in the following format: `organizations/{org}/environments/{env}/apis/{api}`", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/apis/[^/]+$", "required": true } }, "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/apis/{apisId}/deployments" } } } } }, "stats": { "methods": { "get": { "description": "Retrieve metrics grouped by dimensions. The types of metrics you can retrieve include traffic, message counts, API call latency, response size, and cache hits and counts. Dimensions let you view metrics in meaningful groups. You can optionally pass dimensions as path parameters to the `stats` API. If dimensions are not specified, the metrics are computed on the entire set of data for the given time range.", "flatPath": "v1/organizations/{organizationsId}/environments/{environmentsId}/stats/{statsId}", "parameterOrder": [ "name" ], "id": "apigee.organizations.environments.stats.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "sort": { "type": "string", "location": "query", "description": "Flag that specifies whether the sort order should be ascending or descending. Valid values include: `DESC` and `ASC`." }, "sortby": { "location": "query", "description": "Comma-separated list of columns to sort the final result.", "type": "string" }, "aggTable": { "location": "query", "description": "Table name used to query custom aggregate tables. If this parameter is skipped, then Apigee will try to retrieve the data from fact tables which will be expensive.", "type": "string" }, "offset": { "description": "Offset value. Use `offset` with `limit` to enable pagination of results. For example, to display results 11-20, set limit to `10` and offset to `10`.", "location": "query", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "Filter that enables you to drill down on specific dimension values." }, "name": { "type": "string", "location": "path", "pattern": "^organizations/[^/]+/environments/[^/]+/stats/.*$", "required": true, "description": "Required. Resource name for which the interactive query will be executed. Use the following format in your request: `organizations/{org}/environments/{env}/stats/{dimensions}` Dimensions let you view metrics in meaningful groupings, such as `apiproxy` or `target_host`. The value of dimensions should be a comma-separated list, as shown below: `organizations/{org}/environments/{env}/stats/apiproxy,request_verb`" }, "limit": { "description": "Maximum number of result items to return. The default and maximum value that can be returned is 14400.", "type": "string", "location": "query" }, "select": { "description": "Comma-separated list of metrics. For example: `sum(message_count),sum(error_count)`", "location": "query", "type": "string" }, "timeUnit": { "type": "string", "description": "Granularity of metrics returned. Valid values include: `second`, `minute`, `hour`, `day`, `week`, or` month`.", "location": "query" }, "realtime": { "type": "boolean", "location": "query", "description": "No longer used by Apigee. Supported for backwards compatibility." }, "timeRange": { "type": "string", "description": "Time interval for the interactive query. Time range is specified in GMT as `start~end`. For example: `04/15/2017 00:00~05/15/2017 23:59`", "location": "query" }, "topk": { "description": "Top number of results to return. For example, to return the top 5 results, set `topk=5`.", "location": "query", "type": "string" }, "tzo": { "type": "string", "description": "Timezone offset value.", "location": "query" }, "accuracy": { "type": "string", "description": "No longer used by Apigee. Supported for backwards compatibility.", "location": "query" }, "sonar": { "description": "Routes the query to API Monitoring for the last hour.", "type": "boolean", "location": "query" }, "tsAscending": { "description": "Flag that specifies whether to list timestamps in ascending (`true`) or descending (`false`) order. Apigee recommends that you set this value to `true` if you are using `sortby` with `sort=DESC`.", "type": "boolean", "location": "query" } }, "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1Stats" } } } } } }, "apps": { "methods": { "list": { "httpMethod": "GET", "path": "v1/{+parent}/apps", "description": "Lists IDs of apps within an organization that have the specified app status (approved or revoked) or are of the specified app type (developer or company).", "response": { "$ref": "GoogleCloudApigeeV1ListAppsResponse" }, "parameterOrder": [ "parent" ], "parameters": { "keyStatus": { "description": "Optional. Key status of the app. Valid values include `approved` or `revoked`. Defaults to `approved`.", "location": "query", "type": "string" }, "parent": { "description": "Required. Resource path of the parent in the following format: `organizations/{org}`", "required": true, "pattern": "^organizations/[^/]+$", "location": "path", "type": "string" }, "apiProduct": { "description": "API product.", "location": "query", "type": "string" }, "includeCred": { "description": "Optional. Flag that specifies whether to include credentials in the response.", "location": "query", "type": "boolean" }, "expand": { "description": "Optional. Flag that specifies whether to return an expanded list of apps for the organization. Defaults to `false`.", "location": "query", "type": "boolean" }, "status": { "type": "string", "description": "Optional. Filter by the status of the app. Valid values are `approved` or `revoked`. Defaults to `approved`.", "location": "query" }, "apptype": { "location": "query", "type": "string", "description": "Optional. Filter by the type of the app. Valid values are `company` or `developer`. Defaults to `developer`." }, "ids": { "type": "string", "location": "query", "description": "Optional. Comma-separated list of app IDs on which to filter." }, "startKey": { "location": "query", "type": "string", "description": "Returns the list of apps starting from the specified app ID." }, "rows": { "location": "query", "type": "string", "format": "int64", "description": "Optional. Maximum number of app IDs to return. Defaults to 10000." } }, "id": "apigee.organizations.apps.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/apps" }, "get": { "id": "apigee.organizations.apps.get", "httpMethod": "GET", "response": { "$ref": "GoogleCloudApigeeV1App" }, "parameters": { "name": { "pattern": "^organizations/[^/]+/apps/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. App ID in the following format: `organizations/{org}/apps/{app}`" } }, "description": "Gets the app profile for the specified app ID.", "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/apps/{appsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] } } }, "reports": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.reports.delete", "response": { "$ref": "GoogleCloudApigeeV1DeleteCustomReportResponse" }, "flatPath": "v1/organizations/{organizationsId}/reports/{reportsId}", "description": "Deletes an existing custom report definition", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "Required. Custom Report name of the form: `organizations/{organization_id}/reports/{report_name}`", "pattern": "^organizations/[^/]+/reports/[^/]+$" } }, "path": "v1/{+name}" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1CustomReport" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "required": true, "location": "path", "type": "string", "description": "Required. The parent organization name under which the Custom Report will be created. Must be of the form: `organizations/{organization_id}/reports`", "pattern": "^organizations/[^/]+$" } }, "response": { "$ref": "GoogleCloudApigeeV1CustomReport" }, "httpMethod": "POST", "description": "Creates a Custom Report for an Organization. A Custom Report provides Apigee Customers to create custom dashboards in addition to the standard dashboards which are provided. The Custom Report in its simplest form contains specifications about metrics, dimensions and filters. It is important to note that the custom report by itself does not provide an executable entity. The Edge UI converts the custom report definition into an analytics query and displays the result in a chart.", "path": "v1/{+parent}/reports", "flatPath": "v1/organizations/{organizationsId}/reports", "id": "apigee.organizations.reports.create" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "path": "v1/{+parent}/reports", "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/reports", "id": "apigee.organizations.reports.list", "response": { "$ref": "GoogleCloudApigeeV1ListCustomReportsResponse" }, "description": "Return a list of Custom Reports", "parameters": { "expand": { "location": "query", "type": "boolean", "description": "Set to 'true' to get expanded details about each custom report." }, "parent": { "type": "string", "description": "Required. The parent organization name under which the API product will be listed `organizations/{organization_id}/reports`", "pattern": "^organizations/[^/]+$", "location": "path", "required": true } } }, "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1CustomReport" }, "response": { "$ref": "GoogleCloudApigeeV1CustomReport" }, "path": "v1/{+name}", "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Required. Custom Report name of the form: `organizations/{organization_id}/reports/{report_name}`", "pattern": "^organizations/[^/]+/reports/[^/]+$" } }, "parameterOrder": [ "name" ], "id": "apigee.organizations.reports.update", "flatPath": "v1/organizations/{organizationsId}/reports/{reportsId}", "description": "Update an existing custom report definition", "httpMethod": "PUT" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "GET", "parameters": { "name": { "description": "Required. Custom Report name of the form: `organizations/{organization_id}/reports/{report_name}`", "required": true, "pattern": "^organizations/[^/]+/reports/[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v1/organizations/{organizationsId}/reports/{reportsId}", "description": "Retrieve a custom report definition.", "parameterOrder": [ "name" ], "id": "apigee.organizations.reports.get", "response": { "$ref": "GoogleCloudApigeeV1CustomReport" } } } }, "envgroups": { "methods": { "create": { "description": "Creates a new environment group.", "path": "v1/{+parent}/envgroups", "flatPath": "v1/organizations/{organizationsId}/envgroups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "description": "Required. Name of the organization in which to create the environment group in the following format: `organizations/{org}`.", "location": "path", "pattern": "^organizations/[^/]+$", "type": "string", "required": true }, "name": { "type": "string", "location": "query", "description": "ID of the environment group. Overrides any ID in the environment_group resource." } }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "id": "apigee.organizations.envgroups.create", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudApigeeV1EnvironmentGroup" } }, "delete": { "parameters": { "name": { "type": "string", "description": "Required. Name of the environment group in the following format: `organizations/{org}/envgroups/{envgroup}`.", "required": true, "location": "path", "pattern": "^organizations/[^/]+/envgroups/[^/]+$" } }, "httpMethod": "DELETE", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+name}", "description": "Deletes an environment group.", "flatPath": "v1/organizations/{organizationsId}/envgroups/{envgroupsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "apigee.organizations.envgroups.delete" }, "patch": { "httpMethod": "PATCH", "flatPath": "v1/organizations/{organizationsId}/envgroups/{envgroupsId}", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudApigeeV1EnvironmentGroup" }, "path": "v1/{+name}", "description": "Updates an environment group.", "id": "apigee.organizations.envgroups.patch", "parameters": { "name": { "type": "string", "pattern": "^organizations/[^/]+/envgroups/[^/]+$", "required": true, "location": "path", "description": "Required. Name of the environment group to update in the format: `organizations/{org}/envgroups/{envgroup}." }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "List of fields to be updated." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameters": { "name": { "type": "string", "required": true, "description": "Required. Name of the environment group in the following format: `organizations/{org}/envgroups/{envgroup}`.", "pattern": "^organizations/[^/]+/envgroups/[^/]+$", "location": "path" } }, "parameterOrder": [ "name" ], "id": "apigee.organizations.envgroups.get", "description": "Gets an environment group.", "response": { "$ref": "GoogleCloudApigeeV1EnvironmentGroup" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/envgroups/{envgroupsId}" }, "list": { "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "Maximum number of environment groups to return. The page size defaults to 25.", "location": "query" }, "parent": { "required": true, "location": "path", "pattern": "^organizations/[^/]+$", "description": "Required. Name of the organization for which to list environment groups in the following format: `organizations/{org}`.", "type": "string" }, "pageToken": { "type": "string", "description": "Page token, returned from a previous ListEnvironmentGroups call, that you can use to retrieve the next page.", "location": "query" } }, "httpMethod": "GET", "path": "v1/{+parent}/envgroups", "response": { "$ref": "GoogleCloudApigeeV1ListEnvironmentGroupsResponse" }, "flatPath": "v1/organizations/{organizationsId}/envgroups", "parameterOrder": [ "parent" ], "description": "Lists all environment groups.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.envgroups.list" } }, "resources": { "attachments": { "methods": { "create": { "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "description": "Creates a new attachment of an environment to an environment group.", "parameters": { "parent": { "required": true, "description": "Required. EnvironmentGroup under which to create the attachment in the following format: `organizations/{org}/envgroups/{envgroup}`.", "pattern": "^organizations/[^/]+/envgroups/[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v1/organizations/{organizationsId}/envgroups/{envgroupsId}/attachments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1EnvironmentGroupAttachment" }, "path": "v1/{+parent}/attachments", "id": "apigee.organizations.envgroups.attachments.create", "parameterOrder": [ "parent" ] }, "get": { "flatPath": "v1/organizations/{organizationsId}/envgroups/{envgroupsId}/attachments/{attachmentsId}", "description": "Gets an environment group attachment.", "parameters": { "name": { "pattern": "^organizations/[^/]+/envgroups/[^/]+/attachments/[^/]+$", "required": true, "description": "Required. Name of the environment group attachment in the following format: `organizations/{org}/envgroups/{envgroup}/attachments/{attachment}`", "type": "string", "location": "path" } }, "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1EnvironmentGroupAttachment" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "apigee.organizations.envgroups.attachments.get" }, "delete": { "description": "Deletes an environment group attachment.", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "apigee.organizations.envgroups.attachments.delete", "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. Name of the environment group attachment to delete in the following format: `organizations/{org}/envgroups/{envgroup}/attachments/{attachment}`.", "required": true, "location": "path", "type": "string", "pattern": "^organizations/[^/]+/envgroups/[^/]+/attachments/[^/]+$" } }, "flatPath": "v1/organizations/{organizationsId}/envgroups/{envgroupsId}/attachments/{attachmentsId}" }, "list": { "id": "apigee.organizations.envgroups.attachments.list", "httpMethod": "GET", "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/envgroups/{envgroupsId}/attachments", "parameters": { "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Maximum number of environment group attachments to return. The page size defaults to 25." }, "parent": { "location": "path", "description": "Required. Name of the environment group in the following format: `organizations/{org}/envgroups/{envgroup}`.", "type": "string", "pattern": "^organizations/[^/]+/envgroups/[^/]+$", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "Page token, returned by a previous ListEnvironmentGroupAttachments call, that you can use to retrieve the next page." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1ListEnvironmentGroupAttachmentsResponse" }, "path": "v1/{+parent}/attachments", "description": "Lists all attachments of an environment group." } } } } }, "developers": { "resources": { "balance": { "methods": { "adjust": { "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/balance:adjust", "response": { "$ref": "GoogleCloudApigeeV1DeveloperBalance" }, "path": "v1/{+name}:adjust", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudApigeeV1AdjustDeveloperBalanceRequest" }, "parameters": { "name": { "description": "Required. Account balance for the developer. Use the following structure in your request: `organizations/{org}/developers/{developer}/balance`", "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+/balance$", "required": true, "type": "string" } }, "description": "Adjust the prepaid balance for the developer. This API will be used in scenarios where the developer has been under-charged or over-charged.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.developers.balance.adjust", "httpMethod": "POST" }, "credit": { "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/balance:credit", "description": "Credits the account balance for the developer.", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudApigeeV1CreditDeveloperBalanceRequest" }, "parameters": { "name": { "location": "path", "type": "string", "description": "Required. Account balance for the developer. Use the following structure in your request: `organizations/{org}/developers/{developer}/balance`", "pattern": "^organizations/[^/]+/developers/[^/]+/balance$", "required": true } }, "path": "v1/{+name}:credit", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.developers.balance.credit", "response": { "$ref": "GoogleCloudApigeeV1DeveloperBalance" }, "httpMethod": "POST" } } }, "attributes": { "methods": { "get": { "id": "apigee.organizations.developers.attributes.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1Attribute" }, "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/attributes/{attributesId}", "description": "Returns the value of the specified developer attribute.", "parameters": { "name": { "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+/attributes/[^/]+$", "required": true, "description": "Required. Name of the developer attribute. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/attributes/{attribute}`", "type": "string" } } }, "updateDeveloperAttribute": { "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "apigee.organizations.developers.attributes.updateDeveloperAttribute", "description": "Updates a developer attribute. **Note**: OAuth access tokens and Key Management Service (KMS) entities (apps, developers, and API products) are cached for 180 seconds (default). Any custom attributes associated with these entities are cached for at least 180 seconds after the entity is accessed at runtime. Therefore, an `ExpiresIn` element on the OAuthV2 policy won't be able to expire an access token in less than 180 seconds.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1Attribute" }, "request": { "$ref": "GoogleCloudApigeeV1Attribute" }, "parameters": { "name": { "type": "string", "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+/attributes/[^/]+$", "required": true, "description": "Required. Name of the developer attribute. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/attributes/{attribute}`" } }, "httpMethod": "POST", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/attributes/{attributesId}" }, "list": { "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/attributes", "response": { "$ref": "GoogleCloudApigeeV1Attributes" }, "parameters": { "parent": { "pattern": "^organizations/[^/]+/developers/[^/]+$", "description": "Required. Email address of the developer for which attributes are being listed. Use the following structure in your request: `organizations/{org}/developers/{developer_email}`", "type": "string", "location": "path", "required": true } }, "id": "apigee.organizations.developers.attributes.list", "httpMethod": "GET", "path": "v1/{+parent}/attributes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "description": "Returns a list of all developer attributes." }, "delete": { "id": "apigee.organizations.developers.attributes.delete", "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/attributes/{attributesId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a developer attribute.", "httpMethod": "DELETE", "response": { "$ref": "GoogleCloudApigeeV1Attribute" }, "parameters": { "name": { "pattern": "^organizations/[^/]+/developers/[^/]+/attributes/[^/]+$", "description": "Required. Name of the developer attribute. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/attributes/{attribute}`", "location": "path", "type": "string", "required": true } } } } }, "apps": { "resources": { "keys": { "methods": { "updateDeveloperAppKey": { "response": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "path": "v1/{+name}", "description": "Adds an API product to a developer app key, enabling the app that holds the key to access the API resources bundled in the API product. In addition, you can add attributes to a developer app key. This API replaces the existing attributes with those specified in the request. Include or exclude any existing attributes that you want to retain or delete, respectively. You can use the same key to access all API products associated with the app.", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/keys/{keysId}", "httpMethod": "POST", "id": "apigee.organizations.developers.apps.keys.updateDeveloperAppKey", "request": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "required": true, "description": "Name of the developer app key. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}/keys/{key}`", "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+/keys/[^/]+$" }, "action": { "location": "query", "description": "Approve or revoke the consumer key by setting this value to `approve` or `revoke`, respectively. The `Content-Type` header must be set to `application/octet-stream`.", "type": "string" } } }, "get": { "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Gets details for a consumer key for a developer app, including the key and secret value, associated API products, and other information.", "id": "apigee.organizations.developers.apps.keys.get", "response": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "parameters": { "name": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+/keys/[^/]+$", "location": "path", "description": "Name of the developer app key. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}/keys/{key}`" } }, "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/keys/{keysId}", "httpMethod": "GET" }, "delete": { "parameters": { "name": { "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+/keys/[^/]+$", "type": "string", "description": "Name of the developer app key. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}/keys/{key}`", "required": true, "location": "path" } }, "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/keys/{keysId}", "httpMethod": "DELETE", "id": "apigee.organizations.developers.apps.keys.delete", "description": "Deletes an app's consumer key and removes all API products associated with the app. After the consumer key is deleted, it cannot be used to access any APIs. **Note**: After you delete a consumer key, you may want to: 1. Create a new consumer key and secret for the developer app using the CreateDeveloperAppKey API, and subsequently add an API product to the key using the UpdateDeveloperAppKey API. 2. Delete the developer app, if it is no longer required." }, "replaceDeveloperAppKey": { "id": "apigee.organizations.developers.apps.keys.replaceDeveloperAppKey", "parameters": { "name": { "type": "string", "description": "Name of the developer app key. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}/keys/{key}`", "required": true, "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+/keys/[^/]+$", "location": "path" } }, "request": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/keys/{keysId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PUT", "description": "Updates the scope of an app. This API replaces the existing scopes with those specified in the request. Include or exclude any existing scopes that you want to retain or delete, respectively. The specified scopes must already be defined for the API products associated with the app. This API sets the `scopes` element under the `apiProducts` element in the attributes of the app.", "path": "v1/{+name}" }, "create": { "description": "Creates a custom consumer key and secret for a developer app. This is particularly useful if you want to migrate existing consumer keys and secrets to Apigee from another system. Consumer keys and secrets can contain letters, numbers, underscores, and hyphens. No other special characters are allowed. To avoid service disruptions, a consumer key and secret should not exceed 2 KBs each. **Note**: When creating the consumer key and secret, an association to API products will not be made. Therefore, you should not specify the associated API products in your request. Instead, use the UpdateDeveloperAppKey API to make the association after the consumer key and secret are created. If a consumer key and secret already exist, you can keep them or delete them using the DeleteDeveloperAppKey API.", "response": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "parameters": { "parent": { "required": true, "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+$", "description": "Parent of the developer app key. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps`", "location": "path", "type": "string" } }, "path": "v1/{+parent}/keys", "id": "apigee.organizations.developers.apps.keys.create", "request": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/keys" } }, "resources": { "create": { "methods": { "create": { "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/keys/create", "parameters": { "parent": { "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+$", "description": "Parent of the developer app key. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps`", "required": true, "type": "string" } }, "description": "Creates a custom consumer key and secret for a developer app. This is particularly useful if you want to migrate existing consumer keys and secrets to Apigee from another system. Consumer keys and secrets can contain letters, numbers, underscores, and hyphens. No other special characters are allowed. To avoid service disruptions, a consumer key and secret should not exceed 2 KBs each. **Note**: When creating the consumer key and secret, an association to API products will not be made. Therefore, you should not specify the associated API products in your request. Instead, use the UpdateDeveloperAppKey API to make the association after the consumer key and secret are created. If a consumer key and secret already exist, you can keep them or delete them using the DeleteDeveloperAppKey API.", "id": "apigee.organizations.developers.apps.keys.create.create", "path": "v1/{+parent}/keys/create", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "response": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "parameterOrder": [ "parent" ] } } }, "apiproducts": { "methods": { "updateDeveloperAppKeyApiProduct": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleProtobufEmpty" }, "id": "apigee.organizations.developers.apps.keys.apiproducts.updateDeveloperAppKeyApiProduct", "httpMethod": "POST", "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/keys/{keysId}/apiproducts/{apiproductsId}", "description": "Approves or revokes the consumer key for an API product. After a consumer key is approved, the app can use it to access APIs. A consumer key that is revoked or pending cannot be used to access an API. Any access tokens associated with a revoked consumer key will remain active. However, Apigee checks the status of the consumer key and if set to `revoked` will not allow access to the API.", "parameters": { "name": { "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+/keys/[^/]+/apiproducts/[^/]+$", "required": true, "description": "Name of the API product in the developer app key in the following format: `organizations/{org}/developers/{developer_email}/apps/{app}/keys/{key}/apiproducts/{apiproduct}`", "location": "path", "type": "string" }, "action": { "type": "string", "location": "query", "description": "Approve or revoke the consumer key by setting this value to `approve` or `revoke`, respectively." } } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "apigee.organizations.developers.apps.keys.apiproducts.delete", "parameters": { "name": { "description": "Name of the API product in the developer app key in the following format: `organizations/{org}/developers/{developer_email}/apps/{app}/keys/{key}/apiproducts/{apiproduct}`", "type": "string", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+/keys/[^/]+/apiproducts/[^/]+$", "location": "path", "required": true } }, "description": "Removes an API product from an app's consumer key. After the API product is removed, the app cannot access the API resources defined in that API product. **Note**: The consumer key is not removed, only its association with the API product.", "response": { "$ref": "GoogleCloudApigeeV1DeveloperAppKey" }, "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/keys/{keysId}/apiproducts/{apiproductsId}" } } } } }, "attributes": { "methods": { "list": { "response": { "$ref": "GoogleCloudApigeeV1Attributes" }, "parameters": { "parent": { "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+$", "description": "Required. Name of the developer app. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}`", "type": "string", "required": true } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns a list of all developer app attributes.", "id": "apigee.organizations.developers.apps.attributes.list", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/attributes", "httpMethod": "GET", "path": "v1/{+parent}/attributes" }, "get": { "id": "apigee.organizations.developers.apps.attributes.get", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/attributes/{attributesId}", "parameters": { "name": { "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+/attributes/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. Name of the developer app attribute. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}/attributes/{attribute}`" } }, "response": { "$ref": "GoogleCloudApigeeV1Attribute" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Returns a developer app attribute.", "path": "v1/{+name}" }, "updateDeveloperAppAttribute": { "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/attributes/{attributesId}", "httpMethod": "POST", "parameters": { "name": { "type": "string", "description": "Required. Name of the developer app attribute. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}/attributes/{attribute}`", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+/attributes/[^/]+$", "location": "path", "required": true } }, "description": "Updates a developer app attribute. **Note**: OAuth access tokens and Key Management Service (KMS) entities (apps, developers, and API products) are cached for 180 seconds (current default). Any custom attributes associated with these entities are cached for at least 180 seconds after the entity is accessed at runtime. Therefore, an `ExpiresIn` element on the OAuthV2 policy won't be able to expire an access token in less than 180 seconds.", "id": "apigee.organizations.developers.apps.attributes.updateDeveloperAppAttribute", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1Attribute" }, "request": { "$ref": "GoogleCloudApigeeV1Attribute" }, "path": "v1/{+name}" }, "delete": { "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1Attribute" }, "httpMethod": "DELETE", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.developers.apps.attributes.delete", "parameters": { "name": { "type": "string", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+/attributes/[^/]+$", "location": "path", "required": true, "description": "Required. Name of the developer app attribute. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}/attributes/{attribute}`" } }, "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/attributes/{attributesId}", "description": "Deletes a developer app attribute." } } } }, "methods": { "list": { "parameters": { "expand": { "description": "Optional. Specifies whether to expand the results. Set to `true` to expand the results. This query parameter is not valid if you use the `count` or `startKey` query parameters.", "location": "query", "type": "boolean" }, "shallowExpand": { "description": "Optional. Specifies whether to expand the results in shallow mode. Set to `true` to expand the results in shallow mode.", "type": "boolean", "location": "query" }, "parent": { "description": "Required. Name of the developer. Use the following structure in your request: `organizations/{org}/developers/{developer_email}`", "pattern": "^organizations/[^/]+/developers/[^/]+$", "required": true, "location": "path", "type": "string" }, "count": { "description": "Number of developer apps to return in the API call. Use with the `startKey` parameter to provide more targeted filtering. The limit is 1000.", "format": "int64", "type": "string", "location": "query" }, "startKey": { "type": "string", "location": "query", "description": "**Note**: Must be used in conjunction with the `count` parameter. Name of the developer app from which to start displaying the list of developer apps. For example, if you're returning 50 developer apps at a time (using the `count` query parameter), you can view developer apps 50-99 by entering the name of the 50th developer app. The developer app name is case sensitive." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.developers.apps.list", "description": "Lists all apps created by a developer in an Apigee organization. Optionally, you can request an expanded view of the developer apps. A maximum of 100 developer apps are returned per API call. You can paginate the list of deveoper apps returned using the `startKey` and `count` query parameters.", "response": { "$ref": "GoogleCloudApigeeV1ListDeveloperAppsResponse" }, "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps", "path": "v1/{+parent}/apps", "parameterOrder": [ "parent" ], "httpMethod": "GET" }, "get": { "httpMethod": "GET", "response": { "$ref": "GoogleCloudApigeeV1DeveloperApp" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}", "description": "Returns the details for a developer app.", "parameterOrder": [ "name" ], "parameters": { "query": { "location": "query", "description": "**Note**: Must be used in conjunction with the `entity` parameter. Set to `count` to return the number of API resources that have been approved for access by a developer app in the specified Apigee organization.", "type": "string" }, "entity": { "description": "**Note**: Must be used in conjunction with the `query` parameter. Set to `apiresources` to return the number of API resources that have been approved for access by a developer app in the specified Apigee organization.", "type": "string", "location": "query" }, "name": { "required": true, "location": "path", "type": "string", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+$", "description": "Required. Name of the developer app. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}`" } }, "id": "apigee.organizations.developers.apps.get" }, "delete": { "id": "apigee.organizations.developers.apps.delete", "description": "Deletes a developer app. **Note**: The delete operation is asynchronous. The developer app is deleted immediately, but its associated resources, such as app keys or access tokens, may take anywhere from a few seconds to a few minutes to be deleted.", "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "Required. Name of the developer app. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}`", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+$" } }, "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "response": { "$ref": "GoogleCloudApigeeV1DeveloperApp" } }, "generateKeyPairOrUpdateDeveloperAppStatus": { "httpMethod": "POST", "response": { "$ref": "GoogleCloudApigeeV1DeveloperApp" }, "description": "Manages access to a developer app by enabling you to: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Approve or revoke a developer app LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Generate a new consumer key and secret for a developer app To approve or revoke a developer app, set the `action` query parameter to `approved` or `revoked`, respectively, and the `Content-Type` header to `application/octet-stream`. If a developer app is revoked, none of its API keys are valid for API calls even though the keys are still `approved`. If successful, the API call returns the following HTTP status code: `204 No Content` To generate a new consumer key and secret for a developer app, pass the new key/secret details. Rather than replace an existing key, this API generates a new key. In this case, multiple key pairs may be associated with a single developer app. Each key pair has an independent status (`approved` or `revoked`) and expiration time. Any approved, non-expired key can be used in an API call. For example, if you're using API key rotation, you can generate new keys with expiration times that overlap keys that are going to expire. You might also generate a new consumer key/secret if the security of the original key/secret is compromised. The `keyExpiresIn` property defines the expiration time for the API key in milliseconds. If you don't set this property or set it to `-1`, the API key never expires. **Notes**: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When generating a new key/secret, this API replaces the existing attributes, notes, and callback URLs with those specified in the request. Include or exclude any existing information that you want to retain or delete, respectively. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh To migrate existing consumer keys and secrets to hybrid from another system, see the CreateDeveloperAppKey API.", "id": "apigee.organizations.developers.apps.generateKeyPairOrUpdateDeveloperAppStatus", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}", "parameterOrder": [ "name" ], "path": "v1/{+name}", "request": { "$ref": "GoogleCloudApigeeV1DeveloperApp" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "action": { "type": "string", "location": "query", "description": "Action. Valid values are `approve` or `revoke`." }, "name": { "required": true, "description": "Required. Name of the developer app. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}`", "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+$", "type": "string" } } }, "update": { "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Required. Name of the developer app. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}`", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.developers.apps.update", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}", "path": "v1/{+name}", "httpMethod": "PUT", "parameterOrder": [ "name" ], "description": "Updates the details for a developer app. In addition, you can add an API product to a developer app and automatically generate an API key for the app to use when calling APIs in the API product. If you want to use an existing API key for the API product, add the API product to the API key using the UpdateDeveloperAppKey API. Using this API, you cannot update the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh App name as it is the primary key used to identify the app and cannot be changed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Scopes associated with the app. Instead, use the ReplaceDeveloperAppKey API. This API replaces the existing attributes with those specified in the request. Include or exclude any existing attributes that you want to retain or delete, respectively.", "request": { "$ref": "GoogleCloudApigeeV1DeveloperApp" }, "response": { "$ref": "GoogleCloudApigeeV1DeveloperApp" } }, "create": { "description": "Creates an app associated with a developer. This API associates the developer app with the specified API product and auto-generates an API key for the app to use in calls to API proxies inside that API product. The `name` is the unique ID of the app that you can use in API calls. The `DisplayName` (set as an attribute) appears in the UI. If you don't set the `DisplayName` attribute, the `name` appears in the UI.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps", "response": { "$ref": "GoogleCloudApigeeV1DeveloperApp" }, "path": "v1/{+parent}/apps", "id": "apigee.organizations.developers.apps.create", "parameters": { "parent": { "pattern": "^organizations/[^/]+/developers/[^/]+$", "description": "Required. Name of the developer. Use the following structure in your request: `organizations/{org}/developers/{developer_email}`", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudApigeeV1DeveloperApp" } }, "attributes": { "response": { "$ref": "GoogleCloudApigeeV1Attributes" }, "path": "v1/{+name}/attributes", "parameters": { "name": { "required": true, "description": "Required. Name of the developer app. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/apps/{app}`", "type": "string", "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+/apps/[^/]+$" } }, "request": { "$ref": "GoogleCloudApigeeV1Attributes" }, "id": "apigee.organizations.developers.apps.attributes", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/apps/{appsId}/attributes", "httpMethod": "POST", "description": "Updates attributes for a developer app. This API replaces the current attributes with those specified in the request.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "subscriptions": { "methods": { "list": { "parameters": { "count": { "location": "query", "format": "int32", "type": "integer", "description": "Number of API product subscriptions to return in the API call. Use with `startKey` to provide more targeted filtering. Defaults to 100. The maximum limit is 1000." }, "parent": { "location": "path", "description": "Required. Email address of the developer. Use the following structure in your request: `organizations/{org}/developers/{developer_email}`", "type": "string", "required": true, "pattern": "^organizations/[^/]+/developers/[^/]+$" }, "startKey": { "location": "query", "type": "string", "description": "Name of the API product subscription from which to start displaying the list of subscriptions. If omitted, the list starts from the first item. For example, to view the API product subscriptions from 51-150, set the value of `startKey` to the name of the 51st subscription and set the value of `count` to 100." } }, "parameterOrder": [ "parent" ], "id": "apigee.organizations.developers.subscriptions.list", "path": "v1/{+parent}/subscriptions", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/subscriptions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1ListDeveloperSubscriptionsResponse" }, "httpMethod": "GET", "description": "Lists all API product subscriptions for a developer." }, "get": { "description": "Gets details for an API product subscription.", "parameters": { "name": { "required": true, "type": "string", "description": "Required. Name of the API product subscription. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/subscriptions/{subscription}`", "pattern": "^organizations/[^/]+/developers/[^/]+/subscriptions/[^/]+$", "location": "path" } }, "response": { "$ref": "GoogleCloudApigeeV1DeveloperSubscription" }, "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/subscriptions/{subscriptionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "apigee.organizations.developers.subscriptions.get" }, "create": { "description": "Creates a subscription to an API product. ", "parameters": { "parent": { "description": "Required. Email address of the developer that is purchasing a subscription to the API product. Use the following structure in your request: `organizations/{org}/developers/{developer_email}`", "pattern": "^organizations/[^/]+/developers/[^/]+$", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/subscriptions", "parameterOrder": [ "parent" ], "id": "apigee.organizations.developers.subscriptions.create", "request": { "$ref": "GoogleCloudApigeeV1DeveloperSubscription" }, "httpMethod": "POST", "path": "v1/{+parent}/subscriptions", "response": { "$ref": "GoogleCloudApigeeV1DeveloperSubscription" } }, "expire": { "description": "Expires an API product subscription immediately.", "id": "apigee.organizations.developers.subscriptions.expire", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1ExpireDeveloperSubscriptionRequest" }, "response": { "$ref": "GoogleCloudApigeeV1DeveloperSubscription" }, "httpMethod": "POST", "parameters": { "name": { "description": "Required. Name of the API product subscription. Use the following structure in your request: `organizations/{org}/developers/{developer_email}/subscriptions/{subscription}`", "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+/subscriptions/[^/]+$", "required": true, "type": "string" } }, "path": "v1/{+name}:expire", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/subscriptions/{subscriptionsId}:expire", "parameterOrder": [ "name" ] } } } }, "methods": { "getMonetizationConfig": { "response": { "$ref": "GoogleCloudApigeeV1DeveloperMonetizationConfig" }, "parameters": { "name": { "description": "Required. Monetization configuration for the developer. Use the following structure in your request: `organizations/{org}/developers/{developer}/monetizationConfig`", "required": true, "location": "path", "type": "string", "pattern": "^organizations/[^/]+/developers/[^/]+/monetizationConfig$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/monetizationConfig", "path": "v1/{+name}", "id": "apigee.organizations.developers.getMonetizationConfig", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Gets the monetization configuration for the developer." }, "list": { "response": { "$ref": "GoogleCloudApigeeV1ListOfDevelopersResponse" }, "description": "Lists all developers in an organization by email address. By default, the response does not include company developers. Set the `includeCompany` query parameter to `true` to include company developers. **Note**: A maximum of 1000 developers are returned in the response. You paginate the list of developers returned using the `startKey` and `count` query parameters.", "path": "v1/{+parent}/developers", "parameters": { "ids": { "description": "Optional. List of IDs to include, separated by commas.", "location": "query", "type": "string" }, "includeCompany": { "description": "Flag that specifies whether to include company details in the response.", "location": "query", "type": "boolean" }, "app": { "description": "Optional. List only Developers that are associated with the app. Note that start_key, count are not applicable for this filter criteria.", "type": "string", "location": "query" }, "parent": { "type": "string", "description": "Required. Name of the Apigee organization. Use the following structure in your request: `organizations/{org}`.", "required": true, "pattern": "^organizations/[^/]+$", "location": "path" }, "startKey": { "location": "query", "type": "string", "description": "**Note**: Must be used in conjunction with the `count` parameter. Email address of the developer from which to start displaying the list of developers. For example, if the an unfiltered list returns: ``` westley@example.com fezzik@example.com buttercup@example.com ``` and your `startKey` is `fezzik@example.com`, the list returned will be ``` fezzik@example.com buttercup@example.com ```" }, "expand": { "type": "boolean", "description": "Specifies whether to expand the results. Set to `true` to expand the results. This query parameter is not valid if you use the `count` or `startKey` query parameters.", "location": "query" }, "count": { "format": "int64", "type": "string", "location": "query", "description": "Optional. Number of developers to return in the API call. Use with the `startKey` parameter to provide more targeted filtering. The limit is 1000." } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "apigee.organizations.developers.list", "flatPath": "v1/organizations/{organizationsId}/developers" }, "attributes": { "description": "Updates developer attributes. This API replaces the existing attributes with those specified in the request. Add new attributes, and include or exclude any existing attributes that you want to retain or remove, respectively. The custom attribute limit is 18. **Note**: OAuth access tokens and Key Management Service (KMS) entities (apps, developers, and API products) are cached for 180 seconds (default). Any custom attributes associated with these entities are cached for at least 180 seconds after the entity is accessed at runtime. Therefore, an `ExpiresIn` element on the OAuthV2 policy won't be able to expire an access token in less than 180 seconds.", "request": { "$ref": "GoogleCloudApigeeV1Attributes" }, "httpMethod": "POST", "response": { "$ref": "GoogleCloudApigeeV1Attributes" }, "id": "apigee.organizations.developers.attributes", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/attributes", "parameters": { "parent": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/developers/[^/]+$", "location": "path", "description": "Required. Email address of the developer for which attributes are being updated. Use the following structure in your request: `organizations/{org}/developers/{developer_email}`" } }, "path": "v1/{+parent}/attributes" }, "updateMonetizationConfig": { "description": "Updates the monetization configuration for the developer.", "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1DeveloperMonetizationConfig" }, "request": { "$ref": "GoogleCloudApigeeV1DeveloperMonetizationConfig" }, "parameterOrder": [ "name" ], "id": "apigee.organizations.developers.updateMonetizationConfig", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/monetizationConfig", "path": "v1/{+name}", "parameters": { "name": { "type": "string", "description": "Required. Monetization configuration for the developer. Use the following structure in your request: `organizations/{org}/developers/{developer}/monetizationConfig`", "required": true, "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+/monetizationConfig$" } } }, "delete": { "httpMethod": "DELETE", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}", "parameters": { "name": { "description": "Required. Email address of the developer. Use the following structure in your request: `organizations/{org}/developers/{developer_email}`", "required": true, "type": "string", "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+$" } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Deletes a developer. All apps and API keys associated with the developer are also removed. **Warning**: This API will permanently delete the developer and related artifacts. To avoid permanently deleting developers and their artifacts, set the developer status to `inactive` using the SetDeveloperStatus API. **Note**: The delete operation is asynchronous. The developer app is deleted immediately, but its associated resources, such as apps and API keys, may take anywhere from a few seconds to a few minutes to be deleted.", "response": { "$ref": "GoogleCloudApigeeV1Developer" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.developers.delete" }, "setDeveloperStatus": { "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}", "id": "apigee.organizations.developers.setDeveloperStatus", "parameterOrder": [ "name" ], "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "action": { "description": "Status of the developer. Valid values are `active` and `inactive`.", "type": "string", "location": "query" }, "name": { "type": "string", "location": "path", "required": true, "description": "Required. Name of the developer. Use the following structure in your request: `organizations/{org}/developers/{developer_id}`", "pattern": "^organizations/[^/]+/developers/[^/]+$" } }, "description": "Sets the status of a developer. A developer is `active` by default. If you set a developer's status to `inactive`, the API keys assigned to the developer apps are no longer valid even though the API keys are set to `approved`. Inactive developers can still sign in to the developer portal and create apps; however, any new API keys generated during app creation won't work. To set the status of a developer, set the `action` query parameter to `active` or `inactive`, and the `Content-Type` header to `application/octet-stream`. If successful, the API call returns the following HTTP status code: `204 No Content`", "response": { "$ref": "GoogleProtobufEmpty" } }, "getBalance": { "id": "apigee.organizations.developers.getBalance", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+/developers/[^/]+/balance$", "location": "path", "type": "string", "description": "Required. Account balance for the developer. Use the following structure in your request: `organizations/{org}/developers/{developer}/balance`" } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Gets the account balance for the developer.", "response": { "$ref": "GoogleCloudApigeeV1DeveloperBalance" }, "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}/balance" }, "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudApigeeV1Developer" }, "httpMethod": "PUT", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}", "response": { "$ref": "GoogleCloudApigeeV1Developer" }, "id": "apigee.organizations.developers.update", "parameters": { "name": { "location": "path", "pattern": "^organizations/[^/]+/developers/[^/]+$", "type": "string", "description": "Required. Email address of the developer. Use the following structure in your request: `organizations/{org}/developers/{developer_email}`", "required": true } }, "path": "v1/{+name}", "description": "Updates a developer. This API replaces the existing developer details with those specified in the request. Include or exclude any existing details that you want to retain or delete, respectively. The custom attribute limit is 18. **Note**: OAuth access tokens and Key Management Service (KMS) entities (apps, developers, and API products) are cached for 180 seconds (current default). Any custom attributes associated with these entities are cached for at least 180 seconds after the entity is accessed at runtime. Therefore, an `ExpiresIn` element on the OAuthV2 policy won't be able to expire an access token in less than 180 seconds.", "parameterOrder": [ "name" ] }, "create": { "path": "v1/{+parent}/developers", "request": { "$ref": "GoogleCloudApigeeV1Developer" }, "description": "Creates a developer. Once created, the developer can register an app and obtain an API key. At creation time, a developer is set as `active`. To change the developer status, use the SetDeveloperStatus API.", "parameters": { "parent": { "location": "path", "required": true, "pattern": "^organizations/[^/]+$", "description": "Required. Name of the Apigee organization in which the developer is created. Use the following structure in your request: `organizations/{org}`.", "type": "string" } }, "response": { "$ref": "GoogleCloudApigeeV1Developer" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/developers", "httpMethod": "POST", "id": "apigee.organizations.developers.create" }, "get": { "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/developers/{developersId}", "id": "apigee.organizations.developers.get", "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1Developer" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns the developer details, including the developer's name, email address, apps, and other information. **Note**: The response includes only the first 100 developer apps.", "parameters": { "action": { "description": "Status of the developer. Valid values are `active` or `inactive`.", "type": "string", "location": "query" }, "name": { "pattern": "^organizations/[^/]+/developers/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. Email address of the developer. Use the following structure in your request: `organizations/{org}/developers/{developer_email}`" } }, "parameterOrder": [ "name" ] } } }, "keyvaluemaps": { "resources": { "entries": { "methods": { "create": { "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "type": "string", "required": true, "description": "Required. Scope as indicated by the URI in which to create the key value map entry. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}`.", "pattern": "^organizations/[^/]+/keyvaluemaps/[^/]+$" } }, "response": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "request": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "httpMethod": "POST", "description": "Creates key value entries in a key value map scoped to an organization, environment, or API proxy.", "path": "v1/{+parent}/entries", "flatPath": "v1/organizations/{organizationsId}/keyvaluemaps/{keyvaluemapsId}/entries", "id": "apigee.organizations.keyvaluemaps.entries.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "response": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "httpMethod": "DELETE", "parameters": { "name": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/keyvaluemaps/[^/]+/entries/[^/]+$", "description": "Required. Scope as indicated by the URI in which to delete the key value map entry. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}/entries/{entry}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}/entries/{entry}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}/entries/{entry}`.", "location": "path" } }, "flatPath": "v1/organizations/{organizationsId}/keyvaluemaps/{keyvaluemapsId}/entries/{entriesId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "description": "Deletes a key value entry from a key value map scoped to an organization, environment, or API proxy. **Note:** After you delete the key value entry, the policy consuming the entry will continue to function with its cached values for a few minutes. This is expected behavior.", "id": "apigee.organizations.keyvaluemaps.entries.delete" }, "get": { "id": "apigee.organizations.keyvaluemaps.entries.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Get the Key value entry value for org, env or apis scoped Key value map.", "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/keyvaluemaps/{keyvaluemapsId}/entries/{entriesId}", "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "parameters": { "name": { "location": "path", "description": "Required. Scope as indicated by the URI in which to fetch the key value map entry/value. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}/entries/{entry}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}/entries/{entry}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}/entries/{entry}`.", "required": true, "pattern": "^organizations/[^/]+/keyvaluemaps/[^/]+/entries/[^/]+$", "type": "string" } }, "parameterOrder": [ "name" ] }, "list": { "path": "v1/{+parent}/entries", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists key value entries for key values maps scoped to an organization, environment, or API proxy.", "parameters": { "pageSize": { "format": "int32", "description": "Optional. Maximum number of key value entries to return. If unspecified, at most 100 entries will be returned.", "location": "query", "type": "integer" }, "parent": { "type": "string", "description": "Required. Scope as indicated by the URI in which to list key value maps. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}`.", "pattern": "^organizations/[^/]+/keyvaluemaps/[^/]+$", "required": true, "location": "path" }, "pageToken": { "description": "Optional. Page token. If provides, must be a valid key value entry returned from a previous call that can be used to retrieve the next page.", "type": "string", "location": "query" } }, "response": { "$ref": "GoogleCloudApigeeV1ListKeyValueEntriesResponse" }, "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/keyvaluemaps/{keyvaluemapsId}/entries", "id": "apigee.organizations.keyvaluemaps.entries.list" } } } }, "methods": { "delete": { "description": "Deletes a key value map from an organization.", "response": { "$ref": "GoogleCloudApigeeV1KeyValueMap" }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/keyvaluemaps/{keyvaluemapsId}", "parameterOrder": [ "name" ], "id": "apigee.organizations.keyvaluemaps.delete", "parameters": { "name": { "location": "path", "description": "Required. Name of the key value map. Use the following structure in your request: `organizations/{org}/keyvaluemaps/{keyvaluemap}`", "pattern": "^organizations/[^/]+/keyvaluemaps/[^/]+$", "type": "string", "required": true } }, "path": "v1/{+name}" }, "create": { "parameterOrder": [ "parent" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudApigeeV1KeyValueMap" }, "id": "apigee.organizations.keyvaluemaps.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "pattern": "^organizations/[^/]+$", "type": "string", "location": "path", "description": "Required. Name of the organization in which to create the key value map file. Use the following structure in your request: `organizations/{org}`", "required": true } }, "flatPath": "v1/organizations/{organizationsId}/keyvaluemaps", "description": "Creates a key value map in an organization.", "path": "v1/{+parent}/keyvaluemaps", "response": { "$ref": "GoogleCloudApigeeV1KeyValueMap" } } } }, "datacollectors": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/datacollectors", "id": "apigee.organizations.datacollectors.list", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Page token, returned from a previous ListDataCollectors call, that you can use to retrieve the next page." }, "pageSize": { "type": "integer", "location": "query", "description": "Maximum number of data collectors to return. The page size defaults to 25.", "format": "int32" }, "parent": { "type": "string", "description": "Required. Name of the organization for which to list data collectors in the following format: `organizations/{org}`.", "required": true, "location": "path", "pattern": "^organizations/[^/]+$" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "description": "Lists all data collectors.", "path": "v1/{+parent}/datacollectors", "response": { "$ref": "GoogleCloudApigeeV1ListDataCollectorsResponse" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates a data collector.", "request": { "$ref": "GoogleCloudApigeeV1DataCollector" }, "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudApigeeV1DataCollector" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/datacollectors/{datacollectorsId}", "id": "apigee.organizations.datacollectors.patch", "parameters": { "name": { "required": true, "type": "string", "description": "Required. Name of the data collector in the following format: `organizations/{org}/datacollectors/{data_collector_id}`.", "pattern": "^organizations/[^/]+/datacollectors/[^/]+$", "location": "path" }, "updateMask": { "description": "List of fields to be updated.", "location": "query", "format": "google-fieldmask", "type": "string" } } }, "delete": { "parameterOrder": [ "name" ], "description": "Deletes a data collector.", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Name of the data collector in the following format: `organizations/{org}/datacollectors/{data_collector_id}`.", "location": "path", "pattern": "^organizations/[^/]+/datacollectors/[^/]+$", "type": "string", "required": true } }, "flatPath": "v1/organizations/{organizationsId}/datacollectors/{datacollectorsId}", "id": "apigee.organizations.datacollectors.delete", "path": "v1/{+name}", "response": { "$ref": "GoogleProtobufEmpty" } }, "create": { "flatPath": "v1/organizations/{organizationsId}/datacollectors", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "dataCollectorId": { "description": "ID of the data collector. Overrides any ID in the data collector resource. Must be a string beginning with `dc_` that contains only letters, numbers, and underscores.", "location": "query", "type": "string" }, "parent": { "description": "Required. Name of the organization in which to create the data collector in the following format: `organizations/{org}`.", "location": "path", "required": true, "type": "string", "pattern": "^organizations/[^/]+$" } }, "id": "apigee.organizations.datacollectors.create", "response": { "$ref": "GoogleCloudApigeeV1DataCollector" }, "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudApigeeV1DataCollector" }, "description": "Creates a new data collector.", "httpMethod": "POST", "path": "v1/{+parent}/datacollectors" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/datacollectors/[^/]+$", "location": "path", "description": "Required. Name of the data collector in the following format: `organizations/{org}/datacollectors/{data_collector_id}`." } }, "id": "apigee.organizations.datacollectors.get", "httpMethod": "GET", "response": { "$ref": "GoogleCloudApigeeV1DataCollector" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/datacollectors/{datacollectorsId}", "description": "Gets a data collector." } } }, "operations": { "methods": { "list": { "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/operations", "id": "apigee.organizations.operations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "parameterOrder": [ "name" ], "parameters": { "pageSize": { "type": "integer", "format": "int32", "description": "The standard list page size.", "location": "query" }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "name": { "location": "path", "required": true, "type": "string", "description": "The name of the operation's parent resource.", "pattern": "^organizations/[^/]+$" } }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "path": "v1/{+name}/operations" }, "get": { "flatPath": "v1/organizations/{organizationsId}/operations/{operationsId}", "id": "apigee.organizations.operations.get", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+name}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "The name of the operation resource.", "required": true, "pattern": "^organizations/[^/]+/operations/[^/]+$", "location": "path", "type": "string" } }, "parameterOrder": [ "name" ] } } }, "apis": { "resources": { "keyvaluemaps": { "methods": { "create": { "description": "Creates a key value map in an API proxy.", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1KeyValueMap" }, "httpMethod": "POST", "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/keyvaluemaps", "path": "v1/{+parent}/keyvaluemaps", "request": { "$ref": "GoogleCloudApigeeV1KeyValueMap" }, "id": "apigee.organizations.apis.keyvaluemaps.create", "parameters": { "parent": { "type": "string", "required": true, "description": "Required. Name of the environment in which to create the key value map. Use the following structure in your request: `organizations/{org}/apis/{api}`", "pattern": "^organizations/[^/]+/apis/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameters": { "name": { "location": "path", "required": true, "pattern": "^organizations/[^/]+/apis/[^/]+/keyvaluemaps/[^/]+$", "type": "string", "description": "Required. Name of the key value map. Use the following structure in your request: `organizations/{org}/apis/{api}/keyvaluemaps/{keyvaluemap}`" } }, "response": { "$ref": "GoogleCloudApigeeV1KeyValueMap" }, "id": "apigee.organizations.apis.keyvaluemaps.delete", "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/keyvaluemaps/{keyvaluemapsId}", "httpMethod": "DELETE", "description": "Deletes a key value map from an API proxy.", "parameterOrder": [ "name" ], "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "entries": { "methods": { "get": { "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/keyvaluemaps/{keyvaluemapsId}/entries/{entriesId}", "response": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "path": "v1/{+name}", "id": "apigee.organizations.apis.keyvaluemaps.entries.get", "parameters": { "name": { "location": "path", "description": "Required. Scope as indicated by the URI in which to fetch the key value map entry/value. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}/entries/{entry}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}/entries/{entry}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}/entries/{entry}`.", "pattern": "^organizations/[^/]+/apis/[^/]+/keyvaluemaps/[^/]+/entries/[^/]+$", "required": true, "type": "string" } }, "description": "Get the Key value entry value for org, env or apis scoped Key value map.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "list": { "response": { "$ref": "GoogleCloudApigeeV1ListKeyValueEntriesResponse" }, "httpMethod": "GET", "id": "apigee.organizations.apis.keyvaluemaps.entries.list", "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/keyvaluemaps/{keyvaluemapsId}/entries", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists key value entries for key values maps scoped to an organization, environment, or API proxy.", "parameters": { "pageSize": { "location": "query", "description": "Optional. Maximum number of key value entries to return. If unspecified, at most 100 entries will be returned.", "type": "integer", "format": "int32" }, "pageToken": { "type": "string", "description": "Optional. Page token. If provides, must be a valid key value entry returned from a previous call that can be used to retrieve the next page.", "location": "query" }, "parent": { "pattern": "^organizations/[^/]+/apis/[^/]+/keyvaluemaps/[^/]+$", "description": "Required. Scope as indicated by the URI in which to list key value maps. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}`.", "required": true, "type": "string", "location": "path" } }, "path": "v1/{+parent}/entries", "parameterOrder": [ "parent" ] }, "create": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "parameters": { "parent": { "type": "string", "location": "path", "pattern": "^organizations/[^/]+/apis/[^/]+/keyvaluemaps/[^/]+$", "required": true, "description": "Required. Scope as indicated by the URI in which to create the key value map entry. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}`." } }, "path": "v1/{+parent}/entries", "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/keyvaluemaps/{keyvaluemapsId}/entries", "response": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "description": "Creates key value entries in a key value map scoped to an organization, environment, or API proxy.", "id": "apigee.organizations.apis.keyvaluemaps.entries.create" }, "delete": { "response": { "$ref": "GoogleCloudApigeeV1KeyValueEntry" }, "id": "apigee.organizations.apis.keyvaluemaps.entries.delete", "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/keyvaluemaps/{keyvaluemapsId}/entries/{entriesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Deletes a key value entry from a key value map scoped to an organization, environment, or API proxy. **Note:** After you delete the key value entry, the policy consuming the entry will continue to function with its cached values for a few minutes. This is expected behavior.", "parameters": { "name": { "type": "string", "description": "Required. Scope as indicated by the URI in which to delete the key value map entry. Use **one** of the following structures in your request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/apis/{api}/keyvaluemaps/{keyvaluemap}/entries/{entry}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/environments/{environment}/keyvaluemaps/{keyvaluemap}/entries/{entry}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization}/keyvaluemaps/{keyvaluemap}/entries/{entry}`.", "pattern": "^organizations/[^/]+/apis/[^/]+/keyvaluemaps/[^/]+/entries/[^/]+$", "required": true, "location": "path" } }, "httpMethod": "DELETE" } } } } }, "deployments": { "methods": { "list": { "path": "v1/{+parent}/deployments", "description": "Lists all deployments of an API proxy.", "httpMethod": "GET", "id": "apigee.organizations.apis.deployments.list", "response": { "$ref": "GoogleCloudApigeeV1ListDeploymentsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "type": "string", "required": true, "description": "Required. Name of the API proxy for which to return deployment information in the following format: `organizations/{org}/apis/{api}`", "location": "path", "pattern": "^organizations/[^/]+/apis/[^/]+$" } }, "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/deployments" } } }, "revisions": { "methods": { "updateApiProxyRevision": { "description": "Updates an existing API proxy revision by uploading the API proxy configuration bundle as a zip file from your local machine. You can update only API proxy revisions that have never been deployed. After deployment, an API proxy revision becomes immutable, even if it is undeployed. Set the `Content-Type` header to either `multipart/form-data` or `application/octet-stream`.", "id": "apigee.organizations.apis.revisions.updateApiProxyRevision", "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/revisions/{revisionsId}", "parameterOrder": [ "name" ], "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "response": { "$ref": "GoogleCloudApigeeV1ApiProxyRevision" }, "parameters": { "name": { "description": "Required. API proxy revision to update in the following format: `organizations/{org}/apis/{api}/revisions/{rev}`", "pattern": "^organizations/[^/]+/apis/[^/]+/revisions/[^/]+$", "location": "path", "type": "string", "required": true }, "validate": { "description": "Ignored. All uploads are validated regardless of the value of this field. Maintained for compatibility with Apigee Edge API.", "type": "boolean", "location": "query" } }, "request": { "$ref": "GoogleApiHttpBody" } }, "get": { "httpMethod": "GET", "description": "Gets an API proxy revision. To download the API proxy configuration bundle for the specified revision as a zip file, set the `format` query parameter to `bundle`. If you are using curl, specify `-o filename.zip` to save the output to a file; otherwise, it displays to `stdout`. Then, develop the API proxy configuration locally and upload the updated API proxy configuration revision, as described in [updateApiProxyRevision](updateApiProxyRevision).", "parameters": { "format": { "description": "Format used when downloading the API proxy configuration revision. Set to `bundle` to download the API proxy configuration revision as a zip file.", "type": "string", "location": "query" }, "name": { "location": "path", "pattern": "^organizations/[^/]+/apis/[^/]+/revisions/[^/]+$", "description": "Required. API proxy revision in the following format: `organizations/{org}/apis/{api}/revisions/{rev}`", "type": "string", "required": true } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleApiHttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/revisions/{revisionsId}", "id": "apigee.organizations.apis.revisions.get" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.apis.revisions.delete", "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/revisions/{revisionsId}", "description": "Deletes an API proxy revision and all policies, resources, endpoints, and revisions associated with it. The API proxy revision must be undeployed before you can delete it.", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudApigeeV1ApiProxyRevision" }, "parameters": { "name": { "description": "Required. API proxy revision in the following format: `organizations/{org}/apis/{api}/revisions/{rev}`", "type": "string", "required": true, "pattern": "^organizations/[^/]+/apis/[^/]+/revisions/[^/]+$", "location": "path" } }, "httpMethod": "DELETE" } }, "resources": { "deployments": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+parent}/deployments", "description": "Lists all deployments of an API proxy revision.", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1ListDeploymentsResponse" }, "id": "apigee.organizations.apis.revisions.deployments.list", "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}/revisions/{revisionsId}/deployments", "parameters": { "parent": { "required": true, "type": "string", "location": "path", "description": "Required. Name of the API proxy revision for which to return deployment information in the following format: `organizations/{org}/apis/{api}/revisions/{rev}`.", "pattern": "^organizations/[^/]+/apis/[^/]+/revisions/[^/]+$" } } } } } } } }, "methods": { "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.organizations.apis.patch", "httpMethod": "PATCH", "description": "Updates an existing API proxy.", "path": "v1/{+name}", "response": { "$ref": "GoogleCloudApigeeV1ApiProxy" }, "request": { "$ref": "GoogleCloudApigeeV1ApiProxy" }, "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^organizations/[^/]+/apis/[^/]+$", "type": "string", "location": "path", "description": "Required. API proxy to update in the following format: `organizations/{org}/apis/{api}`", "required": true }, "updateMask": { "location": "query", "description": "Required. The list of fields to update.", "format": "google-fieldmask", "type": "string" } }, "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}" }, "create": { "httpMethod": "POST", "id": "apigee.organizations.apis.create", "description": "Creates an API proxy. The API proxy created will not be accessible at runtime until it is deployed to an environment. Create a new API proxy by setting the `name` query parameter to the name of the API proxy. Import an API proxy configuration bundle stored in zip format on your local machine to your organization by doing the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Set the `name` query parameter to the name of the API proxy. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Set the `action` query parameter to `import`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Set the `Content-Type` header to `multipart/form-data`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Pass as a file the name of API proxy configuration bundle stored in zip format on your local machine using the `file` form field. **Note**: To validate the API proxy configuration bundle only without importing it, set the `action` query parameter to `validate`. When importing an API proxy configuration bundle, if the API proxy does not exist, it will be created. If the API proxy exists, then a new revision is created. Invalid API proxy configurations are rejected, and a list of validation errors is returned to the client.", "request": { "$ref": "GoogleApiHttpBody" }, "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudApigeeV1ApiProxyRevision" }, "parameters": { "validate": { "description": "Ignored. All uploads are validated regardless of the value of this field. Maintained for compatibility with Apigee Edge API.", "type": "boolean", "location": "query" }, "name": { "type": "string", "description": "Name of the API proxy. Restrict the characters used to: A-Za-z0-9._-", "location": "query" }, "action": { "type": "string", "description": "Action to perform when importing an API proxy configuration bundle. Set this parameter to one of the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `import` to import the API proxy configuration bundle. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `validate` to validate the API proxy configuration bundle without importing it.", "location": "query" }, "parent": { "type": "string", "location": "path", "description": "Required. Name of the organization in the following format: `organizations/{org}`", "pattern": "^organizations/[^/]+$", "required": true } }, "path": "v1/{+parent}/apis", "flatPath": "v1/organizations/{organizationsId}/apis", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. Name of the API proxy in the following format: `organizations/{org}/apis/{api}`", "type": "string", "pattern": "^organizations/[^/]+/apis/[^/]+$", "required": true, "location": "path" } }, "description": "Deletes an API proxy and all associated endpoints, policies, resources, and revisions. The API proxy must be undeployed before you can delete it.", "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}", "response": { "$ref": "GoogleCloudApigeeV1ApiProxy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "id": "apigee.organizations.apis.delete", "parameterOrder": [ "name" ] }, "list": { "parameters": { "includeRevisions": { "location": "query", "type": "boolean", "description": "Flag that specifies whether to include a list of revisions in the response." }, "parent": { "description": "Required. Name of the organization in the following format: `organizations/{org}`", "pattern": "^organizations/[^/]+$", "required": true, "type": "string", "location": "path" }, "includeMetaData": { "type": "boolean", "description": "Flag that specifies whether to include API proxy metadata in the response.", "location": "query" } }, "id": "apigee.organizations.apis.list", "response": { "$ref": "GoogleCloudApigeeV1ListApiProxiesResponse" }, "path": "v1/{+parent}/apis", "httpMethod": "GET", "description": "Lists the names of all API proxies in an organization. The names returned correspond to the names defined in the configuration files for each API proxy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/apis" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Name of the API proxy in the following format: `organizations/{org}/apis/{api}`", "pattern": "^organizations/[^/]+/apis/[^/]+$", "required": true, "type": "string", "location": "path" } }, "description": "Gets an API proxy including a list of existing revisions.", "flatPath": "v1/organizations/{organizationsId}/apis/{apisId}", "id": "apigee.organizations.apis.get", "httpMethod": "GET", "response": { "$ref": "GoogleCloudApigeeV1ApiProxy" }, "parameterOrder": [ "name" ], "path": "v1/{+name}" } } }, "endpointAttachments": { "methods": { "get": { "description": "Gets the endpoint attachment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/endpointAttachments/{endpointAttachmentsId}", "path": "v1/{+name}", "parameters": { "name": { "type": "string", "description": "Required. Name of the endpoint attachment. Use the following structure in your request: `organizations/{org}/endpointAttachments/{endpoint_attachment}`", "location": "path", "required": true, "pattern": "^organizations/[^/]+/endpointAttachments/[^/]+$" } }, "httpMethod": "GET", "response": { "$ref": "GoogleCloudApigeeV1EndpointAttachment" }, "id": "apigee.organizations.endpointAttachments.get" }, "list": { "flatPath": "v1/organizations/{organizationsId}/endpointAttachments", "parameterOrder": [ "parent" ], "description": "Lists the endpoint attachments in an organization.", "path": "v1/{+parent}/endpointAttachments", "parameters": { "pageSize": { "type": "integer", "description": "Optional. Maximum number of endpoint attachments to return. If unspecified, at most 25 attachments will be returned.", "location": "query", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. Page token, returned from a previous `ListEndpointAttachments` call, that you can use to retrieve the next page." }, "parent": { "description": "Required. Name of the organization for which to list endpoint attachments. Use the following structure in your request: `organizations/{org}`", "required": true, "location": "path", "pattern": "^organizations/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudApigeeV1ListEndpointAttachmentsResponse" }, "id": "apigee.organizations.endpointAttachments.list", "httpMethod": "GET" }, "delete": { "description": "Deletes an endpoint attachment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. Name of the endpoint attachment. Use the following structure in your request: `organizations/{org}/endpointAttachments/{endpoint_attachment}`", "required": true, "location": "path", "pattern": "^organizations/[^/]+/endpointAttachments/[^/]+$", "type": "string" } }, "id": "apigee.organizations.endpointAttachments.delete", "flatPath": "v1/organizations/{organizationsId}/endpointAttachments/{endpointAttachmentsId}", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+name}" }, "create": { "flatPath": "v1/organizations/{organizationsId}/endpointAttachments", "path": "v1/{+parent}/endpointAttachments", "parameters": { "parent": { "type": "string", "description": "Required. Organization the endpoint attachment will be created in.", "pattern": "^organizations/[^/]+$", "required": true, "location": "path" }, "endpointAttachmentId": { "location": "query", "type": "string", "description": "ID to use for the endpoint attachment. The ID can contain lowercase letters and numbers, must start with a letter, and must be 1-20 characters in length." } }, "request": { "$ref": "GoogleCloudApigeeV1EndpointAttachment" }, "id": "apigee.organizations.endpointAttachments.create", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "description": "Creates an endpoint attachment. **Note:** Not supported for Apigee hybrid." } } } } }, "projects": { "methods": { "provisionOrganization": { "flatPath": "v1/projects/{projectsId}:provisionOrganization", "parameterOrder": [ "project" ], "description": "Provisions a new Apigee organization with a functioning runtime. This is the standard way to create trial organizations for a free Apigee trial.", "parameters": { "project": { "description": "Required. Name of the GCP project with which to associate the Apigee organization.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+$" } }, "path": "v1/{+project}:provisionOrganization", "request": { "$ref": "GoogleCloudApigeeV1ProvisionOrganizationRequest" }, "id": "apigee.projects.provisionOrganization", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" } } }, "hybrid": { "resources": { "issuers": { "methods": { "list": { "description": "Lists hybrid services and its trusted issuers service account ids. This api is authenticated and unauthorized(allow all the users) and used by runtime authn-authz service to query control plane's issuer service account ids.", "response": { "$ref": "GoogleCloudApigeeV1ListHybridIssuersResponse" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "apigee.hybrid.issuers.list", "flatPath": "v1/hybrid/issuers", "path": "v1/{+name}", "parameters": { "name": { "description": "Required. Must be of the form `hybrid/issuers`.", "required": true, "location": "path", "type": "string", "pattern": "^hybrid/issuers$" } } } } } } } }, "baseUrl": "https://apigee.googleapis.com/", "revision": "20220629", "name": "apigee" }
]===]))
