local decode = require("cjson").new().decode
return assert(decode([===[
{ "documentationLink": "https://cloud.google.com/appengine/docs/admin-api/", "resources": { "apps": { "methods": { "patch": { "httpMethod": "PATCH", "path": "v1/apps/{appsId}", "description": "Updates the specified Application resource. You can update the following fields: auth_domain - Google authentication domain for controlling user access to the application. default_cookie_expiration - Cookie expiration policy for the application. iap - Identity-Aware Proxy properties for the application.", "request": { "$ref": "Application" }, "parameterOrder": [ "appsId" ], "id": "appengine.apps.patch", "response": { "$ref": "Operation" }, "flatPath": "v1/apps/{appsId}", "parameters": { "appsId": { "location": "path", "description": "Part of `name`. Name of the Application resource to update. Example: apps/myapp.", "type": "string", "required": true }, "updateMask": { "description": "Required. Standard field mask for the set of fields to be updated.", "location": "query", "type": "string", "format": "google-fieldmask" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "response": { "$ref": "Application" }, "id": "appengine.apps.get", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "parameterOrder": [ "appsId" ], "path": "v1/apps/{appsId}", "parameters": { "appsId": { "type": "string", "required": true, "description": "Part of `name`. Name of the Application resource to get. Example: apps/myapp.", "location": "path" } }, "description": "Gets information about an application.", "flatPath": "v1/apps/{appsId}" }, "create": { "parameterOrder": [], "parameters": {}, "description": "Creates an App Engine application for a Google Cloud Platform project. Required fields: id - The ID of the target Cloud Platform project. location - The region (https://cloud.google.com/appengine/docs/locations) where you want the App Engine application located.For more information about App Engine applications, see Managing Projects, Applications, and Billing (https://cloud.google.com/appengine/docs/standard/python/console/).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "appengine.apps.create", "response": { "$ref": "Operation" }, "request": { "$ref": "Application" }, "flatPath": "v1/apps", "path": "v1/apps", "httpMethod": "POST" }, "repair": { "description": "Recreates the required App Engine features for the specified App Engine application, for example a Cloud Storage bucket or App Engine service account. Use this method if you receive an error message about a missing feature, for example, Error retrieving the App Engine service account. If you have deleted your App Engine service account, this will not be able to recreate it. Instead, you should attempt to use the IAM undelete API if possible at https://cloud.google.com/iam/reference/rest/v1/projects.serviceAccounts/undelete?apix_params=%7B\"name\"%3A\"projects%2F-%2FserviceAccounts%2Funique_id\"%2C\"resource\"%3A%7B%7D%7D . If the deletion was recent, the numeric ID can be found in the Cloud Console Activity Log.", "parameterOrder": [ "appsId" ], "id": "appengine.apps.repair", "request": { "$ref": "RepairApplicationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "appsId": { "location": "path", "required": true, "type": "string", "description": "Part of `name`. Name of the application to repair. Example: apps/myapp" } }, "flatPath": "v1/apps/{appsId}:repair", "path": "v1/apps/{appsId}:repair", "response": { "$ref": "Operation" }, "httpMethod": "POST" } }, "resources": { "authorizedDomains": { "methods": { "list": { "flatPath": "v1/apps/{appsId}/authorizedDomains", "path": "v1/apps/{appsId}/authorizedDomains", "description": "Lists all domains the user is authorized to administer.", "parameterOrder": [ "appsId" ], "parameters": { "pageSize": { "format": "int32", "description": "Maximum results to return per page.", "type": "integer", "location": "query" }, "appsId": { "location": "path", "type": "string", "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp.", "required": true }, "pageToken": { "type": "string", "description": "Continuation token for fetching the next page of results.", "location": "query" } }, "httpMethod": "GET", "id": "appengine.apps.authorizedDomains.list", "response": { "$ref": "ListAuthorizedDomainsResponse" }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ] } } }, "domainMappings": { "methods": { "patch": { "flatPath": "v1/apps/{appsId}/domainMappings/{domainMappingsId}", "parameterOrder": [ "appsId", "domainMappingsId" ], "path": "v1/apps/{appsId}/domainMappings/{domainMappingsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "domainMappingsId": { "location": "path", "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "required": true }, "appsId": { "description": "Part of `name`. Name of the resource to update. Example: apps/myapp/domainMappings/example.com.", "location": "path", "required": true, "type": "string" }, "updateMask": { "format": "google-fieldmask", "description": "Required. Standard field mask for the set of fields to be updated.", "location": "query", "type": "string" } }, "description": "Updates the specified domain mapping. To map an SSL certificate to a domain mapping, update certificate_id to point to an AuthorizedCertificate resource. A user must be authorized to administer the associated domain in order to update a DomainMapping resource.", "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "request": { "$ref": "DomainMapping" }, "id": "appengine.apps.domainMappings.patch" }, "list": { "id": "appengine.apps.domainMappings.list", "parameters": { "pageSize": { "description": "Maximum results to return per page.", "type": "integer", "format": "int32", "location": "query" }, "appsId": { "location": "path", "required": true, "type": "string", "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp." }, "pageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string", "location": "query" } }, "flatPath": "v1/apps/{appsId}/domainMappings", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Lists the domain mappings on an application.", "response": { "$ref": "ListDomainMappingsResponse" }, "parameterOrder": [ "appsId" ], "path": "v1/apps/{appsId}/domainMappings", "httpMethod": "GET" }, "get": { "parameterOrder": [ "appsId", "domainMappingsId" ], "flatPath": "v1/apps/{appsId}/domainMappings/{domainMappingsId}", "parameters": { "domainMappingsId": { "location": "path", "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "required": true }, "appsId": { "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/domainMappings/example.com.", "type": "string", "required": true, "location": "path" } }, "description": "Gets the specified domain mapping.", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "appengine.apps.domainMappings.get", "httpMethod": "GET", "path": "v1/apps/{appsId}/domainMappings/{domainMappingsId}", "response": { "$ref": "DomainMapping" } }, "create": { "parameters": { "appsId": { "required": true, "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp.", "type": "string", "location": "path" }, "overrideStrategy": { "type": "string", "enum": [ "UNSPECIFIED_DOMAIN_OVERRIDE_STRATEGY", "STRICT", "OVERRIDE" ], "enumDescriptions": [ "Strategy unspecified. Defaults to STRICT.", "Overrides not allowed. If a mapping already exists for the specified domain, the request will return an ALREADY_EXISTS (409).", "Overrides allowed. If a mapping already exists for the specified domain, the request will overwrite it. Note that this might stop another Google product from serving. For example, if the domain is mapped to another App Engine application, that app will no longer serve from that domain." ], "description": "Whether the domain creation should override any existing mappings for this domain. By default, overrides are rejected.", "location": "query" } }, "parameterOrder": [ "appsId" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/apps/{appsId}/domainMappings", "response": { "$ref": "Operation" }, "id": "appengine.apps.domainMappings.create", "request": { "$ref": "DomainMapping" }, "description": "Maps a domain to an application. A user must be authorized to administer a domain in order to map it to an application. For a list of available authorized domains, see AuthorizedDomains.ListAuthorizedDomains.", "path": "v1/apps/{appsId}/domainMappings" }, "delete": { "flatPath": "v1/apps/{appsId}/domainMappings/{domainMappingsId}", "description": "Deletes the specified domain mapping. A user must be authorized to administer the associated domain in order to delete a DomainMapping resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "appsId", "domainMappingsId" ], "path": "v1/apps/{appsId}/domainMappings/{domainMappingsId}", "parameters": { "domainMappingsId": { "description": "Part of `name`. See documentation of `appsId`.", "required": true, "type": "string", "location": "path" }, "appsId": { "location": "path", "required": true, "description": "Part of `name`. Name of the resource to delete. Example: apps/myapp/domainMappings/example.com.", "type": "string" } }, "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "id": "appengine.apps.domainMappings.delete" } } }, "locations": { "methods": { "list": { "flatPath": "v1/apps/{appsId}/locations", "description": "Lists information about the supported locations for this service.", "httpMethod": "GET", "parameters": { "appsId": { "required": true, "location": "path", "type": "string", "description": "Part of `name`. The resource that owns the locations collection, if applicable." }, "pageToken": { "description": "A page token received from the next_page_token field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like \"displayName=tokyo\", and is documented in more detail in AIP-160 (https://google.aip.dev/160)." }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32", "location": "query", "type": "integer" } }, "response": { "$ref": "ListLocationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "appsId" ], "path": "v1/apps/{appsId}/locations", "id": "appengine.apps.locations.list" }, "get": { "id": "appengine.apps.locations.get", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "appsId", "locationsId" ], "httpMethod": "GET", "description": "Gets information about a location.", "path": "v1/apps/{appsId}/locations/{locationsId}", "response": { "$ref": "Location" }, "parameters": { "appsId": { "description": "Part of `name`. Resource name for the location.", "location": "path", "required": true, "type": "string" }, "locationsId": { "type": "string", "description": "Part of `name`. See documentation of `appsId`.", "required": true, "location": "path" } }, "flatPath": "v1/apps/{appsId}/locations/{locationsId}" } } }, "firewall": { "resources": { "ingressRules": { "methods": { "create": { "parameters": { "appsId": { "required": true, "description": "Part of `parent`. Name of the parent Firewall collection in which to create a new rule. Example: apps/myapp/firewall/ingressRules.", "location": "path", "type": "string" } }, "request": { "$ref": "FirewallRule" }, "path": "v1/apps/{appsId}/firewall/ingressRules", "description": "Creates a firewall rule for the application.", "id": "appengine.apps.firewall.ingressRules.create", "response": { "$ref": "FirewallRule" }, "flatPath": "v1/apps/{appsId}/firewall/ingressRules", "parameterOrder": [ "appsId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "list": { "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1/apps/{appsId}/firewall/ingressRules", "description": "Lists the firewall rules of an application.", "response": { "$ref": "ListIngressRulesResponse" }, "parameters": { "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Maximum results to return per page." }, "pageToken": { "description": "Continuation token for fetching the next page of results.", "location": "query", "type": "string" }, "appsId": { "description": "Part of `parent`. Name of the Firewall collection to retrieve. Example: apps/myapp/firewall/ingressRules.", "required": true, "type": "string", "location": "path" }, "matchingAddress": { "description": "A valid IP Address. If set, only rules matching this address will be returned. The first returned rule will be the rule that fires on requests from this IP.", "type": "string", "location": "query" } }, "flatPath": "v1/apps/{appsId}/firewall/ingressRules", "id": "appengine.apps.firewall.ingressRules.list", "parameterOrder": [ "appsId" ], "httpMethod": "GET" }, "patch": { "path": "v1/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "parameters": { "appsId": { "location": "path", "required": true, "description": "Part of `name`. Name of the Firewall resource to update. Example: apps/myapp/firewall/ingressRules/100.", "type": "string" }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Standard field mask for the set of fields to be updated." }, "ingressRulesId": { "type": "string", "location": "path", "required": true, "description": "Part of `name`. See documentation of `appsId`." } }, "id": "appengine.apps.firewall.ingressRules.patch", "request": { "$ref": "FirewallRule" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "description": "Updates the specified firewall rule.", "parameterOrder": [ "appsId", "ingressRulesId" ], "response": { "$ref": "FirewallRule" } }, "delete": { "parameterOrder": [ "appsId", "ingressRulesId" ], "flatPath": "v1/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "id": "appengine.apps.firewall.ingressRules.delete", "parameters": { "appsId": { "required": true, "type": "string", "location": "path", "description": "Part of `name`. Name of the Firewall resource to delete. Example: apps/myapp/firewall/ingressRules/100." }, "ingressRulesId": { "location": "path", "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "required": true } }, "description": "Deletes the specified firewall rule.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "path": "v1/apps/{appsId}/firewall/ingressRules/{ingressRulesId}" }, "get": { "response": { "$ref": "FirewallRule" }, "path": "v1/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "httpMethod": "GET", "id": "appengine.apps.firewall.ingressRules.get", "parameterOrder": [ "appsId", "ingressRulesId" ], "description": "Gets the specified firewall rule.", "flatPath": "v1/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "ingressRulesId": { "location": "path", "required": true, "description": "Part of `name`. See documentation of `appsId`.", "type": "string" }, "appsId": { "description": "Part of `name`. Name of the Firewall resource to retrieve. Example: apps/myapp/firewall/ingressRules/100.", "required": true, "type": "string", "location": "path" } } }, "batchUpdate": { "request": { "$ref": "BatchUpdateIngressRulesRequest" }, "response": { "$ref": "BatchUpdateIngressRulesResponse" }, "description": "Replaces the entire firewall ruleset in one bulk operation. This overrides and replaces the rules of an existing firewall with the new rules.If the final rule does not match traffic with the '*' wildcard IP range, then an \"allow all\" rule is explicitly added to the end of the list.", "id": "appengine.apps.firewall.ingressRules.batchUpdate", "httpMethod": "POST", "parameters": { "appsId": { "type": "string", "location": "path", "required": true, "description": "Part of `name`. Name of the Firewall collection to set. Example: apps/myapp/firewall/ingressRules." } }, "path": "v1/apps/{appsId}/firewall/ingressRules:batchUpdate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/apps/{appsId}/firewall/ingressRules:batchUpdate", "parameterOrder": [ "appsId" ] } } } } }, "authorizedCertificates": { "methods": { "get": { "parameterOrder": [ "appsId", "authorizedCertificatesId" ], "description": "Gets the specified SSL certificate.", "id": "appengine.apps.authorizedCertificates.get", "flatPath": "v1/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "response": { "$ref": "AuthorizedCertificate" }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "parameters": { "view": { "description": "Controls the set of fields returned in the GET response.", "location": "query", "enum": [ "BASIC_CERTIFICATE", "FULL_CERTIFICATE" ], "type": "string", "enumDescriptions": [ "Basic certificate information, including applicable domains and expiration date.", "The information from BASIC_CERTIFICATE, plus detailed information on the domain mappings that have this certificate mapped." ] }, "authorizedCertificatesId": { "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "location": "path", "required": true }, "appsId": { "type": "string", "location": "path", "required": true, "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/authorizedCertificates/12345." } }, "httpMethod": "GET" }, "patch": { "flatPath": "v1/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "appengine.apps.authorizedCertificates.patch", "response": { "$ref": "AuthorizedCertificate" }, "description": "Updates the specified SSL certificate. To renew a certificate and maintain its existing domain mappings, update certificate_data with a new certificate. The new certificate must be applicable to the same domains as the original certificate. The certificate display_name may also be updated.", "parameterOrder": [ "appsId", "authorizedCertificatesId" ], "parameters": { "appsId": { "location": "path", "required": true, "description": "Part of `name`. Name of the resource to update. Example: apps/myapp/authorizedCertificates/12345.", "type": "string" }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Standard field mask for the set of fields to be updated. Updates are only supported on the certificate_raw_data and display_name fields.", "type": "string" }, "authorizedCertificatesId": { "location": "path", "description": "Part of `name`. See documentation of `appsId`.", "required": true, "type": "string" } }, "request": { "$ref": "AuthorizedCertificate" }, "path": "v1/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "httpMethod": "PATCH" }, "delete": { "path": "v1/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "id": "appengine.apps.authorizedCertificates.delete", "response": { "$ref": "Empty" }, "parameterOrder": [ "appsId", "authorizedCertificatesId" ], "description": "Deletes the specified SSL certificate.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "flatPath": "v1/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "parameters": { "authorizedCertificatesId": { "description": "Part of `name`. See documentation of `appsId`.", "required": true, "location": "path", "type": "string" }, "appsId": { "description": "Part of `name`. Name of the resource to delete. Example: apps/myapp/authorizedCertificates/12345.", "type": "string", "required": true, "location": "path" } } }, "list": { "path": "v1/apps/{appsId}/authorizedCertificates", "parameterOrder": [ "appsId" ], "flatPath": "v1/apps/{appsId}/authorizedCertificates", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Continuation token for fetching the next page of results." }, "appsId": { "required": true, "location": "path", "type": "string", "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp." }, "view": { "enumDescriptions": [ "Basic certificate information, including applicable domains and expiration date.", "The information from BASIC_CERTIFICATE, plus detailed information on the domain mappings that have this certificate mapped." ], "enum": [ "BASIC_CERTIFICATE", "FULL_CERTIFICATE" ], "type": "string", "description": "Controls the set of fields returned in the LIST response.", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Maximum results to return per page." } }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "ListAuthorizedCertificatesResponse" }, "httpMethod": "GET", "description": "Lists all SSL certificates the user is authorized to administer.", "id": "appengine.apps.authorizedCertificates.list" }, "create": { "parameters": { "appsId": { "required": true, "location": "path", "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp.", "type": "string" } }, "flatPath": "v1/apps/{appsId}/authorizedCertificates", "parameterOrder": [ "appsId" ], "path": "v1/apps/{appsId}/authorizedCertificates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "AuthorizedCertificate" }, "response": { "$ref": "AuthorizedCertificate" }, "description": "Uploads the specified SSL certificate.", "id": "appengine.apps.authorizedCertificates.create" } } }, "operations": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "id": "appengine.apps.operations.list", "parameterOrder": [ "appsId" ], "flatPath": "v1/apps/{appsId}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns UNIMPLEMENTED.NOTE: the name binding allows API services to override the binding to use different resource name schemes, such as users/*/operations. To override the binding, API services can add a binding such as \"/v1/{name=users/*}/operations\" to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "path": "v1/apps/{appsId}/operations", "response": { "$ref": "ListOperationsResponse" }, "parameters": { "appsId": { "description": "Part of `name`. The name of the operation's parent resource.", "location": "path", "type": "string", "required": true }, "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "pageToken": { "description": "The standard list page token.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The standard list page size." } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1/apps/{appsId}/operations/{operationsId}", "parameterOrder": [ "appsId", "operationsId" ], "parameters": { "operationsId": { "type": "string", "required": true, "location": "path", "description": "Part of `name`. See documentation of `appsId`." }, "appsId": { "type": "string", "location": "path", "required": true, "description": "Part of `name`. The name of the operation resource." } }, "response": { "$ref": "Operation" }, "id": "appengine.apps.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "flatPath": "v1/apps/{appsId}/operations/{operationsId}" } } }, "services": { "methods": { "delete": { "httpMethod": "DELETE", "description": "Deletes the specified service and all enclosed versions.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameters": { "servicesId": { "type": "string", "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "required": true }, "appsId": { "type": "string", "required": true, "location": "path", "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default." } }, "path": "v1/apps/{appsId}/services/{servicesId}", "parameterOrder": [ "appsId", "servicesId" ], "id": "appengine.apps.services.delete", "flatPath": "v1/apps/{appsId}/services/{servicesId}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Lists all the services in the application.", "flatPath": "v1/apps/{appsId}/services", "parameterOrder": [ "appsId" ], "path": "v1/apps/{appsId}/services", "id": "appengine.apps.services.list", "parameters": { "pageSize": { "description": "Maximum results to return per page.", "format": "int32", "location": "query", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "Continuation token for fetching the next page of results." }, "appsId": { "type": "string", "required": true, "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp.", "location": "path" } }, "httpMethod": "GET", "response": { "$ref": "ListServicesResponse" } }, "patch": { "id": "appengine.apps.services.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the configuration of the specified service.", "request": { "$ref": "Service" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "appsId", "servicesId" ], "flatPath": "v1/apps/{appsId}/services/{servicesId}", "parameters": { "servicesId": { "location": "path", "type": "string", "required": true, "description": "Part of `name`. See documentation of `appsId`." }, "migrateTraffic": { "location": "query", "description": "Set to true to gradually shift traffic to one or more versions that you specify. By default, traffic is shifted immediately. For gradual traffic migration, the target versions must be located within instances that are configured for both warmup requests (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#InboundServiceType) and automatic scaling (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#AutomaticScaling). You must specify the shardBy (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services#ShardBy) field in the Service resource. Gradual traffic migration is not supported in the App Engine flexible environment. For examples, see Migrating and Splitting Traffic (https://cloud.google.com/appengine/docs/admin-api/migrating-splitting-traffic).", "type": "boolean" }, "appsId": { "type": "string", "description": "Part of `name`. Name of the resource to update. Example: apps/myapp/services/default.", "required": true, "location": "path" }, "updateMask": { "description": "Required. Standard field mask for the set of fields to be updated.", "type": "string", "location": "query", "format": "google-fieldmask" } }, "httpMethod": "PATCH", "path": "v1/apps/{appsId}/services/{servicesId}" }, "get": { "id": "appengine.apps.services.get", "response": { "$ref": "Service" }, "parameterOrder": [ "appsId", "servicesId" ], "flatPath": "v1/apps/{appsId}/services/{servicesId}", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1/apps/{appsId}/services/{servicesId}", "httpMethod": "GET", "description": "Gets the current configuration of the specified service.", "parameters": { "servicesId": { "location": "path", "required": true, "type": "string", "description": "Part of `name`. See documentation of `appsId`." }, "appsId": { "type": "string", "required": true, "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default.", "location": "path" } } } }, "resources": { "versions": { "methods": { "create": { "response": { "$ref": "Operation" }, "flatPath": "v1/apps/{appsId}/services/{servicesId}/versions", "request": { "$ref": "Version" }, "path": "v1/apps/{appsId}/services/{servicesId}/versions", "description": "Deploys code and resource files to a new version.", "id": "appengine.apps.services.versions.create", "parameters": { "appsId": { "required": true, "type": "string", "location": "path", "description": "Part of `parent`. Name of the parent resource to create this version under. Example: apps/myapp/services/default." }, "servicesId": { "type": "string", "location": "path", "required": true, "description": "Part of `parent`. See documentation of `appsId`." } }, "parameterOrder": [ "appsId", "servicesId" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "appsId", "servicesId", "versionsId" ], "id": "appengine.apps.services.versions.get", "response": { "$ref": "Version" }, "description": "Gets the specified Version resource. By default, only a BASIC_VIEW will be returned. Specify the FULL_VIEW parameter to get the full resource.", "flatPath": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}", "parameters": { "appsId": { "location": "path", "type": "string", "required": true, "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default/versions/v1." }, "servicesId": { "required": true, "location": "path", "type": "string", "description": "Part of `name`. See documentation of `appsId`." }, "versionsId": { "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "required": true, "type": "string" }, "view": { "enum": [ "BASIC", "FULL" ], "type": "string", "description": "Controls the set of fields returned in the Get response.", "enumDescriptions": [ "Basic version information including scaling and inbound services, but not detailed deployment information.", "The information from BASIC, plus detailed information about the deployment. This format is required when creating resources, but is not returned in Get or List by default." ], "location": "query" } }, "path": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}" }, "patch": { "path": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}", "parameterOrder": [ "appsId", "servicesId", "versionsId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}", "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "id": "appengine.apps.services.versions.patch", "description": "Updates the specified Version resource. You can specify the following fields depending on the App Engine environment and type of scaling that the version resource uses:Standard environment instance_class (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#Version.FIELDS.instance_class)automatic scaling in the standard environment: automatic_scaling.min_idle_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#Version.FIELDS.automatic_scaling) automatic_scaling.max_idle_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#Version.FIELDS.automatic_scaling) automaticScaling.standard_scheduler_settings.max_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#StandardSchedulerSettings) automaticScaling.standard_scheduler_settings.min_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#StandardSchedulerSettings) automaticScaling.standard_scheduler_settings.target_cpu_utilization (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#StandardSchedulerSettings) automaticScaling.standard_scheduler_settings.target_throughput_utilization (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#StandardSchedulerSettings)basic scaling or manual scaling in the standard environment: serving_status (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#Version.FIELDS.serving_status) manual_scaling.instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#manualscaling)Flexible environment serving_status (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#Version.FIELDS.serving_status)automatic scaling in the flexible environment: automatic_scaling.min_total_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#Version.FIELDS.automatic_scaling) automatic_scaling.max_total_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#Version.FIELDS.automatic_scaling) automatic_scaling.cool_down_period_sec (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#Version.FIELDS.automatic_scaling) automatic_scaling.cpu_utilization.target_utilization (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#Version.FIELDS.automatic_scaling)manual scaling in the flexible environment: manual_scaling.instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#manualscaling)", "request": { "$ref": "Version" }, "parameters": { "appsId": { "location": "path", "type": "string", "description": "Part of `name`. Name of the resource to update. Example: apps/myapp/services/default/versions/1.", "required": true }, "versionsId": { "required": true, "type": "string", "description": "Part of `name`. See documentation of `appsId`.", "location": "path" }, "updateMask": { "type": "string", "description": "Standard field mask for the set of fields to be updated.", "location": "query", "format": "google-fieldmask" }, "servicesId": { "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "required": true, "location": "path" } } }, "list": { "description": "Lists the versions of a service.", "parameters": { "pageSize": { "format": "int32", "description": "Maximum results to return per page.", "type": "integer", "location": "query" }, "view": { "description": "Controls the set of fields returned in the List response.", "enumDescriptions": [ "Basic version information including scaling and inbound services, but not detailed deployment information.", "The information from BASIC, plus detailed information about the deployment. This format is required when creating resources, but is not returned in Get or List by default." ], "enum": [ "BASIC", "FULL" ], "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Continuation token for fetching the next page of results." }, "servicesId": { "required": true, "type": "string", "description": "Part of `parent`. See documentation of `appsId`.", "location": "path" }, "appsId": { "type": "string", "description": "Part of `parent`. Name of the parent Service resource. Example: apps/myapp/services/default.", "location": "path", "required": true } }, "flatPath": "v1/apps/{appsId}/services/{servicesId}/versions", "httpMethod": "GET", "parameterOrder": [ "appsId", "servicesId" ], "response": { "$ref": "ListVersionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1/apps/{appsId}/services/{servicesId}/versions", "id": "appengine.apps.services.versions.list" }, "delete": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "servicesId": { "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "type": "string", "required": true }, "appsId": { "location": "path", "required": true, "type": "string", "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default/versions/v1." }, "versionsId": { "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "required": true, "location": "path" } }, "id": "appengine.apps.services.versions.delete", "description": "Deletes an existing Version resource.", "flatPath": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}", "httpMethod": "DELETE", "parameterOrder": [ "appsId", "servicesId", "versionsId" ], "path": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}" } }, "resources": { "instances": { "methods": { "list": { "httpMethod": "GET", "parameterOrder": [ "appsId", "servicesId", "versionsId" ], "response": { "$ref": "ListInstancesResponse" }, "path": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "pageSize": { "description": "Maximum results to return per page.", "format": "int32", "location": "query", "type": "integer" }, "versionsId": { "type": "string", "location": "path", "required": true, "description": "Part of `parent`. See documentation of `appsId`." }, "appsId": { "type": "string", "location": "path", "required": true, "description": "Part of `parent`. Name of the parent Version resource. Example: apps/myapp/services/default/versions/v1." }, "pageToken": { "description": "Continuation token for fetching the next page of results.", "location": "query", "type": "string" }, "servicesId": { "required": true, "description": "Part of `parent`. See documentation of `appsId`.", "location": "path", "type": "string" } }, "description": "Lists the instances of a version.Tip: To aggregate details about instances over time, see the Stackdriver Monitoring API (https://cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.timeSeries/list).", "id": "appengine.apps.services.versions.instances.list", "flatPath": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances" }, "get": { "response": { "$ref": "Instance" }, "path": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}", "description": "Gets instance information.", "httpMethod": "GET", "id": "appengine.apps.services.versions.instances.get", "parameterOrder": [ "appsId", "servicesId", "versionsId", "instancesId" ], "parameters": { "versionsId": { "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "type": "string", "required": true }, "instancesId": { "type": "string", "location": "path", "description": "Part of `name`. See documentation of `appsId`.", "required": true }, "servicesId": { "location": "path", "required": true, "type": "string", "description": "Part of `name`. See documentation of `appsId`." }, "appsId": { "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default/versions/v1/instances/instance-1.", "required": true, "location": "path", "type": "string" } } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "appsId", "servicesId", "versionsId", "instancesId" ], "description": "Stops a running instance.The instance might be automatically recreated based on the scaling settings of the version. For more information, see \"How Instances are Managed\" (standard environment (https://cloud.google.com/appengine/docs/standard/python/how-instances-are-managed) | flexible environment (https://cloud.google.com/appengine/docs/flexible/python/how-instances-are-managed)).To ensure that instances are not re-created and avoid getting billed, you can stop all instances within the target version by changing the serving status of the version to STOPPED with the apps.services.versions.patch (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions/patch) method.", "flatPath": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}", "httpMethod": "DELETE", "path": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}", "response": { "$ref": "Operation" }, "id": "appengine.apps.services.versions.instances.delete", "parameters": { "appsId": { "type": "string", "required": true, "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default/versions/v1/instances/instance-1.", "location": "path" }, "servicesId": { "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "location": "path", "required": true }, "instancesId": { "type": "string", "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "required": true }, "versionsId": { "type": "string", "required": true, "location": "path", "description": "Part of `name`. See documentation of `appsId`." } } }, "debug": { "path": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}:debug", "id": "appengine.apps.services.versions.instances.debug", "parameterOrder": [ "appsId", "servicesId", "versionsId", "instancesId" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "versionsId": { "location": "path", "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "required": true }, "appsId": { "location": "path", "required": true, "type": "string", "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default/versions/v1/instances/instance-1." }, "instancesId": { "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "type": "string", "required": true }, "servicesId": { "description": "Part of `name`. See documentation of `appsId`.", "required": true, "location": "path", "type": "string" } }, "flatPath": "v1/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}:debug", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "DebugInstanceRequest" }, "description": "Enables debugging on a VM instance. This allows you to use the SSH command to connect to the virtual machine where the instance lives. While in \"debug mode\", the instance continues to serve live traffic. You should delete the instance when you are done debugging and then allow the system to take over and determine if another instance should be started.Only applicable for instances in App Engine flexible environment." } } } } } } } } } }, "title": "App Engine Admin API", "rootUrl": "https://appengine.googleapis.com/", "parameters": { "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true" }, "alt": { "description": "Data format for response.", "default": "json", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "type": "string" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "$.xgafv": { "location": "query", "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." } }, "ownerDomain": "google.com", "version_module": true, "name": "appengine", "ownerName": "Google", "description": "Provisions and manages developers' App Engine applications.", "baseUrl": "https://appengine.googleapis.com/", "fullyEncodeReservedExpansion": true, "discoveryVersion": "v1", "protocol": "rest", "version": "v1", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "batchPath": "batch", "mtlsRootUrl": "https://appengine.mtls.googleapis.com/", "kind": "discovery#restDescription", "id": "appengine:v1", "schemas": { "RequestUtilization": { "description": "Target scaling by request utilization. Only applicable in the App Engine flexible environment.", "id": "RequestUtilization", "type": "object", "properties": { "targetConcurrentRequests": { "type": "integer", "description": "Target number of concurrent requests.", "format": "int32" }, "targetRequestCountPerSecond": { "description": "Target requests per second.", "format": "int32", "type": "integer" } } }, "Network": { "properties": { "subnetworkName": { "type": "string", "description": "Google Cloud Platform sub-network where the virtual machines are created. Specify the short name, not the resource path.If a subnetwork name is specified, a network name will also be required unless it is for the default network. If the network that the instance is being created in is a Legacy network, then the IP address is allocated from the IPv4Range. If the network that the instance is being created in is an auto Subnet Mode Network, then only network name should be specified (not the subnetwork_name) and the IP address is created from the IPCidrRange of the subnetwork that exists in that zone for that network. If the network that the instance is being created in is a custom Subnet Mode Network, then the subnetwork_name must be specified and the IP address is created from the IPCidrRange of the subnetwork.If specified, the subnetwork must exist in the same region as the App Engine flexible environment application." }, "instanceTag": { "description": "Tag to apply to the instance during creation. Only applicable in the App Engine flexible environment.", "type": "string" }, "forwardedPorts": { "description": "List of ports, or port pairs, to forward from the virtual machine to the application container. Only applicable in the App Engine flexible environment.", "type": "array", "items": { "type": "string" } }, "sessionAffinity": { "description": "Enable session affinity. Only applicable in the App Engine flexible environment.", "type": "boolean" }, "instanceIpMode": { "type": "string", "description": "The IP mode for instances. Only applicable in the App Engine flexible environment.", "enumDescriptions": [ "Unspecified is treated as EXTERNAL.", "Instances are created with both internal and external IP addresses.", "Instances are created with internal IP addresses only." ], "enum": [ "INSTANCE_IP_MODE_UNSPECIFIED", "EXTERNAL", "INTERNAL" ] }, "name": { "description": "Google Compute Engine network where the virtual machines are created. Specify the short name, not the resource path.Defaults to default.", "type": "string" } }, "type": "object", "description": "Extra network settings. Only applicable in the App Engine flexible environment.", "id": "Network" }, "ScriptHandler": { "description": "Executes a script to handle the request that matches the URL pattern.", "id": "ScriptHandler", "properties": { "scriptPath": { "type": "string", "description": "Path to the script from the application root directory." } }, "type": "object" }, "Resources": { "properties": { "cpu": { "type": "number", "description": "Number of CPU cores needed.", "format": "double" }, "volumes": { "description": "User specified volumes.", "type": "array", "items": { "$ref": "Volume" } }, "kmsKeyReference": { "description": "The name of the encryption key that is stored in Google Cloud KMS. Only should be used by Cloud Composer to encrypt the vm disk", "type": "string" }, "memoryGb": { "type": "number", "format": "double", "description": "Memory (GB) needed." }, "diskGb": { "format": "double", "description": "Disk size (GB) needed.", "type": "number" } }, "id": "Resources", "type": "object", "description": "Machine resources for a version." }, "ZipInfo": { "type": "object", "description": "The zip file information for a zip deployment.", "id": "ZipInfo", "properties": { "filesCount": { "format": "int32", "description": "An estimate of the number of files in a zip for a zip deployment. If set, must be greater than or equal to the actual number of files. Used for optimizing performance; if not provided, deployment may be slow.", "type": "integer" }, "sourceUrl": { "description": "URL of the zip file to deploy from. Must be a URL to a resource in Google Cloud Storage in the form 'http(s)://storage.googleapis.com//'.", "type": "string" } } }, "AutomaticScaling": { "type": "object", "description": "Automatic scaling is based on request rate, response latencies, and other application metrics.", "id": "AutomaticScaling", "properties": { "requestUtilization": { "$ref": "RequestUtilization", "description": "Target scaling by request utilization." }, "networkUtilization": { "$ref": "NetworkUtilization", "description": "Target scaling by network usage." }, "diskUtilization": { "description": "Target scaling by disk usage.", "$ref": "DiskUtilization" }, "minIdleInstances": { "description": "Minimum number of idle instances that should be maintained for this version. Only applicable for the default version of a service.", "type": "integer", "format": "int32" }, "maxConcurrentRequests": { "format": "int32", "type": "integer", "description": "Number of concurrent requests an automatic scaling instance can accept before the scheduler spawns a new instance.Defaults to a runtime-specific value." }, "minTotalInstances": { "description": "Minimum number of running instances that should be maintained for this version.", "type": "integer", "format": "int32" }, "maxTotalInstances": { "type": "integer", "description": "Maximum number of instances that should be started to handle requests for this version.", "format": "int32" }, "coolDownPeriod": { "description": "The time period that the Autoscaler (https://cloud.google.com/compute/docs/autoscaler/) should wait before it starts collecting information from a new instance. This prevents the autoscaler from collecting information when the instance is initializing, during which the collected usage would not be reliable. Only applicable in the App Engine flexible environment.", "format": "google-duration", "type": "string" }, "standardSchedulerSettings": { "$ref": "StandardSchedulerSettings", "description": "Scheduler settings for standard environment." }, "minPendingLatency": { "format": "google-duration", "description": "Minimum amount of time a request should wait in the pending queue before starting a new instance to handle it.", "type": "string" }, "maxIdleInstances": { "format": "int32", "description": "Maximum number of idle instances that should be maintained for this version.", "type": "integer" }, "maxPendingLatency": { "format": "google-duration", "description": "Maximum amount of time that a request should wait in the pending queue before starting a new instance to handle it.", "type": "string" }, "cpuUtilization": { "description": "Target scaling by CPU usage.", "$ref": "CpuUtilization" } } }, "OperationMetadataV1": { "description": "Metadata for the given google.longrunning.Operation.", "id": "OperationMetadataV1", "type": "object", "properties": { "target": { "description": "Name of the resource that this operation is acting on. Example: apps/myapp/services/default.@OutputOnly", "type": "string" }, "ephemeralMessage": { "description": "Ephemeral message that may change every time the operation is polled. @OutputOnly", "type": "string" }, "method": { "type": "string", "description": "API method that initiated this operation. Example: google.appengine.v1.Versions.CreateVersion.@OutputOnly" }, "warning": { "type": "array", "description": "Durable messages that persist on every operation poll. @OutputOnly", "items": { "type": "string" } }, "createVersionMetadata": { "$ref": "CreateVersionMetadataV1" }, "insertTime": { "type": "string", "format": "google-datetime", "description": "Time that this operation was created.@OutputOnly" }, "endTime": { "type": "string", "format": "google-datetime", "description": "Time that this operation completed.@OutputOnly" }, "user": { "description": "User who requested this operation.@OutputOnly", "type": "string" } } }, "LivenessCheck": { "properties": { "successThreshold": { "description": "Number of consecutive successful checks required before considering the VM healthy.", "format": "uint32", "type": "integer" }, "initialDelay": { "description": "The initial delay before starting to execute the checks.", "format": "google-duration", "type": "string" }, "host": { "description": "Host header to send when performing a HTTP Liveness check. Example: \"myapp.appspot.com\"", "type": "string" }, "timeout": { "format": "google-duration", "type": "string", "description": "Time before the check is considered failed." }, "path": { "type": "string", "description": "The request path." }, "checkInterval": { "description": "Interval between health checks.", "format": "google-duration", "type": "string" }, "failureThreshold": { "format": "uint32", "description": "Number of consecutive failed checks required before considering the VM unhealthy.", "type": "integer" } }, "description": "Health checking configuration for VM instances. Unhealthy instances are killed and replaced with new instances.", "id": "LivenessCheck", "type": "object" }, "DomainMapping": { "type": "object", "description": "A domain serving an App Engine application.", "id": "DomainMapping", "properties": { "name": { "type": "string", "description": "Full path to the DomainMapping resource in the API. Example: apps/myapp/domainMapping/example.com.@OutputOnly" }, "resourceRecords": { "items": { "$ref": "ResourceRecord" }, "description": "The resource records required to configure this domain mapping. These records must be added to the domain's DNS configuration in order to serve the application via this domain mapping.@OutputOnly", "type": "array" }, "sslSettings": { "description": "SSL configuration for this domain. If unconfigured, this domain will not serve with SSL.", "$ref": "SslSettings" }, "id": { "type": "string", "description": "Relative name of the domain serving the application. Example: example.com." } } }, "Entrypoint": { "type": "object", "description": "The entrypoint for the application.", "id": "Entrypoint", "properties": { "shell": { "description": "The format should be a shell command that can be fed to bash -c.", "type": "string" } } }, "ListDomainMappingsResponse": { "description": "Response message for DomainMappings.ListDomainMappings.", "properties": { "domainMappings": { "type": "array", "items": { "$ref": "DomainMapping" }, "description": "The domain mappings for the application." }, "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" } }, "type": "object", "id": "ListDomainMappingsResponse" }, "EndpointsApiService": { "properties": { "configId": { "description": "Endpoints service configuration ID as specified by the Service Management API. For example \"2016-09-19r1\".By default, the rollout strategy for Endpoints is RolloutStrategy.FIXED. This means that Endpoints starts up with a particular configuration ID. When a new configuration is rolled out, Endpoints must be given the new configuration ID. The config_id field is used to give the configuration ID and is required in this case.Endpoints also has a rollout strategy called RolloutStrategy.MANAGED. When using this, Endpoints fetches the latest configuration and does not need the configuration ID. In this case, config_id must be omitted.", "type": "string" }, "disableTraceSampling": { "type": "boolean", "description": "Enable or disable trace sampling. By default, this is set to false for enabled." }, "name": { "description": "Endpoints service name which is the name of the \"service\" resource in the Service Management API. For example \"myapi.endpoints.myproject.cloud.goog\"", "type": "string" }, "rolloutStrategy": { "enum": [ "UNSPECIFIED_ROLLOUT_STRATEGY", "FIXED", "MANAGED" ], "type": "string", "description": "Endpoints rollout strategy. If FIXED, config_id must be specified. If MANAGED, config_id must be omitted.", "enumDescriptions": [ "Not specified. Defaults to FIXED.", "Endpoints service configuration ID will be fixed to the configuration ID specified by config_id.", "Endpoints service configuration ID will be updated with each rollout." ] } }, "description": "Cloud Endpoints (https://cloud.google.com/endpoints) configuration. The Endpoints API Service provides tooling for serving Open API and gRPC endpoints via an NGINX proxy. Only valid for App Engine Flexible environment deployments.The fields here refer to the name and configuration ID of a \"service\" resource in the Service Management API (https://cloud.google.com/service-management/overview).", "id": "EndpointsApiService", "type": "object" }, "FirewallRule": { "properties": { "description": { "description": "An optional string description of this rule. This field has a maximum length of 400 characters.", "type": "string" }, "action": { "enum": [ "UNSPECIFIED_ACTION", "ALLOW", "DENY" ], "description": "The action to take on matched requests.", "type": "string", "enumDescriptions": [ "", "Matching requests are allowed.", "Matching requests are denied." ] }, "priority": { "type": "integer", "format": "int32", "description": "A positive integer between 1, Int32.MaxValue-1 that defines the order of rule evaluation. Rules with the lowest priority are evaluated first.A default rule at priority Int32.MaxValue matches all IPv4 and IPv6 traffic when no previous rule matches. Only the action of this rule can be modified by the user." }, "sourceRange": { "description": "IP address or range, defined using CIDR notation, of requests that this rule applies to. You can use the wildcard character \"*\" to match all IPs equivalent to \"0/0\" and \"::/0\" together. Examples: 192.168.1.1 or 192.168.0.0/16 or 2001:db8::/32 or 2001:0db8:0000:0042:0000:8a2e:0370:7334. Truncation will be silently performed on addresses which are not properly truncated. For example, 1.2.3.4/24 is accepted as the same address as 1.2.3.0/24. Similarly, for IPv6, 2001:db8::1/32 is accepted as the same address as 2001:db8::/32.", "type": "string" } }, "description": "A single firewall rule that is evaluated against incoming traffic and provides an action to take on matched requests.", "id": "FirewallRule", "type": "object" }, "BatchUpdateIngressRulesRequest": { "id": "BatchUpdateIngressRulesRequest", "description": "Request message for Firewall.BatchUpdateIngressRules.", "type": "object", "properties": { "ingressRules": { "description": "A list of FirewallRules to replace the existing set.", "items": { "$ref": "FirewallRule" }, "type": "array" } } }, "CpuUtilization": { "id": "CpuUtilization", "description": "Target scaling by CPU usage.", "type": "object", "properties": { "aggregationWindowLength": { "format": "google-duration", "description": "Period of time over which CPU utilization is calculated.", "type": "string" }, "targetUtilization": { "description": "Target CPU utilization ratio to maintain when scaling. Must be between 0 and 1.", "type": "number", "format": "double" } } }, "BatchUpdateIngressRulesResponse": { "id": "BatchUpdateIngressRulesResponse", "description": "Response message for Firewall.UpdateAllIngressRules.", "type": "object", "properties": { "ingressRules": { "description": "The full list of ingress FirewallRules for this application.", "type": "array", "items": { "$ref": "FirewallRule" } } } }, "TrafficSplit": { "properties": { "allocations": { "description": "Mapping from version IDs within the service to fractional (0.000, 1] allocations of traffic for that version. Each version can be specified only once, but some versions in the service may not have any traffic allocation. Services that have traffic allocated cannot be deleted until either the service is deleted or their traffic allocation is removed. Allocations must sum to 1. Up to two decimal place precision is supported for IP-based splits and up to three decimal places is supported for cookie-based splits.", "type": "object", "additionalProperties": { "type": "number", "format": "double" } }, "shardBy": { "description": "Mechanism used to determine which version a request is sent to. The traffic selection algorithm will be stable for either type until allocations are changed.", "enum": [ "UNSPECIFIED", "COOKIE", "IP", "RANDOM" ], "enumDescriptions": [ "Diversion method unspecified.", "Diversion based on a specially named cookie, \"GOOGAPPUID.\" The cookie must be set by the application itself or no diversion will occur.", "Diversion based on applying the modulus operation to a fingerprint of the IP address.", "Diversion based on weighted random assignment. An incoming request is randomly routed to a version in the traffic split, with probability proportional to the version's traffic share." ], "type": "string" } }, "description": "Traffic routing configuration for versions within a single service. Traffic splits define how traffic directed to the service is assigned to versions.", "type": "object", "id": "TrafficSplit" }, "Deployment": { "properties": { "container": { "description": "The Docker image for the container that runs the version. Only applicable for instances running in the App Engine flexible environment.", "$ref": "ContainerInfo" }, "zip": { "$ref": "ZipInfo", "description": "The zip file for this deployment, if this is a zip deployment." }, "files": { "additionalProperties": { "$ref": "FileInfo" }, "description": "Manifest of the files stored in Google Cloud Storage that are included as part of this version. All files must be readable using the credentials supplied with this call.", "type": "object" }, "cloudBuildOptions": { "$ref": "CloudBuildOptions", "description": "Options for any Google Cloud Build builds created as a part of this deployment.These options will only be used if a new build is created, such as when deploying to the App Engine flexible environment using files or zip." } }, "type": "object", "description": "Code and application artifacts used to deploy a version to App Engine.", "id": "Deployment" }, "FileInfo": { "description": "Single source file that is part of the version to be deployed. Each source file that is deployed must be specified separately.", "type": "object", "properties": { "sha1Sum": { "type": "string", "description": "The SHA1 hash of the file, in hex." }, "mimeType": { "description": "The MIME type of the file.Defaults to the value from Google Cloud Storage.", "type": "string" }, "sourceUrl": { "description": "URL source to use to fetch this file. Must be a URL to a resource in Google Cloud Storage in the form 'http(s)://storage.googleapis.com//'.", "type": "string" } }, "id": "FileInfo" }, "Operation": { "id": "Operation", "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.", "type": "string" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.", "type": "object" }, "done": { "type": "boolean", "description": "If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available." } }, "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call." }, "ListVersionsResponse": { "type": "object", "properties": { "versions": { "items": { "$ref": "Version" }, "description": "The versions belonging to the requested service.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } }, "description": "Response message for Versions.ListVersions.", "id": "ListVersionsResponse" }, "VpcAccessConnector": { "description": "VPC access connector specification.", "properties": { "name": { "type": "string", "description": "Full Serverless VPC Access Connector name e.g. /projects/my-project/locations/us-central1/connectors/c1." }, "egressSetting": { "enum": [ "EGRESS_SETTING_UNSPECIFIED", "ALL_TRAFFIC", "PRIVATE_IP_RANGES" ], "type": "string", "description": "The egress setting for the connector, controlling what traffic is diverted through it.", "enumDescriptions": [ "", "Force the use of VPC Access for all egress traffic from the function.", "Use the VPC Access Connector for private IP space from RFC1918." ] } }, "type": "object", "id": "VpcAccessConnector" }, "LocationMetadata": { "properties": { "searchApiAvailable": { "description": "Output only. Search API (https://cloud.google.com/appengine/docs/standard/python/search) is available in the given location.", "type": "boolean", "readOnly": true }, "flexibleEnvironmentAvailable": { "description": "App Engine flexible environment is available in the given location.@OutputOnly", "type": "boolean" }, "standardEnvironmentAvailable": { "type": "boolean", "description": "App Engine standard environment is available in the given location.@OutputOnly" } }, "type": "object", "description": "Metadata for the given google.cloud.location.Location.", "id": "LocationMetadata" }, "IdentityAwareProxy": { "description": "Identity-Aware Proxy", "type": "object", "id": "IdentityAwareProxy", "properties": { "oauth2ClientSecretSha256": { "description": "Hex-encoded SHA-256 hash of the client secret.@OutputOnly", "type": "string" }, "oauth2ClientSecret": { "description": "OAuth2 client secret to use for the authentication flow.For security reasons, this value cannot be retrieved via the API. Instead, the SHA-256 hash of the value is returned in the oauth2_client_secret_sha256 field.@InputOnly", "type": "string" }, "oauth2ClientId": { "description": "OAuth2 client ID to use for the authentication flow.", "type": "string" }, "enabled": { "description": "Whether the serving infrastructure will authenticate and authorize all incoming requests.If true, the oauth2_client_id and oauth2_client_secret fields must be non-empty.", "type": "boolean" } } }, "ApiEndpointHandler": { "properties": { "scriptPath": { "description": "Path to the script from the application root directory.", "type": "string" } }, "type": "object", "id": "ApiEndpointHandler", "description": "Uses Google Cloud Endpoints to handle requests." }, "HealthCheck": { "description": "Health checking configuration for VM instances. Unhealthy instances are killed and replaced with new instances. Only applicable for instances in App Engine flexible environment.", "id": "HealthCheck", "type": "object", "properties": { "disableHealthCheck": { "type": "boolean", "description": "Whether to explicitly disable health checks for this instance." }, "checkInterval": { "description": "Interval between health checks.", "type": "string", "format": "google-duration" }, "host": { "description": "Host header to send when performing an HTTP health check. Example: \"myapp.appspot.com\"", "type": "string" }, "healthyThreshold": { "type": "integer", "description": "Number of consecutive successful health checks required before receiving traffic.", "format": "uint32" }, "unhealthyThreshold": { "format": "uint32", "description": "Number of consecutive failed health checks required before removing traffic.", "type": "integer" }, "timeout": { "format": "google-duration", "description": "Time before the health check is considered failed.", "type": "string" }, "restartThreshold": { "type": "integer", "format": "uint32", "description": "Number of consecutive failed health checks required before an instance is restarted." } } }, "ReadinessCheck": { "id": "ReadinessCheck", "properties": { "path": { "type": "string", "description": "The request path." }, "host": { "type": "string", "description": "Host header to send when performing a HTTP Readiness check. Example: \"myapp.appspot.com\"" }, "checkInterval": { "type": "string", "description": "Interval between health checks.", "format": "google-duration" }, "appStartTimeout": { "type": "string", "format": "google-duration", "description": "A maximum time limit on application initialization, measured from moment the application successfully replies to a healthcheck until it is ready to serve traffic." }, "timeout": { "format": "google-duration", "type": "string", "description": "Time before the check is considered failed." }, "failureThreshold": { "format": "uint32", "type": "integer", "description": "Number of consecutive failed checks required before removing traffic." }, "successThreshold": { "format": "uint32", "description": "Number of consecutive successful checks required before receiving traffic.", "type": "integer" } }, "type": "object", "description": "Readiness checking configuration for VM instances. Unhealthy instances are removed from traffic rotation." }, "Location": { "properties": { "locationId": { "description": "The canonical id for this location. For example: \"us-east1\".", "type": "string" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: \"projects/example-project/locations/us-east1\"", "type": "string" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"} ", "additionalProperties": { "type": "string" } } }, "type": "object", "id": "Location", "description": "A resource that represents Google Cloud Platform location." }, "FeatureSettings": { "properties": { "useContainerOptimizedOs": { "description": "If true, use Container-Optimized OS (https://cloud.google.com/container-optimized-os/) base image for VMs, rather than a base Debian image.", "type": "boolean" }, "splitHealthChecks": { "type": "boolean", "description": "Boolean value indicating if split health checks should be used instead of the legacy health checks. At an app.yaml level, this means defaulting to 'readiness_check' and 'liveness_check' values instead of 'health_check' ones. Once the legacy 'health_check' behavior is deprecated, and this value is always true, this setting can be removed." } }, "type": "object", "id": "FeatureSettings", "description": "The feature specific settings to be used in the application. These define behaviors that are user configurable." }, "CreateVersionMetadataV1": { "id": "CreateVersionMetadataV1", "description": "Metadata for the given google.longrunning.Operation during a google.appengine.v1.CreateVersionRequest.", "properties": { "cloudBuildId": { "description": "The Cloud Build ID if one was created as part of the version create. @OutputOnly", "type": "string" } }, "type": "object" }, "DiskUtilization": { "description": "Target scaling by disk usage. Only applicable in the App Engine flexible environment.", "id": "DiskUtilization", "type": "object", "properties": { "targetReadOpsPerSecond": { "type": "integer", "format": "int32", "description": "Target ops read per seconds." }, "targetWriteBytesPerSecond": { "type": "integer", "description": "Target bytes written per second.", "format": "int32" }, "targetWriteOpsPerSecond": { "type": "integer", "description": "Target ops written per second.", "format": "int32" }, "targetReadBytesPerSecond": { "type": "integer", "format": "int32", "description": "Target bytes read per second." } } }, "ListServicesResponse": { "properties": { "services": { "items": { "$ref": "Service" }, "type": "array", "description": "The services belonging to the requested application." }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } }, "description": "Response message for Services.ListServices.", "id": "ListServicesResponse", "type": "object" }, "GoogleAppengineV1betaLocationMetadata": { "properties": { "standardEnvironmentAvailable": { "description": "App Engine standard environment is available in the given location.@OutputOnly", "type": "boolean" }, "searchApiAvailable": { "description": "Output only. Search API (https://cloud.google.com/appengine/docs/standard/python/search) is available in the given location.", "type": "boolean", "readOnly": true }, "flexibleEnvironmentAvailable": { "description": "App Engine flexible environment is available in the given location.@OutputOnly", "type": "boolean" } }, "id": "GoogleAppengineV1betaLocationMetadata", "description": "Metadata for the given google.cloud.location.Location.", "type": "object" }, "OperationMetadataV1Beta": { "id": "OperationMetadataV1Beta", "description": "Metadata for the given google.longrunning.Operation.", "type": "object", "properties": { "method": { "type": "string", "description": "API method that initiated this operation. Example: google.appengine.v1beta.Versions.CreateVersion.@OutputOnly" }, "warning": { "type": "array", "items": { "type": "string" }, "description": "Durable messages that persist on every operation poll. @OutputOnly" }, "ephemeralMessage": { "type": "string", "description": "Ephemeral message that may change every time the operation is polled. @OutputOnly" }, "insertTime": { "format": "google-datetime", "type": "string", "description": "Time that this operation was created.@OutputOnly" }, "user": { "type": "string", "description": "User who requested this operation.@OutputOnly" }, "target": { "type": "string", "description": "Name of the resource that this operation is acting on. Example: apps/myapp/services/default.@OutputOnly" }, "endTime": { "description": "Time that this operation completed.@OutputOnly", "type": "string", "format": "google-datetime" }, "createVersionMetadata": { "$ref": "CreateVersionMetadataV1Beta" } } }, "UrlDispatchRule": { "properties": { "path": { "description": "Pathname within the host. Must start with a \"/\". A single \"*\" can be included at the end of the path.The sum of the lengths of the domain and path may not exceed 100 characters.", "type": "string" }, "domain": { "description": "Domain name to match against. The wildcard \"*\" is supported if specified before a period: \"*.\".Defaults to matching all domains: \"*\".", "type": "string" }, "service": { "description": "Resource ID of a service in this application that should serve the matched request. The service must already exist. Example: default.", "type": "string" } }, "type": "object", "id": "UrlDispatchRule", "description": "Rules to match an HTTP request and dispatch that request to a service." }, "Volume": { "properties": { "volumeType": { "description": "Underlying volume type, e.g. 'tmpfs'.", "type": "string" }, "name": { "description": "Unique name for the volume.", "type": "string" }, "sizeGb": { "format": "double", "type": "number", "description": "Volume size in gigabytes." } }, "id": "Volume", "type": "object", "description": "Volumes mounted within the app container. Only applicable in the App Engine flexible environment." }, "StandardSchedulerSettings": { "type": "object", "properties": { "minInstances": { "description": "Minimum number of instances to run for this version. Set to zero to disable min_instances configuration.", "format": "int32", "type": "integer" }, "targetCpuUtilization": { "description": "Target CPU utilization ratio to maintain when scaling.", "format": "double", "type": "number" }, "targetThroughputUtilization": { "format": "double", "type": "number", "description": "Target throughput utilization ratio to maintain when scaling" }, "maxInstances": { "type": "integer", "format": "int32", "description": "Maximum number of instances to run for this version. Set to zero to disable max_instances configuration." } }, "description": "Scheduler settings for standard environment.", "id": "StandardSchedulerSettings" }, "UrlMap": { "type": "object", "properties": { "authFailAction": { "enum": [ "AUTH_FAIL_ACTION_UNSPECIFIED", "AUTH_FAIL_ACTION_REDIRECT", "AUTH_FAIL_ACTION_UNAUTHORIZED" ], "description": "Action to take when users access resources that require authentication. Defaults to redirect.", "type": "string", "enumDescriptions": [ "Not specified. AUTH_FAIL_ACTION_REDIRECT is assumed.", "Redirects user to \"accounts.google.com\". The user is redirected back to the application URL after signing in or creating an account.", "Rejects request with a 401 HTTP status code and an error message." ] }, "urlRegex": { "type": "string", "description": "URL prefix. Uses regular expression syntax, which means regexp special characters must be escaped, but should not contain groupings. All URLs that begin with this prefix are handled by this handler, using the portion of the URL after the prefix as part of the file path." }, "redirectHttpResponseCode": { "enumDescriptions": [ "Not specified. 302 is assumed.", "301 Moved Permanently code.", "302 Moved Temporarily code.", "303 See Other code.", "307 Temporary Redirect code." ], "description": "30x code to use when performing redirects for the secure field. Defaults to 302.", "enum": [ "REDIRECT_HTTP_RESPONSE_CODE_UNSPECIFIED", "REDIRECT_HTTP_RESPONSE_CODE_301", "REDIRECT_HTTP_RESPONSE_CODE_302", "REDIRECT_HTTP_RESPONSE_CODE_303", "REDIRECT_HTTP_RESPONSE_CODE_307" ], "type": "string" }, "apiEndpoint": { "$ref": "ApiEndpointHandler", "description": "Uses API Endpoints to handle requests." }, "login": { "description": "Level of login required to access this resource. Not supported for Node.js in the App Engine standard environment.", "enumDescriptions": [ "Not specified. LOGIN_OPTIONAL is assumed.", "Does not require that the user is signed in.", "If the user is not signed in, the auth_fail_action is taken. In addition, if the user is not an administrator for the application, they are given an error message regardless of auth_fail_action. If the user is an administrator, the handler proceeds.", "If the user has signed in, the handler proceeds normally. Otherwise, the auth_fail_action is taken." ], "type": "string", "enum": [ "LOGIN_UNSPECIFIED", "LOGIN_OPTIONAL", "LOGIN_ADMIN", "LOGIN_REQUIRED" ] }, "script": { "description": "Executes a script to handle the requests that match this URL pattern. Only the auto value is supported for Node.js in the App Engine standard environment, for example \"script\": \"auto\".", "$ref": "ScriptHandler" }, "staticFiles": { "$ref": "StaticFilesHandler", "description": "Returns the contents of a file, such as an image, as the response." }, "securityLevel": { "description": "Security (HTTPS) enforcement for this URL.", "type": "string", "enumDescriptions": [ "Not specified.", "Both HTTP and HTTPS requests with URLs that match the handler succeed without redirects. The application can examine the request to determine which protocol was used, and respond accordingly.", "Requests for a URL that match this handler that use HTTPS are automatically redirected to the HTTP equivalent URL.", "Both HTTP and HTTPS requests with URLs that match the handler succeed without redirects. The application can examine the request to determine which protocol was used and respond accordingly.", "Requests for a URL that match this handler that do not use HTTPS are automatically redirected to the HTTPS URL with the same path. Query parameters are reserved for the redirect." ], "enum": [ "SECURE_UNSPECIFIED", "SECURE_DEFAULT", "SECURE_NEVER", "SECURE_OPTIONAL", "SECURE_ALWAYS" ] } }, "id": "UrlMap", "description": "URL pattern and description of how the URL should be handled. App Engine can handle URLs by executing application code or by serving static files uploaded with the version, such as images, CSS, or JavaScript." }, "OperationMetadataV1Alpha": { "type": "object", "properties": { "method": { "description": "API method that initiated this operation. Example: google.appengine.v1alpha.Versions.CreateVersion.@OutputOnly", "type": "string" }, "ephemeralMessage": { "type": "string", "description": "Ephemeral message that may change every time the operation is polled. @OutputOnly" }, "target": { "type": "string", "description": "Name of the resource that this operation is acting on. Example: apps/myapp/services/default.@OutputOnly" }, "endTime": { "format": "google-datetime", "description": "Time that this operation completed.@OutputOnly", "type": "string" }, "user": { "type": "string", "description": "User who requested this operation.@OutputOnly" }, "insertTime": { "description": "Time that this operation was created.@OutputOnly", "type": "string", "format": "google-datetime" }, "createVersionMetadata": { "$ref": "CreateVersionMetadataV1Alpha" }, "warning": { "type": "array", "items": { "type": "string" }, "description": "Durable messages that persist on every operation poll. @OutputOnly" } }, "id": "OperationMetadataV1Alpha", "description": "Metadata for the given google.longrunning.Operation." }, "RepairApplicationRequest": { "description": "Request message for 'Applications.RepairApplication'.", "properties": {}, "id": "RepairApplicationRequest", "type": "object" }, "Application": { "type": "object", "id": "Application", "description": "An Application resource contains the top-level configuration of an App Engine application.", "properties": { "defaultHostname": { "description": "Hostname used to reach this application, as resolved by App Engine.@OutputOnly", "type": "string" }, "databaseType": { "type": "string", "enumDescriptions": [ "Database type is unspecified.", "Cloud Datastore", "Cloud Firestore Native", "Cloud Firestore in Datastore Mode" ], "enum": [ "DATABASE_TYPE_UNSPECIFIED", "CLOUD_DATASTORE", "CLOUD_FIRESTORE", "CLOUD_DATASTORE_COMPATIBILITY" ], "description": "The type of the Cloud Firestore or Cloud Datastore database associated with this application." }, "codeBucket": { "type": "string", "description": "Google Cloud Storage bucket that can be used for storing files associated with this application. This bucket is associated with the application and can be used by the gcloud deployment commands.@OutputOnly" }, "featureSettings": { "$ref": "FeatureSettings", "description": "The feature specific settings to be used in the application." }, "defaultBucket": { "type": "string", "description": "Google Cloud Storage bucket that can be used by this application to store content.@OutputOnly" }, "name": { "type": "string", "description": "Full path to the Application resource in the API. Example: apps/myapp.@OutputOnly" }, "authDomain": { "description": "Google Apps authentication domain that controls which users can access this application.Defaults to open access for any Google Account.", "type": "string" }, "iap": { "$ref": "IdentityAwareProxy" }, "id": { "type": "string", "description": "Identifier of the Application resource. This identifier is equivalent to the project ID of the Google Cloud Platform project where you want to deploy your application. Example: myapp." }, "gcrDomain": { "type": "string", "description": "The Google Container Registry domain used for storing managed build docker images for this application." }, "defaultCookieExpiration": { "type": "string", "description": "Cookie expiration policy for this application.", "format": "google-duration" }, "dispatchRules": { "items": { "$ref": "UrlDispatchRule" }, "type": "array", "description": "HTTP path dispatch rules for requests to the application that do not explicitly target a service or version. Rules are order-dependent. Up to 20 dispatch rules can be supported." }, "servingStatus": { "enum": [ "UNSPECIFIED", "SERVING", "USER_DISABLED", "SYSTEM_DISABLED" ], "enumDescriptions": [ "Serving status is unspecified.", "Application is serving.", "Application has been disabled by the user.", "Application has been disabled by the system." ], "description": "Serving status of this application.", "type": "string" }, "serviceAccount": { "description": "The service account associated with the application. This is the app-level default identity. If no identity provided during create version, Admin API will fallback to this one.", "type": "string" }, "locationId": { "description": "Location from which this application runs. Application instances run out of the data centers in the specified location, which is also where all of the application's end user content is stored.Defaults to us-central.View the list of supported locations (https://cloud.google.com/appengine/docs/locations).", "type": "string" } } }, "AuthorizedCertificate": { "type": "object", "id": "AuthorizedCertificate", "description": "An SSL certificate that a user has been authorized to administer. A user is authorized to administer any certificate that applies to one of their authorized domains.", "properties": { "domainNames": { "type": "array", "description": "Topmost applicable domains of this certificate. This certificate applies to these domains and their subdomains. Example: example.com.@OutputOnly", "items": { "type": "string" } }, "name": { "type": "string", "description": "Full path to the AuthorizedCertificate resource in the API. Example: apps/myapp/authorizedCertificates/12345.@OutputOnly" }, "displayName": { "type": "string", "description": "The user-specified display name of the certificate. This is not guaranteed to be unique. Example: My Certificate." }, "visibleDomainMappings": { "type": "array", "description": "The full paths to user visible Domain Mapping resources that have this certificate mapped. Example: apps/myapp/domainMappings/example.com.This may not represent the full list of mapped domain mappings if the user does not have VIEWER permissions on all of the applications that have this certificate mapped. See domain_mappings_count for a complete count.Only returned by GET or LIST requests when specifically requested by the view=FULL_CERTIFICATE option.@OutputOnly", "items": { "type": "string" } }, "id": { "type": "string", "description": "Relative name of the certificate. This is a unique value autogenerated on AuthorizedCertificate resource creation. Example: 12345.@OutputOnly" }, "domainMappingsCount": { "type": "integer", "description": "Aggregate count of the domain mappings with this certificate mapped. This count includes domain mappings on applications for which the user does not have VIEWER permissions.Only returned by GET or LIST requests when specifically requested by the view=FULL_CERTIFICATE option.@OutputOnly", "format": "int32" }, "managedCertificate": { "$ref": "ManagedCertificate", "description": "Only applicable if this certificate is managed by App Engine. Managed certificates are tied to the lifecycle of a DomainMapping and cannot be updated or deleted via the AuthorizedCertificates API. If this certificate is manually administered by the user, this field will be empty.@OutputOnly" }, "certificateRawData": { "description": "The SSL certificate serving the AuthorizedCertificate resource. This must be obtained independently from a certificate authority.", "$ref": "CertificateRawData" }, "expireTime": { "type": "string", "format": "google-datetime", "description": "The time when this certificate expires. To update the renewal time on this certificate, upload an SSL certificate with a different expiration time using AuthorizedCertificates.UpdateAuthorizedCertificate.@OutputOnly" } } }, "ListIngressRulesResponse": { "properties": { "ingressRules": { "type": "array", "description": "The ingress FirewallRules for this application.", "items": { "$ref": "FirewallRule" } }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } }, "type": "object", "id": "ListIngressRulesResponse", "description": "Response message for Firewall.ListIngressRules." }, "AuthorizedDomain": { "properties": { "id": { "type": "string", "description": "Fully qualified domain name of the domain authorized for use. Example: example.com." }, "name": { "type": "string", "description": "Full path to the AuthorizedDomain resource in the API. Example: apps/myapp/authorizedDomains/example.com.@OutputOnly" } }, "type": "object", "id": "AuthorizedDomain", "description": "A domain that a user has been authorized to administer. To authorize use of a domain, verify ownership via Webmaster Central (https://www.google.com/webmasters/verification/home)." }, "NetworkSettings": { "properties": { "ingressTrafficAllowed": { "enum": [ "INGRESS_TRAFFIC_ALLOWED_UNSPECIFIED", "INGRESS_TRAFFIC_ALLOWED_ALL", "INGRESS_TRAFFIC_ALLOWED_INTERNAL_ONLY", "INGRESS_TRAFFIC_ALLOWED_INTERNAL_AND_LB" ], "enumDescriptions": [ "Unspecified", "Allow HTTP traffic from public and private sources.", "Allow HTTP traffic from only private VPC sources.", "Allow HTTP traffic from private VPC sources and through load balancers." ], "description": "The ingress settings for version or service.", "type": "string" } }, "type": "object", "description": "A NetworkSettings resource is a container for ingress settings for a version or service.", "id": "NetworkSettings" }, "ResourceRecord": { "description": "A DNS resource record.", "id": "ResourceRecord", "properties": { "rrdata": { "type": "string", "description": "Data for this record. Values vary by record type, as defined in RFC 1035 (section 5) and RFC 1034 (section 3.6.1)." }, "type": { "enumDescriptions": [ "An unknown resource record.", "An A resource record. Data is an IPv4 address.", "An AAAA resource record. Data is an IPv6 address.", "A CNAME resource record. Data is a domain name to be aliased." ], "enum": [ "RECORD_TYPE_UNSPECIFIED", "A", "AAAA", "CNAME" ], "description": "Resource record type. Example: AAAA.", "type": "string" }, "name": { "description": "Relative name of the object affected by this record. Only applicable for CNAME records. Example: 'www'.", "type": "string" } }, "type": "object" }, "CreateVersionMetadataV1Alpha": { "description": "Metadata for the given google.longrunning.Operation during a google.appengine.v1alpha.CreateVersionRequest.", "properties": { "cloudBuildId": { "type": "string", "description": "The Cloud Build ID if one was created as part of the version create. @OutputOnly" } }, "id": "CreateVersionMetadataV1Alpha", "type": "object" }, "ListInstancesResponse": { "type": "object", "properties": { "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" }, "instances": { "items": { "$ref": "Instance" }, "type": "array", "description": "The instances belonging to the requested version." } }, "description": "Response message for Instances.ListInstances.", "id": "ListInstancesResponse" }, "ManagedCertificate": { "id": "ManagedCertificate", "properties": { "lastRenewalTime": { "format": "google-datetime", "type": "string", "description": "Time at which the certificate was last renewed. The renewal process is fully managed. Certificate renewal will automatically occur before the certificate expires. Renewal errors can be tracked via ManagementStatus.@OutputOnly" }, "status": { "enumDescriptions": [ "", "Certificate was successfully obtained and inserted into the serving system.", "Certificate is under active attempts to acquire or renew.", "Most recent renewal failed due to an invalid DNS setup and will be retried. Renewal attempts will continue to fail until the certificate domain's DNS configuration is fixed. The last successfully provisioned certificate may still be serving.", "All renewal attempts have been exhausted, likely due to an invalid DNS setup.", "Most recent renewal failed due to an explicit CAA record that does not include one of the in-use CAs (Google CA and Let's Encrypt). Renewals will continue to fail until the CAA is reconfigured. The last successfully provisioned certificate may still be serving.", "Most recent renewal failed due to a CAA retrieval failure. This means that the domain's DNS provider does not properly handle CAA records, failing requests for CAA records when no CAA records are defined. Renewals will continue to fail until the DNS provider is changed or a CAA record is added for the given domain. The last successfully provisioned certificate may still be serving." ], "type": "string", "enum": [ "MANAGEMENT_STATUS_UNSPECIFIED", "OK", "PENDING", "FAILED_RETRYING_NOT_VISIBLE", "FAILED_PERMANENT", "FAILED_RETRYING_CAA_FORBIDDEN", "FAILED_RETRYING_CAA_CHECKING" ], "description": "Status of certificate management. Refers to the most recent certificate acquisition or renewal attempt.@OutputOnly" } }, "description": "A certificate managed by App Engine.", "type": "object" }, "BasicScaling": { "type": "object", "properties": { "maxInstances": { "description": "Maximum number of instances to create for this version.", "type": "integer", "format": "int32" }, "idleTimeout": { "type": "string", "description": "Duration of time after the last request that an instance must wait before the instance is shut down.", "format": "google-duration" } }, "description": "A service with basic scaling will create an instance when the application receives a request. The instance will be turned down when the app becomes idle. Basic scaling is ideal for work that is intermittent or driven by user activity.", "id": "BasicScaling" }, "ContainerInfo": { "id": "ContainerInfo", "type": "object", "properties": { "image": { "description": "URI to the hosted container image in Google Container Registry. The URI must be fully qualified and include a tag or digest. Examples: \"gcr.io/my-project/image:tag\" or \"gcr.io/my-project/image@digest\"", "type": "string" } }, "description": "Docker image that is used to create a container and start a VM instance for the version that you deploy. Only applicable for instances running in the App Engine flexible environment." }, "ListAuthorizedCertificatesResponse": { "id": "ListAuthorizedCertificatesResponse", "description": "Response message for AuthorizedCertificates.ListAuthorizedCertificates.", "properties": { "certificates": { "items": { "$ref": "AuthorizedCertificate" }, "type": "array", "description": "The SSL certificates the user is authorized to administer." }, "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" } }, "type": "object" }, "ListLocationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Location" } } }, "type": "object", "id": "ListLocationsResponse", "description": "The response message for Locations.ListLocations." }, "DebugInstanceRequest": { "description": "Request message for Instances.DebugInstance.", "type": "object", "properties": { "sshKey": { "type": "string", "description": "Public SSH key to add to the instance. Examples: [USERNAME]:ssh-rsa [KEY_VALUE] [USERNAME] [USERNAME]:ssh-rsa [KEY_VALUE] google-ssh {\"userName\":\"[USERNAME]\",\"expireOn\":\"[EXPIRE_TIME]\"}For more information, see Adding and Removing SSH Keys (https://cloud.google.com/compute/docs/instances/adding-removing-ssh-keys)." } }, "id": "DebugInstanceRequest" }, "Status": { "type": "object", "id": "Status", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "details": { "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } }, "description": "The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC (https://github.com/grpc). Each Status message contains three pieces of data: error code, error message, and error details.You can find out more about this error model and how to work with it in the API Design Guide (https://cloud.google.com/apis/design/errors)." }, "ErrorHandler": { "type": "object", "description": "Custom static error page to be served when an error occurs.", "id": "ErrorHandler", "properties": { "staticFile": { "type": "string", "description": "Static file content to be served for this error." }, "errorCode": { "type": "string", "enum": [ "ERROR_CODE_UNSPECIFIED", "ERROR_CODE_DEFAULT", "ERROR_CODE_OVER_QUOTA", "ERROR_CODE_DOS_API_DENIAL", "ERROR_CODE_TIMEOUT" ], "description": "Error condition this handler applies to.", "enumDescriptions": [ "Not specified. ERROR_CODE_DEFAULT is assumed.", "All other error types.", "Application has exceeded a resource quota.", "Client blocked by the application's Denial of Service protection configuration.", "Deadline reached before the application responds." ] }, "mimeType": { "type": "string", "description": "MIME type of file. Defaults to text/html." } } }, "SslSettings": { "type": "object", "properties": { "sslManagementType": { "type": "string", "enumDescriptions": [ "Defaults to AUTOMATIC.", "SSL support for this domain is configured automatically. The mapped SSL certificate will be automatically renewed.", "SSL support for this domain is configured manually by the user. Either the domain has no SSL support or a user-obtained SSL certificate has been explictly mapped to this domain." ], "description": "SSL management type for this domain. If AUTOMATIC, a managed certificate is automatically provisioned. If MANUAL, certificate_id must be manually specified in order to configure SSL for this domain.", "enum": [ "SSL_MANAGEMENT_TYPE_UNSPECIFIED", "AUTOMATIC", "MANUAL" ] }, "certificateId": { "description": "ID of the AuthorizedCertificate resource configuring SSL for the application. Clearing this field will remove SSL support.By default, a managed certificate is automatically created for every domain mapping. To omit SSL support or to configure SSL manually, specify SslManagementType.MANUAL on a CREATE or UPDATE request. You must be authorized to administer the AuthorizedCertificate resource to manually map it to a DomainMapping resource. Example: 12345.", "type": "string" }, "pendingManagedCertificateId": { "description": "ID of the managed AuthorizedCertificate resource currently being provisioned, if applicable. Until the new managed certificate has been successfully provisioned, the previous SSL state will be preserved. Once the provisioning process completes, the certificate_id field will reflect the new managed certificate and this field will be left empty. To remove SSL support while there is still a pending managed certificate, clear the certificate_id field with an UpdateDomainMappingRequest.@OutputOnly", "type": "string" } }, "description": "SSL configuration for a DomainMapping resource.", "id": "SslSettings" }, "CreateVersionMetadataV1Beta": { "id": "CreateVersionMetadataV1Beta", "type": "object", "properties": { "cloudBuildId": { "description": "The Cloud Build ID if one was created as part of the version create. @OutputOnly", "type": "string" } }, "description": "Metadata for the given google.longrunning.Operation during a google.appengine.v1beta.CreateVersionRequest." }, "Library": { "description": "Third-party Python runtime library that is required by the application.", "properties": { "name": { "type": "string", "description": "Name of the library. Example: \"django\"." }, "version": { "description": "Version of the library to select, or \"latest\".", "type": "string" } }, "id": "Library", "type": "object" }, "ListAuthorizedDomainsResponse": { "id": "ListAuthorizedDomainsResponse", "properties": { "domains": { "type": "array", "description": "The authorized domains belonging to the user.", "items": { "$ref": "AuthorizedDomain" } }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } }, "description": "Response message for AuthorizedDomains.ListAuthorizedDomains.", "type": "object" }, "Instance": { "id": "Instance", "description": "An Instance resource is the computing unit that App Engine uses to automatically scale an application.", "properties": { "id": { "type": "string", "readOnly": true, "description": "Output only. Relative name of the instance within the version. Example: instance-1." }, "vmIp": { "type": "string", "readOnly": true, "description": "Output only. The IP address of this instance. Only applicable for instances in App Engine flexible environment." }, "vmName": { "type": "string", "readOnly": true, "description": "Output only. Name of the virtual machine where this instance lives. Only applicable for instances in App Engine flexible environment." }, "startTime": { "type": "string", "description": "Output only. Time that this instance was started.@OutputOnly", "readOnly": true, "format": "google-datetime" }, "appEngineRelease": { "type": "string", "description": "Output only. App Engine release this instance is running on.", "readOnly": true }, "name": { "type": "string", "readOnly": true, "description": "Output only. Full path to the Instance resource in the API. Example: apps/myapp/services/default/versions/v1/instances/instance-1." }, "errors": { "description": "Output only. Number of errors since this instance was started.", "type": "integer", "format": "int32", "readOnly": true }, "memoryUsage": { "description": "Output only. Total memory in use (bytes).", "readOnly": true, "format": "int64", "type": "string" }, "availability": { "enum": [ "UNSPECIFIED", "RESIDENT", "DYNAMIC" ], "enumDescriptions": [ "", "", "" ], "readOnly": true, "description": "Output only. Availability of the instance.", "type": "string" }, "vmDebugEnabled": { "type": "boolean", "description": "Output only. Whether this instance is in debug mode. Only applicable for instances in App Engine flexible environment.", "readOnly": true }, "requests": { "type": "integer", "description": "Output only. Number of requests since this instance was started.", "format": "int32", "readOnly": true }, "qps": { "readOnly": true, "type": "number", "description": "Output only. Average queries per second (QPS) over the last minute.", "format": "float" }, "vmId": { "readOnly": true, "type": "string", "description": "Output only. Virtual machine ID of this instance. Only applicable for instances in App Engine flexible environment." }, "vmZoneName": { "type": "string", "readOnly": true, "description": "Output only. Zone where the virtual machine is located. Only applicable for instances in App Engine flexible environment." }, "vmLiveness": { "description": "Output only. The liveness health check of this instance. Only applicable for instances in App Engine flexible environment.", "readOnly": true, "enumDescriptions": [ "There is no liveness health check for the instance. Only applicable for instances in App Engine standard environment.", "The health checking system is aware of the instance but its health is not known at the moment.", "The instance is reachable i.e. a connection to the application health checking endpoint can be established, and conforms to the requirements defined by the health check.", "The instance is reachable, but does not conform to the requirements defined by the health check.", "The instance is being drained. The existing connections to the instance have time to complete, but the new ones are being refused.", "The instance is unreachable i.e. a connection to the application health checking endpoint cannot be established, or the server does not respond within the specified timeout." ], "type": "string", "enum": [ "LIVENESS_STATE_UNSPECIFIED", "UNKNOWN", "HEALTHY", "UNHEALTHY", "DRAINING", "TIMEOUT" ] }, "vmStatus": { "readOnly": true, "description": "Output only. Status of the virtual machine where this instance lives. Only applicable for instances in App Engine flexible environment.", "type": "string" }, "averageLatency": { "readOnly": true, "description": "Output only. Average latency (ms) over the last minute.", "format": "int32", "type": "integer" } }, "type": "object" }, "StaticFilesHandler": { "type": "object", "properties": { "applicationReadable": { "type": "boolean", "description": "Whether files should also be uploaded as code data. By default, files declared in static file handlers are uploaded as static data and are only served to end users; they cannot be read by the application. If enabled, uploads are charged against both your code and static data storage resource quotas." }, "uploadPathRegex": { "type": "string", "description": "Regular expression that matches the file paths for all files that should be referenced by this handler." }, "requireMatchingFile": { "type": "boolean", "description": "Whether this handler should match the request if the file referenced by the handler does not exist." }, "mimeType": { "description": "MIME type used to serve all files served by this handler.Defaults to file-specific MIME types, which are derived from each file's filename extension.", "type": "string" }, "path": { "type": "string", "description": "Path to the static files matched by the URL pattern, from the application root directory. The path can refer to text matched in groupings in the URL pattern." }, "httpHeaders": { "description": "HTTP headers to use for all responses from these URLs.", "type": "object", "additionalProperties": { "type": "string" } }, "expiration": { "format": "google-duration", "type": "string", "description": "Time a static file served by this handler should be cached by web proxies and browsers." } }, "id": "StaticFilesHandler", "description": "Files served directly to the user for a given URL, such as images, CSS stylesheets, or JavaScript source files. Static file handlers describe which files in the application directory are static files, and which URLs serve them." }, "ApiConfigHandler": { "id": "ApiConfigHandler", "type": "object", "description": "Google Cloud Endpoints (https://cloud.google.com/appengine/docs/python/endpoints/) configuration for API handlers.", "properties": { "authFailAction": { "enum": [ "AUTH_FAIL_ACTION_UNSPECIFIED", "AUTH_FAIL_ACTION_REDIRECT", "AUTH_FAIL_ACTION_UNAUTHORIZED" ], "description": "Action to take when users access resources that require authentication. Defaults to redirect.", "type": "string", "enumDescriptions": [ "Not specified. AUTH_FAIL_ACTION_REDIRECT is assumed.", "Redirects user to \"accounts.google.com\". The user is redirected back to the application URL after signing in or creating an account.", "Rejects request with a 401 HTTP status code and an error message." ] }, "securityLevel": { "enum": [ "SECURE_UNSPECIFIED", "SECURE_DEFAULT", "SECURE_NEVER", "SECURE_OPTIONAL", "SECURE_ALWAYS" ], "type": "string", "description": "Security (HTTPS) enforcement for this URL.", "enumDescriptions": [ "Not specified.", "Both HTTP and HTTPS requests with URLs that match the handler succeed without redirects. The application can examine the request to determine which protocol was used, and respond accordingly.", "Requests for a URL that match this handler that use HTTPS are automatically redirected to the HTTP equivalent URL.", "Both HTTP and HTTPS requests with URLs that match the handler succeed without redirects. The application can examine the request to determine which protocol was used and respond accordingly.", "Requests for a URL that match this handler that do not use HTTPS are automatically redirected to the HTTPS URL with the same path. Query parameters are reserved for the redirect." ] }, "script": { "description": "Path to the script from the application root directory.", "type": "string" }, "login": { "enum": [ "LOGIN_UNSPECIFIED", "LOGIN_OPTIONAL", "LOGIN_ADMIN", "LOGIN_REQUIRED" ], "enumDescriptions": [ "Not specified. LOGIN_OPTIONAL is assumed.", "Does not require that the user is signed in.", "If the user is not signed in, the auth_fail_action is taken. In addition, if the user is not an administrator for the application, they are given an error message regardless of auth_fail_action. If the user is an administrator, the handler proceeds.", "If the user has signed in, the handler proceeds normally. Otherwise, the auth_fail_action is taken." ], "description": "Level of login required to access this resource. Defaults to optional.", "type": "string" }, "url": { "type": "string", "description": "URL to serve the endpoint at." } } }, "Version": { "properties": { "envVariables": { "description": "Environment variables available to the application.Only returned in GET requests if view=FULL is set.", "additionalProperties": { "type": "string" }, "type": "object" }, "nobuildFilesRegex": { "description": "Files that match this pattern will not be built into this version. Only applicable for Go runtimes.Only returned in GET requests if view=FULL is set.", "type": "string" }, "deployment": { "$ref": "Deployment", "description": "Code and application artifacts that make up this version.Only returned in GET requests if view=FULL is set." }, "apiConfig": { "description": "Serving configuration for Google Cloud Endpoints (https://cloud.google.com/appengine/docs/python/endpoints/).Only returned in GET requests if view=FULL is set.", "$ref": "ApiConfigHandler" }, "endpointsApiService": { "$ref": "EndpointsApiService", "description": "Cloud Endpoints configuration.If endpoints_api_service is set, the Cloud Endpoints Extensible Service Proxy will be provided to serve the API implemented by the app." }, "runtime": { "type": "string", "description": "Desired runtime. Example: python27." }, "buildEnvVariables": { "type": "object", "description": "Environment variables available to the build environment.Only returned in GET requests if view=FULL is set.", "additionalProperties": { "type": "string" } }, "resources": { "$ref": "Resources", "description": "Machine resources for this version. Only applicable in the App Engine flexible environment." }, "instanceClass": { "description": "Instance class that is used to run this version. Valid values are: AutomaticScaling: F1, F2, F4, F4_1G ManualScaling or BasicScaling: B1, B2, B4, B8, B4_1GDefaults to F1 for AutomaticScaling and B1 for ManualScaling or BasicScaling.", "type": "string" }, "createdBy": { "description": "Email address of the user who created this version.@OutputOnly", "type": "string" }, "defaultExpiration": { "format": "google-duration", "type": "string", "description": "Duration that static files should be cached by web proxies and browsers. Only applicable if the corresponding StaticFilesHandler (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions#StaticFilesHandler) does not specify its own expiration time.Only returned in GET requests if view=FULL is set." }, "name": { "description": "Full path to the Version resource in the API. Example: apps/myapp/services/default/versions/v1.@OutputOnly", "type": "string" }, "network": { "description": "Extra network settings. Only applicable in the App Engine flexible environment.", "$ref": "Network" }, "betaSettings": { "description": "Metadata settings that are supplied to this version to enable beta runtime features.", "type": "object", "additionalProperties": { "type": "string" } }, "appEngineApis": { "description": "Allows App Engine second generation runtimes to access the legacy bundled services.", "type": "boolean" }, "vpcAccessConnector": { "description": "Enables VPC connectivity for standard apps.", "$ref": "VpcAccessConnector" }, "manualScaling": { "$ref": "ManualScaling", "description": "A service with manual scaling runs continuously, allowing you to perform complex initialization and rely on the state of its memory over time. Manually scaled versions are sometimes referred to as \"backends\"." }, "basicScaling": { "$ref": "BasicScaling", "description": "A service with basic scaling will create an instance when the application receives a request. The instance will be turned down when the app becomes idle. Basic scaling is ideal for work that is intermittent or driven by user activity." }, "runtimeMainExecutablePath": { "description": "The path or name of the app's main executable.", "type": "string" }, "threadsafe": { "type": "boolean", "description": "Whether multiple requests can be dispatched to this version at once." }, "diskUsageBytes": { "type": "string", "format": "int64", "description": "Total size in bytes of all the files that are included in this version and currently hosted on the App Engine disk.@OutputOnly" }, "automaticScaling": { "$ref": "AutomaticScaling", "description": "Automatic scaling is based on request rate, response latencies, and other application metrics. Instances are dynamically created and destroyed as needed in order to handle traffic." }, "versionUrl": { "type": "string", "description": "Serving URL for this version. Example: \"https://myversion-dot-myservice-dot-myapp.appspot.com\"@OutputOnly" }, "servingStatus": { "description": "Current serving status of this version. Only the versions with a SERVING status create instances and can be billed.SERVING_STATUS_UNSPECIFIED is an invalid value. Defaults to SERVING.", "enumDescriptions": [ "Not specified.", "Currently serving. Instances are created according to the scaling settings of the version.", "Disabled. No instances will be created and the scaling settings are ignored until the state of the version changes to SERVING." ], "enum": [ "SERVING_STATUS_UNSPECIFIED", "SERVING", "STOPPED" ], "type": "string" }, "runtimeChannel": { "description": "The channel of the runtime to use. Only available for some runtimes. Defaults to the default channel.", "type": "string" }, "id": { "type": "string", "description": "Relative name of the version within the service. Example: v1. Version names can contain only lowercase letters, numbers, or hyphens. Reserved names: \"default\", \"latest\", and any name with the prefix \"ah-\"." }, "runtimeApiVersion": { "type": "string", "description": "The version of the API in the given runtime environment. Please see the app.yaml reference for valid values at https://cloud.google.com/appengine/docs/standard//config/appref" }, "serviceAccount": { "type": "string", "description": "The identity that the deployed version will run as. Admin API will use the App Engine Appspot service account as default if this field is neither provided in app.yaml file nor through CLI flag." }, "libraries": { "type": "array", "items": { "$ref": "Library" }, "description": "Configuration for third-party Python runtime libraries that are required by the application.Only returned in GET requests if view=FULL is set." }, "entrypoint": { "description": "The entrypoint for the application.", "$ref": "Entrypoint" }, "healthCheck": { "description": "Configures health checking for instances. Unhealthy instances are stopped and replaced with new instances. Only applicable in the App Engine flexible environment.Only returned in GET requests if view=FULL is set.", "$ref": "HealthCheck" }, "vm": { "description": "Whether to deploy this version in a container on a virtual machine.", "type": "boolean" }, "env": { "description": "App Engine execution environment for this version.Defaults to standard.", "type": "string" }, "handlers": { "items": { "$ref": "UrlMap" }, "description": "An ordered list of URL-matching patterns that should be applied to incoming requests. The first matching URL handles the request and other request handlers are not attempted.Only returned in GET requests if view=FULL is set.", "type": "array" }, "errorHandlers": { "items": { "$ref": "ErrorHandler" }, "description": "Custom static error pages. Limited to 10KB per page.Only returned in GET requests if view=FULL is set.", "type": "array" }, "zones": { "description": "The Google Compute Engine zones that are supported by this version in the App Engine flexible environment. Deprecated.", "type": "array", "items": { "type": "string" } }, "livenessCheck": { "description": "Configures liveness health checking for instances. Unhealthy instances are stopped and replaced with new instancesOnly returned in GET requests if view=FULL is set.", "$ref": "LivenessCheck" }, "createTime": { "format": "google-datetime", "description": "Time that this version was created.@OutputOnly", "type": "string" }, "readinessCheck": { "$ref": "ReadinessCheck", "description": "Configures readiness health checking for instances. Unhealthy instances are not put into the backend traffic rotation.Only returned in GET requests if view=FULL is set." }, "inboundServices": { "type": "array", "description": "Before an application can receive email or XMPP messages, the application must be configured to enable the service.", "items": { "enumDescriptions": [ "Not specified.", "Allows an application to receive mail.", "Allows an application to receive email-bound notifications.", "Allows an application to receive error stanzas.", "Allows an application to receive instant messages.", "Allows an application to receive user subscription POSTs.", "Allows an application to receive a user's chat presence.", "Registers an application for notifications when a client connects or disconnects from a channel.", "Enables warmup requests." ], "enum": [ "INBOUND_SERVICE_UNSPECIFIED", "INBOUND_SERVICE_MAIL", "INBOUND_SERVICE_MAIL_BOUNCE", "INBOUND_SERVICE_XMPP_ERROR", "INBOUND_SERVICE_XMPP_MESSAGE", "INBOUND_SERVICE_XMPP_SUBSCRIBE", "INBOUND_SERVICE_XMPP_PRESENCE", "INBOUND_SERVICE_CHANNEL_PRESENCE", "INBOUND_SERVICE_WARMUP" ], "type": "string" } } }, "type": "object", "description": "A Version resource is a specific set of source code and configuration files that are deployed into a service.", "id": "Version" }, "NetworkUtilization": { "description": "Target scaling by network usage. Only applicable in the App Engine flexible environment.", "properties": { "targetReceivedPacketsPerSecond": { "type": "integer", "format": "int32", "description": "Target packets received per second." }, "targetSentPacketsPerSecond": { "format": "int32", "type": "integer", "description": "Target packets sent per second." }, "targetReceivedBytesPerSecond": { "format": "int32", "type": "integer", "description": "Target bytes received per second." }, "targetSentBytesPerSecond": { "description": "Target bytes sent per second.", "format": "int32", "type": "integer" } }, "type": "object", "id": "NetworkUtilization" }, "ManualScaling": { "id": "ManualScaling", "description": "A service with manual scaling runs continuously, allowing you to perform complex initialization and rely on the state of its memory over time.", "properties": { "instances": { "description": "Number of instances to assign to the service at the start. This number can later be altered by using the Modules API (https://cloud.google.com/appengine/docs/python/modules/functions) set_num_instances() function.", "type": "integer", "format": "int32" } }, "type": "object" }, "CertificateRawData": { "type": "object", "description": "An SSL certificate obtained from a certificate authority.", "id": "CertificateRawData", "properties": { "publicCertificate": { "type": "string", "description": "PEM encoded x.509 public key certificate. This field is set once on certificate creation. Must include the header and footer. Example: -----BEGIN CERTIFICATE----- -----END CERTIFICATE----- " }, "privateKey": { "description": "Unencrypted PEM encoded RSA private key. This field is set once on certificate creation and then encrypted. The key size must be 2048 bits or fewer. Must include the header and footer. Example: -----BEGIN RSA PRIVATE KEY----- -----END RSA PRIVATE KEY----- @InputOnly", "type": "string" } } }, "Service": { "description": "A Service resource is a logical component of an application that can share state and communicate in a secure fashion with other services. For example, an application that handles customer requests might include separate services to handle tasks such as backend data analysis or API requests from mobile devices. Each service has a collection of versions that define a specific set of code used to implement the functionality of that service.", "id": "Service", "type": "object", "properties": { "networkSettings": { "description": "Ingress settings for this service. Will apply to all versions.", "$ref": "NetworkSettings" }, "name": { "description": "Full path to the Service resource in the API. Example: apps/myapp/services/default.@OutputOnly", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "A set of labels to apply to this service. Labels are key/value pairs that describe the service and all resources that belong to it (e.g., versions). The labels can be used to search and group resources, and are propagated to the usage and billing reports, enabling fine-grain analysis of costs. An example of using labels is to tag resources belonging to different environments (e.g., \"env=prod\", \"env=qa\"). Label keys and values can be no longer than 63 characters and can only contain lowercase letters, numeric characters, underscores, dashes, and international characters. Label keys must start with a lowercase letter or an international character. Each service can have at most 32 labels.", "type": "object" }, "id": { "type": "string", "description": "Relative name of the service within the application. Example: default.@OutputOnly" }, "split": { "description": "Mapping that defines fractional HTTP traffic diversion to different versions within the service.", "$ref": "TrafficSplit" } } }, "Empty": { "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } ", "type": "object" }, "ListOperationsResponse": { "type": "object", "properties": { "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Operation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse" }, "CloudBuildOptions": { "id": "CloudBuildOptions", "description": "Options for the build operations performed as a part of the version deployment. Only applicable for App Engine flexible environment when creating a version using source code directly.", "type": "object", "properties": { "cloudBuildTimeout": { "type": "string", "description": "The Cloud Build timeout used as part of any dependent builds performed by version creation. Defaults to 10 minutes.", "format": "google-duration" }, "appYamlPath": { "type": "string", "description": "Path to the yaml file used in deployment, used to determine runtime configuration details.Required for flexible environment builds.See https://cloud.google.com/appengine/docs/standard/python/config/appref for more details." } } } }, "revision": "20220625", "servicePath": "", "basePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/appengine.admin": { "description": "View and manage your applications deployed on Google App Engine" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } } }
]===]))
