local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "ownerName": "Google", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/appengine.admin": { "description": "View and manage your applications deployed on Google App Engine" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "name": "appengine", "kind": "discovery#restDescription", "servicePath": "", "version": "v1beta", "rootUrl": "https://appengine.googleapis.com/", "revision": "20220625", "discoveryVersion": "v1", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "ownerDomain": "google.com", "fullyEncodeReservedExpansion": true, "baseUrl": "https://appengine.googleapis.com/", "description": "Provisions and manages developers' App Engine applications.", "protocol": "rest", "basePath": "", "resources": { "apps": { "methods": { "create": { "response": { "$ref": "Operation" }, "flatPath": "v1beta/apps", "id": "appengine.apps.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [], "httpMethod": "POST", "parameters": {}, "request": { "$ref": "Application" }, "description": "Creates an App Engine application for a Google Cloud Platform project. Required fields: id - The ID of the target Cloud Platform project. location - The region (https://cloud.google.com/appengine/docs/locations) where you want the App Engine application located.For more information about App Engine applications, see Managing Projects, Applications, and Billing (https://cloud.google.com/appengine/docs/standard/python/console/).", "path": "v1beta/apps" }, "repair": { "response": { "$ref": "Operation" }, "parameterOrder": [ "appsId" ], "httpMethod": "POST", "path": "v1beta/apps/{appsId}:repair", "flatPath": "v1beta/apps/{appsId}:repair", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "appsId": { "description": "Part of `name`. Name of the application to repair. Example: apps/myapp", "required": true, "location": "path", "type": "string" } }, "request": { "$ref": "RepairApplicationRequest" }, "id": "appengine.apps.repair", "description": "Recreates the required App Engine features for the specified App Engine application, for example a Cloud Storage bucket or App Engine service account. Use this method if you receive an error message about a missing feature, for example, Error retrieving the App Engine service account. If you have deleted your App Engine service account, this will not be able to recreate it. Instead, you should attempt to use the IAM undelete API if possible at https://cloud.google.com/iam/reference/rest/v1/projects.serviceAccounts/undelete?apix_params=%7B\"name\"%3A\"projects%2F-%2FserviceAccounts%2Funique_id\"%2C\"resource\"%3A%7B%7D%7D . If the deletion was recent, the numeric ID can be found in the Cloud Console Activity Log." }, "get": { "path": "v1beta/apps/{appsId}", "parameters": { "appsId": { "location": "path", "required": true, "type": "string", "description": "Part of `name`. Name of the Application resource to get. Example: apps/myapp." } }, "httpMethod": "GET", "parameterOrder": [ "appsId" ], "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v1beta/apps/{appsId}", "description": "Gets information about an application.", "id": "appengine.apps.get", "response": { "$ref": "Application" } }, "patch": { "path": "v1beta/apps/{appsId}", "response": { "$ref": "Operation" }, "parameters": { "updateMask": { "location": "query", "description": "Required. Standard field mask for the set of fields to be updated.", "format": "google-fieldmask", "type": "string" }, "appsId": { "type": "string", "description": "Part of `name`. Name of the Application resource to update. Example: apps/myapp.", "location": "path", "required": true } }, "description": "Updates the specified Application resource. You can update the following fields: auth_domain - Google authentication domain for controlling user access to the application. default_cookie_expiration - Cookie expiration policy for the application. iap - Identity-Aware Proxy properties for the application.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "appsId" ], "httpMethod": "PATCH", "flatPath": "v1beta/apps/{appsId}", "request": { "$ref": "Application" }, "id": "appengine.apps.patch" } }, "resources": { "authorizedDomains": { "methods": { "list": { "id": "appengine.apps.authorizedDomains.list", "flatPath": "v1beta/apps/{appsId}/authorizedDomains", "path": "v1beta/apps/{appsId}/authorizedDomains", "httpMethod": "GET", "parameterOrder": [ "appsId" ], "parameters": { "appsId": { "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp.", "location": "path", "type": "string", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "Continuation token for fetching the next page of results." }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Maximum results to return per page." } }, "response": { "$ref": "ListAuthorizedDomainsResponse" }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Lists all domains the user is authorized to administer." } } }, "domainMappings": { "methods": { "patch": { "description": "Updates the specified domain mapping. To map an SSL certificate to a domain mapping, update certificate_id to point to an AuthorizedCertificate resource. A user must be authorized to administer the associated domain in order to update a DomainMapping resource.", "request": { "$ref": "DomainMapping" }, "path": "v1beta/apps/{appsId}/domainMappings/{domainMappingsId}", "flatPath": "v1beta/apps/{appsId}/domainMappings/{domainMappingsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameterOrder": [ "appsId", "domainMappingsId" ], "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Required. Standard field mask for the set of fields to be updated." }, "domainMappingsId": { "location": "path", "required": true, "description": "Part of `name`. See documentation of `appsId`.", "type": "string" }, "appsId": { "required": true, "type": "string", "description": "Part of `name`. Name of the resource to update. Example: apps/myapp/domainMappings/example.com.", "location": "path" } }, "id": "appengine.apps.domainMappings.patch", "response": { "$ref": "Operation" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1beta/apps/{appsId}/domainMappings", "description": "Lists the domain mappings on an application.", "flatPath": "v1beta/apps/{appsId}/domainMappings", "response": { "$ref": "ListDomainMappingsResponse" }, "parameterOrder": [ "appsId" ], "id": "appengine.apps.domainMappings.list", "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "location": "query", "description": "Maximum results to return per page.", "type": "integer" }, "pageToken": { "description": "Continuation token for fetching the next page of results.", "location": "query", "type": "string" }, "appsId": { "location": "path", "required": true, "type": "string", "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp." } } }, "get": { "description": "Gets the specified domain mapping.", "response": { "$ref": "DomainMapping" }, "id": "appengine.apps.domainMappings.get", "parameterOrder": [ "appsId", "domainMappingsId" ], "flatPath": "v1beta/apps/{appsId}/domainMappings/{domainMappingsId}", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1beta/apps/{appsId}/domainMappings/{domainMappingsId}", "httpMethod": "GET", "parameters": { "appsId": { "type": "string", "required": true, "location": "path", "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/domainMappings/example.com." }, "domainMappingsId": { "type": "string", "required": true, "location": "path", "description": "Part of `name`. See documentation of `appsId`." } } }, "delete": { "parameterOrder": [ "appsId", "domainMappingsId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes the specified domain mapping. A user must be authorized to administer the associated domain in order to delete a DomainMapping resource.", "flatPath": "v1beta/apps/{appsId}/domainMappings/{domainMappingsId}", "id": "appengine.apps.domainMappings.delete", "httpMethod": "DELETE", "parameters": { "appsId": { "description": "Part of `name`. Name of the resource to delete. Example: apps/myapp/domainMappings/example.com.", "type": "string", "location": "path", "required": true }, "domainMappingsId": { "type": "string", "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "required": true } }, "path": "v1beta/apps/{appsId}/domainMappings/{domainMappingsId}", "response": { "$ref": "Operation" } }, "create": { "flatPath": "v1beta/apps/{appsId}/domainMappings", "httpMethod": "POST", "path": "v1beta/apps/{appsId}/domainMappings", "response": { "$ref": "Operation" }, "parameterOrder": [ "appsId" ], "description": "Maps a domain to an application. A user must be authorized to administer a domain in order to map it to an application. For a list of available authorized domains, see AuthorizedDomains.ListAuthorizedDomains.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "DomainMapping" }, "id": "appengine.apps.domainMappings.create", "parameters": { "overrideStrategy": { "type": "string", "enumDescriptions": [ "Strategy unspecified. Defaults to STRICT.", "Overrides not allowed. If a mapping already exists for the specified domain, the request will return an ALREADY_EXISTS (409).", "Overrides allowed. If a mapping already exists for the specified domain, the request will overwrite it. Note that this might stop another Google product from serving. For example, if the domain is mapped to another App Engine application, that app will no longer serve from that domain." ], "enum": [ "UNSPECIFIED_DOMAIN_OVERRIDE_STRATEGY", "STRICT", "OVERRIDE" ], "location": "query", "description": "Whether the domain creation should override any existing mappings for this domain. By default, overrides are rejected." }, "appsId": { "location": "path", "type": "string", "required": true, "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp." } } } } }, "services": { "methods": { "delete": { "response": { "$ref": "Operation" }, "flatPath": "v1beta/apps/{appsId}/services/{servicesId}", "description": "Deletes the specified service and all enclosed versions.", "id": "appengine.apps.services.delete", "parameterOrder": [ "appsId", "servicesId" ], "parameters": { "servicesId": { "description": "Part of `name`. See documentation of `appsId`.", "required": true, "location": "path", "type": "string" }, "appsId": { "location": "path", "type": "string", "required": true, "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default." } }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/apps/{appsId}/services/{servicesId}" }, "list": { "description": "Lists all the services in the application.", "response": { "$ref": "ListServicesResponse" }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "id": "appengine.apps.services.list", "path": "v1beta/apps/{appsId}/services", "parameters": { "pageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string", "location": "query" }, "appsId": { "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp.", "location": "path", "type": "string", "required": true }, "pageSize": { "location": "query", "format": "int32", "description": "Maximum results to return per page.", "type": "integer" } }, "parameterOrder": [ "appsId" ], "flatPath": "v1beta/apps/{appsId}/services" }, "get": { "response": { "$ref": "Service" }, "flatPath": "v1beta/apps/{appsId}/services/{servicesId}", "parameters": { "servicesId": { "location": "path", "required": true, "description": "Part of `name`. See documentation of `appsId`.", "type": "string" }, "appsId": { "location": "path", "type": "string", "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default.", "required": true } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Gets the current configuration of the specified service.", "id": "appengine.apps.services.get", "path": "v1beta/apps/{appsId}/services/{servicesId}", "parameterOrder": [ "appsId", "servicesId" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "id": "appengine.apps.services.patch", "flatPath": "v1beta/apps/{appsId}/services/{servicesId}", "parameters": { "appsId": { "type": "string", "required": true, "description": "Part of `name`. Name of the resource to update. Example: apps/myapp/services/default.", "location": "path" }, "migrateTraffic": { "description": "Set to true to gradually shift traffic to one or more versions that you specify. By default, traffic is shifted immediately. For gradual traffic migration, the target versions must be located within instances that are configured for both warmup requests (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#InboundServiceType) and automatic scaling (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#AutomaticScaling). You must specify the shardBy (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services#ShardBy) field in the Service resource. Gradual traffic migration is not supported in the App Engine flexible environment. For examples, see Migrating and Splitting Traffic (https://cloud.google.com/appengine/docs/admin-api/migrating-splitting-traffic).", "type": "boolean", "location": "query" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Required. Standard field mask for the set of fields to be updated.", "type": "string" }, "servicesId": { "required": true, "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "type": "string" } }, "description": "Updates the configuration of the specified service.", "parameterOrder": [ "appsId", "servicesId" ], "httpMethod": "PATCH", "path": "v1beta/apps/{appsId}/services/{servicesId}", "request": { "$ref": "Service" } } }, "resources": { "versions": { "resources": { "instances": { "methods": { "get": { "httpMethod": "GET", "response": { "$ref": "Instance" }, "description": "Gets instance information.", "path": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}", "id": "appengine.apps.services.versions.instances.get", "flatPath": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "appsId": { "required": true, "type": "string", "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default/versions/v1/instances/instance-1.", "location": "path" }, "servicesId": { "location": "path", "required": true, "description": "Part of `name`. See documentation of `appsId`.", "type": "string" }, "versionsId": { "location": "path", "description": "Part of `name`. See documentation of `appsId`.", "required": true, "type": "string" }, "instancesId": { "type": "string", "required": true, "description": "Part of `name`. See documentation of `appsId`.", "location": "path" } }, "parameterOrder": [ "appsId", "servicesId", "versionsId", "instancesId" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}", "response": { "$ref": "Operation" }, "path": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}", "description": "Stops a running instance.The instance might be automatically recreated based on the scaling settings of the version. For more information, see \"How Instances are Managed\" (standard environment (https://cloud.google.com/appengine/docs/standard/python/how-instances-are-managed) | flexible environment (https://cloud.google.com/appengine/docs/flexible/python/how-instances-are-managed)).To ensure that instances are not re-created and avoid getting billed, you can stop all instances within the target version by changing the serving status of the version to STOPPED with the apps.services.versions.patch (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.services.versions/patch) method.", "parameterOrder": [ "appsId", "servicesId", "versionsId", "instancesId" ], "httpMethod": "DELETE", "parameters": { "appsId": { "type": "string", "required": true, "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default/versions/v1/instances/instance-1.", "location": "path" }, "instancesId": { "type": "string", "required": true, "location": "path", "description": "Part of `name`. See documentation of `appsId`." }, "servicesId": { "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "location": "path", "required": true }, "versionsId": { "location": "path", "required": true, "type": "string", "description": "Part of `name`. See documentation of `appsId`." } }, "id": "appengine.apps.services.versions.instances.delete" }, "list": { "response": { "$ref": "ListInstancesResponse" }, "path": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "appengine.apps.services.versions.instances.list", "parameters": { "versionsId": { "location": "path", "required": true, "type": "string", "description": "Part of `parent`. See documentation of `appsId`." }, "servicesId": { "required": true, "type": "string", "description": "Part of `parent`. See documentation of `appsId`.", "location": "path" }, "appsId": { "description": "Part of `parent`. Name of the parent Version resource. Example: apps/myapp/services/default/versions/v1.", "type": "string", "required": true, "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "Continuation token for fetching the next page of results." }, "pageSize": { "description": "Maximum results to return per page.", "type": "integer", "location": "query", "format": "int32" } }, "parameterOrder": [ "appsId", "servicesId", "versionsId" ], "description": "Lists the instances of a version.Tip: To aggregate details about instances over time, see the Stackdriver Monitoring API (https://cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.timeSeries/list).", "flatPath": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances", "httpMethod": "GET" }, "debug": { "httpMethod": "POST", "request": { "$ref": "DebugInstanceRequest" }, "flatPath": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}:debug", "path": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}/instances/{instancesId}:debug", "id": "appengine.apps.services.versions.instances.debug", "response": { "$ref": "Operation" }, "description": "Enables debugging on a VM instance. This allows you to use the SSH command to connect to the virtual machine where the instance lives. While in \"debug mode\", the instance continues to serve live traffic. You should delete the instance when you are done debugging and then allow the system to take over and determine if another instance should be started.Only applicable for instances in App Engine flexible environment.", "parameters": { "appsId": { "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default/versions/v1/instances/instance-1.", "type": "string", "location": "path", "required": true }, "instancesId": { "required": true, "type": "string", "description": "Part of `name`. See documentation of `appsId`.", "location": "path" }, "servicesId": { "required": true, "location": "path", "description": "Part of `name`. See documentation of `appsId`.", "type": "string" }, "versionsId": { "type": "string", "required": true, "location": "path", "description": "Part of `name`. See documentation of `appsId`." } }, "parameterOrder": [ "appsId", "servicesId", "versionsId", "instancesId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "get": { "httpMethod": "GET", "path": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}", "id": "appengine.apps.services.versions.get", "flatPath": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "Version" }, "parameters": { "servicesId": { "required": true, "type": "string", "location": "path", "description": "Part of `name`. See documentation of `appsId`." }, "view": { "enum": [ "BASIC", "FULL" ], "location": "query", "description": "Controls the set of fields returned in the Get response.", "type": "string", "enumDescriptions": [ "Basic version information including scaling and inbound services, but not detailed deployment information.", "The information from BASIC, plus detailed information about the deployment. This format is required when creating resources, but is not returned in Get or List by default." ] }, "versionsId": { "type": "string", "description": "Part of `name`. See documentation of `appsId`.", "required": true, "location": "path" }, "appsId": { "location": "path", "type": "string", "required": true, "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default/versions/v1." } }, "description": "Gets the specified Version resource. By default, only a BASIC_VIEW will be returned. Specify the FULL_VIEW parameter to get the full resource.", "parameterOrder": [ "appsId", "servicesId", "versionsId" ] }, "create": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "servicesId": { "description": "Part of `parent`. See documentation of `appsId`.", "type": "string", "required": true, "location": "path" }, "appsId": { "location": "path", "type": "string", "description": "Part of `parent`. Name of the parent resource to create this version under. Example: apps/myapp/services/default.", "required": true } }, "id": "appengine.apps.services.versions.create", "request": { "$ref": "Version" }, "path": "v1beta/apps/{appsId}/services/{servicesId}/versions", "flatPath": "v1beta/apps/{appsId}/services/{servicesId}/versions", "parameterOrder": [ "appsId", "servicesId" ], "description": "Deploys code and resource files to a new version.", "httpMethod": "POST" }, "list": { "flatPath": "v1beta/apps/{appsId}/services/{servicesId}/versions", "id": "appengine.apps.services.versions.list", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1beta/apps/{appsId}/services/{servicesId}/versions", "response": { "$ref": "ListVersionsResponse" }, "description": "Lists the versions of a service.", "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "description": "Continuation token for fetching the next page of results.", "location": "query" }, "view": { "description": "Controls the set of fields returned in the List response.", "enumDescriptions": [ "Basic version information including scaling and inbound services, but not detailed deployment information.", "The information from BASIC, plus detailed information about the deployment. This format is required when creating resources, but is not returned in Get or List by default." ], "type": "string", "enum": [ "BASIC", "FULL" ], "location": "query" }, "appsId": { "type": "string", "location": "path", "required": true, "description": "Part of `parent`. Name of the parent Service resource. Example: apps/myapp/services/default." }, "servicesId": { "description": "Part of `parent`. See documentation of `appsId`.", "required": true, "type": "string", "location": "path" }, "pageSize": { "description": "Maximum results to return per page.", "location": "query", "type": "integer", "format": "int32" } }, "parameterOrder": [ "appsId", "servicesId" ] }, "patch": { "path": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}", "parameterOrder": [ "appsId", "servicesId", "versionsId" ], "response": { "$ref": "Operation" }, "flatPath": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}", "request": { "$ref": "Version" }, "description": "Updates the specified Version resource. You can specify the following fields depending on the App Engine environment and type of scaling that the version resource uses:Standard environment instance_class (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#Version.FIELDS.instance_class)automatic scaling in the standard environment: automatic_scaling.min_idle_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#Version.FIELDS.automatic_scaling) automatic_scaling.max_idle_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#Version.FIELDS.automatic_scaling) automaticScaling.standard_scheduler_settings.max_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#StandardSchedulerSettings) automaticScaling.standard_scheduler_settings.min_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#StandardSchedulerSettings) automaticScaling.standard_scheduler_settings.target_cpu_utilization (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#StandardSchedulerSettings) automaticScaling.standard_scheduler_settings.target_throughput_utilization (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#StandardSchedulerSettings)basic scaling or manual scaling in the standard environment: serving_status (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#Version.FIELDS.serving_status) manual_scaling.instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#manualscaling)Flexible environment serving_status (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#Version.FIELDS.serving_status)automatic scaling in the flexible environment: automatic_scaling.min_total_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#Version.FIELDS.automatic_scaling) automatic_scaling.max_total_instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#Version.FIELDS.automatic_scaling) automatic_scaling.cool_down_period_sec (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#Version.FIELDS.automatic_scaling) automatic_scaling.cpu_utilization.target_utilization (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#Version.FIELDS.automatic_scaling)manual scaling in the flexible environment: manual_scaling.instances (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#manualscaling)", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "appengine.apps.services.versions.patch", "parameters": { "appsId": { "location": "path", "description": "Part of `name`. Name of the resource to update. Example: apps/myapp/services/default/versions/1.", "type": "string", "required": true }, "versionsId": { "type": "string", "required": true, "description": "Part of `name`. See documentation of `appsId`.", "location": "path" }, "updateMask": { "location": "query", "description": "Standard field mask for the set of fields to be updated.", "type": "string", "format": "google-fieldmask" }, "servicesId": { "type": "string", "location": "path", "description": "Part of `name`. See documentation of `appsId`.", "required": true } }, "httpMethod": "PATCH" }, "delete": { "path": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}", "parameters": { "appsId": { "type": "string", "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/services/default/versions/v1.", "location": "path", "required": true }, "servicesId": { "type": "string", "required": true, "description": "Part of `name`. See documentation of `appsId`.", "location": "path" }, "versionsId": { "required": true, "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "location": "path" } }, "httpMethod": "DELETE", "flatPath": "v1beta/apps/{appsId}/services/{servicesId}/versions/{versionsId}", "parameterOrder": [ "appsId", "servicesId", "versionsId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "appengine.apps.services.versions.delete", "description": "Deletes an existing Version resource.", "response": { "$ref": "Operation" } } } } } }, "authorizedCertificates": { "methods": { "get": { "response": { "$ref": "AuthorizedCertificate" }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "path": "v1beta/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "parameterOrder": [ "appsId", "authorizedCertificatesId" ], "id": "appengine.apps.authorizedCertificates.get", "flatPath": "v1beta/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "description": "Gets the specified SSL certificate.", "parameters": { "authorizedCertificatesId": { "location": "path", "type": "string", "description": "Part of `name`. See documentation of `appsId`.", "required": true }, "appsId": { "required": true, "location": "path", "type": "string", "description": "Part of `name`. Name of the resource requested. Example: apps/myapp/authorizedCertificates/12345." }, "view": { "enumDescriptions": [ "Basic certificate information, including applicable domains and expiration date.", "The information from BASIC_CERTIFICATE, plus detailed information on the domain mappings that have this certificate mapped." ], "type": "string", "location": "query", "description": "Controls the set of fields returned in the GET response.", "enum": [ "BASIC_CERTIFICATE", "FULL_CERTIFICATE" ] } } }, "delete": { "parameterOrder": [ "appsId", "authorizedCertificatesId" ], "path": "v1beta/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "parameters": { "appsId": { "location": "path", "type": "string", "required": true, "description": "Part of `name`. Name of the resource to delete. Example: apps/myapp/authorizedCertificates/12345." }, "authorizedCertificatesId": { "type": "string", "required": true, "description": "Part of `name`. See documentation of `appsId`.", "location": "path" } }, "id": "appengine.apps.authorizedCertificates.delete", "flatPath": "v1beta/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "description": "Deletes the specified SSL certificate.", "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "httpMethod": "PATCH", "id": "appengine.apps.authorizedCertificates.patch", "response": { "$ref": "AuthorizedCertificate" }, "flatPath": "v1beta/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "description": "Updates the specified SSL certificate. To renew a certificate and maintain its existing domain mappings, update certificate_data with a new certificate. The new certificate must be applicable to the same domains as the original certificate. The certificate display_name may also be updated.", "parameters": { "authorizedCertificatesId": { "type": "string", "location": "path", "required": true, "description": "Part of `name`. See documentation of `appsId`." }, "appsId": { "required": true, "type": "string", "description": "Part of `name`. Name of the resource to update. Example: apps/myapp/authorizedCertificates/12345.", "location": "path" }, "updateMask": { "format": "google-fieldmask", "description": "Standard field mask for the set of fields to be updated. Updates are only supported on the certificate_raw_data and display_name fields.", "type": "string", "location": "query" } }, "path": "v1beta/apps/{appsId}/authorizedCertificates/{authorizedCertificatesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "appsId", "authorizedCertificatesId" ], "request": { "$ref": "AuthorizedCertificate" } }, "list": { "response": { "$ref": "ListAuthorizedCertificatesResponse" }, "parameters": { "pageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string", "location": "query" }, "view": { "enum": [ "BASIC_CERTIFICATE", "FULL_CERTIFICATE" ], "location": "query", "enumDescriptions": [ "Basic certificate information, including applicable domains and expiration date.", "The information from BASIC_CERTIFICATE, plus detailed information on the domain mappings that have this certificate mapped." ], "type": "string", "description": "Controls the set of fields returned in the LIST response." }, "appsId": { "type": "string", "location": "path", "required": true, "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp." }, "pageSize": { "type": "integer", "description": "Maximum results to return per page.", "format": "int32", "location": "query" } }, "id": "appengine.apps.authorizedCertificates.list", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Lists all SSL certificates the user is authorized to administer.", "parameterOrder": [ "appsId" ], "httpMethod": "GET", "flatPath": "v1beta/apps/{appsId}/authorizedCertificates", "path": "v1beta/apps/{appsId}/authorizedCertificates" }, "create": { "id": "appengine.apps.authorizedCertificates.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "appsId": { "description": "Part of `parent`. Name of the parent Application resource. Example: apps/myapp.", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "appsId" ], "description": "Uploads the specified SSL certificate.", "httpMethod": "POST", "path": "v1beta/apps/{appsId}/authorizedCertificates", "response": { "$ref": "AuthorizedCertificate" }, "flatPath": "v1beta/apps/{appsId}/authorizedCertificates", "request": { "$ref": "AuthorizedCertificate" } } } }, "locations": { "methods": { "get": { "parameterOrder": [ "appsId", "locationsId" ], "response": { "$ref": "Location" }, "parameters": { "appsId": { "description": "Part of `name`. Resource name for the location.", "type": "string", "location": "path", "required": true }, "locationsId": { "type": "string", "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "required": true } }, "flatPath": "v1beta/apps/{appsId}/locations/{locationsId}", "description": "Gets information about a location.", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "appengine.apps.locations.get", "path": "v1beta/apps/{appsId}/locations/{locationsId}", "httpMethod": "GET" }, "list": { "response": { "$ref": "ListLocationsResponse" }, "description": "Lists information about the supported locations for this service.", "parameterOrder": [ "appsId" ], "id": "appengine.apps.locations.list", "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like \"displayName=tokyo\", and is documented in more detail in AIP-160 (https://google.aip.dev/160)." }, "pageSize": { "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "A page token received from the next_page_token field in the response. Send that page token to receive the subsequent page." }, "appsId": { "type": "string", "location": "path", "description": "Part of `name`. The resource that owns the locations collection, if applicable.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v1beta/apps/{appsId}/locations", "path": "v1beta/apps/{appsId}/locations", "httpMethod": "GET" } } }, "operations": { "methods": { "list": { "httpMethod": "GET", "parameters": { "filter": { "location": "query", "type": "string", "description": "The standard list filter." }, "appsId": { "required": true, "location": "path", "description": "Part of `name`. The name of the operation's parent resource.", "type": "string" }, "pageSize": { "description": "The standard list page size.", "format": "int32", "location": "query", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." } }, "flatPath": "v1beta/apps/{appsId}/operations", "parameterOrder": [ "appsId" ], "path": "v1beta/apps/{appsId}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns UNIMPLEMENTED.NOTE: the name binding allows API services to override the binding to use different resource name schemes, such as users/*/operations. To override the binding, API services can add a binding such as \"/v1/{name=users/*}/operations\" to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "id": "appengine.apps.operations.list", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "ListOperationsResponse" } }, "get": { "httpMethod": "GET", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1beta/apps/{appsId}/operations/{operationsId}", "parameterOrder": [ "appsId", "operationsId" ], "parameters": { "appsId": { "type": "string", "description": "Part of `name`. The name of the operation resource.", "required": true, "location": "path" }, "operationsId": { "location": "path", "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "required": true } }, "id": "appengine.apps.operations.get", "flatPath": "v1beta/apps/{appsId}/operations/{operationsId}" } } }, "firewall": { "resources": { "ingressRules": { "methods": { "create": { "parameterOrder": [ "appsId" ], "response": { "$ref": "FirewallRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "FirewallRule" }, "httpMethod": "POST", "path": "v1beta/apps/{appsId}/firewall/ingressRules", "description": "Creates a firewall rule for the application.", "id": "appengine.apps.firewall.ingressRules.create", "flatPath": "v1beta/apps/{appsId}/firewall/ingressRules", "parameters": { "appsId": { "location": "path", "type": "string", "required": true, "description": "Part of `parent`. Name of the parent Firewall collection in which to create a new rule. Example: apps/myapp/firewall/ingressRules." } } }, "delete": { "path": "v1beta/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "parameterOrder": [ "appsId", "ingressRulesId" ], "response": { "$ref": "Empty" }, "id": "appengine.apps.firewall.ingressRules.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes the specified firewall rule.", "flatPath": "v1beta/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "parameters": { "ingressRulesId": { "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "type": "string", "required": true }, "appsId": { "description": "Part of `name`. Name of the Firewall resource to delete. Example: apps/myapp/firewall/ingressRules/100.", "type": "string", "location": "path", "required": true } } }, "list": { "path": "v1beta/apps/{appsId}/firewall/ingressRules", "response": { "$ref": "ListIngressRulesResponse" }, "parameters": { "pageToken": { "type": "string", "description": "Continuation token for fetching the next page of results.", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Maximum results to return per page." }, "matchingAddress": { "description": "A valid IP Address. If set, only rules matching this address will be returned. The first returned rule will be the rule that fires on requests from this IP.", "location": "query", "type": "string" }, "appsId": { "description": "Part of `parent`. Name of the Firewall collection to retrieve. Example: apps/myapp/firewall/ingressRules.", "type": "string", "location": "path", "required": true } }, "parameterOrder": [ "appsId" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "appengine.apps.firewall.ingressRules.list", "description": "Lists the firewall rules of an application.", "flatPath": "v1beta/apps/{appsId}/firewall/ingressRules" }, "batchUpdate": { "parameters": { "appsId": { "location": "path", "required": true, "type": "string", "description": "Part of `name`. Name of the Firewall collection to set. Example: apps/myapp/firewall/ingressRules." } }, "description": "Replaces the entire firewall ruleset in one bulk operation. This overrides and replaces the rules of an existing firewall with the new rules.If the final rule does not match traffic with the '*' wildcard IP range, then an \"allow all\" rule is explicitly added to the end of the list.", "response": { "$ref": "BatchUpdateIngressRulesResponse" }, "parameterOrder": [ "appsId" ], "path": "v1beta/apps/{appsId}/firewall/ingressRules:batchUpdate", "request": { "$ref": "BatchUpdateIngressRulesRequest" }, "flatPath": "v1beta/apps/{appsId}/firewall/ingressRules:batchUpdate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "appengine.apps.firewall.ingressRules.batchUpdate", "httpMethod": "POST" }, "patch": { "httpMethod": "PATCH", "description": "Updates the specified firewall rule.", "path": "v1beta/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "request": { "$ref": "FirewallRule" }, "parameterOrder": [ "appsId", "ingressRulesId" ], "response": { "$ref": "FirewallRule" }, "flatPath": "v1beta/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "parameters": { "updateMask": { "format": "google-fieldmask", "description": "Standard field mask for the set of fields to be updated.", "type": "string", "location": "query" }, "ingressRulesId": { "required": true, "description": "Part of `name`. See documentation of `appsId`.", "location": "path", "type": "string" }, "appsId": { "required": true, "location": "path", "type": "string", "description": "Part of `name`. Name of the Firewall resource to update. Example: apps/myapp/firewall/ingressRules/100." } }, "id": "appengine.apps.firewall.ingressRules.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameterOrder": [ "appsId", "ingressRulesId" ], "flatPath": "v1beta/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "path": "v1beta/apps/{appsId}/firewall/ingressRules/{ingressRulesId}", "description": "Gets the specified firewall rule.", "response": { "$ref": "FirewallRule" }, "id": "appengine.apps.firewall.ingressRules.get", "parameters": { "ingressRulesId": { "required": true, "description": "Part of `name`. See documentation of `appsId`.", "type": "string", "location": "path" }, "appsId": { "location": "path", "required": true, "type": "string", "description": "Part of `name`. Name of the Firewall resource to retrieve. Example: apps/myapp/firewall/ingressRules/100." } }, "scopes": [ "https://www.googleapis.com/auth/appengine.admin", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET" } } } } } } } }, "title": "App Engine Admin API", "documentationLink": "https://cloud.google.com/appengine/docs/admin-api/", "id": "appengine:v1beta", "mtlsRootUrl": "https://appengine.mtls.googleapis.com/", "schemas": { "ListServicesResponse": { "id": "ListServicesResponse", "description": "Response message for Services.ListServices.", "type": "object", "properties": { "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" }, "services": { "type": "array", "description": "The services belonging to the requested application.", "items": { "$ref": "Service" } } } }, "CreateVersionMetadataV1Alpha": { "properties": { "cloudBuildId": { "type": "string", "description": "The Cloud Build ID if one was created as part of the version create. @OutputOnly" } }, "description": "Metadata for the given google.longrunning.Operation during a google.appengine.v1alpha.CreateVersionRequest.", "id": "CreateVersionMetadataV1Alpha", "type": "object" }, "BuildInfo": { "type": "object", "properties": { "cloudBuildId": { "description": "The Google Cloud Build id. Example: \"f966068f-08b2-42c8-bdfe-74137dff2bf9\"", "type": "string" } }, "description": "Google Cloud Build information.", "id": "BuildInfo" }, "Service": { "description": "A Service resource is a logical component of an application that can share state and communicate in a secure fashion with other services. For example, an application that handles customer requests might include separate services to handle tasks such as backend data analysis or API requests from mobile devices. Each service has a collection of versions that define a specific set of code used to implement the functionality of that service.", "type": "object", "id": "Service", "properties": { "name": { "type": "string", "description": "Full path to the Service resource in the API. Example: apps/myapp/services/default.@OutputOnly" }, "networkSettings": { "$ref": "NetworkSettings", "description": "Ingress settings for this service. Will apply to all versions." }, "labels": { "description": "A set of labels to apply to this service. Labels are key/value pairs that describe the service and all resources that belong to it (e.g., versions). The labels can be used to search and group resources, and are propagated to the usage and billing reports, enabling fine-grain analysis of costs. An example of using labels is to tag resources belonging to different environments (e.g., \"env=prod\", \"env=qa\"). Label keys and values can be no longer than 63 characters and can only contain lowercase letters, numeric characters, underscores, dashes, and international characters. Label keys must start with a lowercase letter or an international character. Each service can have at most 32 labels.", "type": "object", "additionalProperties": { "type": "string" } }, "split": { "description": "Mapping that defines fractional HTTP traffic diversion to different versions within the service.", "$ref": "TrafficSplit" }, "id": { "type": "string", "description": "Relative name of the service within the application. Example: default.@OutputOnly" } } }, "ResourceRecord": { "properties": { "rrdata": { "description": "Data for this record. Values vary by record type, as defined in RFC 1035 (section 5) and RFC 1034 (section 3.6.1).", "type": "string" }, "name": { "type": "string", "description": "Relative name of the object affected by this record. Only applicable for CNAME records. Example: 'www'." }, "type": { "description": "Resource record type. Example: AAAA.", "enumDescriptions": [ "An A resource record. Data is an IPv4 address.", "An AAAA resource record. Data is an IPv6 address.", "A CNAME resource record. Data is a domain name to be aliased." ], "enum": [ "A", "AAAA", "CNAME" ], "type": "string" } }, "description": "A DNS resource record.", "type": "object", "id": "ResourceRecord" }, "OperationMetadataV1": { "id": "OperationMetadataV1", "description": "Metadata for the given google.longrunning.Operation.", "type": "object", "properties": { "endTime": { "description": "Time that this operation completed.@OutputOnly", "format": "google-datetime", "type": "string" }, "ephemeralMessage": { "description": "Ephemeral message that may change every time the operation is polled. @OutputOnly", "type": "string" }, "warning": { "items": { "type": "string" }, "description": "Durable messages that persist on every operation poll. @OutputOnly", "type": "array" }, "target": { "description": "Name of the resource that this operation is acting on. Example: apps/myapp/services/default.@OutputOnly", "type": "string" }, "createVersionMetadata": { "$ref": "CreateVersionMetadataV1" }, "method": { "type": "string", "description": "API method that initiated this operation. Example: google.appengine.v1.Versions.CreateVersion.@OutputOnly" }, "insertTime": { "description": "Time that this operation was created.@OutputOnly", "type": "string", "format": "google-datetime" }, "user": { "type": "string", "description": "User who requested this operation.@OutputOnly" } } }, "FileInfo": { "type": "object", "properties": { "mimeType": { "description": "The MIME type of the file.Defaults to the value from Google Cloud Storage.", "type": "string" }, "sha1Sum": { "description": "The SHA1 hash of the file, in hex.", "type": "string" }, "sourceUrl": { "description": "URL source to use to fetch this file. Must be a URL to a resource in Google Cloud Storage in the form 'http(s)://storage.googleapis.com//'.", "type": "string" } }, "id": "FileInfo", "description": "Single source file that is part of the version to be deployed. Each source file that is deployed must be specified separately." }, "RepairApplicationRequest": { "description": "Request message for 'Applications.RepairApplication'.", "type": "object", "properties": {}, "id": "RepairApplicationRequest" }, "Network": { "description": "Extra network settings. Only applicable in the App Engine flexible environment.", "id": "Network", "type": "object", "properties": { "forwardedPorts": { "items": { "type": "string" }, "description": "List of ports, or port pairs, to forward from the virtual machine to the application container. Only applicable in the App Engine flexible environment.", "type": "array" }, "sessionAffinity": { "description": "Enable session affinity. Only applicable in the App Engine flexible environment.", "type": "boolean" }, "instanceTag": { "description": "Tag to apply to the instance during creation. Only applicable in the App Engine flexible environment.", "type": "string" }, "name": { "type": "string", "description": "Google Compute Engine network where the virtual machines are created. Specify the short name, not the resource path.Defaults to default." }, "subnetworkName": { "type": "string", "description": "Google Cloud Platform sub-network where the virtual machines are created. Specify the short name, not the resource path.If a subnetwork name is specified, a network name will also be required unless it is for the default network. If the network that the instance is being created in is a Legacy network, then the IP address is allocated from the IPv4Range. If the network that the instance is being created in is an auto Subnet Mode Network, then only network name should be specified (not the subnetwork_name) and the IP address is created from the IPCidrRange of the subnetwork that exists in that zone for that network. If the network that the instance is being created in is a custom Subnet Mode Network, then the subnetwork_name must be specified and the IP address is created from the IPCidrRange of the subnetwork.If specified, the subnetwork must exist in the same region as the App Engine flexible environment application." }, "instanceIpMode": { "description": "The IP mode for instances. Only applicable in the App Engine flexible environment.", "enum": [ "INSTANCE_IP_MODE_UNSPECIFIED", "EXTERNAL", "INTERNAL" ], "enumDescriptions": [ "Unspecified is treated as EXTERNAL.", "Instances are created with both internal and external IP addresses.", "Instances are created with internal IP addresses only." ], "type": "string" } } }, "VpcAccessConnector": { "properties": { "egressSetting": { "enum": [ "EGRESS_SETTING_UNSPECIFIED", "ALL_TRAFFIC", "PRIVATE_IP_RANGES" ], "description": "The egress setting for the connector, controlling what traffic is diverted through it.", "type": "string", "enumDescriptions": [ "", "Force the use of VPC Access for all egress traffic from the function.", "Use the VPC Access Connector for private IP space from RFC1918." ] }, "name": { "type": "string", "description": "Full Serverless VPC Access Connector name e.g. /projects/my-project/locations/us-central1/connectors/c1." } }, "description": "VPC access connector specification.", "type": "object", "id": "VpcAccessConnector" }, "ReadinessCheck": { "type": "object", "properties": { "path": { "type": "string", "description": "The request path." }, "failureThreshold": { "format": "uint32", "description": "Number of consecutive failed checks required before removing traffic.", "type": "integer" }, "successThreshold": { "description": "Number of consecutive successful checks required before receiving traffic.", "type": "integer", "format": "uint32" }, "checkInterval": { "type": "string", "format": "google-duration", "description": "Interval between health checks." }, "host": { "description": "Host header to send when performing a HTTP Readiness check. Example: \"myapp.appspot.com\"", "type": "string" }, "timeout": { "type": "string", "format": "google-duration", "description": "Time before the check is considered failed." }, "appStartTimeout": { "description": "A maximum time limit on application initialization, measured from moment the application successfully replies to a healthcheck until it is ready to serve traffic.", "format": "google-duration", "type": "string" } }, "id": "ReadinessCheck", "description": "Readiness checking configuration for VM instances. Unhealthy instances are removed from traffic rotation." }, "CreateVersionMetadataV1Beta": { "id": "CreateVersionMetadataV1Beta", "type": "object", "properties": { "cloudBuildId": { "description": "The Cloud Build ID if one was created as part of the version create. @OutputOnly", "type": "string" } }, "description": "Metadata for the given google.longrunning.Operation during a google.appengine.v1beta.CreateVersionRequest." }, "CpuUtilization": { "type": "object", "id": "CpuUtilization", "description": "Target scaling by CPU usage.", "properties": { "targetUtilization": { "format": "double", "description": "Target CPU utilization ratio to maintain when scaling. Must be between 0 and 1.", "type": "number" }, "aggregationWindowLength": { "format": "google-duration", "description": "Period of time over which CPU utilization is calculated.", "type": "string" } } }, "LocationMetadata": { "type": "object", "id": "LocationMetadata", "description": "Metadata for the given google.cloud.location.Location.", "properties": { "standardEnvironmentAvailable": { "description": "App Engine standard environment is available in the given location.@OutputOnly", "type": "boolean" }, "flexibleEnvironmentAvailable": { "type": "boolean", "description": "App Engine flexible environment is available in the given location.@OutputOnly" }, "searchApiAvailable": { "readOnly": true, "description": "Output only. Search API (https://cloud.google.com/appengine/docs/standard/python/search) is available in the given location.", "type": "boolean" } } }, "ListAuthorizedCertificatesResponse": { "description": "Response message for AuthorizedCertificates.ListAuthorizedCertificates.", "properties": { "certificates": { "description": "The SSL certificates the user is authorized to administer.", "type": "array", "items": { "$ref": "AuthorizedCertificate" } }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } }, "id": "ListAuthorizedCertificatesResponse", "type": "object" }, "TrafficSplit": { "properties": { "shardBy": { "enumDescriptions": [ "Diversion method unspecified.", "Diversion based on a specially named cookie, \"GOOGAPPUID.\" The cookie must be set by the application itself or no diversion will occur.", "Diversion based on applying the modulus operation to a fingerprint of the IP address.", "Diversion based on weighted random assignment. An incoming request is randomly routed to a version in the traffic split, with probability proportional to the version's traffic share." ], "type": "string", "description": "Mechanism used to determine which version a request is sent to. The traffic selection algorithm will be stable for either type until allocations are changed.", "enum": [ "UNSPECIFIED", "COOKIE", "IP", "RANDOM" ] }, "allocations": { "additionalProperties": { "type": "number", "format": "double" }, "type": "object", "description": "Mapping from version IDs within the service to fractional (0.000, 1] allocations of traffic for that version. Each version can be specified only once, but some versions in the service may not have any traffic allocation. Services that have traffic allocated cannot be deleted until either the service is deleted or their traffic allocation is removed. Allocations must sum to 1. Up to two decimal place precision is supported for IP-based splits and up to three decimal places is supported for cookie-based splits." } }, "type": "object", "description": "Traffic routing configuration for versions within a single service. Traffic splits define how traffic directed to the service is assigned to versions.", "id": "TrafficSplit" }, "ManualScaling": { "type": "object", "description": "A service with manual scaling runs continuously, allowing you to perform complex initialization and rely on the state of its memory over time.", "properties": { "instances": { "format": "int32", "description": "Number of instances to assign to the service at the start. This number can later be altered by using the Modules API (https://cloud.google.com/appengine/docs/python/modules/functions) set_num_instances() function.", "type": "integer" } }, "id": "ManualScaling" }, "ContainerInfo": { "properties": { "image": { "type": "string", "description": "URI to the hosted container image in Google Container Registry. The URI must be fully qualified and include a tag or digest. Examples: \"gcr.io/my-project/image:tag\" or \"gcr.io/my-project/image@digest\"" } }, "id": "ContainerInfo", "type": "object", "description": "Docker image that is used to create a container and start a VM instance for the version that you deploy. Only applicable for instances running in the App Engine flexible environment." }, "Resources": { "id": "Resources", "type": "object", "description": "Machine resources for a version.", "properties": { "kmsKeyReference": { "type": "string", "description": "The name of the encryption key that is stored in Google Cloud KMS. Only should be used by Cloud Composer to encrypt the vm disk" }, "cpu": { "description": "Number of CPU cores needed.", "format": "double", "type": "number" }, "volumes": { "description": "User specified volumes.", "type": "array", "items": { "$ref": "Volume" } }, "memoryGb": { "description": "Memory (GB) needed.", "format": "double", "type": "number" }, "diskGb": { "format": "double", "description": "Disk size (GB) needed.", "type": "number" } } }, "ManagedCertificate": { "properties": { "status": { "enum": [ "MANAGEMENT_STATUS_UNSPECIFIED", "OK", "PENDING", "FAILED_RETRYING_NOT_VISIBLE", "FAILED_PERMANENT", "FAILED_RETRYING_CAA_FORBIDDEN", "FAILED_RETRYING_CAA_CHECKING" ], "description": "Status of certificate management. Refers to the most recent certificate acquisition or renewal attempt.@OutputOnly", "enumDescriptions": [ "", "Certificate was successfully obtained and inserted into the serving system.", "Certificate is under active attempts to acquire or renew.", "Most recent renewal failed due to an invalid DNS setup and will be retried. Renewal attempts will continue to fail until the certificate domain's DNS configuration is fixed. The last successfully provisioned certificate may still be serving.", "All renewal attempts have been exhausted, likely due to an invalid DNS setup.", "Most recent renewal failed due to an explicit CAA record that does not include one of the in-use CAs (Google CA and Let's Encrypt). Renewals will continue to fail until the CAA is reconfigured. The last successfully provisioned certificate may still be serving.", "Most recent renewal failed due to a CAA retrieval failure. This means that the domain's DNS provider does not properly handle CAA records, failing requests for CAA records when no CAA records are defined. Renewals will continue to fail until the DNS provider is changed or a CAA record is added for the given domain. The last successfully provisioned certificate may still be serving." ], "type": "string" }, "lastRenewalTime": { "type": "string", "format": "google-datetime", "description": "Time at which the certificate was last renewed. The renewal process is fully managed. Certificate renewal will automatically occur before the certificate expires. Renewal errors can be tracked via ManagementStatus.@OutputOnly" } }, "type": "object", "id": "ManagedCertificate", "description": "A certificate managed by App Engine." }, "BatchUpdateIngressRulesResponse": { "type": "object", "id": "BatchUpdateIngressRulesResponse", "properties": { "ingressRules": { "type": "array", "items": { "$ref": "FirewallRule" }, "description": "The full list of ingress FirewallRules for this application." } }, "description": "Response message for Firewall.UpdateAllIngressRules." }, "BasicScaling": { "properties": { "maxInstances": { "type": "integer", "description": "Maximum number of instances to create for this version.", "format": "int32" }, "idleTimeout": { "type": "string", "description": "Duration of time after the last request that an instance must wait before the instance is shut down.", "format": "google-duration" } }, "id": "BasicScaling", "description": "A service with basic scaling will create an instance when the application receives a request. The instance will be turned down when the app becomes idle. Basic scaling is ideal for work that is intermittent or driven by user activity.", "type": "object" }, "AuthorizedDomain": { "type": "object", "id": "AuthorizedDomain", "description": "A domain that a user has been authorized to administer. To authorize use of a domain, verify ownership via Webmaster Central (https://www.google.com/webmasters/verification/home).", "properties": { "name": { "description": "Full path to the AuthorizedDomain resource in the API. Example: apps/myapp/authorizedDomains/example.com.@OutputOnly", "type": "string" }, "id": { "description": "Fully qualified domain name of the domain authorized for use. Example: example.com.", "type": "string" } } }, "Volume": { "id": "Volume", "properties": { "volumeType": { "type": "string", "description": "Underlying volume type, e.g. 'tmpfs'." }, "sizeGb": { "type": "number", "format": "double", "description": "Volume size in gigabytes." }, "name": { "description": "Unique name for the volume.", "type": "string" } }, "description": "Volumes mounted within the app container. Only applicable in the App Engine flexible environment.", "type": "object" }, "ApiEndpointHandler": { "description": "Uses Google Cloud Endpoints to handle requests.", "id": "ApiEndpointHandler", "properties": { "scriptPath": { "description": "Path to the script from the application root directory.", "type": "string" } }, "type": "object" }, "Library": { "type": "object", "properties": { "version": { "description": "Version of the library to select, or \"latest\".", "type": "string" }, "name": { "description": "Name of the library. Example: \"django\".", "type": "string" } }, "description": "Third-party Python runtime library that is required by the application.", "id": "Library" }, "FirewallRule": { "properties": { "priority": { "format": "int32", "type": "integer", "description": "A positive integer between 1, Int32.MaxValue-1 that defines the order of rule evaluation. Rules with the lowest priority are evaluated first.A default rule at priority Int32.MaxValue matches all IPv4 and IPv6 traffic when no previous rule matches. Only the action of this rule can be modified by the user." }, "sourceRange": { "type": "string", "description": "IP address or range, defined using CIDR notation, of requests that this rule applies to. You can use the wildcard character \"*\" to match all IPs equivalent to \"0/0\" and \"::/0\" together. Examples: 192.168.1.1 or 192.168.0.0/16 or 2001:db8::/32 or 2001:0db8:0000:0042:0000:8a2e:0370:7334. Truncation will be silently performed on addresses which are not properly truncated. For example, 1.2.3.4/24 is accepted as the same address as 1.2.3.0/24. Similarly, for IPv6, 2001:db8::1/32 is accepted as the same address as 2001:db8::/32." }, "description": { "description": "An optional string description of this rule. This field has a maximum length of 400 characters.", "type": "string" }, "action": { "enumDescriptions": [ "", "Matching requests are allowed.", "Matching requests are denied." ], "enum": [ "UNSPECIFIED_ACTION", "ALLOW", "DENY" ], "description": "The action to take on matched requests.", "type": "string" } }, "id": "FirewallRule", "type": "object", "description": "A single firewall rule that is evaluated against incoming traffic and provides an action to take on matched requests." }, "GoogleAppengineV1betaLocationMetadata": { "id": "GoogleAppengineV1betaLocationMetadata", "properties": { "standardEnvironmentAvailable": { "type": "boolean", "description": "App Engine standard environment is available in the given location.@OutputOnly" }, "flexibleEnvironmentAvailable": { "type": "boolean", "description": "App Engine flexible environment is available in the given location.@OutputOnly" }, "searchApiAvailable": { "description": "Output only. Search API (https://cloud.google.com/appengine/docs/standard/python/search) is available in the given location.", "readOnly": true, "type": "boolean" } }, "description": "Metadata for the given google.cloud.location.Location.", "type": "object" }, "NetworkSettings": { "id": "NetworkSettings", "type": "object", "description": "A NetworkSettings resource is a container for ingress settings for a version or service.", "properties": { "ingressTrafficAllowed": { "enumDescriptions": [ "Unspecified", "Allow HTTP traffic from public and private sources.", "Allow HTTP traffic from only private VPC sources.", "Allow HTTP traffic from private VPC sources and through load balancers." ], "type": "string", "enum": [ "INGRESS_TRAFFIC_ALLOWED_UNSPECIFIED", "INGRESS_TRAFFIC_ALLOWED_ALL", "INGRESS_TRAFFIC_ALLOWED_INTERNAL_ONLY", "INGRESS_TRAFFIC_ALLOWED_INTERNAL_AND_LB" ], "description": "The ingress settings for version or service." } } }, "DiskUtilization": { "description": "Target scaling by disk usage. Only applicable in the App Engine flexible environment.", "id": "DiskUtilization", "properties": { "targetReadBytesPerSecond": { "description": "Target bytes read per second.", "type": "integer", "format": "int32" }, "targetReadOpsPerSecond": { "format": "int32", "type": "integer", "description": "Target ops read per seconds." }, "targetWriteBytesPerSecond": { "description": "Target bytes written per second.", "format": "int32", "type": "integer" }, "targetWriteOpsPerSecond": { "description": "Target ops written per second.", "format": "int32", "type": "integer" } }, "type": "object" }, "RequestUtilization": { "properties": { "targetConcurrentRequests": { "description": "Target number of concurrent requests.", "format": "int32", "type": "integer" }, "targetRequestCountPerSecond": { "type": "integer", "description": "Target requests per second.", "format": "int32" } }, "id": "RequestUtilization", "type": "object", "description": "Target scaling by request utilization. Only applicable in the App Engine flexible environment." }, "ScriptHandler": { "description": "Executes a script to handle the request that matches the URL pattern.", "type": "object", "properties": { "scriptPath": { "type": "string", "description": "Path to the script from the application root directory." } }, "id": "ScriptHandler" }, "ListLocationsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Location" } } }, "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse" }, "DomainMapping": { "description": "A domain serving an App Engine application.", "properties": { "name": { "description": "Full path to the DomainMapping resource in the API. Example: apps/myapp/domainMapping/example.com.@OutputOnly", "type": "string" }, "sslSettings": { "description": "SSL configuration for this domain. If unconfigured, this domain will not serve with SSL.", "$ref": "SslSettings" }, "id": { "description": "Relative name of the domain serving the application. Example: example.com.", "type": "string" }, "resourceRecords": { "type": "array", "description": "The resource records required to configure this domain mapping. These records must be added to the domain's DNS configuration in order to serve the application via this domain mapping.@OutputOnly", "items": { "$ref": "ResourceRecord" } } }, "id": "DomainMapping", "type": "object" }, "EndpointsApiService": { "description": "Cloud Endpoints (https://cloud.google.com/endpoints) configuration. The Endpoints API Service provides tooling for serving Open API and gRPC endpoints via an NGINX proxy. Only valid for App Engine Flexible environment deployments.The fields here refer to the name and configuration ID of a \"service\" resource in the Service Management API (https://cloud.google.com/service-management/overview).", "properties": { "disableTraceSampling": { "description": "Enable or disable trace sampling. By default, this is set to false for enabled.", "type": "boolean" }, "rolloutStrategy": { "enum": [ "UNSPECIFIED_ROLLOUT_STRATEGY", "FIXED", "MANAGED" ], "description": "Endpoints rollout strategy. If FIXED, config_id must be specified. If MANAGED, config_id must be omitted.", "enumDescriptions": [ "Not specified. Defaults to FIXED.", "Endpoints service configuration ID will be fixed to the configuration ID specified by config_id.", "Endpoints service configuration ID will be updated with each rollout." ], "type": "string" }, "configId": { "type": "string", "description": "Endpoints service configuration ID as specified by the Service Management API. For example \"2016-09-19r1\".By default, the rollout strategy for Endpoints is RolloutStrategy.FIXED. This means that Endpoints starts up with a particular configuration ID. When a new configuration is rolled out, Endpoints must be given the new configuration ID. The config_id field is used to give the configuration ID and is required in this case.Endpoints also has a rollout strategy called RolloutStrategy.MANAGED. When using this, Endpoints fetches the latest configuration and does not need the configuration ID. In this case, config_id must be omitted." }, "name": { "description": "Endpoints service name which is the name of the \"service\" resource in the Service Management API. For example \"myapi.endpoints.myproject.cloud.goog\"", "type": "string" } }, "type": "object", "id": "EndpointsApiService" }, "Instance": { "id": "Instance", "description": "An Instance resource is the computing unit that App Engine uses to automatically scale an application.", "properties": { "vmDebugEnabled": { "readOnly": true, "type": "boolean", "description": "Output only. Whether this instance is in debug mode. Only applicable for instances in App Engine flexible environment." }, "vmZoneName": { "type": "string", "description": "Output only. Zone where the virtual machine is located. Only applicable for instances in App Engine flexible environment.", "readOnly": true }, "vmId": { "type": "string", "description": "Output only. Virtual machine ID of this instance. Only applicable for instances in App Engine flexible environment.", "readOnly": true }, "requests": { "format": "int32", "description": "Output only. Number of requests since this instance was started.", "readOnly": true, "type": "integer" }, "averageLatency": { "type": "integer", "format": "int32", "description": "Output only. Average latency (ms) over the last minute.", "readOnly": true }, "startTime": { "format": "google-datetime", "description": "Output only. Time that this instance was started.@OutputOnly", "readOnly": true, "type": "string" }, "name": { "readOnly": true, "description": "Output only. Full path to the Instance resource in the API. Example: apps/myapp/services/default/versions/v1/instances/instance-1.", "type": "string" }, "vmLiveness": { "readOnly": true, "type": "string", "description": "Output only. The liveness health check of this instance. Only applicable for instances in App Engine flexible environment.", "enum": [ "LIVENESS_STATE_UNSPECIFIED", "UNKNOWN", "HEALTHY", "UNHEALTHY", "DRAINING", "TIMEOUT" ], "enumDescriptions": [ "There is no liveness health check for the instance. Only applicable for instances in App Engine standard environment.", "The health checking system is aware of the instance but its health is not known at the moment.", "The instance is reachable i.e. a connection to the application health checking endpoint can be established, and conforms to the requirements defined by the health check.", "The instance is reachable, but does not conform to the requirements defined by the health check.", "The instance is being drained. The existing connections to the instance have time to complete, but the new ones are being refused.", "The instance is unreachable i.e. a connection to the application health checking endpoint cannot be established, or the server does not respond within the specified timeout." ] }, "vmStatus": { "readOnly": true, "type": "string", "description": "Output only. Status of the virtual machine where this instance lives. Only applicable for instances in App Engine flexible environment." }, "appEngineRelease": { "type": "string", "description": "Output only. App Engine release this instance is running on.", "readOnly": true }, "vmName": { "readOnly": true, "type": "string", "description": "Output only. Name of the virtual machine where this instance lives. Only applicable for instances in App Engine flexible environment." }, "id": { "type": "string", "readOnly": true, "description": "Output only. Relative name of the instance within the version. Example: instance-1." }, "availability": { "enum": [ "UNSPECIFIED", "RESIDENT", "DYNAMIC" ], "type": "string", "readOnly": true, "description": "Output only. Availability of the instance.", "enumDescriptions": [ "", "", "" ] }, "vmIp": { "type": "string", "readOnly": true, "description": "Output only. The IP address of this instance. Only applicable for instances in App Engine flexible environment." }, "qps": { "readOnly": true, "format": "float", "type": "number", "description": "Output only. Average queries per second (QPS) over the last minute." }, "memoryUsage": { "readOnly": true, "type": "string", "format": "int64", "description": "Output only. Total memory in use (bytes)." }, "errors": { "description": "Output only. Number of errors since this instance was started.", "format": "int32", "type": "integer", "readOnly": true } }, "type": "object" }, "ListIngressRulesResponse": { "type": "object", "description": "Response message for Firewall.ListIngressRules.", "properties": { "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." }, "ingressRules": { "description": "The ingress FirewallRules for this application.", "items": { "$ref": "FirewallRule" }, "type": "array" } }, "id": "ListIngressRulesResponse" }, "HealthCheck": { "type": "object", "id": "HealthCheck", "properties": { "checkInterval": { "type": "string", "description": "Interval between health checks.", "format": "google-duration" }, "timeout": { "format": "google-duration", "description": "Time before the health check is considered failed.", "type": "string" }, "restartThreshold": { "type": "integer", "description": "Number of consecutive failed health checks required before an instance is restarted.", "format": "uint32" }, "unhealthyThreshold": { "type": "integer", "description": "Number of consecutive failed health checks required before removing traffic.", "format": "uint32" }, "disableHealthCheck": { "description": "Whether to explicitly disable health checks for this instance.", "type": "boolean" }, "healthyThreshold": { "type": "integer", "description": "Number of consecutive successful health checks required before receiving traffic.", "format": "uint32" }, "host": { "type": "string", "description": "Host header to send when performing an HTTP health check. Example: \"myapp.appspot.com\"" } }, "description": "Health checking configuration for VM instances. Unhealthy instances are killed and replaced with new instances. Only applicable for instances in App Engine flexible environment." }, "CreateVersionMetadataV1": { "type": "object", "description": "Metadata for the given google.longrunning.Operation during a google.appengine.v1.CreateVersionRequest.", "id": "CreateVersionMetadataV1", "properties": { "cloudBuildId": { "description": "The Cloud Build ID if one was created as part of the version create. @OutputOnly", "type": "string" } } }, "ListVersionsResponse": { "id": "ListVersionsResponse", "type": "object", "properties": { "versions": { "description": "The versions belonging to the requested service.", "type": "array", "items": { "$ref": "Version" } }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } }, "description": "Response message for Versions.ListVersions." }, "AutomaticScaling": { "description": "Automatic scaling is based on request rate, response latencies, and other application metrics.", "type": "object", "properties": { "minTotalInstances": { "type": "integer", "description": "Minimum number of running instances that should be maintained for this version.", "format": "int32" }, "networkUtilization": { "$ref": "NetworkUtilization", "description": "Target scaling by network usage." }, "maxPendingLatency": { "format": "google-duration", "type": "string", "description": "Maximum amount of time that a request should wait in the pending queue before starting a new instance to handle it." }, "coolDownPeriod": { "description": "The time period that the Autoscaler (https://cloud.google.com/compute/docs/autoscaler/) should wait before it starts collecting information from a new instance. This prevents the autoscaler from collecting information when the instance is initializing, during which the collected usage would not be reliable. Only applicable in the App Engine flexible environment.", "type": "string", "format": "google-duration" }, "maxTotalInstances": { "description": "Maximum number of instances that should be started to handle requests for this version.", "type": "integer", "format": "int32" }, "maxIdleInstances": { "format": "int32", "type": "integer", "description": "Maximum number of idle instances that should be maintained for this version." }, "diskUtilization": { "description": "Target scaling by disk usage.", "$ref": "DiskUtilization" }, "requestUtilization": { "$ref": "RequestUtilization", "description": "Target scaling by request utilization." }, "cpuUtilization": { "description": "Target scaling by CPU usage.", "$ref": "CpuUtilization" }, "customMetrics": { "description": "Target scaling by user-provided metrics. Only applicable in the App Engine flexible environment.", "items": { "$ref": "CustomMetric" }, "type": "array" }, "standardSchedulerSettings": { "$ref": "StandardSchedulerSettings", "description": "Scheduler settings for standard environment." }, "minPendingLatency": { "description": "Minimum amount of time a request should wait in the pending queue before starting a new instance to handle it.", "format": "google-duration", "type": "string" }, "minIdleInstances": { "type": "integer", "format": "int32", "description": "Minimum number of idle instances that should be maintained for this version. Only applicable for the default version of a service." }, "maxConcurrentRequests": { "format": "int32", "description": "Number of concurrent requests an automatic scaling instance can accept before the scheduler spawns a new instance.Defaults to a runtime-specific value.", "type": "integer" } }, "id": "AutomaticScaling" }, "ListDomainMappingsResponse": { "id": "ListDomainMappingsResponse", "description": "Response message for DomainMappings.ListDomainMappings.", "properties": { "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." }, "domainMappings": { "description": "The domain mappings for the application.", "items": { "$ref": "DomainMapping" }, "type": "array" } }, "type": "object" }, "FeatureSettings": { "id": "FeatureSettings", "type": "object", "properties": { "splitHealthChecks": { "type": "boolean", "description": "Boolean value indicating if split health checks should be used instead of the legacy health checks. At an app.yaml level, this means defaulting to 'readiness_check' and 'liveness_check' values instead of 'health_check' ones. Once the legacy 'health_check' behavior is deprecated, and this value is always true, this setting can be removed." }, "useContainerOptimizedOs": { "description": "If true, use Container-Optimized OS (https://cloud.google.com/container-optimized-os/) base image for VMs, rather than a base Debian image.", "type": "boolean" } }, "description": "The feature specific settings to be used in the application. These define behaviors that are user configurable." }, "Status": { "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" } }, "type": "object", "description": "The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC (https://github.com/grpc). Each Status message contains three pieces of data: error code, error message, and error details.You can find out more about this error model and how to work with it in the API Design Guide (https://cloud.google.com/apis/design/errors).", "id": "Status" }, "OperationMetadataV1Alpha": { "type": "object", "id": "OperationMetadataV1Alpha", "description": "Metadata for the given google.longrunning.Operation.", "properties": { "createVersionMetadata": { "$ref": "CreateVersionMetadataV1Alpha" }, "endTime": { "format": "google-datetime", "description": "Time that this operation completed.@OutputOnly", "type": "string" }, "ephemeralMessage": { "description": "Ephemeral message that may change every time the operation is polled. @OutputOnly", "type": "string" }, "target": { "description": "Name of the resource that this operation is acting on. Example: apps/myapp/services/default.@OutputOnly", "type": "string" }, "method": { "description": "API method that initiated this operation. Example: google.appengine.v1alpha.Versions.CreateVersion.@OutputOnly", "type": "string" }, "warning": { "description": "Durable messages that persist on every operation poll. @OutputOnly", "items": { "type": "string" }, "type": "array" }, "user": { "description": "User who requested this operation.@OutputOnly", "type": "string" }, "insertTime": { "description": "Time that this operation was created.@OutputOnly", "format": "google-datetime", "type": "string" } } }, "ListAuthorizedDomainsResponse": { "properties": { "domains": { "description": "The authorized domains belonging to the user.", "type": "array", "items": { "$ref": "AuthorizedDomain" } }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } }, "id": "ListAuthorizedDomainsResponse", "description": "Response message for AuthorizedDomains.ListAuthorizedDomains.", "type": "object" }, "DebugInstanceRequest": { "type": "object", "description": "Request message for Instances.DebugInstance.", "properties": { "sshKey": { "type": "string", "description": "Public SSH key to add to the instance. Examples: [USERNAME]:ssh-rsa [KEY_VALUE] [USERNAME] [USERNAME]:ssh-rsa [KEY_VALUE] google-ssh {\"userName\":\"[USERNAME]\",\"expireOn\":\"[EXPIRE_TIME]\"}For more information, see Adding and Removing SSH Keys (https://cloud.google.com/compute/docs/instances/adding-removing-ssh-keys)." } }, "id": "DebugInstanceRequest" }, "Version": { "id": "Version", "description": "A Version resource is a specific set of source code and configuration files that are deployed into a service.", "type": "object", "properties": { "buildEnvVariables": { "description": "Environment variables available to the build environment.Only returned in GET requests if view=FULL is set.", "type": "object", "additionalProperties": { "type": "string" } }, "handlers": { "type": "array", "description": "An ordered list of URL-matching patterns that should be applied to incoming requests. The first matching URL handles the request and other request handlers are not attempted.Only returned in GET requests if view=FULL is set.", "items": { "$ref": "UrlMap" } }, "instanceClass": { "description": "Instance class that is used to run this version. Valid values are: AutomaticScaling: F1, F2, F4, F4_1G ManualScaling or BasicScaling: B1, B2, B4, B8, B4_1GDefaults to F1 for AutomaticScaling and B1 for ManualScaling or BasicScaling.", "type": "string" }, "name": { "description": "Full path to the Version resource in the API. Example: apps/myapp/services/default/versions/v1.@OutputOnly", "type": "string" }, "defaultExpiration": { "type": "string", "description": "Duration that static files should be cached by web proxies and browsers. Only applicable if the corresponding StaticFilesHandler (https://cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions#StaticFilesHandler) does not specify its own expiration time.Only returned in GET requests if view=FULL is set.", "format": "google-duration" }, "runtime": { "description": "Desired runtime. Example: python27.", "type": "string" }, "automaticScaling": { "$ref": "AutomaticScaling", "description": "Automatic scaling is based on request rate, response latencies, and other application metrics. Instances are dynamically created and destroyed as needed in order to handle traffic." }, "manualScaling": { "$ref": "ManualScaling", "description": "A service with manual scaling runs continuously, allowing you to perform complex initialization and rely on the state of its memory over time. Manually scaled versions are sometimes referred to as \"backends\"." }, "nobuildFilesRegex": { "description": "Files that match this pattern will not be built into this version. Only applicable for Go runtimes.Only returned in GET requests if view=FULL is set.", "type": "string" }, "id": { "type": "string", "description": "Relative name of the version within the service. Example: v1. Version names can contain only lowercase letters, numbers, or hyphens. Reserved names: \"default\", \"latest\", and any name with the prefix \"ah-\"." }, "healthCheck": { "description": "Configures health checking for instances. Unhealthy instances are stopped and replaced with new instances. Only applicable in the App Engine flexible environment.Only returned in GET requests if view=FULL is set.", "$ref": "HealthCheck" }, "runtimeApiVersion": { "description": "The version of the API in the given runtime environment. Please see the app.yaml reference for valid values at https://cloud.google.com/appengine/docs/standard//config/appref", "type": "string" }, "versionUrl": { "description": "Serving URL for this version. Example: \"https://myversion-dot-myservice-dot-myapp.appspot.com\"@OutputOnly", "type": "string" }, "inboundServices": { "description": "Before an application can receive email or XMPP messages, the application must be configured to enable the service.", "items": { "type": "string", "enumDescriptions": [ "Not specified.", "Allows an application to receive mail.", "Allows an application to receive email-bound notifications.", "Allows an application to receive error stanzas.", "Allows an application to receive instant messages.", "Allows an application to receive user subscription POSTs.", "Allows an application to receive a user's chat presence.", "Registers an application for notifications when a client connects or disconnects from a channel.", "Enables warmup requests." ], "enum": [ "INBOUND_SERVICE_UNSPECIFIED", "INBOUND_SERVICE_MAIL", "INBOUND_SERVICE_MAIL_BOUNCE", "INBOUND_SERVICE_XMPP_ERROR", "INBOUND_SERVICE_XMPP_MESSAGE", "INBOUND_SERVICE_XMPP_SUBSCRIBE", "INBOUND_SERVICE_XMPP_PRESENCE", "INBOUND_SERVICE_CHANNEL_PRESENCE", "INBOUND_SERVICE_WARMUP" ] }, "type": "array" }, "runtimeMainExecutablePath": { "description": "The path or name of the app's main executable.", "type": "string" }, "endpointsApiService": { "$ref": "EndpointsApiService", "description": "Cloud Endpoints configuration.If endpoints_api_service is set, the Cloud Endpoints Extensible Service Proxy will be provided to serve the API implemented by the app." }, "runtimeChannel": { "description": "The channel of the runtime to use. Only available for some runtimes. Defaults to the default channel.", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Time that this version was created.@OutputOnly" }, "deployment": { "$ref": "Deployment", "description": "Code and application artifacts that make up this version.Only returned in GET requests if view=FULL is set." }, "appEngineApis": { "type": "boolean", "description": "Allows App Engine second generation runtimes to access the legacy bundled services." }, "serviceAccount": { "type": "string", "description": "The identity that the deployed version will run as. Admin API will use the App Engine Appspot service account as default if this field is neither provided in app.yaml file nor through CLI flag." }, "resources": { "$ref": "Resources", "description": "Machine resources for this version. Only applicable in the App Engine flexible environment." }, "readinessCheck": { "description": "Configures readiness health checking for instances. Unhealthy instances are not put into the backend traffic rotation.Only returned in GET requests if view=FULL is set.", "$ref": "ReadinessCheck" }, "vm": { "description": "Whether to deploy this version in a container on a virtual machine.", "type": "boolean" }, "network": { "$ref": "Network", "description": "Extra network settings. Only applicable in the App Engine flexible environment." }, "apiConfig": { "$ref": "ApiConfigHandler", "description": "Serving configuration for Google Cloud Endpoints (https://cloud.google.com/appengine/docs/python/endpoints/).Only returned in GET requests if view=FULL is set." }, "zones": { "description": "The Google Compute Engine zones that are supported by this version in the App Engine flexible environment. Deprecated.", "items": { "type": "string" }, "type": "array" }, "livenessCheck": { "$ref": "LivenessCheck", "description": "Configures liveness health checking for instances. Unhealthy instances are stopped and replaced with new instancesOnly returned in GET requests if view=FULL is set." }, "env": { "type": "string", "description": "App Engine execution environment for this version.Defaults to standard." }, "threadsafe": { "description": "Whether multiple requests can be dispatched to this version at once.", "type": "boolean" }, "servingStatus": { "enum": [ "SERVING_STATUS_UNSPECIFIED", "SERVING", "STOPPED" ], "enumDescriptions": [ "Not specified.", "Currently serving. Instances are created according to the scaling settings of the version.", "Disabled. No instances will be created and the scaling settings are ignored until the state of the version changes to SERVING." ], "description": "Current serving status of this version. Only the versions with a SERVING status create instances and can be billed.SERVING_STATUS_UNSPECIFIED is an invalid value. Defaults to SERVING.", "type": "string" }, "diskUsageBytes": { "description": "Total size in bytes of all the files that are included in this version and currently hosted on the App Engine disk.@OutputOnly", "type": "string", "format": "int64" }, "createdBy": { "description": "Email address of the user who created this version.@OutputOnly", "type": "string" }, "vpcAccessConnector": { "$ref": "VpcAccessConnector", "description": "Enables VPC connectivity for standard apps." }, "betaSettings": { "description": "Metadata settings that are supplied to this version to enable beta runtime features.", "additionalProperties": { "type": "string" }, "type": "object" }, "entrypoint": { "description": "The entrypoint for the application.", "$ref": "Entrypoint" }, "errorHandlers": { "type": "array", "items": { "$ref": "ErrorHandler" }, "description": "Custom static error pages. Limited to 10KB per page.Only returned in GET requests if view=FULL is set." }, "libraries": { "type": "array", "description": "Configuration for third-party Python runtime libraries that are required by the application.Only returned in GET requests if view=FULL is set.", "items": { "$ref": "Library" } }, "envVariables": { "description": "Environment variables available to the application.Only returned in GET requests if view=FULL is set.", "type": "object", "additionalProperties": { "type": "string" } }, "basicScaling": { "description": "A service with basic scaling will create an instance when the application receives a request. The instance will be turned down when the app becomes idle. Basic scaling is ideal for work that is intermittent or driven by user activity.", "$ref": "BasicScaling" } } }, "LivenessCheck": { "properties": { "initialDelay": { "format": "google-duration", "description": "The initial delay before starting to execute the checks.", "type": "string" }, "checkInterval": { "type": "string", "format": "google-duration", "description": "Interval between health checks." }, "path": { "type": "string", "description": "The request path." }, "failureThreshold": { "type": "integer", "description": "Number of consecutive failed checks required before considering the VM unhealthy.", "format": "uint32" }, "successThreshold": { "type": "integer", "description": "Number of consecutive successful checks required before considering the VM healthy.", "format": "uint32" }, "host": { "description": "Host header to send when performing a HTTP Liveness check. Example: \"myapp.appspot.com\"", "type": "string" }, "timeout": { "format": "google-duration", "type": "string", "description": "Time before the check is considered failed." } }, "id": "LivenessCheck", "description": "Health checking configuration for VM instances. Unhealthy instances are killed and replaced with new instances.", "type": "object" }, "UrlDispatchRule": { "id": "UrlDispatchRule", "properties": { "service": { "description": "Resource ID of a service in this application that should serve the matched request. The service must already exist. Example: default.", "type": "string" }, "domain": { "description": "Domain name to match against. The wildcard \"*\" is supported if specified before a period: \"*.\".Defaults to matching all domains: \"*\".", "type": "string" }, "path": { "type": "string", "description": "Pathname within the host. Must start with a \"/\". A single \"*\" can be included at the end of the path.The sum of the lengths of the domain and path may not exceed 100 characters." } }, "type": "object", "description": "Rules to match an HTTP request and dispatch that request to a service." }, "Entrypoint": { "properties": { "shell": { "type": "string", "description": "The format should be a shell command that can be fed to bash -c." } }, "id": "Entrypoint", "type": "object", "description": "The entrypoint for the application." }, "ListOperationsResponse": { "id": "ListOperationsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "items": { "$ref": "Operation" }, "type": "array", "description": "A list of operations that matches the specified filter in the request." } }, "description": "The response message for Operations.ListOperations." }, "ErrorHandler": { "type": "object", "properties": { "staticFile": { "type": "string", "description": "Static file content to be served for this error." }, "mimeType": { "description": "MIME type of file. Defaults to text/html.", "type": "string" }, "errorCode": { "type": "string", "description": "Error condition this handler applies to.", "enumDescriptions": [ "Not specified. ERROR_CODE_DEFAULT is assumed.", "All other error types.", "Application has exceeded a resource quota.", "Client blocked by the application's Denial of Service protection configuration.", "Deadline reached before the application responds." ], "enum": [ "ERROR_CODE_UNSPECIFIED", "ERROR_CODE_DEFAULT", "ERROR_CODE_OVER_QUOTA", "ERROR_CODE_DOS_API_DENIAL", "ERROR_CODE_TIMEOUT" ] } }, "description": "Custom static error page to be served when an error occurs.", "id": "ErrorHandler" }, "CertificateRawData": { "description": "An SSL certificate obtained from a certificate authority.", "id": "CertificateRawData", "type": "object", "properties": { "publicCertificate": { "description": "PEM encoded x.509 public key certificate. This field is set once on certificate creation. Must include the header and footer. Example: -----BEGIN CERTIFICATE----- -----END CERTIFICATE----- ", "type": "string" }, "privateKey": { "description": "Unencrypted PEM encoded RSA private key. This field is set once on certificate creation and then encrypted. The key size must be 2048 bits or fewer. Must include the header and footer. Example: -----BEGIN RSA PRIVATE KEY----- -----END RSA PRIVATE KEY----- @InputOnly", "type": "string" } } }, "IdentityAwareProxy": { "properties": { "oauth2ClientId": { "description": "OAuth2 client ID to use for the authentication flow.", "type": "string" }, "enabled": { "type": "boolean", "description": "Whether the serving infrastructure will authenticate and authorize all incoming requests.If true, the oauth2_client_id and oauth2_client_secret fields must be non-empty." }, "oauth2ClientSecret": { "type": "string", "description": "OAuth2 client secret to use for the authentication flow.For security reasons, this value cannot be retrieved via the API. Instead, the SHA-256 hash of the value is returned in the oauth2_client_secret_sha256 field.@InputOnly" }, "oauth2ClientSecretSha256": { "type": "string", "description": "Hex-encoded SHA-256 hash of the client secret.@OutputOnly" } }, "description": "Identity-Aware Proxy", "id": "IdentityAwareProxy", "type": "object" }, "AuthorizedCertificate": { "description": "An SSL certificate that a user has been authorized to administer. A user is authorized to administer any certificate that applies to one of their authorized domains.", "id": "AuthorizedCertificate", "type": "object", "properties": { "visibleDomainMappings": { "items": { "type": "string" }, "type": "array", "description": "The full paths to user visible Domain Mapping resources that have this certificate mapped. Example: apps/myapp/domainMappings/example.com.This may not represent the full list of mapped domain mappings if the user does not have VIEWER permissions on all of the applications that have this certificate mapped. See domain_mappings_count for a complete count.Only returned by GET or LIST requests when specifically requested by the view=FULL_CERTIFICATE option.@OutputOnly" }, "displayName": { "description": "The user-specified display name of the certificate. This is not guaranteed to be unique. Example: My Certificate.", "type": "string" }, "name": { "description": "Full path to the AuthorizedCertificate resource in the API. Example: apps/myapp/authorizedCertificates/12345.@OutputOnly", "type": "string" }, "certificateRawData": { "$ref": "CertificateRawData", "description": "The SSL certificate serving the AuthorizedCertificate resource. This must be obtained independently from a certificate authority." }, "id": { "type": "string", "description": "Relative name of the certificate. This is a unique value autogenerated on AuthorizedCertificate resource creation. Example: 12345.@OutputOnly" }, "expireTime": { "description": "The time when this certificate expires. To update the renewal time on this certificate, upload an SSL certificate with a different expiration time using AuthorizedCertificates.UpdateAuthorizedCertificate.@OutputOnly", "type": "string", "format": "google-datetime" }, "domainNames": { "type": "array", "description": "Topmost applicable domains of this certificate. This certificate applies to these domains and their subdomains. Example: example.com.@OutputOnly", "items": { "type": "string" } }, "domainMappingsCount": { "description": "Aggregate count of the domain mappings with this certificate mapped. This count includes domain mappings on applications for which the user does not have VIEWER permissions.Only returned by GET or LIST requests when specifically requested by the view=FULL_CERTIFICATE option.@OutputOnly", "type": "integer", "format": "int32" }, "managedCertificate": { "$ref": "ManagedCertificate", "description": "Only applicable if this certificate is managed by App Engine. Managed certificates are tied to the lifecycle of a DomainMapping and cannot be updated or deleted via the AuthorizedCertificates API. If this certificate is manually administered by the user, this field will be empty.@OutputOnly" } } }, "Application": { "id": "Application", "type": "object", "description": "An Application resource contains the top-level configuration of an App Engine application.", "properties": { "id": { "description": "Identifier of the Application resource. This identifier is equivalent to the project ID of the Google Cloud Platform project where you want to deploy your application. Example: myapp.", "type": "string" }, "defaultHostname": { "description": "Hostname used to reach this application, as resolved by App Engine.@OutputOnly", "type": "string" }, "featureSettings": { "description": "The feature specific settings to be used in the application.", "$ref": "FeatureSettings" }, "authDomain": { "description": "Google Apps authentication domain that controls which users can access this application.Defaults to open access for any Google Account.", "type": "string" }, "locationId": { "description": "Location from which this application runs. Application instances run out of the data centers in the specified location, which is also where all of the application's end user content is stored.Defaults to us-central.View the list of supported locations (https://cloud.google.com/appengine/docs/locations).", "type": "string" }, "iap": { "$ref": "IdentityAwareProxy" }, "dispatchRules": { "type": "array", "items": { "$ref": "UrlDispatchRule" }, "description": "HTTP path dispatch rules for requests to the application that do not explicitly target a service or version. Rules are order-dependent. Up to 20 dispatch rules can be supported." }, "defaultCookieExpiration": { "description": "Cookie expiration policy for this application.", "type": "string", "format": "google-duration" }, "defaultBucket": { "description": "Google Cloud Storage bucket that can be used by this application to store content.@OutputOnly", "type": "string" }, "servingStatus": { "enum": [ "UNSPECIFIED", "SERVING", "USER_DISABLED", "SYSTEM_DISABLED" ], "type": "string", "enumDescriptions": [ "Serving status is unspecified.", "Application is serving.", "Application has been disabled by the user.", "Application has been disabled by the system." ], "description": "Serving status of this application." }, "databaseType": { "enum": [ "DATABASE_TYPE_UNSPECIFIED", "CLOUD_DATASTORE", "CLOUD_FIRESTORE", "CLOUD_DATASTORE_COMPATIBILITY" ], "type": "string", "description": "The type of the Cloud Firestore or Cloud Datastore database associated with this application.", "enumDescriptions": [ "Database type is unspecified.", "Cloud Datastore", "Cloud Firestore Native", "Cloud Firestore in Datastore Mode" ] }, "name": { "description": "Full path to the Application resource in the API. Example: apps/myapp.@OutputOnly", "type": "string" }, "codeBucket": { "description": "Google Cloud Storage bucket that can be used for storing files associated with this application. This bucket is associated with the application and can be used by the gcloud deployment commands.@OutputOnly", "type": "string" }, "serviceAccount": { "type": "string", "description": "The service account associated with the application. This is the app-level default identity. If no identity provided during create version, Admin API will fallback to this one." }, "gcrDomain": { "description": "The Google Container Registry domain used for storing managed build docker images for this application.", "type": "string" } } }, "SslSettings": { "type": "object", "description": "SSL configuration for a DomainMapping resource.", "id": "SslSettings", "properties": { "sslManagementType": { "enum": [ "AUTOMATIC", "MANUAL" ], "type": "string", "enumDescriptions": [ "SSL support for this domain is configured automatically. The mapped SSL certificate will be automatically renewed.", "SSL support for this domain is configured manually by the user. Either the domain has no SSL support or a user-obtained SSL certificate has been explictly mapped to this domain." ], "description": "SSL management type for this domain. If AUTOMATIC, a managed certificate is automatically provisioned. If MANUAL, certificate_id must be manually specified in order to configure SSL for this domain." }, "certificateId": { "type": "string", "description": "ID of the AuthorizedCertificate resource configuring SSL for the application. Clearing this field will remove SSL support.By default, a managed certificate is automatically created for every domain mapping. To omit SSL support or to configure SSL manually, specify SslManagementType.MANUAL on a CREATE or UPDATE request. You must be authorized to administer the AuthorizedCertificate resource to manually map it to a DomainMapping resource. Example: 12345." }, "pendingManagedCertificateId": { "description": "ID of the managed AuthorizedCertificate resource currently being provisioned, if applicable. Until the new managed certificate has been successfully provisioned, the previous SSL state will be preserved. Once the provisioning process completes, the certificate_id field will reflect the new managed certificate and this field will be left empty. To remove SSL support while there is still a pending managed certificate, clear the certificate_id field with an UpdateDomainMappingRequest.@OutputOnly", "type": "string" } } }, "StandardSchedulerSettings": { "id": "StandardSchedulerSettings", "properties": { "targetCpuUtilization": { "format": "double", "type": "number", "description": "Target CPU utilization ratio to maintain when scaling." }, "targetThroughputUtilization": { "type": "number", "description": "Target throughput utilization ratio to maintain when scaling", "format": "double" }, "minInstances": { "description": "Minimum number of instances to run for this version. Set to zero to disable min_instances configuration.", "type": "integer", "format": "int32" }, "maxInstances": { "type": "integer", "format": "int32", "description": "Maximum number of instances to run for this version. Set to zero to disable max_instances configuration." } }, "type": "object", "description": "Scheduler settings for standard environment." }, "Operation": { "id": "Operation", "properties": { "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}." }, "done": { "description": "If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.", "type": "boolean" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } }, "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call." }, "CustomMetric": { "id": "CustomMetric", "properties": { "targetUtilization": { "type": "number", "description": "The target value for the metric.", "format": "double" }, "metricName": { "type": "string", "description": "The name of the metric." }, "targetType": { "description": "The type of the metric. Must be a string representing a Stackdriver metric type e.g. GAGUE, DELTA_PER_SECOND, etc.", "type": "string" }, "singleInstanceAssignment": { "format": "double", "type": "number", "description": "May be used instead of target_utilization when an instance can handle a specific amount of work/resources and the metric value is equal to the current amount of work remaining. The autoscaler will try to keep the number of instances equal to the metric value divided by single_instance_assignment." }, "filter": { "type": "string", "description": "Allows filtering on the metric's fields." } }, "type": "object", "description": "Allows autoscaling based on Stackdriver metrics." }, "UrlMap": { "properties": { "login": { "enum": [ "LOGIN_UNSPECIFIED", "LOGIN_OPTIONAL", "LOGIN_ADMIN", "LOGIN_REQUIRED" ], "description": "Level of login required to access this resource. Not supported for Node.js in the App Engine standard environment.", "type": "string", "enumDescriptions": [ "Not specified. LOGIN_OPTIONAL is assumed.", "Does not require that the user is signed in.", "If the user is not signed in, the auth_fail_action is taken. In addition, if the user is not an administrator for the application, they are given an error message regardless of auth_fail_action. If the user is an administrator, the handler proceeds.", "If the user has signed in, the handler proceeds normally. Otherwise, the auth_fail_action is taken." ] }, "apiEndpoint": { "description": "Uses API Endpoints to handle requests.", "$ref": "ApiEndpointHandler" }, "securityLevel": { "enumDescriptions": [ "Not specified.", "Both HTTP and HTTPS requests with URLs that match the handler succeed without redirects. The application can examine the request to determine which protocol was used, and respond accordingly.", "Requests for a URL that match this handler that use HTTPS are automatically redirected to the HTTP equivalent URL.", "Both HTTP and HTTPS requests with URLs that match the handler succeed without redirects. The application can examine the request to determine which protocol was used and respond accordingly.", "Requests for a URL that match this handler that do not use HTTPS are automatically redirected to the HTTPS URL with the same path. Query parameters are reserved for the redirect." ], "enum": [ "SECURE_UNSPECIFIED", "SECURE_DEFAULT", "SECURE_NEVER", "SECURE_OPTIONAL", "SECURE_ALWAYS" ], "description": "Security (HTTPS) enforcement for this URL.", "type": "string" }, "staticFiles": { "$ref": "StaticFilesHandler", "description": "Returns the contents of a file, such as an image, as the response." }, "redirectHttpResponseCode": { "enum": [ "REDIRECT_HTTP_RESPONSE_CODE_UNSPECIFIED", "REDIRECT_HTTP_RESPONSE_CODE_301", "REDIRECT_HTTP_RESPONSE_CODE_302", "REDIRECT_HTTP_RESPONSE_CODE_303", "REDIRECT_HTTP_RESPONSE_CODE_307" ], "description": "30x code to use when performing redirects for the secure field. Defaults to 302.", "enumDescriptions": [ "Not specified. 302 is assumed.", "301 Moved Permanently code.", "302 Moved Temporarily code.", "303 See Other code.", "307 Temporary Redirect code." ], "type": "string" }, "authFailAction": { "description": "Action to take when users access resources that require authentication. Defaults to redirect.", "type": "string", "enumDescriptions": [ "Not specified. AUTH_FAIL_ACTION_REDIRECT is assumed.", "Redirects user to \"accounts.google.com\". The user is redirected back to the application URL after signing in or creating an account.", "Rejects request with a 401 HTTP status code and an error message." ], "enum": [ "AUTH_FAIL_ACTION_UNSPECIFIED", "AUTH_FAIL_ACTION_REDIRECT", "AUTH_FAIL_ACTION_UNAUTHORIZED" ] }, "script": { "$ref": "ScriptHandler", "description": "Executes a script to handle the requests that match this URL pattern. Only the auto value is supported for Node.js in the App Engine standard environment, for example \"script\": \"auto\"." }, "urlRegex": { "type": "string", "description": "URL prefix. Uses regular expression syntax, which means regexp special characters must be escaped, but should not contain groupings. All URLs that begin with this prefix are handled by this handler, using the portion of the URL after the prefix as part of the file path." } }, "type": "object", "id": "UrlMap", "description": "URL pattern and description of how the URL should be handled. App Engine can handle URLs by executing application code or by serving static files uploaded with the version, such as images, CSS, or JavaScript." }, "ListInstancesResponse": { "type": "object", "description": "Response message for Instances.ListInstances.", "id": "ListInstancesResponse", "properties": { "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" }, "instances": { "items": { "$ref": "Instance" }, "type": "array", "description": "The instances belonging to the requested version." } } }, "OperationMetadataV1Beta": { "id": "OperationMetadataV1Beta", "description": "Metadata for the given google.longrunning.Operation.", "type": "object", "properties": { "method": { "type": "string", "description": "API method that initiated this operation. Example: google.appengine.v1beta.Versions.CreateVersion.@OutputOnly" }, "user": { "type": "string", "description": "User who requested this operation.@OutputOnly" }, "insertTime": { "format": "google-datetime", "description": "Time that this operation was created.@OutputOnly", "type": "string" }, "target": { "description": "Name of the resource that this operation is acting on. Example: apps/myapp/services/default.@OutputOnly", "type": "string" }, "createVersionMetadata": { "$ref": "CreateVersionMetadataV1Beta" }, "warning": { "items": { "type": "string" }, "type": "array", "description": "Durable messages that persist on every operation poll. @OutputOnly" }, "ephemeralMessage": { "type": "string", "description": "Ephemeral message that may change every time the operation is polled. @OutputOnly" }, "endTime": { "type": "string", "description": "Time that this operation completed.@OutputOnly", "format": "google-datetime" } } }, "ApiConfigHandler": { "id": "ApiConfigHandler", "description": "Google Cloud Endpoints (https://cloud.google.com/appengine/docs/python/endpoints/) configuration for API handlers.", "properties": { "authFailAction": { "enumDescriptions": [ "Not specified. AUTH_FAIL_ACTION_REDIRECT is assumed.", "Redirects user to \"accounts.google.com\". The user is redirected back to the application URL after signing in or creating an account.", "Rejects request with a 401 HTTP status code and an error message." ], "enum": [ "AUTH_FAIL_ACTION_UNSPECIFIED", "AUTH_FAIL_ACTION_REDIRECT", "AUTH_FAIL_ACTION_UNAUTHORIZED" ], "type": "string", "description": "Action to take when users access resources that require authentication. Defaults to redirect." }, "login": { "enumDescriptions": [ "Not specified. LOGIN_OPTIONAL is assumed.", "Does not require that the user is signed in.", "If the user is not signed in, the auth_fail_action is taken. In addition, if the user is not an administrator for the application, they are given an error message regardless of auth_fail_action. If the user is an administrator, the handler proceeds.", "If the user has signed in, the handler proceeds normally. Otherwise, the auth_fail_action is taken." ], "enum": [ "LOGIN_UNSPECIFIED", "LOGIN_OPTIONAL", "LOGIN_ADMIN", "LOGIN_REQUIRED" ], "type": "string", "description": "Level of login required to access this resource. Defaults to optional." }, "script": { "description": "Path to the script from the application root directory.", "type": "string" }, "securityLevel": { "enumDescriptions": [ "Not specified.", "Both HTTP and HTTPS requests with URLs that match the handler succeed without redirects. The application can examine the request to determine which protocol was used, and respond accordingly.", "Requests for a URL that match this handler that use HTTPS are automatically redirected to the HTTP equivalent URL.", "Both HTTP and HTTPS requests with URLs that match the handler succeed without redirects. The application can examine the request to determine which protocol was used and respond accordingly.", "Requests for a URL that match this handler that do not use HTTPS are automatically redirected to the HTTPS URL with the same path. Query parameters are reserved for the redirect." ], "enum": [ "SECURE_UNSPECIFIED", "SECURE_DEFAULT", "SECURE_NEVER", "SECURE_OPTIONAL", "SECURE_ALWAYS" ], "type": "string", "description": "Security (HTTPS) enforcement for this URL." }, "url": { "description": "URL to serve the endpoint at.", "type": "string" } }, "type": "object" }, "ZipInfo": { "id": "ZipInfo", "properties": { "filesCount": { "format": "int32", "description": "An estimate of the number of files in a zip for a zip deployment. If set, must be greater than or equal to the actual number of files. Used for optimizing performance; if not provided, deployment may be slow.", "type": "integer" }, "sourceUrl": { "type": "string", "description": "URL of the zip file to deploy from. Must be a URL to a resource in Google Cloud Storage in the form 'http(s)://storage.googleapis.com//'." } }, "description": "The zip file information for a zip deployment.", "type": "object" }, "BatchUpdateIngressRulesRequest": { "type": "object", "properties": { "ingressRules": { "description": "A list of FirewallRules to replace the existing set.", "type": "array", "items": { "$ref": "FirewallRule" } } }, "id": "BatchUpdateIngressRulesRequest", "description": "Request message for Firewall.BatchUpdateIngressRules." }, "Empty": { "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } ", "id": "Empty" }, "StaticFilesHandler": { "description": "Files served directly to the user for a given URL, such as images, CSS stylesheets, or JavaScript source files. Static file handlers describe which files in the application directory are static files, and which URLs serve them.", "properties": { "uploadPathRegex": { "description": "Regular expression that matches the file paths for all files that should be referenced by this handler.", "type": "string" }, "mimeType": { "description": "MIME type used to serve all files served by this handler.Defaults to file-specific MIME types, which are derived from each file's filename extension.", "type": "string" }, "httpHeaders": { "description": "HTTP headers to use for all responses from these URLs.", "additionalProperties": { "type": "string" }, "type": "object" }, "path": { "description": "Path to the static files matched by the URL pattern, from the application root directory. The path can refer to text matched in groupings in the URL pattern.", "type": "string" }, "applicationReadable": { "description": "Whether files should also be uploaded as code data. By default, files declared in static file handlers are uploaded as static data and are only served to end users; they cannot be read by the application. If enabled, uploads are charged against both your code and static data storage resource quotas.", "type": "boolean" }, "expiration": { "description": "Time a static file served by this handler should be cached by web proxies and browsers.", "format": "google-duration", "type": "string" }, "requireMatchingFile": { "type": "boolean", "description": "Whether this handler should match the request if the file referenced by the handler does not exist." } }, "id": "StaticFilesHandler", "type": "object" }, "Deployment": { "description": "Code and application artifacts used to deploy a version to App Engine.", "properties": { "container": { "$ref": "ContainerInfo", "description": "The Docker image for the container that runs the version. Only applicable for instances running in the App Engine flexible environment." }, "cloudBuildOptions": { "$ref": "CloudBuildOptions", "description": "Options for any Google Cloud Build builds created as a part of this deployment.These options will only be used if a new build is created, such as when deploying to the App Engine flexible environment using files or zip." }, "zip": { "$ref": "ZipInfo", "description": "The zip file for this deployment, if this is a zip deployment." }, "build": { "$ref": "BuildInfo", "description": "Google Cloud Build build information. Only applicable for instances running in the App Engine flexible environment." }, "files": { "type": "object", "additionalProperties": { "$ref": "FileInfo" }, "description": "Manifest of the files stored in Google Cloud Storage that are included as part of this version. All files must be readable using the credentials supplied with this call." } }, "id": "Deployment", "type": "object" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "properties": { "labels": { "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"} ", "type": "object" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: \"projects/example-project/locations/us-east1\"", "type": "string" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location." }, "locationId": { "description": "The canonical id for this location. For example: \"us-east1\".", "type": "string" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." } }, "type": "object" }, "NetworkUtilization": { "description": "Target scaling by network usage. Only applicable in the App Engine flexible environment.", "id": "NetworkUtilization", "properties": { "targetSentBytesPerSecond": { "format": "int32", "type": "integer", "description": "Target bytes sent per second." }, "targetReceivedBytesPerSecond": { "format": "int32", "description": "Target bytes received per second.", "type": "integer" }, "targetSentPacketsPerSecond": { "description": "Target packets sent per second.", "type": "integer", "format": "int32" }, "targetReceivedPacketsPerSecond": { "description": "Target packets received per second.", "format": "int32", "type": "integer" } }, "type": "object" }, "CloudBuildOptions": { "description": "Options for the build operations performed as a part of the version deployment. Only applicable for App Engine flexible environment when creating a version using source code directly.", "type": "object", "id": "CloudBuildOptions", "properties": { "cloudBuildTimeout": { "description": "The Cloud Build timeout used as part of any dependent builds performed by version creation. Defaults to 10 minutes.", "format": "google-duration", "type": "string" }, "appYamlPath": { "description": "Path to the yaml file used in deployment, used to determine runtime configuration details.Required for flexible environment builds.See https://cloud.google.com/appengine/docs/standard/python/config/appref for more details.", "type": "string" } } } }, "parameters": { "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "alt": { "type": "string", "default": "json", "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ] }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "prettyPrint": { "location": "query", "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" } } }
]===]))
