local decode = require("cjson").new().decode
return assert(decode([===[
{ "kind": "discovery#restDescription", "id": "area120tables:v1alpha1", "documentationLink": "https://support.google.com/area120-tables/answer/10011390", "servicePath": "", "schemas": { "ListRowsResponse": { "id": "ListRowsResponse", "type": "object", "description": "Response message for TablesService.ListRows.", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is empty, there are no subsequent pages.", "type": "string" }, "rows": { "type": "array", "description": "The rows from the specified table.", "items": { "$ref": "Row" } } } }, "BatchCreateRowsRequest": { "properties": { "requests": { "description": "Required. The request message specifying the rows to create. A maximum of 500 rows can be created in a single batch.", "type": "array", "items": { "$ref": "CreateRowRequest" } } }, "type": "object", "description": "Request message for TablesService.BatchCreateRows.", "id": "BatchCreateRowsRequest" }, "CreateRowRequest": { "type": "object", "description": "Request message for TablesService.CreateRow.", "properties": { "view": { "type": "string", "description": "Optional. Column key to use for values in the row. Defaults to user entered name.", "enum": [ "VIEW_UNSPECIFIED", "COLUMN_ID_VIEW" ], "enumDescriptions": [ "Defaults to user entered text.", "Uses internally generated column id to identify values." ] }, "row": { "$ref": "Row", "description": "Required. The row to create." }, "parent": { "type": "string", "description": "Required. The parent table where this row will be created. Format: tables/{table}" } }, "id": "CreateRowRequest" }, "BatchDeleteRowsRequest": { "properties": { "names": { "items": { "type": "string" }, "type": "array", "description": "Required. The names of the rows to delete. All rows must belong to the parent table or else the entire batch will fail. A maximum of 500 rows can be deleted in a batch. Format: tables/{table}/rows/{row}" } }, "description": "Request message for TablesService.BatchDeleteRows", "type": "object", "id": "BatchDeleteRowsRequest" }, "Empty": { "type": "object", "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "ListTablesResponse": { "id": "ListTablesResponse", "description": "Response message for TablesService.ListTables.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is empty, there are no subsequent pages." }, "tables": { "items": { "$ref": "Table" }, "type": "array", "description": "The list of tables." } } }, "ColumnDescription": { "type": "object", "id": "ColumnDescription", "properties": { "dataType": { "description": "Data type of the column Supported types are auto_id, boolean, boolean_list, creator, create_timestamp, date, dropdown, location, integer, integer_list, number, number_list, person, person_list, tags, check_list, text, text_list, update_timestamp, updater, relationship, file_attachment_list. These types directly map to the column types supported on Tables website.", "type": "string" }, "multipleValuesDisallowed": { "type": "boolean", "description": "Optional. Indicates whether or not multiple values are allowed for array types where such a restriction is possible." }, "relationshipDetails": { "$ref": "RelationshipDetails", "description": "Optional. Additional details about a relationship column. Specified when data_type is relationship." }, "readonly": { "type": "boolean", "description": "Optional. Indicates that values for the column cannot be set by the user." }, "dateDetails": { "description": "Optional. Additional details about a date column.", "$ref": "DateDetails" }, "labels": { "type": "array", "items": { "$ref": "LabeledItem" }, "description": "Optional. Range of labeled values for the column. Some columns like tags and drop-downs limit the values to a set of possible values. We return the range of values in such cases to help clients implement better user data validation." }, "id": { "type": "string", "description": "Internal id for a column." }, "lookupDetails": { "description": "Optional. Indicates that this is a lookup column whose value is derived from the relationship column specified in the details. Lookup columns can not be updated directly. To change the value you must update the associated relationship column.", "$ref": "LookupDetails" }, "name": { "type": "string", "description": "column name" } }, "description": "Details on a column in the table." }, "LabeledItem": { "type": "object", "id": "LabeledItem", "properties": { "id": { "type": "string", "description": "Internal id associated with the item." }, "name": { "description": "Display string as entered by user.", "type": "string" } }, "description": "A single item in a labeled column." }, "SavedView": { "id": "SavedView", "properties": { "id": { "type": "string", "description": "Internal id associated with the saved view." }, "name": { "type": "string", "description": "Display name of the saved view." } }, "description": "A saved view of a table. NextId: 3", "type": "object" }, "DateDetails": { "id": "DateDetails", "properties": { "hasTime": { "type": "boolean", "description": "Whether the date column includes time." } }, "description": "Details about a date column.", "type": "object" }, "Row": { "id": "Row", "description": "A single row in a table.", "properties": { "updateTime": { "type": "string", "format": "google-datetime", "description": "Time when the row was last updated." }, "values": { "description": "The values of the row. This is a map of column key to value. Key is user entered name(default) or the internal column id based on the view in the request.", "type": "object", "additionalProperties": { "type": "any" } }, "createTime": { "format": "google-datetime", "description": "Time when the row was created.", "type": "string" }, "name": { "type": "string", "description": "The resource name of the row. Row names have the form `tables/{table}/rows/{row}`. The name is ignored when creating a row." } }, "type": "object" }, "BatchCreateRowsResponse": { "type": "object", "description": "Response message for TablesService.BatchCreateRows.", "properties": { "rows": { "items": { "$ref": "Row" }, "description": "The created rows.", "type": "array" } }, "id": "BatchCreateRowsResponse" }, "Workspace": { "type": "object", "properties": { "updateTime": { "type": "string", "description": "Time when the workspace was last updated.", "format": "google-datetime" }, "displayName": { "description": "The human readable title of the workspace.", "type": "string" }, "name": { "type": "string", "description": "The resource name of the workspace. Workspace names have the form `workspaces/{workspace}`." }, "tables": { "items": { "$ref": "Table" }, "type": "array", "description": "The list of tables in the workspace." }, "createTime": { "description": "Time when the workspace was created.", "format": "google-datetime", "type": "string" } }, "description": "A single workspace.", "id": "Workspace" }, "ListWorkspacesResponse": { "properties": { "workspaces": { "items": { "$ref": "Workspace" }, "description": "The list of workspaces.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is empty, there are no subsequent pages." } }, "description": "Response message for TablesService.ListWorkspaces.", "type": "object", "id": "ListWorkspacesResponse" }, "Table": { "properties": { "savedViews": { "description": "Saved views for this table.", "type": "array", "items": { "$ref": "SavedView" } }, "displayName": { "description": "The human readable title of the table.", "type": "string" }, "updateTime": { "format": "google-datetime", "description": "Time when the table was last updated excluding updates to individual rows", "type": "string" }, "name": { "description": "The resource name of the table. Table names have the form `tables/{table}`.", "type": "string" }, "createTime": { "description": "Time when the table was created.", "format": "google-datetime", "type": "string" }, "columns": { "items": { "$ref": "ColumnDescription" }, "type": "array", "description": "List of columns in this table. Order of columns matches the display order." }, "timeZone": { "description": "The time zone of the table. IANA Time Zone Database time zone, e.g. \"America/New_York\".", "type": "string" } }, "id": "Table", "description": "A single table. NextId: 8", "type": "object" }, "LookupDetails": { "type": "object", "description": "Details about a lookup column whose value comes from the associated relationship.", "id": "LookupDetails", "properties": { "relationshipColumn": { "description": "The name of the relationship column associated with the lookup.", "type": "string" }, "relationshipColumnId": { "type": "string", "description": "The id of the relationship column." } } }, "BatchUpdateRowsRequest": { "properties": { "requests": { "description": "Required. The request messages specifying the rows to update. A maximum of 500 rows can be modified in a single batch.", "type": "array", "items": { "$ref": "UpdateRowRequest" } } }, "id": "BatchUpdateRowsRequest", "type": "object", "description": "Request message for TablesService.BatchUpdateRows." }, "RelationshipDetails": { "description": "Details about a relationship column.", "type": "object", "id": "RelationshipDetails", "properties": { "linkedTable": { "description": "The name of the table this relationship is linked to.", "type": "string" } } }, "BatchUpdateRowsResponse": { "description": "Response message for TablesService.BatchUpdateRows.", "properties": { "rows": { "type": "array", "description": "The updated rows.", "items": { "$ref": "Row" } } }, "type": "object", "id": "BatchUpdateRowsResponse" }, "UpdateRowRequest": { "properties": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "The list of fields to update." }, "row": { "$ref": "Row", "description": "Required. The row to update." }, "view": { "type": "string", "enumDescriptions": [ "Defaults to user entered text.", "Uses internally generated column id to identify values." ], "enum": [ "VIEW_UNSPECIFIED", "COLUMN_ID_VIEW" ], "description": "Optional. Column key to use for values in the row. Defaults to user entered name." } }, "type": "object", "description": "Request message for TablesService.UpdateRow.", "id": "UpdateRowRequest" } }, "discoveryVersion": "v1", "name": "area120tables", "fullyEncodeReservedExpansion": true, "batchPath": "batch", "revision": "20220711", "ownerDomain": "google.com", "basePath": "", "baseUrl": "https://area120tables.googleapis.com/", "ownerName": "Google", "resources": { "workspaces": { "methods": { "list": { "path": "v1alpha1/workspaces", "parameterOrder": [], "response": { "$ref": "ListWorkspacesResponse" }, "parameters": { "pageToken": { "description": "A page token, received from a previous `ListWorkspaces` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListWorkspaces` must match the call that provided the page token.", "type": "string", "location": "query" }, "pageSize": { "description": "The maximum number of workspaces to return. The service may return fewer than this value. If unspecified, at most 10 workspaces are returned. The maximum value is 25; values above 25 are coerced to 25.", "location": "query", "format": "int32", "type": "integer" } }, "flatPath": "v1alpha1/workspaces", "description": "Lists workspaces for the user.", "id": "area120tables.workspaces.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/spreadsheets.readonly", "https://www.googleapis.com/auth/tables" ] }, "get": { "id": "area120tables.workspaces.get", "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/spreadsheets.readonly", "https://www.googleapis.com/auth/tables" ], "flatPath": "v1alpha1/workspaces/{workspacesId}", "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}", "response": { "$ref": "Workspace" }, "description": "Gets a workspace. Returns NOT_FOUND if the workspace does not exist.", "httpMethod": "GET", "parameters": { "name": { "description": "Required. The name of the workspace to retrieve. Format: workspaces/{workspace}", "type": "string", "location": "path", "pattern": "^workspaces/[^/]+$", "required": true } } } } }, "tables": { "resources": { "rows": { "methods": { "patch": { "parameters": { "name": { "required": true, "pattern": "^tables/[^/]+/rows/[^/]+$", "location": "path", "description": "The resource name of the row. Row names have the form `tables/{table}/rows/{row}`. The name is ignored when creating a row.", "type": "string" }, "updateMask": { "format": "google-fieldmask", "description": "The list of fields to update.", "type": "string", "location": "query" }, "view": { "description": "Optional. Column key to use for values in the row. Defaults to user entered name.", "enumDescriptions": [ "Defaults to user entered text.", "Uses internally generated column id to identify values." ], "location": "query", "enum": [ "VIEW_UNSPECIFIED", "COLUMN_ID_VIEW" ], "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/tables" ], "response": { "$ref": "Row" }, "flatPath": "v1alpha1/tables/{tablesId}/rows/{rowsId}", "httpMethod": "PATCH", "parameterOrder": [ "name" ], "id": "area120tables.tables.rows.patch", "request": { "$ref": "Row" }, "path": "v1alpha1/{+name}", "description": "Updates a row." }, "delete": { "description": "Deletes a row.", "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/tables" ], "id": "area120tables.tables.rows.delete", "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "description": "Required. The name of the row to delete. Format: tables/{table}/rows/{row}", "pattern": "^tables/[^/]+/rows/[^/]+$", "required": true, "type": "string" } }, "flatPath": "v1alpha1/tables/{tablesId}/rows/{rowsId}" }, "batchUpdate": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/tables" ], "path": "v1alpha1/{+parent}/rows:batchUpdate", "description": "Updates multiple rows.", "request": { "$ref": "BatchUpdateRowsRequest" }, "id": "area120tables.tables.rows.batchUpdate", "parameters": { "parent": { "location": "path", "pattern": "^tables/[^/]+$", "description": "Required. The parent table shared by all rows being updated. Format: tables/{table}", "type": "string", "required": true } }, "flatPath": "v1alpha1/tables/{tablesId}/rows:batchUpdate", "response": { "$ref": "BatchUpdateRowsResponse" }, "httpMethod": "POST" }, "batchDelete": { "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/tables" ], "parameters": { "parent": { "location": "path", "description": "Required. The parent table shared by all rows being deleted. Format: tables/{table}", "type": "string", "pattern": "^tables/[^/]+$", "required": true } }, "response": { "$ref": "Empty" }, "description": "Deletes multiple rows.", "flatPath": "v1alpha1/tables/{tablesId}/rows:batchDelete", "path": "v1alpha1/{+parent}/rows:batchDelete", "request": { "$ref": "BatchDeleteRowsRequest" }, "id": "area120tables.tables.rows.batchDelete", "parameterOrder": [ "parent" ], "httpMethod": "POST" }, "list": { "parameters": { "parent": { "type": "string", "description": "Required. The parent table. Format: tables/{table}", "pattern": "^tables/[^/]+$", "location": "path", "required": true }, "view": { "enumDescriptions": [ "Defaults to user entered text.", "Uses internally generated column id to identify values." ], "enum": [ "VIEW_UNSPECIFIED", "COLUMN_ID_VIEW" ], "location": "query", "description": "Optional. Column key to use for values in the row. Defaults to user entered name.", "type": "string" }, "pageSize": { "description": "The maximum number of rows to return. The service may return fewer than this value. If unspecified, at most 50 rows are returned. The maximum value is 1,000; values above 1,000 are coerced to 1,000.", "format": "int32", "location": "query", "type": "integer" }, "orderBy": { "description": "Optional. Sorting order for the list of rows on createTime/updateTime.", "location": "query", "type": "string" }, "filter": { "description": "Optional. Filter to only include resources matching the requirements. For more information, see [Filtering list results](https://support.google.com/area120-tables/answer/10503371).", "location": "query", "type": "string" }, "pageToken": { "description": "A page token, received from a previous `ListRows` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListRows` must match the call that provided the page token.", "type": "string", "location": "query" } }, "id": "area120tables.tables.rows.list", "httpMethod": "GET", "path": "v1alpha1/{+parent}/rows", "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/spreadsheets.readonly", "https://www.googleapis.com/auth/tables" ], "response": { "$ref": "ListRowsResponse" }, "description": "Lists rows in a table. Returns NOT_FOUND if the table does not exist.", "parameterOrder": [ "parent" ], "flatPath": "v1alpha1/tables/{tablesId}/rows" }, "batchCreate": { "parameterOrder": [ "parent" ], "path": "v1alpha1/{+parent}/rows:batchCreate", "description": "Creates multiple rows.", "flatPath": "v1alpha1/tables/{tablesId}/rows:batchCreate", "id": "area120tables.tables.rows.batchCreate", "httpMethod": "POST", "response": { "$ref": "BatchCreateRowsResponse" }, "parameters": { "parent": { "description": "Required. The parent table where the rows will be created. Format: tables/{table}", "type": "string", "required": true, "pattern": "^tables/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/tables" ], "request": { "$ref": "BatchCreateRowsRequest" } }, "get": { "description": "Gets a row. Returns NOT_FOUND if the row does not exist in the table.", "flatPath": "v1alpha1/tables/{tablesId}/rows/{rowsId}", "httpMethod": "GET", "id": "area120tables.tables.rows.get", "path": "v1alpha1/{+name}", "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/spreadsheets.readonly", "https://www.googleapis.com/auth/tables" ], "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "description": "Required. The name of the row to retrieve. Format: tables/{table}/rows/{row}", "location": "path", "pattern": "^tables/[^/]+/rows/[^/]+$", "type": "string" }, "view": { "description": "Optional. Column key to use for values in the row. Defaults to user entered name.", "location": "query", "type": "string", "enumDescriptions": [ "Defaults to user entered text.", "Uses internally generated column id to identify values." ], "enum": [ "VIEW_UNSPECIFIED", "COLUMN_ID_VIEW" ] } }, "response": { "$ref": "Row" } }, "create": { "path": "v1alpha1/{+parent}/rows", "httpMethod": "POST", "id": "area120tables.tables.rows.create", "parameterOrder": [ "parent" ], "response": { "$ref": "Row" }, "description": "Creates a row.", "request": { "$ref": "Row" }, "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/tables" ], "parameters": { "view": { "location": "query", "type": "string", "enum": [ "VIEW_UNSPECIFIED", "COLUMN_ID_VIEW" ], "enumDescriptions": [ "Defaults to user entered text.", "Uses internally generated column id to identify values." ], "description": "Optional. Column key to use for values in the row. Defaults to user entered name." }, "parent": { "pattern": "^tables/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The parent table where this row will be created. Format: tables/{table}" } }, "flatPath": "v1alpha1/tables/{tablesId}/rows" } } } }, "methods": { "get": { "httpMethod": "GET", "flatPath": "v1alpha1/tables/{tablesId}", "parameters": { "name": { "type": "string", "description": "Required. The name of the table to retrieve. Format: tables/{table}", "location": "path", "pattern": "^tables/[^/]+$", "required": true } }, "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "Table" }, "id": "area120tables.tables.get", "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/spreadsheets.readonly", "https://www.googleapis.com/auth/tables" ], "description": "Gets a table. Returns NOT_FOUND if the table does not exist." }, "list": { "parameters": { "pageToken": { "description": "A page token, received from a previous `ListTables` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListTables` must match the call that provided the page token.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Optional. Sorting order for the list of tables on createTime/updateTime." }, "pageSize": { "type": "integer", "description": "The maximum number of tables to return. The service may return fewer than this value. If unspecified, at most 20 tables are returned. The maximum value is 100; values above 100 are coerced to 100.", "location": "query", "format": "int32" } }, "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/spreadsheets.readonly", "https://www.googleapis.com/auth/tables" ], "path": "v1alpha1/tables", "httpMethod": "GET", "response": { "$ref": "ListTablesResponse" }, "parameterOrder": [], "id": "area120tables.tables.list", "description": "Lists tables for the user.", "flatPath": "v1alpha1/tables" } } } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/spreadsheets.readonly": { "description": "See all your Google Sheets spreadsheets" }, "https://www.googleapis.com/auth/drive": { "description": "See, edit, create, and delete all of your Google Drive files" }, "https://www.googleapis.com/auth/drive.readonly": { "description": "See and download all your Google Drive files" }, "https://www.googleapis.com/auth/spreadsheets": { "description": "See, edit, create, and delete all your Google Sheets spreadsheets" }, "https://www.googleapis.com/auth/tables": { "description": "See, edit, create, and delete your tables in Tables by Area 120" }, "https://www.googleapis.com/auth/drive.file": { "description": "See, edit, create, and delete only the specific Google Drive files you use with this app" } } } }, "description": "", "version": "v1alpha1", "canonicalName": "Area120 Tables", "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "prettyPrint": { "type": "boolean", "location": "query", "default": "true", "description": "Returns response with indentations and line breaks." }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "$.xgafv": { "type": "string", "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "alt": { "enum": [ "json", "media", "proto" ], "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "type": "string", "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" } }, "mtlsRootUrl": "https://area120tables.mtls.googleapis.com/", "title": "Area120 Tables API", "protocol": "rest", "version_module": true, "rootUrl": "https://area120tables.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" } }
]===]))
