local decode = require("cjson").new().decode
return assert(decode([===[
{ "parameters": { "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "prettyPrint": { "location": "query", "default": "true", "type": "boolean", "description": "Returns response with indentations and line breaks." }, "$.xgafv": { "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "alt": { "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "default": "json", "enum": [ "json", "media", "proto" ], "description": "Data format for response." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" } }, "documentationLink": "https://cloud.google.com/artifacts/docs/", "description": "Store and manage build artifacts in a scalable and integrated service built on Google infrastructure.", "revision": "20220628", "version_module": true, "servicePath": "", "ownerDomain": "google.com", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "rootUrl": "https://artifactregistry.googleapis.com/", "id": "artifactregistry:v1", "schemas": { "MavenRepositoryConfig": { "type": "object", "description": "MavenRepositoryConfig is maven related repository details. Provides additional configuration details for repositories of the maven format type.", "properties": { "versionPolicy": { "enum": [ "VERSION_POLICY_UNSPECIFIED", "RELEASE", "SNAPSHOT" ], "description": "Version policy defines the versions that the registry will accept.", "enumDescriptions": [ "VERSION_POLICY_UNSPECIFIED - the version policy is not defined. When the version policy is not defined, no validation is performed for the versions.", "RELEASE - repository will accept only Release versions.", "SNAPSHOT - repository will accept only Snapshot versions." ], "type": "string" }, "allowSnapshotOverwrites": { "description": "The repository with this flag will allow publishing the same snapshot versions.", "type": "boolean" } }, "id": "MavenRepositoryConfig" }, "AptArtifact": { "type": "object", "description": "A detailed representation of an Apt artifact. Information in the record is derived from the archive's control file. See https://www.debian.org/doc/debian-policy/ch-controlfields.html", "properties": { "component": { "readOnly": true, "description": "Output only. Repository component of the artifact.", "type": "string" }, "packageType": { "type": "string", "description": "Output only. An artifact is a binary or source package.", "enumDescriptions": [ "Package type is not specified.", "Binary package.", "Source package." ], "readOnly": true, "enum": [ "PACKAGE_TYPE_UNSPECIFIED", "BINARY", "SOURCE" ] }, "controlFile": { "description": "Output only. Contents of the artifact's control metadata file.", "readOnly": true, "type": "string", "format": "byte" }, "name": { "description": "Output only. The Artifact Registry resource name of the artifact.", "readOnly": true, "type": "string" }, "architecture": { "description": "Output only. Operating system architecture of the artifact.", "type": "string", "readOnly": true }, "packageName": { "description": "Output only. The Apt package name of the artifact.", "readOnly": true, "type": "string" } }, "id": "AptArtifact" }, "ImportYumArtifactsMetadata": { "type": "object", "properties": {}, "id": "ImportYumArtifactsMetadata", "description": "The operation metadata for importing artifacts." }, "UploadYumArtifactResponse": { "description": "The response of the completed artifact upload operation. This response is contained in the Operation and available to users.", "id": "UploadYumArtifactResponse", "properties": { "yumArtifacts": { "type": "array", "description": "The Apt artifacts updated.", "items": { "$ref": "YumArtifact" } } }, "type": "object" }, "Expr": { "properties": { "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." } }, "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object" }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "description": "Request message for `TestIamPermissions` method.", "type": "object" }, "ListTagsResponse": { "description": "The response from listing tags.", "id": "ListTagsResponse", "properties": { "tags": { "items": { "$ref": "Tag" }, "description": "The tags returned.", "type": "array" }, "nextPageToken": { "description": "The token to retrieve the next page of tags, or empty if there are no more tags to return.", "type": "string" } }, "type": "object" }, "ImportAptArtifactsRequest": { "description": "The request to import new apt artifacts.", "type": "object", "properties": { "gcsSource": { "$ref": "ImportAptArtifactsGcsSource", "description": "Google Cloud Storage location where input content is located." } }, "id": "ImportAptArtifactsRequest" }, "Policy": { "properties": { "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "bindings": { "type": "array", "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "version": { "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object" }, "ListNpmPackagesResponse": { "description": "The response from listing npm packages.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The token to retrieve the next page of artifacts, or empty if there are no more artifacts to return." }, "npmPackages": { "description": "The npm packages returned.", "type": "array", "items": { "$ref": "NpmPackage" } } }, "id": "ListNpmPackagesResponse" }, "NpmPackage": { "type": "object", "properties": { "packageName": { "description": "Package for the artifact.", "type": "string" }, "version": { "type": "string", "description": "Version of this package." }, "name": { "description": "Required. registry_location, project_id, repository_name and npm_package forms a unique package For example, \"projects/test-project/locations/us-west4/repositories/test-repo/npmPackages/ npm_test:1.0.0\", where \"us-west4\" is the registry_location, \"test-project\" is the project_id, \"test-repo\" is the repository_name and npm_test:1.0.0\" is the npm package.", "type": "string" }, "updateTime": { "format": "google-datetime", "description": "Output only. Time the package was updated.", "type": "string", "readOnly": true }, "tags": { "items": { "type": "string" }, "type": "array", "description": "Tags attached to this package." }, "createTime": { "description": "Output only. Time the package was created.", "format": "google-datetime", "readOnly": true, "type": "string" } }, "description": "NpmPackage represents an npm artifact.", "id": "NpmPackage" }, "Location": { "type": "object", "id": "Location", "properties": { "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" } }, "description": "A resource that represents Google Cloud Platform location." }, "ImportYumArtifactsRequest": { "type": "object", "properties": { "gcsSource": { "description": "Google Cloud Storage location where input content is located.", "$ref": "ImportYumArtifactsGcsSource" } }, "description": "The request to import new yum artifacts.", "id": "ImportYumArtifactsRequest" }, "Operation": { "properties": { "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "Operation" }, "ProjectSettings": { "type": "object", "id": "ProjectSettings", "properties": { "legacyRedirectionState": { "enumDescriptions": [ "No redirection status has been set.", "Redirection is disabled.", "Redirection is enabled.", "Redirection is enabled, and has been finalized so cannot be reverted." ], "description": "The redirection state of the legacy repositories in this project.", "type": "string", "enum": [ "REDIRECTION_STATE_UNSPECIFIED", "REDIRECTION_FROM_GCR_IO_DISABLED", "REDIRECTION_FROM_GCR_IO_ENABLED", "REDIRECTION_FROM_GCR_IO_FINALIZED" ] }, "name": { "description": "The name of the project's settings. Always of the form: projects/{project-id}/projectSettings In update request: never set In response: always set", "type": "string" } }, "description": "The Artifact Registry settings that apply to a Project." }, "ImportYumArtifactsErrorInfo": { "id": "ImportYumArtifactsErrorInfo", "properties": { "gcsSource": { "$ref": "ImportYumArtifactsGcsSource", "description": "Google Cloud Storage location requested." }, "error": { "description": "The detailed error status.", "$ref": "Status" } }, "type": "object", "description": "Error information explaining why a package was not imported." }, "BatchDeleteVersionsMetadata": { "properties": { "failedVersions": { "type": "array", "items": { "type": "string" }, "description": "The versions the operation failed to delete." } }, "description": "The metadata of an LRO from deleting multiple versions.", "type": "object", "id": "BatchDeleteVersionsMetadata" }, "UploadYumArtifactMetadata": { "description": "The operation metadata for uploading artifacts.", "id": "UploadYumArtifactMetadata", "properties": {}, "type": "object" }, "ListDockerImagesResponse": { "type": "object", "id": "ListDockerImagesResponse", "description": "The response from listing docker images.", "properties": { "nextPageToken": { "type": "string", "description": "The token to retrieve the next page of artifacts, or empty if there are no more artifacts to return." }, "dockerImages": { "type": "array", "description": "The docker images returned.", "items": { "$ref": "DockerImage" } } } }, "Repository": { "type": "object", "properties": { "mavenConfig": { "description": "Maven repository config contains repository level configuration for the repositories of maven type.", "$ref": "MavenRepositoryConfig" }, "description": { "type": "string", "description": "The user-provided description of the repository." }, "updateTime": { "description": "The time when the repository was last updated.", "type": "string", "format": "google-datetime" }, "format": { "description": "The format of packages that are stored in the repository.", "enumDescriptions": [ "Unspecified package format.", "Docker package format.", "Maven package format.", "NPM package format.", "APT package format.", "YUM package format.", "Python package format.", "Kubeflow Pipelines package format." ], "type": "string", "enum": [ "FORMAT_UNSPECIFIED", "DOCKER", "MAVEN", "NPM", "APT", "YUM", "PYTHON", "KFP" ] }, "sizeBytes": { "readOnly": true, "type": "string", "description": "Output only. The size, in bytes, of all artifact storage in this repository. Repositories that are generally available or in public preview use this to calculate storage costs.", "format": "int64" }, "name": { "description": "The name of the repository, for example: \"projects/p1/locations/us-central1/repositories/repo1\".", "type": "string" }, "kmsKeyName": { "type": "string", "description": "The Cloud KMS resource name of the customer managed encryption key that's used to encrypt the contents of the Repository. Has the form: `projects/my-project/locations/my-region/keyRings/my-kr/cryptoKeys/my-key`. This value may not be changed after the Repository has been created." }, "createTime": { "description": "The time when the repository was created.", "format": "google-datetime", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels with user-defined metadata. This field may contain up to 64 entries. Label keys and values may be no longer than 63 characters. Label keys must begin with a lowercase letter and may only contain lowercase letters, numeric characters, underscores, and dashes." } }, "description": "A Repository for storing artifacts with a specific format.", "id": "Repository" }, "ImportAptArtifactsResponse": { "description": "The response message from importing APT artifacts.", "type": "object", "properties": { "aptArtifacts": { "type": "array", "items": { "$ref": "AptArtifact" }, "description": "The Apt artifacts imported." }, "errors": { "description": "Detailed error info for packages that were not imported.", "items": { "$ref": "ImportAptArtifactsErrorInfo" }, "type": "array" } }, "id": "ImportAptArtifactsResponse" }, "UploadYumArtifactRequest": { "description": "The request to upload an artifact.", "type": "object", "properties": {}, "id": "UploadYumArtifactRequest" }, "ListRepositoriesResponse": { "id": "ListRepositoriesResponse", "properties": { "repositories": { "description": "The repositories returned.", "items": { "$ref": "Repository" }, "type": "array" }, "nextPageToken": { "description": "The token to retrieve the next page of repositories, or empty if there are no more repositories to return.", "type": "string" } }, "description": "The response from listing repositories.", "type": "object" }, "GoogleDevtoolsArtifactregistryV1File": { "description": "Files store content that is potentially associated with Packages or Versions.", "properties": { "hashes": { "description": "The hashes of the file content.", "items": { "$ref": "Hash" }, "type": "array" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The time when the File was last updated." }, "owner": { "type": "string", "description": "The name of the Package or Version that owns this file, if any." }, "sizeBytes": { "description": "The size of the File in bytes.", "type": "string", "format": "int64" }, "name": { "type": "string", "description": "The name of the file, for example: \"projects/p1/locations/us-central1/repositories/repo1/files/a%2Fb%2Fc.txt\". If the file ID part contains slashes, they are escaped." }, "createTime": { "description": "The time when the File was created.", "type": "string", "format": "google-datetime" } }, "type": "object", "id": "GoogleDevtoolsArtifactregistryV1File" }, "UploadAptArtifactResponse": { "id": "UploadAptArtifactResponse", "properties": { "aptArtifacts": { "description": "The Apt artifacts updated.", "items": { "$ref": "AptArtifact" }, "type": "array" } }, "description": "The response of the completed artifact upload operation. This response is contained in the Operation and available to users.", "type": "object" }, "UploadAptArtifactMetadata": { "type": "object", "id": "UploadAptArtifactMetadata", "description": "The operation metadata for uploading artifacts.", "properties": {} }, "ImportAptArtifactsErrorInfo": { "id": "ImportAptArtifactsErrorInfo", "type": "object", "properties": { "error": { "description": "The detailed error status.", "$ref": "Status" }, "gcsSource": { "description": "Google Cloud Storage location requested.", "$ref": "ImportAptArtifactsGcsSource" } }, "description": "Error information explaining why a package was not imported." }, "Version": { "description": "The body of a version resource. A version resource represents a collection of components, such as files and other data. This may correspond to a version in many package management schemes.", "type": "object", "properties": { "relatedTags": { "items": { "$ref": "Tag" }, "type": "array", "description": "Output only. A list of related tags. Will contain up to 100 tags that reference this version." }, "updateTime": { "format": "google-datetime", "description": "The time when the version was last updated.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the version, as specified in its metadata." }, "metadata": { "type": "object", "readOnly": true, "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Output only. Repository-specific Metadata stored against this version. The fields returned are defined by the underlying repository-specific resource. Currently, the only resource in use is DockerImage" }, "name": { "type": "string", "description": "The name of the version, for example: \"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/versions/art1\". If the package or version ID parts contain slashes, the slashes are escaped." }, "createTime": { "description": "The time when the version was created.", "type": "string", "format": "google-datetime" } }, "id": "Version" }, "ImportAptArtifactsMetadata": { "id": "ImportAptArtifactsMetadata", "properties": {}, "type": "object", "description": "The operation metadata for importing artifacts." }, "ListFilesResponse": { "type": "object", "description": "The response from listing files.", "properties": { "files": { "items": { "$ref": "GoogleDevtoolsArtifactregistryV1File" }, "description": "The files returned.", "type": "array" }, "nextPageToken": { "type": "string", "description": "The token to retrieve the next page of files, or empty if there are no more files to return." } }, "id": "ListFilesResponse" }, "Empty": { "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request.", "type": "array" } }, "id": "ListLocationsResponse" }, "ListPythonPackagesResponse": { "id": "ListPythonPackagesResponse", "description": "The response from listing python packages.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The token to retrieve the next page of artifacts, or empty if there are no more artifacts to return." }, "pythonPackages": { "items": { "$ref": "PythonPackage" }, "type": "array", "description": "The python packages returned." } } }, "UploadAptArtifactRequest": { "properties": {}, "description": "The request to upload an artifact.", "id": "UploadAptArtifactRequest", "type": "object" }, "Status": { "id": "Status", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "details": { "type": "array", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } } }, "ImportYumArtifactsResponse": { "id": "ImportYumArtifactsResponse", "properties": { "yumArtifacts": { "description": "The yum artifacts imported.", "type": "array", "items": { "$ref": "YumArtifact" } }, "errors": { "items": { "$ref": "ImportYumArtifactsErrorInfo" }, "type": "array", "description": "Detailed error info for packages that were not imported." } }, "description": "The response message from importing YUM artifacts.", "type": "object" }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "type": "object", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } } }, "YumArtifact": { "id": "YumArtifact", "type": "object", "properties": { "packageName": { "description": "Output only. The yum package name of the artifact.", "readOnly": true, "type": "string" }, "packageType": { "enumDescriptions": [ "Package type is not specified.", "Binary package (.rpm).", "Source package (.srpm)." ], "type": "string", "readOnly": true, "enum": [ "PACKAGE_TYPE_UNSPECIFIED", "BINARY", "SOURCE" ], "description": "Output only. An artifact is a binary or source package." }, "architecture": { "readOnly": true, "type": "string", "description": "Output only. Operating system architecture of the artifact." }, "name": { "type": "string", "description": "Output only. The Artifact Registry resource name of the artifact.", "readOnly": true } }, "description": "A detailed representation of a Yum artifact." }, "Tag": { "id": "Tag", "properties": { "version": { "description": "The name of the version the tag refers to, for example: \"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/versions/sha256:5243811\" If the package or version ID parts contain slashes, the slashes are escaped.", "type": "string" }, "name": { "description": "The name of the tag, for example: \"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/tags/tag1\". If the package part contains slashes, the slashes are escaped. The tag part can only have characters in [a-zA-Z0-9\\-._~:@], anything else must be URL encoded.", "type": "string" } }, "description": "Tags point to a version and represent an alternative name that can be used to access the version.", "type": "object" }, "OperationMetadata": { "type": "object", "id": "OperationMetadata", "properties": {}, "description": "Metadata type for longrunning-operations, currently empty." }, "ImportAptArtifactsGcsSource": { "id": "ImportAptArtifactsGcsSource", "description": "Google Cloud Storage location where the artifacts currently reside.", "type": "object", "properties": { "useWildcards": { "type": "boolean", "description": "Supports URI wildcards for matching multiple objects from a single URI." }, "uris": { "items": { "type": "string" }, "description": "Cloud Storage paths URI (e.g., gs://my_bucket//my_object).", "type": "array" } } }, "MavenArtifact": { "type": "object", "description": "MavenArtifact represents a maven artifact.", "properties": { "createTime": { "description": "Output only. Time the artifact was created.", "readOnly": true, "type": "string", "format": "google-datetime" }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. Time the artifact was updated.", "readOnly": true }, "groupId": { "type": "string", "description": "Group ID for the artifact. Example: com.google.guava" }, "artifactId": { "type": "string", "description": "Artifact ID for the artifact." }, "name": { "description": "Required. registry_location, project_id, repository_name and maven_artifact forms a unique artifact For example, \"projects/test-project/locations/us-west4/repositories/test-repo/mavenArtifacts/ com.google.guava:guava:31.0-jre\", where \"us-west4\" is the registry_location, \"test-project\" is the project_id, \"test-repo\" is the repository_name and \"com.google.guava:guava:31.0-jre\" is the maven artifact.", "type": "string" }, "version": { "description": "Version of this artifact.", "type": "string" }, "pomUri": { "description": "Required. URL to access the pom file of the artifact. Example: us-west4-maven.pkg.dev/test-project/test-repo/com/google/guava/guava/31.0/guava-31.0.pom", "type": "string" } }, "id": "MavenArtifact" }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "type": "object", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } }, "id": "SetIamPolicyRequest" }, "ListMavenArtifactsResponse": { "description": "The response from listing maven artifacts.", "properties": { "nextPageToken": { "type": "string", "description": "The token to retrieve the next page of artifacts, or empty if there are no more artifacts to return." }, "mavenArtifacts": { "description": "The maven artifacts returned.", "items": { "$ref": "MavenArtifact" }, "type": "array" } }, "id": "ListMavenArtifactsResponse", "type": "object" }, "Binding": { "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" }, "type": "array" } }, "id": "Binding", "type": "object", "description": "Associates `members`, or principals, with a `role`." }, "UploadAptArtifactMediaResponse": { "type": "object", "properties": { "operation": { "$ref": "Operation", "description": "Operation to be returned to the user." } }, "id": "UploadAptArtifactMediaResponse", "description": "The response to upload an artifact." }, "PythonPackage": { "description": "PythonPackage represents a python artifact.", "id": "PythonPackage", "properties": { "packageName": { "type": "string", "description": "Package for the artifact." }, "updateTime": { "type": "string", "description": "Output only. Time the package was updated.", "readOnly": true, "format": "google-datetime" }, "createTime": { "description": "Output only. Time the package was created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "name": { "type": "string", "description": "Required. registry_location, project_id, repository_name and python_package forms a unique package name:`projects//locations//repository//pythonPackages/`. For example, \"projects/test-project/locations/us-west4/repositories/test-repo/pythonPackages/ python_package:1.0.0\", where \"us-west4\" is the registry_location, \"test-project\" is the project_id, \"test-repo\" is the repository_name and python_package:1.0.0\" is the python package." }, "uri": { "description": "Required. URL to access the package. Example: us-west4-python.pkg.dev/test-project/test-repo/python_package/file-name-1.0.0.tar.gz", "type": "string" }, "version": { "type": "string", "description": "Version of this package." } }, "type": "object" }, "ListPackagesResponse": { "id": "ListPackagesResponse", "type": "object", "description": "The response from listing packages.", "properties": { "nextPageToken": { "description": "The token to retrieve the next page of packages, or empty if there are no more packages to return.", "type": "string" }, "packages": { "description": "The packages returned.", "items": { "$ref": "Package" }, "type": "array" } } }, "DockerImage": { "description": "DockerImage represents a docker artifact. The following fields are returned as untyped metadata in the Version resource, using camelcase keys (i.e. metadata.imageSizeBytes): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh imageSizeBytes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh mediaType LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh buildTime", "id": "DockerImage", "properties": { "mediaType": { "type": "string", "description": "Media type of this image, e.g. \"application/vnd.docker.distribution.manifest.v2+json\". This field is returned as the 'metadata.mediaType' field in the Version resource." }, "uri": { "description": "Required. URL to access the image. Example: us-west4-docker.pkg.dev/test-project/test-repo/nginx@sha256:e9954c1fc875017be1c3e36eca16be2d9e9bccc4bf072163515467d6a823c7cf", "type": "string" }, "name": { "type": "string", "description": "Required. registry_location, project_id, repository_name and image id forms a unique image name:`projects//locations//repository//dockerImages/`. For example, \"projects/test-project/locations/us-west4/repositories/test-repo/dockerImages/ nginx@sha256:e9954c1fc875017be1c3e36eca16be2d9e9bccc4bf072163515467d6a823c7cf\", where \"us-west4\" is the registry_location, \"test-project\" is the project_id, \"test-repo\" is the repository_name and \"nginx@sha256:e9954c1fc875017be1c3e36eca16be2d9e9bccc4bf072163515467d6a823c7cf\" is the image's digest." }, "uploadTime": { "description": "Time the image was uploaded.", "type": "string", "format": "google-datetime" }, "imageSizeBytes": { "format": "int64", "type": "string", "description": "Calculated size of the image. This field is returned as the 'metadata.imageSizeBytes' field in the Version resource." }, "buildTime": { "description": "The time this image was built. This field is returned as the 'metadata.buildTime' field in the Version resource. The build time is returned to the client as an RFC 3339 string, which can be easily used with the JavaScript Date constructor.", "type": "string", "format": "google-datetime" }, "tags": { "description": "Tags attached to this image.", "type": "array", "items": { "type": "string" } } }, "type": "object" }, "Hash": { "type": "object", "id": "Hash", "properties": { "value": { "format": "byte", "description": "The hash value.", "type": "string" }, "type": { "enum": [ "HASH_TYPE_UNSPECIFIED", "SHA256", "MD5" ], "enumDescriptions": [ "Unspecified.", "SHA256 hash.", "MD5 hash." ], "type": "string", "description": "The algorithm used to compute the hash value." } }, "description": "A hash of file content." }, "ListVersionsResponse": { "properties": { "versions": { "type": "array", "items": { "$ref": "Version" }, "description": "The versions returned." }, "nextPageToken": { "description": "The token to retrieve the next page of versions, or empty if there are no more versions to return.", "type": "string" } }, "description": "The response from listing versions.", "type": "object", "id": "ListVersionsResponse" }, "ImportYumArtifactsGcsSource": { "description": "Google Cloud Storage location where the artifacts currently reside.", "properties": { "useWildcards": { "type": "boolean", "description": "Supports URI wildcards for matching multiple objects from a single URI." }, "uris": { "type": "array", "description": "Cloud Storage paths URI (e.g., gs://my_bucket//my_object).", "items": { "type": "string" } } }, "id": "ImportYumArtifactsGcsSource", "type": "object" }, "UploadYumArtifactMediaResponse": { "id": "UploadYumArtifactMediaResponse", "type": "object", "properties": { "operation": { "description": "Operation to be returned to the user.", "$ref": "Operation" } }, "description": "The response to upload an artifact." }, "Package": { "id": "Package", "type": "object", "description": "Packages are named collections of versions.", "properties": { "displayName": { "description": "The display name of the package.", "type": "string" }, "createTime": { "format": "google-datetime", "description": "The time when the package was created.", "type": "string" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The time when the package was last updated. This includes publishing a new version of the package." }, "name": { "description": "The name of the package, for example: \"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1\". If the package ID part contains slashes, the slashes are escaped.", "type": "string" } } } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" } } } }, "version": "v1", "name": "artifactregistry", "batchPath": "batch", "discoveryVersion": "v1", "basePath": "", "canonicalName": "Artifact Registry", "protocol": "rest", "baseUrl": "https://artifactregistry.googleapis.com/", "mtlsRootUrl": "https://artifactregistry.mtls.googleapis.com/", "fullyEncodeReservedExpansion": true, "ownerName": "Google", "resources": { "projects": { "methods": { "getProjectSettings": { "response": { "$ref": "ProjectSettings" }, "id": "artifactregistry.projects.getProjectSettings", "flatPath": "v1/projects/{projectsId}/projectSettings", "description": "Retrieves the Settings for the Project.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1/{+name}", "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/projectSettings$", "location": "path", "description": "Required. The name of the projectSettings resource." } }, "httpMethod": "GET" }, "updateProjectSettings": { "path": "v1/{+name}", "request": { "$ref": "ProjectSettings" }, "description": "Updates the Settings for the Project.", "httpMethod": "PATCH", "parameterOrder": [ "name" ], "response": { "$ref": "ProjectSettings" }, "id": "artifactregistry.projects.updateProjectSettings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/projectSettings", "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Field mask to support partial updates.", "type": "string" }, "name": { "type": "string", "description": "The name of the project's settings. Always of the form: projects/{project-id}/projectSettings In update request: never set In response: always set", "required": true, "pattern": "^projects/[^/]+/projectSettings$", "location": "path" } } } }, "resources": { "locations": { "resources": { "repositories": { "methods": { "list": { "description": "Lists repositories.", "parameters": { "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous list request, if any.", "location": "query" }, "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The name of the parent resource whose repositories will be listed." }, "pageSize": { "format": "int32", "description": "The maximum number of repositories to return. Maximum page size is 1,000.", "type": "integer", "location": "query" } }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "artifactregistry.projects.locations.repositories.list", "path": "v1/{+parent}/repositories", "response": { "$ref": "ListRepositoriesResponse" }, "httpMethod": "GET" }, "patch": { "path": "v1/{+name}", "httpMethod": "PATCH", "request": { "$ref": "Repository" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates a repository.", "id": "artifactregistry.projects.locations.repositories.patch", "response": { "$ref": "Repository" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}", "parameters": { "updateMask": { "format": "google-fieldmask", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "type": "string", "location": "query" }, "name": { "type": "string", "description": "The name of the repository, for example: \"projects/p1/locations/us-central1/repositories/repo1\".", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "required": true } } }, "create": { "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/repositories", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories", "parameters": { "repositoryId": { "description": "The repository id to use for this repository.", "type": "string", "location": "query" }, "parent": { "type": "string", "required": true, "description": "Required. The name of the parent resource where the repository will be created.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "description": "Creates a repository. The returned Operation will finish once the repository has been created. Its response will be the created Repository.", "response": { "$ref": "Operation" }, "id": "artifactregistry.projects.locations.repositories.create", "request": { "$ref": "Repository" } }, "setIamPolicy": { "parameters": { "resource": { "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$" } }, "response": { "$ref": "Policy" }, "id": "artifactregistry.projects.locations.repositories.setIamPolicy", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy", "description": "Updates the IAM policy for a given resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "httpMethod": "POST" }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "description": "Gets the IAM policy for a given resource.", "parameters": { "options.requestedPolicyVersion": { "type": "integer", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query" }, "resource": { "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "type": "string" } }, "parameterOrder": [ "resource" ], "id": "artifactregistry.projects.locations.repositories.getIamPolicy", "response": { "$ref": "Policy" }, "path": "v1/{+resource}:getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}:getIamPolicy" }, "testIamPermissions": { "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" }, "id": "artifactregistry.projects.locations.repositories.testIamPermissions", "description": "Tests if the caller has a list of permissions on a resource.", "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}:testIamPermissions", "parameters": { "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1/{+resource}:testIamPermissions" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "Repository" }, "description": "Gets a repository.", "id": "artifactregistry.projects.locations.repositories.get", "parameters": { "name": { "description": "Required. The name of the repository to retrieve.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "type": "string", "required": true, "location": "path" } }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}" }, "delete": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "artifactregistry.projects.locations.repositories.delete", "description": "Deletes a repository and all of its contents. The returned Operation will finish once the repository has been deleted. It will not have any Operation metadata and will return a google.protobuf.Empty response.", "path": "v1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "type": "string", "description": "Required. The name of the repository to delete.", "required": true, "location": "path" } }, "httpMethod": "DELETE" } }, "resources": { "pythonPackages": { "methods": { "get": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Gets a python package.", "response": { "$ref": "PythonPackage" }, "httpMethod": "GET", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/pythonPackages/{pythonPackagesId}", "id": "artifactregistry.projects.locations.repositories.pythonPackages.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/pythonPackages/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. The name of the python package." } } }, "list": { "parameterOrder": [ "parent" ], "id": "artifactregistry.projects.locations.repositories.pythonPackages.list", "path": "v1/{+parent}/pythonPackages", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "parent": { "description": "Required. The name of the parent resource whose python packages will be listed.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "required": true, "location": "path", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request, if any." }, "pageSize": { "format": "int32", "location": "query", "description": "The maximum number of artifacts to return.", "type": "integer" } }, "description": "Lists python packages.", "response": { "$ref": "ListPythonPackagesResponse" }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/pythonPackages" } } }, "mavenArtifacts": { "methods": { "list": { "path": "v1/{+parent}/mavenArtifacts", "parameterOrder": [ "parent" ], "response": { "$ref": "ListMavenArtifactsResponse" }, "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "type": "string", "description": "Required. The name of the parent resource whose maven artifacts will be listed." }, "pageSize": { "format": "int32", "description": "The maximum number of artifacts to return.", "location": "query", "type": "integer" }, "pageToken": { "description": "The next_page_token value returned from a previous list request, if any.", "type": "string", "location": "query" } }, "description": "Lists maven artifacts.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/mavenArtifacts", "id": "artifactregistry.projects.locations.repositories.mavenArtifacts.list" }, "get": { "parameters": { "name": { "location": "path", "description": "Required. The name of the maven artifact.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/mavenArtifacts/[^/]+$", "type": "string", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/mavenArtifacts/{mavenArtifactsId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1/{+name}", "description": "Gets a maven artifact.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "artifactregistry.projects.locations.repositories.mavenArtifacts.get", "response": { "$ref": "MavenArtifact" } } } }, "files": { "methods": { "list": { "id": "artifactregistry.projects.locations.repositories.files.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Lists files.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/files", "response": { "$ref": "ListFilesResponse" }, "httpMethod": "GET", "parameters": { "pageSize": { "type": "integer", "description": "The maximum number of files to return.", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous list request, if any.", "location": "query" }, "filter": { "type": "string", "description": "An expression for filtering the results of the request. Filter rules are case insensitive. The fields eligible for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `owner` An example of using a filter: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name=\"projects/p1/locations/us-central1/repositories/repo1/files/a/b/*\"` --\u003e Files with an ID starting with \"a/b/\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `owner=\"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/versions/1.0\"` --\u003e Files owned by the version `1.0` in package `pkg1`.", "location": "query" }, "parent": { "location": "path", "description": "The name of the repository whose files will be listed. For example: \"projects/p1/locations/us-central1/repositories/repo1", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "type": "string", "required": true }, "orderBy": { "type": "string", "description": "The field to order the results by.", "location": "query" } }, "path": "v1/{+parent}/files", "parameterOrder": [ "parent" ] }, "get": { "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "The name of the file to retrieve.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/files/.*$" } }, "description": "Gets a file.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/files/{filesId}", "id": "artifactregistry.projects.locations.repositories.files.get", "path": "v1/{+name}", "response": { "$ref": "GoogleDevtoolsArtifactregistryV1File" } } } }, "packages": { "resources": { "tags": { "methods": { "get": { "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "Tag" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/tags/{tagsId}", "description": "Gets a tag.", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+/tags/[^/]+$", "location": "path", "type": "string", "description": "The name of the tag to retrieve." } }, "id": "artifactregistry.projects.locations.repositories.packages.tags.get", "httpMethod": "GET" }, "create": { "request": { "$ref": "Tag" }, "parameters": { "parent": { "description": "The name of the parent resource where the tag will be created.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+$", "type": "string" }, "tagId": { "location": "query", "description": "The tag id to use for this repository.", "type": "string" } }, "path": "v1/{+parent}/tags", "description": "Creates a tag.", "id": "artifactregistry.projects.locations.repositories.packages.tags.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Tag" }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/tags", "parameterOrder": [ "parent" ] }, "delete": { "description": "Deletes a tag.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+/tags/[^/]+$", "description": "The name of the tag to delete." } }, "path": "v1/{+name}", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/tags/{tagsId}", "httpMethod": "DELETE", "id": "artifactregistry.projects.locations.repositories.packages.tags.delete" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/tags", "path": "v1/{+parent}/tags", "response": { "$ref": "ListTagsResponse" }, "id": "artifactregistry.projects.locations.repositories.packages.tags.list", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+$", "location": "path", "type": "string", "description": "The name of the parent resource whose tags will be listed.", "required": true }, "filter": { "type": "string", "description": "An expression for filtering the results of the request. Filter rules are case insensitive. The fields eligible for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `version` An example of using a filter: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `version=\"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/versions/1.0\"` --\u003e Tags that are applied to the version `1.0` in package `pkg1`.", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of tags to return. Maximum page size is 10,000." }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request, if any." } }, "httpMethod": "GET", "description": "Lists tags.", "parameterOrder": [ "parent" ] }, "patch": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "id": "artifactregistry.projects.locations.repositories.packages.tags.patch", "description": "Updates a tag.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/tags/{tagsId}", "httpMethod": "PATCH", "request": { "$ref": "Tag" }, "parameters": { "updateMask": { "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "type": "string", "format": "google-fieldmask", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+/tags/[^/]+$", "required": true, "location": "path", "description": "The name of the tag, for example: \"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/tags/tag1\". If the package part contains slashes, the slashes are escaped. The tag part can only have characters in [a-zA-Z0-9\\-._~:@], anything else must be URL encoded.", "type": "string" } }, "response": { "$ref": "Tag" } } } }, "versions": { "methods": { "list": { "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Optional. The field to order the results by." }, "pageToken": { "description": "The next_page_token value returned from a previous list request, if any.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of versions to return. Maximum page size is 1,000.", "type": "integer" }, "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+$", "type": "string", "description": "The name of the parent resource whose versions will be listed." }, "view": { "enumDescriptions": [ "The default / unset value. The API will default to the BASIC view.", "Includes basic information about the version, but not any related tags.", "Include everything." ], "enum": [ "VERSION_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string", "description": "The view that should be returned in the response.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Lists versions.", "response": { "$ref": "ListVersionsResponse" }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/versions", "id": "artifactregistry.projects.locations.repositories.packages.versions.list", "path": "v1/{+parent}/versions" }, "get": { "parameterOrder": [ "name" ], "description": "Gets a version", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "name": { "type": "string", "description": "The name of the version to retrieve.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+/versions/[^/]+$", "required": true, "location": "path" }, "view": { "location": "query", "enum": [ "VERSION_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "description": "The view that should be returned in the response.", "enumDescriptions": [ "The default / unset value. The API will default to the BASIC view.", "Includes basic information about the version, but not any related tags.", "Include everything." ], "type": "string" } }, "response": { "$ref": "Version" }, "path": "v1/{+name}", "id": "artifactregistry.projects.locations.repositories.packages.versions.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/versions/{versionsId}", "httpMethod": "GET" }, "delete": { "description": "Deletes a version and all of its content. The returned operation will complete once the version has been deleted.", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/versions/{versionsId}", "parameters": { "force": { "description": "By default, a version that is tagged may not be deleted. If force=true, the version and any tags pointing to the version are deleted.", "type": "boolean", "location": "query" }, "name": { "type": "string", "description": "The name of the version to delete.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+/versions/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "DELETE", "id": "artifactregistry.projects.locations.repositories.packages.versions.delete" } } } }, "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "artifactregistry.projects.locations.repositories.packages.get", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}", "parameters": { "name": { "required": true, "description": "Required. The name of the package to retrieve.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+$", "location": "path" } }, "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Gets a package.", "response": { "$ref": "Package" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "required": true, "description": "Required. The name of the parent resource whose packages will be listed.", "location": "path" }, "pageToken": { "description": "The next_page_token value returned from a previous list request, if any.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of packages to return. Maximum page size is 1,000.", "location": "query" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages", "httpMethod": "GET", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/packages", "id": "artifactregistry.projects.locations.repositories.packages.list", "description": "Lists packages.", "response": { "$ref": "ListPackagesResponse" } }, "delete": { "id": "artifactregistry.projects.locations.repositories.packages.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}", "description": "Deletes a package and all of its versions and tags. The returned operation will complete once the package has been deleted.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "path": "v1/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. The name of the package to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+$" } }, "response": { "$ref": "Operation" } } } }, "aptArtifacts": { "methods": { "upload": { "response": { "$ref": "UploadAptArtifactMediaResponse" }, "id": "artifactregistry.projects.locations.repositories.aptArtifacts.upload", "parameterOrder": [ "parent" ], "request": { "$ref": "UploadAptArtifactRequest" }, "description": "Directly uploads an Apt artifact. The returned Operation will complete once the resources are uploaded. Package, Version, and File resources are created based on the imported artifact. Imported artifacts that conflict with existing resources are ignored.", "path": "v1/{+parent}/aptArtifacts:create", "mediaUpload": { "accept": [ "*/*" ], "protocols": { "simple": { "path": "/upload/v1/{+parent}/aptArtifacts:create", "multipart": true } } }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/aptArtifacts:create", "supportsMediaUpload": true, "parameters": { "parent": { "location": "path", "description": "The name of the parent resource where the artifacts will be uploaded.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "import": { "response": { "$ref": "Operation" }, "path": "v1/{+parent}/aptArtifacts:import", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/aptArtifacts:import", "httpMethod": "POST", "id": "artifactregistry.projects.locations.repositories.aptArtifacts.import", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "required": true, "description": "The name of the parent resource where the artifacts will be imported.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Imports Apt artifacts. The returned Operation will complete once the resources are imported. Package, Version, and File resources are created based on the imported artifacts. Imported artifacts that conflict with existing resources are ignored.", "request": { "$ref": "ImportAptArtifactsRequest" } } } }, "yumArtifacts": { "methods": { "import": { "response": { "$ref": "Operation" }, "id": "artifactregistry.projects.locations.repositories.yumArtifacts.import", "request": { "$ref": "ImportYumArtifactsRequest" }, "description": "Imports Yum (RPM) artifacts. The returned Operation will complete once the resources are imported. Package, Version, and File resources are created based on the imported artifacts. Imported artifacts that conflict with existing resources are ignored.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/yumArtifacts:import", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/yumArtifacts:import", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "required": true, "location": "path", "description": "The name of the parent resource where the artifacts will be imported." } } }, "upload": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "UploadYumArtifactMediaResponse" }, "supportsMediaUpload": true, "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "type": "string", "required": true, "description": "The name of the parent resource where the artifacts will be uploaded.", "location": "path" } }, "path": "v1/{+parent}/yumArtifacts:create", "request": { "$ref": "UploadYumArtifactRequest" }, "mediaUpload": { "protocols": { "simple": { "multipart": true, "path": "/upload/v1/{+parent}/yumArtifacts:create" } }, "accept": [ "*/*" ] }, "httpMethod": "POST", "description": "Directly uploads a Yum artifact. The returned Operation will complete once the resources are uploaded. Package, Version, and File resources are created based on the imported artifact. Imported artifacts that conflict with existing resources are ignored.", "id": "artifactregistry.projects.locations.repositories.yumArtifacts.upload", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/yumArtifacts:create" } } }, "npmPackages": { "methods": { "get": { "parameters": { "name": { "location": "path", "description": "Required. The name of the npm package.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/npmPackages/[^/]+$", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/npmPackages/{npmPackagesId}", "parameterOrder": [ "name" ], "response": { "$ref": "NpmPackage" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Gets a npm package.", "path": "v1/{+name}", "id": "artifactregistry.projects.locations.repositories.npmPackages.get", "httpMethod": "GET" }, "list": { "response": { "$ref": "ListNpmPackagesResponse" }, "parameters": { "parent": { "required": true, "type": "string", "description": "Required. The name of the parent resource whose npm packages will be listed.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous list request, if any." }, "pageSize": { "description": "The maximum number of artifacts to return.", "location": "query", "format": "int32", "type": "integer" } }, "path": "v1/{+parent}/npmPackages", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/npmPackages", "description": "Lists npm packages.", "id": "artifactregistry.projects.locations.repositories.npmPackages.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET" } } }, "dockerImages": { "methods": { "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/dockerImages/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The name of the docker images." } }, "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/dockerImages/{dockerImagesId}", "description": "Gets a docker image.", "response": { "$ref": "DockerImage" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "artifactregistry.projects.locations.repositories.dockerImages.get", "path": "v1/{+name}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "parent" ], "description": "Lists docker images.", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "location": "path", "description": "Required. The name of the parent resource whose docker images will be listed.", "required": true, "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of artifacts to return.", "location": "query" }, "pageToken": { "description": "The next_page_token value returned from a previous list request, if any.", "location": "query", "type": "string" } }, "id": "artifactregistry.projects.locations.repositories.dockerImages.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/dockerImages", "response": { "$ref": "ListDockerImagesResponse" }, "path": "v1/{+parent}/dockerImages", "httpMethod": "GET" } } } } }, "operations": { "methods": { "get": { "id": "artifactregistry.projects.locations.operations.get", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource." } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service." } } } }, "methods": { "list": { "parameters": { "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query", "type": "string" }, "name": { "type": "string", "pattern": "^projects/[^/]+$", "location": "path", "description": "The resource that owns the locations collection, if applicable.", "required": true }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "type": "integer", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." } }, "description": "Lists information about the supported locations for this service.", "id": "artifactregistry.projects.locations.list", "path": "v1/{+name}/locations", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "ListLocationsResponse" }, "flatPath": "v1/projects/{projectsId}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ] }, "get": { "description": "Gets information about a location.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "id": "artifactregistry.projects.locations.get", "response": { "$ref": "Location" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Resource name for the location." } } } } } } } }, "kind": "discovery#restDescription", "title": "Artifact Registry API" }
]===]))
