local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "title": "Artifact Registry API", "ownerName": "Google", "id": "artifactregistry:v1beta2", "version": "v1beta2", "parameters": { "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "alt": { "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "default": "json", "location": "query" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." } }, "rootUrl": "https://artifactregistry.googleapis.com/", "description": "Store and manage build artifacts in a scalable and integrated service built on Google infrastructure.", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "ownerDomain": "google.com", "discoveryVersion": "v1", "servicePath": "", "mtlsRootUrl": "https://artifactregistry.mtls.googleapis.com/", "protocol": "rest", "baseUrl": "https://artifactregistry.googleapis.com/", "documentationLink": "https://cloud.google.com/artifacts/docs/", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}", "id": "artifactregistry.projects.locations.get", "path": "v1beta2/{+name}", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location." } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "Location" }, "description": "Gets information about a location." }, "list": { "response": { "$ref": "ListLocationsResponse" }, "httpMethod": "GET", "description": "Lists information about the supported locations for this service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1beta2/{+name}/locations", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "name": { "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$", "location": "path", "required": true, "type": "string" }, "filter": { "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32" } }, "id": "artifactregistry.projects.locations.list", "parameterOrder": [ "name" ], "flatPath": "v1beta2/projects/{projectsId}/locations" } }, "resources": { "repositories": { "methods": { "setIamPolicy": { "path": "v1beta2/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the IAM policy for a given resource.", "httpMethod": "POST", "parameterOrder": [ "resource" ], "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}:setIamPolicy", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "required": true, "type": "string" } }, "response": { "$ref": "Policy" }, "id": "artifactregistry.projects.locations.repositories.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" } }, "testIamPermissions": { "httpMethod": "POST", "description": "Tests if the caller has a list of permissions on a resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "required": true } }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "path": "v1beta2/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "id": "artifactregistry.projects.locations.repositories.testIamPermissions" }, "patch": { "id": "artifactregistry.projects.locations.repositories.patch", "request": { "$ref": "Repository" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "path": "v1beta2/{+name}", "parameters": { "updateMask": { "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "location": "query", "format": "google-fieldmask", "type": "string" }, "name": { "type": "string", "description": "The name of the repository, for example: \"projects/p1/locations/us-central1/repositories/repo1\".", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}", "description": "Updates a repository.", "response": { "$ref": "Repository" } }, "create": { "id": "artifactregistry.projects.locations.repositories.create", "parameterOrder": [ "parent" ], "request": { "$ref": "Repository" }, "httpMethod": "POST", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta2/{+parent}/repositories", "description": "Creates a repository. The returned Operation will finish once the repository has been created. Its response will be the created Repository.", "parameters": { "repositoryId": { "location": "query", "description": "The repository id to use for this repository.", "type": "string" }, "parent": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The name of the parent resource where the repository will be created." } }, "response": { "$ref": "Operation" } }, "delete": { "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "description": "Deletes a repository and all of its contents. The returned Operation will finish once the repository has been deleted. It will not have any Operation metadata and will return a google.protobuf.Empty response.", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}", "httpMethod": "DELETE", "id": "artifactregistry.projects.locations.repositories.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "Required. The name of the repository to delete.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "location": "path" } }, "path": "v1beta2/{+name}" }, "list": { "response": { "$ref": "ListRepositoriesResponse" }, "httpMethod": "GET", "path": "v1beta2/{+parent}/repositories", "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of repositories to return. Maximum page size is 1,000." }, "parent": { "required": true, "location": "path", "type": "string", "description": "Required. The name of the parent resource whose repositories will be listed.", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageToken": { "description": "The next_page_token value returned from a previous list request, if any.", "location": "query", "type": "string" } }, "id": "artifactregistry.projects.locations.repositories.list", "description": "Lists repositories.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories" }, "getIamPolicy": { "path": "v1beta2/{+resource}:getIamPolicy", "id": "artifactregistry.projects.locations.repositories.getIamPolicy", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Gets the IAM policy for a given resource.", "response": { "$ref": "Policy" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "resource" ] }, "get": { "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "type": "string", "description": "Required. The name of the repository to retrieve.", "required": true } }, "httpMethod": "GET", "response": { "$ref": "Repository" }, "parameterOrder": [ "name" ], "path": "v1beta2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}", "description": "Gets a repository.", "id": "artifactregistry.projects.locations.repositories.get" } }, "resources": { "files": { "methods": { "list": { "httpMethod": "GET", "response": { "$ref": "ListFilesResponse" }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/files", "id": "artifactregistry.projects.locations.repositories.files.list", "path": "v1beta2/{+parent}/files", "description": "Lists files.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "parent" ], "parameters": { "filter": { "location": "query", "description": "An expression for filtering the results of the request. Filter rules are case insensitive. The fields eligible for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `owner` An example of using a filter: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name=\"projects/p1/locations/us-central1/repositories/repo1/files/a/b/*\"` --\u003e Files with an ID starting with \"a/b/\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `owner=\"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/versions/1.0\"` --\u003e Files owned by the version `1.0` in package `pkg1`.", "type": "string" }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "location": "path", "type": "string", "description": "The name of the repository whose files will be listed. For example: \"projects/p1/locations/us-central1/repositories/repo1" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of files to return." }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request, if any." } } }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v1beta2/{+name}", "id": "artifactregistry.projects.locations.repositories.files.get", "description": "Gets a file.", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/files/{filesId}", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/files/.*$", "required": true, "description": "The name of the file to retrieve." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "GoogleDevtoolsArtifactregistryV1beta2File" } } } }, "packages": { "methods": { "delete": { "parameters": { "name": { "required": true, "type": "string", "description": "Required. The name of the package to delete.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+$" } }, "response": { "$ref": "Operation" }, "path": "v1beta2/{+name}", "description": "Deletes a package and all of its versions and tags. The returned operation will complete once the package has been deleted.", "id": "artifactregistry.projects.locations.repositories.packages.delete", "parameterOrder": [ "name" ], "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameterOrder": [ "parent" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "ListPackagesResponse" }, "id": "artifactregistry.projects.locations.repositories.packages.list", "path": "v1beta2/{+parent}/packages", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages", "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. The name of the parent resource whose packages will be listed.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request, if any." }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of packages to return. Maximum page size is 1,000.", "location": "query" } }, "description": "Lists packages." }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v1beta2/{+name}", "httpMethod": "GET", "id": "artifactregistry.projects.locations.repositories.packages.get", "parameterOrder": [ "name" ], "description": "Gets a package.", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}", "response": { "$ref": "Package" }, "parameters": { "name": { "type": "string", "description": "Required. The name of the package to retrieve.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+$" } } } }, "resources": { "versions": { "methods": { "get": { "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/versions/{versionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "description": "Gets a version", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+/versions/[^/]+$", "description": "The name of the version to retrieve." }, "view": { "enumDescriptions": [ "The default / unset value. The API will default to the BASIC view.", "Includes basic information about the version, but not any related tags.", "Include everything." ], "description": "The view that should be returned in the response.", "location": "query", "enum": [ "VERSION_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string" } }, "response": { "$ref": "Version" }, "parameterOrder": [ "name" ], "id": "artifactregistry.projects.locations.repositories.packages.versions.get", "path": "v1beta2/{+name}" }, "delete": { "parameterOrder": [ "name" ], "path": "v1beta2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/versions/{versionsId}", "id": "artifactregistry.projects.locations.repositories.packages.versions.delete", "parameters": { "name": { "description": "The name of the version to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+/versions/[^/]+$", "required": true, "type": "string", "location": "path" }, "force": { "description": "By default, a version that is tagged may not be deleted. If force=true, the version and any tags pointing to the version are deleted.", "type": "boolean", "location": "query" } }, "httpMethod": "DELETE", "description": "Deletes a version and all of its content. The returned operation will complete once the version has been deleted." }, "list": { "id": "artifactregistry.projects.locations.repositories.packages.versions.list", "path": "v1beta2/{+parent}/versions", "parameterOrder": [ "parent" ], "response": { "$ref": "ListVersionsResponse" }, "description": "Lists versions.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "view": { "enum": [ "VERSION_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "description": "The view that should be returned in the response.", "enumDescriptions": [ "The default / unset value. The API will default to the BASIC view.", "Includes basic information about the version, but not any related tags.", "Include everything." ], "location": "query", "type": "string" }, "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous list request, if any.", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Optional. The field to order the results by." }, "pageSize": { "type": "integer", "description": "The maximum number of versions to return. Maximum page size is 1,000.", "location": "query", "format": "int32" }, "parent": { "description": "The name of the parent resource whose versions will be listed.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+$", "type": "string" } }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/versions", "httpMethod": "GET" } } }, "tags": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "path": "v1beta2/{+parent}/tags", "description": "Lists tags.", "parameters": { "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous list request, if any.", "type": "string" }, "pageSize": { "description": "The maximum number of tags to return. Maximum page size is 10,000.", "type": "integer", "location": "query", "format": "int32" }, "parent": { "required": true, "type": "string", "description": "The name of the parent resource whose tags will be listed.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+$" }, "filter": { "type": "string", "description": "An expression for filtering the results of the request. Filter rules are case insensitive. The fields eligible for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `version` An example of using a filter: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `version=\"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/versions/1.0\"` --\u003e Tags that are applied to the version `1.0` in package `pkg1`.", "location": "query" } }, "id": "artifactregistry.projects.locations.repositories.packages.tags.list", "response": { "$ref": "ListTagsResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/tags" }, "create": { "path": "v1beta2/{+parent}/tags", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/tags", "description": "Creates a tag.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Tag" }, "id": "artifactregistry.projects.locations.repositories.packages.tags.create", "httpMethod": "POST", "request": { "$ref": "Tag" }, "parameterOrder": [ "parent" ], "parameters": { "tagId": { "description": "The tag id to use for this repository.", "type": "string", "location": "query" }, "parent": { "location": "path", "required": true, "description": "The name of the parent resource where the tag will be created.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+$", "type": "string" } } }, "patch": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "id": "artifactregistry.projects.locations.repositories.packages.tags.patch", "description": "Updates a tag.", "response": { "$ref": "Tag" }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/tags/{tagsId}", "parameters": { "updateMask": { "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "type": "string", "location": "query", "format": "google-fieldmask" }, "name": { "location": "path", "description": "The name of the tag, for example: \"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/tags/tag1\". If the package part contains slashes, the slashes are escaped. The tag part can only have characters in [a-zA-Z0-9\\-._~:@], anything else must be URL encoded.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+/tags/[^/]+$", "type": "string", "required": true } }, "request": { "$ref": "Tag" }, "path": "v1beta2/{+name}" }, "get": { "parameters": { "name": { "description": "The name of the tag to retrieve.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+/tags/[^/]+$" } }, "response": { "$ref": "Tag" }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/tags/{tagsId}", "path": "v1beta2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "artifactregistry.projects.locations.repositories.packages.tags.get", "description": "Gets a tag." }, "delete": { "response": { "$ref": "Empty" }, "id": "artifactregistry.projects.locations.repositories.packages.tags.delete", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+/packages/[^/]+/tags/[^/]+$", "location": "path", "description": "The name of the tag to delete." } }, "description": "Deletes a tag.", "path": "v1beta2/{+name}", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/packages/{packagesId}/tags/{tagsId}" } } } } }, "yumArtifacts": { "methods": { "upload": { "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/yumArtifacts:create", "supportsMediaUpload": true, "response": { "$ref": "UploadYumArtifactMediaResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "id": "artifactregistry.projects.locations.repositories.yumArtifacts.upload", "request": { "$ref": "UploadYumArtifactRequest" }, "description": "Directly uploads a Yum artifact. The returned Operation will complete once the resources are uploaded. Package, Version, and File resources are created based on the imported artifact. Imported artifacts that conflict with existing resources are ignored.", "mediaUpload": { "protocols": { "simple": { "path": "/upload/v1beta2/{+parent}/yumArtifacts:create", "multipart": true } }, "accept": [ "*/*" ] }, "httpMethod": "POST", "path": "v1beta2/{+parent}/yumArtifacts:create", "parameters": { "parent": { "description": "The name of the parent resource where the artifacts will be uploaded.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$" } } }, "import": { "httpMethod": "POST", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/yumArtifacts:import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "description": "The name of the parent resource where the artifacts will be imported.", "required": true, "location": "path", "type": "string" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "id": "artifactregistry.projects.locations.repositories.yumArtifacts.import", "description": "Imports Yum (RPM) artifacts. The returned Operation will complete once the resources are imported. Package, Version, and File resources are created based on the imported artifacts. Imported artifacts that conflict with existing resources are ignored.", "path": "v1beta2/{+parent}/yumArtifacts:import", "request": { "$ref": "ImportYumArtifactsRequest" } } } }, "aptArtifacts": { "methods": { "upload": { "request": { "$ref": "UploadAptArtifactRequest" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "location": "path", "required": true, "description": "The name of the parent resource where the artifacts will be uploaded.", "type": "string" } }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/aptArtifacts:create", "httpMethod": "POST", "parameterOrder": [ "parent" ], "id": "artifactregistry.projects.locations.repositories.aptArtifacts.upload", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "mediaUpload": { "accept": [ "*/*" ], "protocols": { "simple": { "path": "/upload/v1beta2/{+parent}/aptArtifacts:create", "multipart": true } } }, "supportsMediaUpload": true, "path": "v1beta2/{+parent}/aptArtifacts:create", "description": "Directly uploads an Apt artifact. The returned Operation will complete once the resources are uploaded. Package, Version, and File resources are created based on the imported artifact. Imported artifacts that conflict with existing resources are ignored.", "response": { "$ref": "UploadAptArtifactMediaResponse" } }, "import": { "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta2/{+parent}/aptArtifacts:import", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/repositories/{repositoriesId}/aptArtifacts:import", "description": "Imports Apt artifacts. The returned Operation will complete once the resources are imported. Package, Version, and File resources are created based on the imported artifacts. Imported artifacts that conflict with existing resources are ignored.", "response": { "$ref": "Operation" }, "id": "artifactregistry.projects.locations.repositories.aptArtifacts.import", "parameters": { "parent": { "required": true, "description": "The name of the parent resource where the artifacts will be imported.", "pattern": "^projects/[^/]+/locations/[^/]+/repositories/[^/]+$", "location": "path", "type": "string" } }, "request": { "$ref": "ImportAptArtifactsRequest" } } } } } }, "operations": { "methods": { "get": { "parameters": { "name": { "description": "The name of the operation resource.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string" } }, "path": "v1beta2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "artifactregistry.projects.locations.operations.get", "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "httpMethod": "GET", "response": { "$ref": "Operation" } } } } } } }, "methods": { "getProjectSettings": { "response": { "$ref": "ProjectSettings" }, "description": "Retrieves the Settings for the Project.", "parameterOrder": [ "name" ], "id": "artifactregistry.projects.getProjectSettings", "flatPath": "v1beta2/projects/{projectsId}/projectSettings", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/projectSettings$", "type": "string", "description": "Required. The name of the projectSettings resource.", "location": "path" } }, "httpMethod": "GET", "path": "v1beta2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ] }, "updateProjectSettings": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta2/projects/{projectsId}/projectSettings", "path": "v1beta2/{+name}", "response": { "$ref": "ProjectSettings" }, "id": "artifactregistry.projects.updateProjectSettings", "description": "Updates the Settings for the Project.", "httpMethod": "PATCH", "request": { "$ref": "ProjectSettings" }, "parameters": { "name": { "pattern": "^projects/[^/]+/projectSettings$", "type": "string", "description": "The name of the project's settings. Always of the form: projects/{project-id}/projectSettings In update request: never set In response: always set", "location": "path", "required": true }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Field mask to support partial updates.", "location": "query" } } } } } }, "schemas": { "ImportAptArtifactsGcsSource": { "type": "object", "description": "Google Cloud Storage location where the artifacts currently reside.", "id": "ImportAptArtifactsGcsSource", "properties": { "useWildcards": { "description": "Supports URI wildcards for matching multiple objects from a single URI.", "type": "boolean" }, "uris": { "items": { "type": "string" }, "description": "Cloud Storage paths URI (e.g., gs://my_bucket//my_object).", "type": "array" } } }, "ImportAptArtifactsResponse": { "type": "object", "properties": { "aptArtifacts": { "items": { "$ref": "AptArtifact" }, "type": "array", "description": "The Apt artifacts imported." }, "errors": { "items": { "$ref": "ImportAptArtifactsErrorInfo" }, "description": "Detailed error info for packages that were not imported.", "type": "array" } }, "description": "The response message from importing APT artifacts.", "id": "ImportAptArtifactsResponse" }, "YumArtifact": { "description": "A detailed representation of a Yum artifact.", "type": "object", "id": "YumArtifact", "properties": { "name": { "readOnly": true, "type": "string", "description": "Output only. The Artifact Registry resource name of the artifact." }, "architecture": { "type": "string", "readOnly": true, "description": "Output only. Operating system architecture of the artifact." }, "packageType": { "enumDescriptions": [ "Package type is not specified.", "Binary package (.rpm).", "Source package (.srpm)." ], "description": "Output only. An artifact is a binary or source package.", "readOnly": true, "enum": [ "PACKAGE_TYPE_UNSPECIFIED", "BINARY", "SOURCE" ], "type": "string" }, "packageName": { "description": "Output only. The yum package name of the artifact.", "readOnly": true, "type": "string" } } }, "UploadYumArtifactMetadata": { "description": "The operation metadata for uploading artifacts.", "properties": {}, "id": "UploadYumArtifactMetadata", "type": "object" }, "Empty": { "id": "Empty", "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "Tag": { "properties": { "version": { "description": "The name of the version the tag refers to, for example: \"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/versions/sha256:5243811\" If the package or version ID parts contain slashes, the slashes are escaped.", "type": "string" }, "name": { "type": "string", "description": "The name of the tag, for example: \"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/tags/tag1\". If the package part contains slashes, the slashes are escaped. The tag part can only have characters in [a-zA-Z0-9\\-._~:@], anything else must be URL encoded." } }, "id": "Tag", "type": "object", "description": "Tags point to a version and represent an alternative name that can be used to access the version." }, "TestIamPermissionsRequest": { "type": "object", "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array", "items": { "type": "string" } } } }, "SetIamPolicyRequest": { "type": "object", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } }, "description": "Request message for `SetIamPolicy` method.", "id": "SetIamPolicyRequest" }, "ListFilesResponse": { "properties": { "files": { "items": { "$ref": "GoogleDevtoolsArtifactregistryV1beta2File" }, "description": "The files returned.", "type": "array" }, "nextPageToken": { "type": "string", "description": "The token to retrieve the next page of files, or empty if there are no more files to return." } }, "id": "ListFilesResponse", "type": "object", "description": "The response from listing files." }, "MavenRepositoryConfig": { "id": "MavenRepositoryConfig", "description": "MavenRepositoryConfig is maven related repository details. Provides additional configuration details for repositories of the maven format type.", "type": "object", "properties": { "versionPolicy": { "description": "Version policy defines the versions that the registry will accept.", "enum": [ "VERSION_POLICY_UNSPECIFIED", "RELEASE", "SNAPSHOT" ], "type": "string", "enumDescriptions": [ "VERSION_POLICY_UNSPECIFIED - the version policy is not defined. When the version policy is not defined, no validation is performed for the versions.", "RELEASE - repository will accept only Release versions.", "SNAPSHOT - repository will accept only Snapshot versions." ] }, "allowSnapshotOverwrites": { "type": "boolean", "description": "The repository with this flag will allow publishing the same snapshot versions." } } }, "UploadAptArtifactMetadata": { "id": "UploadAptArtifactMetadata", "type": "object", "properties": {}, "description": "The operation metadata for uploading artifacts." }, "ImportYumArtifactsRequest": { "description": "The request to import new yum artifacts.", "type": "object", "id": "ImportYumArtifactsRequest", "properties": { "gcsSource": { "description": "Google Cloud Storage location where input content is located.", "$ref": "ImportYumArtifactsGcsSource" } } }, "UploadAptArtifactResponse": { "id": "UploadAptArtifactResponse", "properties": { "aptArtifacts": { "type": "array", "description": "The Apt artifacts updated.", "items": { "$ref": "AptArtifact" } } }, "type": "object", "description": "The response of the completed artifact upload operation. This response is contained in the Operation and available to users." }, "OperationMetadata": { "description": "Metadata type for longrunning-operations, currently empty.", "properties": {}, "id": "OperationMetadata", "type": "object" }, "UploadAptArtifactRequest": { "description": "The request to upload an artifact.", "properties": {}, "id": "UploadAptArtifactRequest", "type": "object" }, "ListLocationsResponse": { "type": "object", "id": "ListLocationsResponse", "properties": { "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "description": "The response message for Locations.ListLocations." }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } }, "type": "object" }, "ImportYumArtifactsErrorInfo": { "properties": { "gcsSource": { "description": "Google Cloud Storage location requested.", "$ref": "ImportYumArtifactsGcsSource" }, "error": { "description": "The detailed error status.", "$ref": "Status" } }, "type": "object", "description": "Error information explaining why a package was not imported.", "id": "ImportYumArtifactsErrorInfo" }, "GoogleDevtoolsArtifactregistryV1beta2File": { "properties": { "createTime": { "description": "The time when the File was created.", "format": "google-datetime", "type": "string" }, "hashes": { "items": { "$ref": "Hash" }, "type": "array", "description": "The hashes of the file content." }, "updateTime": { "description": "The time when the File was last updated.", "type": "string", "format": "google-datetime" }, "name": { "type": "string", "description": "The name of the file, for example: \"projects/p1/locations/us-central1/repositories/repo1/files/a%2Fb%2Fc.txt\". If the file ID part contains slashes, they are escaped." }, "owner": { "type": "string", "description": "The name of the Package or Version that owns this file, if any." }, "sizeBytes": { "description": "The size of the File in bytes.", "type": "string", "format": "int64" } }, "type": "object", "description": "Files store content that is potentially associated with Packages or Versions.", "id": "GoogleDevtoolsArtifactregistryV1beta2File" }, "ImportAptArtifactsMetadata": { "type": "object", "id": "ImportAptArtifactsMetadata", "description": "The operation metadata for importing artifacts.", "properties": {} }, "Status": { "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "type": "object", "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "Hash": { "id": "Hash", "type": "object", "description": "A hash of file content.", "properties": { "type": { "type": "string", "enumDescriptions": [ "Unspecified.", "SHA256 hash.", "MD5 hash." ], "description": "The algorithm used to compute the hash value.", "enum": [ "HASH_TYPE_UNSPECIFIED", "SHA256", "MD5" ] }, "value": { "format": "byte", "description": "The hash value.", "type": "string" } } }, "ImportAptArtifactsErrorInfo": { "properties": { "error": { "$ref": "Status", "description": "The detailed error status." }, "gcsSource": { "$ref": "ImportAptArtifactsGcsSource", "description": "Google Cloud Storage location requested." } }, "id": "ImportAptArtifactsErrorInfo", "type": "object", "description": "Error information explaining why a package was not imported." }, "UploadYumArtifactResponse": { "properties": { "yumArtifacts": { "type": "array", "description": "The Apt artifacts updated.", "items": { "$ref": "YumArtifact" } } }, "description": "The response of the completed artifact upload operation. This response is contained in the Operation and available to users.", "id": "UploadYumArtifactResponse", "type": "object" }, "UploadYumArtifactRequest": { "id": "UploadYumArtifactRequest", "description": "The request to upload an artifact.", "properties": {}, "type": "object" }, "ListPackagesResponse": { "description": "The response from listing packages.", "id": "ListPackagesResponse", "properties": { "packages": { "items": { "$ref": "Package" }, "type": "array", "description": "The packages returned." }, "nextPageToken": { "type": "string", "description": "The token to retrieve the next page of packages, or empty if there are no more packages to return." } }, "type": "object" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "properties": { "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given location." }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object", "additionalProperties": { "type": "string" } }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." } }, "id": "Location", "type": "object" }, "Package": { "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "The time when the package was created." }, "displayName": { "type": "string", "description": "The display name of the package." }, "updateTime": { "format": "google-datetime", "description": "The time when the package was last updated. This includes publishing a new version of the package.", "type": "string" }, "name": { "description": "The name of the package, for example: \"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1\". If the package ID part contains slashes, the slashes are escaped.", "type": "string" } }, "type": "object", "id": "Package", "description": "Packages are named collections of versions." }, "ImportYumArtifactsMetadata": { "properties": {}, "type": "object", "id": "ImportYumArtifactsMetadata", "description": "The operation metadata for importing artifacts." }, "Version": { "type": "object", "id": "Version", "description": "The body of a version resource. A version resource represents a collection of components, such as files and other data. This may correspond to a version in many package management schemes.", "properties": { "description": { "type": "string", "description": "Optional. Description of the version, as specified in its metadata." }, "relatedTags": { "description": "Output only. A list of related tags. Will contain up to 100 tags that reference this version.", "items": { "$ref": "Tag" }, "type": "array" }, "name": { "type": "string", "description": "The name of the version, for example: \"projects/p1/locations/us-central1/repositories/repo1/packages/pkg1/versions/art1\". If the package or version ID parts contain slashes, the slashes are escaped." }, "updateTime": { "description": "The time when the version was last updated.", "type": "string", "format": "google-datetime" }, "createTime": { "type": "string", "description": "The time when the version was created.", "format": "google-datetime" }, "metadata": { "description": "Output only. Repository-specific Metadata stored against this version. The fields returned are defined by the underlying repository-specific resource. Currently, the only resource in use is DockerImage", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "readOnly": true } } }, "ListTagsResponse": { "description": "The response from listing tags.", "type": "object", "properties": { "nextPageToken": { "description": "The token to retrieve the next page of tags, or empty if there are no more tags to return.", "type": "string" }, "tags": { "type": "array", "items": { "$ref": "Tag" }, "description": "The tags returned." } }, "id": "ListTagsResponse" }, "ImportYumArtifactsGcsSource": { "id": "ImportYumArtifactsGcsSource", "description": "Google Cloud Storage location where the artifacts currently reside.", "type": "object", "properties": { "useWildcards": { "description": "Supports URI wildcards for matching multiple objects from a single URI.", "type": "boolean" }, "uris": { "description": "Cloud Storage paths URI (e.g., gs://my_bucket//my_object).", "items": { "type": "string" }, "type": "array" } } }, "ImportAptArtifactsRequest": { "description": "The request to import new apt artifacts.", "type": "object", "id": "ImportAptArtifactsRequest", "properties": { "gcsSource": { "$ref": "ImportAptArtifactsGcsSource", "description": "Google Cloud Storage location where input content is located." } } }, "UploadAptArtifactMediaResponse": { "type": "object", "properties": { "operation": { "$ref": "Operation", "description": "Operation to be returned to the user." } }, "id": "UploadAptArtifactMediaResponse", "description": "The response to upload an artifact." }, "ProjectSettings": { "type": "object", "properties": { "name": { "type": "string", "description": "The name of the project's settings. Always of the form: projects/{project-id}/projectSettings In update request: never set In response: always set" }, "legacyRedirectionState": { "type": "string", "enum": [ "REDIRECTION_STATE_UNSPECIFIED", "REDIRECTION_FROM_GCR_IO_DISABLED", "REDIRECTION_FROM_GCR_IO_ENABLED", "REDIRECTION_FROM_GCR_IO_FINALIZED" ], "enumDescriptions": [ "No redirection status has been set.", "Redirection is disabled.", "Redirection is enabled.", "Redirection is enabled, and has been finalized so cannot be reverted." ], "description": "The redirection state of the legacy repositories in this project." } }, "id": "ProjectSettings", "description": "The Artifact Registry settings that apply to a Project." }, "Operation": { "properties": { "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." } }, "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation" }, "ImportYumArtifactsResponse": { "type": "object", "properties": { "yumArtifacts": { "items": { "$ref": "YumArtifact" }, "type": "array", "description": "The yum artifacts imported." }, "errors": { "type": "array", "items": { "$ref": "ImportYumArtifactsErrorInfo" }, "description": "Detailed error info for packages that were not imported." } }, "description": "The response message from importing YUM artifacts.", "id": "ImportYumArtifactsResponse" }, "Policy": { "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "properties": { "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string", "format": "byte" }, "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." } }, "id": "Policy" }, "ListVersionsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The token to retrieve the next page of versions, or empty if there are no more versions to return." }, "versions": { "type": "array", "description": "The versions returned.", "items": { "$ref": "Version" } } }, "id": "ListVersionsResponse", "description": "The response from listing versions.", "type": "object" }, "ListRepositoriesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The token to retrieve the next page of repositories, or empty if there are no more repositories to return." }, "repositories": { "description": "The repositories returned.", "type": "array", "items": { "$ref": "Repository" } } }, "id": "ListRepositoriesResponse", "type": "object", "description": "The response from listing repositories." }, "Repository": { "id": "Repository", "description": "A Repository for storing artifacts with a specific format.", "properties": { "sizeBytes": { "description": "Output only. The size, in bytes, of all artifact storage in this repository. Repositories that are generally available or in public preview use this to calculate storage costs.", "format": "int64", "readOnly": true, "type": "string" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The time when the repository was last updated." }, "mavenConfig": { "description": "Maven repository config contains repository level configuration for the repositories of maven type.", "$ref": "MavenRepositoryConfig" }, "format": { "enumDescriptions": [ "Unspecified package format.", "Docker package format.", "Maven package format.", "NPM package format.", "APT package format.", "YUM package format.", "Python package format." ], "description": "The format of packages that are stored in the repository.", "type": "string", "enum": [ "FORMAT_UNSPECIFIED", "DOCKER", "MAVEN", "NPM", "APT", "YUM", "PYTHON" ] }, "kmsKeyName": { "description": "The Cloud KMS resource name of the customer managed encryption key that's used to encrypt the contents of the Repository. Has the form: `projects/my-project/locations/my-region/keyRings/my-kr/cryptoKeys/my-key`. This value may not be changed after the Repository has been created.", "type": "string" }, "name": { "type": "string", "description": "The name of the repository, for example: \"projects/p1/locations/us-central1/repositories/repo1\"." }, "description": { "description": "The user-provided description of the repository.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time when the repository was created." }, "labels": { "description": "Labels with user-defined metadata. This field may contain up to 64 entries. Label keys and values may be no longer than 63 characters. Label keys must begin with a lowercase letter and may only contain lowercase letters, numeric characters, underscores, and dashes.", "additionalProperties": { "type": "string" }, "type": "object" } }, "type": "object" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." } }, "type": "object" }, "AptArtifact": { "id": "AptArtifact", "description": "A detailed representation of an Apt artifact. Information in the record is derived from the archive's control file. See https://www.debian.org/doc/debian-policy/ch-controlfields.html", "type": "object", "properties": { "component": { "description": "Output only. Repository component of the artifact.", "type": "string", "readOnly": true }, "controlFile": { "type": "string", "readOnly": true, "description": "Output only. Contents of the artifact's control metadata file.", "format": "byte" }, "packageName": { "type": "string", "readOnly": true, "description": "Output only. The Apt package name of the artifact." }, "name": { "description": "Output only. The Artifact Registry resource name of the artifact.", "type": "string", "readOnly": true }, "packageType": { "enum": [ "PACKAGE_TYPE_UNSPECIFIED", "BINARY", "SOURCE" ], "enumDescriptions": [ "Package type is not specified.", "Binary package.", "Source package." ], "description": "Output only. An artifact is a binary or source package.", "type": "string", "readOnly": true }, "architecture": { "description": "Output only. Operating system architecture of the artifact.", "readOnly": true, "type": "string" } } }, "Binding": { "type": "object", "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" } }, "id": "Binding", "description": "Associates `members`, or principals, with a `role`." }, "UploadYumArtifactMediaResponse": { "id": "UploadYumArtifactMediaResponse", "type": "object", "description": "The response to upload an artifact.", "properties": { "operation": { "$ref": "Operation", "description": "Operation to be returned to the user." } } } }, "kind": "discovery#restDescription", "version_module": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" } } } }, "name": "artifactregistry", "revision": "20220628", "fullyEncodeReservedExpansion": true, "canonicalName": "Artifact Registry", "basePath": "" }
]===]))
