local decode = require("cjson").new().decode
return assert(decode([===[
{ "resources": { "organizations": { "resources": { "locations": { "resources": { "operations": { "methods": { "list": { "id": "assuredworkloads.organizations.locations.operations.list", "parameters": { "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "pageSize": { "type": "integer", "description": "The standard list page size.", "location": "query", "format": "int32" }, "name": { "pattern": "^organizations/[^/]+/locations/[^/]+$", "required": true, "description": "The name of the operation's parent resource.", "location": "path", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "The standard list filter." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/operations", "path": "v1/{+name}/operations", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningListOperationsResponse" } }, "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/operations/{operationsId}", "id": "assuredworkloads.organizations.locations.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "name": { "description": "The name of the operation resource.", "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "required": true } }, "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "path": "v1/{+name}" } } }, "workloads": { "methods": { "restrictAllowedResources": { "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/workloads/{workloadsId}:restrictAllowedResources", "httpMethod": "POST", "response": { "$ref": "GoogleCloudAssuredworkloadsV1RestrictAllowedResourcesResponse" }, "request": { "$ref": "GoogleCloudAssuredworkloadsV1RestrictAllowedResourcesRequest" }, "id": "assuredworkloads.organizations.locations.workloads.restrictAllowedResources", "parameters": { "name": { "pattern": "^organizations/[^/]+/locations/[^/]+/workloads/[^/]+$", "location": "path", "description": "Required. The resource name of the Workload. This is the workloads's relative path in the API, formatted as \"organizations/{organization_id}/locations/{location_id}/workloads/{workload_id}\". For example, \"organizations/123/locations/us-east1/workloads/assured-workload-1\".", "type": "string", "required": true } }, "description": "Restrict the list of resources allowed in the Workload environment. The current list of allowed products can be found at https://cloud.google.com/assured-workloads/docs/supported-products In addition to assuredworkloads.workload.update permission, the user should also have orgpolicy.policy.set permission on the folder resource to use this functionality.", "parameterOrder": [ "name" ], "path": "v1/{+name}:restrictAllowedResources", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Page size." }, "parent": { "description": "Required. Parent Resource to list workloads from. Must be of the form `organizations/{org_id}/locations/{location}`.", "type": "string", "required": true, "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+$" }, "pageToken": { "location": "query", "type": "string", "description": "Page token returned from previous request. Page token contains context from previous request. Page token needs to be passed in the second and following requests." }, "filter": { "description": "A custom filter for filtering by properties of a workload. At this time, only filtering by labels is supported.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists Assured Workloads under a CRM Node.", "id": "assuredworkloads.organizations.locations.workloads.list", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/workloads", "response": { "$ref": "GoogleCloudAssuredworkloadsV1ListWorkloadsResponse" }, "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/workloads", "httpMethod": "GET" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "httpMethod": "GET", "response": { "$ref": "GoogleCloudAssuredworkloadsV1Workload" }, "description": "Gets Assured Workload associated with a CRM Node", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+/workloads/[^/]+$", "description": "Required. The resource name of the Workload to fetch. This is the workloads's relative path in the API, formatted as \"organizations/{organization_id}/locations/{location_id}/workloads/{workload_id}\". For example, \"organizations/123/locations/us-east1/workloads/assured-workload-1\"." } }, "id": "assuredworkloads.organizations.locations.workloads.get", "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/workloads/{workloadsId}" }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "type": "string", "description": "Optional. The resource name of the workload. Format: organizations/{organization}/locations/{location}/workloads/{workload} Read-only.", "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+/workloads/[^/]+$" }, "updateMask": { "type": "string", "description": "Required. The list of fields to be updated.", "format": "google-fieldmask", "location": "query" } }, "path": "v1/{+name}", "request": { "$ref": "GoogleCloudAssuredworkloadsV1Workload" }, "id": "assuredworkloads.organizations.locations.workloads.patch", "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/workloads/{workloadsId}", "response": { "$ref": "GoogleCloudAssuredworkloadsV1Workload" }, "description": "Updates an existing workload. Currently allows updating of workload display_name and labels. For force updates don't set etag field in the Workload. Only one update operation per workload can be in progress." }, "create": { "path": "v1/{+parent}/workloads", "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/workloads", "id": "assuredworkloads.organizations.locations.workloads.create", "description": "Creates Assured Workload.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudAssuredworkloadsV1Workload" }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "parameters": { "externalId": { "type": "string", "description": "Optional. A identifier associated with the workload and underlying projects which allows for the break down of billing costs for a workload. The value provided for the identifier will add a label to the workload and contained projects with the identifier as the value.", "location": "query" }, "parent": { "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+$", "location": "path", "required": true, "description": "Required. The resource name of the new Workload's parent. Must be of the form `organizations/{org_id}/locations/{location_id}`." } }, "response": { "$ref": "GoogleLongrunningOperation" } }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/workloads/{workloadsId}", "parameterOrder": [ "name" ], "description": "Deletes the workload. Make sure that workload's direct children are already in a deleted state, otherwise the request will fail with a FAILED_PRECONDITION error.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "etag": { "location": "query", "type": "string", "description": "Optional. The etag of the workload. If this is provided, it must match the server's etag." }, "name": { "type": "string", "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+/workloads/[^/]+$", "required": true, "description": "Required. The `name` field is used to identify the workload. Format: organizations/{org_id}/locations/{location_id}/workloads/{workload_id}" } }, "path": "v1/{+name}", "id": "assuredworkloads.organizations.locations.workloads.delete" } } } } } } } }, "ownerName": "Google", "mtlsRootUrl": "https://assuredworkloads.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com", "servicePath": "", "fullyEncodeReservedExpansion": true, "rootUrl": "https://assuredworkloads.googleapis.com/", "parameters": { "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "$.xgafv": { "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "type": "string" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "alt": { "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." } }, "schemas": { "GoogleCloudAssuredworkloadsV1beta1WorkloadResourceSettings": { "type": "object", "id": "GoogleCloudAssuredworkloadsV1beta1WorkloadResourceSettings", "properties": { "displayName": { "description": "User-assigned resource display name. If not empty it will be used to create a resource with the specified name.", "type": "string" }, "resourceId": { "description": "Resource identifier. For a project this represents project_id. If the project is already taken, the workload creation will fail. For KeyRing, this represents the keyring_id. For a folder, don't set this value as folder_id is assigned by Google.", "type": "string" }, "resourceType": { "type": "string", "description": "Indicates the type of resource. This field should be specified to correspond the id to the right project type (CONSUMER_PROJECT or ENCRYPTION_KEYS_PROJECT)", "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "CONSUMER_PROJECT", "CONSUMER_FOLDER", "ENCRYPTION_KEYS_PROJECT", "KEYRING" ], "enumDescriptions": [ "Unknown resource type.", "Deprecated. Existing workloads will continue to support this, but new CreateWorkloadRequests should not specify this as an input value.", "Consumer Folder.", "Consumer project containing encryption keys.", "Keyring resource that hosts encryption keys." ] } }, "description": "Represent the custom settings for the resources to be created." }, "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadComplianceStatus": { "id": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadComplianceStatus", "description": "Represents the Compliance Status of this workload", "type": "object", "properties": { "activeViolationCount": { "format": "int32", "type": "integer", "description": "Optional. Count of active Violations in the Workload." } } }, "GoogleCloudAssuredworkloadsV1WorkloadResourceSettings": { "type": "object", "description": "Represent the custom settings for the resources to be created.", "id": "GoogleCloudAssuredworkloadsV1WorkloadResourceSettings", "properties": { "resourceId": { "type": "string", "description": "Resource identifier. For a project this represents project_id. If the project is already taken, the workload creation will fail. For KeyRing, this represents the keyring_id. For a folder, don't set this value as folder_id is assigned by Google." }, "resourceType": { "type": "string", "enumDescriptions": [ "Unknown resource type.", "Consumer project. AssuredWorkloads Projects are no longer supported. This field will be ignored only in CreateWorkload requests. ListWorkloads and GetWorkload will continue to provide projects information. Use CONSUMER_FOLDER instead.", "Consumer Folder.", "Consumer project containing encryption keys.", "Keyring resource that hosts encryption keys." ], "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "CONSUMER_PROJECT", "CONSUMER_FOLDER", "ENCRYPTION_KEYS_PROJECT", "KEYRING" ], "description": "Indicates the type of resource. This field should be specified to correspond the id to the right project type (CONSUMER_PROJECT or ENCRYPTION_KEYS_PROJECT)" }, "displayName": { "description": "User-assigned resource display name. If not empty it will be used to create a resource with the specified name.", "type": "string" } } }, "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadCJISSettings": { "description": "Settings specific to resources needed for CJIS.", "properties": { "kmsSettings": { "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadKMSSettings", "description": "Input only. Immutable. Settings used to create a CMEK crypto key." } }, "type": "object", "id": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadCJISSettings" }, "GoogleLongrunningListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "GoogleLongrunningOperation" }, "type": "array" } }, "type": "object" }, "GoogleCloudAssuredworkloadsV1beta1CreateWorkloadOperationMetadata": { "type": "object", "id": "GoogleCloudAssuredworkloadsV1beta1CreateWorkloadOperationMetadata", "description": "Operation metadata to give request details of CreateWorkload.", "properties": { "displayName": { "type": "string", "description": "Optional. The display name of the workload." }, "resourceSettings": { "items": { "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadResourceSettings" }, "description": "Optional. Resource properties in the input that are used for creating/customizing workload resources.", "type": "array" }, "createTime": { "description": "Optional. Time when the operation was created.", "format": "google-datetime", "type": "string" }, "complianceRegime": { "description": "Optional. Compliance controls that should be applied to the resources managed by the workload.", "enum": [ "COMPLIANCE_REGIME_UNSPECIFIED", "IL4", "CJIS", "FEDRAMP_HIGH", "FEDRAMP_MODERATE", "US_REGIONAL_ACCESS", "HIPAA", "HITRUST", "EU_REGIONS_AND_SUPPORT", "CA_REGIONS_AND_SUPPORT", "ITAR" ], "type": "string", "enumDescriptions": [ "Unknown compliance regime.", "Information protection as per DoD IL4 requirements.", "Criminal Justice Information Services (CJIS) Security policies.", "FedRAMP High data protection controls", "FedRAMP Moderate data protection controls", "Assured Workloads For US Regions data protection controls", "Health Insurance Portability and Accountability Act controls", "Health Information Trust Alliance controls", "Assured Workloads For EU Regions and Support controls", "Assured Workloads For Canada Regions and Support controls", "International Traffic in Arms Regulations" ] }, "parent": { "description": "Optional. The parent of the workload.", "type": "string" } } }, "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadResourceSettings": { "properties": { "displayName": { "type": "string", "description": "User-assigned resource display name. If not empty it will be used to create a resource with the specified name." }, "resourceId": { "description": "Resource identifier. For a project this represents project_id. If the project is already taken, the workload creation will fail. For KeyRing, this represents the keyring_id. For a folder, don't set this value as folder_id is assigned by Google.", "type": "string" }, "resourceType": { "type": "string", "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "CONSUMER_PROJECT", "CONSUMER_FOLDER", "ENCRYPTION_KEYS_PROJECT", "KEYRING" ], "description": "Indicates the type of resource. This field should be specified to correspond the id to the right project type (CONSUMER_PROJECT or ENCRYPTION_KEYS_PROJECT)", "enumDescriptions": [ "Unknown resource type.", "Deprecated. Existing workloads will continue to support this, but new CreateWorkloadRequests should not specify this as an input value.", "Consumer Folder.", "Consumer project containing encryption keys.", "Keyring resource that hosts encryption keys." ] } }, "description": "Represent the custom settings for the resources to be created.", "type": "object", "id": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadResourceSettings" }, "GoogleCloudAssuredworkloadsV1WorkloadKMSSettings": { "properties": { "nextRotationTime": { "format": "google-datetime", "description": "Required. Input only. Immutable. The time at which the Key Management Service will automatically create a new version of the crypto key and mark it as the primary.", "type": "string" }, "rotationPeriod": { "format": "google-duration", "description": "Required. Input only. Immutable. [next_rotation_time] will be advanced by this period when the Key Management Service automatically rotates a key. Must be at least 24 hours and at most 876,000 hours.", "type": "string" } }, "description": "Settings specific to the Key Management Service.", "id": "GoogleCloudAssuredworkloadsV1WorkloadKMSSettings", "type": "object" }, "GoogleProtobufEmpty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "GoogleProtobufEmpty", "properties": {}, "type": "object" }, "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadFedrampHighSettings": { "description": "Settings specific to resources needed for FedRAMP High.", "properties": { "kmsSettings": { "description": "Input only. Immutable. Settings used to create a CMEK crypto key.", "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadKMSSettings" } }, "id": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadFedrampHighSettings", "type": "object" }, "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadSaaEnrollmentResponse": { "description": "Signed Access Approvals (SAA) enrollment response.", "properties": { "setupStatus": { "enum": [ "SETUP_STATE_UNSPECIFIED", "STATUS_PENDING", "STATUS_COMPLETE" ], "description": "Indicates SAA enrollment status of a given workload.", "type": "string", "enumDescriptions": [ "Unspecified.", "SAA enrollment pending.", "SAA enrollment comopleted." ] }, "setupErrors": { "description": "Indicates SAA enrollment setup error if any.", "type": "array", "items": { "enumDescriptions": [ "Unspecified.", "Invalid states for all customers, to be redirected to AA UI for additional details.", "Returned when there is not an EKM key configured.", "Returned when there are no enrolled services or the customer is enrolled in CAA only for a subset of services.", "Returned when exception was encountered during evaluation of other criteria." ], "type": "string", "enum": [ "SETUP_ERROR_UNSPECIFIED", "ERROR_INVALID_BASE_SETUP", "ERROR_MISSING_EXTERNAL_SIGNING_KEY", "ERROR_NOT_ALL_SERVICES_ENROLLED", "ERROR_SETUP_CHECK_FAILED" ] } } }, "id": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadSaaEnrollmentResponse", "type": "object" }, "GoogleCloudAssuredworkloadsV1beta1WorkloadResourceInfo": { "properties": { "resourceId": { "type": "string", "format": "int64", "description": "Resource identifier. For a project this represents project_number." }, "resourceType": { "description": "Indicates the type of resource.", "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "CONSUMER_PROJECT", "CONSUMER_FOLDER", "ENCRYPTION_KEYS_PROJECT", "KEYRING" ], "enumDescriptions": [ "Unknown resource type.", "Deprecated. Existing workloads will continue to support this, but new CreateWorkloadRequests should not specify this as an input value.", "Consumer Folder.", "Consumer project containing encryption keys.", "Keyring resource that hosts encryption keys." ], "type": "string" } }, "description": "Represent the resources that are children of this Workload.", "id": "GoogleCloudAssuredworkloadsV1beta1WorkloadResourceInfo", "type": "object" }, "GoogleCloudAssuredworkloadsV1beta1WorkloadFedrampModerateSettings": { "properties": { "kmsSettings": { "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadKMSSettings", "description": "Input only. Immutable. Settings used to create a CMEK crypto key." } }, "type": "object", "description": "Settings specific to resources needed for FedRAMP Moderate.", "id": "GoogleCloudAssuredworkloadsV1beta1WorkloadFedrampModerateSettings" }, "GoogleCloudAssuredworkloadsV1beta1WorkloadIL4Settings": { "description": "Settings specific to resources needed for IL4.", "id": "GoogleCloudAssuredworkloadsV1beta1WorkloadIL4Settings", "type": "object", "properties": { "kmsSettings": { "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadKMSSettings", "description": "Input only. Immutable. Settings used to create a CMEK crypto key." } } }, "GoogleCloudAssuredworkloadsV1RestrictAllowedResourcesRequest": { "type": "object", "properties": { "restrictionType": { "type": "string", "enumDescriptions": [ "Unknown restriction type.", "Allow the use all of all gcp products, irrespective of the compliance posture. This effectively removes gcp.restrictServiceUsage OrgPolicy on the AssuredWorkloads Folder.", "Based on Workload's compliance regime, allowed list changes. See - https://cloud.google.com/assured-workloads/docs/supported-products for the list of supported resources." ], "enum": [ "RESTRICTION_TYPE_UNSPECIFIED", "ALLOW_ALL_GCP_RESOURCES", "ALLOW_COMPLIANT_RESOURCES" ], "description": "Required. The type of restriction for using gcp products in the Workload environment." } }, "id": "GoogleCloudAssuredworkloadsV1RestrictAllowedResourcesRequest", "description": "Request for restricting list of available resources in Workload environment." }, "GoogleRpcStatus": { "type": "object", "id": "GoogleRpcStatus", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "type": "array" } } }, "GoogleCloudAssuredworkloadsV1beta1WorkloadFedrampHighSettings": { "description": "Settings specific to resources needed for FedRAMP High.", "properties": { "kmsSettings": { "description": "Input only. Immutable. Settings used to create a CMEK crypto key.", "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadKMSSettings" } }, "id": "GoogleCloudAssuredworkloadsV1beta1WorkloadFedrampHighSettings", "type": "object" }, "GoogleCloudAssuredworkloadsV1WorkloadSaaEnrollmentResponse": { "type": "object", "properties": { "setupStatus": { "description": "Indicates SAA enrollment status of a given workload.", "type": "string", "enumDescriptions": [ "Unspecified.", "SAA enrollment pending.", "SAA enrollment comopleted." ], "enum": [ "SETUP_STATE_UNSPECIFIED", "STATUS_PENDING", "STATUS_COMPLETE" ] }, "setupErrors": { "items": { "type": "string", "enum": [ "SETUP_ERROR_UNSPECIFIED", "ERROR_INVALID_BASE_SETUP", "ERROR_MISSING_EXTERNAL_SIGNING_KEY", "ERROR_NOT_ALL_SERVICES_ENROLLED", "ERROR_SETUP_CHECK_FAILED" ], "enumDescriptions": [ "Unspecified.", "Invalid states for all customers, to be redirected to AA UI for additional details.", "Returned when there is not an EKM key configured.", "Returned when there are no enrolled services or the customer is enrolled in CAA only for a subset of services.", "Returned when exception was encountered during evaluation of other criteria." ] }, "description": "Indicates SAA enrollment setup error if any.", "type": "array" } }, "id": "GoogleCloudAssuredworkloadsV1WorkloadSaaEnrollmentResponse", "description": "Signed Access Approvals (SAA) enrollment response." }, "GoogleCloudAssuredworkloadsV1beta1WorkloadCJISSettings": { "description": "Settings specific to resources needed for CJIS.", "properties": { "kmsSettings": { "description": "Input only. Immutable. Settings used to create a CMEK crypto key.", "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadKMSSettings" } }, "id": "GoogleCloudAssuredworkloadsV1beta1WorkloadCJISSettings", "type": "object" }, "GoogleCloudAssuredworkloadsVersioningV1mainWorkload": { "properties": { "resources": { "items": { "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadResourceInfo" }, "type": "array", "readOnly": true, "description": "Output only. The resources associated with this workload. These resources will be created when creating the workload. If any of the projects already exist, the workload creation will fail. Always read only." }, "fedrampHighSettings": { "description": "Required. Input only. Immutable. Settings specific to resources needed for FedRAMP High.", "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadFedrampHighSettings" }, "kajEnrollmentState": { "enumDescriptions": [ "Default State for KAJ Enrollment.", "Pending State for KAJ Enrollment.", "Complete State for KAJ Enrollment." ], "readOnly": true, "type": "string", "enum": [ "KAJ_ENROLLMENT_STATE_UNSPECIFIED", "KAJ_ENROLLMENT_STATE_PENDING", "KAJ_ENROLLMENT_STATE_COMPLETE" ], "description": "Output only. Represents the KAJ enrollment state of the given workload." }, "cjisSettings": { "description": "Required. Input only. Immutable. Settings specific to resources needed for CJIS.", "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadCJISSettings" }, "saaEnrollmentResponse": { "readOnly": true, "description": "Output only. Represents the SAA enrollment response of the given workload. SAA enrollment response is queried during GetWorkload call. In failure cases, user friendly error message is shown in SAA details page.", "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadSaaEnrollmentResponse" }, "complianceStatus": { "description": "Output only. Count of active Violations in the Workload.", "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadComplianceStatus", "readOnly": true }, "il4Settings": { "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadIL4Settings", "description": "Required. Input only. Immutable. Settings specific to resources needed for IL4." }, "fedrampModerateSettings": { "description": "Required. Input only. Immutable. Settings specific to resources needed for FedRAMP Moderate.", "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadFedrampModerateSettings" }, "name": { "type": "string", "description": "Optional. The resource name of the workload. Format: organizations/{organization}/locations/{location}/workloads/{workload} Read-only." }, "provisionedResourcesParent": { "description": "Input only. The parent resource for the resources managed by this Assured Workload. May be either empty or a folder resource which is a child of the Workload parent. If not specified all resources are created under the parent organization. Format: folders/{folder_id}", "type": "string" }, "createTime": { "description": "Output only. Immutable. The Workload creation timestamp.", "type": "string", "format": "google-datetime", "readOnly": true }, "labels": { "description": "Optional. Labels applied to the workload.", "additionalProperties": { "type": "string" }, "type": "object" }, "enableSovereignControls": { "description": "Optional. Indicates the sovereignty status of the given workload. Currently meant to be used by Europe/Canada customers.", "type": "boolean" }, "complianceRegime": { "type": "string", "enum": [ "COMPLIANCE_REGIME_UNSPECIFIED", "IL4", "CJIS", "FEDRAMP_HIGH", "FEDRAMP_MODERATE", "US_REGIONAL_ACCESS", "HIPAA", "HITRUST", "EU_REGIONS_AND_SUPPORT", "CA_REGIONS_AND_SUPPORT", "ITAR" ], "enumDescriptions": [ "Unknown compliance regime.", "Information protection as per DoD IL4 requirements.", "Criminal Justice Information Services (CJIS) Security policies.", "FedRAMP High data protection controls", "FedRAMP Moderate data protection controls", "Assured Workloads For US Regions data protection controls", "Health Insurance Portability and Accountability Act controls", "Health Information Trust Alliance controls", "Assured Workloads For EU Regions and Support controls", "Assured Workloads For Canada Regions and Support controls", "International Traffic in Arms Regulations" ], "description": "Required. Immutable. Compliance Regime associated with this workload." }, "billingAccount": { "description": "Input only. The billing account used for the resources which are direct children of workload. This billing account is initially associated with the resources created as part of Workload creation. After the initial creation of these resources, the customer can change the assigned billing account. The resource name has the form `billingAccounts/{billing_account_id}`. For example, `billingAccounts/012345-567890-ABCDEF`.", "type": "string" }, "resourceSettings": { "description": "Input only. Resource properties that are used to customize workload resources. These properties (such as custom project id) will be used to create workload resources if possible. This field is optional.", "type": "array", "items": { "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadResourceSettings" } }, "displayName": { "type": "string", "description": "Required. The user-assigned display name of the Workload. When present it must be between 4 to 30 characters. Allowed characters are: lowercase and uppercase letters, numbers, hyphen, and spaces. Example: My Workload" }, "kmsSettings": { "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadKMSSettings", "description": "Input only. Settings used to create a CMEK crypto key. When set, a project with a KMS CMEK key is provisioned. This field is deprecated as of Feb 28, 2022. In order to create a Keyring, callers should specify, ENCRYPTION_KEYS_PROJECT or KEYRING in ResourceSettings.resource_type field." }, "etag": { "type": "string", "description": "Optional. ETag of the workload, it is calculated on the basis of the Workload contents. It will be used in Update & Delete operations." } }, "description": "An Workload object for managing highly regulated workloads of cloud customers.", "type": "object", "id": "GoogleCloudAssuredworkloadsVersioningV1mainWorkload" }, "GoogleCloudAssuredworkloadsV1ListWorkloadsResponse": { "type": "object", "properties": { "workloads": { "description": "List of Workloads under a given parent.", "type": "array", "items": { "$ref": "GoogleCloudAssuredworkloadsV1Workload" } }, "nextPageToken": { "description": "The next page token. Return empty if reached the last page.", "type": "string" } }, "id": "GoogleCloudAssuredworkloadsV1ListWorkloadsResponse", "description": "Response of ListWorkloads endpoint." }, "GoogleCloudAssuredworkloadsV1Workload": { "properties": { "name": { "description": "Optional. The resource name of the workload. Format: organizations/{organization}/locations/{location}/workloads/{workload} Read-only.", "type": "string" }, "resources": { "type": "array", "readOnly": true, "description": "Output only. The resources associated with this workload. These resources will be created when creating the workload. If any of the projects already exist, the workload creation will fail. Always read only.", "items": { "$ref": "GoogleCloudAssuredworkloadsV1WorkloadResourceInfo" } }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Labels applied to the workload." }, "displayName": { "description": "Required. The user-assigned display name of the Workload. When present it must be between 4 to 30 characters. Allowed characters are: lowercase and uppercase letters, numbers, hyphen, and spaces. Example: My Workload", "type": "string" }, "complianceRegime": { "type": "string", "description": "Required. Immutable. Compliance Regime associated with this workload.", "enum": [ "COMPLIANCE_REGIME_UNSPECIFIED", "IL4", "CJIS", "FEDRAMP_HIGH", "FEDRAMP_MODERATE", "US_REGIONAL_ACCESS", "HIPAA", "HITRUST", "EU_REGIONS_AND_SUPPORT", "CA_REGIONS_AND_SUPPORT", "ITAR" ], "enumDescriptions": [ "Unknown compliance regime.", "Information protection as per DoD IL4 requirements.", "Criminal Justice Information Services (CJIS) Security policies.", "FedRAMP High data protection controls", "FedRAMP Moderate data protection controls", "Assured Workloads For US Regions data protection controls", "Health Insurance Portability and Accountability Act controls", "Health Information Trust Alliance controls", "Assured Workloads For EU Regions and Support controls", "Assured Workloads For Canada Regions and Support controls", "International Traffic in Arms Regulations" ] }, "kmsSettings": { "description": "Input only. Settings used to create a CMEK crypto key. When set, a project with a KMS CMEK key is provisioned. This field is deprecated as of Feb 28, 2022. In order to create a Keyring, callers should specify, ENCRYPTION_KEYS_PROJECT or KEYRING in ResourceSettings.resource_type field.", "$ref": "GoogleCloudAssuredworkloadsV1WorkloadKMSSettings" }, "enableSovereignControls": { "type": "boolean", "description": "Optional. Indicates the sovereignty status of the given workload. Currently meant to be used by Europe/Canada customers." }, "saaEnrollmentResponse": { "description": "Output only. Represents the SAA enrollment response of the given workload. SAA enrollment response is queried during GetWorkload call. In failure cases, user friendly error message is shown in SAA details page.", "$ref": "GoogleCloudAssuredworkloadsV1WorkloadSaaEnrollmentResponse", "readOnly": true }, "billingAccount": { "type": "string", "description": "Optional. The billing account used for the resources which are direct children of workload. This billing account is initially associated with the resources created as part of Workload creation. After the initial creation of these resources, the customer can change the assigned billing account. The resource name has the form `billingAccounts/{billing_account_id}`. For example, `billingAccounts/012345-567890-ABCDEF`." }, "provisionedResourcesParent": { "type": "string", "description": "Input only. The parent resource for the resources managed by this Assured Workload. May be either empty or a folder resource which is a child of the Workload parent. If not specified all resources are created under the parent organization. Format: folders/{folder_id}" }, "etag": { "type": "string", "description": "Optional. ETag of the workload, it is calculated on the basis of the Workload contents. It will be used in Update & Delete operations." }, "resourceSettings": { "items": { "$ref": "GoogleCloudAssuredworkloadsV1WorkloadResourceSettings" }, "description": "Input only. Resource properties that are used to customize workload resources. These properties (such as custom project id) will be used to create workload resources if possible. This field is optional.", "type": "array" }, "createTime": { "type": "string", "description": "Output only. Immutable. The Workload creation timestamp.", "format": "google-datetime", "readOnly": true }, "kajEnrollmentState": { "description": "Output only. Represents the KAJ enrollment state of the given workload.", "type": "string", "readOnly": true, "enum": [ "KAJ_ENROLLMENT_STATE_UNSPECIFIED", "KAJ_ENROLLMENT_STATE_PENDING", "KAJ_ENROLLMENT_STATE_COMPLETE" ], "enumDescriptions": [ "Default State for KAJ Enrollment.", "Pending State for KAJ Enrollment.", "Complete State for KAJ Enrollment." ] } }, "id": "GoogleCloudAssuredworkloadsV1Workload", "description": "An Workload object for managing highly regulated workloads of cloud customers.", "type": "object" }, "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadKMSSettings": { "id": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadKMSSettings", "type": "object", "properties": { "nextRotationTime": { "format": "google-datetime", "description": "Required. Input only. Immutable. The time at which the Key Management Service will automatically create a new version of the crypto key and mark it as the primary.", "type": "string" }, "rotationPeriod": { "type": "string", "format": "google-duration", "description": "Required. Input only. Immutable. [next_rotation_time] will be advanced by this period when the Key Management Service automatically rotates a key. Must be at least 24 hours and at most 876,000 hours." } }, "description": "Settings specific to the Key Management Service." }, "GoogleCloudAssuredworkloadsVersioningV1mainCreateWorkloadOperationMetadata": { "type": "object", "properties": { "resourceSettings": { "items": { "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadResourceSettings" }, "type": "array", "description": "Optional. Resource properties in the input that are used for creating/customizing workload resources." }, "displayName": { "type": "string", "description": "Optional. The display name of the workload." }, "parent": { "type": "string", "description": "Optional. The parent of the workload." }, "createTime": { "description": "Optional. Time when the operation was created.", "format": "google-datetime", "type": "string" }, "complianceRegime": { "description": "Optional. Compliance controls that should be applied to the resources managed by the workload.", "enumDescriptions": [ "Unknown compliance regime.", "Information protection as per DoD IL4 requirements.", "Criminal Justice Information Services (CJIS) Security policies.", "FedRAMP High data protection controls", "FedRAMP Moderate data protection controls", "Assured Workloads For US Regions data protection controls", "Health Insurance Portability and Accountability Act controls", "Health Information Trust Alliance controls", "Assured Workloads For EU Regions and Support controls", "Assured Workloads For Canada Regions and Support controls", "International Traffic in Arms Regulations" ], "enum": [ "COMPLIANCE_REGIME_UNSPECIFIED", "IL4", "CJIS", "FEDRAMP_HIGH", "FEDRAMP_MODERATE", "US_REGIONAL_ACCESS", "HIPAA", "HITRUST", "EU_REGIONS_AND_SUPPORT", "CA_REGIONS_AND_SUPPORT", "ITAR" ], "type": "string" } }, "id": "GoogleCloudAssuredworkloadsVersioningV1mainCreateWorkloadOperationMetadata", "description": "Operation metadata to give request details of CreateWorkload." }, "GoogleCloudAssuredworkloadsV1beta1WorkloadSaaEnrollmentResponse": { "type": "object", "description": "Signed Access Approvals (SAA) enrollment response.", "id": "GoogleCloudAssuredworkloadsV1beta1WorkloadSaaEnrollmentResponse", "properties": { "setupStatus": { "description": "Indicates SAA enrollment status of a given workload.", "enum": [ "SETUP_STATE_UNSPECIFIED", "STATUS_PENDING", "STATUS_COMPLETE" ], "enumDescriptions": [ "Unspecified.", "SAA enrollment pending.", "SAA enrollment comopleted." ], "type": "string" }, "setupErrors": { "type": "array", "description": "Indicates SAA enrollment setup error if any.", "items": { "enum": [ "SETUP_ERROR_UNSPECIFIED", "ERROR_INVALID_BASE_SETUP", "ERROR_MISSING_EXTERNAL_SIGNING_KEY", "ERROR_NOT_ALL_SERVICES_ENROLLED", "ERROR_SETUP_CHECK_FAILED" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Invalid states for all customers, to be redirected to AA UI for additional details.", "Returned when there is not an EKM key configured.", "Returned when there are no enrolled services or the customer is enrolled in CAA only for a subset of services.", "Returned when exception was encountered during evaluation of other criteria." ] } } } }, "GoogleCloudAssuredworkloadsV1CreateWorkloadOperationMetadata": { "description": "Operation metadata to give request details of CreateWorkload.", "id": "GoogleCloudAssuredworkloadsV1CreateWorkloadOperationMetadata", "properties": { "complianceRegime": { "description": "Optional. Compliance controls that should be applied to the resources managed by the workload.", "enum": [ "COMPLIANCE_REGIME_UNSPECIFIED", "IL4", "CJIS", "FEDRAMP_HIGH", "FEDRAMP_MODERATE", "US_REGIONAL_ACCESS", "HIPAA", "HITRUST", "EU_REGIONS_AND_SUPPORT", "CA_REGIONS_AND_SUPPORT", "ITAR" ], "enumDescriptions": [ "Unknown compliance regime.", "Information protection as per DoD IL4 requirements.", "Criminal Justice Information Services (CJIS) Security policies.", "FedRAMP High data protection controls", "FedRAMP Moderate data protection controls", "Assured Workloads For US Regions data protection controls", "Health Insurance Portability and Accountability Act controls", "Health Information Trust Alliance controls", "Assured Workloads For EU Regions and Support controls", "Assured Workloads For Canada Regions and Support controls", "International Traffic in Arms Regulations" ], "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Optional. Time when the operation was created." }, "parent": { "type": "string", "description": "Optional. The parent of the workload." }, "displayName": { "description": "Optional. The display name of the workload.", "type": "string" } }, "type": "object" }, "GoogleCloudAssuredworkloadsV1WorkloadResourceInfo": { "properties": { "resourceType": { "enumDescriptions": [ "Unknown resource type.", "Consumer project. AssuredWorkloads Projects are no longer supported. This field will be ignored only in CreateWorkload requests. ListWorkloads and GetWorkload will continue to provide projects information. Use CONSUMER_FOLDER instead.", "Consumer Folder.", "Consumer project containing encryption keys.", "Keyring resource that hosts encryption keys." ], "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "CONSUMER_PROJECT", "CONSUMER_FOLDER", "ENCRYPTION_KEYS_PROJECT", "KEYRING" ], "type": "string", "description": "Indicates the type of resource." }, "resourceId": { "type": "string", "description": "Resource identifier. For a project this represents project_number.", "format": "int64" } }, "type": "object", "description": "Represent the resources that are children of this Workload.", "id": "GoogleCloudAssuredworkloadsV1WorkloadResourceInfo" }, "GoogleLongrunningOperation": { "properties": { "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." } }, "id": "GoogleLongrunningOperation", "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object" }, "GoogleCloudAssuredworkloadsV1beta1WorkloadKMSSettings": { "type": "object", "id": "GoogleCloudAssuredworkloadsV1beta1WorkloadKMSSettings", "description": "Settings specific to the Key Management Service.", "properties": { "nextRotationTime": { "description": "Required. Input only. Immutable. The time at which the Key Management Service will automatically create a new version of the crypto key and mark it as the primary.", "type": "string", "format": "google-datetime" }, "rotationPeriod": { "format": "google-duration", "type": "string", "description": "Required. Input only. Immutable. [next_rotation_time] will be advanced by this period when the Key Management Service automatically rotates a key. Must be at least 24 hours and at most 876,000 hours." } } }, "GoogleCloudAssuredworkloadsV1beta1Workload": { "id": "GoogleCloudAssuredworkloadsV1beta1Workload", "properties": { "etag": { "description": "Optional. ETag of the workload, it is calculated on the basis of the Workload contents. It will be used in Update & Delete operations.", "type": "string" }, "enableSovereignControls": { "type": "boolean", "description": "Optional. Indicates the sovereignty status of the given workload. Currently meant to be used by Europe/Canada customers." }, "name": { "description": "Optional. The resource name of the workload. Format: organizations/{organization}/locations/{location}/workloads/{workload} Read-only.", "type": "string" }, "resourceSettings": { "items": { "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadResourceSettings" }, "description": "Input only. Resource properties that are used to customize workload resources. These properties (such as custom project id) will be used to create workload resources if possible. This field is optional.", "type": "array" }, "cjisSettings": { "description": "Input only. Immutable. Settings specific to resources needed for CJIS.", "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadCJISSettings" }, "billingAccount": { "type": "string", "description": "Input only. The billing account used for the resources which are direct children of workload. This billing account is initially associated with the resources created as part of Workload creation. After the initial creation of these resources, the customer can change the assigned billing account. The resource name has the form `billingAccounts/{billing_account_id}`. For example, `billingAccounts/012345-567890-ABCDEF`." }, "displayName": { "description": "Required. The user-assigned display name of the Workload. When present it must be between 4 to 30 characters. Allowed characters are: lowercase and uppercase letters, numbers, hyphen, and spaces. Example: My Workload", "type": "string" }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. Immutable. The Workload creation timestamp.", "type": "string" }, "resources": { "items": { "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadResourceInfo" }, "type": "array", "readOnly": true, "description": "Output only. The resources associated with this workload. These resources will be created when creating the workload. If any of the projects already exist, the workload creation will fail. Always read only." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. Labels applied to the workload." }, "provisionedResourcesParent": { "type": "string", "description": "Input only. The parent resource for the resources managed by this Assured Workload. May be either empty or a folder resource which is a child of the Workload parent. If not specified all resources are created under the parent organization. Format: folders/{folder_id}" }, "complianceRegime": { "enum": [ "COMPLIANCE_REGIME_UNSPECIFIED", "IL4", "CJIS", "FEDRAMP_HIGH", "FEDRAMP_MODERATE", "US_REGIONAL_ACCESS", "HIPAA", "HITRUST", "EU_REGIONS_AND_SUPPORT", "CA_REGIONS_AND_SUPPORT", "ITAR" ], "enumDescriptions": [ "Unknown compliance regime.", "Information protection as per DoD IL4 requirements.", "Criminal Justice Information Services (CJIS) Security policies.", "FedRAMP High data protection controls", "FedRAMP Moderate data protection controls", "Assured Workloads For US Regions data protection controls", "Health Insurance Portability and Accountability Act controls", "Health Information Trust Alliance controls", "Assured Workloads For EU Regions and Support controls", "Assured Workloads For Canada Regions and Support controls", "International Traffic in Arms Regulations" ], "type": "string", "description": "Required. Immutable. Compliance Regime associated with this workload." }, "il4Settings": { "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadIL4Settings", "description": "Input only. Immutable. Settings specific to resources needed for IL4." }, "kmsSettings": { "description": "Input only. Settings used to create a CMEK crypto key. When set, a project with a KMS CMEK key is provisioned. This field is deprecated as of Feb 28, 2022. In order to create a Keyring, callers should specify, ENCRYPTION_KEYS_PROJECT or KEYRING in ResourceSettings.resource_type field.", "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadKMSSettings" }, "saaEnrollmentResponse": { "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadSaaEnrollmentResponse", "description": "Output only. Represents the SAA enrollment response of the given workload. SAA enrollment response is queried during GetWorkload call. In failure cases, user friendly error message is shown in SAA details page.", "readOnly": true }, "fedrampHighSettings": { "description": "Input only. Immutable. Settings specific to resources needed for FedRAMP High.", "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadFedrampHighSettings" }, "kajEnrollmentState": { "enum": [ "KAJ_ENROLLMENT_STATE_UNSPECIFIED", "KAJ_ENROLLMENT_STATE_PENDING", "KAJ_ENROLLMENT_STATE_COMPLETE" ], "description": "Output only. Represents the KAJ enrollment state of the given workload.", "readOnly": true, "enumDescriptions": [ "Default State for KAJ Enrollment.", "Pending State for KAJ Enrollment.", "Complete State for KAJ Enrollment." ], "type": "string" }, "fedrampModerateSettings": { "$ref": "GoogleCloudAssuredworkloadsV1beta1WorkloadFedrampModerateSettings", "description": "Input only. Immutable. Settings specific to resources needed for FedRAMP Moderate." } }, "description": "An Workload object for managing highly regulated workloads of cloud customers.", "type": "object" }, "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadResourceInfo": { "type": "object", "id": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadResourceInfo", "description": "Represent the resources that are children of this Workload.", "properties": { "resourceId": { "description": "Resource identifier. For a project this represents project_number.", "format": "int64", "type": "string" }, "resourceType": { "enumDescriptions": [ "Unknown resource type.", "Deprecated. Existing workloads will continue to support this, but new CreateWorkloadRequests should not specify this as an input value.", "Consumer Folder.", "Consumer project containing encryption keys.", "Keyring resource that hosts encryption keys." ], "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "CONSUMER_PROJECT", "CONSUMER_FOLDER", "ENCRYPTION_KEYS_PROJECT", "KEYRING" ], "description": "Indicates the type of resource.", "type": "string" } } }, "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadFedrampModerateSettings": { "type": "object", "description": "Settings specific to resources needed for FedRAMP Moderate.", "id": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadFedrampModerateSettings", "properties": { "kmsSettings": { "description": "Input only. Immutable. Settings used to create a CMEK crypto key.", "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadKMSSettings" } } }, "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadIL4Settings": { "id": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadIL4Settings", "type": "object", "properties": { "kmsSettings": { "description": "Input only. Immutable. Settings used to create a CMEK crypto key.", "$ref": "GoogleCloudAssuredworkloadsVersioningV1mainWorkloadKMSSettings" } }, "description": "Settings specific to resources needed for IL4." }, "GoogleCloudAssuredworkloadsV1RestrictAllowedResourcesResponse": { "properties": {}, "id": "GoogleCloudAssuredworkloadsV1RestrictAllowedResourcesResponse", "description": "Response for restricting the list of allowed resources.", "type": "object" } }, "baseUrl": "https://assuredworkloads.googleapis.com/", "id": "assuredworkloads:v1", "kind": "discovery#restDescription", "revision": "20220630", "version_module": true, "name": "assuredworkloads", "version": "v1", "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "discoveryVersion": "v1", "canonicalName": "Assuredworkloads", "protocol": "rest", "basePath": "", "title": "Assured Workloads API", "description": "", "ownerDomain": "google.com" }
]===]))
