local decode = require("cjson").new().decode
return assert(decode([===[
{ "baseUrl": "https://authorizedbuyersmarketplace.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/authorized-buyers-marketplace": { "description": "See, create, edit, and delete your Authorized Buyers Marketplace entities." } } } }, "ownerName": "Google", "basePath": "", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "parameters": { "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "location": "query", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "alt": { "default": "json", "enum": [ "json", "media", "proto" ], "type": "string", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query" } }, "canonicalName": "Authorized Buyers Marketplace", "resources": { "buyers": { "resources": { "clients": { "methods": { "deactivate": { "path": "v1/{+name}:deactivate", "parameters": { "name": { "required": true, "pattern": "^buyers/[^/]+/clients/[^/]+$", "type": "string", "description": "Required. Format: `buyers/{buyerAccountId}/clients/{clientAccountId}`", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "parameterOrder": [ "name" ], "httpMethod": "POST", "response": { "$ref": "Client" }, "description": "Deactivates an existing client. The state of the client will be updated to \"INACTIVE\". This method has no effect if the client is already in \"INACTIVE\" state.", "id": "authorizedbuyersmarketplace.buyers.clients.deactivate", "request": { "$ref": "DeactivateClientRequest" }, "flatPath": "v1/buyers/{buyersId}/clients/{clientsId}:deactivate" }, "list": { "flatPath": "v1/buyers/{buyersId}/clients", "response": { "$ref": "ListClientsResponse" }, "description": "Lists all the clients for the current buyer.", "parameters": { "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of ListClientsResponse.nextPageToken returned from the previous call to the list method.", "type": "string", "location": "query" }, "parent": { "description": "Required. The name of the buyer. Format: `buyers/{accountId}`", "required": true, "pattern": "^buyers/[^/]+$", "location": "path", "type": "string" }, "filter": { "type": "string", "description": "Query string using the [Filtering Syntax](https://developers.google.com/authorized-buyers/apis/guides/v2/list-filters) Supported fields for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh partnerClientId Use this field to filter the clients by the partnerClientId. For example, if the partnerClientId of the client is \"1234\", the value of this field should be `partnerClientId = \"1234\"`, in order to get only the client whose partnerClientId is \"1234\" in the response.", "location": "query" }, "pageSize": { "description": "Requested page size. If left blank, a default page size of 500 will be applied.", "location": "query", "format": "int32", "type": "integer" } }, "id": "authorizedbuyersmarketplace.buyers.clients.list", "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1/{+parent}/clients", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ] }, "patch": { "response": { "$ref": "Client" }, "request": { "$ref": "Client" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/buyers/{buyersId}/clients/{clientsId}", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "id": "authorizedbuyersmarketplace.buyers.clients.patch", "httpMethod": "PATCH", "description": "Updates an existing client.", "parameters": { "updateMask": { "description": "List of fields to be updated. If empty or unspecified, the service will update all fields populated in the update request excluding the output only fields and primitive fields with default value. Note that explicit field mask is required in order to reset a primitive field back to its default value, for example, false for boolean fields, 0 for integer fields. A special field mask consisting of a single path \"*\" can be used to indicate full replacement(the equivalent of PUT method), updatable fields unset or unspecified in the input will be cleared or set to default value. Output only fields will be ignored regardless of the value of updateMask.", "location": "query", "type": "string", "format": "google-fieldmask" }, "name": { "description": "Output only. The resource name of the client. Format: `buyers/{accountId}/clients/{clientAccountId}`", "type": "string", "location": "path", "required": true, "pattern": "^buyers/[^/]+/clients/[^/]+$" } } }, "create": { "response": { "$ref": "Client" }, "parameterOrder": [ "parent" ], "flatPath": "v1/buyers/{buyersId}/clients", "httpMethod": "POST", "description": "Creates a new client.", "parameters": { "parent": { "description": "Required. The name of the buyer. Format: `buyers/{accountId}`", "location": "path", "type": "string", "required": true, "pattern": "^buyers/[^/]+$" } }, "id": "authorizedbuyersmarketplace.buyers.clients.create", "path": "v1/{+parent}/clients", "request": { "$ref": "Client" }, "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ] }, "activate": { "response": { "$ref": "Client" }, "description": "Activates an existing client. The state of the client will be updated to \"ACTIVE\". This method has no effect if the client is already in \"ACTIVE\" state.", "flatPath": "v1/buyers/{buyersId}/clients/{clientsId}:activate", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "request": { "$ref": "ActivateClientRequest" }, "parameters": { "name": { "type": "string", "required": true, "pattern": "^buyers/[^/]+/clients/[^/]+$", "location": "path", "description": "Required. Format: `buyers/{buyerAccountId}/clients/{clientAccountId}`" } }, "parameterOrder": [ "name" ], "path": "v1/{+name}:activate", "httpMethod": "POST", "id": "authorizedbuyersmarketplace.buyers.clients.activate" }, "get": { "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. Format: `buyers/{accountId}/clients/{clientAccountId}`", "pattern": "^buyers/[^/]+/clients/[^/]+$", "type": "string", "required": true, "location": "path" } }, "description": "Gets a client with a given resource name.", "response": { "$ref": "Client" }, "httpMethod": "GET", "flatPath": "v1/buyers/{buyersId}/clients/{clientsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "id": "authorizedbuyersmarketplace.buyers.clients.get" } }, "resources": { "users": { "methods": { "create": { "parameterOrder": [ "parent" ], "flatPath": "v1/buyers/{buyersId}/clients/{clientsId}/users", "description": "Creates a new client user in \"INVITED\" state. An email invitation will be sent to the new user, once accepted the user will become active.", "id": "authorizedbuyersmarketplace.buyers.clients.users.create", "httpMethod": "POST", "request": { "$ref": "ClientUser" }, "response": { "$ref": "ClientUser" }, "path": "v1/{+parent}/users", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "parameters": { "parent": { "location": "path", "description": "Required. The name of the client. Format: `buyers/{accountId}/clients/{clientAccountId}`", "required": true, "type": "string", "pattern": "^buyers/[^/]+/clients/[^/]+$" } } }, "delete": { "httpMethod": "DELETE", "flatPath": "v1/buyers/{buyersId}/clients/{clientsId}/users/{usersId}", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "description": "Deletes an existing client user. The client user will lose access to the Authorized Buyers UI. Note that if a client user is deleted, the user's access to the UI can't be restored unless a new client user is created and activated.", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^buyers/[^/]+/clients/[^/]+/users/[^/]+$", "description": "Required. Format: `buyers/{buyerAccountId}/clients/{clientAccountId}/clientUsers/{userId}`" } }, "id": "authorizedbuyersmarketplace.buyers.clients.users.delete", "path": "v1/{+name}", "response": { "$ref": "Empty" } }, "list": { "response": { "$ref": "ListClientUsersResponse" }, "parameters": { "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of ListClientUsersResponse.nextPageToken returned from the previous call to the list method.", "location": "query", "type": "string" }, "pageSize": { "description": "Requested page size. If left blank, a default page size of 500 will be applied.", "location": "query", "format": "int32", "type": "integer" }, "parent": { "pattern": "^buyers/[^/]+/clients/[^/]+$", "location": "path", "description": "Required. The name of the client. Format: `buyers/{buyerAccountId}/clients/{clientAccountId}`", "required": true, "type": "string" } }, "description": "Lists all client users for a specified client.", "flatPath": "v1/buyers/{buyersId}/clients/{clientsId}/users", "id": "authorizedbuyersmarketplace.buyers.clients.users.list", "path": "v1/{+parent}/users", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "parameterOrder": [ "parent" ], "httpMethod": "GET" }, "deactivate": { "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. Format: `buyers/{buyerAccountId}/clients/{clientAccountId}/clientUsers/{userId}`", "pattern": "^buyers/[^/]+/clients/[^/]+/users/[^/]+$" } }, "path": "v1/{+name}:deactivate", "id": "authorizedbuyersmarketplace.buyers.clients.users.deactivate", "flatPath": "v1/buyers/{buyersId}/clients/{clientsId}/users/{usersId}:deactivate", "httpMethod": "POST", "request": { "$ref": "DeactivateClientUserRequest" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "description": "Deactivates an existing client user. The state of the client user will be updated from \"ACTIVE\" to \"INACTIVE\". This method has no effect if the client user is already in \"INACTIVE\" state. An error will be returned if the client user to deactivate is still in \"INVITED\" state.", "response": { "$ref": "ClientUser" } }, "activate": { "parameters": { "name": { "description": "Required. Format: `buyers/{buyerAccountId}/clients/{clientAccountId}/clientUsers/{userId}`", "location": "path", "pattern": "^buyers/[^/]+/clients/[^/]+/users/[^/]+$", "type": "string", "required": true } }, "description": "Activates an existing client user. The state of the client user will be updated from \"INACTIVE\" to \"ACTIVE\". This method has no effect if the client user is already in \"ACTIVE\" state. An error will be returned if the client user to activate is still in \"INVITED\" state.", "response": { "$ref": "ClientUser" }, "path": "v1/{+name}:activate", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "parameterOrder": [ "name" ], "httpMethod": "POST", "flatPath": "v1/buyers/{buyersId}/clients/{clientsId}/users/{usersId}:activate", "id": "authorizedbuyersmarketplace.buyers.clients.users.activate", "request": { "$ref": "ActivateClientUserRequest" } }, "get": { "path": "v1/{+name}", "flatPath": "v1/buyers/{buyersId}/clients/{clientsId}/users/{usersId}", "id": "authorizedbuyersmarketplace.buyers.clients.users.get", "response": { "$ref": "ClientUser" }, "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "parameterOrder": [ "name" ], "description": "Retrieves an existing client user.", "httpMethod": "GET", "parameters": { "name": { "description": "Required. Format: `buyers/{buyerAccountId}/clients/{clientAccountId}/clientUsers/{userId}`", "required": true, "location": "path", "type": "string", "pattern": "^buyers/[^/]+/clients/[^/]+/users/[^/]+$" } } } } } } }, "auctionPackages": { "methods": { "subscribeClients": { "parameters": { "auctionPackage": { "required": true, "location": "path", "type": "string", "pattern": "^buyers/[^/]+/auctionPackages/[^/]+$", "description": "Required. Name of the auction package. Format: `buyers/{accountId}/auctionPackages/{auctionPackageId}`" } }, "flatPath": "v1/buyers/{buyersId}/auctionPackages/{auctionPackagesId}:subscribeClients", "parameterOrder": [ "auctionPackage" ], "path": "v1/{+auctionPackage}:subscribeClients", "httpMethod": "POST", "response": { "$ref": "AuctionPackage" }, "description": "Subscribe the specified clients of the buyer to the auction package. If a client in the list does not belong to the buyer, an error response will be returned, and all of the following clients in the list will not be subscribed. Subscribing an already subscribed client will have no effect.", "id": "authorizedbuyersmarketplace.buyers.auctionPackages.subscribeClients", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "request": { "$ref": "SubscribeClientsRequest" } }, "list": { "response": { "$ref": "ListAuctionPackagesResponse" }, "flatPath": "v1/buyers/{buyersId}/auctionPackages", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1/{+parent}/auctionPackages", "description": "List the auction packages subscribed by a buyer and its clients.", "id": "authorizedbuyersmarketplace.buyers.auctionPackages.list", "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "Requested page size. The server may return fewer results than requested. Max allowed page size is 500.", "format": "int32" }, "parent": { "pattern": "^buyers/[^/]+$", "type": "string", "location": "path", "description": "Required. Name of the parent buyer that can access the auction package. Format: `buyers/{accountId}`", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "The page token as returned. ListAuctionPackagesResponse.nextPageToken" } } }, "get": { "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "pattern": "^buyers/[^/]+/auctionPackages/[^/]+$", "required": true, "description": "Required. Name of auction package to get. Format: `buyers/{accountId}/auctionPackages/{auctionPackageId}`", "location": "path" } }, "httpMethod": "GET", "id": "authorizedbuyersmarketplace.buyers.auctionPackages.get", "description": "Gets an auction package given its name.", "response": { "$ref": "AuctionPackage" }, "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "flatPath": "v1/buyers/{buyersId}/auctionPackages/{auctionPackagesId}", "path": "v1/{+name}" }, "subscribe": { "flatPath": "v1/buyers/{buyersId}/auctionPackages/{auctionPackagesId}:subscribe", "parameters": { "name": { "type": "string", "required": true, "pattern": "^buyers/[^/]+/auctionPackages/[^/]+$", "description": "Required. Name of the auction package. Format: `buyers/{accountId}/auctionPackages/{auctionPackageId}`", "location": "path" } }, "path": "v1/{+name}:subscribe", "id": "authorizedbuyersmarketplace.buyers.auctionPackages.subscribe", "description": "Subscribe to the auction package for the specified buyer. Once subscribed, the bidder will receive a call out for inventory matching the auction package targeting criteria with the auction package deal ID and the specified buyer.", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "httpMethod": "POST", "response": { "$ref": "AuctionPackage" }, "request": { "$ref": "SubscribeAuctionPackageRequest" }, "parameterOrder": [ "name" ] }, "unsubscribe": { "id": "authorizedbuyersmarketplace.buyers.auctionPackages.unsubscribe", "path": "v1/{+name}:unsubscribe", "description": "Unsubscribe from the auction package for the specified buyer. Once unsubscribed, the bidder will no longer receive a call out for the auction package deal ID and the specified buyer.", "request": { "$ref": "UnsubscribeAuctionPackageRequest" }, "response": { "$ref": "AuctionPackage" }, "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "parameters": { "name": { "pattern": "^buyers/[^/]+/auctionPackages/[^/]+$", "required": true, "type": "string", "description": "Required. Name of the auction package. Format: `buyers/{accountId}/auctionPackages/{auctionPackageId}`", "location": "path" } }, "httpMethod": "POST", "parameterOrder": [ "name" ], "flatPath": "v1/buyers/{buyersId}/auctionPackages/{auctionPackagesId}:unsubscribe" }, "unsubscribeClients": { "httpMethod": "POST", "parameters": { "auctionPackage": { "description": "Required. Name of the auction package. Format: `buyers/{accountId}/auctionPackages/{auctionPackageId}`", "location": "path", "type": "string", "required": true, "pattern": "^buyers/[^/]+/auctionPackages/[^/]+$" } }, "parameterOrder": [ "auctionPackage" ], "path": "v1/{+auctionPackage}:unsubscribeClients", "description": "Unsubscribe from the auction package for the specified clients of the buyer. Unsubscribing a client that is not subscribed will have no effect.", "request": { "$ref": "UnsubscribeClientsRequest" }, "response": { "$ref": "AuctionPackage" }, "id": "authorizedbuyersmarketplace.buyers.auctionPackages.unsubscribeClients", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "flatPath": "v1/buyers/{buyersId}/auctionPackages/{auctionPackagesId}:unsubscribeClients" } } }, "finalizedDeals": { "methods": { "addCreative": { "response": { "$ref": "FinalizedDeal" }, "parameters": { "deal": { "required": true, "pattern": "^buyers/[^/]+/finalizedDeals/[^/]+$", "location": "path", "type": "string", "description": "Required. Name of the finalized deal in the format of: `buyers/{accountId}/finalizedDeals/{dealId}`" } }, "path": "v1/{+deal}:addCreative", "request": { "$ref": "AddCreativeRequest" }, "parameterOrder": [ "deal" ], "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "httpMethod": "POST", "flatPath": "v1/buyers/{buyersId}/finalizedDeals/{finalizedDealsId}:addCreative", "description": "Add creative to be used in the bidding process for a finalized deal. For programmatic guaranteed deals, it's recommended that you associate at least one approved creative with the deal before calling SetReadyToServe, to help reduce the number of bid responses filtered because they don't contain approved creatives. Creatives successfully added to a deal can be found in the Realtime-bidding Creatives API creative.deal_ids. This method only applies to programmatic guaranteed deals. Maximum number of 1000 creatives can be added to a finalized deal.", "id": "authorizedbuyersmarketplace.buyers.finalizedDeals.addCreative" }, "pause": { "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. Format: `buyers/{accountId}/finalizedDeals/{dealId}`", "type": "string", "required": true, "location": "path", "pattern": "^buyers/[^/]+/finalizedDeals/[^/]+$" } }, "description": "Pauses serving of the given finalized deal. This call only pauses the serving status, and does not affect other fields of the finalized deal. Calling this method for an already paused deal has no effect. This method only applies to programmatic guaranteed deals.", "path": "v1/{+name}:pause", "flatPath": "v1/buyers/{buyersId}/finalizedDeals/{finalizedDealsId}:pause", "response": { "$ref": "FinalizedDeal" }, "request": { "$ref": "PauseFinalizedDealRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "id": "authorizedbuyersmarketplace.buyers.finalizedDeals.pause" }, "setReadyToServe": { "parameterOrder": [ "deal" ], "flatPath": "v1/buyers/{buyersId}/finalizedDeals/{finalizedDealsId}:setReadyToServe", "parameters": { "deal": { "location": "path", "required": true, "type": "string", "description": "Required. Format: `buyers/{accountId}/finalizedDeals/{dealId}`", "pattern": "^buyers/[^/]+/finalizedDeals/[^/]+$" } }, "description": "Sets the given finalized deal as ready to serve. By default, deals are set as ready to serve as soon as they're finalized. If you want to opt out of the default behavior, and manually indicate that deals are ready to serve, ask your Technical Account Manager to add you to the allowlist. If you choose to use this method, finalized deals belonging to the bidder and its child seats don't start serving until after you call `setReadyToServe`, and after the deals become active. For example, you can use this method to delay receiving bid requests until your creative is ready. This method only applies to programmatic guaranteed deals.", "httpMethod": "POST", "id": "authorizedbuyersmarketplace.buyers.finalizedDeals.setReadyToServe", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "path": "v1/{+deal}:setReadyToServe", "request": { "$ref": "SetReadyToServeRequest" }, "response": { "$ref": "FinalizedDeal" } }, "get": { "id": "authorizedbuyersmarketplace.buyers.finalizedDeals.get", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "flatPath": "v1/buyers/{buyersId}/finalizedDeals/{finalizedDealsId}", "description": "Gets a finalized deal given its name.", "parameters": { "name": { "location": "path", "pattern": "^buyers/[^/]+/finalizedDeals/[^/]+$", "required": true, "description": "Required. Format: `buyers/{accountId}/finalizedDeals/{dealId}`", "type": "string" } }, "httpMethod": "GET", "path": "v1/{+name}", "response": { "$ref": "FinalizedDeal" }, "parameterOrder": [ "name" ] }, "resume": { "id": "authorizedbuyersmarketplace.buyers.finalizedDeals.resume", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "description": "Required. Format: `buyers/{accountId}/finalizedDeals/{dealId}`", "required": true, "type": "string", "pattern": "^buyers/[^/]+/finalizedDeals/[^/]+$" } }, "path": "v1/{+name}:resume", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "response": { "$ref": "FinalizedDeal" }, "flatPath": "v1/buyers/{buyersId}/finalizedDeals/{finalizedDealsId}:resume", "httpMethod": "POST", "request": { "$ref": "ResumeFinalizedDealRequest" }, "description": "Resumes serving of the given finalized deal. Calling this method for an running deal has no effect. If a deal is initially paused by the seller, calling this method will not resume serving of the deal until the seller also resumes the deal. This method only applies to programmatic guaranteed deals." }, "list": { "id": "authorizedbuyersmarketplace.buyers.finalizedDeals.list", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "description": "Lists finalized deals. Use the URL path \"/v1/buyers/{accountId}/finalizedDeals\" to list finalized deals for the current buyer and its clients. Bidders can use the URL path \"/v1/bidders/{accountId}/finalizedDeals\" to list finalized deals for the bidder, its buyers and all their clients.", "parameters": { "orderBy": { "location": "query", "description": "An optional query string to sort finalized deals using the [Cloud API sorting syntax](https://cloud.google.com/apis/design/design_patterns#sorting_order). If no sort order is specified, results will be returned in an arbitrary order. Supported columns for sorting are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.displayName LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.createTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.updateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.flightStartTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.flightEndTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.bidRequests7Days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.bids7Days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.adImpressions7Days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.bidRate7Days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.filteredBidRate7Days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.mustBidRateCurrentMonth Example: 'deal.displayName, deal.updateTime desc'", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "Optional query string using the [Cloud API list filtering syntax](https://developers.google.com/authorized-buyers/apis/guides/v2/list-filters) Supported columns for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.displayName LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.dealType LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.createTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.updateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.flightStartTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.flightEndTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh dealServingStatus" }, "pageToken": { "location": "query", "type": "string", "description": "The page token as returned from ListFinalizedDealsResponse." }, "parent": { "description": "Required. The buyer to list the finalized deals for, in the format: `buyers/{accountId}`. When used to list finalized deals for a bidder, its buyers and clients, in the format `bidders/{accountId}`.", "location": "path", "type": "string", "pattern": "^buyers/[^/]+$", "required": true }, "pageSize": { "location": "query", "type": "integer", "description": "Requested page size. The server may return fewer results than requested. If requested more than 500, the server will return 500 results per page. If unspecified, the server will pick a default page size of 100.", "format": "int32" } }, "response": { "$ref": "ListFinalizedDealsResponse" }, "flatPath": "v1/buyers/{buyersId}/finalizedDeals", "httpMethod": "GET", "path": "v1/{+parent}/finalizedDeals", "parameterOrder": [ "parent" ] } } }, "proposals": { "methods": { "sendRfp": { "description": "Sends a request for proposal (RFP) to a publisher to initiate the negotiation regarding certain inventory. In the RFP, buyers can specify the deal type, deal terms, start and end dates, targeting, and a message to the publisher. Once the RFP is sent, a proposal in `SELLER_REVIEW_REQUESTED` state will be created and returned in the response. The publisher may review your request and respond with detailed deals in the proposal.", "flatPath": "v1/buyers/{buyersId}/proposals:sendRfp", "request": { "$ref": "SendRfpRequest" }, "response": { "$ref": "Proposal" }, "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "httpMethod": "POST", "id": "authorizedbuyersmarketplace.buyers.proposals.sendRfp", "parameters": { "buyer": { "description": "Required. The current buyer who is sending the RFP in the format: `buyers/{accountId}`.", "pattern": "^buyers/[^/]+$", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "buyer" ], "path": "v1/{+buyer}/proposals:sendRfp" }, "get": { "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "response": { "$ref": "Proposal" }, "parameters": { "name": { "pattern": "^buyers/[^/]+/proposals/[^/]+$", "description": "Required. Name of the proposal. Format: `buyers/{accountId}/proposals/{proposalId}`", "required": true, "location": "path", "type": "string" } }, "description": "Gets a proposal using its name. The proposal is returned at most recent revision. revision.", "id": "authorizedbuyersmarketplace.buyers.proposals.get", "path": "v1/{+name}", "flatPath": "v1/buyers/{buyersId}/proposals/{proposalsId}" }, "addNote": { "response": { "$ref": "Proposal" }, "description": "Creates a note for this proposal and sends to the seller.", "httpMethod": "POST", "id": "authorizedbuyersmarketplace.buyers.proposals.addNote", "parameters": { "proposal": { "type": "string", "description": "Name of the proposal. Format: `buyers/{accountId}/proposals/{proposalId}`", "location": "path", "pattern": "^buyers/[^/]+/proposals/[^/]+$", "required": true } }, "request": { "$ref": "AddNoteRequest" }, "flatPath": "v1/buyers/{buyersId}/proposals/{proposalsId}:addNote", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "path": "v1/{+proposal}:addNote", "parameterOrder": [ "proposal" ] }, "accept": { "id": "authorizedbuyersmarketplace.buyers.proposals.accept", "parameters": { "name": { "description": "Name of the proposal. Format: `buyers/{accountId}/proposals/{proposalId}`", "location": "path", "required": true, "type": "string", "pattern": "^buyers/[^/]+/proposals/[^/]+$" } }, "description": "Accepts the proposal at the given revision number. If the revision number in the request is behind the latest from the server, an error message will be returned. This call updates the Proposal.state from `BUYER_ACCEPTANCE_REQUESTED` to `FINALIZED`; it has no side effect if the Proposal.state is already `FINALIZED` and throws exception if the Proposal.state is not either `BUYER_ACCEPTANCE_REQUESTED` or `FINALIZED`. Accepting a proposal means the buyer understands and accepts the Proposal.terms_and_conditions proposed by the seller.", "flatPath": "v1/buyers/{buyersId}/proposals/{proposalsId}:accept", "request": { "$ref": "AcceptProposalRequest" }, "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "response": { "$ref": "Proposal" }, "path": "v1/{+name}:accept", "httpMethod": "POST", "parameterOrder": [ "name" ] }, "list": { "parameters": { "filter": { "description": "Optional query string using the [Cloud API list filtering syntax](https://developers.google.com/authorized-buyers/apis/guides/v2/list-filters) Supported columns for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh displayName LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh dealType LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh updateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state", "location": "query", "type": "string" }, "pageSize": { "description": "Requested page size. The server may return fewer results than requested. If unspecified, the server will put a size of 500.", "format": "int32", "location": "query", "type": "integer" }, "parent": { "pattern": "^buyers/[^/]+$", "description": "Required. Parent that owns the collection of proposals Format: `buyers/{accountId}`", "required": true, "location": "path", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The page token as returned from ListProposalsResponse." } }, "description": "Lists proposals. A filter expression (list filter syntax) may be specified to filter the results. This will not list finalized versions of proposals that are being renegotiated; to retrieve these use the finalizedProposals resource.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "response": { "$ref": "ListProposalsResponse" }, "path": "v1/{+parent}/proposals", "id": "authorizedbuyersmarketplace.buyers.proposals.list", "flatPath": "v1/buyers/{buyersId}/proposals", "parameterOrder": [ "parent" ] }, "patch": { "flatPath": "v1/buyers/{buyersId}/proposals/{proposalsId}", "httpMethod": "PATCH", "parameterOrder": [ "name" ], "response": { "$ref": "Proposal" }, "path": "v1/{+name}", "parameters": { "name": { "description": "Immutable. The name of the proposal serving as a unique identifier. Format: buyers/{accountId}/proposals/{proposalId}", "location": "path", "required": true, "pattern": "^buyers/[^/]+/proposals/[^/]+$", "type": "string" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "List of fields to be updated. If empty or unspecified, the service will update all fields populated in the update request excluding the output only fields and primitive fields with default value. Note that explicit field mask is required in order to reset a primitive field back to its default value, for example, false for boolean fields, 0 for integer fields. A special field mask consisting of a single path \"*\" can be used to indicate full replacement(the equivalent of PUT method), updatable fields unset or unspecified in the input will be cleared or set to default value. Output only fields will be ignored regardless of the value of updateMask.", "location": "query" } }, "description": "Updates the proposal at the given revision number. If the revision number in the request is behind the latest from the server, an error message will be returned. See FieldMask for how to use FieldMask. Only fields specified in the UpdateProposalRequest.update_mask will be updated; Fields noted as 'Immutable' or 'Output only' yet specified in the UpdateProposalRequest.update_mask will be ignored and left unchanged. Updating a private auction proposal is not allowed and will result in an error.", "request": { "$ref": "Proposal" }, "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "id": "authorizedbuyersmarketplace.buyers.proposals.patch" }, "cancelNegotiation": { "request": { "$ref": "CancelNegotiationRequest" }, "httpMethod": "POST", "id": "authorizedbuyersmarketplace.buyers.proposals.cancelNegotiation", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "flatPath": "v1/buyers/{buyersId}/proposals/{proposalsId}:cancelNegotiation", "description": "Cancels an ongoing negotiation on a proposal. This does not cancel or end serving for the deals if the proposal has been finalized. If the proposal has not been finalized before, calling this method will set the Proposal.state to `TERMINATED` and increment the Proposal.proposal_revision. If the proposal has been finalized before and is under renegotiation now, calling this method will reset the Proposal.state to `FINALIZED` and increment the Proposal.proposal_revision. This method does not support private auction proposals whose Proposal.deal_type is 'PRIVATE_AUCTION'.", "response": { "$ref": "Proposal" }, "path": "v1/{+proposal}:cancelNegotiation", "parameters": { "proposal": { "description": "Name of the proposal. Format: `buyers/{accountId}/proposals/{proposalId}`", "location": "path", "pattern": "^buyers/[^/]+/proposals/[^/]+$", "type": "string", "required": true } }, "parameterOrder": [ "proposal" ] } }, "resources": { "deals": { "methods": { "patch": { "parameterOrder": [ "name" ], "id": "authorizedbuyersmarketplace.buyers.proposals.deals.patch", "httpMethod": "PATCH", "flatPath": "v1/buyers/{buyersId}/proposals/{proposalsId}/deals/{dealsId}", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "response": { "$ref": "Deal" }, "description": "Updates the given deal at the buyer known revision number. If the server revision has advanced since the passed-in proposal.proposal_revision an ABORTED error message will be returned. The revision number is incremented by the server whenever the proposal or its constituent deals are updated. Note: The revision number is kept at a proposal level. The buyer of the API is expected to keep track of the revision number after the last update operation and send it in as part of the next update request. This way, if there are further changes on the server (for example, seller making new updates), then the server can detect conflicts and reject the proposed changes.", "request": { "$ref": "Deal" }, "parameters": { "name": { "location": "path", "type": "string", "description": "Immutable. The unique identifier of the deal. Auto-generated by the server when a deal is created. Format: buyers/{accountId}/proposals/{proposalId}/deals/{dealId}", "pattern": "^buyers/[^/]+/proposals/[^/]+/deals/[^/]+$", "required": true }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "List of fields to be updated. If empty or unspecified, the service will update all fields populated in the update request excluding the output only fields and primitive fields with default value. Note that explicit field mask is required in order to reset a primitive field back to its default value, for example, false for boolean fields, 0 for integer fields. A special field mask consisting of a single path \"*\" can be used to indicate full replacement(the equivalent of PUT method), updatable fields unset or unspecified in the input will be cleared or set to default value. Output only fields will be ignored regardless of the value of updateMask." } }, "path": "v1/{+name}" }, "get": { "flatPath": "v1/buyers/{buyersId}/proposals/{proposalsId}/deals/{dealsId}", "response": { "$ref": "Deal" }, "id": "authorizedbuyersmarketplace.buyers.proposals.deals.get", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "description": "Gets a deal given its name. The deal is returned at its head revision.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. Format: buyers/{accountId}/proposals/{proposalId}/deals/{dealId}", "required": true, "pattern": "^buyers/[^/]+/proposals/[^/]+/deals/[^/]+$", "location": "path", "type": "string" } }, "path": "v1/{+name}", "httpMethod": "GET" }, "batchUpdate": { "flatPath": "v1/buyers/{buyersId}/proposals/{proposalsId}/deals:batchUpdate", "httpMethod": "POST", "parameterOrder": [ "parent" ], "response": { "$ref": "BatchUpdateDealsResponse" }, "parameters": { "parent": { "pattern": "^buyers/[^/]+/proposals/[^/]+$", "location": "path", "description": "Required. The name of the proposal containing the deals to batch update. Format: buyers/{accountId}/proposals/{proposalId}", "required": true, "type": "string" } }, "description": "Batch updates multiple deals in the same proposal.", "id": "authorizedbuyersmarketplace.buyers.proposals.deals.batchUpdate", "path": "v1/{+parent}/deals:batchUpdate", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "request": { "$ref": "BatchUpdateDealsRequest" } }, "list": { "id": "authorizedbuyersmarketplace.buyers.proposals.deals.list", "httpMethod": "GET", "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Requested page size. The server may return fewer results than requested. If requested more than 500, the server will return 500 results per page. If unspecified, the server will pick a default page size of 100." }, "parent": { "type": "string", "pattern": "^buyers/[^/]+/proposals/[^/]+$", "location": "path", "description": "Required. The name of the proposal containing the deals to retrieve. Format: buyers/{accountId}/proposals/{proposalId}", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "The page token as returned from ListDealsResponse." } }, "parameterOrder": [ "parent" ], "description": "Lists all deals in a proposal. To retrieve only the finalized revision deals regardless if a deal is being renegotiated, see the FinalizedDeals resource.", "flatPath": "v1/buyers/{buyersId}/proposals/{proposalsId}/deals", "response": { "$ref": "ListDealsResponse" }, "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "path": "v1/{+parent}/deals" } } } } }, "publisherProfiles": { "methods": { "list": { "response": { "$ref": "ListPublisherProfilesResponse" }, "description": "Lists publisher profiles", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "path": "v1/{+parent}/publisherProfiles", "flatPath": "v1/buyers/{buyersId}/publisherProfiles", "parameterOrder": [ "parent" ], "httpMethod": "GET", "id": "authorizedbuyersmarketplace.buyers.publisherProfiles.list", "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "Requested page size. The server may return fewer results than requested. If requested more than 500, the server will return 500 results per page. If unspecified, the server will pick a default page size of 100.", "format": "int32" }, "pageToken": { "location": "query", "description": "The page token as returned from a previous ListPublisherProfilesResponse.", "type": "string" }, "filter": { "description": "Optional query string using the [Cloud API list filtering] (https://developers.google.com/authorized-buyers/apis/guides/v2/list-filters) syntax.", "type": "string", "location": "query" }, "parent": { "pattern": "^buyers/[^/]+$", "type": "string", "required": true, "description": "Required. Parent that owns the collection of publisher profiles Format: `buyers/{buyerId}`", "location": "path" } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ], "id": "authorizedbuyersmarketplace.buyers.publisherProfiles.get", "parameters": { "name": { "pattern": "^buyers/[^/]+/publisherProfiles/[^/]+$", "type": "string", "location": "path", "description": "Required. Name of the publisher profile. Format: `buyers/{buyerId}/publisherProfiles/{publisherProfileId}`", "required": true } }, "response": { "$ref": "PublisherProfile" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1/buyers/{buyersId}/publisherProfiles/{publisherProfilesId}", "description": "Gets the requested publisher profile by name." } } } } }, "bidders": { "resources": { "finalizedDeals": { "methods": { "list": { "flatPath": "v1/bidders/{biddersId}/finalizedDeals", "httpMethod": "GET", "path": "v1/{+parent}/finalizedDeals", "description": "Lists finalized deals. Use the URL path \"/v1/buyers/{accountId}/finalizedDeals\" to list finalized deals for the current buyer and its clients. Bidders can use the URL path \"/v1/bidders/{accountId}/finalizedDeals\" to list finalized deals for the bidder, its buyers and all their clients.", "parameterOrder": [ "parent" ], "response": { "$ref": "ListFinalizedDealsResponse" }, "parameters": { "filter": { "location": "query", "description": "Optional query string using the [Cloud API list filtering syntax](https://developers.google.com/authorized-buyers/apis/guides/v2/list-filters) Supported columns for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.displayName LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.dealType LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.createTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.updateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.flightStartTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.flightEndTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh dealServingStatus", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Requested page size. The server may return fewer results than requested. If requested more than 500, the server will return 500 results per page. If unspecified, the server will pick a default page size of 100." }, "pageToken": { "description": "The page token as returned from ListFinalizedDealsResponse.", "type": "string", "location": "query" }, "parent": { "required": true, "description": "Required. The buyer to list the finalized deals for, in the format: `buyers/{accountId}`. When used to list finalized deals for a bidder, its buyers and clients, in the format `bidders/{accountId}`.", "pattern": "^bidders/[^/]+$", "type": "string", "location": "path" }, "orderBy": { "type": "string", "location": "query", "description": "An optional query string to sort finalized deals using the [Cloud API sorting syntax](https://cloud.google.com/apis/design/design_patterns#sorting_order). If no sort order is specified, results will be returned in an arbitrary order. Supported columns for sorting are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.displayName LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.createTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.updateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.flightStartTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh deal.flightEndTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.bidRequests7Days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.bids7Days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.adImpressions7Days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.bidRate7Days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.filteredBidRate7Days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rtbMetrics.mustBidRateCurrentMonth Example: 'deal.displayName, deal.updateTime desc'" } }, "id": "authorizedbuyersmarketplace.bidders.finalizedDeals.list", "scopes": [ "https://www.googleapis.com/auth/authorized-buyers-marketplace" ] } } } } } }, "version_module": true, "ownerDomain": "google.com", "documentationLink": "https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/", "schemas": { "Empty": { "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" }, "FrequencyCap": { "id": "FrequencyCap", "properties": { "timeUnitType": { "description": "The time unit. Along with num_time_units defines the amount of time over which impressions per user are counted and capped.", "type": "string", "enumDescriptions": [ "A placeholder for an undefined time unit type. This just indicates the variable with this value hasn't been initialized.", "Minute unit.", "Hour unit.", "Day unit.", "Week unit.", "Month unit.", "Lifecycle/Lifetime unit.", "Pod unit.", "Stream unit." ], "enum": [ "TIME_UNIT_TYPE_UNSPECIFIED", "MINUTE", "HOUR", "DAY", "WEEK", "MONTH", "LIFETIME", "POD", "STREAM" ] }, "timeUnitsCount": { "description": "The amount of time, in the units specified by time_unit_type. Defines the amount of time over which impressions per user are counted and capped.", "type": "integer", "format": "int32" }, "maxImpressions": { "type": "integer", "format": "int32", "description": "The maximum number of impressions that can be served to a user within the specified time period." } }, "type": "object", "description": "Message contains details about publisher-set frequency caps of the delivery." }, "Money": { "type": "object", "properties": { "units": { "type": "string", "format": "int64", "description": "The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar." }, "nanos": { "description": "Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.", "type": "integer", "format": "int32" }, "currencyCode": { "description": "The three-letter currency code defined in ISO 4217.", "type": "string" } }, "id": "Money", "description": "Represents an amount of money with its currency type." }, "Deal": { "properties": { "estimatedGrossSpend": { "description": "Specified by buyers in request for proposal (RFP) to notify publisher the total estimated spend for the proposal. Publishers will receive this information and send back proposed deals accordingly.", "$ref": "Money" }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time of the deal creation.", "type": "string" }, "publisherProfile": { "type": "string", "description": "Immutable. Reference to the seller on the deal. Format: `buyers/{buyerAccountId}/publisherProfiles/{publisherProfileId}`" }, "updateTime": { "format": "google-datetime", "description": "Output only. The time when the deal was last updated.", "readOnly": true, "type": "string" }, "deliveryControl": { "readOnly": true, "$ref": "DeliveryControl", "description": "Output only. Specifies the pacing set by the publisher." }, "privateAuctionTerms": { "$ref": "PrivateAuctionTerms", "description": "The terms for private auction deals." }, "targeting": { "$ref": "MarketplaceTargeting", "description": "Specifies the subset of inventory targeted by the deal. Can be updated by the buyer before the deal is finalized." }, "buyer": { "readOnly": true, "type": "string", "description": "Output only. Refers to a buyer in The Realtime-bidding API. Format: `buyers/{buyerAccountId}`" }, "billedBuyer": { "readOnly": true, "type": "string", "description": "Output only. When the client field is populated, this field refers to the buyer who creates and manages the client buyer and gets billed on behalf of the client buyer; when the buyer field is populated, this field is the same value as buyer. Format : `buyers/{buyerAccountId}`" }, "client": { "description": "Output only. Refers to a Client. Format: `buyers/{buyerAccountId}/clients/{clientAccountid}`", "type": "string", "readOnly": true }, "name": { "description": "Immutable. The unique identifier of the deal. Auto-generated by the server when a deal is created. Format: buyers/{accountId}/proposals/{proposalId}/deals/{dealId}", "type": "string" }, "sellerTimeZone": { "$ref": "TimeZone", "description": "Output only. Time zone of the seller used to mark the boundaries of a day for daypart targeting and CPD billing.", "readOnly": true }, "flightStartTime": { "type": "string", "format": "google-datetime", "description": "Proposed flight start time of the deal. This will generally be stored in the granularity of one second since deal serving starts at seconds boundary. Any time specified with more granularity (for example, in milliseconds) will be truncated towards the start of time in seconds." }, "programmaticGuaranteedTerms": { "description": "The terms for programmatic guaranteed deals.", "$ref": "ProgrammaticGuaranteedTerms" }, "dealType": { "enumDescriptions": [ "Default, unspecified deal type.", "Preferred deals.", "Private auction deals.", "Programmatic guaranteed deals." ], "enum": [ "DEAL_TYPE_UNSPECIFIED", "PREFERRED_DEAL", "PRIVATE_AUCTION", "PROGRAMMATIC_GUARANTEED" ], "readOnly": true, "description": "Output only. Type of deal.", "type": "string" }, "displayName": { "readOnly": true, "type": "string", "description": "Output only. The name of the deal. Maximum length of 255 unicode characters is allowed. Control characters are not allowed. Buyers cannot update this field. Note: Not to be confused with name, which is a unique identifier of the deal." }, "preferredDealTerms": { "$ref": "PreferredDealTerms", "description": "The terms for preferred deals." }, "description": { "type": "string", "description": "Output only. Free text description for the deal terms.", "readOnly": true }, "flightEndTime": { "description": "Proposed flight end time of the deal. This will generally be stored in a granularity of a second. A value is not necessary for Private Auction deals.", "type": "string", "format": "google-datetime" }, "creativeRequirements": { "readOnly": true, "description": "Output only. Metadata about the creatives of this deal.", "$ref": "CreativeRequirements" }, "proposalRevision": { "format": "int64", "readOnly": true, "description": "Output only. The revision number for the proposal and is the same value as proposal.proposal_revision. Each update to deal causes the proposal revision number to auto-increment. The buyer keeps track of the last revision number they know of and pass it in when making an update. If the head revision number on the server has since incremented, then an ABORTED error is returned during the update operation to let the buyer know that a subsequent update was made.", "type": "string" } }, "type": "object", "id": "Deal", "description": "A deal represents a segment of inventory for displaying ads that contains the terms and targeting information that is used for serving as well as the deal stats and status. Note: A proposal may contain multiple deals." }, "AddCreativeRequest": { "type": "object", "id": "AddCreativeRequest", "properties": { "creative": { "type": "string", "description": "Name of the creative to add to the finalized deal, in the format `buyers/{buyerAccountId}/creatives/{creativeId}`. See creative.name." } }, "description": "Request message for adding creative to be used in the bidding process for the finalized deal." }, "AddNoteRequest": { "id": "AddNoteRequest", "properties": { "note": { "description": "The note to add.", "$ref": "Note" } }, "description": "Request to add a note.", "type": "object" }, "ListProposalsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." }, "proposals": { "description": "The list of proposals.", "type": "array", "items": { "$ref": "Proposal" } } }, "description": "Response message for listing proposals.", "id": "ListProposalsResponse", "type": "object" }, "SetReadyToServeRequest": { "properties": {}, "id": "SetReadyToServeRequest", "description": "Request message for setting ready to serve for a finalized deal.", "type": "object" }, "FinalizedDeal": { "properties": { "deal": { "description": "A copy of the Deal made upon finalization. During renegotiation, this will reflect the last finalized deal before renegotiation was initiated.", "$ref": "Deal" }, "rtbMetrics": { "$ref": "RtbMetrics", "description": "Real-time bidding metrics for this deal." }, "dealPausingInfo": { "$ref": "DealPausingInfo", "description": "Information related to deal pausing for the deal." }, "readyToServe": { "description": "Whether the Programmatic Guaranteed deal is ready for serving.", "type": "boolean" }, "name": { "type": "string", "description": "The resource name of the finalized deal. Format: `buyers/{accountId}/finalizeddeals/{finalizedDealId}`" }, "dealServingStatus": { "enum": [ "DEAL_SERVING_STATUS_UNSPECIFIED", "ACTIVE", "ENDED", "PAUSED_BY_BUYER", "PAUSED_BY_SELLER" ], "description": "Serving status of the deal.", "enumDescriptions": [ "Unspecified.", "The deal is actively serving or ready to serve when the start date is reached.", "The deal serving has ended.", "The deal serving is paused by buyer.", "The deal serving is paused by seller." ], "type": "string" } }, "type": "object", "id": "FinalizedDeal", "description": "A finalized deal is a snapshot of the deal when both buyer and seller accept the deal. The buyer or seller can update the deal after it's been finalized and renegotiate on the deal targeting, terms and other fields, while at the same time the finalized snapshot of the deal can still be retrieved using this API. The finalized deal contains a copy of the deal as it existed when most recently finalized, as well as fields related to deal serving such as pause/resume status, RTB metrics, and more." }, "TimeZone": { "id": "TimeZone", "properties": { "id": { "type": "string", "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\"." }, "version": { "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\".", "type": "string" } }, "description": "Represents a time zone from the [IANA Time Zone Database](https://www.iana.org/time-zones).", "type": "object" }, "UnsubscribeClientsRequest": { "description": "Request message for UnsubscribeAuctionPackage.", "type": "object", "id": "UnsubscribeClientsRequest", "properties": { "clients": { "type": "array", "description": "Optional. A list of client buyers to unsubscribe from the auction package, with client buyer in the format `buyers/{accountId}/clients/{clientAccountId}`.", "items": { "type": "string" } } } }, "ActivateClientRequest": { "id": "ActivateClientRequest", "properties": {}, "description": "Request message for activating a client.", "type": "object" }, "PreferredDealTerms": { "description": "Pricing terms for Preferred Deals.", "type": "object", "properties": { "fixedPrice": { "$ref": "Price", "description": "Fixed price for the deal." } }, "id": "PreferredDealTerms" }, "Note": { "type": "object", "id": "Note", "properties": { "note": { "description": "The text of the note. Maximum length is 1024 characters.", "type": "string" }, "creatorRole": { "description": "Output only. The role who created the note.", "type": "string", "enumDescriptions": [ "A placeholder for an undefined buyer/seller role.", "Specifies the role as buyer.", "Specifies the role as seller." ], "readOnly": true, "enum": [ "BUYER_SELLER_ROLE_UNSPECIFIED", "BUYER", "SELLER" ] }, "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. When this note was created." } }, "description": "A text note attached to the proposal to facilitate the communication between buyers and sellers." }, "FirstPartyMobileApplicationTargeting": { "type": "object", "description": "Represents a list of targeted and excluded mobile application IDs that publishers own. Android App ID, for example, com.google.android.apps.maps, can be found in Google Play Store URL. iOS App ID (which is a number) can be found at the end of iTunes store URL. First party mobile applications is either included or excluded.", "properties": { "targetedAppIds": { "type": "array", "items": { "type": "string" }, "description": "A list of application IDs to be included." }, "excludedAppIds": { "description": "A list of application IDs to be excluded.", "items": { "type": "string" }, "type": "array" } }, "id": "FirstPartyMobileApplicationTargeting" }, "PauseFinalizedDealRequest": { "properties": { "reason": { "description": "The reason to pause the finalized deal, will be displayed to the seller. Maximum length is 1000 characters.", "type": "string" } }, "type": "object", "id": "PauseFinalizedDealRequest", "description": "Request message for pausing a finalized deal." }, "SubscribeAuctionPackageRequest": { "description": "Request message for SubscribeAuctionPackage.", "type": "object", "properties": {}, "id": "SubscribeAuctionPackageRequest" }, "AdSize": { "id": "AdSize", "type": "object", "properties": { "height": { "type": "string", "format": "int64", "description": "The height of the ad slot in pixels. This field will be present only when size type is `PIXEL`." }, "width": { "format": "int64", "type": "string", "description": "The width of the ad slot in pixels. This field will be present only when size type is `PIXEL`." }, "type": { "type": "string", "description": "The type of the ad slot size.", "enumDescriptions": [ "A placeholder for an undefined size type.", "Ad slot with size specified by height and width in pixels.", "Special size to describe an interstitial ad slot.", "Native (mobile) ads rendered by the publisher.", "Fluid size (responsive size) can be resized automatically with the change of outside environment." ], "enum": [ "TYPE_UNSPECIFIED", "PIXEL", "INTERSTITIAL", "NATIVE", "FLUID" ] } }, "description": "Represents size of a single ad slot, or a creative." }, "ActivateClientUserRequest": { "type": "object", "description": "Request message for activating a client user.", "properties": {}, "id": "ActivateClientUserRequest" }, "PlacementTargeting": { "properties": { "uriTargeting": { "description": "URLs to be included/excluded.", "$ref": "UriTargeting" }, "mobileApplicationTargeting": { "$ref": "MobileApplicationTargeting", "description": "Mobile application targeting information in a deal. This doesn't apply to Auction Packages." } }, "id": "PlacementTargeting", "type": "object", "description": "Represents targeting about where the ads can appear, for example, certain sites or mobile applications. Different placement targeting types will be logically OR'ed." }, "TechnologyTargeting": { "type": "object", "id": "TechnologyTargeting", "properties": { "operatingSystemTargeting": { "description": "Operating system related targeting information.", "$ref": "OperatingSystemTargeting" }, "deviceCategoryTargeting": { "$ref": "CriteriaTargeting", "description": "IDs of device categories to be included/excluded." }, "deviceCapabilityTargeting": { "description": "IDs of device capabilities to be included/excluded.", "$ref": "CriteriaTargeting" } }, "description": "Represents targeting about various types of technology." }, "AuctionPackage": { "id": "AuctionPackage", "properties": { "creator": { "readOnly": true, "type": "string", "description": "Output only. The buyer that created this auction package. Format: `buyers/{buyerAccountId}`" }, "subscribedClients": { "readOnly": true, "type": "array", "items": { "type": "string" }, "description": "Output only. The list of clients of the current buyer that are subscribed to the AuctionPackage. Format: `buyers/{buyerAccountId}/clients/{clientAccountId}`" }, "createTime": { "description": "Output only. Time the auction package was created.", "format": "google-datetime", "type": "string", "readOnly": true }, "description": { "readOnly": true, "description": "Output only. A description of the auction package.", "type": "string" }, "name": { "description": "Immutable. The unique identifier for the auction package. Format: `buyers/{accountId}/auctionPackages/{auctionPackageId}` The auction_package_id part of name is sent in the BidRequest to all RTB bidders and is returned as deal_id by the bidder in the BidResponse.", "type": "string" }, "displayName": { "description": "The display_name assigned to the auction package.", "type": "string" }, "updateTime": { "description": "Output only. Time the auction package was last updated. This value is only increased when this auction package is updated but never when a buyer subscribed.", "type": "string", "readOnly": true, "format": "google-datetime" } }, "type": "object", "description": "Defines a segment of inventory that buyer wants to buy. It's created by buyer and could be shared with multiple buyers." }, "DayPartTargeting": { "type": "object", "id": "DayPartTargeting", "description": "Represents Daypart targeting.", "properties": { "dayParts": { "description": "The targeted weekdays and times", "type": "array", "items": { "$ref": "DayPart" } }, "timeZoneType": { "enum": [ "TIME_ZONE_TYPE_UNSPECIFIED", "SELLER", "USER" ], "type": "string", "description": "The time zone type of the day parts", "enumDescriptions": [ "Default value. This field is unused.", "The publisher's time zone", "The user's time zone" ] } } }, "ClientUser": { "id": "ClientUser", "properties": { "name": { "type": "string", "readOnly": true, "description": "Output only. The resource name of the client user. Format: `buyers/{accountId}/clients/{clientAccountId}/users/{userId}`" }, "state": { "description": "Output only. The state of the client user.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "INVITED", "ACTIVE", "INACTIVE" ], "enumDescriptions": [ "A placeholder for an undefined user state.", "A user who was created but hasn't accepted the invitation yet, not allowed to access the Authorized Buyers UI.", "A user that is currently active and allowed to access the Authorized Buyers UI.", "A user that is currently inactive and not allowed to access the Authorized Buyers UI." ], "readOnly": true }, "email": { "description": "Required. The client user's email address that has to be unique across all users for the same client.", "type": "string" } }, "description": "A user of a client who has restricted access to the Marketplace and certain other sections of the Authorized Buyers UI based on the role granted to the associated client.", "type": "object" }, "SendRfpRequest": { "id": "SendRfpRequest", "type": "object", "description": "Request to send an RFP. All fields in this request are proposed to publisher and subject to changes by publisher during later negotiation.", "properties": { "note": { "type": "string", "description": "A message that is sent to the publisher. Maximum length is 1024 characters." }, "inventorySizeTargeting": { "$ref": "InventorySizeTargeting", "description": "Inventory sizes to be targeted." }, "geoTargeting": { "$ref": "CriteriaTargeting", "description": "Geo criteria IDs to be targeted. Refer to Geo tables." }, "buyerContacts": { "items": { "$ref": "Contact" }, "type": "array", "description": "Contact information for the buyer." }, "preferredDealTerms": { "$ref": "PreferredDealTerms", "description": "The terms for preferred deals." }, "flightEndTime": { "format": "google-datetime", "description": "Required. Proposed flight end time of the RFP. A timestamp in RFC3339 UTC \"Zulu\" format. Note that the specified value will be truncated to a granularity of one second.", "type": "string" }, "flightStartTime": { "type": "string", "description": "Required. Proposed flight start time of the RFP. A timestamp in RFC3339 UTC \"Zulu\" format. Note that the specified value will be truncated to a granularity of one second.", "format": "google-datetime" }, "programmaticGuaranteedTerms": { "description": "The terms for programmatic guaranteed deals.", "$ref": "ProgrammaticGuaranteedTerms" }, "estimatedGrossSpend": { "$ref": "Money", "description": "Specified by buyers in request for proposal (RFP) to notify publisher the total estimated spend for the proposal. Publishers will receive this information and send back proposed deals accordingly." }, "displayName": { "type": "string", "description": "Required. The display name of the proposal being created by this RFP." }, "client": { "description": "If the current buyer is sending the RFP on behalf of its client, use this field to specify the name of the client in the format: `buyers/{accountId}/clients/{clientAccountid}`.", "type": "string" }, "publisherProfile": { "description": "Required. The profile of the publisher who will receive this RFP in the format: `buyers/{accountId}/publisherProfiles/{publisherProfileId}`.", "type": "string" } } }, "PublisherProfile": { "description": "The values in the publisher profile are supplied by the publisher. All fields are not filterable unless stated otherwise.", "properties": { "name": { "type": "string", "description": "Name of the publisher profile. Format: `buyers/{buyer}/publisherProfiles/{publisher_profile}`" }, "programmaticDealsContact": { "description": "Contact information for programmatic deals. This is free text entered by the publisher and may include information like names, phone numbers and email addresses.", "type": "string" }, "pitchStatement": { "description": "Statement explaining what's unique about publisher's business, and why buyers should partner with the publisher.", "type": "string" }, "overview": { "type": "string", "description": "Overview of the publisher." }, "samplePageUrl": { "description": "URL to a sample content page.", "type": "string" }, "mediaKitUrl": { "type": "string", "description": "URL to additional marketing and sales materials." }, "directDealsContact": { "description": "Contact information for direct reservation deals. This is free text entered by the publisher and may include information like names, phone numbers and email addresses.", "type": "string" }, "logoUrl": { "description": "A Google public URL to the logo for this publisher profile. The logo is stored as a PNG, JPG, or GIF image.", "type": "string" }, "audienceDescription": { "description": "Description on the publisher's audience.", "type": "string" }, "domains": { "description": "The list of domains represented in this publisher profile. Empty if this is a parent profile. These are top private domains, meaning that these will not contain a string like \"photos.google.co.uk/123\", but will instead contain \"google.co.uk\". Can be used to filter the response of the publisherProfiles.list method.", "type": "array", "items": { "type": "string" } }, "topHeadlines": { "description": "Up to three key metrics and rankings. For example, \"#1 Mobile News Site for 20 Straight Months\".", "type": "array", "items": { "type": "string" } }, "publisherCode": { "type": "string", "description": "A unique identifying code for the seller. This value is the same for all of the seller's parent and child publisher profiles. Can be used to filter the response of the publisherProfiles.list method." }, "mobileApps": { "items": { "$ref": "PublisherProfileMobileApplication" }, "type": "array", "description": "The list of apps represented in this publisher profile. Empty if this is a parent profile." }, "displayName": { "type": "string", "description": "Display name of the publisher profile. Can be used to filter the response of the publisherProfiles.list method." }, "isParent": { "type": "boolean", "description": "Indicates if this profile is the parent profile of the seller. A parent profile represents all the inventory from the seller, as opposed to child profile that is created to brand a portion of inventory. One seller has only one parent publisher profile, and can have multiple child profiles. See https://support.google.com/admanager/answer/6035806 for details. Can be used to filter the response of the publisherProfiles.list method by setting the filter to \"is_parent: true\"." } }, "id": "PublisherProfile", "type": "object" }, "DeliveryControl": { "description": "Message contains details about how the deal will be paced.", "type": "object", "id": "DeliveryControl", "properties": { "roadblockingType": { "enumDescriptions": [ "A placeholder for an unspecified roadblocking type.", "Only one creative from a deal can serve per ad request. https://support.google.com/admanager/answer/177277.", "Any number of creatives from a deal can serve together per ad request.", "As many creatives from a deal as can fit on a page will serve. This could mean anywhere from one to all of a deal's creatives given the size constraints of ad slots on a page.", "All or none of the creatives from a deal will serve.", "A main/companion creative set roadblocking type." ], "description": "Output only. Specifies the roadblocking type in display creatives.", "enum": [ "ROADBLOCKING_TYPE_UNSPECIFIED", "ONLY_ONE", "ONE_OR_MORE", "AS_MANY_AS_POSSIBLE", "ALL_ROADBLOCK", "CREATIVE_SET" ], "type": "string", "readOnly": true }, "deliveryRateType": { "enumDescriptions": [ "A placeholder for an undefined delivery rate type.", "Impressions are served uniformly over the life of the deal.", "Impressions are served front-loaded.", "Impressions are served as fast as possible." ], "type": "string", "readOnly": true, "description": "Output only. Specifies how the impression delivery will be paced.", "enum": [ "DELIVERY_RATE_TYPE_UNSPECIFIED", "EVENLY", "FRONT_LOADED", "AS_FAST_AS_POSSIBLE" ] }, "companionDeliveryType": { "description": "Output only. Specifies roadblocking in a main companion lineitem.", "readOnly": true, "enumDescriptions": [ "A placeholder for an unspecified companion delivery type.", "Companions are not required to serve a creative set. The creative set can serve an inventory that has zero or more matching companions.", "At least one companion must be served in order for the creative set to be used.", "All companions in the set must be served in order for the creative set to be used. This can still serve to inventory that has more companions than can be filled." ], "type": "string", "enum": [ "COMPANION_DELIVERY_TYPE_UNSPECIFIED", "DELIVERY_OPTIONAL", "DELIVERY_AT_LEAST_ONE", "DELIVERY_ALL" ] }, "creativeRotationType": { "type": "string", "enum": [ "CREATIVE_ROTATION_TYPE_UNSPECIFIED", "ROTATION_EVEN", "ROTATION_OPTIMIZED", "ROTATION_MANUAL", "ROTATION_SEQUENTIAL" ], "description": "Output only. Specifies strategy to use for selecting a creative when multiple creatives of the same size are available.", "readOnly": true, "enumDescriptions": [ "Creatives are displayed roughly the same number of times over the duration of the deal.", "Creatives are displayed roughly the same number of times over the duration of the deal.", "Creatives are served roughly proportionally to their performance.", "Creatives are served roughly proportionally to their weights.", "Creatives are served exactly in sequential order, also known as Storyboarding." ] }, "frequencyCap": { "items": { "$ref": "FrequencyCap" }, "type": "array", "readOnly": true, "description": "Output only. Specifies any frequency caps. Cannot be filtered within ListDealsRequest." } } }, "CancelNegotiationRequest": { "type": "object", "description": "Request to cancel an ongoing negotiation.", "id": "CancelNegotiationRequest", "properties": {} }, "ListDealsResponse": { "description": "Response message for listing deals in a proposal.", "type": "object", "id": "ListDealsResponse", "properties": { "deals": { "type": "array", "description": "The list of deals.", "items": { "$ref": "Deal" } }, "nextPageToken": { "type": "string", "description": "Token to fetch the next page of results." } } }, "CriteriaTargeting": { "id": "CriteriaTargeting", "type": "object", "description": "Generic targeting used for targeting dimensions that contains a list of included and excluded numeric IDs. This cannot be filtered using list filter syntax.", "properties": { "excludedCriteriaIds": { "description": "A list of numeric IDs to be excluded.", "items": { "type": "string", "format": "int64" }, "type": "array" }, "targetedCriteriaIds": { "items": { "format": "int64", "type": "string" }, "type": "array", "description": "A list of numeric IDs to be included." } } }, "MarketplaceTargeting": { "properties": { "videoTargeting": { "readOnly": true, "description": "Output only. Video targeting information.", "$ref": "VideoTargeting" }, "daypartTargeting": { "$ref": "DayPartTargeting", "description": "Daypart targeting information." }, "inventorySizeTargeting": { "$ref": "InventorySizeTargeting", "readOnly": true, "description": "Output only. Inventory sizes to be included/excluded." }, "placementTargeting": { "readOnly": true, "description": "Output only. Placement targeting information, for example, URL, mobile applications.", "$ref": "PlacementTargeting" }, "geoTargeting": { "description": "Output only. Geo criteria IDs to be included/excluded.", "$ref": "CriteriaTargeting", "readOnly": true }, "technologyTargeting": { "description": "Output only. Technology targeting information, for example, operating system, device category.", "readOnly": true, "$ref": "TechnologyTargeting" }, "userListTargeting": { "$ref": "CriteriaTargeting", "description": "Buyer user list targeting information. User lists can be uploaded using https://developers.google.com/authorized-buyers/rtb/bulk-uploader." } }, "id": "MarketplaceTargeting", "description": "Targeting represents different criteria that can be used to target inventory. For example, they can choose to target inventory only if the user is in the US. Multiple types of targeting are always applied as a logical AND, unless noted otherwise.", "type": "object" }, "PublisherProfileMobileApplication": { "description": "A mobile application that contains a external app ID, name, and app store.", "properties": { "externalAppId": { "description": "The external ID for the app from its app store. Can be used to filter the response of the publisherProfiles.list method.", "type": "string" }, "appStore": { "enum": [ "APP_STORE_TYPE_UNSPECIFIED", "APPLE_ITUNES", "GOOGLE_PLAY", "ROKU", "AMAZON_FIRE_TV", "PLAYSTATION", "XBOX", "SAMSUNG_TV", "AMAZON", "OPPO", "SAMSUNG", "VIVO", "XIAOMI" ], "description": "The app store the app belongs to. Can be used to filter the response of the publisherProfiles.list method.", "type": "string", "enumDescriptions": [ "A placeholder for an unknown app store.", "Apple iTunes", "Google Play", "Roku", "Amazon Fire TV", "PlayStation", "Xbox", "Samsung TV", "Amazon Appstore", "OPPO App Market", "Samsung Galaxy Store", "VIVO App Store", "Xiaomi GetApps" ] }, "name": { "type": "string", "description": "The name of the app." } }, "type": "object", "id": "PublisherProfileMobileApplication" }, "BatchUpdateDealsRequest": { "id": "BatchUpdateDealsRequest", "description": "Request message for batch updating deals.", "properties": { "requests": { "description": "Required. List of request messages to update deals.", "items": { "$ref": "UpdateDealRequest" }, "type": "array" } }, "type": "object" }, "UnsubscribeAuctionPackageRequest": { "description": "Request message for UnsubscribeAuctionPackage.", "properties": {}, "id": "UnsubscribeAuctionPackageRequest", "type": "object" }, "PrivateAuctionTerms": { "description": "Pricing terms for Private Auctions.", "type": "object", "id": "PrivateAuctionTerms", "properties": { "floorPrice": { "description": "The minimum price buyer has to bid to compete in the private auction.", "$ref": "Price" }, "openAuctionAllowed": { "type": "boolean", "description": "Output only. True if open auction buyers are allowed to compete with invited buyers in this private auction.", "readOnly": true } } }, "Contact": { "type": "object", "description": "Contains information on how a buyer or seller can be reached.", "properties": { "email": { "type": "string", "description": "Email address for the contact." }, "displayName": { "type": "string", "description": "The display_name of the contact." } }, "id": "Contact" }, "UpdateDealRequest": { "type": "object", "description": "Request message for updating the deal at the given revision number.", "id": "UpdateDealRequest", "properties": { "deal": { "$ref": "Deal", "description": "Required. The deal to update. The deal's `name` field is used to identify the deal to be updated. Note: proposal_revision will have to be provided within the resource or else an error will be thrown. Format: buyers/{accountId}/proposals/{proposalId}/deals/{dealId}" }, "updateMask": { "description": "List of fields to be updated. If empty or unspecified, the service will update all fields populated in the update request excluding the output only fields and primitive fields with default value. Note that explicit field mask is required in order to reset a primitive field back to its default value, for example, false for boolean fields, 0 for integer fields. A special field mask consisting of a single path \"*\" can be used to indicate full replacement(the equivalent of PUT method), updatable fields unset or unspecified in the input will be cleared or set to default value. Output only fields will be ignored regardless of the value of updateMask.", "type": "string", "format": "google-fieldmask" } } }, "ListFinalizedDealsResponse": { "id": "ListFinalizedDealsResponse", "description": "Response message for listing finalized deals.", "properties": { "nextPageToken": { "description": "Token to fetch the next page of results.", "type": "string" }, "finalizedDeals": { "description": "The list of finalized deals.", "type": "array", "items": { "$ref": "FinalizedDeal" } } }, "type": "object" }, "DayPart": { "id": "DayPart", "description": "Defines targeting for a period of time on a specific week day.", "type": "object", "properties": { "dayOfWeek": { "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "description": "Day of week for the period.", "type": "string", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ] }, "endTime": { "description": "Hours in 24 hour time between 0 and 24, inclusive. Note: 24 is logically equivalent to 0, but is supported since in some cases there may need to be differentiation made between midnight on one day and midnight on the next day. Accepted values for minutes are [0, 15, 30, 45]. 0 is the only acceptable minute value for hour 24. Seconds and nanos are ignored.", "$ref": "TimeOfDay" }, "startTime": { "description": "Hours in 24 hour time between 0 and 24, inclusive. Note: 24 is logically equivalent to 0, but is supported since in some cases there may need to be differentiation made between midnight on one day and midnight on the next day. Accepted values for minutes are [0, 15, 30, 45]. 0 is the only acceptable minute value for hour 24. Seconds and nanos are ignored.", "$ref": "TimeOfDay" } } }, "ResumeFinalizedDealRequest": { "type": "object", "description": "Request message for resuming a finalized deal.", "properties": {}, "id": "ResumeFinalizedDealRequest" }, "Proposal": { "properties": { "state": { "description": "Output only. Indicates the state of the proposal.", "type": "string", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "BUYER_REVIEW_REQUESTED", "SELLER_REVIEW_REQUESTED", "BUYER_ACCEPTANCE_REQUESTED", "FINALIZED", "TERMINATED" ], "enumDescriptions": [ "Unspecified proposal state", "When a proposal is waiting for buyer to review.", "When the proposal is waiting for the seller to review.", "When the seller accepted the proposal and sent it to the buyer for review.", "When both buyer and seller has accepted the proposal", "When either buyer or seller has cancelled the proposal" ] }, "notes": { "type": "array", "description": "A list of notes from the buyer and the seller attached to this proposal.", "items": { "$ref": "Note" } }, "billedBuyer": { "description": "Output only. When the client field is populated, this field refers to the buyer who creates and manages the client buyer and gets billed on behalf of the client buyer; when the buyer field is populated, this field is the same value as buyer. Format : `buyers/{buyerAccountId}`", "type": "string", "readOnly": true }, "publisherProfile": { "description": "Immutable. Reference to the seller on the proposal. Format: `buyers/{buyerAccountId}/publisherProfiles/{publisherProfileId}` Note: This field may be set only when creating the resource. Modifying this field while updating the resource will result in an error.", "type": "string" }, "originatorRole": { "enum": [ "BUYER_SELLER_ROLE_UNSPECIFIED", "BUYER", "SELLER" ], "type": "string", "readOnly": true, "enumDescriptions": [ "A placeholder for an undefined buyer/seller role.", "Specifies the role as buyer.", "Specifies the role as seller." ], "description": "Output only. Indicates whether the buyer/seller created the proposal." }, "buyer": { "readOnly": true, "description": "Output only. Refers to a buyer in The Realtime-bidding API. Format: `buyers/{buyerAccountId}`", "type": "string" }, "updateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time when the proposal was last revised." }, "isRenegotiating": { "description": "Output only. True if the proposal was previously finalized and is now being renegotiated.", "readOnly": true, "type": "boolean" }, "proposalRevision": { "format": "int64", "description": "Output only. The revision number for the proposal. Each update to the proposal or deal causes the proposal revision number to auto-increment. The buyer keeps track of the last revision number they know of and pass it in when making an update. If the head revision number on the server has since incremented, then an ABORTED error is returned during the update operation to let the buyer know that a subsequent update was made.", "type": "string", "readOnly": true }, "termsAndConditions": { "description": "Output only. The terms and conditions associated with this proposal. Accepting a proposal implies acceptance of this field. This is created by the seller, the buyer can only view it.", "readOnly": true, "type": "string" }, "pausingConsented": { "type": "boolean", "description": "Whether pausing is allowed for the proposal. This is a negotiable term between buyers and publishers." }, "sellerContacts": { "items": { "$ref": "Contact" }, "type": "array", "description": "Output only. Contact information for the seller.", "readOnly": true }, "name": { "type": "string", "description": "Immutable. The name of the proposal serving as a unique identifier. Format: buyers/{accountId}/proposals/{proposalId}" }, "dealType": { "type": "string", "readOnly": true, "enum": [ "DEAL_TYPE_UNSPECIFIED", "PREFERRED_DEAL", "PRIVATE_AUCTION", "PROGRAMMATIC_GUARANTEED" ], "enumDescriptions": [ "Default, unspecified deal type.", "Preferred deals.", "Private auction deals.", "Programmatic guaranteed deals." ], "description": "Output only. Type of deal the proposal contains." }, "buyerPrivateData": { "description": "Buyer private data (hidden from seller).", "$ref": "PrivateData" }, "client": { "description": "Output only. Refers to a Client. Format: `buyers/{buyerAccountId}/clients/{clientAccountid}`", "readOnly": true, "type": "string" }, "buyerContacts": { "items": { "$ref": "Contact" }, "type": "array", "description": "Contact information for the buyer." }, "lastUpdaterOrCommentorRole": { "enumDescriptions": [ "A placeholder for an undefined buyer/seller role.", "Specifies the role as buyer.", "Specifies the role as seller." ], "description": "Output only. The role of the last user that either updated the proposal or left a comment.", "readOnly": true, "enum": [ "BUYER_SELLER_ROLE_UNSPECIFIED", "BUYER", "SELLER" ], "type": "string" }, "displayName": { "type": "string", "readOnly": true, "description": "Output only. The descriptive name for the proposal. Maximum length of 255 unicode characters is allowed. Control characters are not allowed. Buyers cannot update this field. Note: Not to be confused with name, which is a unique identifier of the proposal." } }, "type": "object", "id": "Proposal", "description": "Represents a proposal in the Marketplace. A proposal is the unit of negotiation between a seller and a buyer." }, "DealPausingInfo": { "description": "Information related to deal pausing.", "id": "DealPausingInfo", "type": "object", "properties": { "pauseRole": { "enum": [ "BUYER_SELLER_ROLE_UNSPECIFIED", "BUYER", "SELLER" ], "description": "The party that first paused the deal; unspecified for active deals.", "type": "string", "enumDescriptions": [ "A placeholder for an undefined buyer/seller role.", "Specifies the role as buyer.", "Specifies the role as seller." ] }, "pausingConsented": { "description": "Whether pausing is consented between buyer and seller for the deal.", "type": "boolean" }, "pauseReason": { "type": "string", "description": "The reason for the pausing of the deal; empty for active deals." } } }, "InventorySizeTargeting": { "id": "InventorySizeTargeting", "type": "object", "description": "Represents the size of an ad unit that can be targeted on a bid request.", "properties": { "excludedInventorySizes": { "type": "array", "items": { "$ref": "AdSize" }, "description": "A list of inventory sizes to be excluded." }, "targetedInventorySizes": { "description": "A list of inventory sizes to be included.", "items": { "$ref": "AdSize" }, "type": "array" } } }, "DeactivateClientRequest": { "id": "DeactivateClientRequest", "type": "object", "properties": {}, "description": "Request message for disabling a client." }, "VideoTargeting": { "description": "Represents targeting information about video.", "properties": { "excludedPositionTypes": { "type": "array", "description": "A list of video positions to be excluded. When this field is populated, the targeted_position_types field must be empty.", "items": { "enum": [ "POSITION_TYPE_UNSPECIFIED", "PREROLL", "MIDROLL", "POSTROLL" ], "enumDescriptions": [ "A placeholder for an undefined video position.", "Ad is played before the video.", "Ad is played during the video.", "Ad is played after the video." ], "type": "string" } }, "targetedPositionTypes": { "items": { "type": "string", "enum": [ "POSITION_TYPE_UNSPECIFIED", "PREROLL", "MIDROLL", "POSTROLL" ], "enumDescriptions": [ "A placeholder for an undefined video position.", "Ad is played before the video.", "Ad is played during the video.", "Ad is played after the video." ] }, "type": "array", "description": "A list of video positions to be included. When this field is populated, the excluded_position_types field must be empty." } }, "id": "VideoTargeting", "type": "object" }, "Client": { "id": "Client", "type": "object", "properties": { "name": { "description": "Output only. The resource name of the client. Format: `buyers/{accountId}/clients/{clientAccountId}`", "type": "string", "readOnly": true }, "state": { "type": "string", "description": "Output only. The state of the client.", "enumDescriptions": [ "A placeholder for an undefined client state. Should not be used.", "A client that is currently active and allowed to access the Authorized Buyers UI.", "A client that is currently inactive and not allowed to access the Authorized Buyers UI." ], "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "INACTIVE" ] }, "sellerVisible": { "type": "boolean", "description": "Whether the client will be visible to sellers." }, "partnerClientId": { "type": "string", "description": "Arbitrary unique identifier provided by the buyer. This field can be used to associate a client with an identifier in the namespace of the buyer, lookup clients by that identifier and verify whether an Authorized Buyers account of the client already exists. If present, must be unique across all the clients." }, "displayName": { "description": "Required. Display name shown to publishers. Must be unique for clients without partnerClientId specified. Maximum length of 255 characters is allowed.", "type": "string" }, "role": { "description": "Required. The role assigned to the client. Each role implies a set of permissions granted to the client.", "type": "string", "enum": [ "CLIENT_ROLE_UNSPECIFIED", "CLIENT_DEAL_VIEWER", "CLIENT_DEAL_NEGOTIATOR", "CLIENT_DEAL_APPROVER" ], "enumDescriptions": [ "A placeholder for an undefined client role. This value should never be specified in user input for create or update method, otherwise an error will be returned.", "Users associated with this client role can only view proposals and deals in the Marketplace UI. They cannot negotiate or approve proposals and deals sent from publishers or send RFP to publishers.", "Users associated with this client role can view and negotiate on the proposals and deals in the Marketplace UI sent from publishers and send RFP to publishers, but cannot approve the proposals and deals by themselves. The buyer can approve the proposals and deals on behalf of the client.", "Users associated with this client role can view, negotiate and approve proposals and deals in the Marketplace UI and send RFP to publishers." ] } }, "description": "A client represents an agency, a brand, or an advertiser customer of the buyer. Based on the client's role, its client users will have varying levels of restricted access to the Marketplace and certain other sections of the Authorized Buyers UI." }, "ListClientsResponse": { "description": "Response message for the list method.", "properties": { "clients": { "description": "The returned list of clients.", "type": "array", "items": { "$ref": "Client" } }, "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the ListClientsRequest.pageToken field in the subsequent call to the list method to retrieve the next page of results.", "type": "string" } }, "type": "object", "id": "ListClientsResponse" }, "PrivateData": { "id": "PrivateData", "type": "object", "description": "Buyers are allowed to store certain types of private data in a proposal or deal.", "properties": { "referenceId": { "type": "string", "description": "A buyer specified reference ID. This can be queried in the list operations (max-length: 1024 unicode code units)." } } }, "SubscribeClientsRequest": { "properties": { "clients": { "description": "Optional. A list of client buyers to subscribe to the auction package, with client buyer in the format `buyers/{accountId}/clients/{clientAccountId}`. The current buyer will be subscribed to the auction package regardless of the list contents if not already.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "SubscribeClientsRequest", "description": "Request message for SubscribeAuctionPackageClients." }, "RtbMetrics": { "id": "RtbMetrics", "properties": { "bids7Days": { "type": "string", "format": "int64", "description": "Bids in last 7 days." }, "adImpressions7Days": { "description": "Ad impressions in last 7 days.", "format": "int64", "type": "string" }, "mustBidRateCurrentMonth": { "format": "double", "description": "Must bid rate for current month.", "type": "number" }, "filteredBidRate7Days": { "format": "double", "type": "number", "description": "Filtered bid rate in last 7 days, calculated by (filtered bids / bids)." }, "bidRequests7Days": { "description": "Bid requests in last 7 days.", "type": "string", "format": "int64" }, "bidRate7Days": { "format": "double", "description": "Bid rate in last 7 days, calculated by (bids / bid requests).", "type": "number" } }, "type": "object", "description": "Real-time bidding metrics. For what each metric means refer to [Report metrics](https://support.google.com/adxbuyer/answer/6115195#report-metrics)" }, "ListClientUsersResponse": { "description": "Response message for the list method.", "properties": { "clientUsers": { "type": "array", "items": { "$ref": "ClientUser" }, "description": "The returned list of client users." }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the ListClientUsersRequest.pageToken field in the subsequent call to the list method to retrieve the next page of results." } }, "id": "ListClientUsersResponse", "type": "object" }, "OperatingSystemTargeting": { "description": "Represents targeting information for operating systems.", "type": "object", "id": "OperatingSystemTargeting", "properties": { "operatingSystemCriteria": { "description": "IDs of operating systems to be included/excluded.", "$ref": "CriteriaTargeting" }, "operatingSystemVersionCriteria": { "description": "IDs of operating system versions to be included/excluded.", "$ref": "CriteriaTargeting" } } }, "BatchUpdateDealsResponse": { "properties": { "deals": { "type": "array", "items": { "$ref": "Deal" }, "description": "Deals updated." } }, "id": "BatchUpdateDealsResponse", "type": "object", "description": "Response message for batch updating deals." }, "Price": { "id": "Price", "properties": { "type": { "enum": [ "TYPE_UNSPECIFIED", "CPM", "CPD" ], "description": "The pricing type for the deal.", "type": "string", "enumDescriptions": [ "A placeholder for an undefined pricing type. If the pricing type is unspecified, CPM will be used instead.", "Cost per thousand impressions.", "Cost per day." ] }, "amount": { "$ref": "Money", "description": "The actual price with currency specified." } }, "type": "object", "description": "Represents a price and a pricing type for a deal." }, "MobileApplicationTargeting": { "type": "object", "id": "MobileApplicationTargeting", "description": "Mobile application targeting settings.", "properties": { "firstPartyTargeting": { "$ref": "FirstPartyMobileApplicationTargeting", "description": "Publisher owned apps to be targeted or excluded by the publisher to display the ads in." } } }, "UriTargeting": { "properties": { "excludedUris": { "description": "A list of URLs to be excluded.", "items": { "type": "string" }, "type": "array" }, "targetedUris": { "description": "A list of URLs to be included.", "items": { "type": "string" }, "type": "array" } }, "id": "UriTargeting", "type": "object", "description": "Represents a list of targeted and excluded URLs (for example, google.com). For Private Auction Deals, URLs are either included or excluded. For Programmatic Guaranteed and Preferred Deals, this doesn't apply." }, "TimeOfDay": { "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.", "properties": { "nanos": { "format": "int32", "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "type": "integer" }, "seconds": { "type": "integer", "format": "int32", "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds." }, "minutes": { "type": "integer", "format": "int32", "description": "Minutes of hour of day. Must be from 0 to 59." }, "hours": { "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "format": "int32", "type": "integer" } }, "id": "TimeOfDay", "type": "object" }, "CreativeRequirements": { "properties": { "creativePreApprovalPolicy": { "enumDescriptions": [ "A placeholder for an undefined creative pre-approval policy.", "The seller needs to approve each creative before it can serve.", "The seller does not need to approve each creative before it can serve." ], "readOnly": true, "enum": [ "CREATIVE_PRE_APPROVAL_POLICY_UNSPECIFIED", "SELLER_PRE_APPROVAL_REQUIRED", "SELLER_PRE_APPROVAL_NOT_REQUIRED" ], "description": "Output only. Specifies the creative pre-approval policy.", "type": "string" }, "programmaticCreativeSource": { "type": "string", "description": "Output only. Specifies the creative source for programmatic deals. PUBLISHER means creative is provided by seller and ADVERTISER means creative is provided by the buyer.", "enum": [ "PROGRAMMATIC_CREATIVE_SOURCE_UNSPECIFIED", "ADVERTISER", "PUBLISHER" ], "readOnly": true, "enumDescriptions": [ "A placeholder for an undefined programmatic creative source.", "The advertiser provides the creatives.", "The publisher provides the creatives to be served." ] }, "maxAdDurationMs": { "readOnly": true, "format": "int64", "type": "string", "description": "Output only. The max duration of the video creative in milliseconds. only applicable for deals with video creatives." }, "creativeFormat": { "description": "Output only. The format of the creative, only applicable for programmatic guaranteed and preferred deals.", "enumDescriptions": [ "A placeholder for an unspecified creative format.", "Banner creatives such as image or HTML5 assets.", "Video creatives that can be played in a video player." ], "type": "string", "enum": [ "CREATIVE_FORMAT_UNSPECIFIED", "DISPLAY", "VIDEO" ], "readOnly": true }, "creativeSafeFrameCompatibility": { "enum": [ "CREATIVE_SAFE_FRAME_COMPATIBILITY_UNSPECIFIED", "COMPATIBLE", "INCOMPATIBLE" ], "description": "Output only. Specifies whether the creative is safeFrame compatible.", "readOnly": true, "type": "string", "enumDescriptions": [ "A placeholder for an undefined creative safe-frame compatibility.", "The creatives need to be compatible with the safe frame option.", "The creatives can be incompatible with the safe frame option." ] }, "skippableAdType": { "readOnly": true, "description": "Output only. Skippable video ads allow viewers to skip ads after 5 seconds. Only applicable for deals with video creatives.", "enum": [ "SKIPPABLE_AD_TYPE_UNSPECIFIED", "SKIPPABLE", "INSTREAM_SELECT", "NOT_SKIPPABLE", "ANY" ], "enumDescriptions": [ "A placeholder for an unspecified skippable ad type.", "Video ad that can be skipped after 5 seconds. This value will appear in RTB bid requests as SkippableBidRequestType::REQUIRE_SKIPPABLE.", "Video ad that can be skipped after 5 seconds, and is counted as engaged view after 30 seconds. The creative is hosted on YouTube only, and viewcount of the YouTube video increments after the engaged view. This value will appear in RTB bid requests as SkippableBidRequestType::REQUIRE_SKIPPABLE.", "This video ad is not skippable. This value will appear in RTB bid requests as SkippableBidRequestType::BLOCK_SKIPPABLE.", "This video ad can be skipped after 5 seconds or not-skippable. This value will appear in RTB bid requests as SkippableBidRequestType::ALLOW_SKIPPABLE." ], "type": "string" } }, "type": "object", "description": "Message captures data about the creatives in the deal.", "id": "CreativeRequirements" }, "ProgrammaticGuaranteedTerms": { "id": "ProgrammaticGuaranteedTerms", "type": "object", "description": "Pricing terms for Programmatic Guaranteed Deals.", "properties": { "fixedPrice": { "description": "Fixed price for the deal.", "$ref": "Price" }, "guaranteedLooks": { "type": "string", "format": "int64", "description": "Count of guaranteed looks." }, "minimumDailyLooks": { "type": "string", "format": "int64", "description": "Daily minimum looks for CPD deal types." }, "percentShareOfVoice": { "type": "string", "format": "int64", "description": "For sponsorship deals, this is the percentage of the seller's eligible impressions that the deal will serve until the cap is reached. Valid value is within range 0~100." }, "reservationType": { "description": "The reservation type for a Programmatic Guaranteed deal. This indicates whether the number of impressions is fixed, or a percent of available impressions. If not specified, the default reservation type is STANDARD.", "enum": [ "RESERVATION_TYPE_UNSPECIFIED", "STANDARD", "SPONSORSHIP" ], "type": "string", "enumDescriptions": [ "An unspecified reservation type.", "Non-sponsorship deal.", "Sponsorship deals don't have impression goal (guaranteed_looks) and they are served based on the flight dates. For CPM Sponsorship deals, impression_cap is the lifetime impression limit." ] }, "impressionCap": { "format": "int64", "description": "The lifetime impression cap for CPM Sponsorship deals. Deal will stop serving when cap is reached.", "type": "string" } } }, "AcceptProposalRequest": { "type": "object", "description": "Request to accept a proposal. Accepting a proposal implies acceptance of the publisher terms_and_conditions, if any.", "properties": { "proposalRevision": { "format": "int64", "type": "string", "description": "The last known client revision number of the proposal." } }, "id": "AcceptProposalRequest" }, "ListAuctionPackagesResponse": { "properties": { "auctionPackages": { "description": "The list of auction packages.", "items": { "$ref": "AuctionPackage" }, "type": "array" }, "nextPageToken": { "description": "Continuation token for fetching the next page of results. Pass this value in the ListAuctionPackagesRequest.pageToken field in the subsequent call to the `ListAuctionPackages` method to retrieve the next page of results.", "type": "string" } }, "id": "ListAuctionPackagesResponse", "type": "object", "description": "Response message for listing auction packages." }, "ListPublisherProfilesResponse": { "type": "object", "properties": { "publisherProfiles": { "type": "array", "description": "The list of matching publisher profiles.", "items": { "$ref": "PublisherProfile" } }, "nextPageToken": { "type": "string", "description": "Token to fetch the next page of results." } }, "description": "Response message for profiles visible to the buyer.", "id": "ListPublisherProfilesResponse" }, "DeactivateClientUserRequest": { "id": "DeactivateClientUserRequest", "description": "Request message for deactivating a client user.", "type": "object", "properties": {} } }, "fullyEncodeReservedExpansion": true, "revision": "20220712", "description": "The Authorized Buyers Marketplace API lets buyers programmatically discover inventory; propose, retrieve and negotiate deals with publishers.", "batchPath": "batch", "id": "authorizedbuyersmarketplace:v1", "rootUrl": "https://authorizedbuyersmarketplace.googleapis.com/", "protocol": "rest", "kind": "discovery#restDescription", "mtlsRootUrl": "https://authorizedbuyersmarketplace.mtls.googleapis.com/", "servicePath": "", "discoveryVersion": "v1", "title": "Authorized Buyers Marketplace API", "version": "v1", "name": "authorizedbuyersmarketplace" }
]===]))
