local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "baremetalsolution:v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "documentationLink": "https://cloud.google.com/bare-metal", "servicePath": "", "revision": "20220706", "version": "v1", "protocol": "rest", "fullyEncodeReservedExpansion": true, "description": "Provides ways to manage Bare Metal Solution hardware installed in a regional extension located near a Google Cloud data center.", "ownerDomain": "google.com", "batchPath": "batch", "kind": "discovery#restDescription", "parameters": { "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "location": "query", "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "enum": [ "json", "media", "proto" ], "default": "json", "description": "Data format for response.", "type": "string" } }, "title": "Bare Metal Solution API", "mtlsRootUrl": "https://baremetalsolution.mtls.googleapis.com/", "rootUrl": "https://baremetalsolution.googleapis.com/", "basePath": "", "schemas": { "ResetInstanceResponse": { "type": "object", "description": "Response for ResetInstance.", "properties": {}, "id": "ResetInstanceResponse" }, "CancelOperationRequest": { "properties": {}, "id": "CancelOperationRequest", "type": "object", "description": "The request message for Operations.CancelOperation." }, "Empty": { "type": "object", "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "ListOperationsResponse": { "id": "ListOperationsResponse", "type": "object", "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Operations.ListOperations." }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" } }, "id": "Operation" }, "Status": { "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } } }, "id": "Status", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "ResetInstanceRequest": { "id": "ResetInstanceRequest", "description": "Request for ResetInstance.", "type": "object", "properties": {} } }, "baseUrl": "https://baremetalsolution.googleapis.com/", "discoveryVersion": "v1", "resources": { "projects": { "resources": { "locations": { "resources": { "instances": { "methods": { "resetInstance": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:resetInstance", "path": "v1/{+instance}:resetInstance", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "baremetalsolution.projects.locations.instances.resetInstance", "parameters": { "instance": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string", "location": "path", "description": "Required. Name of the instance to reset.", "required": true } }, "description": "Perform an ungraceful, hard reset on a machine (equivalent to shutting the power off, and then turning it back on).", "request": { "$ref": "ResetInstanceRequest" }, "httpMethod": "POST", "response": { "$ref": "ResetInstanceResponse" }, "parameterOrder": [ "instance" ] } } } } } } }, "operations": { "methods": { "list": { "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "The standard list page size.", "format": "int32" }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "name": { "description": "The name of the operation's parent resource.", "pattern": "^operations$", "location": "path", "required": true, "type": "string" }, "filter": { "type": "string", "location": "query", "description": "The standard list filter." } }, "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "httpMethod": "GET", "flatPath": "v1/operations", "id": "baremetalsolution.operations.list", "path": "v1/{+name}" }, "delete": { "parameterOrder": [ "name" ], "id": "baremetalsolution.operations.delete", "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be deleted.", "pattern": "^operations/.*$", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "flatPath": "v1/operations/{operationsId}", "response": { "$ref": "Empty" }, "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "path": "v1/{+name}" }, "cancel": { "httpMethod": "POST", "parameters": { "name": { "type": "string", "pattern": "^operations/.*$", "required": true, "location": "path", "description": "The name of the operation resource to be cancelled." } }, "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "id": "baremetalsolution.operations.cancel", "path": "v1/{+name}:cancel", "request": { "$ref": "CancelOperationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/operations/{operationsId}:cancel" }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name of the operation resource.", "type": "string", "pattern": "^operations/.*$", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/operations/{operationsId}", "path": "v1/{+name}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "baremetalsolution.operations.get" } } } }, "name": "baremetalsolution", "ownerName": "Google", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "version_module": true }
]===]))
