local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220629", "parameters": { "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "location": "query", "enum": [ "1", "2" ] }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "alt": { "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json", "location": "query", "type": "string" }, "prettyPrint": { "location": "query", "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." } }, "fullyEncodeReservedExpansion": true, "title": "BeyondCorp API", "kind": "discovery#restDescription", "canonicalName": "BeyondCorp", "description": "Beyondcorp Enterprise provides identity and context aware access controls for enterprise resources and enables zero-trust access. Using the Beyondcorp Enterprise APIs, enterprises can set up multi-cloud and on-prem connectivity using the App Connector hybrid connectivity solution.", "discoveryVersion": "v1", "batchPath": "batch", "id": "beyondcorp:v1", "protocol": "rest", "ownerDomain": "google.com", "baseUrl": "https://beyondcorp.googleapis.com/", "ownerName": "Google", "rootUrl": "https://beyondcorp.googleapis.com/", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "basePath": "", "version": "v1", "documentationLink": "https://cloud.google.com/", "resources": { "projects": { "resources": { "locations": { "resources": { "clientGateways": { "methods": { "testIamPermissions": { "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:testIamPermissions", "httpMethod": "POST", "id": "beyondcorp.projects.locations.clientGateways.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clientGateways/[^/]+$" } }, "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clientGateways/{clientGatewaysId}:testIamPermissions" }, "setIamPolicy": { "id": "beyondcorp.projects.locations.clientGateways.setIamPolicy", "parameterOrder": [ "resource" ], "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clientGateways/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clientGateways/{clientGatewaysId}:setIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "path": "v1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "getIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clientGateways/{clientGatewaysId}:getIamPolicy", "path": "v1/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clientGateways/[^/]+$" } }, "id": "beyondcorp.projects.locations.clientGateways.getIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "httpMethod": "GET" } } }, "appGateways": { "methods": { "setIamPolicy": { "response": { "$ref": "GoogleIamV1Policy" }, "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1/{+resource}:setIamPolicy", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/appGateways/[^/]+$", "type": "string", "required": true } }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/appGateways/{appGatewaysId}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.appGateways.setIamPolicy", "parameterOrder": [ "resource" ] }, "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/appGateways/{appGatewaysId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/appGateways/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true } }, "parameterOrder": [ "resource" ], "id": "beyondcorp.projects.locations.appGateways.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:getIamPolicy", "httpMethod": "GET", "response": { "$ref": "GoogleIamV1Policy" } }, "testIamPermissions": { "httpMethod": "POST", "path": "v1/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "id": "beyondcorp.projects.locations.appGateways.testIamPermissions", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/appGateways/{appGatewaysId}:testIamPermissions", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/appGateways/[^/]+$", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } } } } }, "appConnections": { "methods": { "setIamPolicy": { "response": { "$ref": "GoogleIamV1Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/appConnections/{appConnectionsId}:setIamPolicy", "path": "v1/{+resource}:setIamPolicy", "httpMethod": "POST", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/appConnections/[^/]+$", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "id": "beyondcorp.projects.locations.appConnections.setIamPolicy" }, "getIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/appConnections/{appConnectionsId}:getIamPolicy", "path": "v1/{+resource}:getIamPolicy", "httpMethod": "GET", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query" }, "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/appConnections/[^/]+$", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.appConnections.getIamPolicy", "response": { "$ref": "GoogleIamV1Policy" } }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.appConnections.testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/appConnections/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/appConnections/{appConnectionsId}:testIamPermissions", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "path": "v1/{+resource}:testIamPermissions" } } }, "operations": { "methods": { "get": { "response": { "$ref": "GoogleLongrunningOperation" }, "id": "beyondcorp.projects.locations.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1/{+name}", "parameters": { "name": { "location": "path", "description": "The name of the operation resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } } }, "cancel": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "beyondcorp.projects.locations.operations.cancel", "request": { "$ref": "GoogleLongrunningCancelOperationRequest" }, "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string" } }, "httpMethod": "POST", "path": "v1/{+name}:cancel" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted.", "location": "path", "required": true } }, "id": "beyondcorp.projects.locations.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "httpMethod": "DELETE", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.operations.list", "httpMethod": "GET", "path": "v1/{+name}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The name of the operation's parent resource." }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" }, "pageSize": { "description": "The standard list page size.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" } } } } }, "clientConnectorServices": { "methods": { "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1/{+resource}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer", "location": "query" }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clientConnectorServices/[^/]+$" } }, "id": "beyondcorp.projects.locations.clientConnectorServices.getIamPolicy", "httpMethod": "GET", "response": { "$ref": "GoogleIamV1Policy" }, "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clientConnectorServices/{clientConnectorServicesId}:getIamPolicy" }, "testIamPermissions": { "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clientConnectorServices/[^/]+$", "location": "path", "required": true } }, "path": "v1/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "id": "beyondcorp.projects.locations.clientConnectorServices.testIamPermissions", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clientConnectorServices/{clientConnectorServicesId}:testIamPermissions" }, "setIamPolicy": { "parameters": { "resource": { "type": "string", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/clientConnectorServices/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "beyondcorp.projects.locations.clientConnectorServices.setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "response": { "$ref": "GoogleIamV1Policy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clientConnectorServices/{clientConnectorServicesId}:setIamPolicy", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy" } } }, "appConnectors": { "methods": { "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "format": "int32" }, "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$" } }, "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1Policy" }, "httpMethod": "GET", "id": "beyondcorp.projects.locations.appConnectors.getIamPolicy", "path": "v1/{+resource}:getIamPolicy" }, "testIamPermissions": { "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "location": "path" } }, "path": "v1/{+resource}:testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}:testIamPermissions", "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.appConnectors.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST" }, "setIamPolicy": { "id": "beyondcorp.projects.locations.appConnectors.setIamPolicy", "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1/{+resource}:setIamPolicy", "httpMethod": "POST", "response": { "$ref": "GoogleIamV1Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}:setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$", "required": true } } } } } }, "methods": { "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.get", "parameterOrder": [ "name" ], "description": "Gets information about a location.", "httpMethod": "GET", "response": { "$ref": "GoogleCloudLocationLocation" }, "parameters": { "name": { "required": true, "location": "path", "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "path": "v1/{+name}" }, "list": { "id": "beyondcorp.projects.locations.list", "description": "Lists information about the supported locations for this service.", "path": "v1/{+name}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudLocationListLocationsResponse" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "name": { "pattern": "^projects/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The resource that owns the locations collection, if applicable." }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "format": "int32", "type": "integer" } } } } } } } }, "schemas": { "GoogleCloudBeyondcorpConnectorsV1alphaRemoteAgentDetails": { "id": "GoogleCloudBeyondcorpConnectorsV1alphaRemoteAgentDetails", "description": "RemoteAgentDetails reflects the details of a remote agent.", "type": "object", "properties": {} }, "GoogleTypeExpr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } }, "id": "GoogleTypeExpr", "type": "object" }, "Empty": { "id": "Empty", "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "CloudSecurityZerotrustApplinkAppConnectorProtoGateway": { "description": "Gateway represents a GCE VM Instance endpoint for use by IAP TCP.", "properties": { "interface": { "type": "string", "description": "interface specifies the network interface of the gateway to connect to." }, "name": { "description": "name is the name of an instance running a gateway. It is the unique ID for a gateway. All gateways under the same connection have the same prefix. It is derived from the gateway URL. For example, name=${instance} assuming a gateway URL. https://www.googleapis.com/compute/${version}/projects/${project}/zones/${zone}/instances/${instance}", "type": "string" }, "selfLink": { "type": "string", "description": "self_link is the gateway URL in the form https://www.googleapis.com/compute/${version}/projects/${project}/zones/${zone}/instances/${instance}" }, "port": { "type": "integer", "description": "port specifies the port of the gateway for tunnel connections from the connectors.", "format": "uint32" }, "project": { "description": "project is the tenant project the gateway belongs to. Different from the project in the connection, it is a BeyondCorpAPI internally created project to manage all the gateways. It is sharing the same network with the consumer project user owned. It is derived from the gateway URL. For example, project=${project} assuming a gateway URL. https://www.googleapis.com/compute/${version}/projects/${project}/zones/${zone}/instances/${instance}", "type": "string" }, "zone": { "description": "zone represents the zone the instance belongs. It is derived from the gateway URL. For example, zone=${zone} assuming a gateway URL. https://www.googleapis.com/compute/${version}/projects/${project}/zones/${zone}/instances/${instance}", "type": "string" } }, "id": "CloudSecurityZerotrustApplinkAppConnectorProtoGateway", "type": "object" }, "GoogleCloudLocationLocation": { "description": "A resource that represents Google Cloud Platform location.", "properties": { "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "labels": { "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" } }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" } }, "id": "GoogleCloudLocationLocation", "type": "object" }, "GoogleCloudBeyondcorpClientgatewaysV1alphaClientGatewayOperationMetadata": { "id": "GoogleCloudBeyondcorpClientgatewaysV1alphaClientGatewayOperationMetadata", "description": "Represents the metadata of the long-running operation.", "properties": { "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "target": { "readOnly": true, "type": "string", "description": "Output only. Server-defined resource path for the target of the operation." }, "endTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time the operation finished running.", "type": "string" }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true }, "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation was created." }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." } }, "type": "object" }, "CloudSecurityZerotrustApplinkAppConnectorProtoConnectionConfig": { "description": "ConnectionConfig represents a Connection Configuration object.", "properties": { "name": { "description": "name is the unique ID for each connection. TODO(b/190732451) returns connection name from user-specified name in config. Now, name = ${application_name}:${application_endpoint}", "type": "string" }, "project": { "description": "project represents the consumer project the connection belongs to.", "type": "string" }, "applicationName": { "type": "string", "description": "application_name represents the given name of the application the connection is connecting with." }, "gateway": { "items": { "$ref": "CloudSecurityZerotrustApplinkAppConnectorProtoGateway" }, "type": "array", "description": "gateway lists all instances running a gateway in GCP. They all connect to a connector on the host." }, "tunnelsPerGateway": { "description": "tunnels_per_gateway reflects the number of tunnels between a connector and a gateway.", "format": "uint32", "type": "integer" }, "applicationEndpoint": { "type": "string", "description": "application_endpoint is the endpoint of the application the form of host:port. For example, \"localhost:80\"." }, "userPort": { "format": "int32", "type": "integer", "description": "user_port specifies the reserved port on gateways for user connections." } }, "id": "CloudSecurityZerotrustApplinkAppConnectorProtoConnectionConfig", "type": "object" }, "GoogleIamV1AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object", "id": "GoogleIamV1AuditLogConfig", "properties": { "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables.", "type": "string", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } } } }, "GoogleCloudBeyondcorpApplicationsV1alphaApplicationOperationMetadata": { "type": "object", "id": "GoogleCloudBeyondcorpApplicationsV1alphaApplicationOperationMetadata", "properties": { "endTime": { "readOnly": true, "description": "Output only. The time the operation finished running.", "format": "google-datetime", "type": "string" }, "verb": { "type": "string", "description": "Output only. Name of the verb executed by the operation.", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true, "type": "boolean" }, "statusMessage": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." }, "createTime": { "description": "Output only. The time the operation was created.", "format": "google-datetime", "readOnly": true, "type": "string" } }, "description": "Represents the metadata of the long-running operation." }, "GoogleLongrunningOperation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" } }, "id": "GoogleLongrunningOperation" }, "GoogleCloudLocationListLocationsResponse": { "id": "GoogleCloudLocationListLocationsResponse", "properties": { "locations": { "type": "array", "items": { "$ref": "GoogleCloudLocationLocation" }, "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object", "description": "The response message for Locations.ListLocations." }, "GoogleCloudBeyondcorpConnectionsV1alphaConnectionOperationMetadata": { "type": "object", "id": "GoogleCloudBeyondcorpConnectionsV1alphaConnectionOperationMetadata", "properties": { "endTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation finished running." }, "target": { "readOnly": true, "type": "string", "description": "Output only. Server-defined resource path for the target of the operation." }, "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the operation was created." } }, "description": "Represents the metadata of the long-running operation." }, "GoogleIamV1Binding": { "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "GoogleTypeExpr" }, "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" }, "type": "array" } }, "description": "Associates `members`, or principals, with a `role`.", "id": "GoogleIamV1Binding", "type": "object" }, "GoogleCloudBeyondcorpConnectorsV1alphaContainerHealthDetails": { "type": "object", "id": "GoogleCloudBeyondcorpConnectorsV1alphaContainerHealthDetails", "properties": { "expectedConfigVersion": { "type": "string", "description": "The version of the expected config." }, "errorMsg": { "description": "The latest error message.", "type": "string" }, "extendedStatus": { "description": "The extended status. Such as ExitCode, StartedAt, FinishedAt, etc.", "additionalProperties": { "type": "string" }, "type": "object" }, "currentConfigVersion": { "type": "string", "description": "The version of the current config." } }, "description": "ContainerHealthDetails reflects the health details of a container." }, "Tunnelv1ProtoTunnelerError": { "id": "Tunnelv1ProtoTunnelerError", "type": "object", "properties": { "err": { "description": "Original raw error", "type": "string" }, "retryable": { "description": "retryable isn't used for now, but we may want to reuse it in the future.", "type": "boolean" } }, "description": "TunnelerError is an error proto for errors returned by the connection manager." }, "GoogleCloudBeyondcorpClientconnectorservicesV1alphaClientConnectorServiceOperationMetadata": { "id": "GoogleCloudBeyondcorpClientconnectorservicesV1alphaClientConnectorServiceOperationMetadata", "type": "object", "properties": { "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time the operation was created." }, "endTime": { "description": "Output only. The time the operation finished running.", "readOnly": true, "format": "google-datetime", "type": "string" }, "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true, "type": "boolean" }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" } }, "description": "Represents the metadata of the long-running operation." }, "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnectionOperationMetadata": { "description": "Represents the metadata of the long-running operation.", "properties": { "endTime": { "description": "Output only. The time the operation finished running.", "readOnly": true, "type": "string", "format": "google-datetime" }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time the operation was created." }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true } }, "id": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnectionOperationMetadata", "type": "object" }, "Tunnelv1ProtoTunnelerInfo": { "id": "Tunnelv1ProtoTunnelerInfo", "type": "object", "description": "TunnelerInfo contains metadata about tunneler launched by connection manager.", "properties": { "totalRetryCount": { "type": "integer", "description": "total_retry_count stores the total number of times the tunneler has been retried by tunManager.", "format": "uint32" }, "id": { "description": "id is the unique id of a tunneler.", "type": "string" }, "backoffRetryCount": { "format": "uint32", "type": "integer", "description": "backoff_retry_count stores the number of times the tunneler has been retried by tunManager for current backoff sequence. Gets reset to 0 if time difference between 2 consecutive retries exceeds backoffRetryResetTime." }, "latestErr": { "description": "latest_err stores the Error for the latest tunneler failure. Gets reset everytime the tunneler is retried by tunManager.", "$ref": "Tunnelv1ProtoTunnelerError" }, "latestRetryTime": { "format": "google-datetime", "type": "string", "description": "latest_retry_time stores the time when the tunneler was last restarted." } } }, "GoogleCloudBeyondcorpAppgatewaysV1alphaAppGatewayOperationMetadata": { "properties": { "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "endTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time the operation finished running." }, "verb": { "type": "string", "readOnly": true, "description": "Output only. Name of the verb executed by the operation." }, "createTime": { "format": "google-datetime", "description": "Output only. The time the operation was created.", "type": "string", "readOnly": true }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true, "type": "boolean" }, "statusMessage": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." } }, "description": "Represents the metadata of the long-running operation.", "id": "GoogleCloudBeyondcorpAppgatewaysV1alphaAppGatewayOperationMetadata", "type": "object" }, "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorOperationMetadata": { "properties": { "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "endTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the operation finished running." }, "createTime": { "readOnly": true, "description": "Output only. The time the operation was created.", "format": "google-datetime", "type": "string" }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." } }, "type": "object", "description": "Represents the metadata of the long-running operation.", "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorOperationMetadata" }, "GoogleCloudBeyondcorpAppconnectorsV1alphaRemoteAgentDetails": { "type": "object", "properties": {}, "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaRemoteAgentDetails", "description": "RemoteAgentDetails reflects the details of a remote agent." }, "GoogleIamV1TestIamPermissionsResponse": { "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "description": "Response message for `TestIamPermissions` method.", "id": "GoogleIamV1TestIamPermissionsResponse", "type": "object" }, "GoogleCloudBeyondcorpAppconnectorsV1alphaContainerHealthDetails": { "type": "object", "description": "ContainerHealthDetails reflects the health details of a container.", "properties": { "errorMsg": { "description": "The latest error message.", "type": "string" }, "expectedConfigVersion": { "description": "The version of the expected config.", "type": "string" }, "extendedStatus": { "description": "The extended status. Such as ExitCode, StartedAt, FinishedAt, etc.", "additionalProperties": { "type": "string" }, "type": "object" }, "currentConfigVersion": { "type": "string", "description": "The version of the current config." } }, "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaContainerHealthDetails" }, "GoogleLongrunningListOperationsResponse": { "id": "GoogleLongrunningListOperationsResponse", "type": "object", "description": "The response message for Operations.ListOperations.", "properties": { "operations": { "items": { "$ref": "GoogleLongrunningOperation" }, "description": "A list of operations that matches the specified filter in the request.", "type": "array" }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } } }, "GoogleIamV1Policy": { "properties": { "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "GoogleIamV1Binding" }, "type": "array" }, "auditConfigs": { "items": { "$ref": "GoogleIamV1AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy.", "type": "array" }, "version": { "format": "int32", "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "type": "object", "id": "GoogleIamV1Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "GoogleIamV1SetIamPolicyRequest": { "type": "object", "properties": { "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask", "type": "string" }, "policy": { "$ref": "GoogleIamV1Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "id": "GoogleIamV1SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method." }, "GoogleLongrunningCancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "properties": {}, "id": "GoogleLongrunningCancelOperationRequest", "type": "object" }, "GoogleIamV1TestIamPermissionsRequest": { "id": "GoogleIamV1TestIamPermissionsRequest", "type": "object", "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } } }, "GoogleRpcStatus": { "id": "GoogleRpcStatus", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "type": "object" }, "GoogleIamV1AuditConfig": { "id": "GoogleIamV1AuditConfig", "properties": { "auditLogConfigs": { "items": { "$ref": "GoogleIamV1AuditLogConfig" }, "type": "array", "description": "The configuration for logging of each type of permission." }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "CloudSecurityZerotrustApplinkAppConnectorProtoConnectorDetails": { "properties": {}, "type": "object", "id": "CloudSecurityZerotrustApplinkAppConnectorProtoConnectorDetails", "description": "ConnectorDetails reflects the details of a connector." }, "CloudSecurityZerotrustApplinkLogagentProtoLogAgentDetails": { "id": "CloudSecurityZerotrustApplinkLogagentProtoLogAgentDetails", "type": "object", "description": "LogAgentDetails reflects the details of a log agent.", "properties": {} }, "GoogleCloudBeyondcorpConnectorsV1alphaConnectorOperationMetadata": { "properties": { "endTime": { "description": "Output only. The time the operation finished running.", "type": "string", "format": "google-datetime", "readOnly": true }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "type": "string", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "requestedCancellation": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "createTime": { "type": "string", "readOnly": true, "description": "Output only. The time the operation was created.", "format": "google-datetime" } }, "type": "object", "description": "Represents the metadata of the long-running operation.", "id": "GoogleCloudBeyondcorpConnectorsV1alphaConnectorOperationMetadata" } }, "name": "beyondcorp", "mtlsRootUrl": "https://beyondcorp.mtls.googleapis.com/", "servicePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "version_module": true }
]===]))
