local decode = require("cjson").new().decode
return assert(decode([===[
{ "fullyEncodeReservedExpansion": true, "ownerName": "Google", "documentationLink": "https://cloud.google.com/", "id": "beyondcorp:v1alpha", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "servicePath": "", "version": "v1alpha", "basePath": "", "name": "beyondcorp", "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "parameters": { "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "description": "V1 error format." }, "alt": { "type": "string", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "location": "query", "enum": [ "json", "media", "proto" ] }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" } }, "protocol": "rest", "title": "BeyondCorp API", "discoveryVersion": "v1", "kind": "discovery#restDescription", "ownerDomain": "google.com", "resources": { "projects": { "resources": { "locations": { "resources": { "connections": { "methods": { "getIamPolicy": { "parameters": { "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1Policy" }, "path": "v1alpha/{+resource}:getIamPolicy", "id": "beyondcorp.projects.locations.connections.getIamPolicy", "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}:getIamPolicy" }, "testIamPermissions": { "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "location": "path" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}:testIamPermissions", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "id": "beyondcorp.projects.locations.connections.testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+resource}:testIamPermissions", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" } }, "resolve": { "id": "beyondcorp.projects.locations.connections.resolve", "description": "Resolves connections details for a given connector. An internal method called by a connector to find connections to connect to.", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The resource name of the connection location using the form: `projects/{project_id}/locations/{location_id}`" }, "connectorId": { "location": "query", "type": "string", "description": "Required. BeyondCorp Connector name of the connector associated with those connections using the form: `projects/{project_id}/locations/{location_id}/connectors/{connector_id}`" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum number of items to return. If not specified, a default value of 50 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried." }, "pageToken": { "description": "Optional. The next_page_token value returned from a previous ResolveConnectionsResponse, if any.", "type": "string", "location": "query" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connections:resolve", "httpMethod": "GET", "path": "v1alpha/{+parent}/connections:resolve", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ResolveConnectionsResponse" } }, "list": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connections", "id": "beyondcorp.projects.locations.connections.list", "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "Optional. The maximum number of items to return. If not specified, a default value of 50 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried.", "format": "int32" }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "description": "Required. The resource name of the connection location using the form: `projects/{project_id}/locations/{location_id}`" }, "filter": { "location": "query", "type": "string", "description": "Optional. A filter specifying constraints of a list operation." }, "pageToken": { "description": "Optional. The next_page_token value returned from a previous ListConnectionsRequest, if any.", "type": "string", "location": "query" }, "orderBy": { "description": "Optional. Specifies the ordering of results. See [Sorting order](https://cloud.google.com/apis/design/design_patterns#sorting_order) for more information.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+parent}/connections", "httpMethod": "GET", "parameterOrder": [ "parent" ], "response": { "$ref": "ListConnectionsResponse" }, "description": "Lists Connections in a given project and location." }, "setIamPolicy": { "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1Policy" }, "id": "beyondcorp.projects.locations.connections.setIamPolicy", "path": "v1alpha/{+resource}:setIamPolicy", "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}:setIamPolicy" }, "delete": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}", "id": "beyondcorp.projects.locations.connections.delete", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "DELETE", "parameters": { "requestId": { "location": "query", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "name": { "type": "string", "description": "Required. BeyondCorp Connector name using the form: `projects/{project_id}/locations/{location_id}/connections/{connection_id}`", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$" }, "validateOnly": { "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a single Connection.", "parameterOrder": [ "name" ], "path": "v1alpha/{+name}" }, "create": { "parameters": { "validateOnly": { "location": "query", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean" }, "requestId": { "type": "string", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The resource project name of the connection location using the form: `projects/{project_id}/locations/{location_id}`" }, "connectionId": { "location": "query", "type": "string", "description": "Optional. User-settable connection resource ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 4-63 characters from `/a-z-/`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter." } }, "description": "Creates a new Connection in a given project and location.", "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "Connection" }, "path": "v1alpha/{+parent}/connections", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connections", "id": "beyondcorp.projects.locations.connections.create" }, "patch": { "request": { "$ref": "Connection" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from [BeyondCorp.Connection]: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `display_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `application_endpoint` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `connectors`" }, "validateOnly": { "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean", "location": "query" }, "allowMissing": { "type": "boolean", "location": "query", "description": "Optional. If set as true, will create the resource if it is not found." }, "name": { "description": "Required. Unique resource name of the connection. The name is ignored when creating a connection.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "type": "string", "required": true }, "requestId": { "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "httpMethod": "PATCH", "description": "Updates the parameters of a single Connection.", "id": "beyondcorp.projects.locations.connections.patch", "path": "v1alpha/{+name}", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}" }, "get": { "id": "beyondcorp.projects.locations.connections.get", "parameterOrder": [ "name" ], "description": "Gets details of a single Connection.", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}", "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "required": true, "description": "Required. BeyondCorp Connection name using the form: `projects/{project_id}/locations/{location_id}/connections/{connection_id}`", "location": "path", "type": "string" } }, "response": { "$ref": "Connection" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+name}" } } }, "applications": { "methods": { "testIamPermissions": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/applications/{applicationsId}:testIamPermissions", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/applications/[^/]+$", "required": true, "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "httpMethod": "POST", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ], "id": "beyondcorp.projects.locations.applications.testIamPermissions", "path": "v1alpha/{+resource}:testIamPermissions" }, "setIamPolicy": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1alpha/{+resource}:setIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/applications/{applicationsId}:setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/applications/[^/]+$", "type": "string", "location": "path", "required": true } }, "id": "beyondcorp.projects.locations.applications.setIamPolicy" }, "getIamPolicy": { "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1Policy" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/applications/{applicationsId}:getIamPolicy", "path": "v1alpha/{+resource}:getIamPolicy", "httpMethod": "GET", "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "format": "int32", "type": "integer" }, "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/applications/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string" } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.applications.getIamPolicy" } } }, "operations": { "methods": { "cancel": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "request": { "$ref": "GoogleLongrunningCancelOperationRequest" }, "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "type": "string", "description": "The name of the operation resource to be cancelled." } }, "id": "beyondcorp.projects.locations.operations.cancel", "path": "v1alpha/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "list": { "parameterOrder": [ "name" ], "path": "v1alpha/{+name}/operations", "parameters": { "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "description": "The standard list page size.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "The standard list filter." }, "name": { "description": "The name of the operation's parent resource.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "id": "beyondcorp.projects.locations.operations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.operations.delete", "parameterOrder": [ "name" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource to be deleted.", "location": "path" } }, "response": { "$ref": "Empty" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1alpha/{+name}", "httpMethod": "DELETE" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "beyondcorp.projects.locations.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource.", "required": true, "location": "path" } }, "path": "v1alpha/{+name}" } } }, "connectors": { "methods": { "get": { "response": { "$ref": "Connector" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connectors/{connectorsId}", "parameters": { "name": { "required": true, "description": "Required. BeyondCorp Connector name using the form: `projects/{project_id}/locations/{location_id}/connectors/{connector_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/connectors/[^/]+$", "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Gets details of a single Connector.", "path": "v1alpha/{+name}", "id": "beyondcorp.projects.locations.connectors.get" }, "setIamPolicy": { "response": { "$ref": "GoogleIamV1Policy" }, "parameterOrder": [ "resource" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connectors/{connectorsId}:setIamPolicy", "path": "v1alpha/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connectors/[^/]+$" } }, "httpMethod": "POST", "id": "beyondcorp.projects.locations.connectors.setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" } }, "reportStatus": { "httpMethod": "POST", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connectors/{connectorsId}:reportStatus", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "ReportStatusRequest" }, "parameters": { "connector": { "location": "path", "type": "string", "required": true, "description": "Required. BeyondCorp Connector name using the form: `projects/{project_id}/locations/{location_id}/connectors/{connector}`", "pattern": "^projects/[^/]+/locations/[^/]+/connectors/[^/]+$" } }, "id": "beyondcorp.projects.locations.connectors.reportStatus", "description": "Report status for a given connector.", "path": "v1alpha/{+connector}:reportStatus", "parameterOrder": [ "connector" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "description": "Lists Connectors in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connectors", "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Optional. Specifies the ordering of results. See [Sorting order](https://cloud.google.com/apis/design/design_patterns#sorting_order) for more information." }, "filter": { "description": "Optional. A filter specifying constraints of a list operation.", "location": "query", "type": "string" }, "parent": { "description": "Required. The resource name of the connector location using the form: `projects/{project_id}/locations/{location_id}`", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "required": true }, "pageSize": { "description": "Optional. The maximum number of items to return. If not specified, a default value of 50 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous ListConnectorsRequest, if any.", "type": "string" } }, "parameterOrder": [ "parent" ], "path": "v1alpha/{+parent}/connectors", "id": "beyondcorp.projects.locations.connectors.list", "response": { "$ref": "ListConnectorsResponse" } }, "resolveInstanceConfig": { "parameterOrder": [ "connector" ], "description": "Get instance config for a given connector. An internal method called by a connector to get its container config.", "id": "beyondcorp.projects.locations.connectors.resolveInstanceConfig", "httpMethod": "GET", "response": { "$ref": "ResolveInstanceConfigResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connectors/{connectorsId}:resolveInstanceConfig", "path": "v1alpha/{+connector}:resolveInstanceConfig", "parameters": { "connector": { "type": "string", "description": "Required. BeyondCorp Connector name using the form: `projects/{project_id}/locations/{location_id}/connectors/{connector}`", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/connectors/[^/]+$" } } }, "delete": { "parameters": { "requestId": { "type": "string", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way." }, "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/connectors/[^/]+$", "description": "Required. BeyondCorp Connector name using the form: `projects/{project_id}/locations/{location_id}/connectors/{connector_id}`", "type": "string", "required": true } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connectors/{connectorsId}", "httpMethod": "DELETE", "description": "Deletes a single Connector.", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "beyondcorp.projects.locations.connectors.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+name}", "parameterOrder": [ "name" ] }, "patch": { "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "Connector" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from [BeyondCorp.Connector]: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `display_name`" }, "requestId": { "type": "string", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "name": { "description": "Required. Unique resource name of the connector. The name is ignored when creating a connector.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/connectors/[^/]+$", "type": "string", "required": true }, "validateOnly": { "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean", "location": "query" } }, "path": "v1alpha/{+name}", "description": "Updates the parameters of a single Connector.", "id": "beyondcorp.projects.locations.connectors.patch", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connectors/{connectorsId}", "httpMethod": "PATCH" }, "create": { "description": "Creates a new Connector in a given project and location.", "parameters": { "validateOnly": { "location": "query", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean" }, "requestId": { "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "connectorId": { "location": "query", "description": "Optional. User-settable connector resource ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 4-63 characters from `/a-z-/`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter.", "type": "string" }, "parent": { "description": "Required. The resource project name of the connector location using the form: `projects/{project_id}/locations/{location_id}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connectors", "parameterOrder": [ "parent" ], "request": { "$ref": "Connector" }, "path": "v1alpha/{+parent}/connectors", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.connectors.create", "httpMethod": "POST" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/connectors/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connectors/{connectorsId}:testIamPermissions", "id": "beyondcorp.projects.locations.connectors.testIamPermissions", "parameterOrder": [ "resource" ], "path": "v1alpha/{+resource}:testIamPermissions", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "httpMethod": "POST" }, "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "httpMethod": "GET", "response": { "$ref": "GoogleIamV1Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+resource}:getIamPolicy", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/connectors/{connectorsId}:getIamPolicy", "id": "beyondcorp.projects.locations.connectors.getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/connectors/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true } }, "parameterOrder": [ "resource" ] } } }, "appGateways": { "methods": { "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameterOrder": [ "resource" ], "path": "v1alpha/{+resource}:setIamPolicy", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appGateways/{appGatewaysId}:setIamPolicy", "httpMethod": "POST", "response": { "$ref": "GoogleIamV1Policy" }, "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/appGateways/[^/]+$", "type": "string", "required": true } }, "id": "beyondcorp.projects.locations.appGateways.setIamPolicy" }, "create": { "path": "v1alpha/{+parent}/appGateways", "id": "beyondcorp.projects.locations.appGateways.create", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "appGatewayId": { "type": "string", "location": "query", "description": "Optional. User-settable AppGateway resource ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 4-63 characters from `/a-z-/`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter." }, "validateOnly": { "location": "query", "type": "boolean", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way." }, "requestId": { "type": "string", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "parent": { "description": "Required. The resource project name of the AppGateway location using the form: `projects/{project_id}/locations/{location_id}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string" } }, "httpMethod": "POST", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appGateways", "request": { "$ref": "AppGateway" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new AppGateway in a given project and location." }, "get": { "description": "Gets details of a single AppGateway.", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appGateways/{appGatewaysId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.appGateways.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/appGateways/[^/]+$", "location": "path", "description": "Required. BeyondCorp AppGateway name using the form: `projects/{project_id}/locations/{location_id}/appGateways/{app_gateway_id}`", "required": true, "type": "string" } }, "response": { "$ref": "AppGateway" }, "parameterOrder": [ "name" ], "path": "v1alpha/{+name}" }, "delete": { "id": "beyondcorp.projects.locations.appGateways.delete", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1alpha/{+name}", "description": "Deletes a single AppGateway.", "parameterOrder": [ "name" ], "parameters": { "validateOnly": { "location": "query", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean" }, "name": { "required": true, "type": "string", "description": "Required. BeyondCorp AppGateway name using the form: `projects/{project_id}/locations/{location_id}/appGateways/{app_gateway_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/appGateways/[^/]+$", "location": "path" }, "requestId": { "location": "query", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appGateways/{appGatewaysId}", "httpMethod": "DELETE" }, "list": { "httpMethod": "GET", "parameters": { "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Optional. The maximum number of items to return. If not specified, a default value of 50 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried." }, "pageToken": { "type": "string", "location": "query", "description": "Optional. The next_page_token value returned from a previous ListAppGatewaysRequest, if any." }, "orderBy": { "location": "query", "type": "string", "description": "Optional. Specifies the ordering of results. See [Sorting order](https://cloud.google.com/apis/design/design_patterns#sorting_order) for more information." }, "filter": { "location": "query", "description": "Optional. A filter specifying constraints of a list operation.", "type": "string" }, "parent": { "description": "Required. The resource name of the AppGateway location using the form: `projects/{project_id}/locations/{location_id}`", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "response": { "$ref": "ListAppGatewaysResponse" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appGateways", "description": "Lists AppGateways in a given project and location.", "id": "beyondcorp.projects.locations.appGateways.list", "parameterOrder": [ "parent" ], "path": "v1alpha/{+parent}/appGateways", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "testIamPermissions": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appGateways/{appGatewaysId}:testIamPermissions", "httpMethod": "POST", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/appGateways/[^/]+$", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1alpha/{+resource}:testIamPermissions", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "id": "beyondcorp.projects.locations.appGateways.testIamPermissions" }, "getIamPolicy": { "response": { "$ref": "GoogleIamV1Policy" }, "httpMethod": "GET", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appGateways/{appGatewaysId}:getIamPolicy", "id": "beyondcorp.projects.locations.appGateways.getIamPolicy", "path": "v1alpha/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "options.requestedPolicyVersion": { "location": "query", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/appGateways/[^/]+$", "required": true, "location": "path" } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." } } }, "appConnectors": { "methods": { "delete": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "requestId": { "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$", "type": "string", "description": "Required. BeyondCorp AppConnector name using the form: `projects/{project_id}/locations/{location_id}/appConnectors/{app_connector_id}`" }, "validateOnly": { "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean", "location": "query" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}", "description": "Deletes a single AppConnector.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+name}", "id": "beyondcorp.projects.locations.appConnectors.delete", "httpMethod": "DELETE" }, "reportStatus": { "request": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaReportStatusRequest" }, "httpMethod": "POST", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}:reportStatus", "parameterOrder": [ "appConnector" ], "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "appConnector": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$", "required": true, "description": "Required. BeyondCorp Connector name using the form: `projects/{project_id}/locations/{location_id}/connectors/{connector}`" } }, "path": "v1alpha/{+appConnector}:reportStatus", "id": "beyondcorp.projects.locations.appConnectors.reportStatus", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Report status for a given connector." }, "getIamPolicy": { "response": { "$ref": "GoogleIamV1Policy" }, "path": "v1alpha/{+resource}:getIamPolicy", "id": "beyondcorp.projects.locations.appConnectors.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "resource" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameters": { "resource": { "type": "string", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$" }, "options.requestedPolicyVersion": { "type": "integer", "location": "query", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } } }, "list": { "id": "beyondcorp.projects.locations.appConnectors.list", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnectors", "path": "v1alpha/{+parent}/appConnectors", "response": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaListAppConnectorsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists AppConnectors in a given project and location.", "parameters": { "pageSize": { "description": "Optional. The maximum number of items to return. If not specified, a default value of 50 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried.", "type": "integer", "location": "query", "format": "int32" }, "orderBy": { "type": "string", "description": "Optional. Specifies the ordering of results. See [Sorting order](https://cloud.google.com/apis/design/design_patterns#sorting_order) for more information.", "location": "query" }, "pageToken": { "description": "Optional. The next_page_token value returned from a previous ListAppConnectorsRequest, if any.", "type": "string", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Optional. A filter specifying constraints of a list operation." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The resource name of the AppConnector location using the form: `projects/{project_id}/locations/{location_id}`" } }, "parameterOrder": [ "parent" ], "httpMethod": "GET" }, "patch": { "request": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnector" }, "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "validateOnly": { "type": "boolean", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "location": "query" }, "requestId": { "location": "query", "type": "string", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from [BeyondCorp.AppConnector]: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `display_name`" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$", "required": true, "description": "Required. Unique resource name of the AppConnector. The name is ignored when creating a AppConnector.", "location": "path", "type": "string" } }, "id": "beyondcorp.projects.locations.appConnectors.patch", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}", "description": "Updates the parameters of a single AppConnector.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH" }, "get": { "path": "v1alpha/{+name}", "httpMethod": "GET", "description": "Gets details of a single AppConnector.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnector" }, "id": "beyondcorp.projects.locations.appConnectors.get", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}", "parameters": { "name": { "description": "Required. BeyondCorp AppConnector name using the form: `projects/{project_id}/locations/{location_id}/appConnectors/{app_connector_id}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$", "type": "string", "location": "path" } } }, "resolveInstanceConfig": { "parameters": { "appConnector": { "description": "Required. BeyondCorp AppConnector name using the form: `projects/{project_id}/locations/{location_id}/appConnectors/{app_connector}`", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}:resolveInstanceConfig", "id": "beyondcorp.projects.locations.appConnectors.resolveInstanceConfig", "path": "v1alpha/{+appConnector}:resolveInstanceConfig", "httpMethod": "GET", "response": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaResolveInstanceConfigResponse" }, "description": "Get instance config for a given AppConnector. An internal method called by a AppConnector to get its container config.", "parameterOrder": [ "appConnector" ] }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } }, "httpMethod": "POST", "id": "beyondcorp.projects.locations.appConnectors.testIamPermissions", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1alpha/{+resource}:testIamPermissions" }, "create": { "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnector" }, "parameters": { "appConnectorId": { "description": "Optional. User-settable AppConnector resource ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 4-63 characters from `/a-z-/`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter.", "location": "query", "type": "string" }, "validateOnly": { "location": "query", "type": "boolean", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way." }, "parent": { "type": "string", "location": "path", "required": true, "description": "Required. The resource project name of the AppConnector location using the form: `projects/{project_id}/locations/{location_id}`", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "requestId": { "type": "string", "location": "query", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "description": "Creates a new AppConnector in a given project and location.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnectors", "path": "v1alpha/{+parent}/appConnectors", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "beyondcorp.projects.locations.appConnectors.create" }, "setIamPolicy": { "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "response": { "$ref": "GoogleIamV1Policy" }, "path": "v1alpha/{+resource}:setIamPolicy", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnectors/{appConnectorsId}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/appConnectors/[^/]+$", "required": true, "location": "path" } }, "httpMethod": "POST", "parameterOrder": [ "resource" ], "id": "beyondcorp.projects.locations.appConnectors.setIamPolicy" } } }, "clientConnectorServices": { "methods": { "delete": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientConnectorServices/{clientConnectorServicesId}", "id": "beyondcorp.projects.locations.clientConnectorServices.delete", "path": "v1alpha/{+name}", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "Required. Name of the resource.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clientConnectorServices/[^/]+$", "required": true }, "requestId": { "location": "query", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "validateOnly": { "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean", "location": "query" } }, "description": "Deletes a single ClientConnectorService." }, "create": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientConnectorServices", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "ClientConnectorService" }, "parameters": { "requestId": { "type": "string", "location": "query", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "parent": { "type": "string", "description": "Required. Value for parent.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "clientConnectorServiceId": { "location": "query", "type": "string", "description": "Optional. User-settable client connector service resource ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 4-63 characters from `/a-z-/`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. A random system generated name will be assigned if not specified by the user." }, "validateOnly": { "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "location": "query", "type": "boolean" } }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new ClientConnectorService in a given project and location.", "path": "v1alpha/{+parent}/clientConnectorServices", "id": "beyondcorp.projects.locations.clientConnectorServices.create" }, "list": { "id": "beyondcorp.projects.locations.clientConnectorServices.list", "response": { "$ref": "ListClientConnectorServicesResponse" }, "path": "v1alpha/{+parent}/clientConnectorServices", "description": "Lists ClientConnectorServices in a given project and location.", "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.", "location": "query" }, "filter": { "description": "Optional. Filtering results.", "location": "query", "type": "string" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Parent value for ListClientConnectorServicesRequest.", "required": true, "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Optional. Hint for how to order the results." }, "pageToken": { "location": "query", "description": "Optional. A token identifying a page of results the server should return.", "type": "string" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientConnectorServices", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "httpMethod": "POST", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientConnectorServices/{clientConnectorServicesId}:setIamPolicy", "path": "v1alpha/{+resource}:setIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clientConnectorServices/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "id": "beyondcorp.projects.locations.clientConnectorServices.setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" } }, "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1alpha/{+resource}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/clientConnectorServices/[^/]+$", "location": "path", "type": "string" } }, "parameterOrder": [ "resource" ], "httpMethod": "GET", "id": "beyondcorp.projects.locations.clientConnectorServices.getIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientConnectorServices/{clientConnectorServicesId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "path": "v1alpha/{+name}", "request": { "$ref": "ClientConnectorService" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "requestId": { "location": "query", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. Field mask is used to specify the fields to be overwritten in the ClientConnectorService resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten. Mutable fields: display_name.", "location": "query" }, "name": { "location": "path", "type": "string", "description": "Required. Name of resource. The name is ignored during creation.", "pattern": "^projects/[^/]+/locations/[^/]+/clientConnectorServices/[^/]+$", "required": true }, "allowMissing": { "type": "boolean", "description": "Optional. If set as true, will create the resource if it is not found.", "location": "query" }, "validateOnly": { "type": "boolean", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "location": "query" } }, "id": "beyondcorp.projects.locations.clientConnectorServices.patch", "description": "Updates the parameters of a single ClientConnectorService.", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "PATCH", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientConnectorServices/{clientConnectorServicesId}" }, "get": { "id": "beyondcorp.projects.locations.clientConnectorServices.get", "description": "Gets details of a single ClientConnectorService.", "response": { "$ref": "ClientConnectorService" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientConnectorServices/{clientConnectorServicesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+name}", "parameters": { "name": { "required": true, "description": "Required. Name of the resource.", "pattern": "^projects/[^/]+/locations/[^/]+/clientConnectorServices/[^/]+$", "type": "string", "location": "path" } } }, "testIamPermissions": { "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ], "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientConnectorServices/{clientConnectorServicesId}:testIamPermissions", "id": "beyondcorp.projects.locations.clientConnectorServices.testIamPermissions", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+resource}:testIamPermissions", "parameters": { "resource": { "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/clientConnectorServices/[^/]+$", "type": "string" } } } } }, "appConnections": { "methods": { "patch": { "parameterOrder": [ "name" ], "path": "v1alpha/{+name}", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnections/{appConnectionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "requestId": { "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "validateOnly": { "location": "query", "type": "boolean", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/appConnections/[^/]+$", "required": true, "type": "string", "description": "Required. Unique resource name of the AppConnection. The name is ignored when creating a AppConnection.", "location": "path" }, "updateMask": { "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from [BeyondCorp.AppConnection]: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `display_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `application_endpoint` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `connectors`", "format": "google-fieldmask", "location": "query", "type": "string" }, "allowMissing": { "location": "query", "description": "Optional. If set as true, will create the resource if it is not found.", "type": "boolean" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "PATCH", "description": "Updates the parameters of a single AppConnection.", "request": { "$ref": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnection" }, "id": "beyondcorp.projects.locations.appConnections.patch" }, "get": { "description": "Gets details of a single AppConnection.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "description": "Required. BeyondCorp AppConnection name using the form: `projects/{project_id}/locations/{location_id}/appConnections/{app_connection_id}`", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/appConnections/[^/]+$" } }, "path": "v1alpha/{+name}", "response": { "$ref": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnection" }, "id": "beyondcorp.projects.locations.appConnections.get", "parameterOrder": [ "name" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnections/{appConnectionsId}" }, "setIamPolicy": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/appConnections/[^/]+$", "location": "path", "type": "string" } }, "path": "v1alpha/{+resource}:setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnections/{appConnectionsId}:setIamPolicy", "parameterOrder": [ "resource" ], "id": "beyondcorp.projects.locations.appConnections.setIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors." }, "delete": { "parameters": { "requestId": { "type": "string", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "validateOnly": { "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/appConnections/[^/]+$", "description": "Required. BeyondCorp Connector name using the form: `projects/{project_id}/locations/{location_id}/appConnections/{app_connection_id}`", "location": "path", "type": "string", "required": true } }, "id": "beyondcorp.projects.locations.appConnections.delete", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Deletes a single AppConnection.", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnections/{appConnectionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "httpMethod": "DELETE" }, "testIamPermissions": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnections/{appConnectionsId}:testIamPermissions", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/appConnections/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1alpha/{+resource}:testIamPermissions", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "httpMethod": "POST", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "id": "beyondcorp.projects.locations.appConnections.testIamPermissions" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1alpha/{+parent}/appConnections", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnections", "description": "Lists AppConnections in a given project and location.", "response": { "$ref": "GoogleCloudBeyondcorpAppconnectionsV1alphaListAppConnectionsResponse" }, "parameters": { "filter": { "location": "query", "description": "Optional. A filter specifying constraints of a list operation.", "type": "string" }, "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The resource name of the AppConnection location using the form: `projects/{project_id}/locations/{location_id}`", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageToken": { "description": "Optional. The next_page_token value returned from a previous ListAppConnectionsRequest, if any.", "location": "query", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of items to return. If not specified, a default value of 50 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried.", "location": "query", "format": "int32", "type": "integer" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. Specifies the ordering of results. See [Sorting order](https://cloud.google.com/apis/design/design_patterns#sorting_order) for more information." } }, "id": "beyondcorp.projects.locations.appConnections.list", "parameterOrder": [ "parent" ] }, "create": { "id": "beyondcorp.projects.locations.appConnections.create", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnection" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnections", "httpMethod": "POST", "description": "Creates a new AppConnection in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+parent}/appConnections", "parameters": { "appConnectionId": { "description": "Optional. User-settable AppConnection resource ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 4-63 characters from `/a-z-/`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter.", "location": "query", "type": "string" }, "validateOnly": { "type": "boolean", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "location": "query" }, "requestId": { "location": "query", "type": "string", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "parent": { "location": "path", "type": "string", "description": "Required. The resource project name of the AppConnection location using the form: `projects/{project_id}/locations/{location_id}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } } }, "resolve": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "beyondcorp.projects.locations.appConnections.resolve", "response": { "$ref": "GoogleCloudBeyondcorpAppconnectionsV1alphaResolveAppConnectionsResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnections:resolve", "description": "Resolves AppConnections details for a given AppConnector. An internal method called by a connector to find AppConnections to connect to.", "parameters": { "appConnectorId": { "description": "Required. BeyondCorp Connector name of the connector associated with those AppConnections using the form: `projects/{project_id}/locations/{location_id}/appConnectors/{app_connector_id}`", "location": "query", "type": "string" }, "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous ResolveAppConnectionsResponse, if any.", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "Optional. The maximum number of items to return. If not specified, a default value of 50 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried.", "format": "int32" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. The resource name of the AppConnection location using the form: `projects/{project_id}/locations/{location_id}`", "required": true, "type": "string" } }, "httpMethod": "GET", "path": "v1alpha/{+parent}/appConnections:resolve" }, "getIamPolicy": { "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/appConnections/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path", "required": true }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32", "location": "query" } }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleIamV1Policy" }, "path": "v1alpha/{+resource}:getIamPolicy", "httpMethod": "GET", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/appConnections/{appConnectionsId}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "id": "beyondcorp.projects.locations.appConnections.getIamPolicy" } } }, "clientGateways": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ClientGateway" }, "path": "v1alpha/{+name}", "httpMethod": "GET", "description": "Gets details of a single ClientGateway.", "parameters": { "name": { "required": true, "type": "string", "description": "Required. Name of the resource", "pattern": "^projects/[^/]+/locations/[^/]+/clientGateways/[^/]+$", "location": "path" } }, "id": "beyondcorp.projects.locations.clientGateways.get", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientGateways/{clientGatewaysId}", "parameterOrder": [ "name" ] }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/clientGateways/[^/]+$", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "id": "beyondcorp.projects.locations.clientGateways.testIamPermissions", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "httpMethod": "POST", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientGateways/{clientGatewaysId}:testIamPermissions", "parameterOrder": [ "resource" ], "path": "v1alpha/{+resource}:testIamPermissions" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+parent}/clientGateways", "description": "Lists ClientGateways in a given project and location.", "httpMethod": "GET", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientGateways", "response": { "$ref": "ListClientGatewaysResponse" }, "id": "beyondcorp.projects.locations.clientGateways.list", "parameterOrder": [ "parent" ], "parameters": { "orderBy": { "description": "Optional. Hint for how to order the results.", "type": "string", "location": "query" }, "pageToken": { "description": "Optional. A token identifying a page of results the server should return.", "type": "string", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "Optional. Filtering results." }, "pageSize": { "format": "int32", "location": "query", "description": "Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.", "type": "integer" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Parent value for ListClientGatewaysRequest.", "location": "path", "type": "string", "required": true } } }, "create": { "parameters": { "parent": { "location": "path", "type": "string", "description": "Required. Value for parent.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" }, "requestId": { "type": "string", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "validateOnly": { "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean", "location": "query" }, "clientGatewayId": { "type": "string", "description": "Optional. User-settable client gateway resource ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 4-63 characters from `/a-z-/`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter.", "location": "query" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "path": "v1alpha/{+parent}/clientGateways", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "ClientGateway" }, "description": "Creates a new ClientGateway in a given project and location.", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientGateways", "id": "beyondcorp.projects.locations.clientGateways.create" }, "delete": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientGateways/{clientGatewaysId}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "beyondcorp.projects.locations.clientGateways.delete", "path": "v1alpha/{+name}", "description": "Deletes a single ClientGateway.", "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "Required. Name of the resource", "pattern": "^projects/[^/]+/locations/[^/]+/clientGateways/[^/]+$" }, "validateOnly": { "type": "boolean", "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "location": "query" }, "requestId": { "type": "string", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" } } }, "getIamPolicy": { "id": "beyondcorp.projects.locations.clientGateways.getIamPolicy", "path": "v1alpha/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "format": "int32", "type": "integer" }, "resource": { "required": true, "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/clientGateways/[^/]+$" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientGateways/{clientGatewaysId}:getIamPolicy", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleIamV1Policy" } }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "GoogleIamV1Policy" }, "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "path": "v1alpha/{+resource}:setIamPolicy", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/clientGateways/{clientGatewaysId}:setIamPolicy", "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clientGateways/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "parameterOrder": [ "resource" ], "id": "beyondcorp.projects.locations.clientGateways.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" } } } }, "methods": { "get": { "id": "beyondcorp.projects.locations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudLocationLocation" }, "httpMethod": "GET", "description": "Gets information about a location.", "path": "v1alpha/{+name}", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}", "parameters": { "name": { "type": "string", "location": "path", "description": "Resource name for the location.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "parameterOrder": [ "name" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudLocationListLocationsResponse" }, "flatPath": "v1alpha/projects/{projectsId}/locations", "description": "Lists information about the supported locations for this service.", "parameterOrder": [ "name" ], "parameters": { "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query" }, "filter": { "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query" }, "name": { "location": "path", "type": "string", "required": true, "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$" }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" } }, "path": "v1alpha/{+name}/locations", "id": "beyondcorp.projects.locations.list" } } } } } }, "canonicalName": "BeyondCorp", "version_module": true, "mtlsRootUrl": "https://beyondcorp.mtls.googleapis.com/", "schemas": { "GoogleCloudLocationListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "type": "object", "id": "GoogleCloudLocationListLocationsResponse", "properties": { "locations": { "description": "A list of locations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "GoogleCloudLocationLocation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } } }, "GoogleCloudBeyondcorpAppconnectionsV1alphaResolveAppConnectionsResponse": { "properties": { "appConnectionDetails": { "items": { "$ref": "GoogleCloudBeyondcorpAppconnectionsV1alphaResolveAppConnectionsResponseAppConnectionDetails" }, "type": "array", "description": "A list of BeyondCorp AppConnections with details in the project." }, "nextPageToken": { "description": "A token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "unreachable": { "type": "array", "description": "A list of locations that could not be reached.", "items": { "type": "string" } } }, "description": "Response message for BeyondCorp.ResolveAppConnections.", "id": "GoogleCloudBeyondcorpAppconnectionsV1alphaResolveAppConnectionsResponse", "type": "object" }, "GoogleCloudBeyondcorpAppconnectorsV1alphaImageConfig": { "description": "ImageConfig defines the control plane images to run.", "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaImageConfig", "properties": { "targetImage": { "type": "string", "description": "The initial image the remote agent will attempt to run for the control plane. Format would be a gcr image path, e.g.: gcr.io/PROJECT-ID/my-image:tag1" }, "stableImage": { "type": "string", "description": "The stable image that the remote agent will fallback to if the target image fails. Format would be a gcr image path, e.g.: gcr.io/PROJECT-ID/my-image:tag1" } }, "type": "object" }, "ClientConnectorService": { "id": "ClientConnectorService", "properties": { "state": { "description": "Output only. The operational state of the ClientConnectorService.", "enumDescriptions": [ "Default value. This value is unused.", "ClientConnectorService is being created.", "ClientConnectorService is being updated.", "ClientConnectorService is being deleted.", "ClientConnectorService is running.", "ClientConnectorService is down and may be restored in the future. This happens when CCFE sends ProjectState = OFF.", "ClientConnectorService encountered an error and is in an indeterministic state." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "UPDATING", "DELETING", "RUNNING", "DOWN", "ERROR" ], "readOnly": true }, "updateTime": { "description": "Output only. [Output only] Update time stamp.", "type": "string", "readOnly": true, "format": "google-datetime" }, "egress": { "description": "Required. The details of the egress settings.", "$ref": "Egress" }, "displayName": { "description": "Optional. User-provided name. The display name should follow certain format. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be 6 to 30 characters in length. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Can only contain lowercase letters, numbers, and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter.", "type": "string" }, "createTime": { "readOnly": true, "description": "Output only. [Output only] Create time stamp.", "format": "google-datetime", "type": "string" }, "name": { "type": "string", "description": "Required. Name of resource. The name is ignored during creation." }, "ingress": { "$ref": "Ingress", "description": "Required. The details of the ingress settings." } }, "type": "object", "description": "Message describing ClientConnectorService object." }, "GoogleCloudBeyondcorpAppconnectorsV1alphaResourceInfo": { "type": "object", "properties": { "status": { "enumDescriptions": [ "Health status is unknown: not initialized or failed to retrieve.", "The resource is healthy.", "The resource is unhealthy.", "The resource is unresponsive.", "Some sub-resources are UNHEALTHY." ], "enum": [ "HEALTH_STATUS_UNSPECIFIED", "HEALTHY", "UNHEALTHY", "UNRESPONSIVE", "DEGRADED" ], "description": "Overall health status. Overall status is derived based on the status of each sub level resources.", "type": "string" }, "sub": { "items": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaResourceInfo" }, "description": "List of Info for the sub level resources.", "type": "array" }, "resource": { "type": "object", "description": "Specific details for the resource. This is for internal use only.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "id": { "type": "string", "description": "Required. Unique Id for the resource." }, "time": { "format": "google-datetime", "description": "The timestamp to collect the info. It is suggested to be set by the topmost level resource only.", "type": "string" } }, "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaResourceInfo", "description": "ResourceInfo represents the information/status of an app connector resource. Such as: - remote_agent - container - runtime - appgateway - appconnector - appconnection - tunnel - logagent" }, "RemoteAgentDetails": { "properties": {}, "id": "RemoteAgentDetails", "description": "RemoteAgentDetails reflects the details of a remote agent.", "type": "object" }, "Connection": { "description": "A BeyondCorp Connection resource represents a BeyondCorp protected connection to a remote application. It creates all the necessary GCP components needed for creating a BeyondCorp protected connection. Multiple connectors can be authorised for a single Connection.", "properties": { "connectors": { "items": { "type": "string" }, "description": "Optional. List of [google.cloud.beyondcorp.v1main.Connector.name] that are authorised to be associated with this Connection.", "type": "array" }, "type": { "type": "string", "description": "Required. The type of network connectivity used by the connection.", "enum": [ "TYPE_UNSPECIFIED", "TCP_PROXY" ], "enumDescriptions": [ "Default value. This value is unused.", "TCP Proxy based BeyondCorp Connection. API will default to this if unset." ] }, "applicationEndpoint": { "$ref": "ApplicationEndpoint", "description": "Required. Address of the remote application endpoint for the BeyondCorp Connection." }, "uid": { "description": "Output only. A unique identifier for the instance generated by the system.", "readOnly": true, "type": "string" }, "labels": { "description": "Optional. Resource labels to represent user provided metadata.", "additionalProperties": { "type": "string" }, "type": "object" }, "name": { "description": "Required. Unique resource name of the connection. The name is ignored when creating a connection.", "type": "string" }, "state": { "type": "string", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "CREATED", "UPDATING", "DELETING", "DOWN" ], "enumDescriptions": [ "Default value. This value is unused.", "Connection is being created.", "Connection has been created.", "Connection's configuration is being updated.", "Connection is being deleted.", "Connection is down and may be restored in the future. This happens when CCFE sends ProjectState = OFF." ], "description": "Output only. The current state of the connection." }, "gateway": { "$ref": "Gateway", "description": "Optional. Gateway used by the connection." }, "displayName": { "type": "string", "description": "Optional. An arbitrary user-provided name for the connection. Cannot exceed 64 characters." }, "updateTime": { "type": "string", "readOnly": true, "description": "Output only. Timestamp when the resource was last modified.", "format": "google-datetime" }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. Timestamp when the resource was created.", "format": "google-datetime" } }, "type": "object", "id": "Connection" }, "ConnectorOperationMetadata": { "properties": { "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "target": { "type": "string", "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true }, "endTime": { "description": "Output only. The time the operation finished running.", "format": "google-datetime", "type": "string", "readOnly": true }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time the operation was created.", "readOnly": true }, "requestedCancellation": { "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean" } }, "id": "ConnectorOperationMetadata", "description": "Represents the metadata of the long-running operation.", "type": "object" }, "PrincipalInfo": { "description": "PrincipalInfo represents an Identity oneof.", "type": "object", "id": "PrincipalInfo", "properties": { "serviceAccount": { "$ref": "ServiceAccount", "description": "A GCP service account." } } }, "Gateway": { "id": "Gateway", "properties": { "userPort": { "format": "int32", "type": "integer", "readOnly": true, "description": "Output only. User port reserved on the gateways for this connection, if not specified or zero, the default port is 19443." }, "uri": { "description": "Output only. Server-defined URI for this resource.", "readOnly": true, "type": "string" }, "type": { "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "Gateway hosted in a GCP regional managed instance group." ], "enum": [ "TYPE_UNSPECIFIED", "GCP_REGIONAL_MIG" ], "description": "Required. The type of hosting used by the gateway." } }, "description": "Gateway represents a user facing component that serves as an entrance to enable connectivity.", "type": "object" }, "GoogleCloudLocationLocation": { "description": "A resource that represents Google Cloud Platform location.", "id": "GoogleCloudLocationLocation", "properties": { "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location." }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" }, "type": "object" } }, "type": "object" }, "ResolveInstanceConfigResponse": { "type": "object", "properties": { "instanceConfig": { "$ref": "ConnectorInstanceConfig", "description": "ConnectorInstanceConfig." } }, "id": "ResolveInstanceConfigResponse", "description": "Response message for BeyondCorp.ResolveInstanceConfig." }, "GoogleCloudBeyondcorpAppconnectorsV1alphaListAppConnectorsResponse": { "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaListAppConnectorsResponse", "properties": { "unreachable": { "type": "array", "items": { "type": "string" }, "description": "A list of locations that could not be reached." }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results, or empty if there are no more results in the list." }, "appConnectors": { "items": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnector" }, "description": "A list of BeyondCorp AppConnectors in the project.", "type": "array" } }, "type": "object", "description": "Response message for BeyondCorp.ListAppConnectors." }, "ConnectorInstanceConfig": { "type": "object", "properties": { "instanceConfig": { "type": "object", "description": "The SLM instance agent configuration.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "sequenceNumber": { "description": "Required. A monotonically increasing number generated and maintained by the API provider. Every time a config changes in the backend, the sequenceNumber should be bumped up to reflect the change.", "format": "int64", "type": "string" }, "imageConfig": { "description": "ImageConfig defines the GCR images to run for the remote agent's control plane.", "$ref": "ImageConfig" }, "notificationConfig": { "description": "NotificationConfig defines the notification mechanism that the remote instance should subscribe to in order to receive notification.", "$ref": "NotificationConfig" } }, "id": "ConnectorInstanceConfig", "description": "ConnectorInstanceConfig defines the instance config of a connector." }, "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorPrincipalInfoServiceAccount": { "type": "object", "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorPrincipalInfoServiceAccount", "description": "ServiceAccount represents a GCP service account.", "properties": { "email": { "type": "string", "description": "Email address of the service account." } } }, "ResourceInfo": { "description": "ResourceInfo represents the information/status of the associated resource.", "properties": { "status": { "description": "Overall health status. Overall status is derived based on the status of each sub level resources.", "type": "string", "enumDescriptions": [ "Health status is unknown: not initialized or failed to retrieve.", "The resource is healthy.", "The resource is unhealthy.", "The resource is unresponsive.", "Some sub-resources are UNHEALTHY." ], "enum": [ "HEALTH_STATUS_UNSPECIFIED", "HEALTHY", "UNHEALTHY", "UNRESPONSIVE", "DEGRADED" ] }, "id": { "type": "string", "description": "Required. Unique Id for the resource." }, "sub": { "items": { "$ref": "ResourceInfo" }, "type": "array", "description": "List of Info for the sub level resources." }, "time": { "format": "google-datetime", "type": "string", "description": "The timestamp to collect the info. It is suggested to be set by the topmost level resource only." }, "resource": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Specific details for the resource." } }, "type": "object", "id": "ResourceInfo" }, "GoogleLongrunningListOperationsResponse": { "properties": { "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "GoogleLongrunningOperation" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "id": "GoogleLongrunningListOperationsResponse", "type": "object", "description": "The response message for Operations.ListOperations." }, "CloudSecurityZerotrustApplinkAppConnectorProtoConnectorDetails": { "type": "object", "properties": {}, "description": "ConnectorDetails reflects the details of a connector.", "id": "CloudSecurityZerotrustApplinkAppConnectorProtoConnectorDetails" }, "PeeredVpc": { "properties": { "networkVpc": { "description": "Required. The name of the peered VPC owned by the consumer project.", "type": "string" } }, "type": "object", "description": "The peered VPC owned by the consumer project.", "id": "PeeredVpc" }, "ReportStatusRequest": { "description": "Request report the connector status.", "type": "object", "properties": { "requestId": { "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "resourceInfo": { "$ref": "ResourceInfo", "description": "Required. Resource info of the connector." }, "validateOnly": { "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean" } }, "id": "ReportStatusRequest" }, "ClientGatewayOperationMetadata": { "type": "object", "description": "Represents the metadata of the long-running operation.", "id": "ClientGatewayOperationMetadata", "properties": { "createTime": { "readOnly": true, "type": "string", "description": "Output only. The time the operation was created.", "format": "google-datetime" }, "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." }, "statusMessage": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." }, "requestedCancellation": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "apiVersion": { "description": "Output only. API version used to start the operation.", "readOnly": true, "type": "string" }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "endTime": { "type": "string", "readOnly": true, "description": "Output only. The time the operation finished running.", "format": "google-datetime" } } }, "AppGateway": { "description": "A BeyondCorp AppGateway resource represents a BeyondCorp protected AppGateway to a remote application. It creates all the necessary GCP components needed for creating a BeyondCorp protected AppGateway. Multiple connectors can be authorised for a single AppGateway.", "id": "AppGateway", "properties": { "type": { "description": "Required. The type of network connectivity used by the AppGateway.", "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "TCP Proxy based BeyondCorp Connection. API will default to this if unset." ], "enum": [ "TYPE_UNSPECIFIED", "TCP_PROXY" ] }, "uri": { "type": "string", "readOnly": true, "description": "Output only. Server-defined URI for this resource." }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. Timestamp when the resource was created.", "type": "string" }, "displayName": { "description": "Optional. An arbitrary user-provided name for the AppGateway. Cannot exceed 64 characters.", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "CREATED", "UPDATING", "DELETING", "DOWN" ], "description": "Output only. The current state of the AppGateway.", "readOnly": true, "enumDescriptions": [ "Default value. This value is unused.", "AppGateway is being created.", "AppGateway has been created.", "AppGateway's configuration is being updated.", "AppGateway is being deleted.", "AppGateway is down and may be restored in the future. This happens when CCFE sends ProjectState = OFF." ], "type": "string" }, "name": { "type": "string", "description": "Required. Unique resource name of the AppGateway. The name is ignored when creating an AppGateway." }, "hostType": { "description": "Required. The type of hosting used by the AppGateway.", "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "AppGateway hosted in a GCP regional managed instance group." ], "enum": [ "HOST_TYPE_UNSPECIFIED", "GCP_REGIONAL_MIG" ] }, "labels": { "description": "Optional. Resource labels to represent user provided metadata.", "type": "object", "additionalProperties": { "type": "string" } }, "updateTime": { "format": "google-datetime", "description": "Output only. Timestamp when the resource was last modified.", "type": "string", "readOnly": true }, "allocatedConnections": { "description": "Output only. A list of connections allocated for the Gateway", "items": { "$ref": "AllocatedConnection" }, "readOnly": true, "type": "array" }, "uid": { "description": "Output only. A unique identifier for the instance generated by the system.", "type": "string", "readOnly": true } }, "type": "object" }, "GoogleCloudBeyondcorpAppconnectionsV1alphaListAppConnectionsResponse": { "description": "Response message for BeyondCorp.ListAppConnections.", "type": "object", "id": "GoogleCloudBeyondcorpAppconnectionsV1alphaListAppConnectionsResponse", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "appConnections": { "items": { "$ref": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnection" }, "type": "array", "description": "A list of BeyondCorp AppConnections in the project." }, "unreachable": { "description": "A list of locations that could not be reached.", "items": { "type": "string" }, "type": "array" } } }, "GoogleTypeExpr": { "type": "object", "id": "GoogleTypeExpr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } } }, "GoogleIamV1Policy": { "properties": { "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "GoogleIamV1Binding" } }, "etag": { "type": "string", "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "auditConfigs": { "type": "array", "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "GoogleIamV1AuditConfig" } } }, "type": "object", "id": "GoogleIamV1Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnectionGateway": { "description": "Gateway represents a user facing component that serves as an entrance to enable connectivity.", "properties": { "appGateway": { "type": "string", "description": "Required. AppGateway name in following format: projects/{project_id}/locations/{location_id}/appgateways/{gateway_id}" }, "ingressPort": { "type": "integer", "readOnly": true, "format": "int32", "description": "Output only. Ingress port reserved on the gateways for this AppConnection, if not specified or zero, the default port is 19443." }, "type": { "description": "Required. The type of hosting used by the gateway.", "type": "string", "enum": [ "TYPE_UNSPECIFIED", "GCP_REGIONAL_MIG" ], "enumDescriptions": [ "Default value. This value is unused.", "Gateway hosted in a GCP regional managed instance group." ] }, "uri": { "type": "string", "description": "Output only. Server-defined URI for this resource.", "readOnly": true } }, "type": "object", "id": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnectionGateway" }, "AppGatewayOperationMetadata": { "type": "object", "description": "Represents the metadata of the long-running operation.", "properties": { "createTime": { "description": "Output only. The time the operation was created.", "format": "google-datetime", "type": "string", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "requestedCancellation": { "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean" }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "endTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time the operation finished running." }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "type": "string", "readOnly": true } }, "id": "AppGatewayOperationMetadata" }, "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnection": { "description": "A BeyondCorp AppConnection resource represents a BeyondCorp protected AppConnection to a remote application. It creates all the necessary GCP components needed for creating a BeyondCorp protected AppConnection. Multiple connectors can be authorised for a single AppConnection.", "type": "object", "properties": { "state": { "readOnly": true, "description": "Output only. The current state of the AppConnection.", "enumDescriptions": [ "Default value. This value is unused.", "AppConnection is being created.", "AppConnection has been created.", "AppConnection's configuration is being updated.", "AppConnection is being deleted.", "AppConnection is down and may be restored in the future. This happens when CCFE sends ProjectState = OFF." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "CREATED", "UPDATING", "DELETING", "DOWN" ] }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Timestamp when the resource was created." }, "name": { "description": "Required. Unique resource name of the AppConnection. The name is ignored when creating a AppConnection.", "type": "string" }, "labels": { "type": "object", "description": "Optional. Resource labels to represent user provided metadata.", "additionalProperties": { "type": "string" } }, "gateway": { "description": "Optional. Gateway used by the AppConnection.", "$ref": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnectionGateway" }, "uid": { "type": "string", "readOnly": true, "description": "Output only. A unique identifier for the instance generated by the system." }, "updateTime": { "description": "Output only. Timestamp when the resource was last modified.", "readOnly": true, "format": "google-datetime", "type": "string" }, "type": { "type": "string", "description": "Required. The type of network connectivity used by the AppConnection.", "enumDescriptions": [ "Default value. This value is unused.", "TCP Proxy based BeyondCorp AppConnection. API will default to this if unset." ], "enum": [ "TYPE_UNSPECIFIED", "TCP_PROXY" ] }, "displayName": { "type": "string", "description": "Optional. An arbitrary user-provided name for the AppConnection. Cannot exceed 64 characters." }, "applicationEndpoint": { "$ref": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnectionApplicationEndpoint", "description": "Required. Address of the remote application endpoint for the BeyondCorp AppConnection." }, "connectors": { "items": { "type": "string" }, "type": "array", "description": "Optional. List of [google.cloud.beyondcorp.v1main.Connector.name] that are authorised to be associated with this AppConnection." } }, "id": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnection" }, "GoogleCloudBeyondcorpAppconnectionsV1alphaResolveAppConnectionsResponseAppConnectionDetails": { "properties": { "appConnection": { "$ref": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnection", "description": "A BeyondCorp AppConnection in the project." }, "recentMigVms": { "items": { "type": "string" }, "description": "If type=GCP_REGIONAL_MIG, contains most recent VM instances, like \"https://www.googleapis.com/compute/v1/projects/{project_id}/zones/{zone_id}/instances/{instance_id}\".", "type": "array" } }, "description": "Details of the AppConnection.", "type": "object", "id": "GoogleCloudBeyondcorpAppconnectionsV1alphaResolveAppConnectionsResponseAppConnectionDetails" }, "CloudSecurityZerotrustApplinkAppConnectorProtoGateway": { "properties": { "interface": { "description": "interface specifies the network interface of the gateway to connect to.", "type": "string" }, "name": { "type": "string", "description": "name is the name of an instance running a gateway. It is the unique ID for a gateway. All gateways under the same connection have the same prefix. It is derived from the gateway URL. For example, name=${instance} assuming a gateway URL. https://www.googleapis.com/compute/${version}/projects/${project}/zones/${zone}/instances/${instance}" }, "zone": { "type": "string", "description": "zone represents the zone the instance belongs. It is derived from the gateway URL. For example, zone=${zone} assuming a gateway URL. https://www.googleapis.com/compute/${version}/projects/${project}/zones/${zone}/instances/${instance}" }, "project": { "description": "project is the tenant project the gateway belongs to. Different from the project in the connection, it is a BeyondCorpAPI internally created project to manage all the gateways. It is sharing the same network with the consumer project user owned. It is derived from the gateway URL. For example, project=${project} assuming a gateway URL. https://www.googleapis.com/compute/${version}/projects/${project}/zones/${zone}/instances/${instance}", "type": "string" }, "selfLink": { "type": "string", "description": "self_link is the gateway URL in the form https://www.googleapis.com/compute/${version}/projects/${project}/zones/${zone}/instances/${instance}" }, "port": { "description": "port specifies the port of the gateway for tunnel connections from the connectors.", "type": "integer", "format": "uint32" } }, "id": "CloudSecurityZerotrustApplinkAppConnectorProtoGateway", "type": "object", "description": "Gateway represents a GCE VM Instance endpoint for use by IAP TCP." }, "Egress": { "description": "The details of the egress info. One of the following options should be set.", "type": "object", "properties": { "peeredVpc": { "description": "A VPC from the consumer project.", "$ref": "PeeredVpc" } }, "id": "Egress" }, "ClientConnectorServiceOperationMetadata": { "description": "Represents the metadata of the long-running operation.", "type": "object", "properties": { "endTime": { "type": "string", "description": "Output only. The time the operation finished running.", "format": "google-datetime", "readOnly": true }, "apiVersion": { "description": "Output only. API version used to start the operation.", "readOnly": true, "type": "string" }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true }, "createTime": { "description": "Output only. The time the operation was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "verb": { "type": "string", "readOnly": true, "description": "Output only. Name of the verb executed by the operation." }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" } }, "id": "ClientConnectorServiceOperationMetadata" }, "ContainerHealthDetails": { "description": "ContainerHealthDetails reflects the health details of a container.", "id": "ContainerHealthDetails", "properties": { "extendedStatus": { "description": "The extended status. Such as ExitCode, StartedAt, FinishedAt, etc.", "additionalProperties": { "type": "string" }, "type": "object" }, "errorMsg": { "type": "string", "description": "The latest error message." }, "expectedConfigVersion": { "type": "string", "description": "The version of the expected config." }, "currentConfigVersion": { "type": "string", "description": "The version of the current config." } }, "type": "object" }, "ImageConfig": { "description": "ImageConfig defines the control plane images to run.", "type": "object", "properties": { "stableImage": { "type": "string", "description": "The stable image that the remote agent will fallback to if the target image fails." }, "targetImage": { "type": "string", "description": "The initial image the remote agent will attempt to run for the control plane." } }, "id": "ImageConfig" }, "GoogleIamV1AuditConfig": { "properties": { "auditLogConfigs": { "type": "array", "items": { "$ref": "GoogleIamV1AuditLogConfig" }, "description": "The configuration for logging of each type of permission." }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "type": "object", "id": "GoogleIamV1AuditConfig", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "ResolveConnectionsResponse": { "id": "ResolveConnectionsResponse", "description": "Response message for BeyondCorp.ResolveConnections.", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results, or empty if there are no more results in the list." }, "unreachable": { "type": "array", "description": "A list of locations that could not be reached.", "items": { "type": "string" } }, "connectionDetails": { "description": "A list of BeyondCorp Connections with details in the project.", "items": { "$ref": "ConnectionDetails" }, "type": "array" } }, "type": "object" }, "Ingress": { "properties": { "config": { "description": "The basic ingress config for ClientGateways.", "$ref": "Config" } }, "description": "Settings of how to connect to the ClientGateway. One of the following options should be set.", "id": "Ingress", "type": "object" }, "GoogleLongrunningCancelOperationRequest": { "properties": {}, "type": "object", "id": "GoogleLongrunningCancelOperationRequest", "description": "The request message for Operations.CancelOperation." }, "CloudSecurityZerotrustApplinkLogagentProtoLogAgentDetails": { "type": "object", "id": "CloudSecurityZerotrustApplinkLogagentProtoLogAgentDetails", "description": "LogAgentDetails reflects the details of a log agent.", "properties": {} }, "Config": { "type": "object", "description": "The basic ingress config for ClientGateways.", "id": "Config", "properties": { "destinationRoutes": { "type": "array", "description": "Required. The settings used to configure basic ClientGateways.", "items": { "$ref": "DestinationRoute" } }, "transportProtocol": { "enumDescriptions": [ "Default value. This value is unused.", "TCP protocol." ], "enum": [ "TRANSPORT_PROTOCOL_UNSPECIFIED", "TCP" ], "description": "Required. Immutable. The transport protocol used between the client and the server.", "type": "string" } } }, "GoogleCloudBeyondcorpAppconnectorsV1alphaNotificationConfigCloudPubSubNotificationConfig": { "properties": { "pubsubSubscription": { "type": "string", "description": "The Pub/Sub subscription the AppConnector uses to receive notifications." } }, "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaNotificationConfigCloudPubSubNotificationConfig", "type": "object", "description": "The configuration for Pub/Sub messaging for the AppConnector." }, "Tunnelv1ProtoTunnelerInfo": { "description": "TunnelerInfo contains metadata about tunneler launched by connection manager.", "id": "Tunnelv1ProtoTunnelerInfo", "properties": { "backoffRetryCount": { "format": "uint32", "type": "integer", "description": "backoff_retry_count stores the number of times the tunneler has been retried by tunManager for current backoff sequence. Gets reset to 0 if time difference between 2 consecutive retries exceeds backoffRetryResetTime." }, "latestRetryTime": { "format": "google-datetime", "description": "latest_retry_time stores the time when the tunneler was last restarted.", "type": "string" }, "id": { "description": "id is the unique id of a tunneler.", "type": "string" }, "totalRetryCount": { "description": "total_retry_count stores the total number of times the tunneler has been retried by tunManager.", "type": "integer", "format": "uint32" }, "latestErr": { "$ref": "Tunnelv1ProtoTunnelerError", "description": "latest_err stores the Error for the latest tunneler failure. Gets reset everytime the tunneler is retried by tunManager." } }, "type": "object" }, "ListAppGatewaysResponse": { "id": "ListAppGatewaysResponse", "type": "object", "description": "Response message for BeyondCorp.ListAppGateways.", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "appGateways": { "items": { "$ref": "AppGateway" }, "type": "array", "description": "A list of BeyondCorp AppGateways in the project." }, "unreachable": { "description": "A list of locations that could not be reached.", "items": { "type": "string" }, "type": "array" } } }, "CloudSecurityZerotrustApplinkAppConnectorProtoConnectionConfig": { "id": "CloudSecurityZerotrustApplinkAppConnectorProtoConnectionConfig", "type": "object", "description": "ConnectionConfig represents a Connection Configuration object.", "properties": { "applicationName": { "description": "application_name represents the given name of the application the connection is connecting with.", "type": "string" }, "gateway": { "type": "array", "items": { "$ref": "CloudSecurityZerotrustApplinkAppConnectorProtoGateway" }, "description": "gateway lists all instances running a gateway in GCP. They all connect to a connector on the host." }, "userPort": { "format": "int32", "description": "user_port specifies the reserved port on gateways for user connections.", "type": "integer" }, "tunnelsPerGateway": { "type": "integer", "format": "uint32", "description": "tunnels_per_gateway reflects the number of tunnels between a connector and a gateway." }, "project": { "description": "project represents the consumer project the connection belongs to.", "type": "string" }, "applicationEndpoint": { "type": "string", "description": "application_endpoint is the endpoint of the application the form of host:port. For example, \"localhost:80\"." }, "name": { "description": "name is the unique ID for each connection. TODO(b/190732451) returns connection name from user-specified name in config. Now, name = ${application_name}:${application_endpoint}", "type": "string" } } }, "NotificationConfig": { "id": "NotificationConfig", "type": "object", "description": "NotificationConfig defines the mechanisms to notify instance agent.", "properties": { "pubsubNotification": { "$ref": "CloudPubSubNotificationConfig", "description": "Pub/Sub topic for Connector to subscribe and receive notifications from `projects/{project}/topics/{pubsub_topic}`" } } }, "ServiceAccount": { "id": "ServiceAccount", "type": "object", "properties": { "email": { "description": "Email address of the service account.", "type": "string" } }, "description": "ServiceAccount represents a GCP service account." }, "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorPrincipalInfo": { "type": "object", "properties": { "serviceAccount": { "description": "A GCP service account.", "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorPrincipalInfoServiceAccount" } }, "description": "PrincipalInfo represents an Identity oneof.", "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorPrincipalInfo" }, "GoogleCloudBeyondcorpAppconnectorsV1alphaReportStatusRequest": { "properties": { "validateOnly": { "description": "Optional. If set, validates request by executing a dry-run which would not alter the resource in any way.", "type": "boolean" }, "requestId": { "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "resourceInfo": { "description": "Required. Resource info of the connector.", "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaResourceInfo" } }, "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaReportStatusRequest", "type": "object", "description": "Request report the connector status." }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {}, "type": "object" }, "GoogleCloudBeyondcorpApplicationsV1alphaApplicationOperationMetadata": { "description": "Represents the metadata of the long-running operation.", "type": "object", "id": "GoogleCloudBeyondcorpApplicationsV1alphaApplicationOperationMetadata", "properties": { "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true }, "requestedCancellation": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "createTime": { "type": "string", "description": "Output only. The time the operation was created.", "format": "google-datetime", "readOnly": true }, "endTime": { "format": "google-datetime", "description": "Output only. The time the operation finished running.", "type": "string", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true } } }, "Connector": { "type": "object", "id": "Connector", "properties": { "labels": { "description": "Optional. Resource labels to represent user provided metadata.", "additionalProperties": { "type": "string" }, "type": "object" }, "name": { "type": "string", "description": "Required. Unique resource name of the connector. The name is ignored when creating a connector." }, "principalInfo": { "description": "Required. Principal information about the Identity of the connector.", "$ref": "PrincipalInfo" }, "state": { "description": "Output only. The current state of the connector.", "enumDescriptions": [ "Default value. This value is unused.", "Connector is being created.", "Connector has been created.", "Connector's configuration is being updated.", "Connector is being deleted.", "Connector is down and may be restored in the future. This happens when CCFE sends ProjectState = OFF." ], "type": "string", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "CREATED", "UPDATING", "DELETING", "DOWN" ] }, "resourceInfo": { "description": "Optional. Resource info of the connector.", "$ref": "ResourceInfo" }, "uid": { "readOnly": true, "description": "Output only. A unique identifier for the instance generated by the system.", "type": "string" }, "displayName": { "description": "Optional. An arbitrary user-provided name for the connector. Cannot exceed 64 characters.", "type": "string" }, "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. Timestamp when the resource was created." }, "updateTime": { "description": "Output only. Timestamp when the resource was last modified.", "type": "string", "format": "google-datetime", "readOnly": true } }, "description": "A BeyondCorp connector resource that represents an application facing component deployed proximal to and with direct access to the application instances. It is used to establish connectivity between the remote enterprise environment and GCP. It initiates connections to the applications and can proxy the data from users over the connection." }, "AllocatedConnection": { "type": "object", "properties": { "ingressPort": { "type": "integer", "format": "int32", "description": "Required. The ingress port of an allocated connection" }, "pscUri": { "type": "string", "description": "Required. The PSC uri of an allocated connection" } }, "id": "AllocatedConnection", "description": "Allocated connection of the AppGateway." }, "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorInstanceConfig": { "type": "object", "properties": { "instanceConfig": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The SLM instance agent configuration." }, "sequenceNumber": { "type": "string", "format": "int64", "description": "Required. A monotonically increasing number generated and maintained by the API provider. Every time a config changes in the backend, the sequenceNumber should be bumped up to reflect the change." }, "notificationConfig": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaNotificationConfig", "description": "NotificationConfig defines the notification mechanism that the remote instance should subscribe to in order to receive notification." }, "imageConfig": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaImageConfig", "description": "ImageConfig defines the GCR images to run for the remote agent's control plane." } }, "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorInstanceConfig", "description": "AppConnectorInstanceConfig defines the instance config of a AppConnector." }, "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorOperationMetadata": { "type": "object", "description": "Represents the metadata of the long-running operation.", "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorOperationMetadata", "properties": { "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." }, "requestedCancellation": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "target": { "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string" }, "verb": { "type": "string", "description": "Output only. Name of the verb executed by the operation.", "readOnly": true }, "createTime": { "description": "Output only. The time the operation was created.", "type": "string", "format": "google-datetime", "readOnly": true }, "endTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the operation finished running." }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" } } }, "ListClientGatewaysResponse": { "properties": { "clientGateways": { "items": { "$ref": "ClientGateway" }, "type": "array", "description": "The list of ClientGateway." }, "nextPageToken": { "type": "string", "description": "A token identifying a page of results the server should return." }, "unreachable": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." } }, "description": "Message for response to listing ClientGateways.", "id": "ListClientGatewaysResponse", "type": "object" }, "GoogleCloudBeyondcorpAppconnectorsV1alphaResolveInstanceConfigResponse": { "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaResolveInstanceConfigResponse", "description": "Response message for BeyondCorp.ResolveInstanceConfig.", "type": "object", "properties": { "instanceConfig": { "description": "AppConnectorInstanceConfig.", "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorInstanceConfig" } } }, "ConnectionOperationMetadata": { "type": "object", "properties": { "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true, "type": "boolean" }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." }, "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." }, "endTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation finished running.", "type": "string" }, "createTime": { "format": "google-datetime", "description": "Output only. The time the operation was created.", "readOnly": true, "type": "string" }, "verb": { "type": "string", "description": "Output only. Name of the verb executed by the operation.", "readOnly": true } }, "id": "ConnectionOperationMetadata", "description": "Represents the metadata of the long-running operation." }, "ListClientConnectorServicesResponse": { "properties": { "clientConnectorServices": { "type": "array", "description": "The list of ClientConnectorService.", "items": { "$ref": "ClientConnectorService" } }, "unreachable": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." }, "nextPageToken": { "description": "A token identifying a page of results the server should return.", "type": "string" } }, "type": "object", "description": "Message for response to listing ClientConnectorServices.", "id": "ListClientConnectorServicesResponse" }, "GoogleIamV1SetIamPolicyRequest": { "id": "GoogleIamV1SetIamPolicyRequest", "properties": { "policy": { "$ref": "GoogleIamV1Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." }, "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string", "format": "google-fieldmask" } }, "description": "Request message for `SetIamPolicy` method.", "type": "object" }, "GoogleCloudBeyondcorpAppconnectorsV1alphaNotificationConfig": { "type": "object", "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaNotificationConfig", "properties": { "pubsubNotification": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaNotificationConfigCloudPubSubNotificationConfig", "description": "Cloud Pub/Sub Configuration to receive notifications." } }, "description": "NotificationConfig defines the mechanisms to notify instance agent." }, "GoogleIamV1Binding": { "type": "object", "properties": { "members": { "items": { "type": "string" }, "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "GoogleTypeExpr" }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." } }, "id": "GoogleIamV1Binding", "description": "Associates `members`, or principals, with a `role`." }, "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnectionApplicationEndpoint": { "id": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnectionApplicationEndpoint", "description": "ApplicationEndpoint represents a remote application endpoint.", "properties": { "port": { "format": "int32", "type": "integer", "description": "Required. Port of the remote application endpoint." }, "host": { "description": "Required. Hostname or IP address of the remote application endpoint.", "type": "string" } }, "type": "object" }, "ClientGateway": { "id": "ClientGateway", "type": "object", "description": "Message describing ClientGateway object.", "properties": { "id": { "readOnly": true, "description": "Output only. A unique identifier for the instance generated by the system.", "type": "string" }, "name": { "type": "string", "description": "Required. name of resource. The name is ignored during creation." }, "state": { "enumDescriptions": [ "Default value. This value is unused.", "Gateway is being created.", "Gateway is being updated.", "Gateway is being deleted.", "Gateway is running.", "Gateway is down and may be restored in the future. This happens when CCFE sends ProjectState = OFF.", "ClientGateway encountered an error and is in indeterministic state." ], "readOnly": true, "description": "Output only. The operational state of the gateway.", "enum": [ "STATE_UNSPECIFIED", "CREATING", "UPDATING", "DELETING", "RUNNING", "DOWN", "ERROR" ], "type": "string" }, "clientConnectorService": { "type": "string", "description": "Output only. The client connector service name that the client gateway is associated to. Client Connector Services, named as follows: `projects/{project_id}/locations/{location_id}/client_connector_services/{client_connector_service_id}`.", "readOnly": true }, "createTime": { "format": "google-datetime", "description": "Output only. [Output only] Create time stamp.", "type": "string", "readOnly": true }, "updateTime": { "format": "google-datetime", "description": "Output only. [Output only] Update time stamp.", "readOnly": true, "type": "string" } } }, "DestinationRoute": { "id": "DestinationRoute", "type": "object", "properties": { "netmask": { "description": "Required. The network mask of the subnet for which the packet is routed to the ClientGateway.", "type": "string" }, "address": { "description": "Required. The network address of the subnet for which the packet is routed to the ClientGateway.", "type": "string" } }, "description": "The setting used to configure ClientGateways. It is adding routes to the client's routing table after the connection is established." }, "ListConnectorsResponse": { "description": "Response message for BeyondCorp.ListConnectors.", "id": "ListConnectorsResponse", "properties": { "connectors": { "description": "A list of BeyondCorp Connectors in the project.", "type": "array", "items": { "$ref": "Connector" } }, "unreachable": { "description": "A list of locations that could not be reached.", "items": { "type": "string" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results, or empty if there are no more results in the list." } }, "type": "object" }, "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnector": { "properties": { "labels": { "description": "Optional. Resource labels to represent user provided metadata.", "type": "object", "additionalProperties": { "type": "string" } }, "updateTime": { "format": "google-datetime", "description": "Output only. Timestamp when the resource was last modified.", "type": "string", "readOnly": true }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. Timestamp when the resource was created.", "readOnly": true }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "CREATED", "UPDATING", "DELETING", "DOWN" ], "enumDescriptions": [ "Default value. This value is unused.", "AppConnector is being created.", "AppConnector has been created.", "AppConnector's configuration is being updated.", "AppConnector is being deleted.", "AppConnector is down and may be restored in the future. This happens when CCFE sends ProjectState = OFF." ], "description": "Output only. The current state of the AppConnector.", "type": "string", "readOnly": true }, "displayName": { "description": "Optional. An arbitrary user-provided name for the AppConnector. Cannot exceed 64 characters.", "type": "string" }, "name": { "description": "Required. Unique resource name of the AppConnector. The name is ignored when creating a AppConnector.", "type": "string" }, "resourceInfo": { "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaResourceInfo", "description": "Optional. Resource info of the connector." }, "uid": { "readOnly": true, "type": "string", "description": "Output only. A unique identifier for the instance generated by the system." }, "principalInfo": { "description": "Required. Principal information about the Identity of the AppConnector.", "$ref": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnectorPrincipalInfo" } }, "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaAppConnector", "description": "A BeyondCorp connector resource that represents an application facing component deployed proximal to and with direct access to the application instances. It is used to establish connectivity between the remote enterprise environment and GCP. It initiates connections to the applications and can proxy the data from users over the connection.", "type": "object" }, "Tunnelv1ProtoTunnelerError": { "id": "Tunnelv1ProtoTunnelerError", "description": "TunnelerError is an error proto for errors returned by the connection manager.", "type": "object", "properties": { "retryable": { "type": "boolean", "description": "retryable isn't used for now, but we may want to reuse it in the future." }, "err": { "description": "Original raw error", "type": "string" } } }, "CloudPubSubNotificationConfig": { "type": "object", "id": "CloudPubSubNotificationConfig", "properties": { "pubsubSubscription": { "description": "The Pub/Sub subscription the connector uses to receive notifications.", "type": "string" } }, "description": "The configuration for Pub/Sub messaging for the connector." }, "GoogleIamV1TestIamPermissionsResponse": { "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "id": "GoogleIamV1TestIamPermissionsResponse", "type": "object", "description": "Response message for `TestIamPermissions` method." }, "GoogleRpcStatus": { "type": "object", "properties": { "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "GoogleRpcStatus" }, "ApplicationEndpoint": { "type": "object", "properties": { "port": { "description": "Required. Port of the remote application endpoint.", "type": "integer", "format": "int32" }, "host": { "description": "Required. Hostname or IP address of the remote application endpoint.", "type": "string" } }, "description": "ApplicationEndpoint represents a remote application endpoint.", "id": "ApplicationEndpoint" }, "ConnectionDetails": { "type": "object", "properties": { "connection": { "description": "A BeyondCorp Connection in the project.", "$ref": "Connection" }, "recentMigVms": { "description": "If type=GCP_REGIONAL_MIG, contains most recent VM instances, like \"https://www.googleapis.com/compute/v1/projects/{project_id}/zones/{zone_id}/instances/{instance_id}\".", "items": { "type": "string" }, "type": "array" } }, "description": "Details of the Connection.", "id": "ConnectionDetails" }, "ListConnectionsResponse": { "properties": { "unreachable": { "items": { "type": "string" }, "type": "array", "description": "A list of locations that could not be reached." }, "connections": { "description": "A list of BeyondCorp Connections in the project.", "items": { "$ref": "Connection" }, "type": "array" }, "nextPageToken": { "description": "A token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "description": "Response message for BeyondCorp.ListConnections.", "type": "object", "id": "ListConnectionsResponse" }, "GoogleCloudBeyondcorpAppconnectorsV1alphaRemoteAgentDetails": { "type": "object", "properties": {}, "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaRemoteAgentDetails", "description": "RemoteAgentDetails reflects the details of a remote agent." }, "GoogleIamV1TestIamPermissionsRequest": { "type": "object", "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleIamV1TestIamPermissionsRequest" }, "GoogleIamV1AuditLogConfig": { "type": "object", "id": "GoogleIamV1AuditLogConfig", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "properties": { "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string", "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] }, "exemptedMembers": { "type": "array", "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." } } }, "GoogleLongrunningOperation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "GoogleLongrunningOperation", "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } } }, "GoogleCloudBeyondcorpAppconnectorsV1alphaContainerHealthDetails": { "properties": { "expectedConfigVersion": { "description": "The version of the expected config.", "type": "string" }, "extendedStatus": { "additionalProperties": { "type": "string" }, "description": "The extended status. Such as ExitCode, StartedAt, FinishedAt, etc.", "type": "object" }, "currentConfigVersion": { "description": "The version of the current config.", "type": "string" }, "errorMsg": { "type": "string", "description": "The latest error message." } }, "type": "object", "id": "GoogleCloudBeyondcorpAppconnectorsV1alphaContainerHealthDetails", "description": "ContainerHealthDetails reflects the health details of a container." }, "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnectionOperationMetadata": { "description": "Represents the metadata of the long-running operation.", "type": "object", "properties": { "createTime": { "description": "Output only. The time the operation was created.", "readOnly": true, "type": "string", "format": "google-datetime" }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "readOnly": true, "type": "string" }, "endTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time the operation finished running." }, "apiVersion": { "description": "Output only. API version used to start the operation.", "type": "string", "readOnly": true }, "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." }, "requestedCancellation": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." } }, "id": "GoogleCloudBeyondcorpAppconnectionsV1alphaAppConnectionOperationMetadata" } }, "description": "Beyondcorp Enterprise provides identity and context aware access controls for enterprise resources and enables zero-trust access. Using the Beyondcorp Enterprise APIs, enterprises can set up multi-cloud and on-prem connectivity using the App Connector hybrid connectivity solution.", "revision": "20220629", "baseUrl": "https://beyondcorp.googleapis.com/", "rootUrl": "https://beyondcorp.googleapis.com/" }
]===]))
