local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerDomain": "google.com", "description": "A data platform for customers to create, manage, share and query data.", "id": "bigquery:v2", "discoveryVersion": "v1", "basePath": "/bigquery/v2/", "icons": { "x16": "https://www.google.com/images/icons/product/search-16.gif", "x32": "https://www.google.com/images/icons/product/search-32.gif" }, "title": "BigQuery API", "revision": "20220702", "protocol": "rest", "kind": "discovery#restDescription", "baseUrl": "https://bigquery.googleapis.com/bigquery/v2/", "rootUrl": "https://bigquery.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/devstorage.read_only": { "description": "View your data in Google Cloud Storage" }, "https://www.googleapis.com/auth/bigquery.insertdata": { "description": "Insert data into Google BigQuery" }, "https://www.googleapis.com/auth/bigquery": { "description": "View and manage your data in Google BigQuery and see the email address for your Google Account" }, "https://www.googleapis.com/auth/devstorage.full_control": { "description": "Manage your data and permissions in Cloud Storage and see the email address for your Google Account" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/devstorage.read_write": { "description": "Manage your data in Cloud Storage and see the email address of your Google Account" }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" } } } }, "batchPath": "batch/bigquery/v2", "schemas": { "TestIamPermissionsRequest": { "type": "object", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method." }, "TableFieldSchema": { "properties": { "precision": { "type": "string", "format": "int64", "description": "[Optional] Precision (maximum number of total digits in base 10) and scale (maximum number of digits in the fractional part in base 10) constraints for values of this field for NUMERIC or BIGNUMERIC. It is invalid to set precision or scale if type ≠ \"NUMERIC\" and ≠ \"BIGNUMERIC\". If precision and scale are not specified, no value range constraint is imposed on this field insofar as values are permitted by the type. Values of this NUMERIC or BIGNUMERIC field must be in this range when: - Precision (P) and scale (S) are specified: [-10P-S + 10-S, 10P-S - 10-S] - Precision (P) is specified but not scale (and thus scale is interpreted to be equal to zero): [-10P + 1, 10P - 1]. Acceptable values for precision and scale if both are specified: - If type = \"NUMERIC\": 1 ≤ precision - scale ≤ 29 and 0 ≤ scale ≤ 9. - If type = \"BIGNUMERIC\": 1 ≤ precision - scale ≤ 38 and 0 ≤ scale ≤ 38. Acceptable values for precision if only precision is specified but not scale (and thus scale is interpreted to be equal to zero): - If type = \"NUMERIC\": 1 ≤ precision ≤ 29. - If type = \"BIGNUMERIC\": 1 ≤ precision ≤ 38. If scale is specified but not precision, then it is invalid." }, "description": { "type": "string", "description": "[Optional] The field description. The maximum length is 1,024 characters." }, "type": { "type": "string", "description": "[Required] The field data type. Possible values include STRING, BYTES, INTEGER, INT64 (same as INTEGER), FLOAT, FLOAT64 (same as FLOAT), NUMERIC, BIGNUMERIC, BOOLEAN, BOOL (same as BOOLEAN), TIMESTAMP, DATE, TIME, DATETIME, INTERVAL, RECORD (where RECORD indicates that the field contains a nested schema) or STRUCT (same as RECORD)." }, "categories": { "properties": { "names": { "items": { "type": "string" }, "description": "A list of category resource names. For example, \"projects/1/taxonomies/2/categories/3\". At most 5 categories are allowed.", "type": "array" } }, "type": "object", "description": "[Optional] The categories attached to this field, used for field-level access control." }, "scale": { "description": "[Optional] See documentation for precision.", "format": "int64", "type": "string" }, "fields": { "items": { "$ref": "TableFieldSchema" }, "type": "array", "description": "[Optional] Describes the nested schema fields if the type property is set to RECORD." }, "policyTags": { "properties": { "names": { "type": "array", "items": { "type": "string" }, "description": "A list of category resource names. For example, \"projects/1/location/eu/taxonomies/2/policyTags/3\". At most 1 policy tag is allowed." } }, "type": "object" }, "defaultValueExpression": { "type": "string", "description": "Optional. A SQL expression to specify the default value for this field. It can only be set for top level fields (columns). You can use struct or array expression to specify default value for the entire struct or array. The valid SQL expressions are: - Literals for all data types, including STRUCT and ARRAY. - Following functions: - CURRENT_TIMESTAMP - CURRENT_TIME - CURRENT_DATE - CURRENT_DATETIME - GENERATE_UUID - RAND - SESSION_USER - ST_GEOGPOINT - Struct or array composed with the above allowed functions, for example, [CURRENT_DATE(), DATE '2020-01-01']" }, "mode": { "type": "string", "description": "[Optional] The field mode. Possible values include NULLABLE, REQUIRED and REPEATED. The default value is NULLABLE." }, "collation": { "description": "Optional. Collation specification of the field. It only can be set on string type field.", "type": "string" }, "name": { "description": "[Required] The field name. The name must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_), and must start with a letter or underscore. The maximum length is 300 characters.", "type": "string" }, "maxLength": { "type": "string", "description": "[Optional] Maximum length of values of this field for STRINGS or BYTES. If max_length is not specified, no maximum length constraint is imposed on this field. If type = \"STRING\", then max_length represents the maximum UTF-8 length of strings in this field. If type = \"BYTES\", then max_length represents the maximum number of bytes in this field. It is invalid to set this field if type ≠ \"STRING\" and ≠ \"BYTES\".", "format": "int64" } }, "type": "object", "id": "TableFieldSchema" }, "MultiClassClassificationMetrics": { "properties": { "aggregateClassificationMetrics": { "$ref": "AggregateClassificationMetrics", "description": "Aggregate classification metrics." }, "confusionMatrixList": { "type": "array", "description": "Confusion matrix at different thresholds.", "items": { "$ref": "ConfusionMatrix" } } }, "id": "MultiClassClassificationMetrics", "type": "object", "description": "Evaluation metrics for multi-class classification/classifier models." }, "TableSchema": { "id": "TableSchema", "properties": { "fields": { "items": { "$ref": "TableFieldSchema" }, "description": "Describes the fields in a table.", "type": "array" } }, "type": "object" }, "StandardSqlDataType": { "type": "object", "id": "StandardSqlDataType", "description": "The data type of a variable such as a function argument. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INT64: `{\"typeKind\": \"INT64\"}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ARRAY: { \"typeKind\": \"ARRAY\", \"arrayElementType\": {\"typeKind\": \"STRING\"} } LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh STRUCT\u003e: { \"typeKind\": \"STRUCT\", \"structType\": { \"fields\": [ { \"name\": \"x\", \"type\": {\"typeKind: \"STRING\"} }, { \"name\": \"y\", \"type\": { \"typeKind\": \"ARRAY\", \"arrayElementType\": {\"typekind\": \"DATE\"} } } ] } }", "properties": { "arrayElementType": { "description": "The type of the array's elements, if type_kind = \"ARRAY\".", "$ref": "StandardSqlDataType" }, "typeKind": { "description": "Required. The top level type of this field. Can be any standard SQL data type (e.g., \"INT64\", \"DATE\", \"ARRAY\").", "type": "string", "enumDescriptions": [ "Invalid type.", "Encoded as a string in decimal format.", "Encoded as a boolean \"false\" or \"true\".", "Encoded as a number, or string \"NaN\", \"Infinity\" or \"-Infinity\".", "Encoded as a string value.", "Encoded as a base64 string per RFC 4648, section 4.", "Encoded as an RFC 3339 timestamp with mandatory \"Z\" time zone string: 1985-04-12T23:20:50.52Z", "Encoded as RFC 3339 full-date format string: 1985-04-12", "Encoded as RFC 3339 partial-time format string: 23:20:50.52", "Encoded as RFC 3339 full-date \"T\" partial-time: 1985-04-12T23:20:50.52", "Encoded as fully qualified 3 part: 0-5 15 2:30:45.6", "Encoded as WKT", "Encoded as a decimal string.", "Encoded as a decimal string.", "Encoded as a string.", "Encoded as a list with types matching Type.array_type.", "Encoded as a list with fields of type Type.struct_type[i]. List is used because a JSON object cannot have duplicate field names." ], "enum": [ "TYPE_KIND_UNSPECIFIED", "INT64", "BOOL", "FLOAT64", "STRING", "BYTES", "TIMESTAMP", "DATE", "TIME", "DATETIME", "INTERVAL", "GEOGRAPHY", "NUMERIC", "BIGNUMERIC", "JSON", "ARRAY", "STRUCT" ] }, "structType": { "description": "The fields of this struct, in order, if type_kind = \"STRUCT\".", "$ref": "StandardSqlStructType" } } }, "Model": { "type": "object", "id": "Model", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The labels associated with this model. You can use these to organize and group your models. Label keys and values can be no longer than 63 characters, can only contain lowercase letters, numeric characters, underscores and dashes. International characters are allowed. Label values are optional. Label keys must start with a letter and each label in the list must have a different key." }, "location": { "readOnly": true, "description": "Output only. The geographic location where the model resides. This value is inherited from the dataset.", "type": "string" }, "featureColumns": { "readOnly": true, "description": "Output only. Input feature columns that were used to train this model.", "type": "array", "items": { "$ref": "StandardSqlField" } }, "hparamTrials": { "type": "array", "items": { "$ref": "HparamTuningTrial" }, "description": "Output only. Trials of a [hyperparameter tuning](/bigquery-ml/docs/reference/standard-sql/bigqueryml-syntax-hp-tuning-overview) model sorted by trial_id.", "readOnly": true }, "trainingRuns": { "readOnly": true, "items": { "$ref": "TrainingRun" }, "type": "array", "description": "Output only. Information for all training runs in increasing order of start_time." }, "friendlyName": { "type": "string", "description": "Optional. A descriptive name for this model." }, "modelType": { "description": "Output only. Type of the model resource.", "enumDescriptions": [ "", "Linear regression model.", "Logistic regression based classification model.", "K-means clustering model.", "Matrix factorization model.", "DNN classifier model.", "An imported TensorFlow model.", "DNN regressor model.", "Boosted tree regressor model.", "Boosted tree classifier model.", "ARIMA model.", "AutoML Tables regression model.", "AutoML Tables classification model.", "Prinpical Component Analysis model.", "Autoencoder model.", "New name for the ARIMA model." ], "enum": [ "MODEL_TYPE_UNSPECIFIED", "LINEAR_REGRESSION", "LOGISTIC_REGRESSION", "KMEANS", "MATRIX_FACTORIZATION", "DNN_CLASSIFIER", "TENSORFLOW", "DNN_REGRESSOR", "BOOSTED_TREE_REGRESSOR", "BOOSTED_TREE_CLASSIFIER", "ARIMA", "AUTOML_REGRESSOR", "AUTOML_CLASSIFIER", "PCA", "AUTOENCODER", "ARIMA_PLUS" ], "readOnly": true, "type": "string" }, "description": { "description": "Optional. A user-friendly description of this model.", "type": "string" }, "bestTrialId": { "description": "The best trial_id across all training runs.", "format": "int64", "type": "string" }, "optimalTrialIds": { "items": { "type": "string", "format": "int64" }, "description": "Output only. For single-objective [hyperparameter tuning](/bigquery-ml/docs/reference/standard-sql/bigqueryml-syntax-hp-tuning-overview) models, it only contains the best trial. For multi-objective [hyperparameter tuning](/bigquery-ml/docs/reference/standard-sql/bigqueryml-syntax-hp-tuning-overview) models, it contains all Pareto optimal trials sorted by trial_id.", "type": "array", "readOnly": true }, "etag": { "description": "Output only. A hash of this resource.", "readOnly": true, "type": "string" }, "creationTime": { "description": "Output only. The time when this model was created, in millisecs since the epoch.", "readOnly": true, "type": "string", "format": "int64" }, "hparamSearchSpaces": { "readOnly": true, "description": "Output only. All hyperparameter search spaces in this model.", "$ref": "HparamSearchSpaces" }, "lastModifiedTime": { "readOnly": true, "format": "int64", "type": "string", "description": "Output only. The time when this model was last modified, in millisecs since the epoch." }, "labelColumns": { "items": { "$ref": "StandardSqlField" }, "type": "array", "readOnly": true, "description": "Output only. Label columns that were used to train this model. The output of the model will have a \"predicted_\" prefix to these columns." }, "encryptionConfiguration": { "description": "Custom encryption configuration (e.g., Cloud KMS keys). This shows the encryption configuration of the model data while stored in BigQuery storage. This field can be used with PatchModel to update encryption key for an already encrypted model.", "$ref": "EncryptionConfiguration" }, "expirationTime": { "description": "Optional. The time when this model expires, in milliseconds since the epoch. If not present, the model will persist indefinitely. Expired models will be deleted and their storage reclaimed. The defaultTableExpirationMs property of the encapsulating dataset can be used to set a default expirationTime on newly created models.", "format": "int64", "type": "string" }, "modelReference": { "description": "Required. Unique identifier for this model.", "$ref": "ModelReference" }, "defaultTrialId": { "format": "int64", "readOnly": true, "type": "string", "description": "Output only. The default trial_id to use in TVFs when the trial_id is not passed in. For single-objective [hyperparameter tuning](/bigquery-ml/docs/reference/standard-sql/bigqueryml-syntax-hp-tuning-overview) models, this is the best trial ID. For multi-objective [hyperparameter tuning](/bigquery-ml/docs/reference/standard-sql/bigqueryml-syntax-hp-tuning-overview) models, this is the smallest trial ID among all Pareto optimal trials." } } }, "TableRow": { "id": "TableRow", "properties": { "f": { "description": "Represents a single row in the result set, consisting of one or more fields.", "type": "array", "items": { "$ref": "TableCell" } } }, "type": "object" }, "TableDataInsertAllRequest": { "type": "object", "id": "TableDataInsertAllRequest", "properties": { "ignoreUnknownValues": { "type": "boolean", "description": "[Optional] Accept rows that contain values that do not match the schema. The unknown values are ignored. Default is false, which treats unknown values as errors." }, "skipInvalidRows": { "description": "[Optional] Insert all valid rows of a request, even if invalid rows exist. The default value is false, which causes the entire request to fail if any invalid rows exist.", "type": "boolean" }, "kind": { "type": "string", "description": "The resource type of the response.", "default": "bigquery#tableDataInsertAllRequest" }, "templateSuffix": { "type": "string", "description": "If specified, treats the destination table as a base template, and inserts the rows into an instance table named \"{destination}{templateSuffix}\". BigQuery will manage creation of the instance table, using the schema of the base template table. See https://cloud.google.com/bigquery/streaming-data-into-bigquery#template-tables for considerations when working with templates tables." }, "rows": { "items": { "type": "object", "properties": { "insertId": { "type": "string", "description": "[Optional] A unique ID for each row. BigQuery uses this property to detect duplicate insertion requests on a best-effort basis." }, "json": { "$ref": "JsonObject", "description": "[Required] A JSON object that contains a row of data. The object's properties and values must match the destination table's schema." } } }, "type": "array", "description": "The rows to insert." } } }, "DatasetAccessEntry": { "properties": { "targetTypes": { "type": "array", "items": { "type": "string", "enumDescriptions": [ "Do not use. You must set a target type explicitly.", "This entry applies to views in the dataset." ], "enum": [ "TARGET_TYPE_UNSPECIFIED", "VIEWS" ] } }, "dataset": { "$ref": "DatasetReference", "description": "[Required] The dataset this entry applies to." } }, "id": "DatasetAccessEntry", "type": "object" }, "JobReference": { "id": "JobReference", "type": "object", "properties": { "location": { "description": "The geographic location of the job. See details at https://cloud.google.com/bigquery/docs/locations#specifying_your_location.", "type": "string" }, "projectId": { "type": "string", "annotations": { "required": [ "bigquery.jobs.getQueryResults" ] }, "description": "[Required] The ID of the project containing this job." }, "jobId": { "annotations": { "required": [ "bigquery.jobs.getQueryResults" ] }, "type": "string", "description": "[Required] The ID of the job. The ID must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), or dashes (-). The maximum length is 1,024 characters." } } }, "IntHparamSearchSpace": { "description": "Search space for an int hyperparameter.", "id": "IntHparamSearchSpace", "properties": { "range": { "description": "Range of the int hyperparameter.", "$ref": "IntRange" }, "candidates": { "description": "Candidates of the int hyperparameter.", "$ref": "IntCandidates" } }, "type": "object" }, "JobStatus": { "id": "JobStatus", "properties": { "errors": { "items": { "$ref": "ErrorProto" }, "description": "[Output-only] The first errors encountered during the running of the job. The final message includes the number of errors that caused the process to stop. Errors here do not necessarily mean that the job has completed or was unsuccessful.", "type": "array" }, "errorResult": { "$ref": "ErrorProto", "description": "[Output-only] Final error result of the job. If present, indicates that the job has completed and was unsuccessful." }, "state": { "description": "[Output-only] Running state of the job.", "type": "string" } }, "type": "object" }, "ArimaSingleModelForecastingMetrics": { "id": "ArimaSingleModelForecastingMetrics", "properties": { "seasonalPeriods": { "type": "array", "description": "Seasonal periods. Repeated because multiple periods are supported for one time series.", "items": { "enumDescriptions": [ "Unspecified seasonal period.", "No seasonality", "Daily period, 24 hours.", "Weekly period, 7 days.", "Monthly period, 30 days or irregular.", "Quarterly period, 90 days or irregular.", "Yearly period, 365 days or irregular." ], "type": "string", "enum": [ "SEASONAL_PERIOD_TYPE_UNSPECIFIED", "NO_SEASONALITY", "DAILY", "WEEKLY", "MONTHLY", "QUARTERLY", "YEARLY" ] } }, "timeSeriesId": { "description": "The time_series_id value for this time series. It will be one of the unique values from the time_series_id_column specified during ARIMA model training. Only present when time_series_id_column training option was used.", "type": "string" }, "timeSeriesIds": { "items": { "type": "string" }, "type": "array", "description": "The tuple of time_series_ids identifying this time series. It will be one of the unique tuples of values present in the time_series_id_columns specified during ARIMA model training. Only present when time_series_id_columns training option was used and the order of values here are same as the order of time_series_id_columns." }, "hasHolidayEffect": { "type": "boolean", "description": "If true, holiday_effect is a part of time series decomposition result." }, "nonSeasonalOrder": { "description": "Non-seasonal order.", "$ref": "ArimaOrder" }, "hasDrift": { "description": "Is arima model fitted with drift or not. It is always false when d is not 1.", "type": "boolean" }, "arimaFittingMetrics": { "description": "Arima fitting metrics.", "$ref": "ArimaFittingMetrics" }, "hasSpikesAndDips": { "type": "boolean", "description": "If true, spikes_and_dips is a part of time series decomposition result." }, "hasStepChanges": { "type": "boolean", "description": "If true, step_changes is a part of time series decomposition result." } }, "type": "object", "description": "Model evaluation metrics for a single ARIMA forecasting model." }, "RemoteFunctionOptions": { "properties": { "endpoint": { "description": "Endpoint of the user-provided remote service (e.g. a function url in Google Cloud Functions).", "type": "string" }, "userDefinedContext": { "type": "object", "additionalProperties": { "type": "string" }, "description": "User-defined context as a set of key/value pairs, which will be sent as function invocation context together with batched arguments in the requests to the remote service. The total number of bytes of keys and values must be less than 8KB." }, "maxBatchingRows": { "format": "int64", "type": "string", "description": "Max number of rows in each batch sent to the remote service. If absent or if 0, it means no limit." }, "connection": { "description": "Fully qualified name of the user-provided connection object which holds the authentication information to send requests to the remote service. projects/{project_id}/locations/{location_id}/connections/{connection_id}", "type": "string" } }, "description": "Options for a remote user-defined function.", "id": "RemoteFunctionOptions", "type": "object" }, "Streamingbuffer": { "properties": { "estimatedBytes": { "type": "string", "format": "uint64", "description": "[Output-only] A lower-bound estimate of the number of bytes currently in the streaming buffer." }, "estimatedRows": { "type": "string", "format": "uint64", "description": "[Output-only] A lower-bound estimate of the number of rows currently in the streaming buffer." }, "oldestEntryTime": { "description": "[Output-only] Contains the timestamp of the oldest entry in the streaming buffer, in milliseconds since the epoch, if the streaming buffer is available.", "format": "uint64", "type": "string" } }, "id": "Streamingbuffer", "type": "object" }, "DimensionalityReductionMetrics": { "properties": { "totalExplainedVarianceRatio": { "format": "double", "description": "Total percentage of variance explained by the selected principal components.", "type": "number" } }, "description": "Model evaluation metrics for dimensionality reduction models.", "type": "object", "id": "DimensionalityReductionMetrics" }, "SearchStatistics": { "type": "object", "id": "SearchStatistics", "properties": { "indexUnusedReason": { "items": { "$ref": "IndexUnusedReason" }, "type": "array", "description": "When index_usage_mode is UNUSED or PARTIALLY_USED, this field explains why index was not used in all or part of the search query. If index_usage_mode is FULLLY_USED, this field is not populated." }, "indexUsageMode": { "type": "string", "description": "Specifies index usage mode for the query." } } }, "IndexUnusedReason": { "id": "IndexUnusedReason", "properties": { "code": { "default": "$(reason.code)", "type": "string", "description": "[Output-only] Specifies the high-level reason for the scenario when no search index was used." }, "index_name": { "default": "$(reason.index_name)", "type": "string", "description": "[Output-only] Specifies the name of the unused search index, if available." }, "message": { "default": "$(reason.message)", "description": "[Output-only] Free form human-readable reason for the scenario when no search index was used.", "type": "string" }, "base_table": { "description": "[Output-only] Specifies the base table involved in the reason that no search index was used.", "$ref": "TableReference" } }, "type": "object" }, "IterationResult": { "type": "object", "id": "IterationResult", "properties": { "durationMs": { "description": "Time taken to run the iteration in milliseconds.", "format": "int64", "type": "string" }, "evalLoss": { "format": "double", "description": "Loss computed on the eval data at the end of iteration.", "type": "number" }, "index": { "description": "Index of the iteration, 0 based.", "type": "integer", "format": "int32" }, "learnRate": { "type": "number", "description": "Learn rate used for this iteration.", "format": "double" }, "trainingLoss": { "description": "Loss computed on the training data at the end of iteration.", "type": "number", "format": "double" } } }, "TableList": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token to request the next page of results." }, "tables": { "description": "Tables in the requested dataset.", "type": "array", "items": { "properties": { "kind": { "type": "string", "default": "bigquery#table", "description": "The resource type." }, "creationTime": { "description": "The time when this table was created, in milliseconds since the epoch.", "format": "int64", "type": "string" }, "timePartitioning": { "$ref": "TimePartitioning", "description": "The time-based partitioning specification for this table, if configured." }, "id": { "description": "An opaque ID of the table", "type": "string" }, "expirationTime": { "description": "[Optional] The time when this table expires, in milliseconds since the epoch. If not present, the table will persist indefinitely. Expired tables will be deleted and their storage reclaimed.", "format": "int64", "type": "string" }, "clustering": { "description": "[Beta] Clustering specification for this table, if configured.", "$ref": "Clustering" }, "friendlyName": { "description": "The user-friendly name for this table.", "type": "string" }, "type": { "description": "The type of table. Possible values are: TABLE, VIEW.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The labels associated with this table. You can use these to organize and group your tables." }, "view": { "properties": { "useLegacySql": { "description": "True if view is defined in legacy SQL dialect, false if in standard SQL.", "type": "boolean" } }, "type": "object", "description": "Additional details for a view." }, "tableReference": { "description": "A reference uniquely identifying the table.", "$ref": "TableReference" }, "rangePartitioning": { "$ref": "RangePartitioning", "description": "The range partitioning specification for this table, if configured." } }, "type": "object" } }, "kind": { "description": "The type of list.", "type": "string", "default": "bigquery#tableList" }, "etag": { "type": "string", "description": "A hash of this page of results." }, "totalItems": { "description": "The total number of tables in the dataset.", "format": "int32", "type": "integer" } }, "id": "TableList" }, "TableCell": { "properties": { "v": { "type": "any" } }, "id": "TableCell", "type": "object" }, "StandardSqlTableType": { "properties": { "columns": { "type": "array", "items": { "$ref": "StandardSqlField" }, "description": "The columns in this table type" } }, "id": "StandardSqlTableType", "type": "object", "description": "A table type" }, "Entry": { "description": "A single entry in the confusion matrix.", "properties": { "itemCount": { "description": "Number of items being predicted as this label.", "type": "string", "format": "int64" }, "predictedLabel": { "type": "string", "description": "The predicted label. For confidence_threshold \u003e 0, we will also add an entry indicating the number of items under the confidence threshold." } }, "id": "Entry", "type": "object" }, "JobStatistics4": { "id": "JobStatistics4", "properties": { "inputBytes": { "type": "string", "format": "int64", "description": "[Output-only] Number of user bytes extracted into the result. This is the byte count as computed by BigQuery for billing purposes." }, "destinationUriFileCounts": { "items": { "type": "string", "format": "int64" }, "description": "[Output-only] Number of files per destination URI or URI pattern specified in the extract configuration. These values will be in the same order as the URIs specified in the 'destinationUris' field.", "type": "array" } }, "type": "object" }, "StandardSqlField": { "properties": { "name": { "description": "Optional. The name of this field. Can be absent for struct fields.", "type": "string" }, "type": { "$ref": "StandardSqlDataType", "description": "Optional. The type of this parameter. Absent if not explicitly specified (e.g., CREATE FUNCTION statement can omit the return type; in this case the output parameter does not have this \"type\" field)." } }, "description": "A field or a column.", "type": "object", "id": "StandardSqlField" }, "CategoricalValue": { "id": "CategoricalValue", "properties": { "categoryCounts": { "items": { "$ref": "CategoryCount" }, "description": "Counts of all categories for the categorical feature. If there are more than ten categories, we return top ten (by count) and return one more CategoryCount with category \"_OTHER_\" and count as aggregate counts of remaining categories.", "type": "array" } }, "description": "Representative value of a categorical feature.", "type": "object" }, "SetIamPolicyRequest": { "id": "SetIamPolicyRequest", "properties": { "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask", "type": "string" }, "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "description": "Request message for `SetIamPolicy` method.", "type": "object" }, "JobStatistics5": { "properties": { "copied_rows": { "description": "[Output-only] Number of rows copied to the destination table.", "type": "string", "format": "int64" }, "copied_logical_bytes": { "type": "string", "description": "[Output-only] Number of logical bytes copied to the destination table.", "format": "int64" } }, "type": "object", "id": "JobStatistics5" }, "Binding": { "type": "object", "id": "Binding", "description": "Associates `members`, or principals, with a `role`.", "properties": { "members": { "items": { "type": "string" }, "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } } }, "BigtableColumnFamily": { "id": "BigtableColumnFamily", "properties": { "onlyReadLatest": { "description": "[Optional] If this is set only the latest version of value are exposed for all columns in this column family. This can be overridden for a specific column by listing that column in 'columns' and specifying a different setting for that column.", "type": "boolean" }, "columns": { "items": { "$ref": "BigtableColumn" }, "description": "[Optional] Lists of columns that should be exposed as individual fields as opposed to a list of (column name, value) pairs. All columns whose qualifier matches a qualifier in this list can be accessed as .. Other columns can be accessed as a list through .Column field.", "type": "array" }, "type": { "description": "[Optional] The type to convert the value in cells of this column family. The values are expected to be encoded using HBase Bytes.toBytes function when using the BINARY encoding value. Following BigQuery types are allowed (case-sensitive) - BYTES STRING INTEGER FLOAT BOOLEAN Default type is BYTES. This can be overridden for a specific column by listing that column in 'columns' and specifying a type for it.", "type": "string" }, "encoding": { "type": "string", "description": "[Optional] The encoding of the values when the type is not STRING. Acceptable encoding values are: TEXT - indicates values are alphanumeric text strings. BINARY - indicates values are encoded using HBase Bytes.toBytes family of functions. This can be overridden for a specific column by listing that column in 'columns' and specifying an encoding for it." }, "familyId": { "description": "Identifier of the column family.", "type": "string" } }, "type": "object" }, "AvroOptions": { "id": "AvroOptions", "type": "object", "properties": { "useAvroLogicalTypes": { "description": "[Optional] If sourceFormat is set to \"AVRO\", indicates whether to interpret logical types as the corresponding BigQuery data type (for example, TIMESTAMP), instead of using the raw type (for example, INTEGER).", "type": "boolean" } } }, "EvaluationMetrics": { "description": "Evaluation metrics of a model. These are either computed on all training data or just the eval data based on whether eval data was used during training. These are not present for imported models.", "id": "EvaluationMetrics", "properties": { "clusteringMetrics": { "$ref": "ClusteringMetrics", "description": "Populated for clustering models." }, "multiClassClassificationMetrics": { "$ref": "MultiClassClassificationMetrics", "description": "Populated for multi-class classification/classifier models." }, "arimaForecastingMetrics": { "$ref": "ArimaForecastingMetrics", "description": "Populated for ARIMA models." }, "binaryClassificationMetrics": { "description": "Populated for binary classification/classifier models.", "$ref": "BinaryClassificationMetrics" }, "rankingMetrics": { "description": "Populated for implicit feedback type matrix factorization models.", "$ref": "RankingMetrics" }, "dimensionalityReductionMetrics": { "description": "Evaluation metrics when the model is a dimensionality reduction model, which currently includes PCA.", "$ref": "DimensionalityReductionMetrics" }, "regressionMetrics": { "$ref": "RegressionMetrics", "description": "Populated for regression models and explicit feedback type matrix factorization models." } }, "type": "object" }, "JobConfigurationExtract": { "properties": { "destinationFormat": { "type": "string", "description": "[Optional] The exported file format. Possible values include CSV, NEWLINE_DELIMITED_JSON, PARQUET or AVRO for tables and ML_TF_SAVED_MODEL or ML_XGBOOST_BOOSTER for models. The default value for tables is CSV. Tables with nested or repeated fields cannot be exported as CSV. The default value for models is ML_TF_SAVED_MODEL." }, "sourceTable": { "$ref": "TableReference", "description": "A reference to the table being exported." }, "destinationUri": { "description": "[Pick one] DEPRECATED: Use destinationUris instead, passing only one URI as necessary. The fully-qualified Google Cloud Storage URI where the extracted table should be written.", "type": "string" }, "printHeader": { "description": "[Optional] Whether to print out a header row in the results. Default is true. Not applicable when extracting models.", "type": "boolean", "default": "true" }, "sourceModel": { "description": "A reference to the model being exported.", "$ref": "ModelReference" }, "fieldDelimiter": { "description": "[Optional] Delimiter to use between fields in the exported data. Default is ','. Not applicable when extracting models.", "type": "string" }, "compression": { "type": "string", "description": "[Optional] The compression type to use for exported files. Possible values include GZIP, DEFLATE, SNAPPY, and NONE. The default value is NONE. DEFLATE and SNAPPY are only supported for Avro. Not applicable when extracting models." }, "useAvroLogicalTypes": { "description": "[Optional] If destinationFormat is set to \"AVRO\", this flag indicates whether to enable extracting applicable column types (such as TIMESTAMP) to their corresponding AVRO logical types (timestamp-micros), instead of only using their raw types (avro-long). Not applicable when extracting models.", "type": "boolean" }, "destinationUris": { "type": "array", "items": { "type": "string" }, "description": "[Pick one] A list of fully-qualified Google Cloud Storage URIs where the extracted table should be written." } }, "id": "JobConfigurationExtract", "type": "object" }, "DoubleRange": { "type": "object", "properties": { "min": { "type": "number", "format": "double", "description": "Min value of the double parameter." }, "max": { "description": "Max value of the double parameter.", "type": "number", "format": "double" } }, "id": "DoubleRange", "description": "Range of a double hyperparameter." }, "StringHparamSearchSpace": { "description": "Search space for string and enum.", "id": "StringHparamSearchSpace", "type": "object", "properties": { "candidates": { "items": { "type": "string" }, "type": "array", "description": "Canididates for the string or enum parameter in lower case." } } }, "QueryTimelineSample": { "properties": { "elapsedMs": { "type": "string", "description": "Milliseconds elapsed since the start of query execution.", "format": "int64" }, "completedUnits": { "format": "int64", "description": "Total parallel units of work completed by this query.", "type": "string" }, "totalSlotMs": { "type": "string", "format": "int64", "description": "Cumulative slot-ms consumed by the query." }, "activeUnits": { "type": "string", "description": "Total number of units currently being processed by workers. This does not correspond directly to slot usage. This is the largest value observed since the last sample.", "format": "int64" }, "pendingUnits": { "type": "string", "description": "Total parallel units of work remaining for the active stages.", "format": "int64" }, "estimatedRunnableUnits": { "format": "int64", "description": "Units of work that can be scheduled immediately. Providing additional slots for these units of work will speed up the query, provided no other query in the reservation needs additional slots.", "type": "string" } }, "id": "QueryTimelineSample", "type": "object" }, "JobConfigurationTableCopy": { "type": "object", "id": "JobConfigurationTableCopy", "properties": { "operationType": { "description": "[Optional] Supported operation types in table copy job.", "type": "string" }, "createDisposition": { "description": "[Optional] Specifies whether the job is allowed to create new tables. The following values are supported: CREATE_IF_NEEDED: If the table does not exist, BigQuery creates the table. CREATE_NEVER: The table must already exist. If it does not, a 'notFound' error is returned in the job result. The default value is CREATE_IF_NEEDED. Creation, truncation and append actions occur as one atomic update upon job completion.", "type": "string" }, "sourceTables": { "type": "array", "items": { "$ref": "TableReference" }, "description": "[Pick one] Source tables to copy." }, "writeDisposition": { "type": "string", "description": "[Optional] Specifies the action that occurs if the destination table already exists. The following values are supported: WRITE_TRUNCATE: If the table already exists, BigQuery overwrites the table data. WRITE_APPEND: If the table already exists, BigQuery appends the data to the table. WRITE_EMPTY: If the table already exists and contains data, a 'duplicate' error is returned in the job result. The default value is WRITE_EMPTY. Each action is atomic and only occurs if BigQuery is able to complete the job successfully. Creation, truncation and append actions occur as one atomic update upon job completion." }, "destinationExpirationTime": { "type": "any", "description": "[Optional] The time when the destination table expires. Expired tables will be deleted and their storage reclaimed." }, "destinationTable": { "description": "[Required] The destination table", "$ref": "TableReference" }, "destinationEncryptionConfiguration": { "description": "Custom encryption configuration (e.g., Cloud KMS keys).", "$ref": "EncryptionConfiguration" }, "sourceTable": { "$ref": "TableReference", "description": "[Pick one] Source table to copy." } } }, "StandardSqlStructType": { "type": "object", "id": "StandardSqlStructType", "properties": { "fields": { "items": { "$ref": "StandardSqlField" }, "type": "array" } } }, "Argument": { "description": "Input/output argument of a function or a stored procedure.", "type": "object", "properties": { "argumentKind": { "type": "string", "enum": [ "ARGUMENT_KIND_UNSPECIFIED", "FIXED_TYPE", "ANY_TYPE" ], "description": "Optional. Defaults to FIXED_TYPE.", "enumDescriptions": [ "", "The argument is a variable with fully specified type, which can be a struct or an array, but not a table.", "The argument is any type, including struct or array, but not a table. To be added: FIXED_TABLE, ANY_TABLE" ] }, "mode": { "type": "string", "enumDescriptions": [ "", "The argument is input-only.", "The argument is output-only.", "The argument is both an input and an output." ], "enum": [ "MODE_UNSPECIFIED", "IN", "OUT", "INOUT" ], "description": "Optional. Specifies whether the argument is input or output. Can be set for procedures only." }, "dataType": { "$ref": "StandardSqlDataType", "description": "Required unless argument_kind = ANY_TYPE." }, "name": { "description": "Optional. The name of this argument. Can be absent for function return argument.", "type": "string" } }, "id": "Argument" }, "Cluster": { "properties": { "count": { "type": "string", "description": "Count of training data rows that were assigned to this cluster.", "format": "int64" }, "centroidId": { "format": "int64", "description": "Centroid id.", "type": "string" }, "featureValues": { "type": "array", "description": "Values of highly variant features for this cluster.", "items": { "$ref": "FeatureValue" } } }, "description": "Message containing the information about one cluster.", "id": "Cluster", "type": "object" }, "ExplainQueryStep": { "properties": { "kind": { "description": "Machine-readable operation type.", "type": "string" }, "substeps": { "items": { "type": "string" }, "description": "Human-readable stage descriptions.", "type": "array" } }, "id": "ExplainQueryStep", "type": "object" }, "TableDataInsertAllResponse": { "type": "object", "id": "TableDataInsertAllResponse", "properties": { "insertErrors": { "description": "An array of errors for rows that were not inserted.", "type": "array", "items": { "properties": { "errors": { "description": "Error information for the row indicated by the index property.", "items": { "$ref": "ErrorProto" }, "type": "array" }, "index": { "description": "The index of the row that error applies to.", "format": "uint32", "type": "integer" } }, "type": "object" } }, "kind": { "type": "string", "description": "The resource type of the response.", "default": "bigquery#tableDataInsertAllResponse" } } }, "ScriptStackFrame": { "properties": { "text": { "description": "[Output-only] Text of the current statement/expression.", "type": "string" }, "endLine": { "type": "integer", "format": "int32", "description": "[Output-only] One-based end line." }, "startColumn": { "format": "int32", "description": "[Output-only] One-based start column.", "type": "integer" }, "startLine": { "type": "integer", "description": "[Output-only] One-based start line.", "format": "int32" }, "endColumn": { "type": "integer", "description": "[Output-only] One-based end column.", "format": "int32" }, "procedureId": { "description": "[Output-only] Name of the active procedure, empty if in a top-level script.", "type": "string" } }, "type": "object", "id": "ScriptStackFrame" }, "JsonObject": { "description": "Represents a single JSON object.", "additionalProperties": { "$ref": "JsonValue" }, "id": "JsonObject", "type": "object" }, "BinaryClassificationMetrics": { "type": "object", "id": "BinaryClassificationMetrics", "description": "Evaluation metrics for binary classification/classifier models.", "properties": { "negativeLabel": { "type": "string", "description": "Label representing the negative class." }, "binaryConfusionMatrixList": { "type": "array", "description": "Binary confusion matrix at multiple thresholds.", "items": { "$ref": "BinaryConfusionMatrix" } }, "positiveLabel": { "description": "Label representing the positive class.", "type": "string" }, "aggregateClassificationMetrics": { "$ref": "AggregateClassificationMetrics", "description": "Aggregate classification metrics." } } }, "BqmlIterationResult": { "properties": { "trainingLoss": { "type": "number", "description": "[Output-only, Beta] Training loss computed on the training data at the end of the iteration. The training loss function is defined by model type.", "format": "double" }, "evalLoss": { "format": "double", "type": "number", "description": "[Output-only, Beta] Eval loss computed on the eval data at the end of the iteration. The eval loss is used for early stopping to avoid overfitting. No eval loss if eval_split_method option is specified as no_split or auto_split with input data size less than 500 rows." }, "learnRate": { "description": "[Output-only, Beta] Learning rate used for this iteration, it varies for different training iterations if learn_rate_strategy option is not constant.", "type": "number", "format": "double" }, "durationMs": { "format": "int64", "type": "string", "description": "[Output-only, Beta] Time taken to run the training iteration in milliseconds." }, "index": { "description": "[Output-only, Beta] Index of the ML training iteration, starting from zero for each training run.", "format": "int32", "type": "integer" } }, "type": "object", "id": "BqmlIterationResult" }, "RowLevelSecurityStatistics": { "type": "object", "id": "RowLevelSecurityStatistics", "properties": { "rowLevelSecurityApplied": { "type": "boolean", "description": "[Output-only] [Preview] Whether any accessed data was protected by row access policies." } } }, "ArimaOrder": { "properties": { "d": { "description": "Order of the differencing part.", "format": "int64", "type": "string" }, "p": { "description": "Order of the autoregressive part.", "type": "string", "format": "int64" }, "q": { "type": "string", "format": "int64", "description": "Order of the moving-average part." } }, "type": "object", "description": "Arima order, can be used for both non-seasonal and seasonal parts.", "id": "ArimaOrder" }, "RegressionMetrics": { "id": "RegressionMetrics", "properties": { "rSquared": { "description": "R^2 score. This corresponds to r2_score in ML.EVALUATE.", "type": "number", "format": "double" }, "meanSquaredError": { "description": "Mean squared error.", "format": "double", "type": "number" }, "meanAbsoluteError": { "format": "double", "type": "number", "description": "Mean absolute error." }, "meanSquaredLogError": { "type": "number", "format": "double", "description": "Mean squared log error." }, "medianAbsoluteError": { "type": "number", "description": "Median absolute error.", "format": "double" } }, "type": "object", "description": "Evaluation metrics for regression and explicit feedback type matrix factorization models." }, "ExternalDataConfiguration": { "id": "ExternalDataConfiguration", "properties": { "hivePartitioningOptions": { "description": "[Optional] Options to configure hive partitioning support.", "$ref": "HivePartitioningOptions" }, "decimalTargetTypes": { "items": { "type": "string" }, "type": "array", "description": "[Optional] Defines the list of possible SQL data types to which the source decimal values are converted. This list and the precision and the scale parameters of the decimal field determine the target type. In the order of NUMERIC, BIGNUMERIC, and STRING, a type is picked if it is in the specified list and if it supports the precision and the scale. STRING supports all precision and scale values. If none of the listed types supports the precision and the scale, the type supporting the widest range in the specified list is picked, and if a value exceeds the supported range when reading the data, an error will be thrown. Example: Suppose the value of this field is [\"NUMERIC\", \"BIGNUMERIC\"]. If (precision,scale) is: (38,9) -\u003e NUMERIC; (39,9) -\u003e BIGNUMERIC (NUMERIC cannot hold 30 integer digits); (38,10) -\u003e BIGNUMERIC (NUMERIC cannot hold 10 fractional digits); (76,38) -\u003e BIGNUMERIC; (77,38) -\u003e BIGNUMERIC (error if value exeeds supported range). This field cannot contain duplicate types. The order of the types in this field is ignored. For example, [\"BIGNUMERIC\", \"NUMERIC\"] is the same as [\"NUMERIC\", \"BIGNUMERIC\"] and NUMERIC always takes precedence over BIGNUMERIC. Defaults to [\"NUMERIC\", \"STRING\"] for ORC and [\"NUMERIC\"] for the other file formats." }, "schema": { "description": "[Optional] The schema for the data. Schema is required for CSV and JSON formats. Schema is disallowed for Google Cloud Bigtable, Cloud Datastore backups, and Avro formats.", "$ref": "TableSchema" }, "bigtableOptions": { "$ref": "BigtableOptions", "description": "[Optional] Additional options if sourceFormat is set to BIGTABLE." }, "compression": { "description": "[Optional] The compression type of the data source. Possible values include GZIP and NONE. The default value is NONE. This setting is ignored for Google Cloud Bigtable, Google Cloud Datastore backups and Avro formats.", "type": "string" }, "autodetect": { "description": "Try to detect schema and format options automatically. Any option specified explicitly will be honored.", "type": "boolean" }, "ignoreUnknownValues": { "type": "boolean", "description": "[Optional] Indicates if BigQuery should allow extra values that are not represented in the table schema. If true, the extra values are ignored. If false, records with extra columns are treated as bad records, and if there are too many bad records, an invalid error is returned in the job result. The default value is false. The sourceFormat property determines what BigQuery treats as an extra value: CSV: Trailing columns JSON: Named values that don't match any column names Google Cloud Bigtable: This setting is ignored. Google Cloud Datastore backups: This setting is ignored. Avro: This setting is ignored." }, "maxBadRecords": { "format": "int32", "description": "[Optional] The maximum number of bad records that BigQuery can ignore when reading data. If the number of bad records exceeds this value, an invalid error is returned in the job result. This is only valid for CSV, JSON, and Google Sheets. The default value is 0, which requires that all records are valid. This setting is ignored for Google Cloud Bigtable, Google Cloud Datastore backups and Avro formats.", "type": "integer" }, "avroOptions": { "$ref": "AvroOptions", "description": "Additional properties to set if sourceFormat is set to Avro." }, "parquetOptions": { "description": "Additional properties to set if sourceFormat is set to Parquet.", "$ref": "ParquetOptions" }, "googleSheetsOptions": { "description": "[Optional] Additional options if sourceFormat is set to GOOGLE_SHEETS.", "$ref": "GoogleSheetsOptions" }, "sourceUris": { "type": "array", "items": { "type": "string" }, "description": "[Required] The fully-qualified URIs that point to your data in Google Cloud. For Google Cloud Storage URIs: Each URI can contain one '*' wildcard character and it must come after the 'bucket' name. Size limits related to load jobs apply to external data sources. For Google Cloud Bigtable URIs: Exactly one URI can be specified and it has be a fully specified and valid HTTPS URL for a Google Cloud Bigtable table. For Google Cloud Datastore backups, exactly one URI can be specified. Also, the '*' wildcard character is not allowed." }, "connectionId": { "type": "string", "description": "[Optional, Trusted Tester] Connection for external data source." }, "csvOptions": { "$ref": "CsvOptions", "description": "Additional properties to set if sourceFormat is set to CSV." }, "sourceFormat": { "type": "string", "description": "[Required] The data format. For CSV files, specify \"CSV\". For Google sheets, specify \"GOOGLE_SHEETS\". For newline-delimited JSON, specify \"NEWLINE_DELIMITED_JSON\". For Avro files, specify \"AVRO\". For Google Cloud Datastore backups, specify \"DATASTORE_BACKUP\". [Beta] For Google Cloud Bigtable, specify \"BIGTABLE\"." } }, "type": "object" }, "HparamTuningTrial": { "id": "HparamTuningTrial", "properties": { "evaluationMetrics": { "$ref": "EvaluationMetrics", "description": "Evaluation metrics of this trial calculated on the test data. Empty in Job API." }, "trainingLoss": { "format": "double", "description": "Loss computed on the training data at the end of trial.", "type": "number" }, "errorMessage": { "type": "string", "description": "Error message for FAILED and INFEASIBLE trial." }, "endTimeMs": { "type": "string", "format": "int64", "description": "Ending time of the trial." }, "evalLoss": { "description": "Loss computed on the eval data at the end of trial.", "type": "number", "format": "double" }, "hparams": { "description": "The hyperprameters selected for this trial.", "$ref": "TrainingOptions" }, "trialId": { "format": "int64", "description": "1-based index of the trial.", "type": "string" }, "startTimeMs": { "type": "string", "description": "Starting time of the trial.", "format": "int64" }, "status": { "enumDescriptions": [ "", "Scheduled but not started.", "Running state.", "The trial succeeded.", "The trial failed.", "The trial is infeasible due to the invalid params.", "Trial stopped early because it's not promising." ], "type": "string", "enum": [ "TRIAL_STATUS_UNSPECIFIED", "NOT_STARTED", "RUNNING", "SUCCEEDED", "FAILED", "INFEASIBLE", "STOPPED_EARLY" ], "description": "The status of the trial." }, "hparamTuningEvaluationMetrics": { "$ref": "EvaluationMetrics", "description": "Hyperparameter tuning evaluation metrics of this trial calculated on the eval data. Unlike evaluation_metrics, only the fields corresponding to the hparam_tuning_objectives are set." } }, "description": "Training info of a trial in [hyperparameter tuning](/bigquery-ml/docs/reference/standard-sql/bigqueryml-syntax-hp-tuning-overview) models.", "type": "object" }, "ArimaResult": { "type": "object", "description": "(Auto-)arima fitting result. Wrap everything in ArimaResult for easier refactoring if we want to use model-specific iteration results.", "properties": { "arimaModelInfo": { "description": "This message is repeated because there are multiple arima models fitted in auto-arima. For non-auto-arima model, its size is one.", "type": "array", "items": { "$ref": "ArimaModelInfo" } }, "seasonalPeriods": { "items": { "type": "string", "enumDescriptions": [ "Unspecified seasonal period.", "No seasonality", "Daily period, 24 hours.", "Weekly period, 7 days.", "Monthly period, 30 days or irregular.", "Quarterly period, 90 days or irregular.", "Yearly period, 365 days or irregular." ], "enum": [ "SEASONAL_PERIOD_TYPE_UNSPECIFIED", "NO_SEASONALITY", "DAILY", "WEEKLY", "MONTHLY", "QUARTERLY", "YEARLY" ] }, "type": "array", "description": "Seasonal periods. Repeated because multiple periods are supported for one time series." } }, "id": "ArimaResult" }, "ListModelsResponse": { "properties": { "nextPageToken": { "description": "A token to request the next page of results.", "type": "string" }, "models": { "description": "Models in the requested dataset. Only the following fields are populated: model_reference, model_type, creation_time, last_modified_time and labels.", "type": "array", "items": { "$ref": "Model" } } }, "type": "object", "id": "ListModelsResponse" }, "JsonValue": { "type": "any", "id": "JsonValue" }, "Dataset": { "type": "object", "properties": { "isCaseInsensitive": { "type": "boolean", "description": "[Optional] Indicates if table names are case insensitive in the dataset." }, "kind": { "default": "bigquery#dataset", "type": "string", "description": "[Output-only] The resource type." }, "access": { "description": "[Optional] An array of objects that define dataset access for one or more entities. You can set this property when inserting or updating a dataset in order to control who is allowed to access the data. If unspecified at dataset creation time, BigQuery adds default dataset access for the following entities: access.specialGroup: projectReaders; access.role: READER; access.specialGroup: projectWriters; access.role: WRITER; access.specialGroup: projectOwners; access.role: OWNER; access.userByEmail: [dataset creator email]; access.role: OWNER;", "items": { "type": "object", "properties": { "domain": { "description": "[Pick one] A domain to grant access to. Any users signed in with the domain specified will be granted the specified access. Example: \"example.com\". Maps to IAM policy member \"domain:DOMAIN\".", "type": "string" }, "iamMember": { "type": "string", "description": "[Pick one] Some other type of member that appears in the IAM Policy but isn't a user, group, domain, or special group." }, "userByEmail": { "type": "string", "description": "[Pick one] An email address of a user to grant access to. For example: fred@example.com. Maps to IAM policy member \"user:EMAIL\" or \"serviceAccount:EMAIL\"." }, "role": { "description": "[Required] An IAM role ID that should be granted to the user, group, or domain specified in this access entry. The following legacy mappings will be applied: OWNER roles/bigquery.dataOwner WRITER roles/bigquery.dataEditor READER roles/bigquery.dataViewer This field will accept any of the above formats, but will return only the legacy format. For example, if you set this field to \"roles/bigquery.dataOwner\", it will be returned back as \"OWNER\".", "type": "string" }, "dataset": { "$ref": "DatasetAccessEntry", "description": "[Pick one] A grant authorizing all resources of a particular type in a particular dataset access to this dataset. Only views are supported for now. The role field is not required when this field is set. If that dataset is deleted and re-created, its access needs to be granted again via an update operation." }, "specialGroup": { "type": "string", "description": "[Pick one] A special group to grant access to. Possible values include: projectOwners: Owners of the enclosing project. projectReaders: Readers of the enclosing project. projectWriters: Writers of the enclosing project. allAuthenticatedUsers: All authenticated BigQuery users. Maps to similarly-named IAM members." }, "view": { "$ref": "TableReference", "description": "[Pick one] A view from a different dataset to grant access to. Queries executed against that view will have read access to tables in this dataset. The role field is not required when this field is set. If that view is updated by any user, access to the view needs to be granted again via an update operation." }, "groupByEmail": { "description": "[Pick one] An email address of a Google Group to grant access to. Maps to IAM policy member \"group:GROUP\".", "type": "string" }, "routine": { "description": "[Pick one] A routine from a different dataset to grant access to. Queries executed against that routine will have read access to views/tables/routines in this dataset. Only UDF is supported for now. The role field is not required when this field is set. If that routine is updated by any user, access to the routine needs to be granted again via an update operation.", "$ref": "RoutineReference" } } }, "type": "array" }, "defaultCollation": { "description": "[Output-only] The default collation of the dataset.", "type": "string" }, "defaultEncryptionConfiguration": { "$ref": "EncryptionConfiguration" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The labels associated with this dataset. You can use these to organize and group your datasets. You can set this property when inserting or updating a dataset. See Creating and Updating Dataset Labels for more information." }, "satisfiesPzs": { "description": "[Output-only] Reserved for future use.", "type": "boolean" }, "etag": { "type": "string", "description": "[Output-only] A hash of the resource." }, "defaultPartitionExpirationMs": { "format": "int64", "type": "string", "description": "[Optional] The default partition expiration for all partitioned tables in the dataset, in milliseconds. Once this property is set, all newly-created partitioned tables in the dataset will have an expirationMs property in the timePartitioning settings set to this value, and changing the value will only affect new tables, not existing ones. The storage in a partition will have an expiration time of its partition time plus this value. Setting this property overrides the use of defaultTableExpirationMs for partitioned tables: only one of defaultTableExpirationMs and defaultPartitionExpirationMs will be used for any new partitioned table. If you provide an explicit timePartitioning.expirationMs when creating or updating a partitioned table, that value takes precedence over the default partition expiration time indicated by this property." }, "friendlyName": { "type": "string", "description": "[Optional] A descriptive name for the dataset." }, "id": { "description": "[Output-only] The fully-qualified unique name of the dataset in the format projectId:datasetId. The dataset name without the project name is given in the datasetId field. When creating a new dataset, leave this field blank, and instead specify the datasetId field.", "type": "string" }, "maxTimeTravelHours": { "format": "int64", "description": "[Optional] Number of hours for the max time travel for all tables in the dataset.", "type": "string" }, "location": { "type": "string", "description": "The geographic location where the dataset should reside. The default value is US. See details at https://cloud.google.com/bigquery/docs/locations." }, "description": { "description": "[Optional] A user-friendly description of the dataset.", "type": "string" }, "tags": { "items": { "properties": { "tagValue": { "type": "string", "description": "[Required] Friendly short name of the tag value, e.g. \"production\"." }, "tagKey": { "type": "string", "description": "[Required] The namespaced friendly name of the tag key, e.g. \"12345/environment\" where 12345 is org id." } }, "type": "object" }, "description": "[Optional]The tags associated with this dataset. Tag keys are globally unique.", "type": "array" }, "selfLink": { "description": "[Output-only] A URL that can be used to access the resource again. You can use this URL in Get or Update requests to the resource.", "type": "string" }, "lastModifiedTime": { "format": "int64", "description": "[Output-only] The date when this dataset or any of its tables was last modified, in milliseconds since the epoch.", "type": "string" }, "defaultTableExpirationMs": { "description": "[Optional] The default lifetime of all tables in the dataset, in milliseconds. The minimum value is 3600000 milliseconds (one hour). Once this property is set, all newly-created tables in the dataset will have an expirationTime property set to the creation time plus the value in this property, and changing the value will only affect new tables, not existing ones. When the expirationTime for a given table is reached, that table will be deleted automatically. If a table's expirationTime is modified or removed before the table expires, or if you provide an explicit expirationTime when creating a table, that value takes precedence over the default expiration time indicated by this property.", "type": "string", "format": "int64" }, "creationTime": { "type": "string", "format": "int64", "description": "[Output-only] The time when this dataset was created, in milliseconds since the epoch." }, "datasetReference": { "description": "[Required] A reference that identifies the dataset.", "$ref": "DatasetReference" } }, "id": "Dataset" }, "GetServiceAccountResponse": { "id": "GetServiceAccountResponse", "type": "object", "properties": { "kind": { "default": "bigquery#getServiceAccountResponse", "type": "string", "description": "The resource type of the response." }, "email": { "description": "The service account email address.", "type": "string" } } }, "Clustering": { "properties": { "fields": { "items": { "type": "string" }, "description": "[Repeated] One or more fields on which data should be clustered. Only top-level, non-repeated, simple-type fields are supported. When you cluster a table using multiple columns, the order of columns you specify is important. The order of the specified columns determines the sort order of the data.", "type": "array" } }, "id": "Clustering", "type": "object" }, "ArimaForecastingMetrics": { "properties": { "arimaSingleModelForecastingMetrics": { "type": "array", "items": { "$ref": "ArimaSingleModelForecastingMetrics" }, "description": "Repeated as there can be many metric sets (one for each model) in auto-arima and the large-scale case." }, "seasonalPeriods": { "items": { "enum": [ "SEASONAL_PERIOD_TYPE_UNSPECIFIED", "NO_SEASONALITY", "DAILY", "WEEKLY", "MONTHLY", "QUARTERLY", "YEARLY" ], "type": "string", "enumDescriptions": [ "Unspecified seasonal period.", "No seasonality", "Daily period, 24 hours.", "Weekly period, 7 days.", "Monthly period, 30 days or irregular.", "Quarterly period, 90 days or irregular.", "Yearly period, 365 days or irregular." ] }, "description": "Seasonal periods. Repeated because multiple periods are supported for one time series.", "type": "array" }, "nonSeasonalOrder": { "description": "Non-seasonal order.", "type": "array", "items": { "$ref": "ArimaOrder" } }, "timeSeriesId": { "items": { "type": "string" }, "description": "Id to differentiate different time series for the large-scale case.", "type": "array" }, "arimaFittingMetrics": { "description": "Arima model fitting metrics.", "items": { "$ref": "ArimaFittingMetrics" }, "type": "array" }, "hasDrift": { "type": "array", "description": "Whether Arima model fitted with drift or not. It is always false when d is not 1.", "items": { "type": "boolean" } } }, "description": "Model evaluation metrics for ARIMA forecasting models.", "id": "ArimaForecastingMetrics", "type": "object" }, "GoogleSheetsOptions": { "id": "GoogleSheetsOptions", "properties": { "range": { "type": "string", "description": "[Optional] Range of a sheet to query from. Only used when non-empty. Typical format: sheet_name!top_left_cell_id:bottom_right_cell_id For example: sheet1!A1:B20" }, "skipLeadingRows": { "type": "string", "format": "int64", "description": "[Optional] The number of rows at the top of a sheet that BigQuery will skip when reading the data. The default value is 0. This property is useful if you have header rows that should be skipped. When autodetect is on, behavior is the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh skipLeadingRows unspecified - Autodetect tries to detect headers in the first row. If they are not detected, the row is read as data. Otherwise data is read starting from the second row. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh skipLeadingRows is 0 - Instructs autodetect that there are no headers and data should be read starting from the first row. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh skipLeadingRows = N \u003e 0 - Autodetect skips N-1 rows and tries to detect headers in row N. If headers are not detected, row N is just skipped. Otherwise row N is used to extract column names for the detected schema." } }, "type": "object" }, "PrincipalComponentInfo": { "type": "object", "id": "PrincipalComponentInfo", "properties": { "explainedVariance": { "description": "Explained variance by this principal component, which is simply the eigenvalue.", "type": "number", "format": "double" }, "explainedVarianceRatio": { "description": "Explained_variance over the total explained variance.", "type": "number", "format": "double" }, "cumulativeExplainedVarianceRatio": { "format": "double", "type": "number", "description": "The explained_variance is pre-ordered in the descending order to compute the cumulative explained variance ratio." }, "principalComponentId": { "type": "string", "format": "int64", "description": "Id of the principal component." } }, "description": "Principal component infos, used only for eigen decomposition based models, e.g., PCA. Ordered by explained_variance in the descending order." }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object", "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" }, "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string" } }, "id": "AuditLogConfig" }, "GlobalExplanation": { "id": "GlobalExplanation", "properties": { "explanations": { "items": { "$ref": "Explanation" }, "type": "array", "description": "A list of the top global explanations. Sorted by absolute value of attribution in descending order." }, "classLabel": { "description": "Class label for this set of global explanations. Will be empty/null for binary logistic and linear regression models. Sorted alphabetically in descending order.", "type": "string" } }, "type": "object", "description": "Global explanations containing the top most important features after training." }, "BigtableOptions": { "id": "BigtableOptions", "properties": { "columnFamilies": { "description": "[Optional] List of column families to expose in the table schema along with their types. This list restricts the column families that can be referenced in queries and specifies their value types. You can use this list to do type conversions - see the 'type' field for more details. If you leave this list empty, all column families are present in the table schema and their values are read as BYTES. During a query only the column families referenced in that query are read from Bigtable.", "type": "array", "items": { "$ref": "BigtableColumnFamily" } }, "readRowkeyAsString": { "type": "boolean", "description": "[Optional] If field is true, then the rowkey column families will be read and converted to string. Otherwise they are read with BYTES type values and users need to manually cast them with CAST if necessary. The default value is false." }, "ignoreUnspecifiedColumnFamilies": { "type": "boolean", "description": "[Optional] If field is true, then the column families that are not specified in columnFamilies list are not exposed in the table schema. Otherwise, they are read with BYTES type values. The default value is false." } }, "type": "object" }, "DatasetReference": { "id": "DatasetReference", "properties": { "projectId": { "description": "[Optional] The ID of the project containing this dataset.", "annotations": { "required": [ "bigquery.datasets.update" ] }, "type": "string" }, "datasetId": { "type": "string", "annotations": { "required": [ "bigquery.datasets.update" ] }, "description": "[Required] A unique ID for this dataset, without the project name. The ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_). The maximum length is 1,024 characters." } }, "type": "object" }, "ParquetOptions": { "type": "object", "properties": { "enableListInference": { "description": "[Optional] Indicates whether to use schema inference specifically for Parquet LIST logical type.", "type": "boolean" }, "enumAsString": { "description": "[Optional] Indicates whether to infer Parquet ENUM logical type as STRING instead of BYTES by default.", "type": "boolean" } }, "id": "ParquetOptions" }, "SessionInfo": { "properties": { "sessionId": { "description": "[Output-only] // [Preview] Id of the session.", "type": "string" } }, "id": "SessionInfo", "type": "object" }, "GetIamPolicyRequest": { "description": "Request message for `GetIamPolicy` method.", "type": "object", "properties": { "options": { "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.", "$ref": "GetPolicyOptions" } }, "id": "GetIamPolicyRequest" }, "ArimaCoefficients": { "type": "object", "id": "ArimaCoefficients", "properties": { "interceptCoefficient": { "type": "number", "description": "Intercept coefficient, just a double not an array.", "format": "double" }, "movingAverageCoefficients": { "type": "array", "description": "Moving-average coefficients, an array of double.", "items": { "format": "double", "type": "number" } }, "autoRegressiveCoefficients": { "items": { "format": "double", "type": "number" }, "type": "array", "description": "Auto-regressive coefficients, an array of double." } }, "description": "Arima coefficients." }, "JobStatistics2": { "properties": { "modelTraining": { "$ref": "BigQueryModelTraining", "description": "[Output-only, Beta] Information about create model query job progress." }, "totalBytesBilled": { "format": "int64", "description": "[Output-only] Total bytes billed for the job.", "type": "string" }, "ddlAffectedRowAccessPolicyCount": { "description": "[Output-only] [Preview] The number of row access policies affected by a DDL statement. Present only for DROP ALL ROW ACCESS POLICIES queries.", "format": "int64", "type": "string" }, "totalPartitionsProcessed": { "format": "int64", "description": "[Output-only] Total number of partitions processed from all partitioned tables referenced in the job.", "type": "string" }, "modelTrainingExpectedTotalIteration": { "format": "int64", "description": "[Output-only, Beta] Deprecated; do not use.", "type": "string" }, "timeline": { "type": "array", "items": { "$ref": "QueryTimelineSample" }, "description": "[Output-only] [Beta] Describes a timeline of job execution." }, "mlStatistics": { "$ref": "MlStatistics", "description": "[Output-only] Statistics of a BigQuery ML training job." }, "totalBytesProcessedAccuracy": { "description": "[Output-only] For dry-run jobs, totalBytesProcessed is an estimate and this field specifies the accuracy of the estimate. Possible values can be: UNKNOWN: accuracy of the estimate is unknown. PRECISE: estimate is precise. LOWER_BOUND: estimate is lower bound of what the query would cost. UPPER_BOUND: estimate is upper bound of what the query would cost.", "type": "string" }, "totalSlotMs": { "type": "string", "description": "[Output-only] Slot-milliseconds for the job.", "format": "int64" }, "statementType": { "type": "string", "description": "The type of query statement, if valid. Possible values (new values might be added in the future): \"SELECT\": SELECT query. \"INSERT\": INSERT query; see https://cloud.google.com/bigquery/docs/reference/standard-sql/data-manipulation-language. \"UPDATE\": UPDATE query; see https://cloud.google.com/bigquery/docs/reference/standard-sql/data-manipulation-language. \"DELETE\": DELETE query; see https://cloud.google.com/bigquery/docs/reference/standard-sql/data-manipulation-language. \"MERGE\": MERGE query; see https://cloud.google.com/bigquery/docs/reference/standard-sql/data-manipulation-language. \"ALTER_TABLE\": ALTER TABLE query. \"ALTER_VIEW\": ALTER VIEW query. \"ASSERT\": ASSERT condition AS 'description'. \"CREATE_FUNCTION\": CREATE FUNCTION query. \"CREATE_MODEL\": CREATE [OR REPLACE] MODEL ... AS SELECT ... . \"CREATE_PROCEDURE\": CREATE PROCEDURE query. \"CREATE_TABLE\": CREATE [OR REPLACE] TABLE without AS SELECT. \"CREATE_TABLE_AS_SELECT\": CREATE [OR REPLACE] TABLE ... AS SELECT ... . \"CREATE_VIEW\": CREATE [OR REPLACE] VIEW ... AS SELECT ... . \"DROP_FUNCTION\" : DROP FUNCTION query. \"DROP_PROCEDURE\": DROP PROCEDURE query. \"DROP_TABLE\": DROP TABLE query. \"DROP_VIEW\": DROP VIEW query." }, "ddlTargetTable": { "description": "[Output-only] The DDL target table. Present only for CREATE/DROP TABLE/VIEW and DROP ALL ROW ACCESS POLICIES queries.", "$ref": "TableReference" }, "referencedRoutines": { "type": "array", "items": { "$ref": "RoutineReference" }, "description": "[Output-only] Referenced routines (persistent user-defined functions and stored procedures) for the job." }, "billingTier": { "type": "integer", "format": "int32", "description": "[Output-only] Billing tier for the job." }, "ddlOperationPerformed": { "description": "The DDL operation performed, possibly dependent on the pre-existence of the DDL target. Possible values (new values might be added in the future): \"CREATE\": The query created the DDL target. \"SKIP\": No-op. Example cases: the query is CREATE TABLE IF NOT EXISTS while the table already exists, or the query is DROP TABLE IF EXISTS while the table does not exist. \"REPLACE\": The query replaced the DDL target. Example case: the query is CREATE OR REPLACE TABLE, and the table already exists. \"DROP\": The query deleted the DDL target.", "type": "string" }, "dmlStats": { "description": "[Output-only] Detailed statistics for DML statements Present only for DML statements INSERT, UPDATE, DELETE or TRUNCATE.", "$ref": "DmlStatistics" }, "modelTrainingCurrentIteration": { "type": "integer", "description": "[Output-only, Beta] Deprecated; do not use.", "format": "int32" }, "estimatedBytesProcessed": { "description": "[Output-only] The original estimate of bytes processed for the job.", "format": "int64", "type": "string" }, "ddlTargetDataset": { "description": "[Output-only] The DDL target dataset. Present only for CREATE/ALTER/DROP SCHEMA queries.", "$ref": "DatasetReference" }, "numDmlAffectedRows": { "description": "[Output-only] The number of rows affected by a DML statement. Present only for DML statements INSERT, UPDATE or DELETE.", "format": "int64", "type": "string" }, "searchStatistics": { "description": "[Output-only] Search query specific statistics.", "$ref": "SearchStatistics" }, "ddlDestinationTable": { "$ref": "TableReference", "description": "[Output-only] The DDL destination table. Present only for ALTER TABLE RENAME TO queries. Note that ddl_target_table is used just for its type information." }, "undeclaredQueryParameters": { "type": "array", "description": "Standard SQL only: list of undeclared query parameters detected during a dry run validation.", "items": { "$ref": "QueryParameter" } }, "ddlTargetRowAccessPolicy": { "$ref": "RowAccessPolicyReference", "description": "[Output-only] [Preview] The DDL target row access policy. Present only for CREATE/DROP ROW ACCESS POLICY queries." }, "referencedTables": { "items": { "$ref": "TableReference" }, "type": "array", "description": "[Output-only] Referenced tables for the job. Queries that reference more than 50 tables will not have a complete list." }, "reservationUsage": { "description": "[Output-only] Job resource usage breakdown by reservation.", "items": { "properties": { "name": { "type": "string", "description": "[Output-only] Reservation name or \"unreserved\" for on-demand resources usage." }, "slotMs": { "format": "int64", "description": "[Output-only] Slot-milliseconds the job spent in the given reservation.", "type": "string" } }, "type": "object" }, "type": "array" }, "totalBytesProcessed": { "type": "string", "format": "int64", "description": "[Output-only] Total bytes processed for the job." }, "biEngineStatistics": { "$ref": "BiEngineStatistics", "description": "BI Engine specific Statistics. [Output-only] BI Engine specific Statistics." }, "schema": { "description": "[Output-only] The schema of the results. Present only for successful dry run of non-legacy SQL queries.", "$ref": "TableSchema" }, "ddlTargetRoutine": { "description": "The DDL target routine. Present only for CREATE/DROP FUNCTION/PROCEDURE queries.", "$ref": "RoutineReference" }, "queryPlan": { "type": "array", "items": { "$ref": "ExplainQueryStage" }, "description": "[Output-only] Describes execution plan for the query." }, "cacheHit": { "description": "[Output-only] Whether the query result was fetched from the query cache.", "type": "boolean" } }, "type": "object", "id": "JobStatistics2" }, "HparamSearchSpaces": { "description": "Hyperparameter search spaces. These should be a subset of training_options.", "type": "object", "id": "HparamSearchSpaces", "properties": { "minSplitLoss": { "description": "Minimum split loss for boosted tree models.", "$ref": "DoubleHparamSearchSpace" }, "numClusters": { "$ref": "IntHparamSearchSpace", "description": "Number of clusters for k-means." }, "activationFn": { "$ref": "StringHparamSearchSpace", "description": "Activation functions of neural network models." }, "treeMethod": { "$ref": "StringHparamSearchSpace", "description": "Tree construction algorithm for boosted tree models." }, "l1Reg": { "$ref": "DoubleHparamSearchSpace", "description": "L1 regularization coefficient." }, "dartNormalizeType": { "$ref": "StringHparamSearchSpace", "description": "Dart normalization type for boosted tree models." }, "maxTreeDepth": { "$ref": "IntHparamSearchSpace", "description": "Maximum depth of a tree for boosted tree models." }, "hiddenUnits": { "$ref": "IntArrayHparamSearchSpace", "description": "Hidden units for neural network models." }, "optimizer": { "description": "Optimizer of TF models.", "$ref": "StringHparamSearchSpace" }, "l2Reg": { "$ref": "DoubleHparamSearchSpace", "description": "L2 regularization coefficient." }, "numParallelTree": { "$ref": "IntHparamSearchSpace", "description": "Number of parallel trees for boosted tree models." }, "walsAlpha": { "description": "Hyperparameter for matrix factoration when implicit feedback type is specified.", "$ref": "DoubleHparamSearchSpace" }, "batchSize": { "$ref": "IntHparamSearchSpace", "description": "Mini batch sample size." }, "boosterType": { "description": "Booster type for boosted tree models.", "$ref": "StringHparamSearchSpace" }, "minTreeChildWeight": { "$ref": "IntHparamSearchSpace", "description": "Minimum sum of instance weight needed in a child for boosted tree models." }, "colsampleBynode": { "$ref": "DoubleHparamSearchSpace", "description": "Subsample ratio of columns for each node(split) for boosted tree models." }, "dropout": { "$ref": "DoubleHparamSearchSpace", "description": "Dropout probability for dnn model training and boosted tree models using dart booster." }, "colsampleBytree": { "$ref": "DoubleHparamSearchSpace", "description": "Subsample ratio of columns when constructing each tree for boosted tree models." }, "subsample": { "description": "Subsample the training data to grow tree to prevent overfitting for boosted tree models.", "$ref": "DoubleHparamSearchSpace" }, "colsampleBylevel": { "description": "Subsample ratio of columns for each level for boosted tree models.", "$ref": "DoubleHparamSearchSpace" }, "learnRate": { "description": "Learning rate of training jobs.", "$ref": "DoubleHparamSearchSpace" }, "numFactors": { "$ref": "IntHparamSearchSpace", "description": "Number of latent factors to train on." } } }, "ClusteringMetrics": { "type": "object", "properties": { "daviesBouldinIndex": { "description": "Davies-Bouldin index.", "format": "double", "type": "number" }, "meanSquaredDistance": { "type": "number", "description": "Mean of squared distances between each sample to its cluster centroid.", "format": "double" }, "clusters": { "type": "array", "description": "Information for all clusters.", "items": { "$ref": "Cluster" } } }, "id": "ClusteringMetrics", "description": "Evaluation metrics for clustering models." }, "RowAccessPolicyReference": { "properties": { "policyId": { "description": "[Required] The ID of the row access policy. The ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_). The maximum length is 256 characters.", "type": "string" }, "projectId": { "type": "string", "description": "[Required] The ID of the project containing this row access policy." }, "datasetId": { "type": "string", "description": "[Required] The ID of the dataset containing this row access policy." }, "tableId": { "description": "[Required] The ID of the table containing this row access policy.", "type": "string" } }, "id": "RowAccessPolicyReference", "type": "object" }, "ErrorProto": { "type": "object", "id": "ErrorProto", "properties": { "location": { "type": "string", "description": "Specifies where the error occurred, if present." }, "reason": { "description": "A short error code that summarizes the error.", "type": "string" }, "message": { "type": "string", "description": "A human-readable description of the error." }, "debugInfo": { "type": "string", "description": "Debugging information. This property is internal to Google and should not be used." } } }, "TransactionInfo": { "properties": { "transactionId": { "description": "[Output-only] // [Alpha] Id of the transaction.", "type": "string" } }, "id": "TransactionInfo", "type": "object" }, "IntRange": { "properties": { "min": { "description": "Min value of the int parameter.", "type": "string", "format": "int64" }, "max": { "type": "string", "description": "Max value of the int parameter.", "format": "int64" } }, "type": "object", "id": "IntRange", "description": "Range of an int hyperparameter." }, "BiEngineReason": { "type": "object", "id": "BiEngineReason", "properties": { "message": { "default": "$(reason.message)", "description": "[Output-only] Free form human-readable reason for partial or disabled acceleration.", "type": "string" }, "code": { "default": "$(reason.code)", "type": "string", "description": "[Output-only] High-level BI Engine reason for partial or disabled acceleration." } } }, "DoubleHparamSearchSpace": { "id": "DoubleHparamSearchSpace", "description": "Search space for a double hyperparameter.", "properties": { "range": { "description": "Range of the double hyperparameter.", "$ref": "DoubleRange" }, "candidates": { "$ref": "DoubleCandidates", "description": "Candidates of the double hyperparameter." } }, "type": "object" }, "JobStatistics": { "properties": { "sessionInfo": { "$ref": "SessionInfo", "description": "[Output-only] [Preview] Information of the session if this job is part of one." }, "rowLevelSecurityStatistics": { "$ref": "RowLevelSecurityStatistics", "description": "[Output-only] [Preview] Statistics for row-level security. Present only for query and extract jobs." }, "load": { "$ref": "JobStatistics3", "description": "[Output-only] Statistics for a load job." }, "completionRatio": { "type": "number", "description": "[TrustedTester] [Output-only] Job progress (0.0 -\u003e 1.0) for LOAD and EXTRACT jobs.", "format": "double" }, "totalSlotMs": { "format": "int64", "type": "string", "description": "[Output-only] Slot-milliseconds for the job." }, "creationTime": { "format": "int64", "description": "[Output-only] Creation time of this job, in milliseconds since the epoch. This field will be present on all jobs.", "type": "string" }, "totalBytesProcessed": { "description": "[Output-only] [Deprecated] Use the bytes processed in the query statistics instead.", "format": "int64", "type": "string" }, "parentJobId": { "type": "string", "description": "[Output-only] If this is a child job, the id of the parent." }, "query": { "$ref": "JobStatistics2", "description": "[Output-only] Statistics for a query job." }, "startTime": { "type": "string", "format": "int64", "description": "[Output-only] Start time of this job, in milliseconds since the epoch. This field will be present when the job transitions from the PENDING state to either RUNNING or DONE." }, "copy": { "$ref": "JobStatistics5", "description": "[Output-only] Statistics for a copy job." }, "numChildJobs": { "format": "int64", "type": "string", "description": "[Output-only] Number of child jobs executed." }, "quotaDeferments": { "type": "array", "items": { "type": "string" }, "description": "[Output-only] Quotas which delayed this job's start time." }, "extract": { "$ref": "JobStatistics4", "description": "[Output-only] Statistics for an extract job." }, "endTime": { "format": "int64", "type": "string", "description": "[Output-only] End time of this job, in milliseconds since the epoch. This field will be present whenever a job is in the DONE state." }, "scriptStatistics": { "$ref": "ScriptStatistics", "description": "[Output-only] Statistics for a child job of a script." }, "reservationUsage": { "description": "[Output-only] Job resource usage breakdown by reservation.", "type": "array", "items": { "type": "object", "properties": { "slotMs": { "description": "[Output-only] Slot-milliseconds the job spent in the given reservation.", "format": "int64", "type": "string" }, "name": { "type": "string", "description": "[Output-only] Reservation name or \"unreserved\" for on-demand resources usage." } } } }, "reservation_id": { "type": "string", "description": "[Output-only] Name of the primary reservation assigned to this job. Note that this could be different than reservations reported in the reservation usage field if parent reservations were used to execute this job." }, "transactionInfo": { "$ref": "TransactionInfo", "description": "[Output-only] [Alpha] Information of the multi-statement transaction if this job is part of one." } }, "type": "object", "id": "JobStatistics" }, "TableReference": { "id": "TableReference", "properties": { "projectId": { "annotations": { "required": [ "bigquery.tables.update" ] }, "type": "string", "description": "[Required] The ID of the project containing this table." }, "tableId": { "annotations": { "required": [ "bigquery.tables.update" ] }, "description": "[Required] The ID of the table. The ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_). The maximum length is 1,024 characters.", "type": "string" }, "datasetId": { "type": "string", "annotations": { "required": [ "bigquery.tables.update" ] }, "description": "[Required] The ID of the dataset containing this table." } }, "type": "object" }, "RangePartitioning": { "properties": { "range": { "properties": { "end": { "format": "int64", "type": "string", "description": "[TrustedTester] [Required] The end of range partitioning, exclusive." }, "start": { "description": "[TrustedTester] [Required] The start of range partitioning, inclusive.", "type": "string", "format": "int64" }, "interval": { "format": "int64", "description": "[TrustedTester] [Required] The width of each interval.", "type": "string" } }, "description": "[TrustedTester] [Required] Defines the ranges for range partitioning.", "type": "object" }, "field": { "description": "[TrustedTester] [Required] The table is partitioned by this field. The field must be a top-level NULLABLE/REQUIRED field. The only supported type is INTEGER/INT64.", "type": "string" } }, "type": "object", "id": "RangePartitioning" }, "JobConfiguration": { "type": "object", "properties": { "jobTimeoutMs": { "format": "int64", "type": "string", "description": "[Optional] Job timeout in milliseconds. If this time limit is exceeded, BigQuery may attempt to terminate the job." }, "query": { "description": "[Pick one] Configures a query job.", "$ref": "JobConfigurationQuery" }, "extract": { "description": "[Pick one] Configures an extract job.", "$ref": "JobConfigurationExtract" }, "dryRun": { "type": "boolean", "description": "[Optional] If set, don't actually run this job. A valid query will return a mostly empty response with some processing statistics, while an invalid query will return the same error it would if it wasn't a dry run. Behavior of non-query jobs is undefined." }, "jobType": { "description": "[Output-only] The type of the job. Can be QUERY, LOAD, EXTRACT, COPY or UNKNOWN.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "The labels associated with this job. You can use these to organize and group your jobs. Label keys and values can be no longer than 63 characters, can only contain lowercase letters, numeric characters, underscores and dashes. International characters are allowed. Label values are optional. Label keys must start with a letter and each label in the list must have a different key.", "type": "object" }, "copy": { "$ref": "JobConfigurationTableCopy", "description": "[Pick one] Copies a table." }, "load": { "$ref": "JobConfigurationLoad", "description": "[Pick one] Configures a load job." } }, "id": "JobConfiguration" }, "JobConfigurationQuery": { "id": "JobConfigurationQuery", "type": "object", "properties": { "userDefinedFunctionResources": { "type": "array", "items": { "$ref": "UserDefinedFunctionResource" }, "description": "Describes user-defined function resources used in the query." }, "clustering": { "$ref": "Clustering", "description": "[Beta] Clustering specification for the destination table. Must be specified with time-based partitioning, data in the table will be first partitioned and subsequently clustered." }, "useQueryCache": { "type": "boolean", "default": "true", "description": "[Optional] Whether to look for the result in the query cache. The query cache is a best-effort cache that will be flushed whenever tables in the query are modified. Moreover, the query cache is only available when a query does not have a destination table specified. The default value is true." }, "timePartitioning": { "description": "Time-based partitioning specification for the destination table. Only one of timePartitioning and rangePartitioning should be specified.", "$ref": "TimePartitioning" }, "maximumBillingTier": { "type": "integer", "description": "[Optional] Limits the billing tier for this job. Queries that have resource usage beyond this tier will fail (without incurring a charge). If unspecified, this will be set to your project default.", "default": "1", "format": "int32" }, "allowLargeResults": { "type": "boolean", "description": "[Optional] If true and query uses legacy SQL dialect, allows the query to produce arbitrarily large result tables at a slight cost in performance. Requires destinationTable to be set. For standard SQL queries, this flag is ignored and large results are always allowed. However, you must still set destinationTable when result size exceeds the allowed maximum response size.", "default": "false" }, "connectionProperties": { "type": "array", "items": { "$ref": "ConnectionProperty" }, "description": "Connection properties." }, "query": { "type": "string", "description": "[Required] SQL query text to execute. The useLegacySql field can be used to indicate whether the query uses legacy SQL or standard SQL." }, "maximumBytesBilled": { "type": "string", "format": "int64", "description": "[Optional] Limits the bytes billed for this job. Queries that will have bytes billed beyond this limit will fail (without incurring a charge). If unspecified, this will be set to your project default." }, "tableDefinitions": { "type": "object", "description": "[Optional] If querying an external data source outside of BigQuery, describes the data format, location and other properties of the data source. By defining these properties, the data source can then be queried as if it were a standard BigQuery table.", "additionalProperties": { "$ref": "ExternalDataConfiguration" } }, "destinationEncryptionConfiguration": { "$ref": "EncryptionConfiguration", "description": "Custom encryption configuration (e.g., Cloud KMS keys)." }, "writeDisposition": { "description": "[Optional] Specifies the action that occurs if the destination table already exists. The following values are supported: WRITE_TRUNCATE: If the table already exists, BigQuery overwrites the table data and uses the schema from the query result. WRITE_APPEND: If the table already exists, BigQuery appends the data to the table. WRITE_EMPTY: If the table already exists and contains data, a 'duplicate' error is returned in the job result. The default value is WRITE_EMPTY. Each action is atomic and only occurs if BigQuery is able to complete the job successfully. Creation, truncation and append actions occur as one atomic update upon job completion.", "type": "string" }, "schemaUpdateOptions": { "type": "array", "items": { "type": "string" }, "description": "Allows the schema of the destination table to be updated as a side effect of the query job. Schema update options are supported in two cases: when writeDisposition is WRITE_APPEND; when writeDisposition is WRITE_TRUNCATE and the destination table is a partition of a table, specified by partition decorators. For normal tables, WRITE_TRUNCATE will always overwrite the schema. One or more of the following values are specified: ALLOW_FIELD_ADDITION: allow adding a nullable field to the schema. ALLOW_FIELD_RELAXATION: allow relaxing a required field in the original schema to nullable." }, "preserveNulls": { "type": "boolean", "description": "[Deprecated] This property is deprecated." }, "queryParameters": { "description": "Query parameters for standard SQL queries.", "type": "array", "items": { "$ref": "QueryParameter" } }, "rangePartitioning": { "description": "[TrustedTester] Range partitioning specification for this table. Only one of timePartitioning and rangePartitioning should be specified.", "$ref": "RangePartitioning" }, "destinationTable": { "description": "[Optional] Describes the table where the query results should be stored. If not present, a new table will be created to store the results. This property must be set for large results that exceed the maximum response size.", "$ref": "TableReference" }, "flattenResults": { "type": "boolean", "description": "[Optional] If true and query uses legacy SQL dialect, flattens all nested and repeated fields in the query results. allowLargeResults must be true if this is set to false. For standard SQL queries, this flag is ignored and results are never flattened.", "default": "true" }, "priority": { "type": "string", "description": "[Optional] Specifies a priority for the query. Possible values include INTERACTIVE and BATCH. The default value is INTERACTIVE." }, "parameterMode": { "description": "Standard SQL only. Set to POSITIONAL to use positional (?) query parameters or to NAMED to use named (@myparam) query parameters in this query.", "type": "string" }, "createDisposition": { "description": "[Optional] Specifies whether the job is allowed to create new tables. The following values are supported: CREATE_IF_NEEDED: If the table does not exist, BigQuery creates the table. CREATE_NEVER: The table must already exist. If it does not, a 'notFound' error is returned in the job result. The default value is CREATE_IF_NEEDED. Creation, truncation and append actions occur as one atomic update upon job completion.", "type": "string" }, "defaultDataset": { "description": "[Optional] Specifies the default dataset to use for unqualified table names in the query. Note that this does not alter behavior of unqualified dataset names.", "$ref": "DatasetReference" }, "createSession": { "description": "If true, creates a new session, where session id will be a server generated random id. If false, runs query with an existing session_id passed in ConnectionProperty, otherwise runs query in non-session mode.", "type": "boolean" }, "useLegacySql": { "default": "true", "type": "boolean", "description": "Specifies whether to use BigQuery's legacy SQL dialect for this query. The default value is true. If set to false, the query will use BigQuery's standard SQL: https://cloud.google.com/bigquery/sql-reference/ When useLegacySql is set to false, the value of flattenResults is ignored; query will be run as if flattenResults is false." } } }, "DatasetList": { "id": "DatasetList", "properties": { "datasets": { "description": "An array of the dataset resources in the project. Each resource contains basic information. For full information about a particular dataset resource, use the Datasets: get method. This property is omitted when there are no datasets in the project.", "type": "array", "items": { "type": "object", "properties": { "datasetReference": { "description": "The dataset reference. Use this property to access specific parts of the dataset's ID, such as project ID or dataset ID.", "$ref": "DatasetReference" }, "kind": { "description": "The resource type. This property always returns the value \"bigquery#dataset\".", "default": "bigquery#dataset", "type": "string" }, "location": { "description": "The geographic location where the data resides.", "type": "string" }, "id": { "description": "The fully-qualified, unique, opaque ID of the dataset.", "type": "string" }, "friendlyName": { "description": "A descriptive name for the dataset, if one exists.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The labels associated with this dataset. You can use these to organize and group your datasets." } } } }, "etag": { "type": "string", "description": "A hash value of the results page. You can use this property to determine if the page has changed since the last request." }, "kind": { "type": "string", "default": "bigquery#datasetList", "description": "The list type. This property always returns the value \"bigquery#datasetList\"." }, "nextPageToken": { "description": "A token that can be used to request the next results page. This property is omitted on the final results page.", "type": "string" } }, "type": "object" }, "Routine": { "description": "A user-defined function or a stored procedure.", "type": "object", "properties": { "description": { "type": "string", "description": "Optional. The description of the routine, if defined." }, "returnType": { "description": "Optional if language = \"SQL\"; required otherwise. Cannot be set if routine_type = \"TABLE_VALUED_FUNCTION\". If absent, the return type is inferred from definition_body at query time in each query that references this routine. If present, then the evaluated result will be cast to the specified returned type at query time. For example, for the functions created with the following statements: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATE FUNCTION Add(x FLOAT64, y FLOAT64) RETURNS FLOAT64 AS (x + y);` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATE FUNCTION Increment(x FLOAT64) AS (Add(x, 1));` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATE FUNCTION Decrement(x FLOAT64) RETURNS FLOAT64 AS (Add(x, -1));` The return_type is `{type_kind: \"FLOAT64\"}` for `Add` and `Decrement`, and is absent for `Increment` (inferred as FLOAT64 at query time). Suppose the function `Add` is replaced by `CREATE OR REPLACE FUNCTION Add(x INT64, y INT64) AS (x + y);` Then the inferred return type of `Increment` is automatically changed to INT64 at query time, while the return type of `Decrement` remains FLOAT64.", "$ref": "StandardSqlDataType" }, "returnTableType": { "description": "Optional. Can be set only if routine_type = \"TABLE_VALUED_FUNCTION\". If absent, the return table type is inferred from definition_body at query time in each query that references this routine. If present, then the columns in the evaluated table result will be cast to match the column types specificed in return table type, at query time.", "$ref": "StandardSqlTableType" }, "etag": { "readOnly": true, "type": "string", "description": "Output only. A hash of this resource." }, "arguments": { "type": "array", "description": "Optional.", "items": { "$ref": "Argument" } }, "routineType": { "type": "string", "enumDescriptions": [ "", "Non-builtin permanent scalar function.", "Stored procedure.", "Non-builtin permanent TVF." ], "description": "Required. The type of routine.", "enum": [ "ROUTINE_TYPE_UNSPECIFIED", "SCALAR_FUNCTION", "PROCEDURE", "TABLE_VALUED_FUNCTION" ] }, "determinismLevel": { "enumDescriptions": [ "The determinism of the UDF is unspecified.", "The UDF is deterministic, meaning that 2 function calls with the same inputs always produce the same result, even across 2 query runs.", "The UDF is not deterministic." ], "description": "Optional. The determinism level of the JavaScript UDF, if defined.", "enum": [ "DETERMINISM_LEVEL_UNSPECIFIED", "DETERMINISTIC", "NOT_DETERMINISTIC" ], "type": "string" }, "language": { "type": "string", "description": "Optional. Defaults to \"SQL\".", "enum": [ "LANGUAGE_UNSPECIFIED", "SQL", "JAVASCRIPT" ], "enumDescriptions": [ "", "SQL language.", "JavaScript language." ] }, "remoteFunctionOptions": { "description": "Optional. Remote function specific options.", "$ref": "RemoteFunctionOptions" }, "routineReference": { "$ref": "RoutineReference", "description": "Required. Reference describing the ID of this routine." }, "definitionBody": { "type": "string", "description": "Required. The body of the routine. For functions, this is the expression in the AS clause. If language=SQL, it is the substring inside (but excluding) the parentheses. For example, for the function created with the following statement: `CREATE FUNCTION JoinLines(x string, y string) as (concat(x, \"\\n\", y))` The definition_body is `concat(x, \"\\n\", y)` (\\n is not replaced with linebreak). If language=JAVASCRIPT, it is the evaluated string in the AS clause. For example, for the function created with the following statement: `CREATE FUNCTION f() RETURNS STRING LANGUAGE js AS 'return \"\\n\";\\n'` The definition_body is `return \"\\n\";\\n` Note that both \\n are replaced with linebreaks." }, "creationTime": { "description": "Output only. The time when this routine was created, in milliseconds since the epoch.", "readOnly": true, "format": "int64", "type": "string" }, "strictMode": { "description": "Optional. Can be set for procedures only. If true (default), the definition body will be validated in the creation and the updates of the procedure. For procedures with an argument of ANY TYPE, the definition body validtion is not supported at creation/update time, and thus this field must be set to false explicitly.", "type": "boolean" }, "importedLibraries": { "items": { "type": "string" }, "type": "array", "description": "Optional. If language = \"JAVASCRIPT\", this field stores the path of the imported JAVASCRIPT libraries." }, "lastModifiedTime": { "format": "int64", "type": "string", "readOnly": true, "description": "Output only. The time when this routine was last modified, in milliseconds since the epoch." } }, "id": "Routine" }, "Explanation": { "description": "Explanation for a single feature.", "type": "object", "properties": { "featureName": { "type": "string", "description": "The full feature name. For non-numerical features, will be formatted like `.`. Overall size of feature name will always be truncated to first 120 characters." }, "attribution": { "type": "number", "description": "Attribution of feature.", "format": "double" } }, "id": "Explanation" }, "DestinationTableProperties": { "properties": { "friendlyName": { "description": "[Optional] The friendly name for the destination table. This will only be used if the destination table is newly created. If the table already exists and a value different than the current friendly name is provided, the job will fail.", "type": "string" }, "description": { "type": "string", "description": "[Optional] The description for the destination table. This will only be used if the destination table is newly created. If the table already exists and a value different than the current description is provided, the job will fail." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "[Optional] The labels associated with this table. You can use these to organize and group your tables. This will only be used if the destination table is newly created. If the table already exists and labels are different than the current labels are provided, the job will fail." }, "expirationTime": { "type": "string", "format": "date-time", "description": "[Internal] This field is for Google internal use only." } }, "type": "object", "id": "DestinationTableProperties" }, "ExplainQueryStage": { "id": "ExplainQueryStage", "type": "object", "properties": { "completedParallelInputs": { "format": "int64", "description": "Number of parallel input segments completed.", "type": "string" }, "slotMs": { "description": "Slot-milliseconds used by the stage.", "type": "string", "format": "int64" }, "shuffleOutputBytesSpilled": { "description": "Total number of bytes written to shuffle and spilled to disk.", "format": "int64", "type": "string" }, "startMs": { "description": "Stage start time represented as milliseconds since epoch.", "format": "int64", "type": "string" }, "writeRatioMax": { "type": "number", "format": "double", "description": "Relative amount of time the slowest shard spent on writing output." }, "computeMsMax": { "type": "string", "format": "int64", "description": "Milliseconds the slowest shard spent on CPU-bound tasks." }, "waitRatioAvg": { "type": "number", "description": "Relative amount of time the average shard spent waiting to be scheduled.", "format": "double" }, "recordsRead": { "format": "int64", "description": "Number of records read into the stage.", "type": "string" }, "steps": { "items": { "$ref": "ExplainQueryStep" }, "description": "List of operations within the stage in dependency order (approximately chronological).", "type": "array" }, "writeMsAvg": { "description": "Milliseconds the average shard spent on writing output.", "format": "int64", "type": "string" }, "name": { "type": "string", "description": "Human-readable name for stage." }, "endMs": { "format": "int64", "type": "string", "description": "Stage end time represented as milliseconds since epoch." }, "readRatioMax": { "format": "double", "description": "Relative amount of time the slowest shard spent reading input.", "type": "number" }, "computeRatioAvg": { "type": "number", "description": "Relative amount of time the average shard spent on CPU-bound tasks.", "format": "double" }, "status": { "description": "Current status for the stage.", "type": "string" }, "computeMsAvg": { "format": "int64", "type": "string", "description": "Milliseconds the average shard spent on CPU-bound tasks." }, "recordsWritten": { "type": "string", "format": "int64", "description": "Number of records written by the stage." }, "writeMsMax": { "format": "int64", "description": "Milliseconds the slowest shard spent on writing output.", "type": "string" }, "waitRatioMax": { "description": "Relative amount of time the slowest shard spent waiting to be scheduled.", "type": "number", "format": "double" }, "readMsAvg": { "type": "string", "format": "int64", "description": "Milliseconds the average shard spent reading input." }, "parallelInputs": { "type": "string", "format": "int64", "description": "Number of parallel input segments to be processed." }, "computeRatioMax": { "description": "Relative amount of time the slowest shard spent on CPU-bound tasks.", "type": "number", "format": "double" }, "waitMsAvg": { "type": "string", "description": "Milliseconds the average shard spent waiting to be scheduled.", "format": "int64" }, "writeRatioAvg": { "format": "double", "type": "number", "description": "Relative amount of time the average shard spent on writing output." }, "inputStages": { "items": { "format": "int64", "type": "string" }, "type": "array", "description": "IDs for stages that are inputs to this stage." }, "shuffleOutputBytes": { "type": "string", "description": "Total number of bytes written to shuffle.", "format": "int64" }, "id": { "type": "string", "description": "Unique ID for stage within plan.", "format": "int64" }, "readRatioAvg": { "format": "double", "description": "Relative amount of time the average shard spent reading input.", "type": "number" }, "readMsMax": { "type": "string", "format": "int64", "description": "Milliseconds the slowest shard spent reading input." }, "waitMsMax": { "description": "Milliseconds the slowest shard spent waiting to be scheduled.", "type": "string", "format": "int64" } } }, "BinaryConfusionMatrix": { "id": "BinaryConfusionMatrix", "properties": { "accuracy": { "type": "number", "format": "double", "description": "The fraction of predictions given the correct label." }, "falseNegatives": { "description": "Number of false samples predicted as false.", "format": "int64", "type": "string" }, "trueNegatives": { "type": "string", "format": "int64", "description": "Number of true samples predicted as false." }, "falsePositives": { "type": "string", "description": "Number of false samples predicted as true.", "format": "int64" }, "recall": { "description": "The fraction of actual positive labels that were given a positive prediction.", "type": "number", "format": "double" }, "truePositives": { "format": "int64", "description": "Number of true samples predicted as true.", "type": "string" }, "f1Score": { "type": "number", "description": "The equally weighted average of recall and precision.", "format": "double" }, "positiveClassThreshold": { "description": "Threshold value used when computing each of the following metric.", "type": "number", "format": "double" }, "precision": { "description": "The fraction of actual positive predictions that had positive actual labels.", "type": "number", "format": "double" } }, "description": "Confusion matrix for binary classification models.", "type": "object" }, "SnapshotDefinition": { "id": "SnapshotDefinition", "properties": { "baseTableReference": { "$ref": "TableReference", "description": "[Required] Reference describing the ID of the table that was snapshot." }, "snapshotTime": { "description": "[Required] The time at which the base table was snapshot. This value is reported in the JSON response using RFC3339 format.", "format": "date-time", "type": "string" } }, "type": "object" }, "BigtableColumn": { "properties": { "qualifierEncoded": { "format": "byte", "description": "[Required] Qualifier of the column. Columns in the parent column family that has this exact qualifier are exposed as . field. If the qualifier is valid UTF-8 string, it can be specified in the qualifier_string field. Otherwise, a base-64 encoded value must be set to qualifier_encoded. The column field name is the same as the column qualifier. However, if the qualifier is not a valid BigQuery field identifier i.e. does not match [a-zA-Z][a-zA-Z0-9_]*, a valid identifier must be provided as field_name.", "type": "string" }, "encoding": { "type": "string", "description": "[Optional] The encoding of the values when the type is not STRING. Acceptable encoding values are: TEXT - indicates values are alphanumeric text strings. BINARY - indicates values are encoded using HBase Bytes.toBytes family of functions. 'encoding' can also be set at the column family level. However, the setting at this level takes precedence if 'encoding' is set at both levels." }, "qualifierString": { "type": "string" }, "fieldName": { "description": "[Optional] If the qualifier is not a valid BigQuery field identifier i.e. does not match [a-zA-Z][a-zA-Z0-9_]*, a valid identifier must be provided as the column field name and is used as field name in queries.", "type": "string" }, "onlyReadLatest": { "description": "[Optional] If this is set, only the latest version of value in this column are exposed. 'onlyReadLatest' can also be set at the column family level. However, the setting at this level takes precedence if 'onlyReadLatest' is set at both levels.", "type": "boolean" }, "type": { "type": "string", "description": "[Optional] The type to convert the value in cells of this column. The values are expected to be encoded using HBase Bytes.toBytes function when using the BINARY encoding value. Following BigQuery types are allowed (case-sensitive) - BYTES STRING INTEGER FLOAT BOOLEAN Default type is BYTES. 'type' can also be set at the column family level. However, the setting at this level takes precedence if 'type' is set at both levels." } }, "id": "BigtableColumn", "type": "object" }, "QueryParameter": { "type": "object", "properties": { "parameterType": { "description": "[Required] The type of this parameter.", "$ref": "QueryParameterType" }, "parameterValue": { "$ref": "QueryParameterValue", "description": "[Required] The value of this parameter." }, "name": { "description": "[Optional] If unset, this is a positional parameter. Otherwise, should be unique within a query.", "type": "string" } }, "id": "QueryParameter" }, "ListRoutinesResponse": { "properties": { "routines": { "items": { "$ref": "Routine" }, "description": "Routines in the requested dataset. Unless read_mask is set in the request, only the following fields are populated: etag, project_id, dataset_id, routine_id, routine_type, creation_time, last_modified_time, and language.", "type": "array" }, "nextPageToken": { "description": "A token to request the next page of results.", "type": "string" } }, "type": "object", "id": "ListRoutinesResponse" }, "AggregateClassificationMetrics": { "description": "Aggregate metrics for classification/classifier models. For multi-class models, the metrics are either macro-averaged or micro-averaged. When macro-averaged, the metrics are calculated for each label and then an unweighted average is taken of those values. When micro-averaged, the metric is calculated globally by counting the total number of correctly predicted rows.", "id": "AggregateClassificationMetrics", "properties": { "rocAuc": { "format": "double", "type": "number", "description": "Area Under a ROC Curve. For multiclass this is a macro-averaged metric." }, "recall": { "type": "number", "description": "Recall is the fraction of actual positive labels that were given a positive prediction. For multiclass this is a macro-averaged metric.", "format": "double" }, "logLoss": { "description": "Logarithmic Loss. For multiclass this is a macro-averaged metric.", "type": "number", "format": "double" }, "f1Score": { "description": "The F1 score is an average of recall and precision. For multiclass this is a macro-averaged metric.", "format": "double", "type": "number" }, "accuracy": { "type": "number", "format": "double", "description": "Accuracy is the fraction of predictions given the correct label. For multiclass this is a micro-averaged metric." }, "threshold": { "format": "double", "type": "number", "description": "Threshold at which the metrics are computed. For binary classification models this is the positive class threshold. For multi-class classfication models this is the confidence threshold." }, "precision": { "type": "number", "format": "double", "description": "Precision is the fraction of actual positive predictions that had positive actual labels. For multiclass this is a macro-averaged metric treating each class as a binary classifier." } }, "type": "object" }, "TimePartitioning": { "id": "TimePartitioning", "properties": { "expirationMs": { "type": "string", "description": "[Optional] Number of milliseconds for which to keep the storage for partitions in the table. The storage in a partition will have an expiration time of its partition time plus this value.", "format": "int64" }, "requirePartitionFilter": { "type": "boolean" }, "type": { "type": "string", "description": "[Required] The supported types are DAY, HOUR, MONTH, and YEAR, which will generate one partition per day, hour, month, and year, respectively. When the type is not specified, the default behavior is DAY." }, "field": { "type": "string", "description": "[Beta] [Optional] If not set, the table is partitioned by pseudo column, referenced via either '_PARTITIONTIME' as TIMESTAMP type, or '_PARTITIONDATE' as DATE type. If field is specified, the table is instead partitioned by this field. The field must be a top-level TIMESTAMP or DATE field. Its mode must be NULLABLE or REQUIRED." } }, "type": "object" }, "ClusterInfo": { "description": "Information about a single cluster for clustering model.", "id": "ClusterInfo", "type": "object", "properties": { "clusterRadius": { "type": "number", "format": "double", "description": "Cluster radius, the average distance from centroid to each point assigned to the cluster." }, "centroidId": { "description": "Centroid id.", "format": "int64", "type": "string" }, "clusterSize": { "description": "Cluster size, the total number of points assigned to the cluster.", "type": "string", "format": "int64" } } }, "AuditConfig": { "id": "AuditConfig", "properties": { "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" } }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "Expr": { "type": "object", "id": "Expr", "properties": { "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "DmlStatistics": { "properties": { "updatedRowCount": { "description": "Number of updated Rows. Populated by DML UPDATE and MERGE statements.", "format": "int64", "type": "string" }, "deletedRowCount": { "type": "string", "description": "Number of deleted Rows. populated by DML DELETE, MERGE and TRUNCATE statements.", "format": "int64" }, "insertedRowCount": { "type": "string", "description": "Number of inserted Rows. Populated by DML INSERT and MERGE statements.", "format": "int64" } }, "id": "DmlStatistics", "type": "object" }, "LocationMetadata": { "id": "LocationMetadata", "description": "BigQuery-specific metadata about a location. This will be set on google.cloud.location.Location.metadata in Cloud Location API responses.", "properties": { "legacyLocationId": { "description": "The legacy BigQuery location ID, e.g. “EU” for the “europe” location. This is for any API consumers that need the legacy “US” and “EU” locations.", "type": "string" } }, "type": "object" }, "EncryptionConfiguration": { "id": "EncryptionConfiguration", "type": "object", "properties": { "kmsKeyName": { "type": "string", "description": "[Optional] Describes the Cloud KMS encryption key that will be used to protect destination BigQuery table. The BigQuery Service Account associated with your project requires access to this encryption key." } } }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "TrainingRun": { "properties": { "results": { "type": "array", "items": { "$ref": "IterationResult" }, "description": "Output of each iteration run, results.size() \u003c= max_iterations." }, "startTime": { "format": "google-datetime", "description": "The start time of this training run.", "type": "string" }, "dataSplitResult": { "description": "Data split result of the training run. Only set when the input data is actually split.", "$ref": "DataSplitResult" }, "modelLevelGlobalExplanation": { "$ref": "GlobalExplanation", "description": "Global explanation contains the explanation of top features on the model level. Applies to both regression and classification models." }, "evaluationMetrics": { "description": "The evaluation metrics over training/eval data that were computed at the end of training.", "$ref": "EvaluationMetrics" }, "classLevelGlobalExplanations": { "description": "Global explanation contains the explanation of top features on the class level. Applies to classification models only.", "type": "array", "items": { "$ref": "GlobalExplanation" } }, "vertexAiModelId": { "type": "string", "description": "The model id in Vertex AI Model Registry for this training run" }, "vertexAiModelVersion": { "description": "The model version in Vertex AI Model Registry for this training run", "type": "string" }, "trainingOptions": { "description": "Options that were used for this training run, includes user specified and default options that were used.", "$ref": "TrainingOptions" } }, "id": "TrainingRun", "type": "object", "description": "Information about a single training query run for the model." }, "ProjectList": { "properties": { "projects": { "type": "array", "items": { "properties": { "id": { "description": "An opaque ID of this project.", "type": "string" }, "numericId": { "format": "uint64", "type": "string", "description": "The numeric ID of this project." }, "friendlyName": { "type": "string", "description": "A descriptive name for this project." }, "kind": { "description": "The resource type.", "type": "string", "default": "bigquery#project" }, "projectReference": { "$ref": "ProjectReference", "description": "A unique reference to this project." } }, "type": "object" }, "description": "Projects to which you have at least READ access." }, "kind": { "type": "string", "default": "bigquery#projectList", "description": "The type of list." }, "nextPageToken": { "type": "string", "description": "A token to request the next page of results." }, "totalItems": { "type": "integer", "format": "int32", "description": "The total number of projects in the list." }, "etag": { "description": "A hash of the page of results", "type": "string" } }, "id": "ProjectList", "type": "object" }, "JobStatistics3": { "type": "object", "id": "JobStatistics3", "properties": { "inputFileBytes": { "format": "int64", "description": "[Output-only] Number of bytes of source data in a load job.", "type": "string" }, "outputRows": { "format": "int64", "type": "string", "description": "[Output-only] Number of rows imported in a load job. Note that while an import job is in the running state, this value may change." }, "outputBytes": { "description": "[Output-only] Size of the loaded data in bytes. Note that while a load job is in the running state, this value may change.", "type": "string", "format": "int64" }, "inputFiles": { "format": "int64", "description": "[Output-only] Number of source files in a load job.", "type": "string" }, "badRecords": { "format": "int64", "type": "string", "description": "[Output-only] The number of bad records encountered. Note that if the job has failed because of more bad records encountered than the maximum allowed in the load job configuration, then this number can be less than the total number of bad records present in the input data." } } }, "JobConfigurationLoad": { "type": "object", "id": "JobConfigurationLoad", "properties": { "allowQuotedNewlines": { "description": "Indicates if BigQuery should allow quoted data sections that contain newline characters in a CSV file. The default value is false.", "type": "boolean" }, "destinationTableProperties": { "description": "[Beta] [Optional] Properties with which to create the destination table if it is new.", "$ref": "DestinationTableProperties" }, "schemaUpdateOptions": { "description": "Allows the schema of the destination table to be updated as a side effect of the load job if a schema is autodetected or supplied in the job configuration. Schema update options are supported in two cases: when writeDisposition is WRITE_APPEND; when writeDisposition is WRITE_TRUNCATE and the destination table is a partition of a table, specified by partition decorators. For normal tables, WRITE_TRUNCATE will always overwrite the schema. One or more of the following values are specified: ALLOW_FIELD_ADDITION: allow adding a nullable field to the schema. ALLOW_FIELD_RELAXATION: allow relaxing a required field in the original schema to nullable.", "items": { "type": "string" }, "type": "array" }, "parquetOptions": { "description": "[Optional] Options to configure parquet support.", "$ref": "ParquetOptions" }, "useAvroLogicalTypes": { "type": "boolean", "description": "[Optional] If sourceFormat is set to \"AVRO\", indicates whether to interpret logical types as the corresponding BigQuery data type (for example, TIMESTAMP), instead of using the raw type (for example, INTEGER)." }, "writeDisposition": { "type": "string", "description": "[Optional] Specifies the action that occurs if the destination table already exists. The following values are supported: WRITE_TRUNCATE: If the table already exists, BigQuery overwrites the table data. WRITE_APPEND: If the table already exists, BigQuery appends the data to the table. WRITE_EMPTY: If the table already exists and contains data, a 'duplicate' error is returned in the job result. The default value is WRITE_APPEND. Each action is atomic and only occurs if BigQuery is able to complete the job successfully. Creation, truncation and append actions occur as one atomic update upon job completion." }, "createDisposition": { "type": "string", "description": "[Optional] Specifies whether the job is allowed to create new tables. The following values are supported: CREATE_IF_NEEDED: If the table does not exist, BigQuery creates the table. CREATE_NEVER: The table must already exist. If it does not, a 'notFound' error is returned in the job result. The default value is CREATE_IF_NEEDED. Creation, truncation and append actions occur as one atomic update upon job completion." }, "schemaInlineFormat": { "description": "[Deprecated] The format of the schemaInline property.", "type": "string" }, "nullMarker": { "type": "string", "description": "[Optional] Specifies a string that represents a null value in a CSV file. For example, if you specify \"\\N\", BigQuery interprets \"\\N\" as a null value when loading a CSV file. The default value is the empty string. If you set this property to a custom value, BigQuery throws an error if an empty string is present for all data types except for STRING and BYTE. For STRING and BYTE columns, BigQuery interprets the empty string as an empty value." }, "allowJaggedRows": { "type": "boolean", "description": "[Optional] Accept rows that are missing trailing optional columns. The missing values are treated as nulls. If false, records with missing trailing columns are treated as bad records, and if there are too many bad records, an invalid error is returned in the job result. The default value is false. Only applicable to CSV, ignored for other formats." }, "rangePartitioning": { "description": "[TrustedTester] Range partitioning specification for this table. Only one of timePartitioning and rangePartitioning should be specified.", "$ref": "RangePartitioning" }, "fieldDelimiter": { "type": "string", "description": "[Optional] The separator for fields in a CSV file. The separator can be any ISO-8859-1 single-byte character. To use a character in the range 128-255, you must encode the character as UTF8. BigQuery converts the string to ISO-8859-1 encoding, and then uses the first byte of the encoded string to split the data in its raw, binary state. BigQuery also supports the escape sequence \"\\t\" to specify a tab separator. The default value is a comma (',')." }, "jsonExtension": { "description": "[Optional] If sourceFormat is set to newline-delimited JSON, indicates whether it should be processed as a JSON variant such as GeoJSON. For a sourceFormat other than JSON, omit this field. If the sourceFormat is newline-delimited JSON: - for newline-delimited GeoJSON: set to GEOJSON.", "type": "string" }, "timePartitioning": { "$ref": "TimePartitioning", "description": "Time-based partitioning specification for the destination table. Only one of timePartitioning and rangePartitioning should be specified." }, "hivePartitioningOptions": { "description": "[Optional] Options to configure hive partitioning support.", "$ref": "HivePartitioningOptions" }, "ignoreUnknownValues": { "type": "boolean", "description": "[Optional] Indicates if BigQuery should allow extra values that are not represented in the table schema. If true, the extra values are ignored. If false, records with extra columns are treated as bad records, and if there are too many bad records, an invalid error is returned in the job result. The default value is false. The sourceFormat property determines what BigQuery treats as an extra value: CSV: Trailing columns JSON: Named values that don't match any column names" }, "quote": { "type": "string", "description": "[Optional] The value that is used to quote data sections in a CSV file. BigQuery converts the string to ISO-8859-1 encoding, and then uses the first byte of the encoded string to split the data in its raw, binary state. The default value is a double-quote ('\"'). If your data does not contain quoted sections, set the property value to an empty string. If your data contains quoted newline characters, you must also set the allowQuotedNewlines property to true.", "default": "\"", "pattern": ".?" }, "preserveAsciiControlCharacters": { "type": "boolean", "description": "[Optional] Preserves the embedded ASCII control characters (the first 32 characters in the ASCII-table, from '\\x00' to '\\x1F') when loading from CSV. Only applicable to CSV, ignored for other formats." }, "sourceFormat": { "type": "string", "description": "[Optional] The format of the data files. For CSV files, specify \"CSV\". For datastore backups, specify \"DATASTORE_BACKUP\". For newline-delimited JSON, specify \"NEWLINE_DELIMITED_JSON\". For Avro, specify \"AVRO\". For parquet, specify \"PARQUET\". For orc, specify \"ORC\". The default value is CSV." }, "destinationTable": { "$ref": "TableReference", "description": "[Required] The destination table to load the data into." }, "encoding": { "description": "[Optional] The character encoding of the data. The supported values are UTF-8 or ISO-8859-1. The default value is UTF-8. BigQuery decodes the data after the raw, binary data has been split using the values of the quote and fieldDelimiter properties.", "type": "string" }, "clustering": { "description": "[Beta] Clustering specification for the destination table. Must be specified with time-based partitioning, data in the table will be first partitioned and subsequently clustered.", "$ref": "Clustering" }, "projectionFields": { "items": { "type": "string" }, "type": "array", "description": "If sourceFormat is set to \"DATASTORE_BACKUP\", indicates which entity properties to load into BigQuery from a Cloud Datastore backup. Property names are case sensitive and must be top-level properties. If no properties are specified, BigQuery loads all properties. If any named property isn't found in the Cloud Datastore backup, an invalid error is returned in the job result." }, "decimalTargetTypes": { "description": "[Optional] Defines the list of possible SQL data types to which the source decimal values are converted. This list and the precision and the scale parameters of the decimal field determine the target type. In the order of NUMERIC, BIGNUMERIC, and STRING, a type is picked if it is in the specified list and if it supports the precision and the scale. STRING supports all precision and scale values. If none of the listed types supports the precision and the scale, the type supporting the widest range in the specified list is picked, and if a value exceeds the supported range when reading the data, an error will be thrown. Example: Suppose the value of this field is [\"NUMERIC\", \"BIGNUMERIC\"]. If (precision,scale) is: (38,9) -\u003e NUMERIC; (39,9) -\u003e BIGNUMERIC (NUMERIC cannot hold 30 integer digits); (38,10) -\u003e BIGNUMERIC (NUMERIC cannot hold 10 fractional digits); (76,38) -\u003e BIGNUMERIC; (77,38) -\u003e BIGNUMERIC (error if value exeeds supported range). This field cannot contain duplicate types. The order of the types in this field is ignored. For example, [\"BIGNUMERIC\", \"NUMERIC\"] is the same as [\"NUMERIC\", \"BIGNUMERIC\"] and NUMERIC always takes precedence over BIGNUMERIC. Defaults to [\"NUMERIC\", \"STRING\"] for ORC and [\"NUMERIC\"] for the other file formats.", "type": "array", "items": { "type": "string" } }, "sourceUris": { "description": "[Required] The fully-qualified URIs that point to your data in Google Cloud. For Google Cloud Storage URIs: Each URI can contain one '*' wildcard character and it must come after the 'bucket' name. Size limits related to load jobs apply to external data sources. For Google Cloud Bigtable URIs: Exactly one URI can be specified and it has be a fully specified and valid HTTPS URL for a Google Cloud Bigtable table. For Google Cloud Datastore backups: Exactly one URI can be specified. Also, the '*' wildcard character is not allowed.", "type": "array", "items": { "type": "string" } }, "schema": { "description": "[Optional] The schema for the destination table. The schema can be omitted if the destination table already exists, or if you're loading data from Google Cloud Datastore.", "$ref": "TableSchema" }, "skipLeadingRows": { "description": "[Optional] The number of rows at the top of a CSV file that BigQuery will skip when loading the data. The default value is 0. This property is useful if you have header rows in the file that should be skipped.", "format": "int32", "type": "integer" }, "schemaInline": { "description": "[Deprecated] The inline schema. For CSV schemas, specify as \"Field1:Type1[,Field2:Type2]*\". For example, \"foo:STRING, bar:INTEGER, baz:FLOAT\".", "type": "string" }, "destinationEncryptionConfiguration": { "description": "Custom encryption configuration (e.g., Cloud KMS keys).", "$ref": "EncryptionConfiguration" }, "autodetect": { "type": "boolean", "description": "[Optional] Indicates if we should automatically infer the options and schema for CSV and JSON sources." }, "maxBadRecords": { "type": "integer", "format": "int32", "description": "[Optional] The maximum number of bad records that BigQuery can ignore when running the job. If the number of bad records exceeds this value, an invalid error is returned in the job result. This is only valid for CSV and JSON. The default value is 0, which requires that all records are valid." } } }, "ModelDefinition": { "properties": { "trainingRuns": { "description": "[Output-only, Beta] Information about ml training runs, each training run comprises of multiple iterations and there may be multiple training runs for the model if warm start is used or if a user decides to continue a previously cancelled query.", "items": { "$ref": "BqmlTrainingRun" }, "type": "array" }, "modelOptions": { "type": "object", "description": "[Output-only, Beta] Model options used for the first training run. These options are immutable for subsequent training runs. Default values are used for any options not specified in the input query.", "properties": { "lossType": { "type": "string" }, "modelType": { "type": "string" }, "labels": { "type": "array", "items": { "type": "string" } } } } }, "id": "ModelDefinition", "type": "object" }, "ConnectionProperty": { "type": "object", "id": "ConnectionProperty", "properties": { "value": { "description": "[Required] Value of the connection property.", "type": "string" }, "key": { "description": "[Required] Name of the connection property to set.", "type": "string" } } }, "MaterializedViewDefinition": { "type": "object", "properties": { "enableRefresh": { "description": "[Optional] [TrustedTester] Enable automatic refresh of the materialized view when the base table is updated. The default value is \"true\".", "type": "boolean" }, "refreshIntervalMs": { "type": "string", "format": "int64", "description": "[Optional] [TrustedTester] The maximum frequency at which this materialized view will be refreshed. The default value is \"1800000\" (30 minutes)." }, "maxStaleness": { "type": "string", "format": "byte", "description": "[Optional] Max staleness of data that could be returned when materizlized view is queried (formatted as Google SQL Interval type)." }, "query": { "type": "string", "description": "[Required] A query whose result is persisted." }, "lastRefreshTime": { "format": "int64", "type": "string", "description": "[Output-only] [TrustedTester] The time when this materialized view was last modified, in milliseconds since the epoch." } }, "id": "MaterializedViewDefinition" }, "ConfusionMatrix": { "type": "object", "description": "Confusion matrix for multi-class classification models.", "id": "ConfusionMatrix", "properties": { "rows": { "type": "array", "description": "One row per actual label.", "items": { "$ref": "Row" } }, "confidenceThreshold": { "format": "double", "type": "number", "description": "Confidence threshold used when computing the entries of the confusion matrix." } } }, "QueryRequest": { "id": "QueryRequest", "type": "object", "properties": { "queryParameters": { "items": { "$ref": "QueryParameter" }, "description": "Query parameters for Standard SQL queries.", "type": "array" }, "dryRun": { "type": "boolean", "description": "[Optional] If set to true, BigQuery doesn't run the job. Instead, if the query is valid, BigQuery returns statistics about the job such as how many bytes would be processed. If the query is invalid, an error returns. The default value is false." }, "connectionProperties": { "type": "array", "items": { "$ref": "ConnectionProperty" }, "description": "Connection properties." }, "maximumBytesBilled": { "format": "int64", "description": "[Optional] Limits the bytes billed for this job. Queries that will have bytes billed beyond this limit will fail (without incurring a charge). If unspecified, this will be set to your project default.", "type": "string" }, "preserveNulls": { "type": "boolean", "description": "[Deprecated] This property is deprecated." }, "query": { "type": "string", "annotations": { "required": [ "bigquery.jobs.query" ] }, "description": "[Required] A query string, following the BigQuery query syntax, of the query to execute. Example: \"SELECT count(f1) FROM [myProjectId:myDatasetId.myTableId]\"." }, "useLegacySql": { "default": "true", "description": "Specifies whether to use BigQuery's legacy SQL dialect for this query. The default value is true. If set to false, the query will use BigQuery's standard SQL: https://cloud.google.com/bigquery/sql-reference/ When useLegacySql is set to false, the value of flattenResults is ignored; query will be run as if flattenResults is false.", "type": "boolean" }, "kind": { "default": "bigquery#queryRequest", "type": "string", "description": "The resource type of the request." }, "requestId": { "type": "string", "description": "A unique user provided identifier to ensure idempotent behavior for queries. Note that this is different from the job_id. It has the following properties: 1. It is case-sensitive, limited to up to 36 ASCII characters. A UUID is recommended. 2. Read only queries can ignore this token since they are nullipotent by definition. 3. For the purposes of idempotency ensured by the request_id, a request is considered duplicate of another only if they have the same request_id and are actually duplicates. When determining whether a request is a duplicate of the previous request, all parameters in the request that may affect the behavior are considered. For example, query, connection_properties, query_parameters, use_legacy_sql are parameters that affect the result and are considered when determining whether a request is a duplicate, but properties like timeout_ms don't affect the result and are thus not considered. Dry run query requests are never considered duplicate of another request. 4. When a duplicate mutating query request is detected, it returns: a. the results of the mutation if it completes successfully within the timeout. b. the running operation if it is still in progress at the end of the timeout. 5. Its lifetime is limited to 15 minutes. In other words, if two requests are sent with the same request_id, but more than 15 minutes apart, idempotency is not guaranteed." }, "defaultDataset": { "$ref": "DatasetReference", "description": "[Optional] Specifies the default datasetId and projectId to assume for any unqualified table names in the query. If not set, all table names in the query string must be qualified in the format 'datasetId.tableId'." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The labels associated with this job. You can use these to organize and group your jobs. Label keys and values can be no longer than 63 characters, can only contain lowercase letters, numeric characters, underscores and dashes. International characters are allowed. Label values are optional. Label keys must start with a letter and each label in the list must have a different key." }, "createSession": { "type": "boolean", "description": "If true, creates a new session, where session id will be a server generated random id. If false, runs query with an existing session_id passed in ConnectionProperty, otherwise runs query in non-session mode." }, "maxResults": { "format": "uint32", "description": "[Optional] The maximum number of rows of data to return per page of results. Setting this flag to a small value such as 1000 and then paging through results might improve reliability when the query result set is large. In addition to this limit, responses are also limited to 10 MB. By default, there is no maximum row count, and only the byte limit applies.", "type": "integer" }, "timeoutMs": { "description": "[Optional] How long to wait for the query to complete, in milliseconds, before the request times out and returns. Note that this is only a timeout for the request, not the query. If the query takes longer to run than the timeout value, the call returns without any results and with the 'jobComplete' flag set to false. You can call GetQueryResults() to wait for the query to complete and read the results. The default value is 10000 milliseconds (10 seconds).", "format": "uint32", "type": "integer" }, "parameterMode": { "type": "string", "description": "Standard SQL only. Set to POSITIONAL to use positional (?) query parameters or to NAMED to use named (@myparam) query parameters in this query." }, "location": { "description": "The geographic location where the job should run. See details at https://cloud.google.com/bigquery/docs/locations#specifying_your_location.", "type": "string" }, "useQueryCache": { "default": "true", "type": "boolean", "description": "[Optional] Whether to look for the result in the query cache. The query cache is a best-effort cache that will be flushed whenever tables in the query are modified. The default value is true." } } }, "RoutineReference": { "id": "RoutineReference", "type": "object", "properties": { "projectId": { "description": "[Required] The ID of the project containing this routine.", "type": "string" }, "routineId": { "description": "[Required] The ID of the routine. The ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_). The maximum length is 256 characters.", "type": "string" }, "datasetId": { "type": "string", "description": "[Required] The ID of the dataset containing this routine." } } }, "BigQueryModelTraining": { "properties": { "expectedTotalIterations": { "type": "string", "description": "[Output-only, Beta] Expected number of iterations for the create model query job specified as num_iterations in the input query. The actual total number of iterations may be less than this number due to early stop.", "format": "int64" }, "currentIteration": { "type": "integer", "format": "int32", "description": "[Output-only, Beta] Index of current ML training iteration. Updated during create model query job to show job progress." } }, "id": "BigQueryModelTraining", "type": "object" }, "Row": { "id": "Row", "properties": { "entries": { "items": { "$ref": "Entry" }, "description": "Info describing predicted label distribution.", "type": "array" }, "actualLabel": { "type": "string", "description": "The original label of this row." } }, "description": "A single row in the confusion matrix.", "type": "object" }, "DoubleCandidates": { "description": "Discrete candidates of a double hyperparameter.", "type": "object", "id": "DoubleCandidates", "properties": { "candidates": { "items": { "format": "double", "type": "number" }, "type": "array", "description": "Candidates for the double parameter in increasing order." } } }, "CsvOptions": { "id": "CsvOptions", "type": "object", "properties": { "null_marker": { "type": "string", "description": "[Optional] An custom string that will represent a NULL value in CSV import data." }, "fieldDelimiter": { "description": "[Optional] The separator for fields in a CSV file. BigQuery converts the string to ISO-8859-1 encoding, and then uses the first byte of the encoded string to split the data in its raw, binary state. BigQuery also supports the escape sequence \"\\t\" to specify a tab separator. The default value is a comma (',').", "type": "string" }, "quote": { "type": "string", "pattern": ".?", "default": "\"", "description": "[Optional] The value that is used to quote data sections in a CSV file. BigQuery converts the string to ISO-8859-1 encoding, and then uses the first byte of the encoded string to split the data in its raw, binary state. The default value is a double-quote ('\"'). If your data does not contain quoted sections, set the property value to an empty string. If your data contains quoted newline characters, you must also set the allowQuotedNewlines property to true." }, "encoding": { "type": "string", "description": "[Optional] The character encoding of the data. The supported values are UTF-8 or ISO-8859-1. The default value is UTF-8. BigQuery decodes the data after the raw, binary data has been split using the values of the quote and fieldDelimiter properties." }, "allowQuotedNewlines": { "type": "boolean", "description": "[Optional] Indicates if BigQuery should allow quoted data sections that contain newline characters in a CSV file. The default value is false." }, "allowJaggedRows": { "description": "[Optional] Indicates if BigQuery should accept rows that are missing trailing optional columns. If true, BigQuery treats missing trailing columns as null values. If false, records with missing trailing columns are treated as bad records, and if there are too many bad records, an invalid error is returned in the job result. The default value is false.", "type": "boolean" }, "skipLeadingRows": { "description": "[Optional] The number of rows at the top of a CSV file that BigQuery will skip when reading the data. The default value is 0. This property is useful if you have header rows in the file that should be skipped. When autodetect is on, the behavior is the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh skipLeadingRows unspecified - Autodetect tries to detect headers in the first row. If they are not detected, the row is read as data. Otherwise data is read starting from the second row. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh skipLeadingRows is 0 - Instructs autodetect that there are no headers and data should be read starting from the first row. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh skipLeadingRows = N \u003e 0 - Autodetect skips N-1 rows and tries to detect headers in row N. If headers are not detected, row N is just skipped. Otherwise row N is used to extract column names for the detected schema.", "type": "string", "format": "int64" } } }, "ViewDefinition": { "type": "object", "id": "ViewDefinition", "properties": { "useLegacySql": { "type": "boolean", "description": "Specifies whether to use BigQuery's legacy SQL for this view. The default value is true. If set to false, the view will use BigQuery's standard SQL: https://cloud.google.com/bigquery/sql-reference/ Queries and views that reference this view must use the same flag value." }, "userDefinedFunctionResources": { "type": "array", "items": { "$ref": "UserDefinedFunctionResource" }, "description": "Describes user-defined function resources used in the query." }, "useExplicitColumnNames": { "description": "True if the column names are explicitly specified. For example by using the 'CREATE VIEW v(c1, c2) AS ...' syntax. Can only be set using BigQuery's standard SQL: https://cloud.google.com/bigquery/sql-reference/", "type": "boolean" }, "query": { "description": "[Required] A query that BigQuery executes when the view is referenced.", "type": "string" } } }, "TrainingOptions": { "description": "Options used in model training.", "properties": { "nonSeasonalOrder": { "$ref": "ArimaOrder", "description": "A specification of the non-seasonal part of the ARIMA model: the three components (p, d, q) are the AR order, the degree of differencing, and the MA order." }, "kmeansInitializationColumn": { "type": "string", "description": "The column used to provide the initial centroids for kmeans algorithm when kmeans_initialization_method is CUSTOM." }, "maxTreeDepth": { "description": "Maximum depth of a tree for boosted tree models.", "type": "string", "format": "int64" }, "walsAlpha": { "format": "double", "type": "number", "description": "Hyperparameter for matrix factoration when implicit feedback type is specified." }, "dataFrequency": { "description": "The data frequency of a time series.", "enum": [ "DATA_FREQUENCY_UNSPECIFIED", "AUTO_FREQUENCY", "YEARLY", "QUARTERLY", "MONTHLY", "WEEKLY", "DAILY", "HOURLY", "PER_MINUTE" ], "enumDescriptions": [ "", "Automatically inferred from timestamps.", "Yearly data.", "Quarterly data.", "Monthly data.", "Weekly data.", "Daily data.", "Hourly data.", "Per-minute data." ], "type": "string" }, "userColumn": { "description": "User column specified for matrix factorization models.", "type": "string" }, "learnRate": { "type": "number", "description": "Learning rate in training. Used only for iterative training algorithms.", "format": "double" }, "initialLearnRate": { "description": "Specifies the initial learning rate for the line search learn rate strategy.", "format": "double", "type": "number" }, "labelClassWeights": { "description": "Weights associated with each label class, for rebalancing the training data. Only applicable for classification models.", "additionalProperties": { "type": "number", "format": "double" }, "type": "object" }, "feedbackType": { "enumDescriptions": [ "", "Use weighted-als for implicit feedback problems.", "Use nonweighted-als for explicit feedback problems." ], "description": "Feedback type that specifies which algorithm to run for matrix factorization.", "type": "string", "enum": [ "FEEDBACK_TYPE_UNSPECIFIED", "IMPLICIT", "EXPLICIT" ] }, "enableGlobalExplain": { "type": "boolean", "description": "If true, enable global explanation during training." }, "numClusters": { "description": "Number of clusters for clustering models.", "format": "int64", "type": "string" }, "colsampleBynode": { "format": "double", "description": "Subsample ratio of columns for each node(split) for boosted tree models.", "type": "number" }, "maxParallelTrials": { "description": "Maximum number of trials to run in parallel.", "type": "string", "format": "int64" }, "hparamTuningObjectives": { "description": "The target evaluation metrics to optimize the hyperparameters for.", "type": "array", "items": { "enum": [ "HPARAM_TUNING_OBJECTIVE_UNSPECIFIED", "MEAN_ABSOLUTE_ERROR", "MEAN_SQUARED_ERROR", "MEAN_SQUARED_LOG_ERROR", "MEDIAN_ABSOLUTE_ERROR", "R_SQUARED", "EXPLAINED_VARIANCE", "PRECISION", "RECALL", "ACCURACY", "F1_SCORE", "LOG_LOSS", "ROC_AUC", "DAVIES_BOULDIN_INDEX", "MEAN_AVERAGE_PRECISION", "NORMALIZED_DISCOUNTED_CUMULATIVE_GAIN", "AVERAGE_RANK" ], "type": "string", "enumDescriptions": [ "Unspecified evaluation metric.", "Mean absolute error. mean_absolute_error = AVG(ABS(label - predicted))", "Mean squared error. mean_squared_error = AVG(POW(label - predicted, 2))", "Mean squared log error. mean_squared_log_error = AVG(POW(LN(1 + label) - LN(1 + predicted), 2))", "Mean absolute error. median_absolute_error = APPROX_QUANTILES(absolute_error, 2)[OFFSET(1)]", "R^2 score. This corresponds to r2_score in ML.EVALUATE. r_squared = 1 - SUM(squared_error)/(COUNT(label)*VAR_POP(label))", "Explained variance. explained_variance = 1 - VAR_POP(label_error)/VAR_POP(label)", "Precision is the fraction of actual positive predictions that had positive actual labels. For multiclass this is a macro-averaged metric treating each class as a binary classifier.", "Recall is the fraction of actual positive labels that were given a positive prediction. For multiclass this is a macro-averaged metric.", "Accuracy is the fraction of predictions given the correct label. For multiclass this is a globally micro-averaged metric.", "The F1 score is an average of recall and precision. For multiclass this is a macro-averaged metric.", "Logorithmic Loss. For multiclass this is a macro-averaged metric.", "Area Under an ROC Curve. For multiclass this is a macro-averaged metric.", "Davies-Bouldin Index.", "Mean Average Precision.", "Normalized Discounted Cumulative Gain.", "Average Rank." ] } }, "includeDrift": { "type": "boolean", "description": "Include drift when fitting an ARIMA model." }, "trendSmoothingWindowSize": { "type": "string", "format": "int64", "description": "The smoothing window size for the trend component of the time series." }, "autoArima": { "type": "boolean", "description": "Whether to enable auto ARIMA or not." }, "l2Regularization": { "type": "number", "description": "L2 regularization coefficient.", "format": "double" }, "timeSeriesIdColumn": { "description": "The time series id column that was used during ARIMA model training.", "type": "string" }, "preserveInputStructs": { "type": "boolean", "description": "Whether to preserve the input structs in output feature names. Suppose there is a struct A with field b. When false (default), the output feature name is A_b. When true, the output feature name is A.b." }, "dataSplitEvalFraction": { "type": "number", "format": "double", "description": "The fraction of evaluation data over the whole input data. The rest of data will be used as training data. The format should be double. Accurate to two decimal places. Default value is 0.2." }, "numParallelTree": { "format": "int64", "description": "Number of parallel trees constructed during each iteration for boosted tree models.", "type": "string" }, "warmStart": { "description": "Whether to train a model from the last checkpoint.", "type": "boolean" }, "timeSeriesDataColumn": { "description": "Column to be designated as time series data for ARIMA model.", "type": "string" }, "batchSize": { "type": "string", "format": "int64", "description": "Batch size for dnn models." }, "maxIterations": { "format": "int64", "description": "The maximum number of iterations in training. Used only for iterative training algorithms.", "type": "string" }, "itemColumn": { "description": "Item column specified for matrix factorization models.", "type": "string" }, "cleanSpikesAndDips": { "type": "boolean", "description": "If true, clean spikes and dips in the input time series." }, "timeSeriesIdColumns": { "description": "The time series id columns that were used during ARIMA model training.", "type": "array", "items": { "type": "string" } }, "kmeansInitializationMethod": { "enumDescriptions": [ "Unspecified initialization method.", "Initializes the centroids randomly.", "Initializes the centroids using data specified in kmeans_initialization_column.", "Initializes with kmeans++." ], "enum": [ "KMEANS_INITIALIZATION_METHOD_UNSPECIFIED", "RANDOM", "CUSTOM", "KMEANS_PLUS_PLUS" ], "type": "string", "description": "The method used to initialize the centroids for kmeans algorithm." }, "l1Regularization": { "description": "L1 regularization coefficient.", "type": "number", "format": "double" }, "dartNormalizeType": { "enum": [ "DART_NORMALIZE_TYPE_UNSPECIFIED", "TREE", "FOREST" ], "type": "string", "description": "Type of normalization algorithm for boosted tree models using dart booster.", "enumDescriptions": [ "Unspecified dart normalize type.", "New trees have the same weight of each of dropped trees.", "New trees have the same weight of sum of dropped trees." ] }, "numFactors": { "format": "int64", "type": "string", "description": "Num factors specified for matrix factorization models." }, "modelUri": { "description": "Google Cloud Storage URI from which the model was imported. Only applicable for imported models.", "type": "string" }, "minRelativeProgress": { "type": "number", "format": "double", "description": "When early_stop is true, stops training when accuracy improvement is less than 'min_relative_progress'. Used only for iterative training algorithms." }, "subsample": { "type": "number", "description": "Subsample fraction of the training data to grow tree to prevent overfitting for boosted tree models.", "format": "double" }, "horizon": { "type": "string", "format": "int64", "description": "The number of periods ahead that need to be forecasted." }, "decomposeTimeSeries": { "type": "boolean", "description": "If true, perform decompose time series and save the results." }, "distanceType": { "enum": [ "DISTANCE_TYPE_UNSPECIFIED", "EUCLIDEAN", "COSINE" ], "type": "string", "description": "Distance type for clustering models.", "enumDescriptions": [ "", "Eculidean distance.", "Cosine distance." ] }, "minTimeSeriesLength": { "description": "Set fast trend ARIMA_PLUS model minimum training length. Use in pair with time_series_length_fraction.", "format": "int64", "type": "string" }, "boosterType": { "type": "string", "enum": [ "BOOSTER_TYPE_UNSPECIFIED", "GBTREE", "DART" ], "enumDescriptions": [ "Unspecified booster type.", "Gbtree booster.", "Dart booster." ], "description": "Booster type for boosted tree models." }, "minTreeChildWeight": { "format": "int64", "type": "string", "description": "Minimum sum of instance weight needed in a child for boosted tree models." }, "sampledShapleyNumPaths": { "format": "int64", "description": "Number of paths for the sampled shapley explain method.", "type": "string" }, "autoArimaMaxOrder": { "format": "int64", "description": "The max value of non-seasonal p and q.", "type": "string" }, "inputLabelColumns": { "type": "array", "description": "Name of input label columns in training data.", "items": { "type": "string" } }, "treeMethod": { "description": "Tree construction algorithm for boosted tree models.", "type": "string", "enumDescriptions": [ "Unspecified tree method.", "Use heuristic to choose the fastest method.", "Exact greedy algorithm.", "Approximate greedy algorithm using quantile sketch and gradient histogram.", "Fast histogram optimized approximate greedy algorithm." ], "enum": [ "TREE_METHOD_UNSPECIFIED", "AUTO", "EXACT", "APPROX", "HIST" ] }, "maxTimeSeriesLength": { "format": "int64", "description": "Get truncated length by last n points in time series. Use separately from time_series_length_fraction and min_time_series_length.", "type": "string" }, "colsampleBytree": { "type": "number", "description": "Subsample ratio of columns when constructing each tree for boosted tree models.", "format": "double" }, "colsampleBylevel": { "description": "Subsample ratio of columns for each level for boosted tree models.", "format": "double", "type": "number" }, "dataSplitColumn": { "type": "string", "description": "The column to split data with. This column won't be used as a feature. 1. When data_split_method is CUSTOM, the corresponding column should be boolean. The rows with true value tag are eval data, and the false are training data. 2. When data_split_method is SEQ, the first DATA_SPLIT_EVAL_FRACTION rows (from smallest to largest) in the corresponding column are used as training data, and the rest are eval data. It respects the order in Orderable data types: https://cloud.google.com/bigquery/docs/reference/standard-sql/data-types#data-type-properties" }, "minSplitLoss": { "type": "number", "description": "Minimum split loss for boosted tree models.", "format": "double" }, "earlyStop": { "description": "Whether to stop early when the loss doesn't improve significantly any more (compared to min_relative_progress). Used only for iterative training algorithms.", "type": "boolean" }, "learnRateStrategy": { "enum": [ "LEARN_RATE_STRATEGY_UNSPECIFIED", "LINE_SEARCH", "CONSTANT" ], "type": "string", "description": "The strategy to determine learn rate for the current iteration.", "enumDescriptions": [ "", "Use line search to determine learning rate.", "Use a constant learning rate." ] }, "integratedGradientsNumSteps": { "type": "string", "description": "Number of integral steps for the integrated gradients explain method.", "format": "int64" }, "numTrials": { "type": "string", "description": "Number of trials to run this hyperparameter tuning job.", "format": "int64" }, "timeSeriesLengthFraction": { "type": "number", "format": "double", "description": "Get truncated length by fraction in time series." }, "lossType": { "enumDescriptions": [ "", "Mean squared loss, used for linear regression.", "Mean log loss, used for logistic regression." ], "enum": [ "LOSS_TYPE_UNSPECIFIED", "MEAN_SQUARED_LOSS", "MEAN_LOG_LOSS" ], "type": "string", "description": "Type of loss function used during training run." }, "holidayRegion": { "description": "The geographical region based on which the holidays are considered in time series modeling. If a valid value is specified, then holiday effects modeling is enabled.", "enumDescriptions": [ "Holiday region unspecified.", "Global.", "North America.", "Japan and Asia Pacific: Korea, Greater China, India, Australia, and New Zealand.", "Europe, the Middle East and Africa.", "Latin America and the Caribbean.", "United Arab Emirates", "Argentina", "Austria", "Australia", "Belgium", "Brazil", "Canada", "Switzerland", "Chile", "China", "Colombia", "Czechoslovakia", "Czech Republic", "Germany", "Denmark", "Algeria", "Ecuador", "Estonia", "Egypt", "Spain", "Finland", "France", "Great Britain (United Kingdom)", "Greece", "Hong Kong", "Hungary", "Indonesia", "Ireland", "Israel", "India", "Iran", "Italy", "Japan", "Korea (South)", "Latvia", "Morocco", "Mexico", "Malaysia", "Nigeria", "Netherlands", "Norway", "New Zealand", "Peru", "Philippines", "Pakistan", "Poland", "Portugal", "Romania", "Serbia", "Russian Federation", "Saudi Arabia", "Sweden", "Singapore", "Slovenia", "Slovakia", "Thailand", "Turkey", "Taiwan", "Ukraine", "United States", "Venezuela", "Viet Nam", "South Africa" ], "enum": [ "HOLIDAY_REGION_UNSPECIFIED", "GLOBAL", "NA", "JAPAC", "EMEA", "LAC", "AE", "AR", "AT", "AU", "BE", "BR", "CA", "CH", "CL", "CN", "CO", "CS", "CZ", "DE", "DK", "DZ", "EC", "EE", "EG", "ES", "FI", "FR", "GB", "GR", "HK", "HU", "ID", "IE", "IL", "IN", "IR", "IT", "JP", "KR", "LV", "MA", "MX", "MY", "NG", "NL", "NO", "NZ", "PE", "PH", "PK", "PL", "PT", "RO", "RS", "RU", "SA", "SE", "SG", "SI", "SK", "TH", "TR", "TW", "UA", "US", "VE", "VN", "ZA" ], "type": "string" }, "dropout": { "description": "Dropout probability for dnn models.", "type": "number", "format": "double" }, "optimizationStrategy": { "type": "string", "enum": [ "OPTIMIZATION_STRATEGY_UNSPECIFIED", "BATCH_GRADIENT_DESCENT", "NORMAL_EQUATION" ], "enumDescriptions": [ "", "Uses an iterative batch gradient descent algorithm.", "Uses a normal equation to solve linear regression problem." ], "description": "Optimization strategy for training linear regression models." }, "calculatePValues": { "type": "boolean", "description": "Whether or not p-value test should be computed for this model. Only available for linear and logistic regression models." }, "adjustStepChanges": { "description": "If true, detect step changes and make data adjustment in the input time series.", "type": "boolean" }, "hiddenUnits": { "type": "array", "description": "Hidden units for dnn models.", "items": { "format": "int64", "type": "string" } }, "dataSplitMethod": { "type": "string", "description": "The data split type for training and evaluation, e.g. RANDOM.", "enumDescriptions": [ "", "Splits data randomly.", "Splits data with the user provided tags.", "Splits data sequentially.", "Data split will be skipped.", "Splits data automatically: Uses NO_SPLIT if the data size is small. Otherwise uses RANDOM." ], "enum": [ "DATA_SPLIT_METHOD_UNSPECIFIED", "RANDOM", "CUSTOM", "SEQUENTIAL", "NO_SPLIT", "AUTO_SPLIT" ] }, "timeSeriesTimestampColumn": { "type": "string", "description": "Column to be designated as time series timestamp for ARIMA model." } }, "id": "TrainingOptions", "type": "object" }, "QueryResponse": { "properties": { "totalRows": { "description": "The total number of rows in the complete query result set, which can be more than the number of rows in this single page of results.", "format": "uint64", "type": "string" }, "sessionInfo": { "description": "[Output-only] [Preview] Information of the session if this job is part of one.", "$ref": "SessionInfo" }, "jobReference": { "description": "Reference to the Job that was created to run the query. This field will be present even if the original request timed out, in which case GetQueryResults can be used to read the results once the query has completed. Since this API only returns the first page of results, subsequent pages can be fetched via the same mechanism (GetQueryResults).", "$ref": "JobReference" }, "schema": { "$ref": "TableSchema", "description": "The schema of the results. Present only when the query completes successfully." }, "totalBytesProcessed": { "description": "The total number of bytes processed for this query. If this query was a dry run, this is the number of bytes that would be processed if the query were run.", "format": "int64", "type": "string" }, "errors": { "type": "array", "items": { "$ref": "ErrorProto" }, "description": "[Output-only] The first errors or warnings encountered during the running of the job. The final message includes the number of errors that caused the process to stop. Errors here do not necessarily mean that the job has completed or was unsuccessful." }, "kind": { "type": "string", "default": "bigquery#queryResponse", "description": "The resource type." }, "dmlStats": { "description": "[Output-only] Detailed statistics for DML statements Present only for DML statements INSERT, UPDATE, DELETE or TRUNCATE.", "$ref": "DmlStatistics" }, "cacheHit": { "type": "boolean", "description": "Whether the query result was fetched from the query cache." }, "jobComplete": { "description": "Whether the query has completed or not. If rows or totalRows are present, this will always be true. If this is false, totalRows will not be available.", "type": "boolean" }, "pageToken": { "description": "A token used for paging results.", "type": "string" }, "numDmlAffectedRows": { "description": "[Output-only] The number of rows affected by a DML statement. Present only for DML statements INSERT, UPDATE or DELETE.", "type": "string", "format": "int64" }, "rows": { "description": "An object with as many results as can be contained within the maximum permitted reply size. To get any additional rows, you can call GetQueryResults and specify the jobReference returned above.", "type": "array", "items": { "$ref": "TableRow" } } }, "id": "QueryResponse", "type": "object" }, "ProjectReference": { "properties": { "projectId": { "description": "[Required] ID of the project. Can be either the numeric ID or the assigned ID of the project.", "type": "string" } }, "id": "ProjectReference", "type": "object" }, "UserDefinedFunctionResource": { "id": "UserDefinedFunctionResource", "type": "object", "properties": { "resourceUri": { "description": "[Pick one] A code resource to load from a Google Cloud Storage URI (gs://bucket/path).", "type": "string" }, "inlineCode": { "type": "string", "description": "[Pick one] An inline resource that contains code for a user-defined function (UDF). Providing a inline code resource is equivalent to providing a URI for a file containing the same code." } }, "description": "This is used for defining User Defined Function (UDF) resources only when using legacy SQL. Users of Standard SQL should leverage either DDL (e.g. CREATE [TEMPORARY] FUNCTION ... ) or the Routines API to define UDF resources. For additional information on migrating, see: https://cloud.google.com/bigquery/docs/reference/standard-sql/migrating-from-legacy-sql#differences_in_user-defined_javascript_functions" }, "ModelReference": { "properties": { "modelId": { "type": "string", "description": "[Required] The ID of the model. The ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_). The maximum length is 1,024 characters." }, "projectId": { "description": "[Required] The ID of the project containing this model.", "type": "string" }, "datasetId": { "type": "string", "description": "[Required] The ID of the dataset containing this model." } }, "type": "object", "id": "ModelReference" }, "GetPolicyOptions": { "properties": { "requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } }, "id": "GetPolicyOptions", "description": "Encapsulates settings provided to GetIamPolicy.", "type": "object" }, "ScriptStatistics": { "type": "object", "properties": { "stackFrames": { "items": { "$ref": "ScriptStackFrame" }, "type": "array", "description": "Stack trace showing the line/column/procedure name of each frame on the stack at the point where the current evaluation happened. The leaf frame is first, the primary script is last. Never empty." }, "evaluationKind": { "description": "[Output-only] Whether this child job was a statement or expression.", "type": "string" } }, "id": "ScriptStatistics" }, "Policy": { "properties": { "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "bindings": { "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" }, "type": "array" }, "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." } }, "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object" }, "BqmlTrainingRun": { "properties": { "startTime": { "format": "date-time", "type": "string", "description": "[Output-only, Beta] Training run start time in milliseconds since the epoch." }, "trainingOptions": { "description": "[Output-only, Beta] Training options used by this training run. These options are mutable for subsequent training runs. Default values are explicitly stored for options not specified in the input query of the first training run. For subsequent training runs, any option not explicitly specified in the input query will be copied from the previous training run.", "type": "object", "properties": { "warmStart": { "type": "boolean" }, "learnRate": { "type": "number", "format": "double" }, "minRelProgress": { "format": "double", "type": "number" }, "l2Reg": { "type": "number", "format": "double" }, "earlyStop": { "type": "boolean" }, "l1Reg": { "format": "double", "type": "number" }, "lineSearchInitLearnRate": { "format": "double", "type": "number" }, "learnRateStrategy": { "type": "string" }, "maxIteration": { "type": "string", "format": "int64" } } }, "state": { "type": "string", "description": "[Output-only, Beta] Different state applicable for a training run. IN PROGRESS: Training run is in progress. FAILED: Training run ended due to a non-retryable failure. SUCCEEDED: Training run successfully completed. CANCELLED: Training run cancelled by the user." }, "iterationResults": { "type": "array", "description": "[Output-only, Beta] List of each iteration results.", "items": { "$ref": "BqmlIterationResult" } } }, "type": "object", "id": "BqmlTrainingRun" }, "QueryParameterValue": { "id": "QueryParameterValue", "type": "object", "properties": { "structValues": { "additionalProperties": { "$ref": "QueryParameterValue" }, "type": "object", "description": "[Optional] The struct field values, in order of the struct type's declaration." }, "value": { "type": "string", "description": "[Optional] The value of this value, if a simple scalar type." }, "arrayValues": { "type": "array", "description": "[Optional] The array values, if this is an array type.", "items": { "$ref": "QueryParameterValue" } } } }, "FeatureValue": { "description": "Representative value of a single feature within the cluster.", "id": "FeatureValue", "type": "object", "properties": { "categoricalValue": { "$ref": "CategoricalValue", "description": "The categorical feature value." }, "featureColumn": { "description": "The feature column name.", "type": "string" }, "numericalValue": { "format": "double", "type": "number", "description": "The numerical feature value. This is the centroid value for this feature." } } }, "BiEngineStatistics": { "properties": { "biEngineMode": { "default": "$(stats.bi_engine_mode)", "description": "[Output-only] Specifies which mode of BI Engine acceleration was performed (if any).", "type": "string" }, "biEngineReasons": { "items": { "$ref": "BiEngineReason" }, "type": "array", "description": "In case of DISABLED or PARTIAL bi_engine_mode, these contain the explanatory reasons as to why BI Engine could not accelerate. In case the full query was accelerated, this field is not populated." } }, "type": "object", "id": "BiEngineStatistics" }, "Job": { "id": "Job", "properties": { "selfLink": { "description": "[Output-only] A URL that can be used to access this resource again.", "type": "string" }, "kind": { "default": "bigquery#job", "description": "[Output-only] The type of the resource.", "type": "string" }, "id": { "description": "[Output-only] Opaque ID field of the job", "type": "string" }, "etag": { "type": "string", "description": "[Output-only] A hash of this resource." }, "configuration": { "description": "[Required] Describes the job configuration.", "$ref": "JobConfiguration" }, "statistics": { "$ref": "JobStatistics", "description": "[Output-only] Information about the job, including starting time and ending time of the job." }, "status": { "$ref": "JobStatus", "description": "[Output-only] The status of this job. Examine this value when polling an asynchronous job to see if the job is complete." }, "user_email": { "description": "[Output-only] Email address of the user who ran the job.", "type": "string" }, "jobReference": { "description": "[Optional] Reference describing the unique-per-user name of the job.", "$ref": "JobReference" } }, "type": "object" }, "IntCandidates": { "properties": { "candidates": { "type": "array", "description": "Candidates for the int parameter in increasing order.", "items": { "format": "int64", "type": "string" } } }, "description": "Discrete candidates of an int hyperparameter.", "id": "IntCandidates", "type": "object" }, "IntArrayHparamSearchSpace": { "properties": { "candidates": { "items": { "$ref": "IntArray" }, "description": "Candidates for the int array parameter.", "type": "array" } }, "type": "object", "description": "Search space for int array.", "id": "IntArrayHparamSearchSpace" }, "ArimaFittingMetrics": { "description": "ARIMA model fitting metrics.", "id": "ArimaFittingMetrics", "properties": { "aic": { "description": "AIC.", "type": "number", "format": "double" }, "logLikelihood": { "description": "Log-likelihood.", "format": "double", "type": "number" }, "variance": { "format": "double", "type": "number", "description": "Variance." } }, "type": "object" }, "IntArray": { "properties": { "elements": { "type": "array", "description": "Elements in the int array.", "items": { "type": "string", "format": "int64" } } }, "type": "object", "id": "IntArray", "description": "An array of int." }, "ArimaModelInfo": { "id": "ArimaModelInfo", "properties": { "arimaCoefficients": { "$ref": "ArimaCoefficients", "description": "Arima coefficients." }, "hasDrift": { "type": "boolean", "description": "Whether Arima model fitted with drift or not. It is always false when d is not 1." }, "arimaFittingMetrics": { "description": "Arima fitting metrics.", "$ref": "ArimaFittingMetrics" }, "nonSeasonalOrder": { "$ref": "ArimaOrder", "description": "Non-seasonal order." }, "hasStepChanges": { "type": "boolean", "description": "If true, step_changes is a part of time series decomposition result." }, "hasHolidayEffect": { "description": "If true, holiday_effect is a part of time series decomposition result.", "type": "boolean" }, "seasonalPeriods": { "type": "array", "items": { "enumDescriptions": [ "Unspecified seasonal period.", "No seasonality", "Daily period, 24 hours.", "Weekly period, 7 days.", "Monthly period, 30 days or irregular.", "Quarterly period, 90 days or irregular.", "Yearly period, 365 days or irregular." ], "type": "string", "enum": [ "SEASONAL_PERIOD_TYPE_UNSPECIFIED", "NO_SEASONALITY", "DAILY", "WEEKLY", "MONTHLY", "QUARTERLY", "YEARLY" ] }, "description": "Seasonal periods. Repeated because multiple periods are supported for one time series." }, "timeSeriesIds": { "items": { "type": "string" }, "description": "The tuple of time_series_ids identifying this time series. It will be one of the unique tuples of values present in the time_series_id_columns specified during ARIMA model training. Only present when time_series_id_columns training option was used and the order of values here are same as the order of time_series_id_columns.", "type": "array" }, "hasSpikesAndDips": { "description": "If true, spikes_and_dips is a part of time series decomposition result.", "type": "boolean" }, "timeSeriesId": { "type": "string", "description": "The time_series_id value for this time series. It will be one of the unique values from the time_series_id_column specified during ARIMA model training. Only present when time_series_id_column training option was used." } }, "type": "object", "description": "Arima model information." }, "CategoryCount": { "id": "CategoryCount", "type": "object", "properties": { "count": { "description": "The count of training samples matching the category within the cluster.", "format": "int64", "type": "string" }, "category": { "description": "The name of category.", "type": "string" } }, "description": "Represents the count of a single category within the cluster." }, "Table": { "type": "object", "id": "Table", "properties": { "type": { "description": "[Output-only] Describes the table type. The following values are supported: TABLE: A normal BigQuery table. VIEW: A virtual table defined by a SQL query. SNAPSHOT: An immutable, read-only table that is a copy of another table. [TrustedTester] MATERIALIZED_VIEW: SQL query whose result is persisted. EXTERNAL: A table that references data stored in an external storage system, such as Google Cloud Storage. The default value is TABLE.", "type": "string" }, "selfLink": { "description": "[Output-only] A URL that can be used to access this resource again.", "type": "string" }, "etag": { "description": "[Output-only] A hash of the table metadata. Used to ensure there were no concurrent modifications to the resource when attempting an update. Not guaranteed to change when the table contents or the fields numRows, numBytes, numLongTermBytes or lastModifiedTime change.", "type": "string" }, "externalDataConfiguration": { "$ref": "ExternalDataConfiguration", "description": "[Optional] Describes the data format, location, and other properties of a table stored outside of BigQuery. By defining these properties, the data source can then be queried as if it were a standard BigQuery table." }, "kind": { "description": "[Output-only] The type of the resource.", "default": "bigquery#table", "type": "string" }, "materializedView": { "$ref": "MaterializedViewDefinition", "description": "[Optional] Materialized view definition." }, "rangePartitioning": { "$ref": "RangePartitioning", "description": "[TrustedTester] Range partitioning specification for this table. Only one of timePartitioning and rangePartitioning should be specified." }, "defaultCollation": { "description": "[Output-only] The default collation of the table.", "type": "string" }, "expirationTime": { "description": "[Optional] The time when this table expires, in milliseconds since the epoch. If not present, the table will persist indefinitely. Expired tables will be deleted and their storage reclaimed. The defaultTableExpirationMs property of the encapsulating dataset can be used to set a default expirationTime on newly created tables.", "format": "int64", "type": "string" }, "num_active_logical_bytes": { "description": "[Output-only] Number of logical bytes that are less than 90 days old.", "type": "string", "format": "int64" }, "num_total_logical_bytes": { "type": "string", "format": "int64", "description": "[Output-only] Total number of logical bytes in the table or materialized view." }, "num_total_physical_bytes": { "format": "int64", "type": "string", "description": "[Output-only] The physical size of this table in bytes. This also includes storage used for time travel. This data is not kept in real time, and might be delayed by a few seconds to a few minutes." }, "numRows": { "format": "uint64", "description": "[Output-only] The number of rows of data in this table, excluding any data in the streaming buffer.", "type": "string" }, "num_long_term_logical_bytes": { "format": "int64", "description": "[Output-only] Number of logical bytes that are more than 90 days old.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "The labels associated with this table. You can use these to organize and group your tables. Label keys and values can be no longer than 63 characters, can only contain lowercase letters, numeric characters, underscores and dashes. International characters are allowed. Label values are optional. Label keys must start with a letter and each label in the list must have a different key.", "type": "object" }, "friendlyName": { "type": "string", "description": "[Optional] A descriptive name for this table." }, "schema": { "$ref": "TableSchema", "description": "[Optional] Describes the schema of this table." }, "location": { "type": "string", "description": "[Output-only] The geographic location where the table resides. This value is inherited from the dataset." }, "clustering": { "description": "[Beta] Clustering specification for the table. Must be specified with partitioning, data in the table will be first partitioned and subsequently clustered.", "$ref": "Clustering" }, "description": { "type": "string", "description": "[Optional] A user-friendly description of this table." }, "creationTime": { "description": "[Output-only] The time when this table was created, in milliseconds since the epoch.", "type": "string", "format": "int64" }, "streamingBuffer": { "description": "[Output-only] Contains information regarding this table's streaming buffer, if one is present. This field will be absent if the table is not being streamed to or if there is no data in the streaming buffer.", "$ref": "Streamingbuffer" }, "timePartitioning": { "$ref": "TimePartitioning", "description": "Time-based partitioning specification for this table. Only one of timePartitioning and rangePartitioning should be specified." }, "id": { "description": "[Output-only] An opaque ID uniquely identifying the table.", "type": "string" }, "requirePartitionFilter": { "description": "[Optional] If set to true, queries over this table require a partition filter that can be used for partition elimination to be specified.", "default": "false", "type": "boolean" }, "view": { "description": "[Optional] The view definition.", "$ref": "ViewDefinition" }, "tableReference": { "$ref": "TableReference", "description": "[Required] Reference describing the ID of this table." }, "numPhysicalBytes": { "type": "string", "description": "[Output-only] [TrustedTester] The physical size of this table in bytes, excluding any data in the streaming buffer. This includes compression and storage used for time travel.", "format": "int64" }, "numBytes": { "type": "string", "description": "[Output-only] The size of this table in bytes, excluding any data in the streaming buffer.", "format": "int64" }, "maxStaleness": { "format": "byte", "description": "[Optional] Max staleness of data that could be returned when table or materialized view is queried (formatted as Google SQL Interval type).", "type": "string" }, "model": { "description": "[Output-only, Beta] Present iff this table represents a ML model. Describes the training information for the model, and it is required to run 'PREDICT' queries.", "$ref": "ModelDefinition" }, "cloneDefinition": { "$ref": "CloneDefinition", "description": "[Output-only] Clone definition." }, "num_active_physical_bytes": { "format": "int64", "description": "[Output-only] Number of physical bytes less than 90 days old. This data is not kept in real time, and might be delayed by a few seconds to a few minutes.", "type": "string" }, "num_long_term_physical_bytes": { "format": "int64", "type": "string", "description": "[Output-only] Number of physical bytes more than 90 days old. This data is not kept in real time, and might be delayed by a few seconds to a few minutes." }, "num_partitions": { "type": "string", "format": "int64", "description": "[Output-only] The number of partitions present in the table or materialized view. This data is not kept in real time, and might be delayed by a few seconds to a few minutes." }, "snapshotDefinition": { "description": "[Output-only] Snapshot definition.", "$ref": "SnapshotDefinition" }, "lastModifiedTime": { "description": "[Output-only] The time when this table was last modified, in milliseconds since the epoch.", "type": "string", "format": "uint64" }, "numLongTermBytes": { "description": "[Output-only] The number of bytes in the table that are considered \"long-term storage\".", "type": "string", "format": "int64" }, "encryptionConfiguration": { "description": "Custom encryption configuration (e.g., Cloud KMS keys).", "$ref": "EncryptionConfiguration" }, "num_time_travel_physical_bytes": { "format": "int64", "type": "string", "description": "[Output-only] Number of physical bytes used by time travel storage (deleted or changed data). This data is not kept in real time, and might be delayed by a few seconds to a few minutes." } } }, "JobCancelResponse": { "type": "object", "properties": { "kind": { "type": "string", "description": "The resource type of the response.", "default": "bigquery#jobCancelResponse" }, "job": { "description": "The final state of the job.", "$ref": "Job" } }, "id": "JobCancelResponse" }, "ListRowAccessPoliciesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token to request the next page of results." }, "rowAccessPolicies": { "items": { "$ref": "RowAccessPolicy" }, "type": "array", "description": "Row access policies on the requested table." } }, "type": "object", "id": "ListRowAccessPoliciesResponse", "description": "Response message for the ListRowAccessPolicies method." }, "RankingMetrics": { "type": "object", "id": "RankingMetrics", "properties": { "normalizedDiscountedCumulativeGain": { "type": "number", "format": "double", "description": "A metric to determine the goodness of a ranking calculated from the predicted confidence by comparing it to an ideal rank measured by the original ratings." }, "averageRank": { "format": "double", "description": "Determines the goodness of a ranking by computing the percentile rank from the predicted confidence and dividing it by the original rank.", "type": "number" }, "meanAveragePrecision": { "type": "number", "description": "Calculates a precision per user for all the items by ranking them and then averages all the precisions across all the users.", "format": "double" }, "meanSquaredError": { "format": "double", "type": "number", "description": "Similar to the mean squared error computed in regression and explicit recommendation models except instead of computing the rating directly, the output from evaluate is computed against a preference which is 1 or 0 depending on if the rating exists or not." } }, "description": "Evaluation metrics used by weighted-ALS models specified by feedback_type=implicit." }, "MlStatistics": { "type": "object", "id": "MlStatistics", "properties": { "maxIterations": { "description": "Maximum number of iterations specified as max_iterations in the 'CREATE MODEL' query. The actual number of iterations may be less than this number due to early stop.", "type": "string", "format": "int64" }, "iterationResults": { "items": { "$ref": "IterationResult" }, "type": "array", "description": "Results for all completed iterations." } } }, "JobList": { "properties": { "kind": { "type": "string", "default": "bigquery#jobList", "description": "The resource type of the response." }, "nextPageToken": { "description": "A token to request the next page of results.", "type": "string" }, "etag": { "type": "string", "description": "A hash of this page of results." }, "jobs": { "type": "array", "description": "List of jobs that were requested.", "items": { "properties": { "jobReference": { "$ref": "JobReference", "description": "Job reference uniquely identifying the job." }, "kind": { "description": "The resource type.", "type": "string", "default": "bigquery#job" }, "configuration": { "$ref": "JobConfiguration", "description": "[Full-projection-only] Specifies the job configuration." }, "statistics": { "description": "[Output-only] Information about the job, including starting time and ending time of the job.", "$ref": "JobStatistics" }, "state": { "type": "string", "description": "Running state of the job. When the state is DONE, errorResult can be checked to determine whether the job succeeded or failed." }, "status": { "description": "[Full-projection-only] Describes the state of the job.", "$ref": "JobStatus" }, "id": { "description": "Unique opaque ID of the job.", "type": "string" }, "errorResult": { "$ref": "ErrorProto", "description": "A result object that will be present only if the job has failed." }, "user_email": { "description": "[Full-projection-only] Email address of the user who ran the job.", "type": "string" } }, "type": "object" } } }, "id": "JobList", "type": "object" }, "HivePartitioningOptions": { "type": "object", "properties": { "requirePartitionFilter": { "description": "[Optional] If set to true, queries over this table require a partition filter that can be used for partition elimination to be specified. Note that this field should only be true when creating a permanent external table or querying a temporary external table. Hive-partitioned loads with requirePartitionFilter explicitly set to true will fail.", "type": "boolean" }, "mode": { "description": "[Optional] When set, what mode of hive partitioning to use when reading data. The following modes are supported. (1) AUTO: automatically infer partition key name(s) and type(s). (2) STRINGS: automatically infer partition key name(s). All types are interpreted as strings. (3) CUSTOM: partition key schema is encoded in the source URI prefix. Not all storage formats support hive partitioning. Requesting hive partitioning on an unsupported format will lead to an error. Currently supported types include: AVRO, CSV, JSON, ORC and Parquet.", "type": "string" }, "sourceUriPrefix": { "type": "string", "description": "[Optional] When hive partition detection is requested, a common prefix for all source uris should be supplied. The prefix must end immediately before the partition key encoding begins. For example, consider files following this data layout. gs://bucket/path_to_table/dt=2019-01-01/country=BR/id=7/file.avro gs://bucket/path_to_table/dt=2018-12-31/country=CA/id=3/file.avro When hive partitioning is requested with either AUTO or STRINGS detection, the common prefix can be either of gs://bucket/path_to_table or gs://bucket/path_to_table/ (trailing slash does not matter)." } }, "id": "HivePartitioningOptions" }, "CloneDefinition": { "id": "CloneDefinition", "properties": { "baseTableReference": { "description": "[Required] Reference describing the ID of the table that was cloned.", "$ref": "TableReference" }, "cloneTime": { "description": "[Required] The time at which the base table was cloned. This value is reported in the JSON response using RFC3339 format.", "format": "date-time", "type": "string" } }, "type": "object" }, "TableDataList": { "properties": { "etag": { "description": "A hash of this page of results.", "type": "string" }, "pageToken": { "type": "string", "description": "A token used for paging results. Providing this token instead of the startIndex parameter can help you retrieve stable results when an underlying table is changing." }, "kind": { "type": "string", "default": "bigquery#tableDataList", "description": "The resource type of the response." }, "rows": { "description": "Rows of results.", "type": "array", "items": { "$ref": "TableRow" } }, "totalRows": { "description": "The total number of rows in the complete table.", "type": "string", "format": "int64" } }, "type": "object", "id": "TableDataList" }, "QueryParameterType": { "type": "object", "id": "QueryParameterType", "properties": { "type": { "type": "string", "description": "[Required] The top level type of this field." }, "structTypes": { "type": "array", "description": "[Optional] The types of the fields of this struct, in order, if this is a struct.", "items": { "properties": { "name": { "type": "string", "description": "[Optional] The name of this field." }, "description": { "description": "[Optional] Human-oriented description of the field.", "type": "string" }, "type": { "$ref": "QueryParameterType", "description": "[Required] The type of this field." } }, "type": "object" } }, "arrayType": { "description": "[Optional] The type of the array's elements, if this is an array.", "$ref": "QueryParameterType" } } }, "RowAccessPolicy": { "type": "object", "id": "RowAccessPolicy", "description": "Represents access on a subset of rows on the specified table, defined by its filter predicate. Access to the subset of rows is controlled by its IAM policy.", "properties": { "filterPredicate": { "description": "Required. A SQL boolean expression that represents the rows defined by this row access policy, similar to the boolean expression in a WHERE clause of a SELECT query on a table. References to other tables, routines, and temporary functions are not supported. Examples: region=\"EU\" date_field = CAST('2019-9-27' as DATE) nullable_field is not NULL numeric_field BETWEEN 1.0 AND 5.0", "type": "string" }, "creationTime": { "readOnly": true, "description": "Output only. The time when this row access policy was created, in milliseconds since the epoch.", "format": "google-datetime", "type": "string" }, "rowAccessPolicyReference": { "description": "Required. Reference describing the ID of this row access policy.", "$ref": "RowAccessPolicyReference" }, "lastModifiedTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time when this row access policy was last modified, in milliseconds since the epoch." }, "etag": { "type": "string", "readOnly": true, "description": "Output only. A hash of this resource." } } }, "GetQueryResultsResponse": { "id": "GetQueryResultsResponse", "properties": { "totalRows": { "type": "string", "format": "uint64", "description": "The total number of rows in the complete query result set, which can be more than the number of rows in this single page of results. Present only when the query completes successfully." }, "errors": { "description": "[Output-only] The first errors or warnings encountered during the running of the job. The final message includes the number of errors that caused the process to stop. Errors here do not necessarily mean that the job has completed or was unsuccessful.", "items": { "$ref": "ErrorProto" }, "type": "array" }, "numDmlAffectedRows": { "format": "int64", "type": "string", "description": "[Output-only] The number of rows affected by a DML statement. Present only for DML statements INSERT, UPDATE or DELETE." }, "pageToken": { "description": "A token used for paging results.", "type": "string" }, "cacheHit": { "type": "boolean", "description": "Whether the query result was fetched from the query cache." }, "jobReference": { "$ref": "JobReference", "description": "Reference to the BigQuery Job that was created to run the query. This field will be present even if the original request timed out, in which case GetQueryResults can be used to read the results once the query has completed. Since this API only returns the first page of results, subsequent pages can be fetched via the same mechanism (GetQueryResults)." }, "jobComplete": { "type": "boolean", "description": "Whether the query has completed or not. If rows or totalRows are present, this will always be true. If this is false, totalRows will not be available." }, "etag": { "type": "string", "description": "A hash of this response." }, "totalBytesProcessed": { "format": "int64", "description": "The total number of bytes processed for this query.", "type": "string" }, "rows": { "description": "An object with as many results as can be contained within the maximum permitted reply size. To get any additional rows, you can call GetQueryResults and specify the jobReference returned above. Present only when the query completes successfully.", "items": { "$ref": "TableRow" }, "type": "array" }, "kind": { "type": "string", "description": "The resource type of the response.", "default": "bigquery#getQueryResultsResponse" }, "schema": { "$ref": "TableSchema", "description": "The schema of the results. Present only when the query completes successfully." } }, "type": "object" }, "DataSplitResult": { "properties": { "evaluationTable": { "$ref": "TableReference", "description": "Table reference of the evaluation data after split." }, "testTable": { "$ref": "TableReference", "description": "Table reference of the test data after split." }, "trainingTable": { "$ref": "TableReference", "description": "Table reference of the training data after split." } }, "type": "object", "id": "DataSplitResult", "description": "Data split result. This contains references to the training and evaluation data tables that were used to train the model." } }, "documentationLink": "https://cloud.google.com/bigquery/", "name": "bigquery", "servicePath": "bigquery/v2/", "parameters": { "userIp": { "type": "string", "description": "Deprecated. Please use quotaUser instead.", "location": "query" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "quotaUser": { "location": "query", "description": "An opaque string that represents a user for quota purposes. Must not exceed 40 characters.", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "alt": { "type": "string", "enum": [ "json" ], "description": "Data format for the response.", "default": "json", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json" ] }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" } }, "mtlsRootUrl": "https://bigquery.mtls.googleapis.com/", "ownerName": "Google", "resources": { "tables": { "methods": { "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "projects/{projectsId}/datasets/{datasetsId}/tables/{tablesId}:getIamPolicy", "request": { "$ref": "GetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "POST", "parameters": { "resource": { "pattern": "^projects/[^/]+/datasets/[^/]+/tables/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "path": "{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "id": "bigquery.tables.getIamPolicy", "response": { "$ref": "Policy" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "maxResults": { "type": "integer", "format": "uint32", "description": "Maximum number of results to return", "location": "query" }, "pageToken": { "location": "query", "description": "Page token, returned by a previous call, to request the next page of results", "type": "string" }, "datasetId": { "type": "string", "location": "path", "required": true, "description": "Dataset ID of the tables to list" }, "projectId": { "type": "string", "required": true, "location": "path", "description": "Project ID of the tables to list" } }, "path": "projects/{projectId}/datasets/{datasetId}/tables", "parameterOrder": [ "projectId", "datasetId" ], "httpMethod": "GET", "description": "Lists all tables in the specified dataset. Requires the READER dataset role.", "id": "bigquery.tables.list", "response": { "$ref": "TableList" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "projects/{projectId}/datasets/{datasetId}/tables/{tableId}", "httpMethod": "DELETE", "description": "Deletes the table specified by tableId from the dataset. If the table contains data, all the data will be deleted.", "parameters": { "tableId": { "location": "path", "type": "string", "description": "Table ID of the table to delete", "required": true }, "projectId": { "required": true, "type": "string", "description": "Project ID of the table to delete", "location": "path" }, "datasetId": { "type": "string", "location": "path", "description": "Dataset ID of the table to delete", "required": true } }, "id": "bigquery.tables.delete", "parameterOrder": [ "projectId", "datasetId", "tableId" ] }, "setIamPolicy": { "response": { "$ref": "Policy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "path": "{+resource}:setIamPolicy", "flatPath": "projects/{projectsId}/datasets/{datasetsId}/tables/{tablesId}:setIamPolicy", "id": "bigquery.tables.setIamPolicy", "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/datasets/[^/]+/tables/[^/]+$", "required": true, "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameters": { "tableId": { "location": "path", "required": true, "description": "Table ID of the requested table", "type": "string" }, "view": { "type": "string", "description": "Specifies the view that determines which table information is returned. By default, basic table information and storage statistics (STORAGE_STATS) are returned.", "location": "query", "enum": [ "BASIC", "FULL", "STORAGE_STATS", "TABLE_METADATA_VIEW_UNSPECIFIED" ], "enumDescriptions": [ "Includes basic table information including schema and partitioning specification. This view does not include storage statistics such as numRows or numBytes. This view is significantly more efficient and should be used to support high query rates.", "Includes all table information, including storage statistics. It returns same information as STORAGE_STATS view, but may contain additional information in the future.", "Includes all information in the BASIC view as well as storage statistics (numBytes, numLongTermBytes, numRows and lastModifiedTime).", "The default value. Default to the STORAGE_STATS view." ] }, "selectedFields": { "location": "query", "type": "string", "description": "List of fields to return (comma-separated). If unspecified, all fields are returned" }, "projectId": { "location": "path", "type": "string", "description": "Project ID of the requested table", "required": true }, "datasetId": { "required": true, "type": "string", "description": "Dataset ID of the requested table", "location": "path" } }, "response": { "$ref": "Table" }, "id": "bigquery.tables.get", "parameterOrder": [ "projectId", "datasetId", "tableId" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "description": "Gets the specified table resource by table ID. This method does not return the data in the table, it only returns the table resource, which describes the structure of this table.", "path": "projects/{projectId}/datasets/{datasetId}/tables/{tableId}" }, "update": { "response": { "$ref": "Table" }, "request": { "$ref": "Table" }, "httpMethod": "PUT", "path": "projects/{projectId}/datasets/{datasetId}/tables/{tableId}", "id": "bigquery.tables.update", "parameters": { "autodetect_schema": { "description": "When true will autodetect schema, else will keep original schema", "location": "query", "type": "boolean" }, "tableId": { "required": true, "description": "Table ID of the table to update", "type": "string", "location": "path" }, "datasetId": { "type": "string", "description": "Dataset ID of the table to update", "location": "path", "required": true }, "projectId": { "type": "string", "required": true, "description": "Project ID of the table to update", "location": "path" } }, "parameterOrder": [ "projectId", "datasetId", "tableId" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates information in an existing table. The update method replaces the entire table resource, whereas the patch method only replaces fields that are provided in the submitted table resource." }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/datasets/[^/]+/tables/[^/]+$", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "{+resource}:testIamPermissions", "flatPath": "projects/{projectsId}/datasets/{datasetsId}/tables/{tablesId}:testIamPermissions", "parameterOrder": [ "resource" ], "id": "bigquery.tables.testIamPermissions" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new, empty table in the dataset.", "parameters": { "projectId": { "required": true, "location": "path", "description": "Project ID of the new table", "type": "string" }, "datasetId": { "location": "path", "description": "Dataset ID of the new table", "type": "string", "required": true } }, "id": "bigquery.tables.insert", "httpMethod": "POST", "response": { "$ref": "Table" }, "parameterOrder": [ "projectId", "datasetId" ], "request": { "$ref": "Table" }, "path": "projects/{projectId}/datasets/{datasetId}/tables" }, "patch": { "description": "Updates information in an existing table. The update method replaces the entire table resource, whereas the patch method only replaces fields that are provided in the submitted table resource. This method supports patch semantics.", "response": { "$ref": "Table" }, "path": "projects/{projectId}/datasets/{datasetId}/tables/{tableId}", "request": { "$ref": "Table" }, "parameterOrder": [ "projectId", "datasetId", "tableId" ], "id": "bigquery.tables.patch", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "autodetect_schema": { "type": "boolean", "description": "When true will autodetect schema, else will keep original schema", "location": "query" }, "projectId": { "required": true, "location": "path", "description": "Project ID of the table to update", "type": "string" }, "tableId": { "location": "path", "required": true, "type": "string", "description": "Table ID of the table to update" }, "datasetId": { "location": "path", "type": "string", "required": true, "description": "Dataset ID of the table to update" } }, "httpMethod": "PATCH" } } }, "datasets": { "methods": { "update": { "description": "Updates information in an existing dataset. The update method replaces the entire dataset resource, whereas the patch method only replaces fields that are provided in the submitted dataset resource.", "parameters": { "datasetId": { "required": true, "location": "path", "type": "string", "description": "Dataset ID of the dataset being updated" }, "projectId": { "location": "path", "required": true, "description": "Project ID of the dataset being updated", "type": "string" } }, "id": "bigquery.datasets.update", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Dataset" }, "response": { "$ref": "Dataset" }, "httpMethod": "PUT", "parameterOrder": [ "projectId", "datasetId" ], "path": "projects/{projectId}/datasets/{datasetId}" }, "list": { "description": "Lists all datasets in the specified project to which you have been granted the READER dataset role.", "path": "projects/{projectId}/datasets", "id": "bigquery.datasets.list", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "DatasetList" }, "parameterOrder": [ "projectId" ], "httpMethod": "GET", "parameters": { "pageToken": { "description": "Page token, returned by a previous call, to request the next page of results", "location": "query", "type": "string" }, "maxResults": { "description": "The maximum number of results to return", "type": "integer", "location": "query", "format": "uint32" }, "filter": { "description": "An expression for filtering the results of the request by label. The syntax is \"labels.\u003cname\u003e[:\u003cvalue\u003e]\". Multiple filters can be ANDed together by connecting with a space. Example: \"labels.department:receiving labels.active\". See Filtering datasets using labels for details.", "type": "string", "location": "query" }, "projectId": { "required": true, "type": "string", "description": "Project ID of the datasets to be listed", "location": "path" }, "all": { "type": "boolean", "description": "Whether to list all datasets, including hidden ones", "location": "query" } } }, "patch": { "parameterOrder": [ "projectId", "datasetId" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "request": { "$ref": "Dataset" }, "parameters": { "datasetId": { "description": "Dataset ID of the dataset being updated", "required": true, "location": "path", "type": "string" }, "projectId": { "description": "Project ID of the dataset being updated", "location": "path", "required": true, "type": "string" } }, "description": "Updates information in an existing dataset. The update method replaces the entire dataset resource, whereas the patch method only replaces fields that are provided in the submitted dataset resource. This method supports patch semantics.", "response": { "$ref": "Dataset" }, "id": "bigquery.datasets.patch", "path": "projects/{projectId}/datasets/{datasetId}" }, "delete": { "id": "bigquery.datasets.delete", "parameterOrder": [ "projectId", "datasetId" ], "description": "Deletes the dataset specified by the datasetId value. Before you can delete a dataset, you must delete all its tables, either manually or by specifying deleteContents. Immediately after deletion, you can create another dataset with the same name.", "httpMethod": "DELETE", "parameters": { "datasetId": { "required": true, "type": "string", "location": "path", "description": "Dataset ID of dataset being deleted" }, "deleteContents": { "type": "boolean", "location": "query", "description": "If True, delete all the tables in the dataset. If False and the dataset contains tables, the request will fail. Default is False" }, "projectId": { "type": "string", "description": "Project ID of the dataset being deleted", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "projects/{projectId}/datasets/{datasetId}" }, "get": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "description": "Returns the dataset specified by datasetID.", "parameters": { "projectId": { "type": "string", "description": "Project ID of the requested dataset", "required": true, "location": "path" }, "datasetId": { "location": "path", "required": true, "description": "Dataset ID of the requested dataset", "type": "string" } }, "parameterOrder": [ "projectId", "datasetId" ], "response": { "$ref": "Dataset" }, "id": "bigquery.datasets.get", "path": "projects/{projectId}/datasets/{datasetId}" }, "insert": { "path": "projects/{projectId}/datasets", "response": { "$ref": "Dataset" }, "parameterOrder": [ "projectId" ], "description": "Creates a new empty dataset.", "id": "bigquery.datasets.insert", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "projectId": { "required": true, "description": "Project ID of the new dataset", "location": "path", "type": "string" } }, "httpMethod": "POST", "request": { "$ref": "Dataset" } } } }, "rowAccessPolicies": { "methods": { "list": { "id": "bigquery.rowAccessPolicies.list", "parameterOrder": [ "projectId", "datasetId", "tableId" ], "httpMethod": "GET", "response": { "$ref": "ListRowAccessPoliciesResponse" }, "description": "Lists all row access policies on the specified table.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "projects/{projectsId}/datasets/{datasetsId}/tables/{tablesId}/rowAccessPolicies", "path": "projects/{+projectId}/datasets/{+datasetId}/tables/{+tableId}/rowAccessPolicies", "parameters": { "datasetId": { "description": "Required. Dataset ID of row access policies to list.", "location": "path", "type": "string", "required": true, "pattern": "^[^/]+$" }, "pageToken": { "location": "query", "description": "Page token, returned by a previous call, to request the next page of results.", "type": "string" }, "projectId": { "type": "string", "pattern": "^[^/]+$", "description": "Required. Project ID of the row access policies to list.", "location": "path", "required": true }, "tableId": { "location": "path", "pattern": "^[^/]+$", "type": "string", "description": "Required. Table ID of the table to list row access policies.", "required": true }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of results to return in a single response page. Leverage the page tokens to iterate through the entire collection." } } }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/datasets/[^/]+/tables/[^/]+/rowAccessPolicies/[^/]+$", "type": "string" } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "projects/{projectsId}/datasets/{datasetsId}/tables/{tablesId}/rowAccessPolicies/{rowAccessPoliciesId}:getIamPolicy", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "request": { "$ref": "GetIamPolicyRequest" }, "path": "{+resource}:getIamPolicy", "httpMethod": "POST", "id": "bigquery.rowAccessPolicies.getIamPolicy" }, "testIamPermissions": { "flatPath": "projects/{projectsId}/datasets/{datasetsId}/tables/{tablesId}/rowAccessPolicies/{rowAccessPoliciesId}:testIamPermissions", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "{+resource}:testIamPermissions", "id": "bigquery.rowAccessPolicies.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/datasets/[^/]+/tables/[^/]+/rowAccessPolicies/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" } }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "id": "bigquery.rowAccessPolicies.setIamPolicy", "flatPath": "projects/{projectsId}/datasets/{datasetsId}/tables/{tablesId}/rowAccessPolicies/{rowAccessPoliciesId}:setIamPolicy", "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/datasets/[^/]+/tables/[^/]+/rowAccessPolicies/[^/]+$", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "request": { "$ref": "SetIamPolicyRequest" }, "path": "{+resource}:setIamPolicy", "response": { "$ref": "Policy" } } } }, "jobs": { "methods": { "insert": { "parameters": { "projectId": { "required": true, "type": "string", "location": "path", "description": "Project ID of the project that will be billed for the job" } }, "httpMethod": "POST", "description": "Starts a new asynchronous job. Requires the Can View project role.", "id": "bigquery.jobs.insert", "mediaUpload": { "protocols": { "simple": { "multipart": true, "path": "/upload/bigquery/v2/projects/{projectId}/jobs" }, "resumable": { "multipart": true, "path": "/resumable/upload/bigquery/v2/projects/{projectId}/jobs" } }, "accept": [ "*/*" ] }, "response": { "$ref": "Job" }, "parameterOrder": [ "projectId" ], "path": "projects/{projectId}/jobs", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/devstorage.full_control", "https://www.googleapis.com/auth/devstorage.read_only", "https://www.googleapis.com/auth/devstorage.read_write" ], "supportsMediaUpload": true, "request": { "$ref": "Job" } }, "cancel": { "parameterOrder": [ "projectId", "jobId" ], "response": { "$ref": "JobCancelResponse" }, "id": "bigquery.jobs.cancel", "path": "projects/{projectId}/jobs/{jobId}/cancel", "description": "Requests that a job be cancelled. This call will return immediately, and the client will need to poll for the job status to see if the cancel completed successfully. Cancelled jobs may still incur costs.", "parameters": { "jobId": { "description": "[Required] Job ID of the job to cancel", "required": true, "type": "string", "location": "path" }, "projectId": { "location": "path", "description": "[Required] Project ID of the job to cancel", "type": "string", "required": true }, "location": { "location": "query", "description": "The geographic location of the job. Required except for US and EU. See details at https://cloud.google.com/bigquery/docs/locations#specifying_your_location.", "type": "string" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "description": "Requests the deletion of the metadata of a job. This call returns when the job's metadata is deleted.", "parameterOrder": [ "projectId", "jobId" ], "path": "projects/{+projectId}/jobs/{+jobId}/delete", "flatPath": "projects/{projectsId}/jobs/{jobsId}/delete", "httpMethod": "DELETE", "id": "bigquery.jobs.delete", "parameters": { "location": { "location": "query", "description": "The geographic location of the job. Required. See details at: https://cloud.google.com/bigquery/docs/locations#specifying_your_location.", "type": "string" }, "jobId": { "description": "Required. Job ID of the job for which metadata is to be deleted. If this is a parent job which has child jobs, the metadata from all child jobs will be deleted as well. Direct deletion of the metadata of child jobs is not allowed.", "type": "string", "location": "path", "pattern": "^[^/]+$", "required": true }, "projectId": { "description": "Required. Project ID of the job for which metadata is to be deleted.", "location": "path", "type": "string", "required": true, "pattern": "^[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameterOrder": [ "projectId", "jobId" ], "response": { "$ref": "Job" }, "httpMethod": "GET", "description": "Returns information about a specific job. Job information is available for a six month period after creation. Requires that you're the person who ran the job, or have the Is Owner project role.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "bigquery.jobs.get", "parameters": { "projectId": { "description": "[Required] Project ID of the requested job", "required": true, "location": "path", "type": "string" }, "location": { "location": "query", "description": "The geographic location of the job. Required except for US and EU. See details at https://cloud.google.com/bigquery/docs/locations#specifying_your_location.", "type": "string" }, "jobId": { "description": "[Required] Job ID of the requested job", "required": true, "type": "string", "location": "path" } }, "path": "projects/{projectId}/jobs/{jobId}" }, "list": { "response": { "$ref": "JobList" }, "httpMethod": "GET", "id": "bigquery.jobs.list", "parameterOrder": [ "projectId" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "allUsers": { "type": "boolean", "location": "query", "description": "Whether to display jobs owned by all users in the project. Default false" }, "projection": { "enum": [ "full", "minimal" ], "location": "query", "type": "string", "enumDescriptions": [ "Includes all job data", "Does not include the job configuration" ], "description": "Restrict information returned to a set of selected fields" }, "minCreationTime": { "format": "uint64", "location": "query", "type": "string", "description": "Min value for job creation time, in milliseconds since the POSIX epoch. If set, only jobs created after or at this timestamp are returned" }, "stateFilter": { "location": "query", "repeated": true, "enum": [ "done", "pending", "running" ], "type": "string", "description": "Filter for job state", "enumDescriptions": [ "Finished jobs", "Pending jobs", "Running jobs" ] }, "maxCreationTime": { "format": "uint64", "type": "string", "description": "Max value for job creation time, in milliseconds since the POSIX epoch. If set, only jobs created before or at this timestamp are returned", "location": "query" }, "maxResults": { "description": "Maximum number of results to return", "location": "query", "format": "uint32", "type": "integer" }, "pageToken": { "type": "string", "description": "Page token, returned by a previous call, to request the next page of results", "location": "query" }, "parentJobId": { "location": "query", "description": "If set, retrieves only jobs whose parent is this job. Otherwise, retrieves only jobs which have no parent", "type": "string" }, "projectId": { "description": "Project ID of the jobs to list", "location": "path", "required": true, "type": "string" } }, "description": "Lists all jobs that you started in the specified project. Job information is available for a six month period after creation. The job list is sorted in reverse chronological order, by job creation time. Requires the Can View project role, or the Is Owner project role if you set the allUsers property.", "path": "projects/{projectId}/jobs" }, "getQueryResults": { "parameterOrder": [ "projectId", "jobId" ], "response": { "$ref": "GetQueryResultsResponse" }, "description": "Retrieves the results of a query job.", "parameters": { "projectId": { "required": true, "location": "path", "type": "string", "description": "[Required] Project ID of the query job" }, "jobId": { "location": "path", "required": true, "description": "[Required] Job ID of the query job", "type": "string" }, "maxResults": { "description": "Maximum number of results to read", "format": "uint32", "type": "integer", "location": "query" }, "timeoutMs": { "type": "integer", "location": "query", "description": "How long to wait for the query to complete, in milliseconds, before returning. Default is 10 seconds. If the timeout passes before the job completes, the 'jobComplete' field in the response will be false", "format": "uint32" }, "pageToken": { "description": "Page token, returned by a previous call, to request the next page of results", "type": "string", "location": "query" }, "startIndex": { "location": "query", "type": "string", "format": "uint64", "description": "Zero-based index of the starting row" }, "location": { "description": "The geographic location where the job should run. Required except for US and EU. See details at https://cloud.google.com/bigquery/docs/locations#specifying_your_location.", "location": "query", "type": "string" } }, "id": "bigquery.jobs.getQueryResults", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "projects/{projectId}/queries/{jobId}" }, "query": { "request": { "$ref": "QueryRequest" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "POST", "description": "Runs a BigQuery SQL query synchronously and returns query results if the query completes within a specified timeout.", "parameters": { "projectId": { "type": "string", "description": "Project ID of the project billed for the query", "location": "path", "required": true } }, "parameterOrder": [ "projectId" ], "path": "projects/{projectId}/queries", "response": { "$ref": "QueryResponse" }, "id": "bigquery.jobs.query" } } }, "tabledata": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "projects/{projectId}/datasets/{datasetId}/tables/{tableId}/data", "parameterOrder": [ "projectId", "datasetId", "tableId" ], "parameters": { "pageToken": { "type": "string", "description": "Page token, returned by a previous call, identifying the result set", "location": "query" }, "projectId": { "description": "Project ID of the table to read", "required": true, "type": "string", "location": "path" }, "tableId": { "location": "path", "type": "string", "required": true, "description": "Table ID of the table to read" }, "maxResults": { "location": "query", "description": "Maximum number of results to return", "type": "integer", "format": "uint32" }, "datasetId": { "type": "string", "required": true, "description": "Dataset ID of the table to read", "location": "path" }, "selectedFields": { "description": "List of fields to return (comma-separated). If unspecified, all fields are returned", "location": "query", "type": "string" }, "startIndex": { "location": "query", "format": "uint64", "description": "Zero-based index of the starting row to read", "type": "string" } }, "id": "bigquery.tabledata.list", "httpMethod": "GET", "response": { "$ref": "TableDataList" }, "description": "Retrieves table data from a specified set of rows. Requires the READER dataset role." }, "insertAll": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/bigquery.insertdata", "https://www.googleapis.com/auth/cloud-platform" ], "id": "bigquery.tabledata.insertAll", "httpMethod": "POST", "parameterOrder": [ "projectId", "datasetId", "tableId" ], "parameters": { "datasetId": { "description": "Dataset ID of the destination table.", "type": "string", "location": "path", "required": true }, "projectId": { "description": "Project ID of the destination table.", "type": "string", "location": "path", "required": true }, "tableId": { "type": "string", "required": true, "location": "path", "description": "Table ID of the destination table." } }, "path": "projects/{projectId}/datasets/{datasetId}/tables/{tableId}/insertAll", "request": { "$ref": "TableDataInsertAllRequest" }, "description": "Streams data into BigQuery one record at a time without needing to run a load job. Requires the WRITER dataset role.", "response": { "$ref": "TableDataInsertAllResponse" } } } }, "routines": { "methods": { "update": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates information in an existing routine. The update method replaces the entire Routine resource.", "parameters": { "routineId": { "description": "Required. Routine ID of the routine to update", "pattern": "^[^/]+$", "location": "path", "required": true, "type": "string" }, "projectId": { "pattern": "^[^/]+$", "required": true, "location": "path", "description": "Required. Project ID of the routine to update", "type": "string" }, "datasetId": { "description": "Required. Dataset ID of the routine to update", "location": "path", "type": "string", "required": true, "pattern": "^[^/]+$" } }, "parameterOrder": [ "projectId", "datasetId", "routineId" ], "response": { "$ref": "Routine" }, "request": { "$ref": "Routine" }, "id": "bigquery.routines.update", "flatPath": "projects/{projectsId}/datasets/{datasetsId}/routines/{routinesId}", "httpMethod": "PUT", "path": "projects/{+projectId}/datasets/{+datasetId}/routines/{+routineId}" }, "insert": { "httpMethod": "POST", "description": "Creates a new routine in the dataset.", "flatPath": "projects/{projectsId}/datasets/{datasetsId}/routines", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "projects/{+projectId}/datasets/{+datasetId}/routines", "response": { "$ref": "Routine" }, "parameterOrder": [ "projectId", "datasetId" ], "parameters": { "datasetId": { "location": "path", "type": "string", "pattern": "^[^/]+$", "required": true, "description": "Required. Dataset ID of the new routine" }, "projectId": { "location": "path", "required": true, "description": "Required. Project ID of the new routine", "type": "string", "pattern": "^[^/]+$" } }, "id": "bigquery.routines.insert", "request": { "$ref": "Routine" } }, "delete": { "description": "Deletes the routine specified by routineId from the dataset.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "datasetId": { "type": "string", "location": "path", "required": true, "description": "Required. Dataset ID of the routine to delete", "pattern": "^[^/]+$" }, "routineId": { "required": true, "pattern": "^[^/]+$", "description": "Required. Routine ID of the routine to delete", "type": "string", "location": "path" }, "projectId": { "location": "path", "description": "Required. Project ID of the routine to delete", "required": true, "pattern": "^[^/]+$", "type": "string" } }, "id": "bigquery.routines.delete", "parameterOrder": [ "projectId", "datasetId", "routineId" ], "flatPath": "projects/{projectsId}/datasets/{datasetsId}/routines/{routinesId}", "path": "projects/{+projectId}/datasets/{+datasetId}/routines/{+routineId}", "httpMethod": "DELETE" }, "list": { "path": "projects/{+projectId}/datasets/{+datasetId}/routines", "parameters": { "readMask": { "description": "If set, then only the Routine fields in the field mask, as well as project_id, dataset_id and routine_id, are returned in the response. If unset, then the following Routine fields are returned: etag, project_id, dataset_id, routine_id, routine_type, creation_time, last_modified_time, and language.", "format": "google-fieldmask", "location": "query", "type": "string" }, "pageToken": { "location": "query", "description": "Page token, returned by a previous call, to request the next page of results", "type": "string" }, "projectId": { "pattern": "^[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. Project ID of the routines to list" }, "maxResults": { "location": "query", "type": "integer", "format": "uint32", "description": "The maximum number of results to return in a single response page. Leverage the page tokens to iterate through the entire collection." }, "filter": { "location": "query", "type": "string", "description": "If set, then only the Routines matching this filter are returned. The current supported form is either \"routine_type:\" or \"routineType:\", where is a RoutineType enum. Example: \"routineType:SCALAR_FUNCTION\"." }, "datasetId": { "required": true, "location": "path", "pattern": "^[^/]+$", "description": "Required. Dataset ID of the routines to list", "type": "string" } }, "id": "bigquery.routines.list", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "projects/{projectsId}/datasets/{datasetsId}/routines", "response": { "$ref": "ListRoutinesResponse" }, "description": "Lists all routines in the specified dataset. Requires the READER dataset role.", "httpMethod": "GET", "parameterOrder": [ "projectId", "datasetId" ] }, "get": { "parameters": { "routineId": { "required": true, "pattern": "^[^/]+$", "type": "string", "location": "path", "description": "Required. Routine ID of the requested routine" }, "projectId": { "pattern": "^[^/]+$", "type": "string", "description": "Required. Project ID of the requested routine", "location": "path", "required": true }, "readMask": { "format": "google-fieldmask", "description": "If set, only the Routine fields in the field mask are returned in the response. If unset, all Routine fields are returned.", "type": "string", "location": "query" }, "datasetId": { "description": "Required. Dataset ID of the requested routine", "type": "string", "pattern": "^[^/]+$", "required": true, "location": "path" } }, "flatPath": "projects/{projectsId}/datasets/{datasetsId}/routines/{routinesId}", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "projectId", "datasetId", "routineId" ], "id": "bigquery.routines.get", "description": "Gets the specified routine resource by routine ID.", "path": "projects/{+projectId}/datasets/{+datasetId}/routines/{+routineId}", "httpMethod": "GET", "response": { "$ref": "Routine" } } } }, "models": { "methods": { "delete": { "parameters": { "modelId": { "description": "Required. Model ID of the model to delete.", "required": true, "type": "string", "location": "path", "pattern": "^[^/]+$" }, "projectId": { "required": true, "description": "Required. Project ID of the model to delete.", "type": "string", "location": "path", "pattern": "^[^/]+$" }, "datasetId": { "required": true, "pattern": "^[^/]+$", "type": "string", "location": "path", "description": "Required. Dataset ID of the model to delete." } }, "id": "bigquery.models.delete", "flatPath": "projects/{projectsId}/datasets/{datasetsId}/models/{modelsId}", "httpMethod": "DELETE", "parameterOrder": [ "projectId", "datasetId", "modelId" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "projects/{+projectId}/datasets/{+datasetId}/models/{+modelId}", "description": "Deletes the model specified by modelId from the dataset." }, "patch": { "httpMethod": "PATCH", "response": { "$ref": "Model" }, "path": "projects/{+projectId}/datasets/{+datasetId}/models/{+modelId}", "parameterOrder": [ "projectId", "datasetId", "modelId" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "projectId": { "pattern": "^[^/]+$", "type": "string", "description": "Required. Project ID of the model to patch.", "required": true, "location": "path" }, "datasetId": { "required": true, "description": "Required. Dataset ID of the model to patch.", "type": "string", "pattern": "^[^/]+$", "location": "path" }, "modelId": { "pattern": "^[^/]+$", "description": "Required. Model ID of the model to patch.", "required": true, "type": "string", "location": "path" } }, "flatPath": "projects/{projectsId}/datasets/{datasetsId}/models/{modelsId}", "description": "Patch specific fields in the specified model.", "id": "bigquery.models.patch", "request": { "$ref": "Model" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "projectId": { "required": true, "location": "path", "pattern": "^[^/]+$", "description": "Required. Project ID of the requested model.", "type": "string" }, "datasetId": { "pattern": "^[^/]+$", "description": "Required. Dataset ID of the requested model.", "location": "path", "required": true, "type": "string" }, "modelId": { "description": "Required. Model ID of the requested model.", "pattern": "^[^/]+$", "type": "string", "required": true, "location": "path" } }, "description": "Gets the specified model resource by model ID.", "flatPath": "projects/{projectsId}/datasets/{datasetsId}/models/{modelsId}", "parameterOrder": [ "projectId", "datasetId", "modelId" ], "response": { "$ref": "Model" }, "id": "bigquery.models.get", "path": "projects/{+projectId}/datasets/{+datasetId}/models/{+modelId}", "httpMethod": "GET" }, "list": { "httpMethod": "GET", "parameterOrder": [ "projectId", "datasetId" ], "path": "projects/{+projectId}/datasets/{+datasetId}/models", "id": "bigquery.models.list", "response": { "$ref": "ListModelsResponse" }, "description": "Lists all models in the specified dataset. Requires the READER dataset role. After retrieving the list of models, you can get information about a particular model by calling the models.get method.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "pageToken": { "description": "Page token, returned by a previous call to request the next page of results", "location": "query", "type": "string" }, "datasetId": { "type": "string", "location": "path", "pattern": "^[^/]+$", "description": "Required. Dataset ID of the models to list.", "required": true }, "maxResults": { "type": "integer", "location": "query", "format": "uint32", "description": "The maximum number of results to return in a single response page. Leverage the page tokens to iterate through the entire collection." }, "projectId": { "pattern": "^[^/]+$", "type": "string", "description": "Required. Project ID of the models to list.", "required": true, "location": "path" } }, "flatPath": "projects/{projectsId}/datasets/{datasetsId}/models" } } }, "projects": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "description": "Page token, returned by a previous call, to request the next page of results", "location": "query" }, "maxResults": { "description": "Maximum number of results to return", "location": "query", "format": "uint32", "type": "integer" } }, "response": { "$ref": "ProjectList" }, "path": "projects", "id": "bigquery.projects.list", "description": "Lists all projects to which you have been granted any project role." }, "getServiceAccount": { "parameters": { "projectId": { "type": "string", "required": true, "description": "Project ID for which the service account is requested.", "location": "path" } }, "id": "bigquery.projects.getServiceAccount", "path": "projects/{projectId}/serviceAccount", "response": { "$ref": "GetServiceAccountResponse" }, "description": "Returns the email address of the service account for your project used for interactions with Google Cloud KMS.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "projectId" ], "httpMethod": "GET" } } } }, "version": "v2" }
]===]))
