local decode = require("cjson").new().decode
return assert(decode([===[
{ "fullyEncodeReservedExpansion": true, "resources": { "projects": { "resources": { "transferConfigs": { "methods": { "scheduleRuns": { "request": { "$ref": "ScheduleTransferRunsRequest" }, "flatPath": "v1/projects/{projectsId}/transferConfigs/{transferConfigsId}:scheduleRuns", "description": "Creates transfer runs for a time range [start_time, end_time]. For each date - or whatever granularity the data source supports - in the range, one transfer run is created. Note that runs are created per UTC time in the time range. DEPRECATED: use StartManualTransferRuns instead.", "response": { "$ref": "ScheduleTransferRunsResponse" }, "id": "bigquerydatatransfer.projects.transferConfigs.scheduleRuns", "parameterOrder": [ "parent" ], "path": "v1/{+parent}:scheduleRuns", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/transferConfigs/[^/]+$", "required": true, "type": "string", "description": "Required. Transfer configuration name in the form: `projects/{project_id}/transferConfigs/{config_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}`." } }, "httpMethod": "POST" }, "patch": { "httpMethod": "PATCH", "parameters": { "versionInfo": { "type": "string", "location": "query", "description": "Optional version info. This is required only if `transferConfig.dataSourceId` is not 'youtube_channel' and new credentials are needed, as indicated by `CheckValidCreds`. In order to obtain version info, make a request to the following URL: https://www.gstatic.com/bigquerydatatransfer/oauthz/auth? client_id=client_id&scope=data_source_scopes &redirect_uri=urn:ietf:wg:oauth:2.0:oob&response_type=version_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The client_id is the OAuth client_id of the a data source as returned by ListDataSources method. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh data_source_scopes are the scopes returned by ListDataSources method. Note that this should not be set when `service_account_name` is used to update the transfer config." }, "updateMask": { "type": "string", "location": "query", "description": "Required. Required list of fields to be updated in this request.", "format": "google-fieldmask" }, "name": { "pattern": "^projects/[^/]+/transferConfigs/[^/]+$", "description": "The resource name of the transfer config. Transfer config names have the form `projects/{project_id}/locations/{region}/transferConfigs/{config_id}`. Where `config_id` is usually a uuid, even though it is not guaranteed or required. The name is ignored when creating a transfer config.", "location": "path", "type": "string", "required": true }, "serviceAccountName": { "type": "string", "description": "Optional service account name. If this field is set, the transfer config will be created with this service account's credentials. It requires that the requesting user calling this API has permissions to act as this service account. Note that not all data sources support service account credentials when creating a transfer config. For the latest list of data sources, read about [using service accounts](https://cloud.google.com/bigquery-transfer/docs/use-service-accounts).", "location": "query" }, "authorizationCode": { "location": "query", "description": "Optional OAuth2 authorization code to use with this transfer configuration. This is required only if `transferConfig.dataSourceId` is 'youtube_channel' and new credentials are needed, as indicated by `CheckValidCreds`. In order to obtain authorization_code, make a request to the following URL: https://www.gstatic.com/bigquerydatatransfer/oauthz/auth? client_id=client_id&scope=data_source_scopes &redirect_uri=urn:ietf:wg:oauth:2.0:oob&response_type=authorization_code LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The client_id is the OAuth client_id of the a data source as returned by ListDataSources method. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh data_source_scopes are the scopes returned by ListDataSources method. Note that this should not be set when `service_account_name` is used to update the transfer config.", "type": "string" } }, "description": "Updates a data transfer configuration. All fields must be set, even if they are not updated.", "parameterOrder": [ "name" ], "path": "v1/{+name}", "request": { "$ref": "TransferConfig" }, "id": "bigquerydatatransfer.projects.transferConfigs.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TransferConfig" }, "flatPath": "v1/projects/{projectsId}/transferConfigs/{transferConfigsId}" }, "get": { "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The field will contain name of the resource requested, for example: `projects/{project_id}/transferConfigs/{config_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}`", "pattern": "^projects/[^/]+/transferConfigs/[^/]+$", "required": true } }, "response": { "$ref": "TransferConfig" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "bigquerydatatransfer.projects.transferConfigs.get", "description": "Returns information about a data transfer config.", "flatPath": "v1/projects/{projectsId}/transferConfigs/{transferConfigsId}", "path": "v1/{+name}" }, "list": { "httpMethod": "GET", "parameterOrder": [ "parent" ], "response": { "$ref": "ListTransferConfigsResponse" }, "path": "v1/{+parent}/transferConfigs", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "bigquerydatatransfer.projects.transferConfigs.list", "description": "Returns information about all transfer configs owned by a project in the specified location.", "flatPath": "v1/projects/{projectsId}/transferConfigs", "parameters": { "dataSourceIds": { "location": "query", "description": "When specified, only configurations of requested data sources are returned.", "type": "string", "repeated": true }, "pageSize": { "format": "int32", "description": "Page size. The default page size is the maximum value of 1000 results.", "type": "integer", "location": "query" }, "pageToken": { "description": "Pagination token, which can be used to request a specific page of `ListTransfersRequest` list results. For multiple-page results, `ListTransfersResponse` outputs a `next_page` token, which can be used as the `page_token` value to request the next page of list results.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+$", "type": "string", "description": "Required. The BigQuery project id for which transfer configs should be returned: `projects/{project_id}` or `projects/{project_id}/locations/{location_id}`", "required": true, "location": "path" } } }, "startManualRuns": { "path": "v1/{+parent}:startManualRuns", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "StartManualTransferRunsResponse" }, "request": { "$ref": "StartManualTransferRunsRequest" }, "description": "Start manual transfer runs to be executed now with schedule_time equal to current time. The transfer runs can be created for a time range where the run_time is between start_time (inclusive) and end_time (exclusive), or for a specific run_time.", "httpMethod": "POST", "id": "bigquerydatatransfer.projects.transferConfigs.startManualRuns", "flatPath": "v1/projects/{projectsId}/transferConfigs/{transferConfigsId}:startManualRuns", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/transferConfigs/[^/]+$", "type": "string", "description": "Transfer configuration name in the form: `projects/{project_id}/transferConfigs/{config_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}`.", "location": "path", "required": true } } }, "delete": { "parameterOrder": [ "name" ], "description": "Deletes a data transfer configuration, including any associated transfer runs and logs.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/transferConfigs/{transferConfigsId}", "id": "bigquerydatatransfer.projects.transferConfigs.delete", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "description": "Required. The field will contain name of the resource requested, for example: `projects/{project_id}/transferConfigs/{config_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}`", "pattern": "^projects/[^/]+/transferConfigs/[^/]+$", "type": "string", "location": "path" } }, "path": "v1/{+name}", "response": { "$ref": "Empty" } }, "create": { "parameters": { "serviceAccountName": { "location": "query", "type": "string", "description": "Optional service account name. If this field is set, the transfer config will be created with this service account's credentials. It requires that the requesting user calling this API has permissions to act as this service account. Note that not all data sources support service account credentials when creating a transfer config. For the latest list of data sources, read about [using service accounts](https://cloud.google.com/bigquery-transfer/docs/use-service-accounts)." }, "parent": { "location": "path", "description": "Required. The BigQuery project id where the transfer configuration should be created. Must be in the format projects/{project_id}/locations/{location_id} or projects/{project_id}. If specified location and location of the destination bigquery dataset do not match - the request will fail.", "pattern": "^projects/[^/]+$", "type": "string", "required": true }, "authorizationCode": { "description": "Optional OAuth2 authorization code to use with this transfer configuration. This is required only if `transferConfig.dataSourceId` is 'youtube_channel' and new credentials are needed, as indicated by `CheckValidCreds`. In order to obtain authorization_code, make a request to the following URL: https://www.gstatic.com/bigquerydatatransfer/oauthz/auth? client_id=client_id&scope=data_source_scopes &redirect_uri=urn:ietf:wg:oauth:2.0:oob&response_type=authorization_code LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The client_id is the OAuth client_id of the a data source as returned by ListDataSources method. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh data_source_scopes are the scopes returned by ListDataSources method. Note that this should not be set when `service_account_name` is used to create the transfer config.", "type": "string", "location": "query" }, "versionInfo": { "type": "string", "location": "query", "description": "Optional version info. This is required only if `transferConfig.dataSourceId` is not 'youtube_channel' and new credentials are needed, as indicated by `CheckValidCreds`. In order to obtain version info, make a request to the following URL: https://www.gstatic.com/bigquerydatatransfer/oauthz/auth? client_id=client_id&scope=data_source_scopes &redirect_uri=urn:ietf:wg:oauth:2.0:oob&response_type=version_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The client_id is the OAuth client_id of the a data source as returned by ListDataSources method. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh data_source_scopes are the scopes returned by ListDataSources method. Note that this should not be set when `service_account_name` is used to create the transfer config." } }, "request": { "$ref": "TransferConfig" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/transferConfigs", "id": "bigquerydatatransfer.projects.transferConfigs.create", "path": "v1/{+parent}/transferConfigs", "httpMethod": "POST", "parameterOrder": [ "parent" ], "response": { "$ref": "TransferConfig" }, "description": "Creates a new data transfer configuration." } }, "resources": { "runs": { "resources": { "transferLogs": { "methods": { "list": { "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "location": "query", "description": "Page size. The default page size is the maximum value of 1000 results.", "type": "integer" }, "messageTypes": { "enumDescriptions": [ "No severity specified.", "Informational message.", "Warning message.", "Error message." ], "description": "Message types to return. If not populated - INFO, WARNING and ERROR messages are returned.", "repeated": true, "location": "query", "type": "string", "enum": [ "MESSAGE_SEVERITY_UNSPECIFIED", "INFO", "WARNING", "ERROR" ] }, "pageToken": { "type": "string", "description": "Pagination token, which can be used to request a specific page of `ListTransferLogsRequest` list results. For multiple-page results, `ListTransferLogsResponse` outputs a `next_page` token, which can be used as the `page_token` value to request the next page of list results.", "location": "query" }, "parent": { "description": "Required. Transfer run name in the form: `projects/{project_id}/transferConfigs/{config_id}/runs/{run_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}/runs/{run_id}`", "pattern": "^projects/[^/]+/transferConfigs/[^/]+/runs/[^/]+$", "location": "path", "required": true, "type": "string" } }, "id": "bigquerydatatransfer.projects.transferConfigs.runs.transferLogs.list", "path": "v1/{+parent}/transferLogs", "description": "Returns log messages for the transfer run.", "parameterOrder": [ "parent" ], "response": { "$ref": "ListTransferLogsResponse" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v1/projects/{projectsId}/transferConfigs/{transferConfigsId}/runs/{runsId}/transferLogs" } } } }, "methods": { "delete": { "httpMethod": "DELETE", "description": "Deletes the specified transfer run.", "parameters": { "name": { "type": "string", "description": "Required. The field will contain name of the resource requested, for example: `projects/{project_id}/transferConfigs/{config_id}/runs/{run_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}/runs/{run_id}`", "pattern": "^projects/[^/]+/transferConfigs/[^/]+/runs/[^/]+$", "location": "path", "required": true } }, "parameterOrder": [ "name" ], "id": "bigquerydatatransfer.projects.transferConfigs.runs.delete", "flatPath": "v1/projects/{projectsId}/transferConfigs/{transferConfigsId}/runs/{runsId}", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}" }, "list": { "id": "bigquerydatatransfer.projects.transferConfigs.runs.list", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "response": { "$ref": "ListTransferRunsResponse" }, "parameters": { "states": { "location": "query", "description": "When specified, only transfer runs with requested states are returned.", "repeated": true, "enum": [ "TRANSFER_STATE_UNSPECIFIED", "PENDING", "RUNNING", "SUCCEEDED", "FAILED", "CANCELLED" ], "type": "string", "enumDescriptions": [ "State placeholder (0).", "Data transfer is scheduled and is waiting to be picked up by data transfer backend (2).", "Data transfer is in progress (3).", "Data transfer completed successfully (4).", "Data transfer failed (5).", "Data transfer is cancelled (6)." ] }, "pageToken": { "type": "string", "location": "query", "description": "Pagination token, which can be used to request a specific page of `ListTransferRunsRequest` list results. For multiple-page results, `ListTransferRunsResponse` outputs a `next_page` token, which can be used as the `page_token` value to request the next page of list results." }, "runAttempt": { "enum": [ "RUN_ATTEMPT_UNSPECIFIED", "LATEST" ], "type": "string", "location": "query", "enumDescriptions": [ "All runs should be returned.", "Only latest run per day should be returned." ], "description": "Indicates how run attempts are to be pulled." }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Page size. The default page size is the maximum value of 1000 results." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/transferConfigs/[^/]+$", "description": "Required. Name of transfer configuration for which transfer runs should be retrieved. Format of transfer configuration resource name is: `projects/{project_id}/transferConfigs/{config_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}`.", "location": "path", "required": true } }, "description": "Returns information about running and completed transfer runs.", "flatPath": "v1/projects/{projectsId}/transferConfigs/{transferConfigsId}/runs", "path": "v1/{+parent}/runs", "parameterOrder": [ "parent" ] }, "get": { "description": "Returns information about the particular transfer run.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The field will contain name of the resource requested, for example: `projects/{project_id}/transferConfigs/{config_id}/runs/{run_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}/runs/{run_id}`", "required": true, "pattern": "^projects/[^/]+/transferConfigs/[^/]+/runs/[^/]+$" } }, "response": { "$ref": "TransferRun" }, "id": "bigquerydatatransfer.projects.transferConfigs.runs.get", "httpMethod": "GET", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/transferConfigs/{transferConfigsId}/runs/{runsId}" } } } } }, "dataSources": { "methods": { "list": { "httpMethod": "GET", "path": "v1/{+parent}/dataSources", "flatPath": "v1/projects/{projectsId}/dataSources", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Pagination token, which can be used to request a specific page of `ListDataSourcesRequest` list results. For multiple-page results, `ListDataSourcesResponse` outputs a `next_page` token, which can be used as the `page_token` value to request the next page of list results." }, "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+$", "description": "Required. The BigQuery project id for which data sources should be returned. Must be in the form: `projects/{project_id}` or `projects/{project_id}/locations/{location_id}`" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Page size. The default page size is the maximum value of 1000 results." } }, "response": { "$ref": "ListDataSourcesResponse" }, "description": "Lists supported data sources and returns their settings.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "bigquerydatatransfer.projects.dataSources.list", "parameterOrder": [ "parent" ] }, "get": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "DataSource" }, "description": "Retrieves a supported data source and returns its settings.", "parameters": { "name": { "description": "Required. The field will contain name of the resource requested, for example: `projects/{project_id}/dataSources/{data_source_id}` or `projects/{project_id}/locations/{location_id}/dataSources/{data_source_id}`", "required": true, "pattern": "^projects/[^/]+/dataSources/[^/]+$", "location": "path", "type": "string" } }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/dataSources/{dataSourcesId}", "id": "bigquerydatatransfer.projects.dataSources.get", "path": "v1/{+name}" }, "checkValidCreds": { "id": "bigquerydatatransfer.projects.dataSources.checkValidCreds", "description": "Returns true if valid credentials exist for the given data source and requesting user.", "response": { "$ref": "CheckValidCredsResponse" }, "flatPath": "v1/projects/{projectsId}/dataSources/{dataSourcesId}:checkValidCreds", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "name": { "pattern": "^projects/[^/]+/dataSources/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The data source in the form: `projects/{project_id}/dataSources/{data_source_id}` or `projects/{project_id}/locations/{location_id}/dataSources/{data_source_id}`." } }, "request": { "$ref": "CheckValidCredsRequest" }, "parameterOrder": [ "name" ], "path": "v1/{+name}:checkValidCreds" } } }, "locations": { "methods": { "enrollDataSources": { "parameters": { "name": { "location": "path", "description": "The name of the project resource in the form: `projects/{project_id}`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true } }, "request": { "$ref": "EnrollDataSourcesRequest" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}:enrollDataSources", "path": "v1/{+name}:enrollDataSources", "httpMethod": "POST", "response": { "$ref": "Empty" }, "description": "Enroll data sources in a user project. This allows users to create transfer configurations for these data sources. They will also appear in the ListDataSources RPC and as such, will appear in the [BigQuery UI](https://console.cloud.google.com/bigquery), and the documents can be found in the public guide for [BigQuery Web UI](https://cloud.google.com/bigquery/bigquery-web-ui) and [Data Transfer Service](https://cloud.google.com/bigquery/docs/working-with-transfers).", "id": "bigquerydatatransfer.projects.locations.enrollDataSources", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "response": { "$ref": "ListLocationsResponse" }, "id": "bigquerydatatransfer.projects.locations.list", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+$", "required": true, "description": "The resource that owns the locations collection, if applicable." }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "location": "query", "format": "int32" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v1/projects/{projectsId}/locations", "path": "v1/{+name}/locations" }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "bigquerydatatransfer.projects.locations.get", "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "response": { "$ref": "Location" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Gets information about a location." } }, "resources": { "transferConfigs": { "methods": { "delete": { "response": { "$ref": "Empty" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs/{transferConfigsId}", "description": "Deletes a data transfer configuration, including any associated transfer runs and logs.", "path": "v1/{+name}", "id": "bigquerydatatransfer.projects.locations.transferConfigs.delete", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. The field will contain name of the resource requested, for example: `projects/{project_id}/transferConfigs/{config_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}`", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/transferConfigs/[^/]+$", "required": true } }, "parameterOrder": [ "name" ], "httpMethod": "DELETE" }, "create": { "parameters": { "versionInfo": { "type": "string", "location": "query", "description": "Optional version info. This is required only if `transferConfig.dataSourceId` is not 'youtube_channel' and new credentials are needed, as indicated by `CheckValidCreds`. In order to obtain version info, make a request to the following URL: https://www.gstatic.com/bigquerydatatransfer/oauthz/auth? client_id=client_id&scope=data_source_scopes &redirect_uri=urn:ietf:wg:oauth:2.0:oob&response_type=version_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The client_id is the OAuth client_id of the a data source as returned by ListDataSources method. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh data_source_scopes are the scopes returned by ListDataSources method. Note that this should not be set when `service_account_name` is used to create the transfer config." }, "authorizationCode": { "type": "string", "location": "query", "description": "Optional OAuth2 authorization code to use with this transfer configuration. This is required only if `transferConfig.dataSourceId` is 'youtube_channel' and new credentials are needed, as indicated by `CheckValidCreds`. In order to obtain authorization_code, make a request to the following URL: https://www.gstatic.com/bigquerydatatransfer/oauthz/auth? client_id=client_id&scope=data_source_scopes &redirect_uri=urn:ietf:wg:oauth:2.0:oob&response_type=authorization_code LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The client_id is the OAuth client_id of the a data source as returned by ListDataSources method. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh data_source_scopes are the scopes returned by ListDataSources method. Note that this should not be set when `service_account_name` is used to create the transfer config." }, "parent": { "description": "Required. The BigQuery project id where the transfer configuration should be created. Must be in the format projects/{project_id}/locations/{location_id} or projects/{project_id}. If specified location and location of the destination bigquery dataset do not match - the request will fail.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string" }, "serviceAccountName": { "location": "query", "type": "string", "description": "Optional service account name. If this field is set, the transfer config will be created with this service account's credentials. It requires that the requesting user calling this API has permissions to act as this service account. Note that not all data sources support service account credentials when creating a transfer config. For the latest list of data sources, read about [using service accounts](https://cloud.google.com/bigquery-transfer/docs/use-service-accounts)." } }, "request": { "$ref": "TransferConfig" }, "httpMethod": "POST", "response": { "$ref": "TransferConfig" }, "description": "Creates a new data transfer configuration.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs", "parameterOrder": [ "parent" ], "id": "bigquerydatatransfer.projects.locations.transferConfigs.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/transferConfigs" }, "patch": { "id": "bigquerydatatransfer.projects.locations.transferConfigs.patch", "httpMethod": "PATCH", "path": "v1/{+name}", "parameters": { "serviceAccountName": { "type": "string", "location": "query", "description": "Optional service account name. If this field is set, the transfer config will be created with this service account's credentials. It requires that the requesting user calling this API has permissions to act as this service account. Note that not all data sources support service account credentials when creating a transfer config. For the latest list of data sources, read about [using service accounts](https://cloud.google.com/bigquery-transfer/docs/use-service-accounts)." }, "versionInfo": { "description": "Optional version info. This is required only if `transferConfig.dataSourceId` is not 'youtube_channel' and new credentials are needed, as indicated by `CheckValidCreds`. In order to obtain version info, make a request to the following URL: https://www.gstatic.com/bigquerydatatransfer/oauthz/auth? client_id=client_id&scope=data_source_scopes &redirect_uri=urn:ietf:wg:oauth:2.0:oob&response_type=version_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The client_id is the OAuth client_id of the a data source as returned by ListDataSources method. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh data_source_scopes are the scopes returned by ListDataSources method. Note that this should not be set when `service_account_name` is used to update the transfer config.", "type": "string", "location": "query" }, "name": { "location": "path", "required": true, "description": "The resource name of the transfer config. Transfer config names have the form `projects/{project_id}/locations/{region}/transferConfigs/{config_id}`. Where `config_id` is usually a uuid, even though it is not guaranteed or required. The name is ignored when creating a transfer config.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/transferConfigs/[^/]+$" }, "authorizationCode": { "description": "Optional OAuth2 authorization code to use with this transfer configuration. This is required only if `transferConfig.dataSourceId` is 'youtube_channel' and new credentials are needed, as indicated by `CheckValidCreds`. In order to obtain authorization_code, make a request to the following URL: https://www.gstatic.com/bigquerydatatransfer/oauthz/auth? client_id=client_id&scope=data_source_scopes &redirect_uri=urn:ietf:wg:oauth:2.0:oob&response_type=authorization_code LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The client_id is the OAuth client_id of the a data source as returned by ListDataSources method. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh data_source_scopes are the scopes returned by ListDataSources method. Note that this should not be set when `service_account_name` is used to update the transfer config.", "location": "query", "type": "string" }, "updateMask": { "description": "Required. Required list of fields to be updated in this request.", "type": "string", "format": "google-fieldmask", "location": "query" } }, "parameterOrder": [ "name" ], "request": { "$ref": "TransferConfig" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs/{transferConfigsId}", "description": "Updates a data transfer configuration. All fields must be set, even if they are not updated.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TransferConfig" } }, "get": { "path": "v1/{+name}", "id": "bigquerydatatransfer.projects.locations.transferConfigs.get", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/transferConfigs/[^/]+$", "type": "string", "location": "path", "description": "Required. The field will contain name of the resource requested, for example: `projects/{project_id}/transferConfigs/{config_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}`" } }, "response": { "$ref": "TransferConfig" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs/{transferConfigsId}", "httpMethod": "GET", "description": "Returns information about a data transfer config.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ] }, "startManualRuns": { "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/transferConfigs/[^/]+$", "type": "string", "description": "Transfer configuration name in the form: `projects/{project_id}/transferConfigs/{config_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}`.", "location": "path", "required": true } }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v1/{+parent}:startManualRuns", "description": "Start manual transfer runs to be executed now with schedule_time equal to current time. The transfer runs can be created for a time range where the run_time is between start_time (inclusive) and end_time (exclusive), or for a specific run_time.", "request": { "$ref": "StartManualTransferRunsRequest" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs/{transferConfigsId}:startManualRuns", "id": "bigquerydatatransfer.projects.locations.transferConfigs.startManualRuns", "response": { "$ref": "StartManualTransferRunsResponse" } }, "scheduleRuns": { "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/transferConfigs/[^/]+$", "type": "string", "description": "Required. Transfer configuration name in the form: `projects/{project_id}/transferConfigs/{config_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}`.", "location": "path", "required": true } }, "path": "v1/{+parent}:scheduleRuns", "parameterOrder": [ "parent" ], "id": "bigquerydatatransfer.projects.locations.transferConfigs.scheduleRuns", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ScheduleTransferRunsResponse" }, "request": { "$ref": "ScheduleTransferRunsRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs/{transferConfigsId}:scheduleRuns", "httpMethod": "POST", "description": "Creates transfer runs for a time range [start_time, end_time]. For each date - or whatever granularity the data source supports - in the range, one transfer run is created. Note that runs are created per UTC time in the time range. DEPRECATED: use StartManualTransferRuns instead." }, "list": { "path": "v1/{+parent}/transferConfigs", "description": "Returns information about all transfer configs owned by a project in the specified location.", "parameters": { "dataSourceIds": { "description": "When specified, only configurations of requested data sources are returned.", "location": "query", "type": "string", "repeated": true }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The BigQuery project id for which transfer configs should be returned: `projects/{project_id}` or `projects/{project_id}/locations/{location_id}`", "type": "string", "location": "path" }, "pageSize": { "format": "int32", "type": "integer", "description": "Page size. The default page size is the maximum value of 1000 results.", "location": "query" }, "pageToken": { "description": "Pagination token, which can be used to request a specific page of `ListTransfersRequest` list results. For multiple-page results, `ListTransfersResponse` outputs a `next_page` token, which can be used as the `page_token` value to request the next page of list results.", "location": "query", "type": "string" } }, "response": { "$ref": "ListTransferConfigsResponse" }, "id": "bigquerydatatransfer.projects.locations.transferConfigs.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET" } }, "resources": { "runs": { "methods": { "delete": { "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The field will contain name of the resource requested, for example: `projects/{project_id}/transferConfigs/{config_id}/runs/{run_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}/runs/{run_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/transferConfigs/[^/]+/runs/[^/]+$", "type": "string", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes the specified transfer run.", "id": "bigquerydatatransfer.projects.locations.transferConfigs.runs.delete", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs/{transferConfigsId}/runs/{runsId}", "parameterOrder": [ "name" ] }, "get": { "parameters": { "name": { "description": "Required. The field will contain name of the resource requested, for example: `projects/{project_id}/transferConfigs/{config_id}/runs/{run_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}/runs/{run_id}`", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/transferConfigs/[^/]+/runs/[^/]+$", "location": "path" } }, "path": "v1/{+name}", "response": { "$ref": "TransferRun" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs/{transferConfigsId}/runs/{runsId}", "id": "bigquerydatatransfer.projects.locations.transferConfigs.runs.get", "httpMethod": "GET", "description": "Returns information about the particular transfer run.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ] }, "list": { "description": "Returns information about running and completed transfer runs.", "id": "bigquerydatatransfer.projects.locations.transferConfigs.runs.list", "parameterOrder": [ "parent" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "ListTransferRunsResponse" }, "parameters": { "runAttempt": { "location": "query", "description": "Indicates how run attempts are to be pulled.", "enumDescriptions": [ "All runs should be returned.", "Only latest run per day should be returned." ], "enum": [ "RUN_ATTEMPT_UNSPECIFIED", "LATEST" ], "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Pagination token, which can be used to request a specific page of `ListTransferRunsRequest` list results. For multiple-page results, `ListTransferRunsResponse` outputs a `next_page` token, which can be used as the `page_token` value to request the next page of list results." }, "states": { "type": "string", "location": "query", "enumDescriptions": [ "State placeholder (0).", "Data transfer is scheduled and is waiting to be picked up by data transfer backend (2).", "Data transfer is in progress (3).", "Data transfer completed successfully (4).", "Data transfer failed (5).", "Data transfer is cancelled (6)." ], "enum": [ "TRANSFER_STATE_UNSPECIFIED", "PENDING", "RUNNING", "SUCCEEDED", "FAILED", "CANCELLED" ], "repeated": true, "description": "When specified, only transfer runs with requested states are returned." }, "parent": { "required": true, "location": "path", "description": "Required. Name of transfer configuration for which transfer runs should be retrieved. Format of transfer configuration resource name is: `projects/{project_id}/transferConfigs/{config_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/transferConfigs/[^/]+$" }, "pageSize": { "type": "integer", "format": "int32", "description": "Page size. The default page size is the maximum value of 1000 results.", "location": "query" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs/{transferConfigsId}/runs", "path": "v1/{+parent}/runs" } }, "resources": { "transferLogs": { "methods": { "list": { "parameters": { "parent": { "description": "Required. Transfer run name in the form: `projects/{project_id}/transferConfigs/{config_id}/runs/{run_id}` or `projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}/runs/{run_id}`", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/transferConfigs/[^/]+/runs/[^/]+$", "required": true, "type": "string" }, "pageToken": { "location": "query", "description": "Pagination token, which can be used to request a specific page of `ListTransferLogsRequest` list results. For multiple-page results, `ListTransferLogsResponse` outputs a `next_page` token, which can be used as the `page_token` value to request the next page of list results.", "type": "string" }, "pageSize": { "description": "Page size. The default page size is the maximum value of 1000 results.", "type": "integer", "location": "query", "format": "int32" }, "messageTypes": { "enumDescriptions": [ "No severity specified.", "Informational message.", "Warning message.", "Error message." ], "repeated": true, "enum": [ "MESSAGE_SEVERITY_UNSPECIFIED", "INFO", "WARNING", "ERROR" ], "description": "Message types to return. If not populated - INFO, WARNING and ERROR messages are returned.", "location": "query", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/transferConfigs/{transferConfigsId}/runs/{runsId}/transferLogs", "id": "bigquerydatatransfer.projects.locations.transferConfigs.runs.transferLogs.list", "httpMethod": "GET", "description": "Returns log messages for the transfer run.", "path": "v1/{+parent}/transferLogs", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "parent" ], "response": { "$ref": "ListTransferLogsResponse" } } } } } } } }, "dataSources": { "methods": { "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/dataSources/{dataSourcesId}", "response": { "$ref": "DataSource" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Retrieves a supported data source and returns its settings.", "id": "bigquerydatatransfer.projects.locations.dataSources.get", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "name": { "location": "path", "description": "Required. The field will contain name of the resource requested, for example: `projects/{project_id}/dataSources/{data_source_id}` or `projects/{project_id}/locations/{location_id}/dataSources/{data_source_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/dataSources/[^/]+$", "required": true, "type": "string" } }, "path": "v1/{+name}" }, "checkValidCreds": { "request": { "$ref": "CheckValidCredsRequest" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Returns true if valid credentials exist for the given data source and requesting user.", "id": "bigquerydatatransfer.projects.locations.dataSources.checkValidCreds", "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "Required. The data source in the form: `projects/{project_id}/dataSources/{data_source_id}` or `projects/{project_id}/locations/{location_id}/dataSources/{data_source_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/dataSources/[^/]+$" } }, "path": "v1/{+name}:checkValidCreds", "response": { "$ref": "CheckValidCredsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/dataSources/{dataSourcesId}:checkValidCreds" }, "list": { "description": "Lists supported data sources and returns their settings.", "parameters": { "pageToken": { "type": "string", "description": "Pagination token, which can be used to request a specific page of `ListDataSourcesRequest` list results. For multiple-page results, `ListDataSourcesResponse` outputs a `next_page` token, which can be used as the `page_token` value to request the next page of list results.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The BigQuery project id for which data sources should be returned. Must be in the form: `projects/{project_id}` or `projects/{project_id}/locations/{location_id}`" }, "pageSize": { "format": "int32", "location": "query", "description": "Page size. The default page size is the maximum value of 1000 results.", "type": "integer" } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/dataSources", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/dataSources", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "ListDataSourcesResponse" }, "id": "bigquerydatatransfer.projects.locations.dataSources.list" } } } } } }, "methods": { "enrollDataSources": { "response": { "$ref": "Empty" }, "parameters": { "name": { "required": true, "location": "path", "description": "The name of the project resource in the form: `projects/{project_id}`", "pattern": "^projects/[^/]+$", "type": "string" } }, "request": { "$ref": "EnrollDataSourcesRequest" }, "flatPath": "v1/projects/{projectsId}:enrollDataSources", "description": "Enroll data sources in a user project. This allows users to create transfer configurations for these data sources. They will also appear in the ListDataSources RPC and as such, will appear in the [BigQuery UI](https://console.cloud.google.com/bigquery), and the documents can be found in the public guide for [BigQuery Web UI](https://cloud.google.com/bigquery/bigquery-web-ui) and [Data Transfer Service](https://cloud.google.com/bigquery/docs/working-with-transfers).", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "id": "bigquerydatatransfer.projects.enrollDataSources", "httpMethod": "POST", "path": "v1/{+name}:enrollDataSources", "parameterOrder": [ "name" ] } } } }, "id": "bigquerydatatransfer:v1", "servicePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/bigquery": { "description": "View and manage your data in Google BigQuery and see the email address for your Google Account" }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "kind": "discovery#restDescription", "ownerName": "Google", "ownerDomain": "google.com", "canonicalName": "BigQuery Data Transfer", "discoveryVersion": "v1", "protocol": "rest", "basePath": "", "name": "bigquerydatatransfer", "documentationLink": "https://cloud.google.com/bigquery-transfer/", "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "$.xgafv": { "enum": [ "1", "2" ], "location": "query", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "alt": { "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "type": "string", "description": "Data format for response.", "location": "query" } }, "mtlsRootUrl": "https://bigquerydatatransfer.mtls.googleapis.com/", "description": "Schedule queries or transfer external data from SaaS applications to Google BigQuery on a regular basis.", "title": "BigQuery Data Transfer API", "version": "v1", "baseUrl": "https://bigquerydatatransfer.googleapis.com/", "schemas": { "TransferConfig": { "description": "Represents a data transfer configuration. A transfer configuration contains all metadata needed to perform a data transfer. For example, `destination_dataset_id` specifies where data should be stored. When a new transfer configuration is created, the specified `destination_dataset_id` is created when needed and shared with the appropriate data source service account.", "properties": { "datasetRegion": { "description": "Output only. Region in which BigQuery dataset is located.", "type": "string", "readOnly": true }, "name": { "type": "string", "description": "The resource name of the transfer config. Transfer config names have the form `projects/{project_id}/locations/{region}/transferConfigs/{config_id}`. Where `config_id` is usually a uuid, even though it is not guaranteed or required. The name is ignored when creating a transfer config." }, "disabled": { "type": "boolean", "description": "Is this config disabled. When set to true, no runs are scheduled for a given transfer." }, "userId": { "type": "string", "format": "int64", "description": "Deprecated. Unique ID of the user on whose behalf transfer is done." }, "params": { "type": "object", "description": "Parameters specific to each data source. For more information see the bq tab in the 'Setting up a data transfer' section for each data source. For example the parameters for Cloud Storage transfers are listed here: https://cloud.google.com/bigquery-transfer/docs/cloud-storage-transfer#bq", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "dataRefreshWindowDays": { "type": "integer", "description": "The number of days to look back to automatically refresh the data. For example, if `data_refresh_window_days = 10`, then every day BigQuery reingests data for [today-10, today-1], rather than ingesting data for just [today-1]. Only valid if the data source supports the feature. Set the value to 0 to use the default value.", "format": "int32" }, "state": { "readOnly": true, "type": "string", "enumDescriptions": [ "State placeholder (0).", "Data transfer is scheduled and is waiting to be picked up by data transfer backend (2).", "Data transfer is in progress (3).", "Data transfer completed successfully (4).", "Data transfer failed (5).", "Data transfer is cancelled (6)." ], "description": "Output only. State of the most recently updated transfer run.", "enum": [ "TRANSFER_STATE_UNSPECIFIED", "PENDING", "RUNNING", "SUCCEEDED", "FAILED", "CANCELLED" ] }, "ownerInfo": { "$ref": "UserInfo", "description": "Output only. Information about the user whose credentials are used to transfer data. Populated only for `transferConfigs.get` requests. In case the user information is not available, this field will not be populated.", "readOnly": true }, "updateTime": { "description": "Output only. Data transfer modification time. Ignored by server on input.", "readOnly": true, "format": "google-datetime", "type": "string" }, "notificationPubsubTopic": { "type": "string", "description": "Pub/Sub topic where notifications will be sent after transfer runs associated with this transfer config finish. The format for specifying a pubsub topic is: `projects/{project}/topics/{topic}`" }, "scheduleOptions": { "description": "Options customizing the data transfer schedule.", "$ref": "ScheduleOptions" }, "displayName": { "description": "User specified display name for the data transfer.", "type": "string" }, "schedule": { "type": "string", "description": "Data transfer schedule. If the data source does not support a custom schedule, this should be empty. If it is empty, the default value for the data source will be used. The specified times are in UTC. Examples of valid format: `1st,3rd monday of month 15:30`, `every wed,fri of jan,jun 13:15`, and `first sunday of quarter 00:00`. See more explanation about the format here: https://cloud.google.com/appengine/docs/flexible/python/scheduling-jobs-with-cron-yaml#the_schedule_format NOTE: The minimum interval time between recurring transfers depends on the data source; refer to the documentation for your data source." }, "dataSourceId": { "type": "string", "description": "Data source id. Cannot be changed once data transfer is created." }, "destinationDatasetId": { "type": "string", "description": "The BigQuery target dataset id." }, "nextRunTime": { "type": "string", "description": "Output only. Next time when data transfer will run.", "readOnly": true, "format": "google-datetime" }, "emailPreferences": { "description": "Email notifications will be sent according to these preferences to the email address of the user who owns this transfer config.", "$ref": "EmailPreferences" } }, "id": "TransferConfig", "type": "object" }, "StartManualTransferRunsRequest": { "id": "StartManualTransferRunsRequest", "type": "object", "properties": { "requestedRunTime": { "format": "google-datetime", "type": "string", "description": "Specific run_time for a transfer run to be started. The requested_run_time must not be in the future." }, "requestedTimeRange": { "$ref": "TimeRange", "description": "Time range for the transfer runs that should be started." } }, "description": "A request to start manual transfer runs." }, "EnrollDataSourcesRequest": { "description": "A request to enroll a set of data sources so they are visible in the BigQuery UI's `Transfer` tab.", "properties": { "dataSourceIds": { "items": { "type": "string" }, "type": "array", "description": "Data sources that are enrolled. It is required to provide at least one data source id." } }, "id": "EnrollDataSourcesRequest", "type": "object" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } } }, "description": "The response message for Locations.ListLocations." }, "ScheduleTransferRunsRequest": { "description": "A request to schedule transfer runs for a time range.", "type": "object", "properties": { "endTime": { "format": "google-datetime", "type": "string", "description": "Required. End time of the range of transfer runs. For example, `\"2017-05-30T00:00:00+00:00\"`." }, "startTime": { "description": "Required. Start time of the range of transfer runs. For example, `\"2017-05-25T00:00:00+00:00\"`.", "format": "google-datetime", "type": "string" } }, "id": "ScheduleTransferRunsRequest" }, "TransferMessage": { "description": "Represents a user facing message for a particular data transfer run.", "id": "TransferMessage", "properties": { "messageText": { "type": "string", "description": "Message text." }, "severity": { "enum": [ "MESSAGE_SEVERITY_UNSPECIFIED", "INFO", "WARNING", "ERROR" ], "type": "string", "description": "Message severity.", "enumDescriptions": [ "No severity specified.", "Informational message.", "Warning message.", "Error message." ] }, "messageTime": { "type": "string", "format": "google-datetime", "description": "Time when message was logged." } }, "type": "object" }, "TransferRun": { "id": "TransferRun", "properties": { "updateTime": { "description": "Output only. Last time the data transfer run state was updated.", "format": "google-datetime", "readOnly": true, "type": "string" }, "params": { "readOnly": true, "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Output only. Parameters specific to each data source. For more information see the bq tab in the 'Setting up a data transfer' section for each data source. For example the parameters for Cloud Storage transfers are listed here: https://cloud.google.com/bigquery-transfer/docs/cloud-storage-transfer#bq", "type": "object" }, "dataSourceId": { "readOnly": true, "type": "string", "description": "Output only. Data source id." }, "schedule": { "readOnly": true, "description": "Output only. Describes the schedule of this transfer run if it was created as part of a regular schedule. For batch transfer runs that are scheduled manually, this is empty. NOTE: the system might choose to delay the schedule depending on the current load, so `schedule_time` doesn't always match this.", "type": "string" }, "endTime": { "description": "Output only. Time when transfer run ended. Parameter ignored by server for input requests.", "format": "google-datetime", "type": "string", "readOnly": true }, "state": { "description": "Data transfer run state. Ignored for input requests.", "enumDescriptions": [ "State placeholder (0).", "Data transfer is scheduled and is waiting to be picked up by data transfer backend (2).", "Data transfer is in progress (3).", "Data transfer completed successfully (4).", "Data transfer failed (5).", "Data transfer is cancelled (6)." ], "type": "string", "enum": [ "TRANSFER_STATE_UNSPECIFIED", "PENDING", "RUNNING", "SUCCEEDED", "FAILED", "CANCELLED" ] }, "destinationDatasetId": { "type": "string", "description": "Output only. The BigQuery target dataset id.", "readOnly": true }, "errorStatus": { "description": "Status of the transfer run.", "$ref": "Status" }, "runTime": { "description": "For batch transfer runs, specifies the date and time of the data should be ingested.", "format": "google-datetime", "type": "string" }, "notificationPubsubTopic": { "description": "Output only. Pub/Sub topic where a notification will be sent after this transfer run finishes. The format for specifying a pubsub topic is: `projects/{project}/topics/{topic}`", "readOnly": true, "type": "string" }, "name": { "type": "string", "description": "The resource name of the transfer run. Transfer run names have the form `projects/{project_id}/locations/{location}/transferConfigs/{config_id}/runs/{run_id}`. The name is ignored when creating a transfer run." }, "scheduleTime": { "description": "Minimum time after which a transfer run can be started.", "type": "string", "format": "google-datetime" }, "startTime": { "readOnly": true, "description": "Output only. Time when transfer run was started. Parameter ignored by server for input requests.", "format": "google-datetime", "type": "string" }, "emailPreferences": { "$ref": "EmailPreferences", "description": "Output only. Email notifications will be sent according to these preferences to the email address of the user who owns the transfer config this run was derived from.", "readOnly": true }, "userId": { "description": "Deprecated. Unique ID of the user on whose behalf transfer is done.", "format": "int64", "type": "string" } }, "description": "Represents a data transfer run.", "type": "object" }, "CheckValidCredsResponse": { "properties": { "hasValidCreds": { "type": "boolean", "description": "If set to `true`, the credentials exist and are valid." } }, "id": "CheckValidCredsResponse", "type": "object", "description": "A response indicating whether the credentials exist and are valid." }, "ScheduleTransferRunsResponse": { "description": "A response to schedule transfer runs for a time range.", "type": "object", "properties": { "runs": { "description": "The transfer runs that were scheduled.", "type": "array", "items": { "$ref": "TransferRun" } } }, "id": "ScheduleTransferRunsResponse" }, "ListDataSourcesResponse": { "type": "object", "description": "Returns list of supported data sources and their metadata.", "properties": { "nextPageToken": { "description": "Output only. The next-pagination token. For multiple-page list results, this token can be used as the `ListDataSourcesRequest.page_token` to request the next page of list results.", "type": "string", "readOnly": true }, "dataSources": { "items": { "$ref": "DataSource" }, "description": "List of supported data sources and their transfer settings.", "type": "array" } }, "id": "ListDataSourcesResponse" }, "ScheduleOptions": { "description": "Options customizing the data transfer schedule.", "properties": { "disableAutoScheduling": { "type": "boolean", "description": "If true, automatic scheduling of data transfer runs for this configuration will be disabled. The runs can be started on ad-hoc basis using StartManualTransferRuns API. When automatic scheduling is disabled, the TransferConfig.schedule field will be ignored." }, "startTime": { "format": "google-datetime", "type": "string", "description": "Specifies time to start scheduling transfer runs. The first run will be scheduled at or after the start time according to a recurrence pattern defined in the schedule string. The start time can be changed at any moment. The time when a data transfer can be trigerred manually is not limited by this option." }, "endTime": { "description": "Defines time to stop scheduling transfer runs. A transfer run cannot be scheduled at or after the end time. The end time can be changed at any moment. The time when a data transfer can be trigerred manually is not limited by this option.", "type": "string", "format": "google-datetime" } }, "type": "object", "id": "ScheduleOptions" }, "ListTransferLogsResponse": { "description": "The returned list transfer run messages.", "id": "ListTransferLogsResponse", "type": "object", "properties": { "transferMessages": { "items": { "$ref": "TransferMessage" }, "type": "array", "description": "Output only. The stored pipeline transfer messages.", "readOnly": true }, "nextPageToken": { "readOnly": true, "description": "Output only. The next-pagination token. For multiple-page list results, this token can be used as the `GetTransferRunLogRequest.page_token` to request the next page of list results.", "type": "string" } } }, "ListTransferConfigsResponse": { "description": "The returned list of pipelines in the project.", "properties": { "nextPageToken": { "type": "string", "description": "Output only. The next-pagination token. For multiple-page list results, this token can be used as the `ListTransferConfigsRequest.page_token` to request the next page of list results.", "readOnly": true }, "transferConfigs": { "items": { "$ref": "TransferConfig" }, "type": "array", "readOnly": true, "description": "Output only. The stored pipeline transfer configurations." } }, "type": "object", "id": "ListTransferConfigsResponse" }, "Location": { "properties": { "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "labels": { "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" } }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "type": "object", "description": "A resource that represents Google Cloud Platform location.", "id": "Location" }, "CheckValidCredsRequest": { "type": "object", "description": "A request to determine whether the user has valid credentials. This method is used to limit the number of OAuth popups in the user interface. The user id is inferred from the API call context. If the data source has the Google+ authorization type, this method returns false, as it cannot be determined whether the credentials are already valid merely based on the user id.", "properties": {}, "id": "CheckValidCredsRequest" }, "DataSource": { "id": "DataSource", "properties": { "displayName": { "type": "string", "description": "User friendly data source name." }, "defaultDataRefreshWindowDays": { "type": "integer", "description": "Default data refresh window on days. Only meaningful when `data_refresh_type` = `SLIDING_WINDOW`.", "format": "int32" }, "minimumScheduleInterval": { "type": "string", "description": "The minimum interval for scheduler to schedule runs.", "format": "google-duration" }, "transferType": { "enumDescriptions": [ "Invalid or Unknown transfer type placeholder.", "Batch data transfer.", "Streaming data transfer. Streaming data source currently doesn't support multiple transfer configs per project." ], "enum": [ "TRANSFER_TYPE_UNSPECIFIED", "BATCH", "STREAMING" ], "type": "string", "description": "Deprecated. This field has no effect." }, "supportsMultipleTransfers": { "type": "boolean", "description": "Deprecated. This field has no effect." }, "dataRefreshType": { "type": "string", "description": "Specifies whether the data source supports automatic data refresh for the past few days, and how it's supported. For some data sources, data might not be complete until a few days later, so it's useful to refresh data automatically.", "enum": [ "DATA_REFRESH_TYPE_UNSPECIFIED", "SLIDING_WINDOW", "CUSTOM_SLIDING_WINDOW" ], "enumDescriptions": [ "The data source won't support data auto refresh, which is default value.", "The data source supports data auto refresh, and runs will be scheduled for the past few days. Does not allow custom values to be set for each transfer config.", "The data source supports data auto refresh, and runs will be scheduled for the past few days. Allows custom values to be set for each transfer config." ] }, "manualRunsDisabled": { "description": "Disables backfilling and manual run scheduling for the data source.", "type": "boolean" }, "dataSourceId": { "description": "Data source id.", "type": "string" }, "updateDeadlineSeconds": { "description": "The number of seconds to wait for an update from the data source before the Data Transfer Service marks the transfer as FAILED.", "format": "int32", "type": "integer" }, "authorizationType": { "enum": [ "AUTHORIZATION_TYPE_UNSPECIFIED", "AUTHORIZATION_CODE", "GOOGLE_PLUS_AUTHORIZATION_CODE", "FIRST_PARTY_OAUTH" ], "description": "Indicates the type of authorization.", "type": "string", "enumDescriptions": [ "Type unspecified.", "Use OAuth 2 authorization codes that can be exchanged for a refresh token on the backend.", "Return an authorization code for a given Google+ page that can then be exchanged for a refresh token on the backend.", "Use First Party OAuth." ] }, "scopes": { "description": "Api auth scopes for which refresh token needs to be obtained. These are scopes needed by a data source to prepare data and ingest them into BigQuery, e.g., https://www.googleapis.com/auth/bigquery", "type": "array", "items": { "type": "string" } }, "defaultSchedule": { "type": "string", "description": "Default data transfer schedule. Examples of valid schedules include: `1st,3rd monday of month 15:30`, `every wed,fri of jan,jun 13:15`, and `first sunday of quarter 00:00`." }, "supportsCustomSchedule": { "type": "boolean", "description": "Specifies whether the data source supports a user defined schedule, or operates on the default schedule. When set to `true`, user can override default schedule." }, "clientId": { "description": "Data source client id which should be used to receive refresh token.", "type": "string" }, "parameters": { "description": "Data source parameters.", "items": { "$ref": "DataSourceParameter" }, "type": "array" }, "helpUrl": { "type": "string", "description": "Url for the help document for this data source." }, "description": { "description": "User friendly data source description string.", "type": "string" }, "name": { "type": "string", "readOnly": true, "description": "Output only. Data source resource name." } }, "type": "object", "description": "Defines the properties and custom parameters for a data source." }, "StartManualTransferRunsResponse": { "id": "StartManualTransferRunsResponse", "type": "object", "description": "A response to start manual transfer runs.", "properties": { "runs": { "type": "array", "items": { "$ref": "TransferRun" }, "description": "The transfer runs that were created." } } }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "type": "object", "properties": {} }, "UserInfo": { "type": "object", "properties": { "email": { "type": "string", "description": "E-mail address of the user." } }, "id": "UserInfo", "description": "Information about a user." }, "ListTransferRunsResponse": { "id": "ListTransferRunsResponse", "type": "object", "description": "The returned list of pipelines in the project.", "properties": { "transferRuns": { "readOnly": true, "items": { "$ref": "TransferRun" }, "description": "Output only. The stored pipeline transfer runs.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Output only. The next-pagination token. For multiple-page list results, this token can be used as the `ListTransferRunsRequest.page_token` to request the next page of list results.", "readOnly": true } } }, "TimeRange": { "description": "A specification for a time range, this will request transfer runs with run_time between start_time (inclusive) and end_time (exclusive).", "type": "object", "properties": { "startTime": { "format": "google-datetime", "type": "string", "description": "Start time of the range of transfer runs. For example, `\"2017-05-25T00:00:00+00:00\"`. The start_time must be strictly less than the end_time. Creates transfer runs where run_time is in the range between start_time (inclusive) and end_time (exclusive)." }, "endTime": { "description": "End time of the range of transfer runs. For example, `\"2017-05-30T00:00:00+00:00\"`. The end_time must not be in the future. Creates transfer runs where run_time is in the range between start_time (inclusive) and end_time (exclusive).", "format": "google-datetime", "type": "string" } }, "id": "TimeRange" }, "Status": { "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status" }, "DataSourceParameter": { "description": "A parameter used to define custom fields in a data source definition.", "properties": { "displayName": { "description": "Parameter display name in the user interface.", "type": "string" }, "validationHelpUrl": { "type": "string", "description": "URL to a help document to further explain the naming requirements." }, "required": { "description": "Is parameter required.", "type": "boolean" }, "type": { "enumDescriptions": [ "Type unspecified.", "String parameter.", "Integer parameter (64-bits). Will be serialized to json as string.", "Double precision floating point parameter.", "Boolean parameter.", "Deprecated. This field has no effect.", "Page ID for a Google+ Page." ], "enum": [ "TYPE_UNSPECIFIED", "STRING", "INTEGER", "DOUBLE", "BOOLEAN", "RECORD", "PLUS_PAGE" ], "type": "string", "description": "Parameter type." }, "allowedValues": { "description": "All possible values for the parameter.", "items": { "type": "string" }, "type": "array" }, "paramId": { "description": "Parameter identifier.", "type": "string" }, "description": { "type": "string", "description": "Parameter description." }, "repeated": { "type": "boolean", "description": "Deprecated. This field has no effect." }, "deprecated": { "type": "boolean", "description": "If true, it should not be used in new transfers, and it should not be visible to users." }, "immutable": { "type": "boolean", "description": "Cannot be changed after initial creation." }, "validationRegex": { "type": "string", "description": "Regular expression which can be used for parameter validation." }, "minValue": { "description": "For integer and double values specifies minimum allowed value.", "type": "number", "format": "double" }, "fields": { "items": { "$ref": "DataSourceParameter" }, "type": "array", "description": "Deprecated. This field has no effect." }, "maxValue": { "format": "double", "type": "number", "description": "For integer and double values specifies maxminum allowed value." }, "recurse": { "type": "boolean", "description": "Deprecated. This field has no effect." }, "validationDescription": { "description": "Description of the requirements for this field, in case the user input does not fulfill the regex pattern or min/max values.", "type": "string" } }, "id": "DataSourceParameter", "type": "object" }, "EmailPreferences": { "id": "EmailPreferences", "properties": { "enableFailureEmail": { "type": "boolean", "description": "If true, email notifications will be sent on transfer run failures." } }, "type": "object", "description": "Represents preferences for sending email notifications for transfer run events." } }, "rootUrl": "https://bigquerydatatransfer.googleapis.com/", "version_module": true, "batchPath": "batch", "revision": "20220701", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" } }
]===]))
