local decode = require("cjson").new().decode
return assert(decode([===[
{ "baseUrl": "https://bigqueryreservation.googleapis.com/", "ownerDomain": "google.com", "fullyEncodeReservedExpansion": true, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "kind": "discovery#restDescription", "title": "BigQuery Reservation API", "id": "bigqueryreservation:v1", "version": "v1", "description": "A service to modify your BigQuery flat-rate reservations.", "rootUrl": "https://bigqueryreservation.googleapis.com/", "batchPath": "batch", "name": "bigqueryreservation", "schemas": { "TableReference": { "description": "Fully qualified reference to BigQuery table. Internally stored as google.cloud.bi.v1.BqTableReference.", "properties": { "projectId": { "description": "The assigned project ID of the project.", "type": "string" }, "tableId": { "description": "The ID of the table in the above dataset.", "type": "string" }, "datasetId": { "type": "string", "description": "The ID of the dataset in the above project." } }, "type": "object", "id": "TableReference" }, "Status": { "type": "object", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "type": "array", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status" }, "SearchAllAssignmentsResponse": { "description": "The response for ReservationService.SearchAllAssignments.", "id": "SearchAllAssignmentsResponse", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "assignments": { "description": "List of assignments visible to the user.", "type": "array", "items": { "$ref": "Assignment" } } }, "type": "object" }, "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "id": "Empty" }, "ListCapacityCommitmentsResponse": { "description": "The response for ReservationService.ListCapacityCommitments.", "properties": { "capacityCommitments": { "type": "array", "items": { "$ref": "CapacityCommitment" }, "description": "List of capacity commitments visible to the user." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "type": "object", "id": "ListCapacityCommitmentsResponse" }, "ListAssignmentsResponse": { "id": "ListAssignmentsResponse", "type": "object", "properties": { "assignments": { "description": "List of assignments visible to the user.", "type": "array", "items": { "$ref": "Assignment" } }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "description": "The response for ReservationService.ListAssignments." }, "Reservation": { "properties": { "creationTime": { "format": "google-datetime", "description": "Output only. Creation time of the reservation.", "readOnly": true, "type": "string" }, "concurrency": { "description": "Maximum number of queries that are allowed to run concurrently in this reservation. This is a soft limit due to asynchronous nature of the system and various optimizations for small queries. Default value is 0 which means that concurrency will be automatically set based on the reservation size.", "format": "int64", "type": "string" }, "updateTime": { "type": "string", "description": "Output only. Last update time of the reservation.", "format": "google-datetime", "readOnly": true }, "ignoreIdleSlots": { "description": "If false, any query or pipeline job using this reservation will use idle slots from other reservations within the same admin project. If true, a query or pipeline job using this reservation will execute with the slot capacity specified in the slot_capacity field at most.", "type": "boolean" }, "name": { "description": "The resource name of the reservation, e.g., `projects/*/locations/*/reservations/team1-prod`. The reservation_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.", "type": "string" }, "multiRegionAuxiliary": { "type": "boolean", "description": "Applicable only for reservations located within one of the BigQuery multi-regions (US or EU). If set to true, this reservation is placed in the organization's secondary region which is designated for disaster recovery purposes. If false, this reservation is placed in the organization's default region." }, "slotCapacity": { "type": "string", "description": "Minimum slots available to this reservation. A slot is a unit of computational power in BigQuery, and serves as the unit of parallelism. Queries using this reservation might use more slots during runtime if ignore_idle_slots is set to false. If total slot_capacity of the reservation and its siblings exceeds the total slot_count of all capacity commitments, the request will fail with `google.rpc.Code.RESOURCE_EXHAUSTED`. NOTE: for reservations in US or EU multi-regions, slot capacity constraints are checked separately for default and auxiliary regions. See multi_region_auxiliary flag for more details.", "format": "int64" } }, "type": "object", "description": "A reservation is a mechanism used to guarantee slots to users.", "id": "Reservation" }, "SplitCapacityCommitmentRequest": { "description": "The request for ReservationService.SplitCapacityCommitment.", "type": "object", "id": "SplitCapacityCommitmentRequest", "properties": { "slotCount": { "type": "string", "format": "int64", "description": "Number of slots in the capacity commitment after the split." } } }, "SearchAssignmentsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "assignments": { "description": "List of assignments visible to the user.", "type": "array", "items": { "$ref": "Assignment" } } }, "description": "The response for ReservationService.SearchAssignments.", "id": "SearchAssignmentsResponse" }, "BiReservation": { "id": "BiReservation", "type": "object", "description": "Represents a BI Reservation.", "properties": { "size": { "type": "string", "description": "Size of a reservation, in bytes.", "format": "int64" }, "preferredTables": { "items": { "$ref": "TableReference" }, "type": "array", "description": "Preferred tables to use BI capacity for." }, "updateTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The last update timestamp of a reservation.", "type": "string" }, "name": { "description": "The resource name of the singleton BI reservation. Reservation names have the form `projects/{project_id}/locations/{location_id}/biReservation`.", "type": "string" } } }, "ListReservationsResponse": { "description": "The response for ReservationService.ListReservations.", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "reservations": { "items": { "$ref": "Reservation" }, "type": "array", "description": "List of reservations visible to the user." } }, "type": "object", "id": "ListReservationsResponse" }, "MergeCapacityCommitmentsRequest": { "properties": { "capacityCommitmentIds": { "type": "array", "description": "Ids of capacity commitments to merge. These capacity commitments must exist under admin project and location specified in the parent. ID is the last portion of capacity commitment name e.g., 'abc' for projects/myproject/locations/US/capacityCommitments/abc", "items": { "type": "string" } } }, "id": "MergeCapacityCommitmentsRequest", "type": "object", "description": "The request for ReservationService.MergeCapacityCommitments." }, "SplitCapacityCommitmentResponse": { "id": "SplitCapacityCommitmentResponse", "type": "object", "description": "The response for ReservationService.SplitCapacityCommitment.", "properties": { "second": { "description": "Second capacity commitment, result of a split.", "$ref": "CapacityCommitment" }, "first": { "$ref": "CapacityCommitment", "description": "First capacity commitment, result of a split." } } }, "Assignment": { "properties": { "assignee": { "type": "string", "description": "The resource which will use the reservation. E.g. `projects/myproject`, `folders/123`, or `organizations/456`." }, "jobType": { "type": "string", "description": "Which type of jobs will use the reservation.", "enum": [ "JOB_TYPE_UNSPECIFIED", "PIPELINE", "QUERY", "ML_EXTERNAL" ], "enumDescriptions": [ "Invalid type. Requests with this value will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`.", "Pipeline (load/export) jobs from the project will use the reservation.", "Query jobs from the project will use the reservation.", "BigQuery ML jobs that use services external to BigQuery for model training. These jobs will not utilize idle slots from other reservations." ] }, "name": { "description": "Output only. Name of the resource. E.g.: `projects/myproject/locations/US/reservations/team1-prod/assignments/123`. The assignment_id must only contain lower case alphanumeric characters or dashes and the max length is 64 characters.", "readOnly": true, "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "ACTIVE" ], "readOnly": true, "description": "Output only. State of the assignment.", "type": "string", "enumDescriptions": [ "Invalid state value.", "Queries from assignee will be executed as on-demand, if related assignment is pending.", "Assignment is ready." ] } }, "description": "An assignment allows a project to submit jobs of a certain type using slots from the specified reservation.", "id": "Assignment", "type": "object" }, "CapacityCommitment": { "description": "Capacity commitment is a way to purchase compute capacity for BigQuery jobs (in the form of slots) with some committed period of usage. Annual commitments renew by default. Commitments can be removed after their commitment end time passes. In order to remove annual commitment, its plan needs to be changed to monthly or flex first. A capacity commitment resource exists as a child resource of the admin project.", "type": "object", "id": "CapacityCommitment", "properties": { "multiRegionAuxiliary": { "type": "boolean", "description": "Applicable only for commitments located within one of the BigQuery multi-regions (US or EU). If set to true, this commitment is placed in the organization's secondary region which is designated for disaster recovery purposes. If false, this commitment is placed in the organization's default region." }, "state": { "description": "Output only. State of the commitment.", "enumDescriptions": [ "Invalid state value.", "Capacity commitment is pending provisioning. Pending capacity commitment does not contribute to the project's slot_capacity.", "Once slots are provisioned, capacity commitment becomes active. slot_count is added to the project's slot_capacity.", "Capacity commitment is failed to be activated by the backend." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "PENDING", "ACTIVE", "FAILED" ], "readOnly": true }, "renewalPlan": { "enum": [ "COMMITMENT_PLAN_UNSPECIFIED", "FLEX", "TRIAL", "MONTHLY", "ANNUAL" ], "enumDescriptions": [ "Invalid plan value. Requests with this value will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`.", "Flex commitments have committed period of 1 minute after becoming ACTIVE. After that, they are not in a committed period anymore and can be removed any time.", "Trial commitments have a committed period of 182 days after becoming ACTIVE. After that, they are converted to a new commitment based on the `renewal_plan`. Default `renewal_plan` for Trial commitment is Flex so that it can be deleted right after committed period ends.", "Monthly commitments have a committed period of 30 days after becoming ACTIVE. After that, they are not in a committed period anymore and can be removed any time.", "Annual commitments have a committed period of 365 days after becoming ACTIVE. After that they are converted to a new commitment based on the renewal_plan." ], "type": "string", "description": "The plan this capacity commitment is converted to after commitment_end_time passes. Once the plan is changed, committed period is extended according to commitment plan. Only applicable for ANNUAL and TRIAL commitments." }, "commitmentStartTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The start of the current commitment period. It is applicable only for ACTIVE capacity commitments." }, "plan": { "type": "string", "description": "Capacity commitment commitment plan.", "enum": [ "COMMITMENT_PLAN_UNSPECIFIED", "FLEX", "TRIAL", "MONTHLY", "ANNUAL" ], "enumDescriptions": [ "Invalid plan value. Requests with this value will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`.", "Flex commitments have committed period of 1 minute after becoming ACTIVE. After that, they are not in a committed period anymore and can be removed any time.", "Trial commitments have a committed period of 182 days after becoming ACTIVE. After that, they are converted to a new commitment based on the `renewal_plan`. Default `renewal_plan` for Trial commitment is Flex so that it can be deleted right after committed period ends.", "Monthly commitments have a committed period of 30 days after becoming ACTIVE. After that, they are not in a committed period anymore and can be removed any time.", "Annual commitments have a committed period of 365 days after becoming ACTIVE. After that they are converted to a new commitment based on the renewal_plan." ] }, "failureStatus": { "$ref": "Status", "description": "Output only. For FAILED commitment plan, provides the reason of failure.", "readOnly": true }, "slotCount": { "description": "Number of slots in this commitment.", "type": "string", "format": "int64" }, "commitmentEndTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The end of the current commitment period. It is applicable only for ACTIVE capacity commitments." }, "name": { "description": "Output only. The resource name of the capacity commitment, e.g., `projects/myproject/locations/US/capacityCommitments/123` The commitment_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.", "type": "string", "readOnly": true } } }, "MoveAssignmentRequest": { "description": "The request for ReservationService.MoveAssignment. **Note**: \"bigquery.reservationAssignments.create\" permission is required on the destination_id. **Note**: \"bigquery.reservationAssignments.create\" and \"bigquery.reservationAssignments.delete\" permission are required on the related assignee.", "id": "MoveAssignmentRequest", "properties": { "destinationId": { "description": "The new reservation ID, e.g.: `projects/myotherproject/locations/US/reservations/team2-prod`", "type": "string" } }, "type": "object" } }, "documentationLink": "https://cloud.google.com/bigquery/", "servicePath": "", "ownerName": "Google", "parameters": { "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "alt": { "type": "string", "location": "query", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "$.xgafv": { "location": "query", "description": "V1 error format.", "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "callback": { "location": "query", "type": "string", "description": "JSONP" } }, "basePath": "", "revision": "20220630", "resources": { "projects": { "resources": { "locations": { "resources": { "capacityCommitments": { "methods": { "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/capacityCommitments", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "enforceSingleAdminProjectPerOrg": { "type": "boolean", "description": "If true, fail the request if another project in the organization has a capacity commitment.", "location": "query" }, "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. Resource name of the parent reservation. E.g., `projects/myproject/locations/US`" }, "capacityCommitmentId": { "type": "string", "location": "query", "description": "The optional capacity commitment ID. Capacity commitment name will be generated automatically if this field is empty. This field must only contain lower case alphanumeric characters or dashes. The first and last character cannot be a dash. Max length is 64 characters. NOTE: this ID won't be kept if the capacity commitment is split or merged." } }, "path": "v1/{+parent}/capacityCommitments", "request": { "$ref": "CapacityCommitment" }, "httpMethod": "POST", "response": { "$ref": "CapacityCommitment" }, "description": "Creates a new capacity commitment resource.", "id": "bigqueryreservation.projects.locations.capacityCommitments.create" }, "merge": { "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/capacityCommitments:merge", "request": { "$ref": "MergeCapacityCommitmentsRequest" }, "path": "v1/{+parent}/capacityCommitments:merge", "httpMethod": "POST", "response": { "$ref": "CapacityCommitment" }, "description": "Merges capacity commitments of the same plan into a single commitment. The resulting capacity commitment has the greater commitment_end_time out of the to-be-merged capacity commitments. Attempting to merge capacity commitments of different plan will fail with the error code `google.rpc.Code.FAILED_PRECONDITION`.", "id": "bigqueryreservation.projects.locations.capacityCommitments.merge", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "description": "Parent resource that identifies admin project and location e.g., `projects/myproject/locations/us`", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path" } } }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/capacityCommitments/{capacityCommitmentsId}", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "Required. Resource name of the capacity commitment to retrieve. E.g., `projects/myproject/locations/US/capacityCommitments/123`", "pattern": "^projects/[^/]+/locations/[^/]+/capacityCommitments/[^/]+$" } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "bigqueryreservation.projects.locations.capacityCommitments.get", "httpMethod": "GET", "description": "Returns information about the capacity commitment.", "response": { "$ref": "CapacityCommitment" } }, "delete": { "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/capacityCommitments/{capacityCommitmentsId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/capacityCommitments/[^/]+$", "type": "string", "description": "Required. Resource name of the capacity commitment to delete. E.g., `projects/myproject/locations/US/capacityCommitments/123`", "location": "path", "required": true }, "force": { "type": "boolean", "location": "query", "description": "Can be used to force delete commitments even if assignments exist. Deleting commitments with assignments may cause queries to fail if they no longer have access to slots." } }, "parameterOrder": [ "name" ], "description": "Deletes a capacity commitment. Attempting to delete capacity commitment before its commitment_end_time will fail with the error code `google.rpc.Code.FAILED_PRECONDITION`.", "id": "bigqueryreservation.projects.locations.capacityCommitments.delete", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "response": { "$ref": "Empty" } }, "split": { "request": { "$ref": "SplitCapacityCommitmentRequest" }, "description": "Splits capacity commitment to two commitments of the same plan and `commitment_end_time`. A common use case is to enable downgrading commitments. For example, in order to downgrade from 10000 slots to 8000, you might split a 10000 capacity commitment into commitments of 2000 and 8000. Then, you delete the first one after the commitment end time passes.", "path": "v1/{+name}:split", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/capacityCommitments/{capacityCommitmentsId}:split", "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/capacityCommitments/[^/]+$", "required": true, "description": "Required. The resource name e.g.,: `projects/myproject/locations/US/capacityCommitments/123`", "location": "path", "type": "string" } }, "response": { "$ref": "SplitCapacityCommitmentResponse" }, "parameterOrder": [ "name" ], "id": "bigqueryreservation.projects.locations.capacityCommitments.split" }, "list": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all the capacity commitments for the admin project.", "id": "bigqueryreservation.projects.locations.capacityCommitments.list", "response": { "$ref": "ListCapacityCommitmentsResponse" }, "path": "v1/{+parent}/capacityCommitments", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/capacityCommitments", "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "Required. Resource name of the parent reservation. E.g., `projects/myproject/locations/US`", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous List request, if any.", "type": "string" }, "pageSize": { "type": "integer", "description": "The maximum number of items to return.", "location": "query", "format": "int32" } }, "httpMethod": "GET" }, "patch": { "httpMethod": "PATCH", "id": "bigqueryreservation.projects.locations.capacityCommitments.patch", "description": "Updates an existing capacity commitment. Only `plan` and `renewal_plan` fields can be updated. Plan can only be changed to a plan of a longer commitment period. Attempting to change to a plan with shorter commitment period will fail with the error code `google.rpc.Code.FAILED_PRECONDITION`.", "path": "v1/{+name}", "request": { "$ref": "CapacityCommitment" }, "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Standard field mask for the set of fields to be updated.", "location": "query" }, "name": { "required": true, "description": "Output only. The resource name of the capacity commitment, e.g., `projects/myproject/locations/US/capacityCommitments/123` The commitment_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/capacityCommitments/[^/]+$", "type": "string" } }, "response": { "$ref": "CapacityCommitment" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/capacityCommitments/{capacityCommitmentsId}", "parameterOrder": [ "name" ] } } }, "reservations": { "methods": { "create": { "parameters": { "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Project, location. E.g., `projects/myproject/locations/US`" }, "reservationId": { "location": "query", "type": "string", "description": "The reservation ID. It must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters." } }, "description": "Creates a new reservation resource.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/reservations", "parameterOrder": [ "parent" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Reservation" }, "path": "v1/{+parent}/reservations", "id": "bigqueryreservation.projects.locations.reservations.create", "response": { "$ref": "Reservation" } }, "list": { "httpMethod": "GET", "path": "v1/{+parent}/reservations", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "description": "Lists all the reservations for the project in the specified location.", "id": "bigqueryreservation.projects.locations.reservations.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/reservations", "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of items to return per page.", "format": "int32" }, "parent": { "description": "Required. The parent resource name containing project and location, e.g.: `projects/myproject/locations/US`", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous List request, if any." } }, "response": { "$ref": "ListReservationsResponse" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}", "id": "bigqueryreservation.projects.locations.reservations.get", "response": { "$ref": "Reservation" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "httpMethod": "GET", "description": "Returns information about the reservation.", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+$", "description": "Required. Resource name of the reservation to retrieve. E.g., `projects/myproject/locations/US/reservations/team1-prod`", "type": "string", "required": true } } }, "delete": { "id": "bigqueryreservation.projects.locations.reservations.delete", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Deletes a reservation. Returns `google.rpc.Code.FAILED_PRECONDITION` when reservation has assignments.", "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. Resource name of the reservation to retrieve. E.g., `projects/myproject/locations/US/reservations/team1-prod`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+$", "required": true, "location": "path" } } }, "patch": { "id": "bigqueryreservation.projects.locations.reservations.patch", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Reservation" }, "description": "Updates an existing reservation resource.", "httpMethod": "PATCH", "request": { "$ref": "Reservation" }, "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+$", "description": "The resource name of the reservation, e.g., `projects/*/locations/*/reservations/team1-prod`. The reservation_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.", "required": true, "type": "string", "location": "path" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Standard field mask for the set of fields to be updated.", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}" } }, "resources": { "assignments": { "methods": { "create": { "description": "Creates an assignment object which allows the given project to submit jobs of a certain type using slots from the specified reservation. Currently a resource (project, folder, organization) can only have one assignment per each (job_type, location) combination, and that reservation will be used for all jobs of the matching type. Different assignments can be created on different levels of the projects, folders or organization hierarchy. During query execution, the assignment is looked up at the project, folder and organization levels in that order. The first assignment found is applied to the query. When creating assignments, it does not matter if other assignments exist at higher levels. Example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The organization `organizationA` contains two projects, `project1` and `project2`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Assignments for all three entities (`organizationA`, `project1`, and `project2`) could all be created and mapped to the same or different reservations. \"None\" assignments represent an absence of the assignment. Projects assigned to None use on-demand pricing. To create a \"None\" assignment, use \"none\" as a reservation_id in the parent. Example parent: `projects/myproject/locations/US/reservations/none`. Returns `google.rpc.Code.PERMISSION_DENIED` if user does not have 'bigquery.admin' permissions on the project using the reservation and the project that owns this reservation. Returns `google.rpc.Code.INVALID_ARGUMENT` when location of the assignment does not match location of the reservation.", "path": "v1/{+parent}/assignments", "request": { "$ref": "Assignment" }, "response": { "$ref": "Assignment" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "assignmentId": { "description": "The optional assignment ID. Assignment name will be generated automatically if this field is empty. This field must only contain lower case alphanumeric characters or dashes. Max length is 64 characters.", "type": "string", "location": "query" }, "parent": { "location": "path", "description": "Required. The parent resource name of the assignment E.g. `projects/myproject/locations/US/reservations/team1-prod`", "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+$", "type": "string", "required": true } }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}/assignments", "id": "bigqueryreservation.projects.locations.reservations.assignments.create" }, "move": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:move", "description": "Moves an assignment under a new reservation. This differs from removing an existing assignment and recreating a new one by providing a transactional change that ensures an assignee always has an associated reservation.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The resource name of the assignment, e.g. `projects/myproject/locations/US/reservations/team1-prod/assignments/123`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+/assignments/[^/]+$", "location": "path", "type": "string" } }, "response": { "$ref": "Assignment" }, "id": "bigqueryreservation.projects.locations.reservations.assignments.move", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}/assignments/{assignmentsId}:move", "request": { "$ref": "MoveAssignmentRequest" }, "httpMethod": "POST" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Assignment" }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}/assignments/{assignmentsId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+/assignments/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Output only. Name of the resource. E.g.: `projects/myproject/locations/US/reservations/team1-prod/assignments/123`. The assignment_id must only contain lower case alphanumeric characters or dashes and the max length is 64 characters." }, "updateMask": { "description": "Standard field mask for the set of fields to be updated.", "type": "string", "format": "google-fieldmask", "location": "query" } }, "response": { "$ref": "Assignment" }, "id": "bigqueryreservation.projects.locations.reservations.assignments.patch", "httpMethod": "PATCH", "description": "Updates an existing assignment. Only the `priority` field can be updated.", "parameterOrder": [ "name" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListAssignmentsResponse" }, "description": "Lists assignments. Only explicitly created assignments will be returned. Example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Organization `organizationA` contains two projects, `project1` and `project2`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Reservation `res1` exists and was created previously. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CreateAssignment was used previously to define the following associations between entities and reservations: `` and `` In this example, ListAssignments will just return the above two assignments for reservation `res1`, and no expansion/merge will happen. The wildcard \"-\" can be used for reservations in the request. In that case all assignments belongs to the specified project and location will be listed. **Note** \"-\" cannot be used for projects nor locations.", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}/assignments", "id": "bigqueryreservation.projects.locations.reservations.assignments.list", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/assignments", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The parent resource name e.g.: `projects/myproject/locations/US/reservations/team1-prod` Or: `projects/myproject/locations/US/reservations/-`" }, "pageToken": { "description": "The next_page_token value returned from a previous List request, if any.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of items to return per page." } } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "id": "bigqueryreservation.projects.locations.reservations.assignments.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}/assignments/{assignmentsId}", "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. Name of the resource, e.g. `projects/myproject/locations/US/reservations/team1-prod/assignments/123`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+/assignments/[^/]+$" } }, "description": "Deletes a assignment. No expansion will happen. Example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Organization `organizationA` contains two projects, `project1` and `project2`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Reservation `res1` exists and was created previously. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CreateAssignment was used previously to define the following associations between entities and reservations: `` and `` In this example, deletion of the `` assignment won't affect the other assignment ``. After said deletion, queries from `project1` will still use `res1` while queries from `project2` will switch to use on-demand mode.", "parameterOrder": [ "name" ], "path": "v1/{+name}" } } } } } }, "methods": { "updateBiReservation": { "parameterOrder": [ "name" ], "request": { "$ref": "BiReservation" }, "path": "v1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/biReservation$", "location": "path", "required": true, "description": "The resource name of the singleton BI reservation. Reservation names have the form `projects/{project_id}/locations/{location_id}/biReservation`.", "type": "string" }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "A list of fields to be updated in this request.", "type": "string" } }, "id": "bigqueryreservation.projects.locations.updateBiReservation", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/biReservation", "description": "Updates a BI reservation. Only fields specified in the `field_mask` are updated. A singleton BI reservation always exists with default size 0. In order to reserve BI capacity it needs to be updated to an amount greater than 0. In order to release BI capacity reservation size must be set to 0.", "response": { "$ref": "BiReservation" }, "httpMethod": "PATCH" }, "getBiReservation": { "path": "v1/{+name}", "response": { "$ref": "BiReservation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/biReservation", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Retrieves a BI reservation.", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. Name of the requested reservation, for example: `projects/{project_id}/locations/{location_id}/biReservation`", "pattern": "^projects/[^/]+/locations/[^/]+/biReservation$", "required": true } }, "id": "bigqueryreservation.projects.locations.getBiReservation", "parameterOrder": [ "name" ], "httpMethod": "GET" }, "searchAllAssignments": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}:searchAllAssignments", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "SearchAllAssignmentsResponse" }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "description": "Looks up assignments for a specified resource for a particular region. If the request is about a project: 1. Assignments created on the project will be returned if they exist. 2. Otherwise assignments created on the closest ancestor will be returned. 3. Assignments for different JobTypes will all be returned. The same logic applies if the request is about a folder. If the request is about an organization, then assignments created on the organization will be returned (organization doesn't have ancestors). Comparing to ListAssignments, there are some behavior differences: 1. permission on the assignee will be verified in this API. 2. Hierarchy lookup (project-\u003efolder-\u003eorganization) happens in this API. 3. Parent here is `projects/*/locations/*`, instead of `projects/*/locations/*reservations/*`.", "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous List request, if any.", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. The resource name with location (project name could be the wildcard '-'), e.g.: `projects/-/locations/US`." }, "query": { "description": "Please specify resource name as assignee in the query. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignee=projects/myproject` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignee=folders/123` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignee=organizations/456`", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of items to return per page." } }, "id": "bigqueryreservation.projects.locations.searchAllAssignments", "path": "v1/{+parent}:searchAllAssignments" }, "searchAssignments": { "description": "Deprecated: Looks up assignments for a specified resource for a particular region. If the request is about a project: 1. Assignments created on the project will be returned if they exist. 2. Otherwise assignments created on the closest ancestor will be returned. 3. Assignments for different JobTypes will all be returned. The same logic applies if the request is about a folder. If the request is about an organization, then assignments created on the organization will be returned (organization doesn't have ancestors). Comparing to ListAssignments, there are some behavior differences: 1. permission on the assignee will be verified in this API. 2. Hierarchy lookup (project-\u003efolder-\u003eorganization) happens in this API. 3. Parent here is `projects/*/locations/*`, instead of `projects/*/locations/*reservations/*`. **Note** \"-\" cannot be used for projects nor locations.", "id": "bigqueryreservation.projects.locations.searchAssignments", "path": "v1/{+parent}:searchAssignments", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}:searchAssignments", "parameters": { "parent": { "type": "string", "description": "Required. The resource name of the admin project(containing project and location), e.g.: `projects/myproject/locations/US`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of items to return per page." }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous List request, if any." }, "query": { "description": "Please specify resource name as assignee in the query. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignee=projects/myproject` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignee=folders/123` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignee=organizations/456`", "type": "string", "location": "query" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "SearchAssignmentsResponse" } } } } } } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/bigquery": { "description": "View and manage your data in Google BigQuery and see the email address for your Google Account" } } } }, "mtlsRootUrl": "https://bigqueryreservation.mtls.googleapis.com/", "protocol": "rest", "version_module": true, "canonicalName": "BigQuery Reservation", "discoveryVersion": "v1" }
]===]))
