local decode = require("cjson").new().decode
return assert(decode([===[
{ "version_module": true, "id": "bigqueryreservation:v1beta1", "protocol": "rest", "kind": "discovery#restDescription", "fullyEncodeReservedExpansion": true, "version": "v1beta1", "rootUrl": "https://bigqueryreservation.googleapis.com/", "batchPath": "batch", "parameters": { "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true", "type": "boolean" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "alt": { "location": "query", "default": "json", "type": "string", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ] }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." } }, "title": "BigQuery Reservation API", "baseUrl": "https://bigqueryreservation.googleapis.com/", "schemas": { "Empty": { "id": "Empty", "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "CapacityCommitment": { "description": "Capacity commitment is a way to purchase compute capacity for BigQuery jobs (in the form of slots) with some committed period of usage. Annual commitments renew by default. Commitments can be removed after their commitment end time passes. In order to remove annual commitment, its plan needs to be changed to monthly or flex first. A capacity commitment resource exists as a child resource of the admin project.", "type": "object", "id": "CapacityCommitment", "properties": { "commitmentEndTime": { "description": "Output only. The end of the current commitment period. It is applicable only for ACTIVE capacity commitments.", "format": "google-datetime", "type": "string", "readOnly": true }, "slotCount": { "format": "int64", "type": "string", "description": "Number of slots in this commitment." }, "state": { "description": "Output only. State of the commitment.", "readOnly": true, "enumDescriptions": [ "Invalid state value.", "Capacity commitment is pending provisioning. Pending capacity commitment does not contribute to the project's slot_capacity.", "Once slots are provisioned, capacity commitment becomes active. slot_count is added to the project's slot_capacity.", "Capacity commitment is failed to be activated by the backend." ], "enum": [ "STATE_UNSPECIFIED", "PENDING", "ACTIVE", "FAILED" ], "type": "string" }, "commitmentStartTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The start of the current commitment period. It is applicable only for ACTIVE capacity commitments." }, "multiRegionAuxiliary": { "description": "Applicable only for commitments located within one of the BigQuery multi-regions (US or EU). If set to true, this commitment is placed in the organization's secondary region which is designated for disaster recovery purposes. If false, this commitment is placed in the organization's default region.", "type": "boolean" }, "failureStatus": { "readOnly": true, "$ref": "Status", "description": "Output only. For FAILED commitment plan, provides the reason of failure." }, "renewalPlan": { "enumDescriptions": [ "Invalid plan value. Requests with this value will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`.", "Flex commitments have committed period of 1 minute after becoming ACTIVE. After that, they are not in a committed period anymore and can be removed any time.", "Trial commitments have a committed period of 182 days after becoming ACTIVE. After that, they are converted to a new commitment based on the `renewal_plan`. Default `renewal_plan` for Trial commitment is Flex so that it can be deleted right after committed period ends.", "Monthly commitments have a committed period of 30 days after becoming ACTIVE. After that, they are not in a committed period anymore and can be removed any time.", "Annual commitments have a committed period of 365 days after becoming ACTIVE. After that they are converted to a new commitment based on the renewal_plan." ], "enum": [ "COMMITMENT_PLAN_UNSPECIFIED", "FLEX", "TRIAL", "MONTHLY", "ANNUAL" ], "type": "string", "description": "The plan this capacity commitment is converted to after commitment_end_time passes. Once the plan is changed, committed period is extended according to commitment plan. Only applicable for ANNUAL commitments." }, "plan": { "type": "string", "enum": [ "COMMITMENT_PLAN_UNSPECIFIED", "FLEX", "TRIAL", "MONTHLY", "ANNUAL" ], "description": "Capacity commitment commitment plan.", "enumDescriptions": [ "Invalid plan value. Requests with this value will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`.", "Flex commitments have committed period of 1 minute after becoming ACTIVE. After that, they are not in a committed period anymore and can be removed any time.", "Trial commitments have a committed period of 182 days after becoming ACTIVE. After that, they are converted to a new commitment based on the `renewal_plan`. Default `renewal_plan` for Trial commitment is Flex so that it can be deleted right after committed period ends.", "Monthly commitments have a committed period of 30 days after becoming ACTIVE. After that, they are not in a committed period anymore and can be removed any time.", "Annual commitments have a committed period of 365 days after becoming ACTIVE. After that they are converted to a new commitment based on the renewal_plan." ] }, "name": { "type": "string", "readOnly": true, "description": "Output only. The resource name of the capacity commitment, e.g., `projects/myproject/locations/US/capacityCommitments/123` The commitment_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters." } } }, "TableReference": { "properties": { "projectId": { "description": "The assigned project ID of the project.", "type": "string" }, "tableId": { "type": "string", "description": "The ID of the table in the above dataset." }, "datasetId": { "type": "string", "description": "The ID of the dataset in the above project." } }, "id": "TableReference", "description": "Fully qualified reference to BigQuery table. Internally stored as google.cloud.bi.v1.BqTableReference.", "type": "object" }, "ListCapacityCommitmentsResponse": { "type": "object", "description": "The response for ReservationService.ListCapacityCommitments.", "id": "ListCapacityCommitmentsResponse", "properties": { "capacityCommitments": { "description": "List of capacity commitments visible to the user.", "type": "array", "items": { "$ref": "CapacityCommitment" } }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } } }, "Reservation": { "properties": { "slotCapacity": { "format": "int64", "description": "Minimum slots available to this reservation. A slot is a unit of computational power in BigQuery, and serves as the unit of parallelism. Queries using this reservation might use more slots during runtime if ignore_idle_slots is set to false. If the new reservation's slot capacity exceeds the project's slot capacity or if total slot capacity of the new reservation and its siblings exceeds the project's slot capacity, the request will fail with `google.rpc.Code.RESOURCE_EXHAUSTED`. NOTE: for reservations in US or EU multi-regions, slot capacity constraints are checked separately for default and auxiliary regions. See multi_region_auxiliary flag for more details.", "type": "string" }, "ignoreIdleSlots": { "description": "If false, any query or pipeline job using this reservation will use idle slots from other reservations within the same admin project. If true, a query or pipeline job using this reservation will execute with the slot capacity specified in the slot_capacity field at most.", "type": "boolean" }, "creationTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. Creation time of the reservation.", "type": "string" }, "name": { "type": "string", "description": "The resource name of the reservation, e.g., `projects/*/locations/*/reservations/team1-prod`. The reservation_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters." }, "updateTime": { "readOnly": true, "type": "string", "description": "Output only. Last update time of the reservation.", "format": "google-datetime" }, "concurrency": { "type": "string", "format": "int64", "description": "Maximum number of queries that are allowed to run concurrently in this reservation. This is a soft limit due to asynchronous nature of the system and various optimizations for small queries. Default value is 0 which means that concurrency will be automatically set based on the reservation size." }, "multiRegionAuxiliary": { "type": "boolean", "description": "Applicable only for reservations located within one of the BigQuery multi-regions (US or EU). If set to true, this reservation is placed in the organization's secondary region which is designated for disaster recovery purposes. If false, this reservation is placed in the organization's default region." } }, "type": "object", "description": "A reservation is a mechanism used to guarantee slots to users.", "id": "Reservation" }, "SplitCapacityCommitmentRequest": { "type": "object", "properties": { "slotCount": { "format": "int64", "type": "string", "description": "Number of slots in the capacity commitment after the split." } }, "description": "The request for ReservationService.SplitCapacityCommitment.", "id": "SplitCapacityCommitmentRequest" }, "Assignment": { "properties": { "jobType": { "enum": [ "JOB_TYPE_UNSPECIFIED", "PIPELINE", "QUERY", "ML_EXTERNAL" ], "enumDescriptions": [ "Invalid type. Requests with this value will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`.", "Pipeline (load/export) jobs from the project will use the reservation.", "Query jobs from the project will use the reservation.", "BigQuery ML jobs that use services external to BigQuery for model training. These jobs will not utilize idle slots from other reservations." ], "type": "string", "description": "Which type of jobs will use the reservation." }, "assignee": { "description": "The resource which will use the reservation. E.g. `projects/myproject`, `folders/123`, or `organizations/456`.", "type": "string" }, "state": { "readOnly": true, "enumDescriptions": [ "Invalid state value.", "Queries from assignee will be executed as on-demand, if related assignment is pending.", "Assignment is ready." ], "enum": [ "STATE_UNSPECIFIED", "PENDING", "ACTIVE" ], "type": "string", "description": "Output only. State of the assignment." }, "name": { "description": "Output only. Name of the resource. E.g.: `projects/myproject/locations/US/reservations/team1-prod/assignments/123`. The assignment_id must only contain lower case alphanumeric characters or dashes and the max length is 64 characters.", "type": "string", "readOnly": true } }, "description": "An assignment allows a project to submit jobs of a certain type using slots from the specified reservation.", "type": "object", "id": "Assignment" }, "SearchAssignmentsResponse": { "description": "The response for ReservationService.SearchAssignments.", "type": "object", "properties": { "assignments": { "items": { "$ref": "Assignment" }, "description": "List of assignments visible to the user.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "id": "SearchAssignmentsResponse" }, "Status": { "id": "Status", "type": "object", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "ListAssignmentsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "assignments": { "items": { "$ref": "Assignment" }, "description": "List of assignments visible to the user.", "type": "array" } }, "description": "The response for ReservationService.ListAssignments.", "id": "ListAssignmentsResponse" }, "SplitCapacityCommitmentResponse": { "type": "object", "description": "The response for ReservationService.SplitCapacityCommitment.", "properties": { "second": { "$ref": "CapacityCommitment", "description": "Second capacity commitment, result of a split." }, "first": { "$ref": "CapacityCommitment", "description": "First capacity commitment, result of a split." } }, "id": "SplitCapacityCommitmentResponse" }, "BiReservation": { "id": "BiReservation", "type": "object", "properties": { "size": { "type": "string", "format": "int64", "description": "Size of a reservation, in bytes." }, "updateTime": { "description": "Output only. The last update timestamp of a reservation.", "readOnly": true, "format": "google-datetime", "type": "string" }, "preferredTables": { "type": "array", "items": { "$ref": "TableReference" }, "description": "Preferred tables to use BI capacity for." }, "name": { "description": "The resource name of the singleton BI reservation. Reservation names have the form `projects/{project_id}/locations/{location_id}/biReservation`.", "type": "string" } }, "description": "Represents a BI Reservation." }, "ListReservationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "reservations": { "description": "List of reservations visible to the user.", "items": { "$ref": "Reservation" }, "type": "array" } }, "id": "ListReservationsResponse", "description": "The response for ReservationService.ListReservations.", "type": "object" }, "MergeCapacityCommitmentsRequest": { "properties": { "capacityCommitmentIds": { "description": "Ids of capacity commitments to merge. These capacity commitments must exist under admin project and location specified in the parent. ID is the last portion of capacity commitment name e.g., 'abc' for projects/myproject/locations/US/capacityCommitments/abc", "items": { "type": "string" }, "type": "array" } }, "description": "The request for ReservationService.MergeCapacityCommitments.", "type": "object", "id": "MergeCapacityCommitmentsRequest" }, "MoveAssignmentRequest": { "properties": { "destinationId": { "description": "The new reservation ID, e.g.: `projects/myotherproject/locations/US/reservations/team2-prod`", "type": "string" } }, "id": "MoveAssignmentRequest", "type": "object", "description": "The request for ReservationService.MoveAssignment. **Note**: \"bigquery.reservationAssignments.create\" permission is required on the destination_id. **Note**: \"bigquery.reservationAssignments.create\" and \"bigquery.reservationAssignments.delete\" permission are required on the related assignee." } }, "description": "A service to modify your BigQuery flat-rate reservations.", "canonicalName": "BigQuery Reservation", "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/bigquery": { "description": "View and manage your data in Google BigQuery and see the email address for your Google Account" } } } }, "ownerName": "Google", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "discoveryVersion": "v1", "documentationLink": "https://cloud.google.com/bigquery/", "name": "bigqueryreservation", "mtlsRootUrl": "https://bigqueryreservation.mtls.googleapis.com/", "revision": "20220630", "servicePath": "", "resources": { "projects": { "resources": { "locations": { "methods": { "searchAssignments": { "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "SearchAssignmentsResponse" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The resource name of the admin project(containing project and location), e.g.: `projects/myproject/locations/US`.", "location": "path", "type": "string" }, "query": { "type": "string", "description": "Please specify resource name as assignee in the query. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignee=projects/myproject` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignee=folders/123` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignee=organizations/456`", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of items to return.", "location": "query" }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous List request, if any.", "type": "string" } }, "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}:searchAssignments", "description": "Looks up assignments for a specified resource for a particular region. If the request is about a project: 1. Assignments created on the project will be returned if they exist. 2. Otherwise assignments created on the closest ancestor will be returned. 3. Assignments for different JobTypes will all be returned. The same logic applies if the request is about a folder. If the request is about an organization, then assignments created on the organization will be returned (organization doesn't have ancestors). Comparing to ListAssignments, there are some behavior differences: 1. permission on the assignee will be verified in this API. 2. Hierarchy lookup (project-\u003efolder-\u003eorganization) happens in this API. 3. Parent here is `projects/*/locations/*`, instead of `projects/*/locations/*reservations/*`. **Note** \"-\" cannot be used for projects nor locations.", "parameterOrder": [ "parent" ], "id": "bigqueryreservation.projects.locations.searchAssignments", "path": "v1beta1/{+parent}:searchAssignments" }, "updateBiReservation": { "response": { "$ref": "BiReservation" }, "description": "Updates a BI reservation. Only fields specified in the `field_mask` are updated. A singleton BI reservation always exists with default size 0. In order to reserve BI capacity it needs to be updated to an amount greater than 0. In order to release BI capacity reservation size must be set to 0.", "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "A list of fields to be updated in this request." }, "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/biReservation$", "description": "The resource name of the singleton BI reservation. Reservation names have the form `projects/{project_id}/locations/{location_id}/biReservation`.", "required": true } }, "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/biReservation", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "id": "bigqueryreservation.projects.locations.updateBiReservation", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "request": { "$ref": "BiReservation" } }, "getBiReservation": { "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/biReservation", "id": "bigqueryreservation.projects.locations.getBiReservation", "httpMethod": "GET", "response": { "$ref": "BiReservation" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Retrieves a BI reservation.", "parameters": { "name": { "description": "Required. Name of the requested reservation, for example: `projects/{project_id}/locations/{location_id}/biReservation`", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/biReservation$", "location": "path" } }, "parameterOrder": [ "name" ] } }, "resources": { "capacityCommitments": { "methods": { "split": { "description": "Splits capacity commitment to two commitments of the same plan and `commitment_end_time`. A common use case is to enable downgrading commitments. For example, in order to downgrade from 10000 slots to 8000, you might split a 10000 capacity commitment into commitments of 2000 and 8000. Then, you delete the first one after the commitment end time passes.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/capacityCommitments/{capacityCommitmentsId}:split", "path": "v1beta1/{+name}:split", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/capacityCommitments/[^/]+$", "description": "Required. The resource name e.g.,: `projects/myproject/locations/US/capacityCommitments/123`", "type": "string", "location": "path", "required": true } }, "id": "bigqueryreservation.projects.locations.capacityCommitments.split", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "SplitCapacityCommitmentRequest" }, "response": { "$ref": "SplitCapacityCommitmentResponse" } }, "create": { "id": "bigqueryreservation.projects.locations.capacityCommitments.create", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Resource name of the parent reservation. E.g., `projects/myproject/locations/US`", "location": "path", "required": true, "type": "string" }, "capacityCommitmentId": { "type": "string", "location": "query", "description": "The optional capacity commitment ID. Capacity commitment name will be generated automatically if this field is empty. This field must only contain lower case alphanumeric characters or dashes. The first and last character cannot be a dash. Max length is 64 characters. NOTE: this ID won't be kept if the capacity commitment is split or merged." }, "enforceSingleAdminProjectPerOrg": { "description": "If true, fail the request if another project in the organization has a capacity commitment.", "type": "boolean", "location": "query" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/capacityCommitments", "httpMethod": "POST", "request": { "$ref": "CapacityCommitment" }, "description": "Creates a new capacity commitment resource.", "response": { "$ref": "CapacityCommitment" }, "path": "v1beta1/{+parent}/capacityCommitments" }, "get": { "description": "Returns information about the capacity commitment.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/capacityCommitments/{capacityCommitmentsId}", "parameters": { "name": { "description": "Required. Resource name of the capacity commitment to retrieve. E.g., `projects/myproject/locations/US/capacityCommitments/123`", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/capacityCommitments/[^/]+$" } }, "id": "bigqueryreservation.projects.locations.capacityCommitments.get", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "CapacityCommitment" }, "httpMethod": "GET" }, "merge": { "id": "bigqueryreservation.projects.locations.capacityCommitments.merge", "parameterOrder": [ "parent" ], "httpMethod": "POST", "path": "v1beta1/{+parent}/capacityCommitments:merge", "request": { "$ref": "MergeCapacityCommitmentsRequest" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Merges capacity commitments of the same plan into a single commitment. The resulting capacity commitment has the greater commitment_end_time out of the to-be-merged capacity commitments. Attempting to merge capacity commitments of different plan will fail with the error code `google.rpc.Code.FAILED_PRECONDITION`.", "response": { "$ref": "CapacityCommitment" }, "parameters": { "parent": { "required": true, "description": "Parent resource that identifies admin project and location e.g., `projects/myproject/locations/us`", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/capacityCommitments:merge" }, "list": { "id": "bigqueryreservation.projects.locations.capacityCommitments.list", "description": "Lists all the capacity commitments for the admin project.", "response": { "$ref": "ListCapacityCommitmentsResponse" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Resource name of the parent reservation. E.g., `projects/myproject/locations/US`", "type": "string", "required": true, "location": "path" }, "pageToken": { "description": "The next_page_token value returned from a previous List request, if any.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The maximum number of items to return." } }, "path": "v1beta1/{+parent}/capacityCommitments", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/capacityCommitments", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "response": { "$ref": "Empty" }, "description": "Deletes a capacity commitment. Attempting to delete capacity commitment before its commitment_end_time will fail with the error code `google.rpc.Code.FAILED_PRECONDITION`.", "id": "bigqueryreservation.projects.locations.capacityCommitments.delete", "httpMethod": "DELETE", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/capacityCommitments/{capacityCommitmentsId}", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "parameters": { "name": { "description": "Required. Resource name of the capacity commitment to delete. E.g., `projects/myproject/locations/US/capacityCommitments/123`", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/capacityCommitments/[^/]+$" }, "force": { "type": "boolean", "description": "Can be used to force delete commitments even if assignments exist. Deleting commitments with assignments may cause queries to fail if they no longer have access to slots.", "location": "query" } }, "parameterOrder": [ "name" ] }, "patch": { "httpMethod": "PATCH", "parameters": { "updateMask": { "description": "Standard field mask for the set of fields to be updated.", "type": "string", "format": "google-fieldmask", "location": "query" }, "name": { "location": "path", "required": true, "description": "Output only. The resource name of the capacity commitment, e.g., `projects/myproject/locations/US/capacityCommitments/123` The commitment_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.", "pattern": "^projects/[^/]+/locations/[^/]+/capacityCommitments/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "request": { "$ref": "CapacityCommitment" }, "id": "bigqueryreservation.projects.locations.capacityCommitments.patch", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/capacityCommitments/{capacityCommitmentsId}", "description": "Updates an existing capacity commitment. Only `plan` and `renewal_plan` fields can be updated. Plan can only be changed to a plan of a longer commitment period. Attempting to change to a plan with shorter commitment period will fail with the error code `google.rpc.Code.FAILED_PRECONDITION`.", "response": { "$ref": "CapacityCommitment" }, "path": "v1beta1/{+name}" } } }, "reservations": { "resources": { "assignments": { "methods": { "list": { "parameterOrder": [ "parent" ], "description": "Lists assignments. Only explicitly created assignments will be returned. Example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Organization `organizationA` contains two projects, `project1` and `project2`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Reservation `res1` exists and was created previously. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CreateAssignment was used previously to define the following associations between entities and reservations: `` and `` In this example, ListAssignments will just return the above two assignments for reservation `res1`, and no expansion/merge will happen. The wildcard \"-\" can be used for reservations in the request. In that case all assignments belongs to the specified project and location will be listed. **Note** \"-\" cannot be used for projects nor locations.", "id": "bigqueryreservation.projects.locations.reservations.assignments.list", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}/assignments", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous List request, if any.", "type": "string" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of items to return." }, "parent": { "location": "path", "description": "Required. The parent resource name e.g.: `projects/myproject/locations/US/reservations/team1-prod` Or: `projects/myproject/locations/US/reservations/-`", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+$" } }, "path": "v1beta1/{+parent}/assignments", "httpMethod": "GET", "response": { "$ref": "ListAssignmentsResponse" } }, "move": { "parameters": { "name": { "location": "path", "description": "Required. The resource name of the assignment, e.g. `projects/myproject/locations/US/reservations/team1-prod/assignments/123`", "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+/assignments/[^/]+$", "required": true, "type": "string" } }, "httpMethod": "POST", "id": "bigqueryreservation.projects.locations.reservations.assignments.move", "response": { "$ref": "Assignment" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}/assignments/{assignmentsId}:move", "request": { "$ref": "MoveAssignmentRequest" }, "parameterOrder": [ "name" ], "description": "Moves an assignment under a new reservation. This differs from removing an existing assignment and recreating a new one by providing a transactional change that ensures an assignee always has an associated reservation.", "path": "v1beta1/{+name}:move", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}/assignments", "path": "v1beta1/{+parent}/assignments", "parameterOrder": [ "parent" ], "response": { "$ref": "Assignment" }, "description": "Creates an assignment object which allows the given project to submit jobs of a certain type using slots from the specified reservation. Currently a resource (project, folder, organization) can only have one assignment per each (job_type, location) combination, and that reservation will be used for all jobs of the matching type. Different assignments can be created on different levels of the projects, folders or organization hierarchy. During query execution, the assignment is looked up at the project, folder and organization levels in that order. The first assignment found is applied to the query. When creating assignments, it does not matter if other assignments exist at higher levels. Example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The organization `organizationA` contains two projects, `project1` and `project2`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Assignments for all three entities (`organizationA`, `project1`, and `project2`) could all be created and mapped to the same or different reservations. \"None\" assignments represent an absence of the assignment. Projects assigned to None use on-demand pricing. To create a \"None\" assignment, use \"none\" as a reservation_id in the parent. Example parent: `projects/myproject/locations/US/reservations/none`. Returns `google.rpc.Code.PERMISSION_DENIED` if user does not have 'bigquery.admin' permissions on the project using the reservation and the project that owns this reservation. Returns `google.rpc.Code.INVALID_ARGUMENT` when location of the assignment does not match location of the reservation.", "parameters": { "parent": { "required": true, "type": "string", "description": "Required. The parent resource name of the assignment E.g. `projects/myproject/locations/US/reservations/team1-prod`", "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+$", "location": "path" }, "assignmentId": { "description": "The optional assignment ID. Assignment name will be generated automatically if this field is empty. This field must only contain lower case alphanumeric characters or dashes. Max length is 64 characters.", "location": "query", "type": "string" } }, "request": { "$ref": "Assignment" }, "id": "bigqueryreservation.projects.locations.reservations.assignments.create", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "description": "Updates an existing assignment. Only the `priority` field can be updated.", "parameters": { "name": { "location": "path", "type": "string", "description": "Output only. Name of the resource. E.g.: `projects/myproject/locations/US/reservations/team1-prod/assignments/123`. The assignment_id must only contain lower case alphanumeric characters or dashes and the max length is 64 characters.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+/assignments/[^/]+$" }, "updateMask": { "description": "Standard field mask for the set of fields to be updated.", "format": "google-fieldmask", "type": "string", "location": "query" } }, "id": "bigqueryreservation.projects.locations.reservations.assignments.patch", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Assignment" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}/assignments/{assignmentsId}", "path": "v1beta1/{+name}", "response": { "$ref": "Assignment" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH" }, "delete": { "id": "bigqueryreservation.projects.locations.reservations.assignments.delete", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+/assignments/[^/]+$", "description": "Required. Name of the resource, e.g. `projects/myproject/locations/US/reservations/team1-prod/assignments/123`", "required": true, "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "httpMethod": "DELETE", "description": "Deletes a assignment. No expansion will happen. Example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Organization `organizationA` contains two projects, `project1` and `project2`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Reservation `res1` exists and was created previously. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CreateAssignment was used previously to define the following associations between entities and reservations: `` and `` In this example, deletion of the `` assignment won't affect the other assignment ``. After said deletion, queries from `project1` will still use `res1` while queries from `project2` will switch to use on-demand mode.", "response": { "$ref": "Empty" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}/assignments/{assignmentsId}", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}" } } } }, "methods": { "list": { "description": "Lists all the reservations for the project in the specified location.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reservations", "parameterOrder": [ "parent" ], "id": "bigqueryreservation.projects.locations.reservations.list", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/reservations", "httpMethod": "GET", "response": { "$ref": "ListReservationsResponse" }, "parameters": { "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The maximum number of items to return." }, "filter": { "description": "Can be used to filter out reservations based on names, capacity, etc, e.g.: filter=\"reservation.slot_capacity \u003e 200\" filter=\"reservation.name = \\\"*dev/*\\\"\" Advanced filtering syntax can be [here](https://cloud.google.com/logging/docs/view/advanced-filters).", "location": "query", "type": "string" }, "pageToken": { "description": "The next_page_token value returned from a previous List request, if any.", "type": "string", "location": "query" }, "parent": { "description": "Required. The parent resource name containing project and location, e.g.: `projects/myproject/locations/US`", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "required": true } } }, "get": { "response": { "$ref": "Reservation" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "httpMethod": "GET", "description": "Returns information about the reservation.", "id": "bigqueryreservation.projects.locations.reservations.get", "parameters": { "name": { "location": "path", "description": "Required. Resource name of the reservation to retrieve. E.g., `projects/myproject/locations/US/reservations/team1-prod`", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+$" } } }, "patch": { "request": { "$ref": "Reservation" }, "response": { "$ref": "Reservation" }, "description": "Updates an existing reservation resource.", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "id": "bigqueryreservation.projects.locations.reservations.patch", "parameters": { "name": { "description": "The resource name of the reservation, e.g., `projects/*/locations/*/reservations/team1-prod`. The reservation_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+$", "type": "string", "location": "path" }, "updateMask": { "location": "query", "type": "string", "description": "Standard field mask for the set of fields to be updated.", "format": "google-fieldmask" } }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}" }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/reservations/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. Resource name of the reservation to retrieve. E.g., `projects/myproject/locations/US/reservations/team1-prod`" } }, "description": "Deletes a reservation. Returns `google.rpc.Code.FAILED_PRECONDITION` when reservation has assignments.", "id": "bigqueryreservation.projects.locations.reservations.delete", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reservations/{reservationsId}" }, "create": { "path": "v1beta1/{+parent}/reservations", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reservations", "request": { "$ref": "Reservation" }, "response": { "$ref": "Reservation" }, "scopes": [ "https://www.googleapis.com/auth/bigquery", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Creates a new reservation resource.", "parameters": { "parent": { "type": "string", "required": true, "description": "Required. Project, location. E.g., `projects/myproject/locations/US`", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "reservationId": { "location": "query", "type": "string", "description": "The reservation ID. It must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters." } }, "id": "bigqueryreservation.projects.locations.reservations.create", "parameterOrder": [ "parent" ] } } } } } } } }, "basePath": "" }
]===]))
