local decode = require("cjson").new().decode
return assert(decode([===[
{ "version": "v2", "protocol": "rest", "rootUrl": "https://bigtableadmin.googleapis.com/", "basePath": "", "servicePath": "", "ownerName": "Google", "fullyEncodeReservedExpansion": true, "revision": "20220706", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster": { "description": "Administer your Cloud Bigtable clusters" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/bigtable.admin.cluster": { "description": "Administer your Cloud Bigtable clusters" }, "https://www.googleapis.com/auth/bigtable.admin.instance": { "description": "Administer your Cloud Bigtable clusters" }, "https://www.googleapis.com/auth/cloud-bigtable.admin.table": { "description": "Administer your Cloud Bigtable tables" }, "https://www.googleapis.com/auth/bigtable.admin.table": { "description": "Administer your Cloud Bigtable tables" }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/cloud-bigtable.admin": { "description": "Administer your Cloud Bigtable tables and clusters" }, "https://www.googleapis.com/auth/bigtable.admin": { "description": "Administer your Cloud Bigtable tables and clusters" } } } }, "canonicalName": "Bigtable Admin", "version_module": true, "ownerDomain": "google.com", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "discoveryVersion": "v1", "description": "Administer your Cloud Bigtable tables and instances.", "resources": { "operations": { "resources": { "projects": { "resources": { "operations": { "methods": { "list": { "id": "bigtableadmin.operations.projects.operations.list", "response": { "$ref": "ListOperationsResponse" }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The standard list page size." }, "filter": { "description": "The standard list filter.", "type": "string", "location": "query" }, "pageToken": { "description": "The standard list page token.", "type": "string", "location": "query" }, "name": { "location": "path", "description": "The name of the operation's parent resource.", "type": "string", "required": true, "pattern": "^operations/projects/.*$" } }, "flatPath": "v2/operations/projects/{projectsId}/operations", "path": "v2/{+name}/operations" } } } } } }, "methods": { "delete": { "parameters": { "name": { "description": "The name of the operation resource to be deleted.", "type": "string", "pattern": "^operations/.*$", "location": "path", "required": true } }, "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameterOrder": [ "name" ], "flatPath": "v2/operations/{operationsId}", "id": "bigtableadmin.operations.delete", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "response": { "$ref": "Empty" } }, "cancel": { "id": "bigtableadmin.operations.cancel", "flatPath": "v2/operations/{operationsId}:cancel", "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be cancelled.", "required": true, "type": "string", "pattern": "^operations/.*$" } }, "httpMethod": "POST", "path": "v2/{+name}:cancel", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" } }, "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v2/{+name}", "id": "bigtableadmin.operations.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "name": { "description": "The name of the operation resource.", "type": "string", "location": "path", "required": true, "pattern": "^operations/.*$" } }, "response": { "$ref": "Operation" }, "httpMethod": "GET", "flatPath": "v2/operations/{operationsId}" } } }, "projects": { "resources": { "locations": { "methods": { "get": { "parameterOrder": [ "name" ], "id": "bigtableadmin.projects.locations.get", "response": { "$ref": "Location" }, "description": "Gets information about a location.", "httpMethod": "GET", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$" } } }, "list": { "response": { "$ref": "ListLocationsResponse" }, "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "flatPath": "v2/projects/{projectsId}/locations", "id": "bigtableadmin.projects.locations.list", "path": "v2/{+name}/locations", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+$", "description": "The resource that owns the locations collection, if applicable.", "required": true, "location": "path" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default." }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ] } } }, "instances": { "methods": { "list": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v2/{+parent}/instances", "response": { "$ref": "ListInstancesResponse" }, "description": "Lists information about instances in a project.", "flatPath": "v2/projects/{projectsId}/instances", "parameters": { "parent": { "description": "Required. The unique name of the project for which a list of instances is requested. Values are of the form `projects/{project}`.", "pattern": "^projects/[^/]+$", "type": "string", "required": true, "location": "path" }, "pageToken": { "description": "DEPRECATED: This field is unused and ignored.", "location": "query", "type": "string" } }, "httpMethod": "GET", "id": "bigtableadmin.projects.instances.list" }, "getIamPolicy": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/instances/[^/]+$", "location": "path" } }, "request": { "$ref": "GetIamPolicyRequest" }, "path": "v2/{+resource}:getIamPolicy", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}:getIamPolicy", "description": "Gets the access control policy for an instance resource. Returns an empty policy if an instance exists but does not have a policy set.", "id": "bigtableadmin.projects.instances.getIamPolicy", "httpMethod": "POST" }, "create": { "flatPath": "v2/projects/{projectsId}/instances", "id": "bigtableadmin.projects.instances.create", "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+$", "location": "path", "type": "string", "description": "Required. The unique name of the project in which to create the new instance. Values are of the form `projects/{project}`." } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CreateInstanceRequest" }, "description": "Create an instance within a project. Note that exactly one of Cluster.serve_nodes and Cluster.cluster_config.cluster_autoscaling_config can be set. If serve_nodes is set to non-zero, then the cluster is manually scaled. If cluster_config.cluster_autoscaling_config is non-empty, then autoscaling is enabled.", "path": "v2/{+parent}/instances", "httpMethod": "POST" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/instances/{instancesId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "httpMethod": "POST", "path": "v2/{+resource}:setIamPolicy", "response": { "$ref": "Policy" }, "id": "bigtableadmin.projects.instances.setIamPolicy", "parameterOrder": [ "resource" ], "description": "Sets the access control policy on an instance resource. Replaces any existing policy.", "parameters": { "resource": { "pattern": "^projects/[^/]+/instances/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } } }, "update": { "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "id": "bigtableadmin.projects.instances.update", "description": "Updates an instance within a project. This method updates only the display name and type for an Instance. To update other Instance properties, such as labels, use PartialUpdateInstance.", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}", "httpMethod": "PUT", "parameters": { "name": { "pattern": "^projects/[^/]+/instances/[^/]+$", "required": true, "location": "path", "description": "The unique name of the instance. Values are of the form `projects/{project}/instances/a-z+[a-z0-9]`.", "type": "string" } }, "request": { "$ref": "Instance" }, "parameterOrder": [ "name" ], "path": "v2/{+name}", "response": { "$ref": "Instance" } }, "testIamPermissions": { "description": "Returns permissions that the caller has on the specified instance resource.", "httpMethod": "POST", "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+$", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "id": "bigtableadmin.projects.instances.testIamPermissions", "parameterOrder": [ "resource" ], "path": "v2/{+resource}:testIamPermissions" }, "get": { "response": { "$ref": "Instance" }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v2/{+name}", "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "bigtableadmin.projects.instances.get", "description": "Gets information about an instance.", "parameters": { "name": { "description": "Required. The unique name of the requested instance. Values are of the form `projects/{project}/instances/{instance}`.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/instances/[^/]+$" } } }, "partialUpdateInstance": { "httpMethod": "PATCH", "request": { "$ref": "Instance" }, "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "id": "bigtableadmin.projects.instances.partialUpdateInstance", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/instances/{instancesId}", "path": "v2/{+name}", "description": "Partially updates an instance within a project. This method can modify all fields of an Instance and is the preferred way to update an Instance.", "parameters": { "name": { "pattern": "^projects/[^/]+/instances/[^/]+$", "type": "string", "description": "The unique name of the instance. Values are of the form `projects/{project}/instances/a-z+[a-z0-9]`.", "location": "path", "required": true }, "updateMask": { "format": "google-fieldmask", "description": "Required. The subset of Instance fields which should be replaced. Must be explicitly set.", "type": "string", "location": "query" } } }, "delete": { "description": "Delete an instance from a project.", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+name}", "response": { "$ref": "Empty" }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}", "id": "bigtableadmin.projects.instances.delete", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/instances/[^/]+$", "type": "string", "required": true, "description": "Required. The unique name of the instance to be deleted. Values are of the form `projects/{project}/instances/{instance}`.", "location": "path" } }, "httpMethod": "DELETE" } }, "resources": { "tables": { "methods": { "checkConsistency": { "httpMethod": "POST", "parameterOrder": [ "name" ], "id": "bigtableadmin.projects.instances.tables.checkConsistency", "response": { "$ref": "CheckConsistencyResponse" }, "request": { "$ref": "CheckConsistencyRequest" }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables/{tablesId}:checkConsistency", "parameters": { "name": { "description": "Required. The unique name of the Table for which to check replication consistency. Values are of the form `projects/{project}/instances/{instance}/tables/{table}`.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+/tables/[^/]+$" } }, "path": "v2/{+name}:checkConsistency", "description": "Checks replication consistency based on a consistency token, that is, if replication has caught up based on the conditions specified in the token and the check request.", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ] }, "testIamPermissions": { "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v2/{+resource}:testIamPermissions", "description": "Returns permissions that the caller has on the specified table resource.", "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+/tables/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables/{tablesId}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "id": "bigtableadmin.projects.instances.tables.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" } }, "create": { "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CreateTableRequest" }, "description": "Creates a new table in the specified instance. The table can be created with a full set of initial column families, specified in the request.", "response": { "$ref": "Table" }, "path": "v2/{+parent}/tables", "httpMethod": "POST", "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+$", "description": "Required. The unique name of the instance in which to create the table. Values are of the form `projects/{project}/instances/{instance}`.", "required": true, "type": "string" } }, "id": "bigtableadmin.projects.instances.tables.create", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables" }, "generateConsistencyToken": { "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Generates a consistency token for a Table, which can be used in CheckConsistency to check whether mutations to the table that finished before this call started have been replicated. The tokens will be available for 90 days.", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables/{tablesId}:generateConsistencyToken", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The unique name of the Table for which to create a consistency token. Values are of the form `projects/{project}/instances/{instance}/tables/{table}`.", "pattern": "^projects/[^/]+/instances/[^/]+/tables/[^/]+$", "required": true } }, "request": { "$ref": "GenerateConsistencyTokenRequest" }, "httpMethod": "POST", "id": "bigtableadmin.projects.instances.tables.generateConsistencyToken", "path": "v2/{+name}:generateConsistencyToken", "parameterOrder": [ "name" ], "response": { "$ref": "GenerateConsistencyTokenResponse" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "ListTablesResponse" }, "id": "bigtableadmin.projects.instances.tables.list", "parameters": { "view": { "enumDescriptions": [ "Uses the default view for each method as documented in its request.", "Only populates `name`.", "Only populates `name` and fields related to the table's schema.", "Only populates `name` and fields related to the table's replication state.", "Only populates `name` and fields related to the table's encryption state.", "Populates all fields." ], "location": "query", "type": "string", "description": "The view to be applied to the returned tables' fields. Only NAME_ONLY view (default), REPLICATION_VIEW and ENCRYPTION_VIEW are supported.", "enum": [ "VIEW_UNSPECIFIED", "NAME_ONLY", "SCHEMA_VIEW", "REPLICATION_VIEW", "ENCRYPTION_VIEW", "FULL" ] }, "pageToken": { "description": "The value of `next_page_token` returned by a previous call.", "type": "string", "location": "query" }, "pageSize": { "description": "Maximum number of results per page. A page_size of zero lets the server choose the number of items to return. A page_size which is strictly positive will return at most that many items. A negative page_size will cause an error. Following the first request, subsequent paginated calls are not required to pass a page_size. If a page_size is set in subsequent calls, it must match the page_size given in the first request.", "type": "integer", "format": "int32", "location": "query" }, "parent": { "type": "string", "required": true, "description": "Required. The unique name of the instance for which tables should be listed. Values are of the form `projects/{project}/instances/{instance}`.", "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+$" } }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v2/{+parent}/tables", "description": "Lists all tables served from a specified instance.", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables" }, "delete": { "path": "v2/{+name}", "description": "Permanently deletes a specified table and all of its data.", "parameters": { "name": { "pattern": "^projects/[^/]+/instances/[^/]+/tables/[^/]+$", "description": "Required. The unique name of the table to be deleted. Values are of the form `projects/{project}/instances/{instance}/tables/{table}`.", "required": true, "type": "string", "location": "path" } }, "id": "bigtableadmin.projects.instances.tables.delete", "parameterOrder": [ "name" ], "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables/{tablesId}", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE" }, "modifyColumnFamilies": { "parameterOrder": [ "name" ], "request": { "$ref": "ModifyColumnFamiliesRequest" }, "description": "Performs a series of column family modifications on the specified table. Either all or none of the modifications will occur before this method returns, but data requests received prior to that point may see a table where only some modifications have taken effect.", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "description": "Required. The unique name of the table whose families should be modified. Values are of the form `projects/{project}/instances/{instance}/tables/{table}`.", "pattern": "^projects/[^/]+/instances/[^/]+/tables/[^/]+$", "location": "path" } }, "httpMethod": "POST", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables/{tablesId}:modifyColumnFamilies", "id": "bigtableadmin.projects.instances.tables.modifyColumnFamilies", "path": "v2/{+name}:modifyColumnFamilies", "response": { "$ref": "Table" } }, "setIamPolicy": { "httpMethod": "POST", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+/tables/[^/]+$" } }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables/{tablesId}:setIamPolicy", "parameterOrder": [ "resource" ], "id": "bigtableadmin.projects.instances.tables.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on a Table resource. Replaces any existing policy.", "request": { "$ref": "SetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "path": "v2/{+resource}:setIamPolicy" }, "dropRowRange": { "parameterOrder": [ "name" ], "id": "bigtableadmin.projects.instances.tables.dropRowRange", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables/{tablesId}:dropRowRange", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/instances/[^/]+/tables/[^/]+$", "description": "Required. The unique name of the table on which to drop a range of rows. Values are of the form `projects/{project}/instances/{instance}/tables/{table}`.", "type": "string" } }, "response": { "$ref": "Empty" }, "httpMethod": "POST", "description": "Permanently drop/delete a row range from a specified table. The request can specify whether to delete all rows in a table, or only those that match a particular prefix.", "request": { "$ref": "DropRowRangeRequest" }, "path": "v2/{+name}:dropRowRange" }, "getIamPolicy": { "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "request": { "$ref": "GetIamPolicyRequest" }, "description": "Gets the access control policy for a Table resource. Returns an empty policy if the resource exists but does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables/{tablesId}:getIamPolicy", "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "pattern": "^projects/[^/]+/instances/[^/]+/tables/[^/]+$", "type": "string" } }, "id": "bigtableadmin.projects.instances.tables.getIamPolicy", "path": "v2/{+resource}:getIamPolicy" }, "restore": { "path": "v2/{+parent}/tables:restore", "request": { "$ref": "RestoreTableRequest" }, "httpMethod": "POST", "parameters": { "parent": { "type": "string", "description": "Required. The name of the instance in which to create the restored table. This instance must be in the same project as the source backup. Values are of the form `projects//instances/`.", "pattern": "^projects/[^/]+/instances/[^/]+$", "required": true, "location": "path" } }, "id": "bigtableadmin.projects.instances.tables.restore", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Create a new table by restoring from a completed backup. The new table must be in the same project as the instance containing the backup. The returned table long-running operation can be used to track the progress of the operation, and to cancel it. The metadata field type is RestoreTableMetadata. The response type is Table, if successful.", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables:restore", "response": { "$ref": "Operation" } }, "undelete": { "description": "Restores a specified table which was accidentally deleted.", "request": { "$ref": "UndeleteTableRequest" }, "parameterOrder": [ "name" ], "id": "bigtableadmin.projects.instances.tables.undelete", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables/{tablesId}:undelete", "path": "v2/{+name}:undelete", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+/tables/[^/]+$", "required": true, "description": "Required. The unique name of the table to be restored. Values are of the form `projects/{project}/instances/{instance}/tables/{table}`.", "type": "string" } } }, "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/instances/[^/]+/tables/[^/]+$", "description": "Required. The unique name of the requested table. Values are of the form `projects/{project}/instances/{instance}/tables/{table}`.", "type": "string", "location": "path", "required": true }, "view": { "location": "query", "type": "string", "description": "The view to be applied to the returned table's fields. Defaults to `SCHEMA_VIEW` if unspecified.", "enum": [ "VIEW_UNSPECIFIED", "NAME_ONLY", "SCHEMA_VIEW", "REPLICATION_VIEW", "ENCRYPTION_VIEW", "FULL" ], "enumDescriptions": [ "Uses the default view for each method as documented in its request.", "Only populates `name`.", "Only populates `name` and fields related to the table's schema.", "Only populates `name` and fields related to the table's replication state.", "Only populates `name` and fields related to the table's encryption state.", "Populates all fields." ] } }, "id": "bigtableadmin.projects.instances.tables.get", "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v2/{+name}", "response": { "$ref": "Table" }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/tables/{tablesId}", "description": "Gets metadata information about the specified table." } } }, "clusters": { "resources": { "backups": { "methods": { "patch": { "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+/backups/[^/]+$", "required": true, "location": "path", "description": "A globally unique identifier for the backup which cannot be changed. Values are of the form `projects/{project}/instances/{instance}/clusters/{cluster}/ backups/_a-zA-Z0-9*` The final segment of the name must be between 1 and 50 characters in length. The backup is stored in the cluster identified by the prefix of the backup name of the form `projects/{project}/instances/{instance}/clusters/{cluster}`." }, "updateMask": { "description": "Required. A mask specifying which fields (e.g. `expire_time`) in the Backup resource should be updated. This mask is relative to the Backup resource, not to the request message. The field mask must always be specified; this prevents any future fields from being erased accidentally by clients that do not know about them.", "format": "google-fieldmask", "location": "query", "type": "string" } }, "path": "v2/{+name}", "description": "Updates a pending or completed Cloud Bigtable Backup.", "id": "bigtableadmin.projects.instances.clusters.backups.patch", "response": { "$ref": "Backup" }, "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}/backups/{backupsId}", "parameterOrder": [ "name" ], "request": { "$ref": "Backup" } }, "testIamPermissions": { "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}/backups/{backupsId}:testIamPermissions", "id": "bigtableadmin.projects.instances.clusters.backups.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "TestIamPermissionsRequest" }, "path": "v2/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "description": "Returns permissions that the caller has on the specified table resource.", "parameters": { "resource": { "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+/backups/[^/]+$", "required": true, "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } } }, "getIamPolicy": { "description": "Gets the access control policy for a Table resource. Returns an empty policy if the resource exists but does not have a policy set.", "request": { "$ref": "GetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+/backups/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v2/{+resource}:getIamPolicy", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}/backups/{backupsId}:getIamPolicy", "response": { "$ref": "Policy" }, "id": "bigtableadmin.projects.instances.clusters.backups.getIamPolicy" }, "delete": { "parameterOrder": [ "name" ], "description": "Deletes a pending or completed Cloud Bigtable backup.", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "id": "bigtableadmin.projects.instances.clusters.backups.delete", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}/backups/{backupsId}", "parameters": { "name": { "location": "path", "description": "Required. Name of the backup to delete. Values are of the form `projects/{project}/instances/{instance}/clusters/{cluster}/backups/{backup}`.", "required": true, "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+/backups/[^/]+$", "type": "string" } }, "httpMethod": "DELETE", "path": "v2/{+name}" }, "get": { "response": { "$ref": "Backup" }, "id": "bigtableadmin.projects.instances.clusters.backups.get", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}/backups/{backupsId}", "httpMethod": "GET", "description": "Gets metadata on a pending or completed Cloud Bigtable Backup.", "parameters": { "name": { "location": "path", "description": "Required. Name of the backup. Values are of the form `projects/{project}/instances/{instance}/clusters/{cluster}/backups/{backup}`.", "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+/backups/[^/]+$", "type": "string", "required": true } }, "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "create": { "httpMethod": "POST", "parameters": { "backupId": { "location": "query", "description": "Required. The id of the backup to be created. The `backup_id` along with the parent `parent` are combined as {parent}/backups/{backup_id} to create the full backup name, of the form: `projects/{project}/instances/{instance}/clusters/{cluster}/backups/{backup_id}`. This string must be between 1 and 50 characters in length and match the regex _a-zA-Z0-9*.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+$", "required": true, "type": "string", "description": "Required. This must be one of the clusters in the instance in which this table is located. The backup will be stored in this cluster. Values are of the form `projects/{project}/instances/{instance}/clusters/{cluster}`.", "location": "path" } }, "request": { "$ref": "Backup" }, "path": "v2/{+parent}/backups", "description": "Starts creating a new Cloud Bigtable Backup. The returned backup long-running operation can be used to track creation of the backup. The metadata field type is CreateBackupMetadata. The response field type is Backup, if successful. Cancelling the returned operation will stop the creation and delete the backup.", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "id": "bigtableadmin.projects.instances.clusters.backups.create", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}/backups" }, "setIamPolicy": { "id": "bigtableadmin.projects.instances.clusters.backups.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+/backups/[^/]+$", "required": true } }, "response": { "$ref": "Policy" }, "httpMethod": "POST", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on a Table resource. Replaces any existing policy.", "path": "v2/{+resource}:setIamPolicy", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}/backups/{backupsId}:setIamPolicy" }, "list": { "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}/backups", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.table", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.table", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "If non-empty, `page_token` should contain a next_page_token from a previous ListBackupsResponse to the same `parent` and with the same `filter`." }, "filter": { "type": "string", "description": "A filter expression that filters backups listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be \u003c, \u003e, \u003c=, \u003e=, !=, =, or :. Colon ':' represents a HAS operator which is roughly synonymous with equality. Filter rules are case insensitive. The fields eligible for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `source_table` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `start_time` (and values are of the format YYYY-MM-DDTHH:MM:SSZ) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `end_time` (and values are of the format YYYY-MM-DDTHH:MM:SSZ) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `expire_time` (and values are of the format YYYY-MM-DDTHH:MM:SSZ) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `size_bytes` To filter on multiple expressions, provide each separate expression within parentheses. By default, each expression is an AND expression. However, you can include AND, OR, and NOT expressions explicitly. Some examples of using filters are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name:\"exact\"` --\u003e The backup's name is the string \"exact\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name:howl` --\u003e The backup's name contains the string \"howl\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `source_table:prod` --\u003e The source_table's name contains the string \"prod\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state:CREATING` --\u003e The backup is pending creation. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state:READY` --\u003e The backup is fully created and ready for use. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `(name:howl) AND (start_time \u003c \\\"2018-03-28T14:50:00Z\\\")` --\u003e The backup name contains the string \"howl\" and start_time of the backup is before 2018-03-28T14:50:00Z. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `size_bytes \u003e 10000000000` --\u003e The backup's size is greater than 10GB", "location": "query" }, "orderBy": { "description": "An expression for specifying the sort order of the results of the request. The string value should specify one or more fields in Backup. The full syntax is described at https://aip.dev/132#ordering. Fields supported are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_table LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh expire_time LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh start_time LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh end_time LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh size_bytes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state For example, \"start_time\". The default sorting order is ascending. To specify descending order for the field, a suffix \" desc\" should be appended to the field name. For example, \"start_time desc\". Redundant space characters in the syntax are insigificant. If order_by is empty, results will be sorted by `start_time` in descending order starting from the most recently created backup.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Number of backups to be returned in the response. If 0 or less, defaults to the server's maximum allowed page size." }, "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+$", "type": "string", "description": "Required. The cluster to list backups from. Values are of the form `projects/{project}/instances/{instance}/clusters/{cluster}`. Use `{cluster} = '-'` to list backups for all clusters in an instance, e.g., `projects/{project}/instances/{instance}/clusters/-`." } }, "description": "Lists Cloud Bigtable backups. Returns both completed and pending backups.", "path": "v2/{+parent}/backups", "response": { "$ref": "ListBackupsResponse" }, "httpMethod": "GET", "id": "bigtableadmin.projects.instances.clusters.backups.list" } } }, "hotTablets": { "methods": { "list": { "description": "Lists hot tablets in a cluster, within the time range provided. Hot tablets are ordered based on CPU usage.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}/hotTablets", "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "description": "Maximum number of results per page. A page_size that is empty or zero lets the server choose the number of items to return. A page_size which is strictly positive will return at most that many items. A negative page_size will cause an error. Following the first request, subsequent paginated calls do not need a page_size field. If a page_size is set in subsequent calls, it must match the page_size given in the first request.", "location": "query", "type": "integer" }, "parent": { "location": "path", "type": "string", "required": true, "description": "Required. The cluster name to list hot tablets. Value is in the following form: `projects/{project}/instances/{instance}/clusters/{cluster}`.", "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+$" }, "startTime": { "location": "query", "format": "google-datetime", "description": "The start time to list hot tablets. The hot tablets in the response will have start times between the requested start time and end time. Start time defaults to Now if it is unset, and end time defaults to Now - 24 hours if it is unset. The start time should be less than the end time, and the maximum allowed time range between start time and end time is 48 hours. Start time and end time should have values between Now and Now - 14 days.", "type": "string" }, "endTime": { "location": "query", "description": "The end time to list hot tablets.", "type": "string", "format": "google-datetime" }, "pageToken": { "type": "string", "location": "query", "description": "The value of `next_page_token` returned by a previous call." } }, "id": "bigtableadmin.projects.instances.clusters.hotTablets.list", "response": { "$ref": "ListHotTabletsResponse" }, "path": "v2/{+parent}/hotTablets" } } } }, "methods": { "partialUpdateCluster": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Cluster" }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}", "id": "bigtableadmin.projects.instances.clusters.partialUpdateCluster", "description": "Partially updates a cluster within a project. This method is the preferred way to update a Cluster. To enable and update autoscaling, set cluster_config.cluster_autoscaling_config. When autoscaling is enabled, serve_nodes is treated as an OUTPUT_ONLY field, meaning that updates to it are ignored. Note that an update cannot simultaneously set serve_nodes to non-zero and cluster_config.cluster_autoscaling_config to non-empty, and also specify both in the update_mask. To disable autoscaling, clear cluster_config.cluster_autoscaling_config, and explicitly set a serve_node count via the update_mask.", "path": "v2/{+name}", "response": { "$ref": "Operation" }, "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. The subset of Cluster fields which should be replaced.", "location": "query" }, "name": { "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The unique name of the cluster. Values are of the form `projects/{project}/instances/{instance}/clusters/a-z*`." } }, "httpMethod": "PATCH" }, "list": { "path": "v2/{+parent}/clusters", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "bigtableadmin.projects.instances.clusters.list", "description": "Lists information about clusters in an instance.", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters", "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "type": "string", "description": "Required. The unique name of the instance for which a list of clusters is requested. Values are of the form `projects/{project}/instances/{instance}`. Use `{instance} = '-'` to list Clusters for all Instances in a project, e.g., `projects/myproject/instances/-`.", "pattern": "^projects/[^/]+/instances/[^/]+$", "required": true }, "pageToken": { "type": "string", "description": "DEPRECATED: This field is unused and ignored.", "location": "query" } }, "response": { "$ref": "ListClustersResponse" } }, "update": { "parameterOrder": [ "name" ], "httpMethod": "PUT", "id": "bigtableadmin.projects.instances.clusters.update", "description": "Updates a cluster within an instance. Note that UpdateCluster does not support updating cluster_config.cluster_autoscaling_config. In order to update it, you must use PartialUpdateCluster.", "parameters": { "name": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+$", "description": "The unique name of the cluster. Values are of the form `projects/{project}/instances/{instance}/clusters/a-z*`." } }, "path": "v2/{+name}", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Cluster" } }, "delete": { "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+$", "description": "Required. The unique name of the cluster to be deleted. Values are of the form `projects/{project}/instances/{instance}/clusters/{cluster}`.", "type": "string", "required": true } }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}", "response": { "$ref": "Empty" }, "description": "Deletes a cluster from an instance.", "id": "bigtableadmin.projects.instances.clusters.delete", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE" }, "get": { "description": "Gets information about a cluster.", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v2/{+name}", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters/{clustersId}", "response": { "$ref": "Cluster" }, "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/instances/[^/]+/clusters/[^/]+$", "location": "path", "type": "string", "description": "Required. The unique name of the requested cluster. Values are of the form `projects/{project}/instances/{instance}/clusters/{cluster}`." } }, "httpMethod": "GET", "id": "bigtableadmin.projects.instances.clusters.get" }, "create": { "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/clusters", "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Cluster" }, "id": "bigtableadmin.projects.instances.clusters.create", "httpMethod": "POST", "description": "Creates a cluster within an instance. Note that exactly one of Cluster.serve_nodes and Cluster.cluster_config.cluster_autoscaling_config can be set. If serve_nodes is set to non-zero, then the cluster is manually scaled. If cluster_config.cluster_autoscaling_config is non-empty, then autoscaling is enabled.", "path": "v2/{+parent}/clusters", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "parameters": { "clusterId": { "location": "query", "type": "string", "description": "Required. The ID to be used when referring to the new cluster within its instance, e.g., just `mycluster` rather than `projects/myproject/instances/myinstance/clusters/mycluster`." }, "parent": { "location": "path", "type": "string", "required": true, "description": "Required. The unique name of the instance in which to create the new cluster. Values are of the form `projects/{project}/instances/{instance}`.", "pattern": "^projects/[^/]+/instances/[^/]+$" } } } } }, "appProfiles": { "methods": { "create": { "request": { "$ref": "AppProfile" }, "response": { "$ref": "AppProfile" }, "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/appProfiles", "path": "v2/{+parent}/appProfiles", "id": "bigtableadmin.projects.instances.appProfiles.create", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "ignoreWarnings": { "description": "If true, ignore safety checks when creating the app profile.", "type": "boolean", "location": "query" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/instances/[^/]+$", "required": true, "description": "Required. The unique name of the instance in which to create the new app profile. Values are of the form `projects/{project}/instances/{instance}`.", "location": "path" }, "appProfileId": { "location": "query", "description": "Required. The ID to be used when referring to the new app profile within its instance, e.g., just `myprofile` rather than `projects/myproject/instances/myinstance/appProfiles/myprofile`.", "type": "string" } }, "description": "Creates an app profile within an instance.", "httpMethod": "POST" }, "delete": { "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/appProfiles/{appProfilesId}", "parameters": { "name": { "pattern": "^projects/[^/]+/instances/[^/]+/appProfiles/[^/]+$", "description": "Required. The unique name of the app profile to be deleted. Values are of the form `projects/{project}/instances/{instance}/appProfiles/{app_profile}`.", "location": "path", "type": "string", "required": true }, "ignoreWarnings": { "type": "boolean", "description": "Required. If true, ignore safety checks when deleting the app profile.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+name}", "parameterOrder": [ "name" ], "description": "Deletes an app profile from an instance.", "id": "bigtableadmin.projects.instances.appProfiles.delete" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameterOrder": [ "name" ], "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/appProfiles/{appProfilesId}", "path": "v2/{+name}", "parameters": { "ignoreWarnings": { "type": "boolean", "description": "If true, ignore safety checks when updating the app profile.", "location": "query" }, "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+/appProfiles/[^/]+$", "description": "The unique name of the app profile. Values are of the form `projects/{project}/instances/{instance}/appProfiles/_a-zA-Z0-9*`.", "required": true }, "updateMask": { "type": "string", "description": "Required. The subset of app profile fields which should be replaced. If unset, all fields will be replaced.", "format": "google-fieldmask", "location": "query" } }, "description": "Updates an app profile within an instance.", "id": "bigtableadmin.projects.instances.appProfiles.patch", "response": { "$ref": "Operation" }, "request": { "$ref": "AppProfile" } }, "get": { "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+/appProfiles/[^/]+$", "required": true, "description": "Required. The unique name of the requested app profile. Values are of the form `projects/{project}/instances/{instance}/appProfiles/{app_profile}`." } }, "id": "bigtableadmin.projects.instances.appProfiles.get", "description": "Gets information about an app profile.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v2/{+name}", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/appProfiles/{appProfilesId}", "response": { "$ref": "AppProfile" }, "httpMethod": "GET" }, "list": { "parameters": { "pageSize": { "location": "query", "description": "Maximum number of results per page. A page_size of zero lets the server choose the number of items to return. A page_size which is strictly positive will return at most that many items. A negative page_size will cause an error. Following the first request, subsequent paginated calls are not required to pass a page_size. If a page_size is set in subsequent calls, it must match the page_size given in the first request.", "format": "int32", "type": "integer" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/instances/[^/]+$", "required": true, "description": "Required. The unique name of the instance for which a list of app profiles is requested. Values are of the form `projects/{project}/instances/{instance}`. Use `{instance} = '-'` to list AppProfiles for all Instances in a project, e.g., `projects/myproject/instances/-`.", "type": "string" }, "pageToken": { "type": "string", "description": "The value of `next_page_token` returned by a previous call.", "location": "query" } }, "description": "Lists information about app profiles in an instance.", "flatPath": "v2/projects/{projectsId}/instances/{instancesId}/appProfiles", "id": "bigtableadmin.projects.instances.appProfiles.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/bigtable.admin", "https://www.googleapis.com/auth/bigtable.admin.cluster", "https://www.googleapis.com/auth/bigtable.admin.instance", "https://www.googleapis.com/auth/cloud-bigtable.admin", "https://www.googleapis.com/auth/cloud-bigtable.admin.cluster", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/appProfiles", "httpMethod": "GET", "response": { "$ref": "ListAppProfilesResponse" } } } } } } } } }, "schemas": { "DropRowRangeRequest": { "properties": { "rowKeyPrefix": { "type": "string", "format": "byte", "description": "Delete all rows that start with this row key prefix. Prefix cannot be zero length." }, "deleteAllDataFromTable": { "type": "boolean", "description": "Delete all rows in the table. Setting this to false is a no-op." } }, "type": "object", "description": "Request message for google.bigtable.admin.v2.BigtableTableAdmin.DropRowRange", "id": "DropRowRangeRequest" }, "CreateClusterRequest": { "properties": { "cluster": { "description": "Required. The cluster to be created. Fields marked `OutputOnly` must be left blank.", "$ref": "Cluster" }, "clusterId": { "type": "string", "description": "Required. The ID to be used when referring to the new cluster within its instance, e.g., just `mycluster` rather than `projects/myproject/instances/myinstance/clusters/mycluster`." }, "parent": { "type": "string", "description": "Required. The unique name of the instance in which to create the new cluster. Values are of the form `projects/{project}/instances/{instance}`." } }, "description": "Request message for BigtableInstanceAdmin.CreateCluster.", "type": "object", "id": "CreateClusterRequest" }, "RestoreTableMetadata": { "id": "RestoreTableMetadata", "properties": { "name": { "type": "string", "description": "Name of the table being created and restored to." }, "sourceType": { "enum": [ "RESTORE_SOURCE_TYPE_UNSPECIFIED", "BACKUP" ], "enumDescriptions": [ "No restore associated.", "A backup was used as the source of the restore." ], "type": "string", "description": "The type of the restore source." }, "optimizeTableOperationName": { "description": "If exists, the name of the long-running operation that will be used to track the post-restore optimization process to optimize the performance of the restored table. The metadata type of the long-running operation is OptimizeRestoreTableMetadata. The response type is Empty. This long-running operation may be automatically created by the system if applicable after the RestoreTable long-running operation completes successfully. This operation may not be created if the table is already optimized or the restore was not successful.", "type": "string" }, "progress": { "description": "The progress of the RestoreTable operation.", "$ref": "OperationProgress" }, "backupInfo": { "$ref": "BackupInfo" } }, "description": "Metadata type for the long-running operation returned by RestoreTable.", "type": "object" }, "AutoscalingLimits": { "description": "Limits for the number of nodes a Cluster can autoscale up/down to.", "type": "object", "id": "AutoscalingLimits", "properties": { "maxServeNodes": { "type": "integer", "description": "Required. Maximum number of nodes to scale up to.", "format": "int32" }, "minServeNodes": { "type": "integer", "format": "int32", "description": "Required. Minimum number of nodes to scale down to." } } }, "PartialUpdateInstanceRequest": { "id": "PartialUpdateInstanceRequest", "properties": { "instance": { "$ref": "Instance", "description": "Required. The Instance which will (partially) replace the current value." }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. The subset of Instance fields which should be replaced. Must be explicitly set." } }, "description": "Request message for BigtableInstanceAdmin.PartialUpdateInstance.", "type": "object" }, "SingleClusterRouting": { "type": "object", "properties": { "allowTransactionalWrites": { "type": "boolean", "description": "Whether or not `CheckAndMutateRow` and `ReadModifyWriteRow` requests are allowed by this app profile. It is unsafe to send these requests to the same table/row/column in multiple clusters." }, "clusterId": { "description": "The cluster to which read/write requests should be routed.", "type": "string" } }, "id": "SingleClusterRouting", "description": "Unconditionally routes all read/write requests to a specific cluster. This option preserves read-your-writes consistency but does not improve availability." }, "ListClustersResponse": { "description": "Response message for BigtableInstanceAdmin.ListClusters.", "type": "object", "properties": { "failedLocations": { "type": "array", "items": { "type": "string" }, "description": "Locations from which Cluster information could not be retrieved, due to an outage or some other transient condition. Clusters from these locations may be missing from `clusters`, or may only have partial information returned. Values are of the form `projects//locations/`" }, "clusters": { "items": { "$ref": "Cluster" }, "description": "The list of requested clusters.", "type": "array" }, "nextPageToken": { "type": "string", "description": "DEPRECATED: This field is unused and ignored." } }, "id": "ListClustersResponse" }, "Expr": { "properties": { "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object", "id": "Expr" }, "AuditLogConfig": { "type": "object", "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } }, "logType": { "type": "string", "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig" }, "GenerateConsistencyTokenResponse": { "id": "GenerateConsistencyTokenResponse", "type": "object", "properties": { "consistencyToken": { "description": "The generated consistency token.", "type": "string" } }, "description": "Response message for google.bigtable.admin.v2.BigtableTableAdmin.GenerateConsistencyToken" }, "ModifyColumnFamiliesRequest": { "description": "Request message for google.bigtable.admin.v2.BigtableTableAdmin.ModifyColumnFamilies", "properties": { "modifications": { "type": "array", "description": "Required. Modifications to be atomically applied to the specified table's families. Entries are applied in order, meaning that earlier modifications can be masked by later ones (in the case of repeated updates to the same family, for example).", "items": { "$ref": "Modification" } } }, "id": "ModifyColumnFamiliesRequest", "type": "object" }, "Table": { "type": "object", "description": "A collection of user data indexed by row, column, and timestamp. Each table is served using the resources of its parent cluster.", "id": "Table", "properties": { "clusterStates": { "description": "Output only. Map from cluster ID to per-cluster table state. If it could not be determined whether or not the table has data in a particular cluster (for example, if its zone is unavailable), then there will be an entry for the cluster with UNKNOWN `replication_status`. Views: `REPLICATION_VIEW`, `ENCRYPTION_VIEW`, `FULL`", "type": "object", "additionalProperties": { "$ref": "ClusterState" }, "readOnly": true }, "columnFamilies": { "description": "The column families configured for this table, mapped by column family ID. Views: `SCHEMA_VIEW`, `FULL`", "type": "object", "additionalProperties": { "$ref": "ColumnFamily" } }, "restoreInfo": { "readOnly": true, "$ref": "RestoreInfo", "description": "Output only. If this table was restored from another data source (e.g. a backup), this field will be populated with information about the restore." }, "name": { "description": "The unique name of the table. Values are of the form `projects/{project}/instances/{instance}/tables/_a-zA-Z0-9*`. Views: `NAME_ONLY`, `SCHEMA_VIEW`, `REPLICATION_VIEW`, `FULL`", "type": "string" }, "granularity": { "enum": [ "TIMESTAMP_GRANULARITY_UNSPECIFIED", "MILLIS" ], "enumDescriptions": [ "The user did not specify a granularity. Should not be returned. When specified during table creation, MILLIS will be used.", "The table keeps data versioned at a granularity of 1ms." ], "description": "Immutable. The granularity (i.e. `MILLIS`) at which timestamps are stored in this table. Timestamps not matching the granularity will be rejected. If unspecified at creation time, the value will be set to `MILLIS`. Views: `SCHEMA_VIEW`, `FULL`.", "type": "string" } } }, "SetIamPolicyRequest": { "type": "object", "properties": { "updateMask": { "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask" }, "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "id": "SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method." }, "CreateInstanceMetadata": { "description": "The metadata for the Operation returned by CreateInstance.", "properties": { "originalRequest": { "$ref": "CreateInstanceRequest", "description": "The request that prompted the initiation of this CreateInstance operation." }, "requestTime": { "description": "The time at which the original request was received.", "type": "string", "format": "google-datetime" }, "finishTime": { "description": "The time at which the operation failed or was completed successfully.", "type": "string", "format": "google-datetime" } }, "id": "CreateInstanceMetadata", "type": "object" }, "Status": { "id": "Status", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object" }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object", "id": "Policy", "properties": { "auditConfigs": { "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy.", "type": "array" }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" }, "type": "array" }, "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } } }, "Modification": { "properties": { "create": { "description": "Create a new column family with the specified schema, or fail if one already exists with the given ID.", "$ref": "ColumnFamily" }, "update": { "$ref": "ColumnFamily", "description": "Update an existing column family to the specified schema, or fail if no column family exists with the given ID." }, "id": { "type": "string", "description": "The ID of the column family to be modified." }, "drop": { "type": "boolean", "description": "Drop (delete) the column family with the given ID, or fail if no such family exists." } }, "id": "Modification", "type": "object", "description": "A create, update, or delete of a particular column family." }, "Backup": { "type": "object", "id": "Backup", "description": "A backup of a Cloud Bigtable table.", "properties": { "endTime": { "format": "google-datetime", "description": "Output only. `end_time` is the time that the backup was finished. The row data in the backup will be no newer than this timestamp.", "type": "string", "readOnly": true }, "expireTime": { "format": "google-datetime", "type": "string", "description": "Required. The expiration time of the backup, with microseconds granularity that must be at least 6 hours and at most 30 days from the time the request is received. Once the `expire_time` has passed, Cloud Bigtable will delete the backup and free the resources used by the backup." }, "name": { "description": "A globally unique identifier for the backup which cannot be changed. Values are of the form `projects/{project}/instances/{instance}/clusters/{cluster}/ backups/_a-zA-Z0-9*` The final segment of the name must be between 1 and 50 characters in length. The backup is stored in the cluster identified by the prefix of the backup name of the form `projects/{project}/instances/{instance}/clusters/{cluster}`.", "type": "string" }, "state": { "readOnly": true, "description": "Output only. The current state of the backup.", "enumDescriptions": [ "Not specified.", "The pending backup is still being created. Operations on the backup may fail with `FAILED_PRECONDITION` in this state.", "The backup is complete and ready for use." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY" ], "type": "string" }, "sizeBytes": { "readOnly": true, "type": "string", "format": "int64", "description": "Output only. Size of the backup in bytes." }, "sourceTable": { "description": "Required. Immutable. Name of the table from which this backup was created. This needs to be in the same instance as the backup. Values are of the form `projects/{project}/instances/{instance}/tables/{source_table}`.", "type": "string" }, "encryptionInfo": { "description": "Output only. The encryption information for the backup.", "readOnly": true, "$ref": "EncryptionInfo" }, "startTime": { "description": "Output only. `start_time` is the time that the backup was started (i.e. approximately the time the CreateBackup request is received). The row data in this backup will be no older than this timestamp.", "type": "string", "format": "google-datetime", "readOnly": true } } }, "Intersection": { "description": "A GcRule which deletes cells matching all of the given rules.", "id": "Intersection", "properties": { "rules": { "type": "array", "description": "Only delete cells which would be deleted by every element of `rules`.", "items": { "$ref": "GcRule" } } }, "type": "object" }, "ListOperationsResponse": { "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Operations.ListOperations.", "type": "object", "id": "ListOperationsResponse" }, "ClusterAutoscalingConfig": { "properties": { "autoscalingTargets": { "$ref": "AutoscalingTargets", "description": "Required. Autoscaling targets for this cluster." }, "autoscalingLimits": { "$ref": "AutoscalingLimits", "description": "Required. Autoscaling limits for this cluster." } }, "type": "object", "id": "ClusterAutoscalingConfig", "description": "Autoscaling config for a cluster." }, "ListBackupsResponse": { "id": "ListBackupsResponse", "properties": { "backups": { "type": "array", "description": "The list of matching backups.", "items": { "$ref": "Backup" } }, "nextPageToken": { "type": "string", "description": "`next_page_token` can be sent in a subsequent ListBackups call to fetch more of the matching backups." } }, "description": "The response for ListBackups.", "type": "object" }, "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {} }, "UpdateAppProfileMetadata": { "properties": {}, "type": "object", "id": "UpdateAppProfileMetadata", "description": "The metadata for the Operation returned by UpdateAppProfile." }, "ListAppProfilesResponse": { "properties": { "appProfiles": { "type": "array", "description": "The list of requested app profiles.", "items": { "$ref": "AppProfile" } }, "failedLocations": { "type": "array", "items": { "type": "string" }, "description": "Locations from which AppProfile information could not be retrieved, due to an outage or some other transient condition. AppProfiles from these locations may be missing from `app_profiles`. Values are of the form `projects//locations/`" }, "nextPageToken": { "type": "string", "description": "Set if not all app profiles could be returned in a single response. Pass this value to `page_token` in another request to get the next page of results." } }, "type": "object", "description": "Response message for BigtableInstanceAdmin.ListAppProfiles.", "id": "ListAppProfilesResponse" }, "GetPolicyOptions": { "id": "GetPolicyOptions", "type": "object", "properties": { "requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } }, "description": "Encapsulates settings provided to GetIamPolicy." }, "ListLocationsResponse": { "id": "ListLocationsResponse", "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object" }, "Operation": { "type": "object", "id": "Operation", "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" } }, "description": "This resource represents a long-running operation that is the result of a network API call." }, "UpdateInstanceMetadata": { "properties": { "requestTime": { "description": "The time at which the original request was received.", "format": "google-datetime", "type": "string" }, "originalRequest": { "description": "The request that prompted the initiation of this UpdateInstance operation.", "$ref": "PartialUpdateInstanceRequest" }, "finishTime": { "description": "The time at which the operation failed or was completed successfully.", "type": "string", "format": "google-datetime" } }, "id": "UpdateInstanceMetadata", "type": "object", "description": "The metadata for the Operation returned by UpdateInstance." }, "RestoreTableRequest": { "type": "object", "id": "RestoreTableRequest", "properties": { "backup": { "description": "Name of the backup from which to restore. Values are of the form `projects//instances//clusters//backups/`.", "type": "string" }, "tableId": { "type": "string", "description": "Required. The id of the table to create and restore to. This table must not already exist. The `table_id` appended to `parent` forms the full table name of the form `projects//instances//tables/`." } }, "description": "The request for RestoreTable." }, "Binding": { "type": "object", "properties": { "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" }, "type": "array" } }, "description": "Associates `members`, or principals, with a `role`.", "id": "Binding" }, "CheckConsistencyRequest": { "properties": { "consistencyToken": { "type": "string", "description": "Required. The token created using GenerateConsistencyToken for the Table." } }, "id": "CheckConsistencyRequest", "description": "Request message for google.bigtable.admin.v2.BigtableTableAdmin.CheckConsistency", "type": "object" }, "MultiClusterRoutingUseAny": { "id": "MultiClusterRoutingUseAny", "properties": { "clusterIds": { "items": { "type": "string" }, "description": "The set of clusters to route to. The order is ignored; clusters will be tried in order of distance. If left empty, all clusters are eligible.", "type": "array" } }, "type": "object", "description": "Read/write requests are routed to the nearest cluster in the instance, and will fail over to the nearest cluster that is available in the event of transient errors or delays. Clusters in a region are considered equidistant. Choosing this option sacrifices read-your-writes consistency to improve availability." }, "ClusterState": { "type": "object", "properties": { "encryptionInfo": { "items": { "$ref": "EncryptionInfo" }, "description": "Output only. The encryption information for the table in this cluster. If the encryption key protecting this resource is customer managed, then its version can be rotated in Cloud Key Management Service (Cloud KMS). The primary version of the key and its status will be reflected here when changes propagate from Cloud KMS.", "type": "array", "readOnly": true }, "replicationState": { "readOnly": true, "type": "string", "description": "Output only. The state of replication for the table in this cluster.", "enum": [ "STATE_NOT_KNOWN", "INITIALIZING", "PLANNED_MAINTENANCE", "UNPLANNED_MAINTENANCE", "READY", "READY_OPTIMIZING" ], "enumDescriptions": [ "The replication state of the table is unknown in this cluster.", "The cluster was recently created, and the table must finish copying over pre-existing data from other clusters before it can begin receiving live replication updates and serving Data API requests.", "The table is temporarily unable to serve Data API requests from this cluster due to planned internal maintenance.", "The table is temporarily unable to serve Data API requests from this cluster due to unplanned or emergency maintenance.", "The table can serve Data API requests from this cluster. Depending on replication delay, reads may not immediately reflect the state of the table in other clusters.", "The table is fully created and ready for use after a restore, and is being optimized for performance. When optimizations are complete, the table will transition to `READY` state." ] } }, "id": "ClusterState", "description": "The state of a table's data in a particular cluster." }, "ClusterConfig": { "type": "object", "properties": { "clusterAutoscalingConfig": { "description": "Autoscaling configuration for this cluster.", "$ref": "ClusterAutoscalingConfig" } }, "description": "Configuration for a cluster.", "id": "ClusterConfig" }, "ListHotTabletsResponse": { "description": "Response message for BigtableInstanceAdmin.ListHotTablets.", "id": "ListHotTabletsResponse", "type": "object", "properties": { "hotTablets": { "type": "array", "items": { "$ref": "HotTablet" }, "description": "List of hot tablets in the tables of the requested cluster that fall within the requested time range. Hot tablets are ordered by node cpu usage percent. If there are multiple hot tablets that correspond to the same tablet within a 15-minute interval, only the hot tablet with the highest node cpu usage will be included in the response." }, "nextPageToken": { "description": "Set if not all hot tablets could be returned in a single response. Pass this value to `page_token` in another request to get the next page of results.", "type": "string" } } }, "UndeleteTableRequest": { "properties": {}, "type": "object", "id": "UndeleteTableRequest", "description": "Request message for google.bigtable.admin.v2.BigtableTableAdmin.UndeleteTable" }, "ListInstancesResponse": { "id": "ListInstancesResponse", "description": "Response message for BigtableInstanceAdmin.ListInstances.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "DEPRECATED: This field is unused and ignored." }, "instances": { "items": { "$ref": "Instance" }, "description": "The list of requested instances.", "type": "array" }, "failedLocations": { "items": { "type": "string" }, "type": "array", "description": "Locations from which Instance information could not be retrieved, due to an outage or some other transient condition. Instances whose Clusters are all in one of the failed locations may be missing from `instances`, and Instances with at least one Cluster in a failed location may only have partial information returned. Values are of the form `projects//locations/`" } } }, "Location": { "properties": { "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" } }, "type": "object", "id": "Location", "description": "A resource that represents Google Cloud Platform location." }, "UndeleteTableMetadata": { "id": "UndeleteTableMetadata", "type": "object", "description": "Metadata type for the operation returned by google.bigtable.admin.v2.BigtableTableAdmin.UndeleteTable.", "properties": { "name": { "type": "string", "description": "The name of the table being restored." }, "endTime": { "type": "string", "description": "If set, the time at which this operation finished or was cancelled.", "format": "google-datetime" }, "startTime": { "type": "string", "description": "The time at which this operation started.", "format": "google-datetime" } } }, "AutoscalingTargets": { "properties": { "cpuUtilizationPercent": { "description": "The cpu utilization that the Autoscaler should be trying to achieve. This number is on a scale from 0 (no utilization) to 100 (total utilization), and is limited between 10 and 80, otherwise it will return INVALID_ARGUMENT error.", "format": "int32", "type": "integer" }, "storageUtilizationGibPerNode": { "description": "The storage utilization that the Autoscaler should be trying to achieve. This number is limited between 2560 (2.5TiB) and 5120 (5TiB) for a SSD cluster and between 8192 (8TiB) and 16384 (16TiB) for an HDD cluster, otherwise it will return INVALID_ARGUMENT error. If this value is set to 0, it will be treated as if it were set to the default value: 2560 for SSD, 8192 for HDD.", "type": "integer", "format": "int32" } }, "type": "object", "id": "AutoscalingTargets", "description": "The Autoscaling targets for a Cluster. These determine the recommended nodes." }, "PartialUpdateClusterMetadata": { "properties": { "requestTime": { "description": "The time at which the original request was received.", "format": "google-datetime", "type": "string" }, "finishTime": { "type": "string", "description": "The time at which the operation failed or was completed successfully.", "format": "google-datetime" }, "originalRequest": { "description": "The original request for PartialUpdateCluster.", "$ref": "PartialUpdateClusterRequest" } }, "id": "PartialUpdateClusterMetadata", "description": "The metadata for the Operation returned by PartialUpdateCluster.", "type": "object" }, "ListTablesResponse": { "description": "Response message for google.bigtable.admin.v2.BigtableTableAdmin.ListTables", "id": "ListTablesResponse", "properties": { "tables": { "items": { "$ref": "Table" }, "type": "array", "description": "The tables present in the requested instance." }, "nextPageToken": { "type": "string", "description": "Set if not all tables could be returned in a single response. Pass this value to `page_token` in another request to get the next page of results." } }, "type": "object" }, "OptimizeRestoredTableMetadata": { "properties": { "progress": { "description": "The progress of the post-restore optimizations.", "$ref": "OperationProgress" }, "name": { "type": "string", "description": "Name of the restored table being optimized." } }, "type": "object", "description": "Metadata type for the long-running operation used to track the progress of optimizations performed on a newly restored table. This long-running operation is automatically created by the system after the successful completion of a table restore, and cannot be cancelled.", "id": "OptimizeRestoredTableMetadata" }, "HotTablet": { "properties": { "name": { "type": "string", "description": "The unique name of the hot tablet. Values are of the form `projects/{project}/instances/{instance}/clusters/{cluster}/hotTablets/[a-zA-Z0-9_-]*`." }, "tableName": { "type": "string", "description": "Name of the table that contains the tablet. Values are of the form `projects/{project}/instances/{instance}/tables/_a-zA-Z0-9*`." }, "nodeCpuUsagePercent": { "format": "float", "type": "number", "readOnly": true, "description": "Output only. The average CPU usage spent by a node on this tablet over the start_time to end_time time range. The percentage is the amount of CPU used by the node to serve the tablet, from 0% (tablet was not interacted with) to 100% (the node spent all cycles serving the hot tablet)." }, "endKey": { "description": "Tablet End Key (inclusive).", "type": "string" }, "startKey": { "type": "string", "description": "Tablet Start Key (inclusive)." }, "endTime": { "description": "Output only. The end time of the hot tablet.", "type": "string", "format": "google-datetime", "readOnly": true }, "startTime": { "readOnly": true, "description": "Output only. The start time of the hot tablet.", "type": "string", "format": "google-datetime" } }, "description": "A tablet is a defined by a start and end key and is explained in https://cloud.google.com/bigtable/docs/overview#architecture and https://cloud.google.com/bigtable/docs/performance#optimization. A Hot tablet is a tablet that exhibits high average cpu usage during the time interval from start time to end time.", "type": "object", "id": "HotTablet" }, "CreateBackupMetadata": { "properties": { "endTime": { "format": "google-datetime", "type": "string", "description": "If set, the time at which this operation finished or was cancelled." }, "name": { "description": "The name of the backup being created.", "type": "string" }, "startTime": { "description": "The time at which this operation started.", "format": "google-datetime", "type": "string" }, "sourceTable": { "description": "The name of the table the backup is created from.", "type": "string" } }, "description": "Metadata type for the operation returned by CreateBackup.", "type": "object", "id": "CreateBackupMetadata" }, "GenerateConsistencyTokenRequest": { "properties": {}, "description": "Request message for google.bigtable.admin.v2.BigtableTableAdmin.GenerateConsistencyToken", "type": "object", "id": "GenerateConsistencyTokenRequest" }, "TestIamPermissionsResponse": { "description": "Response message for `TestIamPermissions` method.", "type": "object", "id": "TestIamPermissionsResponse", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } } }, "GetIamPolicyRequest": { "description": "Request message for `GetIamPolicy` method.", "properties": { "options": { "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.", "$ref": "GetPolicyOptions" } }, "id": "GetIamPolicyRequest", "type": "object" }, "EncryptionConfig": { "id": "EncryptionConfig", "properties": { "kmsKeyName": { "type": "string", "description": "Describes the Cloud KMS encryption key that will be used to protect the destination Bigtable cluster. The requirements for this key are: 1) The Cloud Bigtable service account associated with the project that contains this cluster must be granted the `cloudkms.cryptoKeyEncrypterDecrypter` role on the CMEK key. 2) Only regional keys can be used and the region of the CMEK key must match the region of the cluster. Values are of the form `projects/{project}/locations/{location}/keyRings/{keyring}/cryptoKeys/{key}`" } }, "type": "object", "description": "Cloud Key Management Service (Cloud KMS) settings for a CMEK-protected cluster." }, "BackupInfo": { "type": "object", "id": "BackupInfo", "properties": { "sourceTable": { "type": "string", "readOnly": true, "description": "Output only. Name of the table the backup was created from." }, "startTime": { "type": "string", "readOnly": true, "description": "Output only. The time that the backup was started. Row data in the backup will be no older than this timestamp.", "format": "google-datetime" }, "endTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. This time that the backup was finished. Row data in the backup will be no newer than this timestamp." }, "backup": { "description": "Output only. Name of the backup.", "type": "string", "readOnly": true } }, "description": "Information about a backup." }, "EncryptionInfo": { "type": "object", "properties": { "kmsKeyVersion": { "type": "string", "readOnly": true, "description": "Output only. The version of the Cloud KMS key specified in the parent cluster that is in use for the data underlying this table." }, "encryptionType": { "readOnly": true, "type": "string", "description": "Output only. The type of encryption used to protect this resource.", "enum": [ "ENCRYPTION_TYPE_UNSPECIFIED", "GOOGLE_DEFAULT_ENCRYPTION", "CUSTOMER_MANAGED_ENCRYPTION" ], "enumDescriptions": [ "Encryption type was not specified, though data at rest remains encrypted.", "The data backing this resource is encrypted at rest with a key that is fully managed by Google. No key version or status will be populated. This is the default state.", "The data backing this resource is encrypted at rest with a key that is managed by the customer. The in-use version of the key and its status are populated for CMEK-protected tables. CMEK-protected backups are pinned to the key version that was in use at the time the backup was taken. This key version is populated but its status is not tracked and is reported as `UNKNOWN`." ] }, "encryptionStatus": { "$ref": "Status", "readOnly": true, "description": "Output only. The status of encrypt/decrypt calls on underlying data for this resource. Regardless of status, the existing data is always encrypted at rest." } }, "id": "EncryptionInfo", "description": "Encryption information for a given resource. If this resource is protected with customer managed encryption, the in-use Cloud Key Management Service (Cloud KMS) key version is specified along with its status." }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "type": "object" }, "AuditConfig": { "properties": { "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" } }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "id": "AuditConfig", "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "PartialUpdateClusterRequest": { "type": "object", "description": "Request message for BigtableInstanceAdmin.PartialUpdateCluster.", "id": "PartialUpdateClusterRequest", "properties": { "cluster": { "description": "Required. The Cluster which contains the partial updates to be applied, subject to the update_mask.", "$ref": "Cluster" }, "updateMask": { "description": "Required. The subset of Cluster fields which should be replaced.", "type": "string", "format": "google-fieldmask" } } }, "ColumnFamily": { "properties": { "gcRule": { "description": "Garbage collection rule specified as a protobuf. Must serialize to at most 500 bytes. NOTE: Garbage collection executes opportunistically in the background, and so it's possible for reads to return a cell even if it matches the active GC expression for its family.", "$ref": "GcRule" } }, "id": "ColumnFamily", "description": "A set of columns within a table which share a common configuration.", "type": "object" }, "CreateClusterMetadata": { "properties": { "originalRequest": { "description": "The request that prompted the initiation of this CreateCluster operation.", "$ref": "CreateClusterRequest" }, "finishTime": { "format": "google-datetime", "description": "The time at which the operation failed or was completed successfully.", "type": "string" }, "tables": { "additionalProperties": { "$ref": "TableProgress" }, "type": "object", "description": "Keys: the full `name` of each table that existed in the instance when CreateCluster was first called, i.e. `projects//instances//tables/`. Any table added to the instance by a later API call will be created in the new cluster by that API call, not this one. Values: information on how much of a table's data has been copied to the newly-created cluster so far." }, "requestTime": { "format": "google-datetime", "type": "string", "description": "The time at which the original request was received." } }, "type": "object", "id": "CreateClusterMetadata", "description": "The metadata for the Operation returned by CreateCluster." }, "GcRule": { "type": "object", "properties": { "intersection": { "$ref": "Intersection", "description": "Delete cells that would be deleted by every nested rule." }, "maxNumVersions": { "type": "integer", "format": "int32", "description": "Delete all cells in a column except the most recent N." }, "union": { "description": "Delete cells that would be deleted by any nested rule.", "$ref": "Union" }, "maxAge": { "description": "Delete cells in a column older than the given age. Values must be at least one millisecond, and will be truncated to microsecond granularity.", "type": "string", "format": "google-duration" } }, "id": "GcRule", "description": "Rule for determining which cells to delete during garbage collection." }, "CreateTableRequest": { "description": "Request message for google.bigtable.admin.v2.BigtableTableAdmin.CreateTable", "properties": { "initialSplits": { "items": { "$ref": "Split" }, "type": "array", "description": "The optional list of row keys that will be used to initially split the table into several tablets (tablets are similar to HBase regions). Given two split keys, `s1` and `s2`, three tablets will be created, spanning the key ranges: `[, s1), [s1, s2), [s2, )`. Example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Row keys := `[\"a\", \"apple\", \"custom\", \"customer_1\", \"customer_2\",` `\"other\", \"zz\"]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh initial_split_keys := `[\"apple\", \"customer_1\", \"customer_2\", \"other\"]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Key assignment: - Tablet 1 `[, apple) =\u003e {\"a\"}.` - Tablet 2 `[apple, customer_1) =\u003e {\"apple\", \"custom\"}.` - Tablet 3 `[customer_1, customer_2) =\u003e {\"customer_1\"}.` - Tablet 4 `[customer_2, other) =\u003e {\"customer_2\"}.` - Tablet 5 `[other, ) =\u003e {\"other\", \"zz\"}.`" }, "table": { "description": "Required. The Table to create.", "$ref": "Table" }, "tableId": { "type": "string", "description": "Required. The name by which the new table should be referred to within the parent instance, e.g., `foobar` rather than `{parent}/tables/foobar`. Maximum 50 characters." } }, "type": "object", "id": "CreateTableRequest" }, "UpdateClusterMetadata": { "type": "object", "description": "The metadata for the Operation returned by UpdateCluster.", "id": "UpdateClusterMetadata", "properties": { "finishTime": { "description": "The time at which the operation failed or was completed successfully.", "type": "string", "format": "google-datetime" }, "originalRequest": { "description": "The request that prompted the initiation of this UpdateCluster operation.", "$ref": "Cluster" }, "requestTime": { "format": "google-datetime", "type": "string", "description": "The time at which the original request was received." } } }, "AppProfile": { "id": "AppProfile", "type": "object", "description": "A configuration object describing how Cloud Bigtable should treat traffic from a particular end user application.", "properties": { "name": { "description": "The unique name of the app profile. Values are of the form `projects/{project}/instances/{instance}/appProfiles/_a-zA-Z0-9*`.", "type": "string" }, "etag": { "type": "string", "description": "Strongly validated etag for optimistic concurrency control. Preserve the value returned from `GetAppProfile` when calling `UpdateAppProfile` to fail the request if there has been a modification in the mean time. The `update_mask` of the request need not include `etag` for this protection to apply. See [Wikipedia](https://en.wikipedia.org/wiki/HTTP_ETag) and [RFC 7232](https://tools.ietf.org/html/rfc7232#section-2.3) for more details." }, "multiClusterRoutingUseAny": { "description": "Use a multi-cluster routing policy.", "$ref": "MultiClusterRoutingUseAny" }, "singleClusterRouting": { "$ref": "SingleClusterRouting", "description": "Use a single-cluster routing policy." }, "description": { "type": "string", "description": "Long form description of the use case for this AppProfile." } } }, "OperationProgress": { "id": "OperationProgress", "description": "Encapsulates progress related information for a Cloud Bigtable long running operation.", "type": "object", "properties": { "endTime": { "description": "If set, the time at which this operation failed or was completed successfully.", "format": "google-datetime", "type": "string" }, "startTime": { "type": "string", "format": "google-datetime", "description": "Time the request was received." }, "progressPercent": { "format": "int32", "description": "Percent completion of the operation. Values are between 0 and 100 inclusive.", "type": "integer" } } }, "CreateInstanceRequest": { "description": "Request message for BigtableInstanceAdmin.CreateInstance.", "properties": { "instanceId": { "type": "string", "description": "Required. The ID to be used when referring to the new instance within its project, e.g., just `myinstance` rather than `projects/myproject/instances/myinstance`." }, "parent": { "description": "Required. The unique name of the project in which to create the new instance. Values are of the form `projects/{project}`.", "type": "string" }, "clusters": { "description": "Required. The clusters to be created within the instance, mapped by desired cluster ID, e.g., just `mycluster` rather than `projects/myproject/instances/myinstance/clusters/mycluster`. Fields marked `OutputOnly` must be left blank.", "type": "object", "additionalProperties": { "$ref": "Cluster" } }, "instance": { "$ref": "Instance", "description": "Required. The instance to create. Fields marked `OutputOnly` must be left blank." } }, "type": "object", "id": "CreateInstanceRequest" }, "TableProgress": { "type": "object", "id": "TableProgress", "description": "Progress info for copying a table's data to the new cluster.", "properties": { "state": { "enumDescriptions": [ "", "The table has not yet begun copying to the new cluster.", "The table is actively being copied to the new cluster.", "The table has been fully copied to the new cluster.", "The table was deleted before it finished copying to the new cluster. Note that tables deleted after completion will stay marked as COMPLETED, not CANCELLED." ], "enum": [ "STATE_UNSPECIFIED", "PENDING", "COPYING", "COMPLETED", "CANCELLED" ], "type": "string" }, "estimatedSizeBytes": { "format": "int64", "type": "string", "description": "Estimate of the size of the table to be copied." }, "estimatedCopiedBytes": { "description": "Estimate of the number of bytes copied so far for this table. This will eventually reach 'estimated_size_bytes' unless the table copy is CANCELLED.", "type": "string", "format": "int64" } } }, "CheckConsistencyResponse": { "properties": { "consistent": { "description": "True only if the token is consistent. A token is consistent if replication has caught up with the restrictions specified in the request.", "type": "boolean" } }, "description": "Response message for google.bigtable.admin.v2.BigtableTableAdmin.CheckConsistency", "id": "CheckConsistencyResponse", "type": "object" }, "Instance": { "properties": { "type": { "type": "string", "enum": [ "TYPE_UNSPECIFIED", "PRODUCTION", "DEVELOPMENT" ], "description": "Required. The type of the instance. Defaults to `PRODUCTION`.", "enumDescriptions": [ "The type of the instance is unspecified. If set when creating an instance, a `PRODUCTION` instance will be created. If set when updating an instance, the type will be left unchanged.", "An instance meant for production use. `serve_nodes` must be set on the cluster.", "DEPRECATED: Prefer PRODUCTION for all use cases, as it no longer enforces a higher minimum node count than DEVELOPMENT." ] }, "createTime": { "description": "Output only. A server-assigned timestamp representing when this Instance was created. For instances created before this field was added (August 2021), this value is `seconds: 0, nanos: 1`.", "readOnly": true, "type": "string", "format": "google-datetime" }, "labels": { "description": "Required. Labels are a flexible and lightweight mechanism for organizing cloud resources into groups that reflect a customer's organizational needs and deployment strategies. They can be used to filter resources and aggregate metrics. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Label keys must be between 1 and 63 characters long and must conform to the regular expression: `\\p{Ll}\\p{Lo}{0,62}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Label values must be between 0 and 63 characters long and must conform to the regular expression: `[\\p{Ll}\\p{Lo}\\p{N}_-]{0,63}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No more than 64 labels can be associated with a given resource. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values must both be under 128 bytes.", "additionalProperties": { "type": "string" }, "type": "object" }, "name": { "type": "string", "description": "The unique name of the instance. Values are of the form `projects/{project}/instances/a-z+[a-z0-9]`." }, "state": { "type": "string", "description": "Output only. The current state of the instance.", "enumDescriptions": [ "The state of the instance could not be determined.", "The instance has been successfully created and can serve requests to its tables.", "The instance is currently being created, and may be destroyed if the creation process encounters an error." ], "readOnly": true, "enum": [ "STATE_NOT_KNOWN", "READY", "CREATING" ] }, "satisfiesPzs": { "type": "boolean", "readOnly": true, "description": "Output only. Reserved for future use." }, "displayName": { "type": "string", "description": "Required. The descriptive name for this instance as it appears in UIs. Can be changed at any time, but should be kept globally unique to avoid confusion." } }, "description": "A collection of Bigtable Tables and the resources that serve them. All tables in an instance are served from all Clusters in the instance.", "id": "Instance", "type": "object" }, "Split": { "properties": { "key": { "type": "string", "format": "byte", "description": "Row key to use as an initial tablet boundary." } }, "id": "Split", "type": "object", "description": "An initial split point for a newly created table." }, "Cluster": { "id": "Cluster", "properties": { "clusterConfig": { "$ref": "ClusterConfig", "description": "Configuration for this cluster." }, "state": { "description": "Output only. The current state of the cluster.", "enum": [ "STATE_NOT_KNOWN", "READY", "CREATING", "RESIZING", "DISABLED" ], "readOnly": true, "type": "string", "enumDescriptions": [ "The state of the cluster could not be determined.", "The cluster has been successfully created and is ready to serve requests.", "The cluster is currently being created, and may be destroyed if the creation process encounters an error. A cluster may not be able to serve requests while being created.", "The cluster is currently being resized, and may revert to its previous node count if the process encounters an error. A cluster is still capable of serving requests while being resized, but may exhibit performance as if its number of allocated nodes is between the starting and requested states.", "The cluster has no backing nodes. The data (tables) still exist, but no operations can be performed on the cluster." ] }, "defaultStorageType": { "enum": [ "STORAGE_TYPE_UNSPECIFIED", "SSD", "HDD" ], "description": "Immutable. The type of storage used by this cluster to serve its parent instance's tables, unless explicitly overridden.", "enumDescriptions": [ "The user did not specify a storage type.", "Flash (SSD) storage should be used.", "Magnetic drive (HDD) storage should be used." ], "type": "string" }, "serveNodes": { "description": "The number of nodes allocated to this cluster. More nodes enable higher throughput and more consistent performance.", "format": "int32", "type": "integer" }, "name": { "description": "The unique name of the cluster. Values are of the form `projects/{project}/instances/{instance}/clusters/a-z*`.", "type": "string" }, "location": { "description": "Immutable. The location where this cluster's nodes and storage reside. For best performance, clients should be located as close as possible to this cluster. Currently only zones are supported, so values should be of the form `projects/{project}/locations/{zone}`.", "type": "string" }, "encryptionConfig": { "$ref": "EncryptionConfig", "description": "Immutable. The encryption configuration for CMEK-protected clusters." } }, "description": "A resizable group of nodes in a particular cloud location, capable of serving all Tables in the parent Instance.", "type": "object" }, "RestoreInfo": { "type": "object", "description": "Information about a table restore.", "properties": { "backupInfo": { "description": "Information about the backup used to restore the table. The backup may no longer exist.", "$ref": "BackupInfo" }, "sourceType": { "enumDescriptions": [ "No restore associated.", "A backup was used as the source of the restore." ], "type": "string", "enum": [ "RESTORE_SOURCE_TYPE_UNSPECIFIED", "BACKUP" ], "description": "The type of the restore source." } }, "id": "RestoreInfo" }, "Union": { "properties": { "rules": { "items": { "$ref": "GcRule" }, "description": "Delete cells which would be deleted by any element of `rules`.", "type": "array" } }, "id": "Union", "type": "object", "description": "A GcRule which deletes cells matching any of the given rules." } }, "documentationLink": "https://cloud.google.com/bigtable/", "batchPath": "batch", "id": "bigtableadmin:v2", "baseUrl": "https://bigtableadmin.googleapis.com/", "mtlsRootUrl": "https://bigtableadmin.mtls.googleapis.com/", "parameters": { "alt": { "enum": [ "json", "media", "proto" ], "default": "json", "type": "string", "location": "query", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "prettyPrint": { "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ] }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" } }, "kind": "discovery#restDescription", "title": "Cloud Bigtable Admin API", "name": "bigtableadmin" }
]===]))
