local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerName": "Google", "servicePath": "", "discoveryVersion": "v1", "batchPath": "batch", "version_module": true, "description": "The management interface for Binary Authorization, a service that provides policy-based deployment validation and control for images deployed to Google Kubernetes Engine (GKE), Anthos Service Mesh, Anthos Clusters, and Cloud Run. ", "baseUrl": "https://binaryauthorization.googleapis.com/", "mtlsRootUrl": "https://binaryauthorization.mtls.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "resources": { "systempolicy": { "methods": { "getPolicy": { "id": "binaryauthorization.systempolicy.getPolicy", "response": { "$ref": "Policy" }, "description": "Gets the current system policy in the specified location.", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "name": { "pattern": "^locations/[^/]+/policy$", "required": true, "description": "Required. The resource name, in the format `locations/*/policy`. Note that the system policy is not associated with a project.", "location": "path", "type": "string" } }, "flatPath": "v1beta1/locations/{locationsId}/policy" } } }, "projects": { "methods": { "updatePolicy": { "path": "v1beta1/{+name}", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Policy" }, "httpMethod": "PUT", "description": "Creates or updates a project's policy, and returns a copy of the new policy. A policy is always updated as a whole, to avoid race conditions with concurrent policy enforcement (or management!) requests. Returns NOT_FOUND if the project does not exist, INVALID_ARGUMENT if the request is malformed.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/policy$", "description": "Output only. The resource name, in the format `projects/*/policy`. There is at most one policy per project.", "location": "path", "required": true } }, "id": "binaryauthorization.projects.updatePolicy", "flatPath": "v1beta1/projects/{projectsId}/policy", "parameterOrder": [ "name" ] }, "getPolicy": { "flatPath": "v1beta1/projects/{projectsId}/policy", "response": { "$ref": "Policy" }, "id": "binaryauthorization.projects.getPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The resource name of the policy to retrieve, in the format `projects/*/policy`.", "pattern": "^projects/[^/]+/policy$", "required": true } }, "description": "A policy specifies the attestors that must attest to a container image, before the project is allowed to deploy that image. There is at most one policy per project. All image admission requests are permitted if a project has no policy. Gets the policy for this project. Returns a default policy if the project does not have one.", "path": "v1beta1/{+name}", "httpMethod": "GET", "parameterOrder": [ "name" ] } }, "resources": { "attestors": { "methods": { "get": { "httpMethod": "GET", "id": "binaryauthorization.projects.attestors.get", "parameters": { "name": { "pattern": "^projects/[^/]+/attestors/[^/]+$", "required": true, "location": "path", "description": "Required. The name of the attestor to retrieve, in the format `projects/*/attestors/*`.", "type": "string" } }, "response": { "$ref": "Attestor" }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets an attestor. Returns NOT_FOUND if the attestor does not exist.", "flatPath": "v1beta1/projects/{projectsId}/attestors/{attestorsId}", "parameterOrder": [ "name" ] }, "create": { "request": { "$ref": "Attestor" }, "flatPath": "v1beta1/projects/{projectsId}/attestors", "parameters": { "attestorId": { "description": "Required. The attestors ID.", "type": "string", "location": "query" }, "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+$", "description": "Required. The parent of this attestor.", "required": true } }, "id": "binaryauthorization.projects.attestors.create", "httpMethod": "POST", "description": "Creates an attestor, and returns a copy of the new attestor. Returns NOT_FOUND if the project does not exist, INVALID_ARGUMENT if the request is malformed, ALREADY_EXISTS if the attestor already exists.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "response": { "$ref": "Attestor" }, "path": "v1beta1/{+parent}/attestors" }, "validateAttestationOccurrence": { "id": "binaryauthorization.projects.attestors.validateAttestationOccurrence", "parameters": { "attestor": { "description": "Required. The resource name of the Attestor of the occurrence, in the format `projects/*/attestors/*`.", "location": "path", "pattern": "^projects/[^/]+/attestors/[^/]+$", "required": true, "type": "string" } }, "request": { "$ref": "ValidateAttestationOccurrenceRequest" }, "httpMethod": "POST", "path": "v1beta1/{+attestor}:validateAttestationOccurrence", "parameterOrder": [ "attestor" ], "response": { "$ref": "ValidateAttestationOccurrenceResponse" }, "flatPath": "v1beta1/projects/{projectsId}/attestors/{attestorsId}:validateAttestationOccurrence", "description": "Returns whether the given Attestation for the given image URI was signed by the given Attestor", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/attestors/[^/]+$", "location": "path", "required": true, "description": "Required. The name of the attestors to delete, in the format `projects/*/attestors/*`." } }, "parameterOrder": [ "name" ], "id": "binaryauthorization.projects.attestors.delete", "httpMethod": "DELETE", "flatPath": "v1beta1/projects/{projectsId}/attestors/{attestorsId}", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes an attestor. Returns NOT_FOUND if the attestor does not exist.", "response": { "$ref": "Empty" } }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/attestors/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "response": { "$ref": "IamPolicy" }, "flatPath": "v1beta1/projects/{projectsId}/attestors/{attestorsId}:setIamPolicy", "parameterOrder": [ "resource" ], "request": { "$ref": "SetIamPolicyRequest" }, "id": "binaryauthorization.projects.attestors.setIamPolicy", "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1beta1/{+resource}:setIamPolicy" }, "getIamPolicy": { "parameterOrder": [ "resource" ], "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "location": "query", "format": "int32" }, "resource": { "location": "path", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/attestors/[^/]+$" } }, "id": "binaryauthorization.projects.attestors.getIamPolicy", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1beta1/{+resource}:getIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/attestors/{attestorsId}:getIamPolicy", "response": { "$ref": "IamPolicy" } }, "list": { "description": "Lists attestors. Returns INVALID_ARGUMENT if the project does not exist.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListAttestorsResponse" }, "id": "binaryauthorization.projects.attestors.list", "path": "v1beta1/{+parent}/attestors", "flatPath": "v1beta1/projects/{projectsId}/attestors", "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "description": "Requested page size. The server may return fewer results than requested. If unspecified, the server will pick an appropriate default.", "type": "integer", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of ListAttestorsResponse.next_page_token returned from the previous call to the `ListAttestors` method." }, "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+$", "type": "string", "description": "Required. The resource name of the project associated with the attestors, in the format `projects/*`." } } }, "update": { "parameterOrder": [ "name" ], "description": "Updates an attestor. Returns NOT_FOUND if the attestor does not exist.", "request": { "$ref": "Attestor" }, "httpMethod": "PUT", "parameters": { "name": { "pattern": "^projects/[^/]+/attestors/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The resource name, in the format: `projects/*/attestors/*`. This field may not be updated." } }, "response": { "$ref": "Attestor" }, "path": "v1beta1/{+name}", "id": "binaryauthorization.projects.attestors.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/attestors/{attestorsId}" }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/attestors/[^/]+$", "required": true, "type": "string" } }, "path": "v1beta1/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "binaryauthorization.projects.attestors.testIamPermissions", "flatPath": "v1beta1/projects/{projectsId}/attestors/{attestorsId}:testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "resource" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "TestIamPermissionsResponse" } } } }, "policy": { "methods": { "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/policy:getIamPolicy", "id": "binaryauthorization.projects.policy.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "response": { "$ref": "IamPolicy" }, "path": "v1beta1/{+resource}:getIamPolicy", "parameters": { "resource": { "type": "string", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/policy$" }, "options.requestedPolicyVersion": { "format": "int32", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } }, "httpMethod": "GET" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1beta1/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/policy$", "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1beta1/projects/{projectsId}/policy:testIamPermissions", "id": "binaryauthorization.projects.policy.testIamPermissions" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "binaryauthorization.projects.policy.setIamPolicy", "path": "v1beta1/{+resource}:setIamPolicy", "parameters": { "resource": { "type": "string", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/policy$" } }, "flatPath": "v1beta1/projects/{projectsId}/policy:setIamPolicy", "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "IamPolicy" }, "request": { "$ref": "SetIamPolicyRequest" } } } } } } }, "title": "Binary Authorization API", "protocol": "rest", "revision": "20220701", "name": "binaryauthorization", "id": "binaryauthorization:v1beta1", "version": "v1beta1", "rootUrl": "https://binaryauthorization.googleapis.com/", "documentationLink": "https://cloud.google.com/binary-authorization/", "fullyEncodeReservedExpansion": true, "parameters": { "alt": { "type": "string", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "enum": [ "json", "media", "proto" ], "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "$.xgafv": { "location": "query", "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." } }, "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "basePath": "", "schemas": { "Jwt": { "id": "Jwt", "properties": { "compactJwt": { "description": "The compact encoding of a JWS, which is always three base64 encoded strings joined by periods. For details, see: https://tools.ietf.org/html/rfc7515.html#section-3.1", "type": "string" } }, "type": "object" }, "PkixPublicKey": { "id": "PkixPublicKey", "type": "object", "description": "A public key in the PkixPublicKey format (see https://tools.ietf.org/html/rfc5280#section-4.1.2.7 for details). Public keys of this type are typically textually encoded using the PEM format.", "properties": { "publicKeyPem": { "description": "A PEM-encoded public key, as described in https://tools.ietf.org/html/rfc7468#section-13", "type": "string" }, "signatureAlgorithm": { "enum": [ "SIGNATURE_ALGORITHM_UNSPECIFIED", "RSA_PSS_2048_SHA256", "RSA_SIGN_PSS_2048_SHA256", "RSA_PSS_3072_SHA256", "RSA_SIGN_PSS_3072_SHA256", "RSA_PSS_4096_SHA256", "RSA_SIGN_PSS_4096_SHA256", "RSA_PSS_4096_SHA512", "RSA_SIGN_PSS_4096_SHA512", "RSA_SIGN_PKCS1_2048_SHA256", "RSA_SIGN_PKCS1_3072_SHA256", "RSA_SIGN_PKCS1_4096_SHA256", "RSA_SIGN_PKCS1_4096_SHA512", "ECDSA_P256_SHA256", "EC_SIGN_P256_SHA256", "ECDSA_P384_SHA384", "EC_SIGN_P384_SHA384", "ECDSA_P521_SHA512", "EC_SIGN_P521_SHA512" ], "type": "string", "enumDescriptions": [ "Not specified.", "RSASSA-PSS 2048 bit key with a SHA256 digest.", "RSASSA-PSS 2048 bit key with a SHA256 digest.", "RSASSA-PSS 3072 bit key with a SHA256 digest.", "RSASSA-PSS 3072 bit key with a SHA256 digest.", "RSASSA-PSS 4096 bit key with a SHA256 digest.", "RSASSA-PSS 4096 bit key with a SHA256 digest.", "RSASSA-PSS 4096 bit key with a SHA512 digest.", "RSASSA-PSS 4096 bit key with a SHA512 digest.", "RSASSA-PKCS1-v1_5 with a 2048 bit key and a SHA256 digest.", "RSASSA-PKCS1-v1_5 with a 3072 bit key and a SHA256 digest.", "RSASSA-PKCS1-v1_5 with a 4096 bit key and a SHA256 digest.", "RSASSA-PKCS1-v1_5 with a 4096 bit key and a SHA512 digest.", "ECDSA on the NIST P-256 curve with a SHA256 digest.", "ECDSA on the NIST P-256 curve with a SHA256 digest.", "ECDSA on the NIST P-384 curve with a SHA384 digest.", "ECDSA on the NIST P-384 curve with a SHA384 digest.", "ECDSA on the NIST P-521 curve with a SHA512 digest.", "ECDSA on the NIST P-521 curve with a SHA512 digest." ], "description": "The signature algorithm used to verify a message against a signature using this key. These signature algorithm must match the structure and any object identifiers encoded in `public_key_pem` (i.e. this algorithm must match that of the public key)." } } }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "properties": { "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } }, "type": "object" }, "UserOwnedDrydockNote": { "description": "An user owned drydock note references a Drydock ATTESTATION_AUTHORITY Note created by the user.", "type": "object", "id": "UserOwnedDrydockNote", "properties": { "publicKeys": { "items": { "$ref": "AttestorPublicKey" }, "type": "array", "description": "Optional. Public keys that verify attestations signed by this attestor. This field may be updated. If this field is non-empty, one of the specified public keys must verify that an attestation was signed by this attestor for the image specified in the admission request. If this field is empty, this attestor always returns that no valid attestations exist." }, "delegationServiceAccountEmail": { "readOnly": true, "type": "string", "description": "Output only. This field will contain the service account email address that this Attestor will use as the principal when querying Container Analysis. Attestor administrators must grant this service account the IAM role needed to read attestations from the note_reference in Container Analysis (`containeranalysis.notes.occurrences.viewer`). This email address is fixed for the lifetime of the Attestor, but callers should not make any other assumptions about the service account email; future versions may use an email based on a different naming pattern." }, "noteReference": { "description": "Required. The Drydock resource name of a ATTESTATION_AUTHORITY Note, created by the user, in the format: `projects/*/notes/*` (or the legacy `providers/*/notes/*`). This field may not be updated. An attestation by this attestor is stored as a Drydock ATTESTATION_AUTHORITY Occurrence that names a container image and that links to this Note. Drydock is an external dependency.", "type": "string" } } }, "SetIamPolicyRequest": { "type": "object", "description": "Request message for `SetIamPolicy` method.", "id": "SetIamPolicyRequest", "properties": { "policy": { "$ref": "IamPolicy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } } }, "TestIamPermissionsRequest": { "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "description": "Request message for `TestIamPermissions` method.", "type": "object", "id": "TestIamPermissionsRequest" }, "Policy": { "id": "Policy", "type": "object", "properties": { "name": { "readOnly": true, "type": "string", "description": "Output only. The resource name, in the format `projects/*/policy`. There is at most one policy per project." }, "kubernetesNamespaceAdmissionRules": { "description": "Optional. Per-kubernetes-namespace admission rules. K8s namespace spec format: `[a-z.-]+`, e.g. `some-namespace`", "additionalProperties": { "$ref": "AdmissionRule" }, "type": "object" }, "istioServiceIdentityAdmissionRules": { "description": "Optional. Per-istio-service-identity admission rules. Istio service identity spec format: `spiffe:///ns//sa/` or `/ns//sa/` e.g. `spiffe://example.com/ns/test-ns/sa/default`", "additionalProperties": { "$ref": "AdmissionRule" }, "type": "object" }, "etag": { "description": "Optional. A checksum, returned by the server, that can be sent on update requests to ensure the policy has an up-to-date value before attempting to update it. See https://google.aip.dev/154.", "type": "string" }, "clusterAdmissionRules": { "type": "object", "description": "Optional. Per-cluster admission rules. Cluster spec format: `location.clusterId`. There can be at most one admission rule per cluster spec. A `location` is either a compute zone (e.g. us-central1-a) or a region (e.g. us-central1). For `clusterId` syntax restrictions see https://cloud.google.com/container-engine/reference/rest/v1/projects.zones.clusters.", "additionalProperties": { "$ref": "AdmissionRule" } }, "description": { "description": "Optional. A descriptive comment.", "type": "string" }, "admissionWhitelistPatterns": { "items": { "$ref": "AdmissionWhitelistPattern" }, "description": "Optional. Admission policy allowlisting. A matching admission request will always be permitted. This feature is typically used to exclude Google or third-party infrastructure images from Binary Authorization policies.", "type": "array" }, "globalPolicyEvaluationMode": { "type": "string", "enumDescriptions": [ "Not specified: DISABLE is assumed.", "Enables system policy evaluation.", "Disables system policy evaluation." ], "enum": [ "GLOBAL_POLICY_EVALUATION_MODE_UNSPECIFIED", "ENABLE", "DISABLE" ], "description": "Optional. Controls the evaluation of a Google-maintained global admission policy for common system-level images. Images not covered by the global policy will be subject to the project admission policy. This setting has no effect when specified inside a global admission policy." }, "defaultAdmissionRule": { "description": "Required. Default admission rule for a cluster without a per-cluster, per- kubernetes-service-account, or per-istio-service-identity admission rule.", "$ref": "AdmissionRule" }, "kubernetesServiceAccountAdmissionRules": { "type": "object", "additionalProperties": { "$ref": "AdmissionRule" }, "description": "Optional. Per-kubernetes-service-account admission rules. Service account spec format: `namespace:serviceaccount`. e.g. `test-ns:default`" }, "updateTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Time when the policy was last updated." } }, "description": "A policy for Binary Authorization." }, "AttestationOccurrence": { "description": "Occurrence that represents a single \"attestation\". The authenticity of an attestation can be verified using the attached signature. If the verifier trusts the public key of the signer, then verifying the signature is sufficient to establish trust. In this circumstance, the authority to which this attestation is attached is primarily useful for lookup (how to find this attestation if you already know the authority and artifact to be verified) and intent (for which authority this attestation was intended to sign.", "type": "object", "properties": { "jwts": { "type": "array", "items": { "$ref": "Jwt" }, "description": "One or more JWTs encoding a self-contained attestation. Each JWT encodes the payload that it verifies within the JWT itself. Verifier implementation SHOULD ignore the `serialized_payload` field when verifying these JWTs. If only JWTs are present on this AttestationOccurrence, then the `serialized_payload` SHOULD be left empty. Each JWT SHOULD encode a claim specific to the `resource_uri` of this Occurrence, but this is not validated by Grafeas metadata API implementations. The JWT itself is opaque to Grafeas." }, "signatures": { "description": "One or more signatures over `serialized_payload`. Verifier implementations should consider this attestation message verified if at least one `signature` verifies `serialized_payload`. See `Signature` in common.proto for more details on signature structure and verification.", "type": "array", "items": { "$ref": "Signature" } }, "serializedPayload": { "description": "Required. The serialized payload that is verified by one or more `signatures`.", "format": "byte", "type": "string" } }, "id": "AttestationOccurrence" }, "AttestorPublicKey": { "description": "An attestor public key that will be used to verify attestations signed by this attestor.", "type": "object", "properties": { "asciiArmoredPgpPublicKey": { "description": "ASCII-armored representation of a PGP public key, as the entire output by the command `gpg --export --armor foo@example.com` (either LF or CRLF line endings). When using this field, `id` should be left blank. The BinAuthz API handlers will calculate the ID and fill it in automatically. BinAuthz computes this ID as the OpenPGP RFC4880 V4 fingerprint, represented as upper-case hex. If `id` is provided by the caller, it will be overwritten by the API-calculated ID.", "type": "string" }, "pkixPublicKey": { "description": "A raw PKIX SubjectPublicKeyInfo format public key. NOTE: `id` may be explicitly provided by the caller when using this type of public key, but it MUST be a valid RFC3986 URI. If `id` is left blank, a default one will be computed based on the digest of the DER encoding of the public key.", "$ref": "PkixPublicKey" }, "comment": { "description": "Optional. A descriptive comment. This field may be updated.", "type": "string" }, "id": { "description": "The ID of this public key. Signatures verified by BinAuthz must include the ID of the public key that can be used to verify them, and that ID must match the contents of this field exactly. Additional restrictions on this field can be imposed based on which public key type is encapsulated. See the documentation on `public_key` cases below for details.", "type": "string" } }, "id": "AttestorPublicKey" }, "Signature": { "description": "Verifiers (e.g. Kritis implementations) MUST verify signatures with respect to the trust anchors defined in policy (e.g. a Kritis policy). Typically this means that the verifier has been configured with a map from `public_key_id` to public key material (and any required parameters, e.g. signing algorithm). In particular, verification implementations MUST NOT treat the signature `public_key_id` as anything more than a key lookup hint. The `public_key_id` DOES NOT validate or authenticate a public key; it only provides a mechanism for quickly selecting a public key ALREADY CONFIGURED on the verifier through a trusted channel. Verification implementations MUST reject signatures in any of the following circumstances: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` is not recognized by the verifier. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The public key that `public_key_id` refers to does not verify the signature with respect to the payload. The `signature` contents SHOULD NOT be \"attached\" (where the payload is included with the serialized `signature` bytes). Verifiers MUST ignore any \"attached\" payload and only verify signatures with respect to explicitly provided payload (e.g. a `payload` field on the proto message that holds this Signature, or the canonical serialization of the proto message that holds this signature).", "type": "object", "properties": { "signature": { "description": "The content of the signature, an opaque bytestring. The payload that this signature verifies MUST be unambiguously provided with the Signature during verification. A wrapper message might provide the payload explicitly. Alternatively, a message might have a canonical serialization that can always be unambiguously computed to derive the payload.", "format": "byte", "type": "string" }, "publicKeyId": { "type": "string", "description": "The identifier for the public key that verifies this signature. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` is required. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` SHOULD be an RFC3986 conformant URI. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When possible, the `public_key_id` SHOULD be an immutable reference, such as a cryptographic digest. Examples of valid `public_key_id`s: OpenPGP V4 public key fingerprint: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"openpgp4fpr:74FAF3B861BDA0870C7B6DEF607E48D2A663AEEA\" See https://www.iana.org/assignments/uri-schemes/prov/openpgp4fpr for more details on this scheme. RFC6920 digest-named SubjectPublicKeyInfo (digest of the DER serialization): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ni:///sha-256;cD9o9Cq6LG3jD0iKXqEi_vdjJGecm_iXkbqVoScViaU\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"nih:///sha-256;703f68f42aba2c6de30f488a5ea122fef76324679c9bf89791ba95a1271589a5\"" } }, "id": "Signature" }, "AdmissionWhitelistPattern": { "description": "An admission allowlist pattern exempts images from checks by admission rules.", "properties": { "namePattern": { "type": "string", "description": "An image name pattern to allowlist, in the form `registry/path/to/image`. This supports a trailing `*` as a wildcard, but this is allowed only in text after the `registry/` part. `*` wildcard does not match `/`, i.e., `gcr.io/nginx*` matches `gcr.io/nginx@latest`, but it does not match `gcr.io/nginx/image`. This also supports a trailing `**` wildcard which matches subdirectories, i.e., `gcr.io/nginx**` matches `gcr.io/nginx/image`." } }, "type": "object", "id": "AdmissionWhitelistPattern" }, "AdmissionRule": { "properties": { "enforcementMode": { "type": "string", "enum": [ "ENFORCEMENT_MODE_UNSPECIFIED", "ENFORCED_BLOCK_AND_AUDIT_LOG", "DRYRUN_AUDIT_LOG_ONLY" ], "description": "Required. The action when a pod creation is denied by the admission rule.", "enumDescriptions": [ "Do not use.", "Enforce the admission rule by blocking the pod creation.", "Dryrun mode: Audit logging only. This will allow the pod creation as if the admission request had specified break-glass." ] }, "evaluationMode": { "enum": [ "EVALUATION_MODE_UNSPECIFIED", "ALWAYS_ALLOW", "REQUIRE_ATTESTATION", "ALWAYS_DENY" ], "enumDescriptions": [ "Do not use.", "This rule allows all all pod creations.", "This rule allows a pod creation if all the attestors listed in `require_attestations_by` have valid attestations for all of the images in the pod spec.", "This rule denies all pod creations." ], "description": "Required. How this admission rule will be evaluated.", "type": "string" }, "requireAttestationsBy": { "description": "Optional. The resource names of the attestors that must attest to a container image, in the format `projects/*/attestors/*`. Each attestor must exist before a policy can reference it. To add an attestor to a policy the principal issuing the policy change request must be able to read the attestor resource. Note: this field must be non-empty when the evaluation_mode field specifies REQUIRE_ATTESTATION, otherwise it must be empty.", "items": { "type": "string" }, "type": "array" } }, "description": "An admission rule specifies either that all container images used in a pod creation request must be attested to by one or more attestors, that all pod creations will be allowed, or that all pod creations will be denied. Images matching an admission allowlist pattern are exempted from admission rules and will never block a pod creation.", "type": "object", "id": "AdmissionRule" }, "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {} }, "ListAttestorsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the ListAttestorsRequest.page_token field in the subsequent call to the `ListAttestors` method to retrieve the next page of results.", "type": "string" }, "attestors": { "description": "The list of attestors.", "type": "array", "items": { "$ref": "Attestor" } } }, "id": "ListAttestorsResponse", "description": "Response message for BinauthzManagementService.ListAttestors." }, "IamPolicy": { "id": "IamPolicy", "type": "object", "properties": { "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" } } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "Binding": { "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "items": { "type": "string" }, "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" } }, "type": "object", "description": "Associates `members`, or principals, with a `role`.", "id": "Binding" }, "ValidateAttestationOccurrenceRequest": { "description": "Request message for ValidationHelperV1.ValidateAttestationOccurrence.", "type": "object", "properties": { "occurrenceNote": { "description": "Required. The resource name of the Note to which the containing Occurrence is associated.", "type": "string" }, "attestation": { "description": "Required. An AttestationOccurrence to be checked that it can be verified by the Attestor. It does not have to be an existing entity in Container Analysis. It must otherwise be a valid AttestationOccurrence.", "$ref": "AttestationOccurrence" }, "occurrenceResourceUri": { "description": "Required. The URI of the artifact (e.g. container image) that is the subject of the containing Occurrence.", "type": "string" } }, "id": "ValidateAttestationOccurrenceRequest" }, "Attestor": { "id": "Attestor", "properties": { "etag": { "description": "Optional. A checksum, returned by the server, that can be sent on update requests to ensure the attestor has an up-to-date value before attempting to update it. See https://google.aip.dev/154.", "type": "string" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. Time when the attestor was last updated.", "readOnly": true }, "name": { "description": "Required. The resource name, in the format: `projects/*/attestors/*`. This field may not be updated.", "type": "string" }, "description": { "description": "Optional. A descriptive comment. This field may be updated. The field may be displayed in chooser dialogs.", "type": "string" }, "userOwnedDrydockNote": { "$ref": "UserOwnedDrydockNote", "description": "A Drydock ATTESTATION_AUTHORITY Note, created by the user." } }, "description": "An attestor that attests to container image artifacts. An existing attestor cannot be modified except where indicated.", "type": "object" }, "TestIamPermissionsResponse": { "description": "Response message for `TestIamPermissions` method.", "type": "object", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "id": "TestIamPermissionsResponse" }, "ValidateAttestationOccurrenceResponse": { "id": "ValidateAttestationOccurrenceResponse", "description": "Response message for ValidationHelperV1.ValidateAttestationOccurrence.", "properties": { "result": { "enumDescriptions": [ "Unspecified.", "The Attestation was able to verified by the Attestor.", "The Attestation was not able to verified by the Attestor." ], "description": "The result of the Attestation validation.", "type": "string", "enum": [ "RESULT_UNSPECIFIED", "VERIFIED", "ATTESTATION_NOT_VERIFIABLE" ] }, "denialReason": { "description": "The reason for denial if the Attestation couldn't be validated.", "type": "string" } }, "type": "object" } }, "kind": "discovery#restDescription", "canonicalName": "Binary Authorization" }
]===]))
