local decode = require("cjson").new().decode
return assert(decode([===[
{ "parameters": { "userIp": { "description": "Deprecated. Please use quotaUser instead.", "location": "query", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "quotaUser": { "type": "string", "description": "An opaque string that represents a user for quota purposes. Must not exceed 40 characters.", "location": "query" }, "alt": { "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json" ], "description": "Data format for the response.", "enum": [ "json" ], "default": "json", "type": "string" }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." } }, "ownerName": "Google", "title": "Calendar API", "version": "v3", "revision": "20220701", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/calendar.events.readonly": { "description": "View events on all your calendars" }, "https://www.googleapis.com/auth/calendar.readonly": { "description": "See and download any calendar you can access using your Google Calendar" }, "https://www.googleapis.com/auth/calendar.events": { "description": "View and edit events on all your calendars" }, "https://www.googleapis.com/auth/calendar.settings.readonly": { "description": "View your Calendar settings" }, "https://www.googleapis.com/auth/calendar": { "description": "See, edit, share, and permanently delete all the calendars you can access using Google Calendar" } } } }, "description": "Manipulates events and other calendar data.", "discoveryVersion": "v1", "documentationLink": "https://developers.google.com/google-apps/calendar/firstapp", "kind": "discovery#restDescription", "batchPath": "batch/calendar/v3", "resources": { "channels": { "methods": { "stop": { "request": { "parameterName": "resource", "$ref": "Channel" }, "httpMethod": "POST", "path": "channels/stop", "description": "Stop watching resources through this channel", "id": "calendar.channels.stop", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events", "https://www.googleapis.com/auth/calendar.events.readonly", "https://www.googleapis.com/auth/calendar.readonly", "https://www.googleapis.com/auth/calendar.settings.readonly" ] } } }, "acl": { "methods": { "watch": { "parameterOrder": [ "calendarId" ], "path": "calendars/{calendarId}/acl/watch", "supportsSubscription": true, "id": "calendar.acl.watch", "response": { "$ref": "Channel" }, "scopes": [ "https://www.googleapis.com/auth/calendar" ], "httpMethod": "POST", "request": { "$ref": "Channel", "parameterName": "resource" }, "parameters": { "maxResults": { "description": "Maximum number of entries returned on one result page. By default the value is 100 entries. The page size can never be larger than 250 entries. Optional.", "format": "int32", "location": "query", "type": "integer", "minimum": "1" }, "pageToken": { "type": "string", "location": "query", "description": "Token specifying which result page to return. Optional." }, "syncToken": { "location": "query", "description": "Token obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. All entries deleted since the previous list request will always be in the result set and it is not allowed to set showDeleted to False.\nIf the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken.\nLearn more about incremental synchronization.\nOptional. The default is to return all entries.", "type": "string" }, "calendarId": { "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "type": "string", "location": "path", "required": true }, "showDeleted": { "description": "Whether to include deleted ACLs in the result. Deleted ACLs are represented by role equal to \"none\". Deleted ACLs will always be included if syncToken is provided. Optional. The default is False.", "type": "boolean", "location": "query" } }, "description": "Watch for changes to ACL resources." }, "list": { "response": { "$ref": "Acl" }, "httpMethod": "GET", "supportsSubscription": true, "description": "Returns the rules in the access control list for the calendar.", "id": "calendar.acl.list", "path": "calendars/{calendarId}/acl", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Token specifying which result page to return. Optional." }, "maxResults": { "format": "int32", "description": "Maximum number of entries returned on one result page. By default the value is 100 entries. The page size can never be larger than 250 entries. Optional.", "type": "integer", "location": "query", "minimum": "1" }, "showDeleted": { "type": "boolean", "location": "query", "description": "Whether to include deleted ACLs in the result. Deleted ACLs are represented by role equal to \"none\". Deleted ACLs will always be included if syncToken is provided. Optional. The default is False." }, "syncToken": { "type": "string", "location": "query", "description": "Token obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. All entries deleted since the previous list request will always be in the result set and it is not allowed to set showDeleted to False.\nIf the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken.\nLearn more about incremental synchronization.\nOptional. The default is to return all entries." }, "calendarId": { "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "required": true, "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/calendar" ], "parameterOrder": [ "calendarId" ] }, "get": { "httpMethod": "GET", "response": { "$ref": "AclRule" }, "parameters": { "calendarId": { "required": true, "location": "path", "type": "string", "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword." }, "ruleId": { "description": "ACL rule identifier.", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.readonly" ], "id": "calendar.acl.get", "path": "calendars/{calendarId}/acl/{ruleId}", "description": "Returns an access control rule.", "parameterOrder": [ "calendarId", "ruleId" ] }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "calendarId", "ruleId" ], "parameters": { "ruleId": { "type": "string", "required": true, "location": "path", "description": "ACL rule identifier." }, "calendarId": { "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/calendar" ], "id": "calendar.acl.delete", "description": "Deletes an access control rule.", "path": "calendars/{calendarId}/acl/{ruleId}" }, "insert": { "httpMethod": "POST", "parameters": { "sendNotifications": { "location": "query", "type": "boolean", "description": "Whether to send notifications about the calendar sharing change. Optional. The default is True." }, "calendarId": { "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "required": true, "type": "string", "location": "path" } }, "request": { "$ref": "AclRule" }, "id": "calendar.acl.insert", "description": "Creates an access control rule.", "response": { "$ref": "AclRule" }, "path": "calendars/{calendarId}/acl", "parameterOrder": [ "calendarId" ], "scopes": [ "https://www.googleapis.com/auth/calendar" ] }, "patch": { "description": "Updates an access control rule. This method supports patch semantics.", "parameters": { "sendNotifications": { "description": "Whether to send notifications about the calendar sharing change. Note that there are no notifications on access removal. Optional. The default is True.", "type": "boolean", "location": "query" }, "ruleId": { "location": "path", "required": true, "type": "string", "description": "ACL rule identifier." }, "calendarId": { "type": "string", "required": true, "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "location": "path" } }, "id": "calendar.acl.patch", "scopes": [ "https://www.googleapis.com/auth/calendar" ], "httpMethod": "PATCH", "parameterOrder": [ "calendarId", "ruleId" ], "response": { "$ref": "AclRule" }, "path": "calendars/{calendarId}/acl/{ruleId}", "request": { "$ref": "AclRule" } }, "update": { "httpMethod": "PUT", "parameterOrder": [ "calendarId", "ruleId" ], "id": "calendar.acl.update", "response": { "$ref": "AclRule" }, "parameters": { "calendarId": { "location": "path", "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "type": "string", "required": true }, "ruleId": { "description": "ACL rule identifier.", "type": "string", "location": "path", "required": true }, "sendNotifications": { "type": "boolean", "location": "query", "description": "Whether to send notifications about the calendar sharing change. Note that there are no notifications on access removal. Optional. The default is True." } }, "path": "calendars/{calendarId}/acl/{ruleId}", "request": { "$ref": "AclRule" }, "scopes": [ "https://www.googleapis.com/auth/calendar" ], "description": "Updates an access control rule." } } }, "freebusy": { "methods": { "query": { "id": "calendar.freebusy.query", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.readonly" ], "response": { "$ref": "FreeBusyResponse" }, "httpMethod": "POST", "request": { "$ref": "FreeBusyRequest" }, "path": "freeBusy", "description": "Returns free/busy information for a set of calendars." } } }, "events": { "methods": { "import": { "parameters": { "conferenceDataVersion": { "minimum": "0", "location": "query", "maximum": "1", "description": "Version number of conference data supported by the API client. Version 0 assumes no conference data support and ignores conference data in the event's body. Version 1 enables support for copying of ConferenceData as well as for creating new conferences using the createRequest field of conferenceData. The default is 0.", "type": "integer", "format": "int32" }, "calendarId": { "location": "path", "type": "string", "required": true, "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword." }, "supportsAttachments": { "location": "query", "type": "boolean", "description": "Whether API client performing operation supports event attachments. Optional. The default is False." } }, "httpMethod": "POST", "id": "calendar.events.import", "path": "calendars/{calendarId}/events/import", "description": "Imports an event. This operation is used to add a private copy of an existing event to a calendar.", "response": { "$ref": "Event" }, "parameterOrder": [ "calendarId" ], "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events" ], "request": { "$ref": "Event" } }, "insert": { "description": "Creates an event.", "parameters": { "sendUpdates": { "enum": [ "all", "externalOnly", "none" ], "type": "string", "description": "Whether to send notifications about the creation of the new event. Note that some emails might still be sent. The default is false.", "enumDescriptions": [ "Notifications are sent to all guests.", "Notifications are sent to non-Google Calendar guests only.", "No notifications are sent. Warning: Using the value none can have significant adverse effects, including events not syncing to external calendars or events being lost altogether for some users. For calendar migration tasks, consider using the events.import method instead." ], "location": "query" }, "supportsAttachments": { "type": "boolean", "description": "Whether API client performing operation supports event attachments. Optional. The default is False.", "location": "query" }, "sendNotifications": { "type": "boolean", "location": "query", "description": "Deprecated. Please use sendUpdates instead.\n\nWhether to send notifications about the creation of the new event. Note that some emails might still be sent even if you set the value to false. The default is false." }, "calendarId": { "location": "path", "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "type": "string", "required": true }, "maxAttendees": { "description": "The maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.", "type": "integer", "location": "query", "minimum": "1", "format": "int32" }, "conferenceDataVersion": { "location": "query", "maximum": "1", "format": "int32", "description": "Version number of conference data supported by the API client. Version 0 assumes no conference data support and ignores conference data in the event's body. Version 1 enables support for copying of ConferenceData as well as for creating new conferences using the createRequest field of conferenceData. The default is 0.", "type": "integer", "minimum": "0" } }, "parameterOrder": [ "calendarId" ], "path": "calendars/{calendarId}/events", "request": { "$ref": "Event" }, "httpMethod": "POST", "id": "calendar.events.insert", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events" ], "response": { "$ref": "Event" } }, "move": { "parameterOrder": [ "calendarId", "eventId", "destination" ], "httpMethod": "POST", "parameters": { "eventId": { "location": "path", "type": "string", "required": true, "description": "Event identifier." }, "calendarId": { "type": "string", "location": "path", "description": "Calendar identifier of the source calendar where the event currently is on.", "required": true }, "destination": { "required": true, "description": "Calendar identifier of the target calendar where the event is to be moved to.", "location": "query", "type": "string" }, "sendUpdates": { "description": "Guests who should receive notifications about the change of the event's organizer.", "enumDescriptions": [ "Notifications are sent to all guests.", "Notifications are sent to non-Google Calendar guests only.", "No notifications are sent. For calendar migration tasks, consider using the Events.import method instead." ], "type": "string", "enum": [ "all", "externalOnly", "none" ], "location": "query" }, "sendNotifications": { "location": "query", "type": "boolean", "description": "Deprecated. Please use sendUpdates instead.\n\nWhether to send notifications about the change of the event's organizer. Note that some emails might still be sent even if you set the value to false. The default is false." } }, "path": "calendars/{calendarId}/events/{eventId}/move", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events" ], "id": "calendar.events.move", "response": { "$ref": "Event" }, "description": "Moves an event to another calendar, i.e. changes an event's organizer." }, "quickAdd": { "httpMethod": "POST", "parameters": { "sendNotifications": { "location": "query", "description": "Deprecated. Please use sendUpdates instead.\n\nWhether to send notifications about the creation of the event. Note that some emails might still be sent even if you set the value to false. The default is false.", "type": "boolean" }, "sendUpdates": { "type": "string", "description": "Guests who should receive notifications about the creation of the new event.", "location": "query", "enumDescriptions": [ "Notifications are sent to all guests.", "Notifications are sent to non-Google Calendar guests only.", "No notifications are sent. For calendar migration tasks, consider using the Events.import method instead." ], "enum": [ "all", "externalOnly", "none" ] }, "calendarId": { "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "type": "string", "required": true, "location": "path" }, "text": { "required": true, "description": "The text describing the event to be created.", "location": "query", "type": "string" } }, "description": "Creates an event based on a simple text string.", "id": "calendar.events.quickAdd", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events" ], "path": "calendars/{calendarId}/events/quickAdd", "parameterOrder": [ "calendarId", "text" ], "response": { "$ref": "Event" } }, "instances": { "id": "calendar.events.instances", "parameters": { "originalStart": { "type": "string", "description": "The original start time of the instance in the result. Optional.", "location": "query" }, "eventId": { "type": "string", "location": "path", "description": "Recurring event identifier.", "required": true }, "timeMin": { "format": "date-time", "description": "Lower bound (inclusive) for an event's end time to filter by. Optional. The default is not to filter by end time. Must be an RFC3339 timestamp with mandatory time zone offset.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "location": "query", "description": "Maximum number of events returned on one result page. By default the value is 250 events. The page size can never be larger than 2500 events. Optional.", "minimum": "1", "format": "int32" }, "timeMax": { "location": "query", "type": "string", "description": "Upper bound (exclusive) for an event's start time to filter by. Optional. The default is not to filter by start time. Must be an RFC3339 timestamp with mandatory time zone offset.", "format": "date-time" }, "alwaysIncludeEmail": { "type": "boolean", "location": "query", "description": "Deprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided)." }, "pageToken": { "type": "string", "description": "Token specifying which result page to return. Optional.", "location": "query" }, "timeZone": { "description": "Time zone used in the response. Optional. The default is the time zone of the calendar.", "location": "query", "type": "string" }, "maxAttendees": { "format": "int32", "location": "query", "minimum": "1", "description": "The maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.", "type": "integer" }, "calendarId": { "type": "string", "required": true, "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "location": "path" }, "showDeleted": { "location": "query", "type": "boolean", "description": "Whether to include deleted events (with status equals \"cancelled\") in the result. Cancelled instances of recurring events will still be included if singleEvents is False. Optional. The default is False." } }, "supportsSubscription": true, "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events", "https://www.googleapis.com/auth/calendar.events.readonly", "https://www.googleapis.com/auth/calendar.readonly" ], "path": "calendars/{calendarId}/events/{eventId}/instances", "httpMethod": "GET", "parameterOrder": [ "calendarId", "eventId" ], "response": { "$ref": "Events" }, "description": "Returns instances of the specified recurring event." }, "list": { "parameters": { "iCalUID": { "description": "Specifies event ID in the iCalendar format to be included in the response. Optional.", "location": "query", "type": "string" }, "syncToken": { "description": "Token obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. All events deleted since the previous list request will always be in the result set and it is not allowed to set showDeleted to False.\nThere are several query parameters that cannot be specified together with nextSyncToken to ensure consistency of the client state.\n\nThese are: \n- iCalUID \n- orderBy \n- privateExtendedProperty \n- q \n- sharedExtendedProperty \n- timeMin \n- timeMax \n- updatedMin If the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken.\nLearn more about incremental synchronization.\nOptional. The default is to return all entries.", "type": "string", "location": "query" }, "q": { "type": "string", "description": "Free text search terms to find events that match these terms in the following fields: summary, description, location, attendee's displayName, attendee's email. Optional.", "location": "query" }, "calendarId": { "required": true, "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "location": "path", "type": "string" }, "timeZone": { "description": "Time zone used in the response. Optional. The default is the time zone of the calendar.", "type": "string", "location": "query" }, "pageToken": { "description": "Token specifying which result page to return. Optional.", "location": "query", "type": "string" }, "maxResults": { "minimum": "1", "location": "query", "description": "Maximum number of events returned on one result page. The number of events in the resulting page may be less than this value, or none at all, even if there are more events matching the query. Incomplete pages can be detected by a non-empty nextPageToken field in the response. By default the value is 250 events. The page size can never be larger than 2500 events. Optional.", "format": "int32", "type": "integer", "default": "250" }, "alwaysIncludeEmail": { "description": "Deprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided).", "type": "boolean", "location": "query" }, "privateExtendedProperty": { "type": "string", "repeated": true, "description": "Extended properties constraint specified as propertyName=value. Matches only private properties. This parameter might be repeated multiple times to return events that match all given constraints.", "location": "query" }, "showDeleted": { "location": "query", "description": "Whether to include deleted events (with status equals \"cancelled\") in the result. Cancelled instances of recurring events (but not the underlying recurring event) will still be included if showDeleted and singleEvents are both False. If showDeleted and singleEvents are both True, only single instances of deleted events (but not the underlying recurring events) are returned. Optional. The default is False.", "type": "boolean" }, "timeMax": { "type": "string", "description": "Upper bound (exclusive) for an event's start time to filter by. Optional. The default is not to filter by start time. Must be an RFC3339 timestamp with mandatory time zone offset, for example, 2011-06-03T10:00:00-07:00, 2011-06-03T10:00:00Z. Milliseconds may be provided but are ignored. If timeMin is set, timeMax must be greater than timeMin.", "location": "query", "format": "date-time" }, "orderBy": { "description": "The order of the events returned in the result. Optional. The default is an unspecified, stable order.", "enum": [ "startTime", "updated" ], "type": "string", "enumDescriptions": [ "Order by the start date/time (ascending). This is only available when querying single events (i.e. the parameter singleEvents is True)", "Order by last modification time (ascending)." ], "location": "query" }, "sharedExtendedProperty": { "type": "string", "repeated": true, "location": "query", "description": "Extended properties constraint specified as propertyName=value. Matches only shared properties. This parameter might be repeated multiple times to return events that match all given constraints." }, "singleEvents": { "description": "Whether to expand recurring events into instances and only return single one-off events and instances of recurring events, but not the underlying recurring events themselves. Optional. The default is False.", "type": "boolean", "location": "query" }, "timeMin": { "location": "query", "format": "date-time", "description": "Lower bound (exclusive) for an event's end time to filter by. Optional. The default is not to filter by end time. Must be an RFC3339 timestamp with mandatory time zone offset, for example, 2011-06-03T10:00:00-07:00, 2011-06-03T10:00:00Z. Milliseconds may be provided but are ignored. If timeMax is set, timeMin must be smaller than timeMax.", "type": "string" }, "updatedMin": { "description": "Lower bound for an event's last modification time (as a RFC3339 timestamp) to filter by. When specified, entries deleted since this time will always be included regardless of showDeleted. Optional. The default is not to filter by last modification time.", "type": "string", "location": "query", "format": "date-time" }, "showHiddenInvitations": { "type": "boolean", "description": "Whether to include hidden invitations in the result. Optional. The default is False.", "location": "query" }, "maxAttendees": { "format": "int32", "location": "query", "description": "The maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.", "type": "integer", "minimum": "1" } }, "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events", "https://www.googleapis.com/auth/calendar.events.readonly", "https://www.googleapis.com/auth/calendar.readonly" ], "supportsSubscription": true, "httpMethod": "GET", "description": "Returns events on the specified calendar.", "path": "calendars/{calendarId}/events", "parameterOrder": [ "calendarId" ], "id": "calendar.events.list", "response": { "$ref": "Events" } }, "get": { "parameters": { "eventId": { "required": true, "location": "path", "type": "string", "description": "Event identifier." }, "alwaysIncludeEmail": { "description": "Deprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided).", "type": "boolean", "location": "query" }, "maxAttendees": { "location": "query", "minimum": "1", "format": "int32", "description": "The maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.", "type": "integer" }, "timeZone": { "type": "string", "location": "query", "description": "Time zone used in the response. Optional. The default is the time zone of the calendar." }, "calendarId": { "location": "path", "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "required": true, "type": "string" } }, "response": { "$ref": "Event" }, "id": "calendar.events.get", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events", "https://www.googleapis.com/auth/calendar.events.readonly", "https://www.googleapis.com/auth/calendar.readonly" ], "description": "Returns an event.", "httpMethod": "GET", "path": "calendars/{calendarId}/events/{eventId}", "parameterOrder": [ "calendarId", "eventId" ] }, "watch": { "id": "calendar.events.watch", "parameterOrder": [ "calendarId" ], "description": "Watch for changes to Events resources.", "response": { "$ref": "Channel" }, "httpMethod": "POST", "supportsSubscription": true, "parameters": { "privateExtendedProperty": { "location": "query", "repeated": true, "description": "Extended properties constraint specified as propertyName=value. Matches only private properties. This parameter might be repeated multiple times to return events that match all given constraints.", "type": "string" }, "updatedMin": { "type": "string", "location": "query", "description": "Lower bound for an event's last modification time (as a RFC3339 timestamp) to filter by. When specified, entries deleted since this time will always be included regardless of showDeleted. Optional. The default is not to filter by last modification time.", "format": "date-time" }, "q": { "location": "query", "description": "Free text search terms to find events that match these terms in the following fields: summary, description, location, attendee's displayName, attendee's email. Optional.", "type": "string" }, "maxResults": { "type": "integer", "location": "query", "minimum": "1", "default": "250", "description": "Maximum number of events returned on one result page. The number of events in the resulting page may be less than this value, or none at all, even if there are more events matching the query. Incomplete pages can be detected by a non-empty nextPageToken field in the response. By default the value is 250 events. The page size can never be larger than 2500 events. Optional.", "format": "int32" }, "singleEvents": { "description": "Whether to expand recurring events into instances and only return single one-off events and instances of recurring events, but not the underlying recurring events themselves. Optional. The default is False.", "type": "boolean", "location": "query" }, "sharedExtendedProperty": { "description": "Extended properties constraint specified as propertyName=value. Matches only shared properties. This parameter might be repeated multiple times to return events that match all given constraints.", "repeated": true, "location": "query", "type": "string" }, "syncToken": { "location": "query", "description": "Token obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. All events deleted since the previous list request will always be in the result set and it is not allowed to set showDeleted to False.\nThere are several query parameters that cannot be specified together with nextSyncToken to ensure consistency of the client state.\n\nThese are: \n- iCalUID \n- orderBy \n- privateExtendedProperty \n- q \n- sharedExtendedProperty \n- timeMin \n- timeMax \n- updatedMin If the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken.\nLearn more about incremental synchronization.\nOptional. The default is to return all entries.", "type": "string" }, "iCalUID": { "description": "Specifies event ID in the iCalendar format to be included in the response. Optional.", "type": "string", "location": "query" }, "timeMin": { "location": "query", "description": "Lower bound (exclusive) for an event's end time to filter by. Optional. The default is not to filter by end time. Must be an RFC3339 timestamp with mandatory time zone offset, for example, 2011-06-03T10:00:00-07:00, 2011-06-03T10:00:00Z. Milliseconds may be provided but are ignored. If timeMax is set, timeMin must be smaller than timeMax.", "type": "string", "format": "date-time" }, "calendarId": { "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "type": "string", "location": "path", "required": true }, "timeZone": { "location": "query", "type": "string", "description": "Time zone used in the response. Optional. The default is the time zone of the calendar." }, "orderBy": { "type": "string", "enumDescriptions": [ "Order by the start date/time (ascending). This is only available when querying single events (i.e. the parameter singleEvents is True)", "Order by last modification time (ascending)." ], "description": "The order of the events returned in the result. Optional. The default is an unspecified, stable order.", "location": "query", "enum": [ "startTime", "updated" ] }, "timeMax": { "type": "string", "format": "date-time", "description": "Upper bound (exclusive) for an event's start time to filter by. Optional. The default is not to filter by start time. Must be an RFC3339 timestamp with mandatory time zone offset, for example, 2011-06-03T10:00:00-07:00, 2011-06-03T10:00:00Z. Milliseconds may be provided but are ignored. If timeMin is set, timeMax must be greater than timeMin.", "location": "query" }, "maxAttendees": { "type": "integer", "description": "The maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.", "format": "int32", "minimum": "1", "location": "query" }, "showHiddenInvitations": { "type": "boolean", "description": "Whether to include hidden invitations in the result. Optional. The default is False.", "location": "query" }, "alwaysIncludeEmail": { "location": "query", "type": "boolean", "description": "Deprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided)." }, "pageToken": { "description": "Token specifying which result page to return. Optional.", "type": "string", "location": "query" }, "showDeleted": { "type": "boolean", "description": "Whether to include deleted events (with status equals \"cancelled\") in the result. Cancelled instances of recurring events (but not the underlying recurring event) will still be included if showDeleted and singleEvents are both False. If showDeleted and singleEvents are both True, only single instances of deleted events (but not the underlying recurring events) are returned. Optional. The default is False.", "location": "query" } }, "path": "calendars/{calendarId}/events/watch", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events", "https://www.googleapis.com/auth/calendar.events.readonly", "https://www.googleapis.com/auth/calendar.readonly" ], "request": { "$ref": "Channel", "parameterName": "resource" } }, "update": { "response": { "$ref": "Event" }, "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events" ], "parameters": { "alwaysIncludeEmail": { "description": "Deprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided).", "location": "query", "type": "boolean" }, "supportsAttachments": { "type": "boolean", "description": "Whether API client performing operation supports event attachments. Optional. The default is False.", "location": "query" }, "calendarId": { "type": "string", "location": "path", "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "required": true }, "conferenceDataVersion": { "description": "Version number of conference data supported by the API client. Version 0 assumes no conference data support and ignores conference data in the event's body. Version 1 enables support for copying of ConferenceData as well as for creating new conferences using the createRequest field of conferenceData. The default is 0.", "maximum": "1", "location": "query", "minimum": "0", "type": "integer", "format": "int32" }, "eventId": { "required": true, "description": "Event identifier.", "location": "path", "type": "string" }, "sendNotifications": { "location": "query", "description": "Deprecated. Please use sendUpdates instead.\n\nWhether to send notifications about the event update (for example, description changes, etc.). Note that some emails might still be sent even if you set the value to false. The default is false.", "type": "boolean" }, "maxAttendees": { "minimum": "1", "description": "The maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.", "location": "query", "format": "int32", "type": "integer" }, "sendUpdates": { "enumDescriptions": [ "Notifications are sent to all guests.", "Notifications are sent to non-Google Calendar guests only.", "No notifications are sent. For calendar migration tasks, consider using the Events.import method instead." ], "type": "string", "location": "query", "description": "Guests who should receive notifications about the event update (for example, title changes, etc.).", "enum": [ "all", "externalOnly", "none" ] } }, "httpMethod": "PUT", "path": "calendars/{calendarId}/events/{eventId}", "description": "Updates an event.", "id": "calendar.events.update", "request": { "$ref": "Event" }, "parameterOrder": [ "calendarId", "eventId" ] }, "patch": { "id": "calendar.events.patch", "parameterOrder": [ "calendarId", "eventId" ], "path": "calendars/{calendarId}/events/{eventId}", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events" ], "request": { "$ref": "Event" }, "description": "Updates an event. This method supports patch semantics.", "response": { "$ref": "Event" }, "httpMethod": "PATCH", "parameters": { "alwaysIncludeEmail": { "type": "boolean", "location": "query", "description": "Deprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided)." }, "maxAttendees": { "type": "integer", "minimum": "1", "format": "int32", "description": "The maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.", "location": "query" }, "calendarId": { "location": "path", "required": true, "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "type": "string" }, "conferenceDataVersion": { "maximum": "1", "location": "query", "minimum": "0", "type": "integer", "description": "Version number of conference data supported by the API client. Version 0 assumes no conference data support and ignores conference data in the event's body. Version 1 enables support for copying of ConferenceData as well as for creating new conferences using the createRequest field of conferenceData. The default is 0.", "format": "int32" }, "sendNotifications": { "location": "query", "type": "boolean", "description": "Deprecated. Please use sendUpdates instead.\n\nWhether to send notifications about the event update (for example, description changes, etc.). Note that some emails might still be sent even if you set the value to false. The default is false." }, "eventId": { "required": true, "type": "string", "location": "path", "description": "Event identifier." }, "supportsAttachments": { "type": "boolean", "location": "query", "description": "Whether API client performing operation supports event attachments. Optional. The default is False." }, "sendUpdates": { "enum": [ "all", "externalOnly", "none" ], "location": "query", "description": "Guests who should receive notifications about the event update (for example, title changes, etc.).", "enumDescriptions": [ "Notifications are sent to all guests.", "Notifications are sent to non-Google Calendar guests only.", "No notifications are sent. For calendar migration tasks, consider using the Events.import method instead." ], "type": "string" } } }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "calendarId", "eventId" ], "id": "calendar.events.delete", "parameters": { "eventId": { "location": "path", "required": true, "description": "Event identifier.", "type": "string" }, "sendNotifications": { "location": "query", "type": "boolean", "description": "Deprecated. Please use sendUpdates instead.\n\nWhether to send notifications about the deletion of the event. Note that some emails might still be sent even if you set the value to false. The default is false." }, "calendarId": { "required": true, "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "type": "string", "location": "path" }, "sendUpdates": { "enumDescriptions": [ "Notifications are sent to all guests.", "Notifications are sent to non-Google Calendar guests only.", "No notifications are sent. For calendar migration tasks, consider using the Events.import method instead." ], "type": "string", "location": "query", "enum": [ "all", "externalOnly", "none" ], "description": "Guests who should receive notifications about the deletion of the event." } }, "description": "Deletes an event.", "path": "calendars/{calendarId}/events/{eventId}", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.events" ] } } }, "settings": { "methods": { "get": { "httpMethod": "GET", "id": "calendar.settings.get", "description": "Returns a single user setting.", "path": "users/me/settings/{setting}", "parameterOrder": [ "setting" ], "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.readonly", "https://www.googleapis.com/auth/calendar.settings.readonly" ], "response": { "$ref": "Setting" }, "parameters": { "setting": { "required": true, "location": "path", "description": "The id of the user setting.", "type": "string" } } }, "watch": { "supportsSubscription": true, "request": { "$ref": "Channel", "parameterName": "resource" }, "parameters": { "pageToken": { "description": "Token specifying which result page to return. Optional.", "location": "query", "type": "string" }, "syncToken": { "location": "query", "description": "Token obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then.\nIf the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken.\nLearn more about incremental synchronization.\nOptional. The default is to return all entries.", "type": "string" }, "maxResults": { "minimum": "1", "type": "integer", "location": "query", "format": "int32", "description": "Maximum number of entries returned on one result page. By default the value is 100 entries. The page size can never be larger than 250 entries. Optional." } }, "id": "calendar.settings.watch", "path": "users/me/settings/watch", "description": "Watch for changes to Settings resources.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.readonly", "https://www.googleapis.com/auth/calendar.settings.readonly" ], "response": { "$ref": "Channel" } }, "list": { "parameters": { "maxResults": { "location": "query", "format": "int32", "minimum": "1", "type": "integer", "description": "Maximum number of entries returned on one result page. By default the value is 100 entries. The page size can never be larger than 250 entries. Optional." }, "syncToken": { "type": "string", "description": "Token obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then.\nIf the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken.\nLearn more about incremental synchronization.\nOptional. The default is to return all entries.", "location": "query" }, "pageToken": { "description": "Token specifying which result page to return. Optional.", "type": "string", "location": "query" } }, "supportsSubscription": true, "id": "calendar.settings.list", "description": "Returns all user settings for the authenticated user.", "response": { "$ref": "Settings" }, "httpMethod": "GET", "path": "users/me/settings", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.readonly", "https://www.googleapis.com/auth/calendar.settings.readonly" ] } } }, "calendars": { "methods": { "get": { "response": { "$ref": "Calendar" }, "parameterOrder": [ "calendarId" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.readonly" ], "id": "calendar.calendars.get", "description": "Returns metadata for a calendar.", "parameters": { "calendarId": { "location": "path", "type": "string", "required": true, "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword." } }, "path": "calendars/{calendarId}" }, "delete": { "description": "Deletes a secondary calendar. Use calendars.clear for clearing all events on primary calendars.", "httpMethod": "DELETE", "parameters": { "calendarId": { "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "calendarId" ], "scopes": [ "https://www.googleapis.com/auth/calendar" ], "id": "calendar.calendars.delete", "path": "calendars/{calendarId}" }, "clear": { "parameters": { "calendarId": { "type": "string", "location": "path", "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "required": true } }, "path": "calendars/{calendarId}/clear", "id": "calendar.calendars.clear", "scopes": [ "https://www.googleapis.com/auth/calendar" ], "parameterOrder": [ "calendarId" ], "description": "Clears a primary calendar. This operation deletes all events associated with the primary calendar of an account.", "httpMethod": "POST" }, "insert": { "path": "calendars", "description": "Creates a secondary calendar.", "request": { "$ref": "Calendar" }, "scopes": [ "https://www.googleapis.com/auth/calendar" ], "id": "calendar.calendars.insert", "response": { "$ref": "Calendar" }, "httpMethod": "POST" }, "patch": { "response": { "$ref": "Calendar" }, "request": { "$ref": "Calendar" }, "path": "calendars/{calendarId}", "scopes": [ "https://www.googleapis.com/auth/calendar" ], "id": "calendar.calendars.patch", "parameters": { "calendarId": { "type": "string", "required": true, "location": "path", "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword." } }, "httpMethod": "PATCH", "description": "Updates metadata for a calendar. This method supports patch semantics.", "parameterOrder": [ "calendarId" ] }, "update": { "path": "calendars/{calendarId}", "scopes": [ "https://www.googleapis.com/auth/calendar" ], "parameters": { "calendarId": { "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "location": "path", "type": "string", "required": true } }, "id": "calendar.calendars.update", "description": "Updates metadata for a calendar.", "response": { "$ref": "Calendar" }, "parameterOrder": [ "calendarId" ], "httpMethod": "PUT", "request": { "$ref": "Calendar" } } } }, "calendarList": { "methods": { "delete": { "path": "users/me/calendarList/{calendarId}", "description": "Removes a calendar from the user's calendar list.", "httpMethod": "DELETE", "id": "calendar.calendarList.delete", "scopes": [ "https://www.googleapis.com/auth/calendar" ], "parameterOrder": [ "calendarId" ], "parameters": { "calendarId": { "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "location": "path", "type": "string", "required": true } } }, "list": { "path": "users/me/calendarList", "httpMethod": "GET", "supportsSubscription": true, "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.readonly" ], "parameters": { "minAccessRole": { "location": "query", "description": "The minimum access role for the user in the returned entries. Optional. The default is no restriction.", "enum": [ "freeBusyReader", "owner", "reader", "writer" ], "type": "string", "enumDescriptions": [ "The user can read free/busy information.", "The user can read and modify events and access control lists.", "The user can read events that are not private.", "The user can read and modify events." ] }, "maxResults": { "type": "integer", "description": "Maximum number of entries returned on one result page. By default the value is 100 entries. The page size can never be larger than 250 entries. Optional.", "format": "int32", "minimum": "1", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Token specifying which result page to return. Optional." }, "showDeleted": { "location": "query", "description": "Whether to include deleted calendar list entries in the result. Optional. The default is False.", "type": "boolean" }, "showHidden": { "type": "boolean", "description": "Whether to show hidden entries. Optional. The default is False.", "location": "query" }, "syncToken": { "description": "Token obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. If only read-only fields such as calendar properties or ACLs have changed, the entry won't be returned. All entries deleted and hidden since the previous list request will always be in the result set and it is not allowed to set showDeleted neither showHidden to False.\nTo ensure client state consistency minAccessRole query parameter cannot be specified together with nextSyncToken.\nIf the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken.\nLearn more about incremental synchronization.\nOptional. The default is to return all entries.", "type": "string", "location": "query" } }, "id": "calendar.calendarList.list", "description": "Returns the calendars on the user's calendar list.", "response": { "$ref": "CalendarList" } }, "update": { "id": "calendar.calendarList.update", "request": { "$ref": "CalendarListEntry" }, "path": "users/me/calendarList/{calendarId}", "response": { "$ref": "CalendarListEntry" }, "parameterOrder": [ "calendarId" ], "scopes": [ "https://www.googleapis.com/auth/calendar" ], "description": "Updates an existing calendar on the user's calendar list.", "httpMethod": "PUT", "parameters": { "calendarId": { "type": "string", "required": true, "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "location": "path" }, "colorRgbFormat": { "description": "Whether to use the foregroundColor and backgroundColor fields to write the calendar colors (RGB). If this feature is used, the index-based colorId field will be set to the best matching option automatically. Optional. The default is False.", "type": "boolean", "location": "query" } } }, "insert": { "id": "calendar.calendarList.insert", "scopes": [ "https://www.googleapis.com/auth/calendar" ], "parameters": { "colorRgbFormat": { "description": "Whether to use the foregroundColor and backgroundColor fields to write the calendar colors (RGB). If this feature is used, the index-based colorId field will be set to the best matching option automatically. Optional. The default is False.", "type": "boolean", "location": "query" } }, "httpMethod": "POST", "path": "users/me/calendarList", "request": { "$ref": "CalendarListEntry" }, "description": "Inserts an existing calendar into the user's calendar list.", "response": { "$ref": "CalendarListEntry" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.readonly" ], "path": "users/me/calendarList/{calendarId}", "description": "Returns a calendar from the user's calendar list.", "response": { "$ref": "CalendarListEntry" }, "parameterOrder": [ "calendarId" ], "httpMethod": "GET", "id": "calendar.calendarList.get", "parameters": { "calendarId": { "location": "path", "required": true, "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.", "type": "string" } } }, "patch": { "path": "users/me/calendarList/{calendarId}", "description": "Updates an existing calendar on the user's calendar list. This method supports patch semantics.", "id": "calendar.calendarList.patch", "parameterOrder": [ "calendarId" ], "scopes": [ "https://www.googleapis.com/auth/calendar" ], "parameters": { "calendarId": { "required": true, "type": "string", "location": "path", "description": "Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword." }, "colorRgbFormat": { "type": "boolean", "location": "query", "description": "Whether to use the foregroundColor and backgroundColor fields to write the calendar colors (RGB). If this feature is used, the index-based colorId field will be set to the best matching option automatically. Optional. The default is False." } }, "response": { "$ref": "CalendarListEntry" }, "request": { "$ref": "CalendarListEntry" }, "httpMethod": "PATCH" }, "watch": { "id": "calendar.calendarList.watch", "request": { "parameterName": "resource", "$ref": "Channel" }, "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.readonly" ], "supportsSubscription": true, "description": "Watch for changes to CalendarList resources.", "response": { "$ref": "Channel" }, "path": "users/me/calendarList/watch", "parameters": { "pageToken": { "type": "string", "description": "Token specifying which result page to return. Optional.", "location": "query" }, "minAccessRole": { "type": "string", "description": "The minimum access role for the user in the returned entries. Optional. The default is no restriction.", "location": "query", "enumDescriptions": [ "The user can read free/busy information.", "The user can read and modify events and access control lists.", "The user can read events that are not private.", "The user can read and modify events." ], "enum": [ "freeBusyReader", "owner", "reader", "writer" ] }, "showDeleted": { "type": "boolean", "description": "Whether to include deleted calendar list entries in the result. Optional. The default is False.", "location": "query" }, "syncToken": { "location": "query", "type": "string", "description": "Token obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. If only read-only fields such as calendar properties or ACLs have changed, the entry won't be returned. All entries deleted and hidden since the previous list request will always be in the result set and it is not allowed to set showDeleted neither showHidden to False.\nTo ensure client state consistency minAccessRole query parameter cannot be specified together with nextSyncToken.\nIf the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken.\nLearn more about incremental synchronization.\nOptional. The default is to return all entries." }, "showHidden": { "description": "Whether to show hidden entries. Optional. The default is False.", "type": "boolean", "location": "query" }, "maxResults": { "minimum": "1", "type": "integer", "location": "query", "format": "int32", "description": "Maximum number of entries returned on one result page. By default the value is 100 entries. The page size can never be larger than 250 entries. Optional." } }, "httpMethod": "POST" } } }, "colors": { "methods": { "get": { "path": "colors", "description": "Returns the color definitions for calendars and events.", "scopes": [ "https://www.googleapis.com/auth/calendar", "https://www.googleapis.com/auth/calendar.readonly" ], "httpMethod": "GET", "id": "calendar.colors.get", "response": { "$ref": "Colors" } } } } }, "protocol": "rest", "name": "calendar", "ownerDomain": "google.com", "schemas": { "Acl": { "type": "object", "id": "Acl", "properties": { "nextSyncToken": { "description": "Token used at a later point in time to retrieve only the entries that have changed since this result was returned. Omitted if further results are available, in which case nextPageToken is provided.", "type": "string" }, "nextPageToken": { "description": "Token used to access the next page of this result. Omitted if no further results are available, in which case nextSyncToken is provided.", "type": "string" }, "kind": { "type": "string", "description": "Type of the collection (\"calendar#acl\").", "default": "calendar#acl" }, "etag": { "description": "ETag of the collection.", "type": "string" }, "items": { "type": "array", "items": { "$ref": "AclRule" }, "description": "List of rules on the access control list." } } }, "ColorDefinition": { "properties": { "foreground": { "description": "The foreground color that can be used to write on top of a background with 'background' color.", "type": "string" }, "background": { "type": "string", "description": "The background color associated with this color definition." } }, "type": "object", "id": "ColorDefinition" }, "Colors": { "properties": { "updated": { "description": "Last modification time of the color palette (as a RFC3339 timestamp). Read-only.", "type": "string", "format": "date-time" }, "event": { "additionalProperties": { "description": "An event color definition.", "$ref": "ColorDefinition" }, "description": "A global palette of event colors, mapping from the color ID to its definition. An event resource may refer to one of these color IDs in its colorId field. Read-only.", "type": "object" }, "kind": { "default": "calendar#colors", "description": "Type of the resource (\"calendar#colors\").", "type": "string" }, "calendar": { "description": "A global palette of calendar colors, mapping from the color ID to its definition. A calendarListEntry resource refers to one of these color IDs in its colorId field. Read-only.", "additionalProperties": { "description": "A calendar color definition.", "$ref": "ColorDefinition" }, "type": "object" } }, "id": "Colors", "type": "object" }, "Calendar": { "properties": { "location": { "description": "Geographic location of the calendar as free-form text. Optional.", "type": "string" }, "timeZone": { "type": "string", "description": "The time zone of the calendar. (Formatted as an IANA Time Zone Database name, e.g. \"Europe/Zurich\".) Optional." }, "id": { "description": "Identifier of the calendar. To retrieve IDs call the calendarList.list() method.", "type": "string" }, "summary": { "description": "Title of the calendar.", "type": "string", "annotations": { "required": [ "calendar.calendars.insert" ] } }, "etag": { "type": "string", "description": "ETag of the resource." }, "description": { "description": "Description of the calendar. Optional.", "type": "string" }, "kind": { "default": "calendar#calendar", "description": "Type of the resource (\"calendar#calendar\").", "type": "string" }, "conferenceProperties": { "description": "Conferencing properties for this calendar, for example what types of conferences are allowed.", "$ref": "ConferenceProperties" } }, "id": "Calendar", "type": "object" }, "ConferenceParametersAddOnParameters": { "id": "ConferenceParametersAddOnParameters", "type": "object", "properties": { "parameters": { "type": "object", "additionalProperties": { "type": "string" } } } }, "EventDateTime": { "id": "EventDateTime", "type": "object", "properties": { "dateTime": { "format": "date-time", "description": "The time, as a combined date-time value (formatted according to RFC3339). A time zone offset is required unless a time zone is explicitly specified in timeZone.", "type": "string" }, "timeZone": { "type": "string", "description": "The time zone in which the time is specified. (Formatted as an IANA Time Zone Database name, e.g. \"Europe/Zurich\".) For recurring events this field is required and specifies the time zone in which the recurrence is expanded. For single events this field is optional and indicates a custom time zone for the event start/end." }, "date": { "format": "date", "type": "string", "description": "The date, in the format \"yyyy-mm-dd\", if this is an all-day event." } } }, "CalendarListEntry": { "type": "object", "properties": { "timeZone": { "description": "The time zone of the calendar. Optional. Read-only.", "type": "string" }, "colorId": { "description": "The color of the calendar. This is an ID referring to an entry in the calendar section of the colors definition (see the colors endpoint). This property is superseded by the backgroundColor and foregroundColor properties and can be ignored when using these properties. Optional.", "type": "string" }, "id": { "type": "string", "annotations": { "required": [ "calendar.calendarList.insert" ] }, "description": "Identifier of the calendar." }, "hidden": { "description": "Whether the calendar has been hidden from the list. Optional. The attribute is only returned when the calendar is hidden, in which case the value is true.", "type": "boolean", "default": "false" }, "location": { "type": "string", "description": "Geographic location of the calendar as free-form text. Optional. Read-only." }, "summaryOverride": { "type": "string", "description": "The summary that the authenticated user has set for this calendar. Optional." }, "kind": { "default": "calendar#calendarListEntry", "description": "Type of the resource (\"calendar#calendarListEntry\").", "type": "string" }, "description": { "description": "Description of the calendar. Optional. Read-only.", "type": "string" }, "conferenceProperties": { "description": "Conferencing properties for this calendar, for example what types of conferences are allowed.", "$ref": "ConferenceProperties" }, "etag": { "description": "ETag of the resource.", "type": "string" }, "notificationSettings": { "type": "object", "properties": { "notifications": { "description": "The list of notifications set for this calendar.", "items": { "$ref": "CalendarNotification" }, "type": "array" } }, "description": "The notifications that the authenticated user is receiving for this calendar." }, "accessRole": { "type": "string", "description": "The effective access role that the authenticated user has on the calendar. Read-only. Possible values are: \n- \"freeBusyReader\" - Provides read access to free/busy information. \n- \"reader\" - Provides read access to the calendar. Private events will appear to users with reader access, but event details will be hidden. \n- \"writer\" - Provides read and write access to the calendar. Private events will appear to users with writer access, and event details will be visible. \n- \"owner\" - Provides ownership of the calendar. This role has all of the permissions of the writer role with the additional ability to see and manipulate ACLs." }, "foregroundColor": { "type": "string", "description": "The foreground color of the calendar in the hexadecimal format \"#ffffff\". This property supersedes the index-based colorId property. To set or change this property, you need to specify colorRgbFormat=true in the parameters of the insert, update and patch methods. Optional." }, "backgroundColor": { "description": "The main color of the calendar in the hexadecimal format \"#0088aa\". This property supersedes the index-based colorId property. To set or change this property, you need to specify colorRgbFormat=true in the parameters of the insert, update and patch methods. Optional.", "type": "string" }, "summary": { "type": "string", "description": "Title of the calendar. Read-only." }, "primary": { "type": "boolean", "default": "false", "description": "Whether the calendar is the primary calendar of the authenticated user. Read-only. Optional. The default is False." }, "defaultReminders": { "description": "The default reminders that the authenticated user has for this calendar.", "items": { "$ref": "EventReminder" }, "type": "array" }, "selected": { "description": "Whether the calendar content shows up in the calendar UI. Optional. The default is False.", "type": "boolean", "default": "false" }, "deleted": { "default": "false", "description": "Whether this calendar list entry has been deleted from the calendar list. Read-only. Optional. The default is False.", "type": "boolean" } }, "id": "CalendarListEntry" }, "FreeBusyCalendar": { "id": "FreeBusyCalendar", "properties": { "errors": { "type": "array", "items": { "$ref": "Error" }, "description": "Optional error(s) (if computation for the calendar failed)." }, "busy": { "type": "array", "items": { "$ref": "TimePeriod" }, "description": "List of time ranges during which this calendar should be regarded as busy." } }, "type": "object" }, "ConferenceParameters": { "id": "ConferenceParameters", "properties": { "addOnParameters": { "description": "Additional add-on specific data.", "$ref": "ConferenceParametersAddOnParameters" } }, "type": "object" }, "CalendarList": { "id": "CalendarList", "properties": { "kind": { "default": "calendar#calendarList", "description": "Type of the collection (\"calendar#calendarList\").", "type": "string" }, "nextSyncToken": { "type": "string", "description": "Token used at a later point in time to retrieve only the entries that have changed since this result was returned. Omitted if further results are available, in which case nextPageToken is provided." }, "items": { "items": { "$ref": "CalendarListEntry" }, "type": "array", "description": "Calendars that are present on the user's calendar list." }, "etag": { "type": "string", "description": "ETag of the collection." }, "nextPageToken": { "type": "string", "description": "Token used to access the next page of this result. Omitted if no further results are available, in which case nextSyncToken is provided." } }, "type": "object" }, "EventReminder": { "properties": { "method": { "description": "The method used by this reminder. Possible values are: \n- \"email\" - Reminders are sent via email. \n- \"popup\" - Reminders are sent via a UI popup. \nRequired when adding a reminder.", "type": "string" }, "minutes": { "type": "integer", "format": "int32", "description": "Number of minutes before the start of the event when the reminder should trigger. Valid values are between 0 and 40320 (4 weeks in minutes).\nRequired when adding a reminder." } }, "id": "EventReminder", "type": "object" }, "ConferenceSolutionKey": { "type": "object", "properties": { "type": { "type": "string", "description": "The conference solution type.\nIf a client encounters an unfamiliar or empty type, it should still be able to display the entry points. However, it should disallow modifications.\nThe possible values are: \n- \"eventHangout\" for Hangouts for consumers (deprecated; existing events may show this conference solution type but new conferences cannot be created)\n- \"eventNamedHangout\" for classic Hangouts for Google Workspace users (deprecated; existing events may show this conference solution type but new conferences cannot be created)\n- \"hangoutsMeet\" for Google Meet (http://meet.google.com)\n- \"addOn\" for 3P conference providers" } }, "id": "ConferenceSolutionKey" }, "Error": { "properties": { "reason": { "type": "string", "description": "Specific reason for the error. Some of the possible values are: \n- \"groupTooBig\" - The group of users requested is too large for a single query. \n- \"tooManyCalendarsRequested\" - The number of calendars requested is too large for a single query. \n- \"notFound\" - The requested resource was not found. \n- \"internalError\" - The API service has encountered an internal error. Additional error types may be added in the future, so clients should gracefully handle additional error statuses not included in this list." }, "domain": { "description": "Domain, or broad category, of the error.", "type": "string" } }, "type": "object", "id": "Error" }, "Settings": { "properties": { "nextPageToken": { "description": "Token used to access the next page of this result. Omitted if no further results are available, in which case nextSyncToken is provided.", "type": "string" }, "kind": { "type": "string", "default": "calendar#settings", "description": "Type of the collection (\"calendar#settings\")." }, "items": { "description": "List of user settings.", "items": { "$ref": "Setting" }, "type": "array" }, "nextSyncToken": { "description": "Token used at a later point in time to retrieve only the entries that have changed since this result was returned. Omitted if further results are available, in which case nextPageToken is provided.", "type": "string" }, "etag": { "type": "string", "description": "Etag of the collection." } }, "id": "Settings", "type": "object" }, "FreeBusyResponse": { "id": "FreeBusyResponse", "properties": { "kind": { "description": "Type of the resource (\"calendar#freeBusy\").", "type": "string", "default": "calendar#freeBusy" }, "timeMax": { "type": "string", "format": "date-time", "description": "The end of the interval." }, "groups": { "additionalProperties": { "description": "List of calendars that are members of this group.", "$ref": "FreeBusyGroup" }, "type": "object", "description": "Expansion of groups." }, "timeMin": { "type": "string", "description": "The start of the interval.", "format": "date-time" }, "calendars": { "description": "List of free/busy information for calendars.", "additionalProperties": { "description": "Free/busy expansions for a single calendar.", "$ref": "FreeBusyCalendar" }, "type": "object" } }, "type": "object" }, "ConferenceRequestStatus": { "properties": { "statusCode": { "description": "The current status of the conference create request. Read-only.\nThe possible values are: \n- \"pending\": the conference create request is still being processed.\n- \"success\": the conference create request succeeded, the entry points are populated.\n- \"failure\": the conference create request failed, there are no entry points.", "type": "string" } }, "id": "ConferenceRequestStatus", "type": "object" }, "ConferenceData": { "id": "ConferenceData", "properties": { "parameters": { "$ref": "ConferenceParameters", "description": "Additional properties related to a conference. An example would be a solution-specific setting for enabling video streaming." }, "entryPoints": { "type": "array", "items": { "$ref": "EntryPoint" }, "description": "Information about individual conference entry points, such as URLs or phone numbers.\nAll of them must belong to the same conference.\nEither conferenceSolution and at least one entryPoint, or createRequest is required." }, "conferenceId": { "description": "The ID of the conference.\nCan be used by developers to keep track of conferences, should not be displayed to users.\nThe ID value is formed differently for each conference solution type: \n- eventHangout: ID is not set. (This conference type is deprecated.)\n- eventNamedHangout: ID is the name of the Hangout. (This conference type is deprecated.)\n- hangoutsMeet: ID is the 10-letter meeting code, for example aaa-bbbb-ccc.\n- addOn: ID is defined by the third-party provider. Optional.", "type": "string" }, "notes": { "description": "Additional notes (such as instructions from the domain administrator, legal notices) to display to the user. Can contain HTML. The maximum length is 2048 characters. Optional.", "type": "string" }, "conferenceSolution": { "description": "The conference solution, such as Google Meet.\nUnset for a conference with a failed create request.\nEither conferenceSolution and at least one entryPoint, or createRequest is required.", "$ref": "ConferenceSolution" }, "createRequest": { "description": "A request to generate a new conference and attach it to the event. The data is generated asynchronously. To see whether the data is present check the status field.\nEither conferenceSolution and at least one entryPoint, or createRequest is required.", "$ref": "CreateConferenceRequest" }, "signature": { "type": "string", "description": "The signature of the conference data.\nGenerated on server side.\nUnset for a conference with a failed create request.\nOptional for a conference with a pending create request." } }, "type": "object" }, "EntryPoint": { "id": "EntryPoint", "type": "object", "properties": { "regionCode": { "type": "string", "description": "The CLDR/ISO 3166 region code for the country associated with this phone access. Example: \"SE\" for Sweden.\nCalendar backend will populate this field only for EntryPointType.PHONE." }, "accessCode": { "description": "The access code to access the conference. The maximum length is 128 characters.\nWhen creating new conference data, populate only the subset of {meetingCode, accessCode, passcode, password, pin} fields that match the terminology that the conference provider uses. Only the populated fields should be displayed.\nOptional.", "type": "string" }, "passcode": { "description": "The passcode to access the conference. The maximum length is 128 characters.\nWhen creating new conference data, populate only the subset of {meetingCode, accessCode, passcode, password, pin} fields that match the terminology that the conference provider uses. Only the populated fields should be displayed.", "type": "string" }, "pin": { "type": "string", "description": "The PIN to access the conference. The maximum length is 128 characters.\nWhen creating new conference data, populate only the subset of {meetingCode, accessCode, passcode, password, pin} fields that match the terminology that the conference provider uses. Only the populated fields should be displayed.\nOptional." }, "entryPointType": { "type": "string", "description": "The type of the conference entry point.\nPossible values are: \n- \"video\" - joining a conference over HTTP. A conference can have zero or one video entry point.\n- \"phone\" - joining a conference by dialing a phone number. A conference can have zero or more phone entry points.\n- \"sip\" - joining a conference over SIP. A conference can have zero or one sip entry point.\n- \"more\" - further conference joining instructions, for example additional phone numbers. A conference can have zero or one more entry point. A conference with only a more entry point is not a valid conference." }, "meetingCode": { "description": "The meeting code to access the conference. The maximum length is 128 characters.\nWhen creating new conference data, populate only the subset of {meetingCode, accessCode, passcode, password, pin} fields that match the terminology that the conference provider uses. Only the populated fields should be displayed.\nOptional.", "type": "string" }, "label": { "description": "The label for the URI. Visible to end users. Not localized. The maximum length is 512 characters.\nExamples: \n- for video: meet.google.com/aaa-bbbb-ccc\n- for phone: +1 123 268 2601\n- for sip: 12345678@altostrat.com\n- for more: should not be filled \nOptional.", "type": "string" }, "password": { "description": "The password to access the conference. The maximum length is 128 characters.\nWhen creating new conference data, populate only the subset of {meetingCode, accessCode, passcode, password, pin} fields that match the terminology that the conference provider uses. Only the populated fields should be displayed.\nOptional.", "type": "string" }, "entryPointFeatures": { "description": "Features of the entry point, such as being toll or toll-free. One entry point can have multiple features. However, toll and toll-free cannot be both set on the same entry point.", "items": { "type": "string" }, "type": "array" }, "uri": { "description": "The URI of the entry point. The maximum length is 1300 characters.\nFormat: \n- for video, http: or https: schema is required.\n- for phone, tel: schema is required. The URI should include the entire dial sequence (e.g., tel:+12345678900,,,123456789;1234).\n- for sip, sip: schema is required, e.g., sip:12345678@myprovider.com.\n- for more, http: or https: schema is required.", "type": "string" } } }, "EventAttachment": { "properties": { "iconLink": { "description": "URL link to the attachment's icon. This field can only be modified for custom third-party attachments.", "type": "string" }, "fileUrl": { "type": "string", "description": "URL link to the attachment.\nFor adding Google Drive file attachments use the same format as in alternateLink property of the Files resource in the Drive API.\nRequired when adding an attachment." }, "mimeType": { "type": "string", "description": "Internet media type (MIME type) of the attachment." }, "title": { "description": "Attachment title.", "type": "string" }, "fileId": { "description": "ID of the attached file. Read-only.\nFor Google Drive files, this is the ID of the corresponding Files resource entry in the Drive API.", "type": "string" } }, "type": "object", "id": "EventAttachment" }, "FreeBusyRequest": { "id": "FreeBusyRequest", "type": "object", "properties": { "timeMax": { "type": "string", "description": "The end of the interval for the query formatted as per RFC3339.", "format": "date-time" }, "calendarExpansionMax": { "format": "int32", "type": "integer", "description": "Maximal number of calendars for which FreeBusy information is to be provided. Optional. Maximum value is 50." }, "groupExpansionMax": { "type": "integer", "format": "int32", "description": "Maximal number of calendar identifiers to be provided for a single group. Optional. An error is returned for a group with more members than this value. Maximum value is 100." }, "items": { "type": "array", "items": { "$ref": "FreeBusyRequestItem" }, "description": "List of calendars and/or groups to query." }, "timeMin": { "description": "The start of the interval for the query formatted as per RFC3339.", "format": "date-time", "type": "string" }, "timeZone": { "default": "UTC", "description": "Time zone used in the response. Optional. The default is UTC.", "type": "string" } } }, "CreateConferenceRequest": { "type": "object", "id": "CreateConferenceRequest", "properties": { "conferenceSolutionKey": { "$ref": "ConferenceSolutionKey", "description": "The conference solution, such as Hangouts or Google Meet." }, "status": { "description": "The status of the conference create request.", "$ref": "ConferenceRequestStatus" }, "requestId": { "description": "The client-generated unique ID for this request.\nClients should regenerate this ID for every new request. If an ID provided is the same as for the previous request, the request is ignored.", "type": "string" } } }, "Setting": { "type": "object", "properties": { "id": { "type": "string", "description": "The id of the user setting." }, "kind": { "default": "calendar#setting", "description": "Type of the resource (\"calendar#setting\").", "type": "string" }, "etag": { "type": "string", "description": "ETag of the resource." }, "value": { "type": "string", "description": "Value of the user setting. The format of the value depends on the ID of the setting. It must always be a UTF-8 string of length up to 1024 characters." } }, "id": "Setting" }, "EventAttendee": { "type": "object", "properties": { "organizer": { "description": "Whether the attendee is the organizer of the event. Read-only. The default is False.", "type": "boolean" }, "displayName": { "description": "The attendee's name, if available. Optional.", "type": "string" }, "comment": { "description": "The attendee's response comment. Optional.", "type": "string" }, "id": { "description": "The attendee's Profile ID, if available.", "type": "string" }, "responseStatus": { "type": "string", "description": "The attendee's response status. Possible values are: \n- \"needsAction\" - The attendee has not responded to the invitation (recommended for new events). \n- \"declined\" - The attendee has declined the invitation. \n- \"tentative\" - The attendee has tentatively accepted the invitation. \n- \"accepted\" - The attendee has accepted the invitation. Warning: If you add an event using the values declined, tentative, or accepted, attendees with the \"Add invitations to my calendar\" setting set to \"When I respond to invitation in email\" won't see an event on their calendar unless they choose to change their invitation response in the event invitation email." }, "optional": { "default": "false", "type": "boolean", "description": "Whether this is an optional attendee. Optional. The default is False." }, "resource": { "type": "boolean", "description": "Whether the attendee is a resource. Can only be set when the attendee is added to the event for the first time. Subsequent modifications are ignored. Optional. The default is False.", "default": "false" }, "email": { "description": "The attendee's email address, if available. This field must be present when adding an attendee. It must be a valid email address as per RFC5322.\nRequired when adding an attendee.", "type": "string" }, "additionalGuests": { "default": "0", "description": "Number of additional guests. Optional. The default is 0.", "format": "int32", "type": "integer" }, "self": { "description": "Whether this entry represents the calendar on which this copy of the event appears. Read-only. The default is False.", "type": "boolean", "default": "false" } }, "id": "EventAttendee" }, "ConferenceSolution": { "type": "object", "id": "ConferenceSolution", "properties": { "name": { "type": "string", "description": "The user-visible name of this solution. Not localized." }, "key": { "$ref": "ConferenceSolutionKey", "description": "The key which can uniquely identify the conference solution for this event." }, "iconUri": { "description": "The user-visible icon for this solution.", "type": "string" } } }, "Events": { "type": "object", "id": "Events", "properties": { "nextSyncToken": { "type": "string", "description": "Token used at a later point in time to retrieve only the entries that have changed since this result was returned. Omitted if further results are available, in which case nextPageToken is provided." }, "defaultReminders": { "type": "array", "description": "The default reminders on the calendar for the authenticated user. These reminders apply to all events on this calendar that do not explicitly override them (i.e. do not have reminders.useDefault set to True).", "items": { "$ref": "EventReminder" } }, "updated": { "type": "string", "format": "date-time", "description": "Last modification time of the calendar (as a RFC3339 timestamp). Read-only." }, "nextPageToken": { "type": "string", "description": "Token used to access the next page of this result. Omitted if no further results are available, in which case nextSyncToken is provided." }, "items": { "type": "array", "description": "List of events on the calendar.", "items": { "$ref": "Event" } }, "timeZone": { "description": "The time zone of the calendar. Read-only.", "type": "string" }, "description": { "description": "Description of the calendar. Read-only.", "type": "string" }, "etag": { "type": "string", "description": "ETag of the collection." }, "summary": { "description": "Title of the calendar. Read-only.", "type": "string" }, "accessRole": { "type": "string", "description": "The user's access role for this calendar. Read-only. Possible values are: \n- \"none\" - The user has no access. \n- \"freeBusyReader\" - The user has read access to free/busy information. \n- \"reader\" - The user has read access to the calendar. Private events will appear to users with reader access, but event details will be hidden. \n- \"writer\" - The user has read and write access to the calendar. Private events will appear to users with writer access, and event details will be visible. \n- \"owner\" - The user has ownership of the calendar. This role has all of the permissions of the writer role with the additional ability to see and manipulate ACLs." }, "kind": { "type": "string", "description": "Type of the collection (\"calendar#events\").", "default": "calendar#events" } } }, "CalendarNotification": { "id": "CalendarNotification", "type": "object", "properties": { "method": { "type": "string", "description": "The method used to deliver the notification. The possible value is: \n- \"email\" - Notifications are sent via email. \nRequired when adding a notification." }, "type": { "type": "string", "description": "The type of notification. Possible values are: \n- \"eventCreation\" - Notification sent when a new event is put on the calendar. \n- \"eventChange\" - Notification sent when an event is changed. \n- \"eventCancellation\" - Notification sent when an event is cancelled. \n- \"eventResponse\" - Notification sent when an attendee responds to the event invitation. \n- \"agenda\" - An agenda with the events of the day (sent out in the morning). \nRequired when adding a notification." } } }, "Channel": { "properties": { "kind": { "type": "string", "description": "Identifies this as a notification channel used to watch for changes to a resource, which is \"api#channel\".", "default": "api#channel" }, "expiration": { "description": "Date and time of notification channel expiration, expressed as a Unix timestamp, in milliseconds. Optional.", "type": "string", "format": "int64" }, "resourceId": { "description": "An opaque ID that identifies the resource being watched on this channel. Stable across different API versions.", "type": "string" }, "address": { "description": "The address where notifications are delivered for this channel.", "type": "string" }, "resourceUri": { "description": "A version-specific identifier for the watched resource.", "type": "string" }, "type": { "description": "The type of delivery mechanism used for this channel. Valid values are \"web_hook\" (or \"webhook\"). Both values refer to a channel where Http requests are used to deliver messages.", "type": "string" }, "id": { "description": "A UUID or similar unique string that identifies this channel.", "type": "string" }, "token": { "description": "An arbitrary string delivered to the target address with each notification delivered over this channel. Optional.", "type": "string" }, "params": { "additionalProperties": { "description": "Declares a new parameter by name.", "type": "string" }, "type": "object", "description": "Additional parameters controlling delivery channel behavior. Optional." }, "payload": { "description": "A Boolean value to indicate whether payload is wanted. Optional.", "type": "boolean" } }, "id": "Channel", "type": "object" }, "FreeBusyRequestItem": { "type": "object", "id": "FreeBusyRequestItem", "properties": { "id": { "type": "string", "description": "The identifier of a calendar or a group." } } }, "AclRule": { "type": "object", "properties": { "role": { "type": "string", "description": "The role assigned to the scope. Possible values are: \n- \"none\" - Provides no access. \n- \"freeBusyReader\" - Provides read access to free/busy information. \n- \"reader\" - Provides read access to the calendar. Private events will appear to users with reader access, but event details will be hidden. \n- \"writer\" - Provides read and write access to the calendar. Private events will appear to users with writer access, and event details will be visible. \n- \"owner\" - Provides ownership of the calendar. This role has all of the permissions of the writer role with the additional ability to see and manipulate ACLs.", "annotations": { "required": [ "calendar.acl.insert" ] } }, "etag": { "type": "string", "description": "ETag of the resource." }, "id": { "description": "Identifier of the Access Control List (ACL) rule. See Sharing calendars.", "type": "string" }, "kind": { "type": "string", "default": "calendar#aclRule", "description": "Type of the resource (\"calendar#aclRule\")." }, "scope": { "annotations": { "required": [ "calendar.acl.insert", "calendar.acl.update" ] }, "type": "object", "properties": { "value": { "type": "string", "description": "The email address of a user or group, or the name of a domain, depending on the scope type. Omitted for type \"default\"." }, "type": { "annotations": { "required": [ "calendar.acl.insert", "calendar.acl.update" ] }, "type": "string", "description": "The type of the scope. Possible values are: \n- \"default\" - The public scope. This is the default value. \n- \"user\" - Limits the scope to a single user. \n- \"group\" - Limits the scope to a group. \n- \"domain\" - Limits the scope to a domain. Note: The permissions granted to the \"default\", or public, scope apply to any user, authenticated or not." } }, "description": "The extent to which calendar access is granted by this ACL rule." } }, "id": "AclRule" }, "Event": { "properties": { "guestsCanSeeOtherGuests": { "type": "boolean", "default": "true", "description": "Whether attendees other than the organizer can see who the event's attendees are. Optional. The default is True." }, "conferenceData": { "$ref": "ConferenceData", "description": "The conference-related information, such as details of a Google Meet conference. To create new conference details use the createRequest field. To persist your changes, remember to set the conferenceDataVersion request parameter to 1 for all event modification requests." }, "description": { "description": "Description of the event. Can contain HTML. Optional.", "type": "string" }, "recurrence": { "description": "List of RRULE, EXRULE, RDATE and EXDATE lines for a recurring event, as specified in RFC5545. Note that DTSTART and DTEND lines are not allowed in this field; event start and end times are specified in the start and end fields. This field is omitted for single events or instances of recurring events.", "items": { "type": "string" }, "type": "array" }, "endTimeUnspecified": { "default": "false", "description": "Whether the end time is actually unspecified. An end time is still provided for compatibility reasons, even if this attribute is set to True. The default is False.", "type": "boolean" }, "id": { "description": "Opaque identifier of the event. When creating new single or recurring events, you can specify their IDs. Provided IDs must follow these rules: \n- characters allowed in the ID are those used in base32hex encoding, i.e. lowercase letters a-v and digits 0-9, see section 3.1.2 in RFC2938 \n- the length of the ID must be between 5 and 1024 characters \n- the ID must be unique per calendar Due to the globally distributed nature of the system, we cannot guarantee that ID collisions will be detected at event creation time. To minimize the risk of collisions we recommend using an established UUID algorithm such as one described in RFC4122.\nIf you do not specify an ID, it will be automatically generated by the server.\nNote that the icalUID and the id are not identical and only one of them should be supplied at event creation time. One difference in their semantics is that in recurring events, all occurrences of one event have different ids while they all share the same icalUIDs.", "type": "string" }, "attendees": { "items": { "$ref": "EventAttendee" }, "description": "The attendees of the event. See the Events with attendees guide for more information on scheduling events with other calendar users. Service accounts need to use domain-wide delegation of authority to populate the attendee list.", "type": "array" }, "reminders": { "type": "object", "properties": { "overrides": { "type": "array", "items": { "$ref": "EventReminder" }, "description": "If the event doesn't use the default reminders, this lists the reminders specific to the event, or, if not set, indicates that no reminders are set for this event. The maximum number of override reminders is 5." }, "useDefault": { "description": "Whether the default reminders of the calendar apply to the event.", "type": "boolean" } }, "description": "Information about the event's reminders for the authenticated user." }, "hangoutLink": { "description": "An absolute link to the Google Hangout associated with this event. Read-only.", "type": "string" }, "visibility": { "type": "string", "description": "Visibility of the event. Optional. Possible values are: \n- \"default\" - Uses the default visibility for events on the calendar. This is the default value. \n- \"public\" - The event is public and event details are visible to all readers of the calendar. \n- \"private\" - The event is private and only event attendees may view event details. \n- \"confidential\" - The event is private. This value is provided for compatibility reasons.", "default": "default" }, "recurringEventId": { "description": "For an instance of a recurring event, this is the id of the recurring event to which this instance belongs. Immutable.", "type": "string" }, "colorId": { "description": "The color of the event. This is an ID referring to an entry in the event section of the colors definition (see the colors endpoint). Optional.", "type": "string" }, "attendeesOmitted": { "description": "Whether attendees may have been omitted from the event's representation. When retrieving an event, this may be due to a restriction specified by the maxAttendee query parameter. When updating an event, this can be used to only update the participant's response. Optional. The default is False.", "type": "boolean", "default": "false" }, "guestsCanModify": { "description": "Whether attendees other than the organizer can modify the event. Optional. The default is False.", "type": "boolean", "default": "false" }, "organizer": { "type": "object", "description": "The organizer of the event. If the organizer is also an attendee, this is indicated with a separate entry in attendees with the organizer field set to True. To change the organizer, use the move operation. Read-only, except when importing an event.", "properties": { "displayName": { "description": "The organizer's name, if available.", "type": "string" }, "self": { "default": "false", "description": "Whether the organizer corresponds to the calendar on which this copy of the event appears. Read-only. The default is False.", "type": "boolean" }, "email": { "type": "string", "description": "The organizer's email address, if available. It must be a valid email address as per RFC5322." }, "id": { "type": "string", "description": "The organizer's Profile ID, if available." } } }, "privateCopy": { "default": "false", "type": "boolean", "description": "If set to True, Event propagation is disabled. Note that it is not the same thing as Private event properties. Optional. Immutable. The default is False." }, "creator": { "type": "object", "properties": { "self": { "default": "false", "description": "Whether the creator corresponds to the calendar on which this copy of the event appears. Read-only. The default is False.", "type": "boolean" }, "email": { "type": "string", "description": "The creator's email address, if available." }, "displayName": { "description": "The creator's name, if available.", "type": "string" }, "id": { "type": "string", "description": "The creator's Profile ID, if available." } }, "description": "The creator of the event. Read-only." }, "start": { "$ref": "EventDateTime", "description": "The (inclusive) start time of the event. For a recurring event, this is the start time of the first instance.", "annotations": { "required": [ "calendar.events.import", "calendar.events.insert", "calendar.events.update" ] } }, "etag": { "description": "ETag of the resource.", "type": "string" }, "end": { "$ref": "EventDateTime", "description": "The (exclusive) end time of the event. For a recurring event, this is the end time of the first instance.", "annotations": { "required": [ "calendar.events.import", "calendar.events.insert", "calendar.events.update" ] } }, "iCalUID": { "annotations": { "required": [ "calendar.events.import" ] }, "description": "Event unique identifier as defined in RFC5545. It is used to uniquely identify events accross calendaring systems and must be supplied when importing events via the import method.\nNote that the icalUID and the id are not identical and only one of them should be supplied at event creation time. One difference in their semantics is that in recurring events, all occurrences of one event have different ids while they all share the same icalUIDs.", "type": "string" }, "gadget": { "description": "A gadget that extends this event. Gadgets are deprecated; this structure is instead only used for returning birthday calendar metadata.", "properties": { "height": { "format": "int32", "type": "integer", "description": "The gadget's height in pixels. The height must be an integer greater than 0. Optional. Deprecated." }, "display": { "type": "string", "description": "The gadget's display mode. Deprecated. Possible values are: \n- \"icon\" - The gadget displays next to the event's title in the calendar view. \n- \"chip\" - The gadget displays when the event is clicked." }, "type": { "type": "string", "description": "The gadget's type. Deprecated." }, "title": { "description": "The gadget's title. Deprecated.", "type": "string" }, "iconLink": { "description": "The gadget's icon URL. The URL scheme must be HTTPS. Deprecated.", "type": "string" }, "link": { "description": "The gadget's URL. The URL scheme must be HTTPS. Deprecated.", "type": "string" }, "width": { "type": "integer", "description": "The gadget's width in pixels. The width must be an integer greater than 0. Optional. Deprecated.", "format": "int32" }, "preferences": { "description": "Preferences.", "type": "object", "additionalProperties": { "description": "The preference name and corresponding value.", "type": "string" } } }, "type": "object" }, "location": { "type": "string", "description": "Geographic location of the event as free-form text. Optional." }, "anyoneCanAddSelf": { "description": "Whether anyone can invite themselves to the event (deprecated). Optional. The default is False.", "type": "boolean", "default": "false" }, "extendedProperties": { "description": "Extended properties of the event.", "properties": { "shared": { "additionalProperties": { "type": "string", "description": "The name of the shared property and the corresponding value." }, "description": "Properties that are shared between copies of the event on other attendees' calendars.", "type": "object" }, "private": { "description": "Properties that are private to the copy of the event that appears on this calendar.", "additionalProperties": { "type": "string", "description": "The name of the private property and the corresponding value." }, "type": "object" } }, "type": "object" }, "htmlLink": { "type": "string", "description": "An absolute link to this event in the Google Calendar Web UI. Read-only." }, "created": { "description": "Creation time of the event (as a RFC3339 timestamp). Read-only.", "type": "string", "format": "date-time" }, "source": { "type": "object", "properties": { "url": { "description": "URL of the source pointing to a resource. The URL scheme must be HTTP or HTTPS.", "type": "string" }, "title": { "type": "string", "description": "Title of the source; for example a title of a web page or an email subject." } }, "description": "Source from which the event was created. For example, a web page, an email message or any document identifiable by an URL with HTTP or HTTPS scheme. Can only be seen or modified by the creator of the event." }, "sequence": { "format": "int32", "type": "integer", "description": "Sequence number as per iCalendar." }, "updated": { "type": "string", "format": "date-time", "description": "Last modification time of the event (as a RFC3339 timestamp). Read-only." }, "summary": { "description": "Title of the event.", "type": "string" }, "transparency": { "description": "Whether the event blocks time on the calendar. Optional. Possible values are: \n- \"opaque\" - Default value. The event does block time on the calendar. This is equivalent to setting Show me as to Busy in the Calendar UI. \n- \"transparent\" - The event does not block time on the calendar. This is equivalent to setting Show me as to Available in the Calendar UI.", "default": "opaque", "type": "string" }, "guestsCanInviteOthers": { "type": "boolean", "default": "true", "description": "Whether attendees other than the organizer can invite others to the event. Optional. The default is True." }, "eventType": { "default": "default", "description": "Specific type of the event. Read-only. Possible values are: \n- \"default\" - A regular event or not further specified. \n- \"outOfOffice\" - An out-of-office event. \n- \"focusTime\" - A focus-time event.", "type": "string" }, "attachments": { "type": "array", "items": { "$ref": "EventAttachment" }, "description": "File attachments for the event.\nIn order to modify attachments the supportsAttachments request parameter should be set to true.\nThere can be at most 25 attachments per event," }, "kind": { "type": "string", "description": "Type of the resource (\"calendar#event\").", "default": "calendar#event" }, "status": { "type": "string", "description": "Status of the event. Optional. Possible values are: \n- \"confirmed\" - The event is confirmed. This is the default status. \n- \"tentative\" - The event is tentatively confirmed. \n- \"cancelled\" - The event is cancelled (deleted). The list method returns cancelled events only on incremental sync (when syncToken or updatedMin are specified) or if the showDeleted flag is set to true. The get method always returns them.\nA cancelled status represents two different states depending on the event type: \n- Cancelled exceptions of an uncancelled recurring event indicate that this instance should no longer be presented to the user. Clients should store these events for the lifetime of the parent recurring event.\nCancelled exceptions are only guaranteed to have values for the id, recurringEventId and originalStartTime fields populated. The other fields might be empty. \n- All other cancelled events represent deleted events. Clients should remove their locally synced copies. Such cancelled events will eventually disappear, so do not rely on them being available indefinitely.\nDeleted events are only guaranteed to have the id field populated. On the organizer's calendar, cancelled events continue to expose event details (summary, location, etc.) so that they can be restored (undeleted). Similarly, the events to which the user was invited and that they manually removed continue to provide details. However, incremental sync requests with showDeleted set to false will not return these details.\nIf an event changes its organizer (for example via the move operation) and the original organizer is not on the attendee list, it will leave behind a cancelled event where only the id field is guaranteed to be populated." }, "originalStartTime": { "description": "For an instance of a recurring event, this is the time at which this event would start according to the recurrence data in the recurring event identified by recurringEventId. It uniquely identifies the instance within the recurring event series even if the instance was moved to a different time. Immutable.", "$ref": "EventDateTime" }, "locked": { "description": "Whether this is a locked event copy where no changes can be made to the main event fields \"summary\", \"description\", \"location\", \"start\", \"end\" or \"recurrence\". The default is False. Read-Only.", "default": "false", "type": "boolean" } }, "type": "object", "id": "Event" }, "TimePeriod": { "id": "TimePeriod", "properties": { "start": { "type": "string", "format": "date-time", "description": "The (inclusive) start of the time period." }, "end": { "description": "The (exclusive) end of the time period.", "type": "string", "format": "date-time" } }, "type": "object" }, "FreeBusyGroup": { "properties": { "calendars": { "items": { "type": "string" }, "type": "array", "description": "List of calendars' identifiers within a group." }, "errors": { "description": "Optional error(s) (if computation for the group failed).", "items": { "$ref": "Error" }, "type": "array" } }, "id": "FreeBusyGroup", "type": "object" }, "ConferenceProperties": { "properties": { "allowedConferenceSolutionTypes": { "description": "The types of conference solutions that are supported for this calendar.\nThe possible values are: \n- \"eventHangout\" \n- \"eventNamedHangout\" \n- \"hangoutsMeet\" Optional.", "type": "array", "items": { "type": "string" } } }, "id": "ConferenceProperties", "type": "object" } }, "icons": { "x32": "http://fonts.gstatic.com/s/i/productlogos/calendar_2020q4/v8/web-32dp/logo_calendar_2020q4_color_1x_web_32dp.png", "x16": "http://fonts.gstatic.com/s/i/productlogos/calendar_2020q4/v8/web-16dp/logo_calendar_2020q4_color_1x_web_16dp.png" }, "servicePath": "calendar/v3/", "rootUrl": "https://www.googleapis.com/", "basePath": "/calendar/v3/", "id": "calendar:v3", "baseUrl": "https://www.googleapis.com/calendar/v3/" }
]===]))
