local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "certificatemanager:v1", "servicePath": "", "mtlsRootUrl": "https://certificatemanager.mtls.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "version": "v1", "documentationLink": "https://cloud.google.com/certificate-manager", "parameters": { "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "$.xgafv": { "type": "string", "location": "query", "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "alt": { "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "type": "string", "location": "query", "description": "Data format for response." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "callback": { "description": "JSONP", "type": "string", "location": "query" } }, "name": "certificatemanager", "ownerDomain": "google.com", "schemas": { "AuthorizationAttemptInfo": { "type": "object", "description": "State of the latest attempt to authorize a domain for certificate issuance.", "properties": { "details": { "description": "Human readable explanation for reaching the state. Provided to help address the configuration issues. Not guaranteed to be stable. For programmatic access use Reason enum.", "type": "string" }, "failureReason": { "enumDescriptions": [ "", "There was a problem with the user's DNS or load balancer configuration for this domain.", "Certificate issuance forbidden by an explicit CAA record for the domain or a failure to check CAA records for the domain.", "Reached a CA or internal rate-limit for the domain, e.g. for certificates per top-level private domain." ], "type": "string", "enum": [ "FAILURE_REASON_UNSPECIFIED", "CONFIG", "CAA", "RATE_LIMITED" ], "readOnly": true, "description": "Output only. Reason for failure of the authorization attempt for the domain." }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "AUTHORIZING", "AUTHORIZED", "FAILED" ], "enumDescriptions": [ "", "Certificate provisioning for this domain is under way. GCP will attempt to authorize the domain.", "A managed certificate can be provisioned, no issues for this domain.", "Attempt to authorize the domain failed. This prevents the Managed Certificate from being issued. See `failure_reason` and `details` fields for more information." ], "description": "State of the domain for managed certificate issuance." }, "domain": { "description": "Domain name of the authorization attempt.", "type": "string" } }, "id": "AuthorizationAttemptInfo" }, "Empty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "id": "Empty" }, "DnsAuthorization": { "type": "object", "properties": { "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The creation timestamp of a DnsAuthorization." }, "dnsResourceRecord": { "$ref": "DnsResourceRecord", "readOnly": true, "description": "Output only. DNS Resource Record that needs to be added to DNS configuration." }, "name": { "type": "string", "description": "A user-defined name of the dns authorization. DnsAuthorization names must be unique globally and match pattern `projects/*/locations/*/dnsAuthorizations/*`." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Set of labels associated with a DnsAuthorization.", "type": "object" }, "updateTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The last update timestamp of a DnsAuthorization." }, "description": { "type": "string", "description": "One or more paragraphs of text description of a DnsAuthorization." }, "domain": { "description": "Required. Immutable. A domain which is being authorized. A DnsAuthorization resource covers a single domain and its wildcard, e.g. authorization for `example.com` can be used to issue certificates for `example.com` and `*.example.com`.", "type": "string" } }, "id": "DnsAuthorization", "description": "A DnsAuthorization resource describes a way to perform domain authorization for certificate issuance." }, "CancelOperationRequest": { "type": "object", "properties": {}, "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest" }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } }, "type": "object" }, "Location": { "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "type": "object" }, "ListOperationsResponse": { "type": "object", "id": "ListOperationsResponse", "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "description": "The response message for Operations.ListOperations." }, "ListCertificateMapsResponse": { "type": "object", "properties": { "certificateMaps": { "type": "array", "description": "A list of certificate maps for the parent resource.", "items": { "$ref": "CertificateMap" } }, "unreachable": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } }, "nextPageToken": { "type": "string", "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`." } }, "description": "Response for the `ListCertificateMaps` method.", "id": "ListCertificateMapsResponse" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } } }, "type": "object", "description": "The response message for Locations.ListLocations." }, "OperationMetadata": { "id": "OperationMetadata", "description": "Represents the metadata of the long-running operation. Output only.", "properties": { "apiVersion": { "type": "string", "description": "API version used to start the operation." }, "statusMessage": { "type": "string", "description": "Human-readable status of the operation, if any." }, "target": { "type": "string", "description": "Server-defined resource path for the target of the operation." }, "verb": { "type": "string", "description": "Name of the verb executed by the operation." }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time the operation was created." }, "endTime": { "type": "string", "format": "google-datetime", "description": "The time the operation finished running." }, "requestedCancellation": { "type": "boolean", "description": "Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." } }, "type": "object" }, "ListCertificateMapEntriesResponse": { "description": "Response for the `ListCertificateMapEntries` method.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`." }, "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "certificateMapEntries": { "type": "array", "description": "A list of certificate map entries for the parent resource.", "items": { "$ref": "CertificateMapEntry" } } }, "id": "ListCertificateMapEntriesResponse" }, "ProvisioningIssue": { "id": "ProvisioningIssue", "properties": { "reason": { "type": "string", "enumDescriptions": [ "", "Certificate provisioning failed due to an issue with one or more of the domains on the certificate. For details of which domains failed, consult the `authorization_attempt_info` field.", "Exceeded Certificate Authority quotas or internal rate limits of the system. Provisioning may take longer to complete." ], "description": "Reason for provisioning failures.", "enum": [ "REASON_UNSPECIFIED", "AUTHORIZATION_ISSUE", "RATE_LIMITED" ] }, "details": { "description": "Human readable explanation about the issue. Provided to help address the configuration issues. Not guaranteed to be stable. For programmatic access use Reason enum.", "type": "string" } }, "type": "object", "description": "Information about issues with provisioning a Managed Certificate." }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" } }, "type": "object" }, "ListCertificatesResponse": { "properties": { "nextPageToken": { "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" }, "unreachable": { "type": "array", "description": "A list of locations that could not be reached.", "items": { "type": "string" } }, "certificates": { "description": "A list of certificates for the parent resource.", "items": { "$ref": "Certificate" }, "type": "array" } }, "type": "object", "description": "Response for the `ListCertificates` method.", "id": "ListCertificatesResponse" }, "CertificateMap": { "id": "CertificateMap", "properties": { "name": { "type": "string", "description": "A user-defined name of the Certificate Map. Certificate Map names must be unique globally and match pattern `projects/*/locations/*/certificateMaps/*`." }, "gclbTargets": { "readOnly": true, "description": "Output only. A list of GCLB targets which use this Certificate Map.", "type": "array", "items": { "$ref": "GclbTarget" } }, "description": { "description": "One or more paragraphs of text description of a certificate map.", "type": "string" }, "updateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The update timestamp of a Certificate Map." }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The creation timestamp of a Certificate Map.", "readOnly": true }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Set of labels associated with a Certificate Map." } }, "type": "object", "description": "Defines a collection of certificate configurations." }, "CertificateMapEntry": { "type": "object", "id": "CertificateMapEntry", "properties": { "hostname": { "type": "string", "description": "A Hostname (FQDN, e.g. `example.com`) or a wildcard hostname expression (`*.example.com`) for a set of hostnames with common suffix. Used as Server Name Indication (SNI) for selecting a proper certificate." }, "matcher": { "type": "string", "enum": [ "MATCHER_UNSPECIFIED", "PRIMARY" ], "description": "A predefined matcher for particular cases, other than SNI selection.", "enumDescriptions": [ "A matcher has't been recognized.", "A primary certificate that is served when SNI wasn't specified in the request or SNI couldn't be found in the map." ] }, "labels": { "type": "object", "description": "Set of labels associated with a Certificate Map Entry.", "additionalProperties": { "type": "string" } }, "certificates": { "type": "array", "description": "A set of Certificates defines for the given `hostname`. There can be defined up to fifteen certificates in each Certificate Map Entry. Each certificate must match pattern `projects/*/locations/*/certificates/*`.", "items": { "type": "string" } }, "name": { "description": "A user-defined name of the Certificate Map Entry. Certificate Map Entry names must be unique globally and match pattern `projects/*/locations/*/certificateMaps/*/certificateMapEntries/*`.", "type": "string" }, "description": { "type": "string", "description": "One or more paragraphs of text description of a certificate map entry." }, "updateTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The update timestamp of a Certificate Map Entry." }, "createTime": { "description": "Output only. The creation timestamp of a Certificate Map Entry.", "type": "string", "readOnly": true, "format": "google-datetime" }, "state": { "enumDescriptions": [ "The status is undefined.", "The configuration is serving.", "Update is in progress. Some frontends may serve this configuration." ], "readOnly": true, "type": "string", "enum": [ "SERVING_STATE_UNSPECIFIED", "ACTIVE", "PENDING" ], "description": "Output only. A serving state of this Certificate Map Entry." } }, "description": "Defines a certificate map entry." }, "IpConfig": { "id": "IpConfig", "properties": { "ipAddress": { "type": "string", "description": "An external IP address." }, "ports": { "type": "array", "items": { "format": "uint32", "type": "integer" }, "description": "Ports." } }, "description": "Defines IP configuration where this Certificate Map is serving.", "type": "object" }, "ManagedCertificate": { "type": "object", "properties": { "dnsAuthorizations": { "items": { "type": "string" }, "type": "array", "description": "Immutable. Authorizations that will be used for performing domain authorization." }, "state": { "readOnly": true, "enumDescriptions": [ "", "Certificate Manager attempts to provision or renew the certificate. If the process takes longer than expected, consult the `provisioning_issue` field.", "Multiple certificate provisioning attempts failed and Certificate Manager gave up. To try again, delete and create a new managed Certificate resource. For details see the `provisioning_issue` field.", "The certificate management is working, and a certificate has been provisioned." ], "description": "Output only. State of the managed certificate resource.", "enum": [ "STATE_UNSPECIFIED", "PROVISIONING", "FAILED", "ACTIVE" ], "type": "string" }, "domains": { "items": { "type": "string" }, "type": "array", "description": "Immutable. The domains for which a managed SSL certificate will be generated. Wildcard domains are only supported with DNS challenge resolution." }, "authorizationAttemptInfo": { "type": "array", "items": { "$ref": "AuthorizationAttemptInfo" }, "description": "Output only. Detailed state of the latest authorization attempt for each domain specified for managed certificate resource.", "readOnly": true }, "provisioningIssue": { "description": "Information about issues with provisioning a Managed Certificate.", "$ref": "ProvisioningIssue" } }, "description": "Configuration and state of a Managed Certificate. Certificate Manager provisions and renews Managed Certificates automatically, for as long as it's authorized to do so.", "id": "ManagedCertificate" }, "SelfManagedCertificate": { "type": "object", "id": "SelfManagedCertificate", "description": "Certificate data for a SelfManaged Certificate. SelfManaged Certificates are uploaded by the user. Updating such certificates before they expire remains the user's responsibility.", "properties": { "pemCertificate": { "type": "string", "description": "Input only. The PEM-encoded certificate chain. Leaf certificate comes first, followed by intermediate ones if any." }, "pemPrivateKey": { "description": "Input only. The PEM-encoded private key of the leaf certificate.", "type": "string" } } }, "ListDnsAuthorizationsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" }, "dnsAuthorizations": { "type": "array", "description": "A list of dns authorizations for the parent resource.", "items": { "$ref": "DnsAuthorization" } }, "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" } }, "id": "ListDnsAuthorizationsResponse", "description": "Response for the `ListDnsAuthorizations` method." }, "DnsResourceRecord": { "properties": { "name": { "type": "string", "description": "Output only. Fully qualified name of the DNS Resource Record. e.g. `_acme-challenge.example.com`", "readOnly": true }, "type": { "readOnly": true, "type": "string", "description": "Output only. Type of the DNS Resource Record. Currently always set to \"CNAME\"." }, "data": { "readOnly": true, "description": "Output only. Data of the DNS Resource Record.", "type": "string" } }, "type": "object", "id": "DnsResourceRecord", "description": "The structure describing the DNS Resource Record that needs to be added to DNS configuration for the authorization to be usable by certificate." }, "Certificate": { "description": "Defines TLS certificate.", "id": "Certificate", "properties": { "pemCertificate": { "description": "Output only. The PEM-encoded certificate chain.", "type": "string", "readOnly": true }, "description": { "description": "One or more paragraphs of text description of a certificate.", "type": "string" }, "updateTime": { "readOnly": true, "description": "Output only. The last update timestamp of a Certificate.", "type": "string", "format": "google-datetime" }, "scope": { "type": "string", "description": "Immutable. The scope of the certificate.", "enumDescriptions": [ "Certificates with default scope are served from core Google data centers. If unsure, choose this option.", "Certificates with scope EDGE_CACHE are special-purposed certificates, served from non-core Google data centers." ], "enum": [ "DEFAULT", "EDGE_CACHE" ] }, "sanDnsnames": { "type": "array", "description": "Output only. The list of Subject Alternative Names of dnsName type defined in the certificate (see RFC 5280 4.2.1.6). Managed certificates that haven't been provisioned yet have this field populated with a value of the managed.domains field.", "items": { "type": "string" }, "readOnly": true }, "managed": { "description": "If set, contains configuration and state of a managed certificate.", "$ref": "ManagedCertificate" }, "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The creation timestamp of a Certificate." }, "selfManaged": { "$ref": "SelfManagedCertificate", "description": "If set, defines data of a self-managed certificate." }, "name": { "type": "string", "description": "A user-defined name of the certificate. Certificate names must be unique globally and match pattern `projects/*/locations/*/certificates/*`." }, "labels": { "description": "Set of labels associated with a Certificate.", "type": "object", "additionalProperties": { "type": "string" } }, "expireTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The expiry timestamp of a Certificate.", "type": "string" } }, "type": "object" }, "GclbTarget": { "properties": { "targetSslProxy": { "type": "string", "description": "This field returns the resource name in the following format: `//compute.googleapis.com/projects/*/global/targetSslProxies/*`." }, "ipConfigs": { "items": { "$ref": "IpConfig" }, "description": "IP configurations for this Target Proxy where the Certificate Map is serving.", "type": "array" }, "targetHttpsProxy": { "description": "This field returns the resource name in the following format: `//compute.googleapis.com/projects/*/global/targetHttpsProxies/*`.", "type": "string" } }, "id": "GclbTarget", "description": "Describes a Target Proxy which uses this Certificate Map.", "type": "object" } }, "protocol": "rest", "resources": { "projects": { "resources": { "locations": { "resources": { "dnsAuthorizations": { "methods": { "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/dnsAuthorizations", "description": "Lists DnsAuthorizations in a given project and location.", "parameters": { "filter": { "description": "Filter expression to restrict the Dns Authorizations returned.", "location": "query", "type": "string" }, "pageToken": { "description": "The value returned by the last `ListDnsAuthorizationsResponse`. Indicates that this is a continuation of a prior `ListDnsAuthorizations` call, and that the system should return the next page of data.", "location": "query", "type": "string" }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "description": "Required. The project and location from which the dns authorizations should be listed, specified in the format `projects/*/locations/*`." }, "orderBy": { "location": "query", "description": "A list of Dns Authorization field names used to specify the order of the returned results. The default sorting order is ascending. To specify descending order for a field, add a suffix \" desc\".", "type": "string" }, "pageSize": { "format": "int32", "description": "Maximum number of dns authorizations to return per call.", "location": "query", "type": "integer" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListDnsAuthorizationsResponse" }, "id": "certificatemanager.projects.locations.dnsAuthorizations.list", "path": "v1/{+parent}/dnsAuthorizations" }, "get": { "response": { "$ref": "DnsAuthorization" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/dnsAuthorizations/{dnsAuthorizationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Gets details of a single DnsAuthorization.", "httpMethod": "GET", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/dnsAuthorizations/[^/]+$", "description": "Required. A name of the dns authorization to describe. Must be in the format `projects/*/locations/*/dnsAuthorizations/*`.", "type": "string", "location": "path" } }, "id": "certificatemanager.projects.locations.dnsAuthorizations.get" }, "create": { "response": { "$ref": "Operation" }, "parameters": { "dnsAuthorizationId": { "location": "query", "type": "string", "description": "Required. A user-provided name of the dns authorization." }, "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent resource of the dns authorization. Must be in the format `projects/*/locations/*`.", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/dnsAuthorizations", "description": "Creates a new DnsAuthorization in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "path": "v1/{+parent}/dnsAuthorizations", "httpMethod": "POST", "request": { "$ref": "DnsAuthorization" }, "id": "certificatemanager.projects.locations.dnsAuthorizations.create" }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "id": "certificatemanager.projects.locations.dnsAuthorizations.delete", "description": "Deletes a single DnsAuthorization.", "parameters": { "name": { "required": true, "type": "string", "description": "Required. A name of the dns authorization to delete. Must be in the format `projects/*/locations/*/dnsAuthorizations/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/dnsAuthorizations/[^/]+$", "location": "path" } }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/dnsAuthorizations/{dnsAuthorizationsId}", "parameterOrder": [ "name" ] }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "DnsAuthorization" }, "response": { "$ref": "Operation" }, "id": "certificatemanager.projects.locations.dnsAuthorizations.patch", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/dnsAuthorizations/{dnsAuthorizationsId}", "path": "v1/{+name}", "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Required. The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask." }, "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/dnsAuthorizations/[^/]+$", "description": "A user-defined name of the dns authorization. DnsAuthorization names must be unique globally and match pattern `projects/*/locations/*/dnsAuthorizations/*`." } }, "description": "Updates a DnsAuthorization.", "parameterOrder": [ "name" ] } } }, "certificateMaps": { "resources": { "certificateMapEntries": { "methods": { "create": { "parameters": { "certificateMapEntryId": { "type": "string", "location": "query", "description": "Required. A user-provided name of the certificate map entry." }, "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The parent resource of the certificate map entry. Must be in the format `projects/*/locations/*/certificateMaps/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateMaps/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateMaps/{certificateMapsId}/certificateMapEntries", "httpMethod": "POST", "response": { "$ref": "Operation" }, "request": { "$ref": "CertificateMapEntry" }, "description": "Creates a new CertificateMapEntry in a given project and location.", "id": "certificatemanager.projects.locations.certificateMaps.certificateMapEntries.create", "path": "v1/{+parent}/certificateMapEntries" }, "list": { "response": { "$ref": "ListCertificateMapEntriesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/certificateMapEntries", "httpMethod": "GET", "description": "Lists CertificateMapEntries in a given project and location.", "id": "certificatemanager.projects.locations.certificateMaps.certificateMapEntries.list", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateMaps/{certificateMapsId}/certificateMapEntries", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/certificateMaps/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The project, location and certificate map from which the certificate map entries should be listed, specified in the format `projects/*/locations/*/certificateMaps/*`." }, "pageToken": { "location": "query", "type": "string", "description": "The value returned by the last `ListCertificateMapEntriesResponse`. Indicates that this is a continuation of a prior `ListCertificateMapEntries` call, and that the system should return the next page of data." }, "filter": { "location": "query", "description": "Filter expression to restrict the returned Certificate Map Entries.", "type": "string" }, "orderBy": { "location": "query", "description": "A list of Certificate Map Entry field names used to specify the order of the returned results. The default sorting order is ascending. To specify descending order for a field, add a suffix \" desc\".", "type": "string" }, "pageSize": { "description": "Maximum number of certificate map entries to return. The service may return fewer than this value. If unspecified, at most 50 certificate map entries will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32", "type": "integer", "location": "query" } } }, "delete": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "certificatemanager.projects.locations.certificateMaps.certificateMapEntries.delete", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. A name of the certificate map entry to delete. Must be in the format `projects/*/locations/*/certificateMaps/*/certificateMapEntries/*`.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/certificateMaps/[^/]+/certificateMapEntries/[^/]+$" } }, "description": "Deletes a single CertificateMapEntry.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateMaps/{certificateMapsId}/certificateMapEntries/{certificateMapEntriesId}", "path": "v1/{+name}" }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateMaps/{certificateMapsId}/certificateMapEntries/{certificateMapEntriesId}", "description": "Gets details of a single CertificateMapEntry.", "id": "certificatemanager.projects.locations.certificateMaps.certificateMapEntries.get", "response": { "$ref": "CertificateMapEntry" }, "path": "v1/{+name}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/certificateMaps/[^/]+/certificateMapEntries/[^/]+$", "type": "string", "description": "Required. A name of the certificate map entry to describe. Must be in the format `projects/*/locations/*/certificateMaps/*/certificateMapEntries/*`.", "location": "path", "required": true } }, "parameterOrder": [ "name" ] }, "patch": { "description": "Updates a CertificateMapEntry.", "path": "v1/{+name}", "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Required. The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/certificateMaps/[^/]+/certificateMapEntries/[^/]+$", "description": "A user-defined name of the Certificate Map Entry. Certificate Map Entry names must be unique globally and match pattern `projects/*/locations/*/certificateMaps/*/certificateMapEntries/*`.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateMaps/{certificateMapsId}/certificateMapEntries/{certificateMapEntriesId}", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CertificateMapEntry" }, "id": "certificatemanager.projects.locations.certificateMaps.certificateMapEntries.patch" } } } }, "methods": { "patch": { "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "request": { "$ref": "CertificateMap" }, "id": "certificatemanager.projects.locations.certificateMaps.patch", "path": "v1/{+name}", "description": "Updates a CertificateMap.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateMaps/{certificateMapsId}", "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Required. The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask." }, "name": { "description": "A user-defined name of the Certificate Map. Certificate Map names must be unique globally and match pattern `projects/*/locations/*/certificateMaps/*`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/certificateMaps/[^/]+$", "type": "string" } } }, "create": { "path": "v1/{+parent}/certificateMaps", "description": "Creates a new CertificateMap in a given project and location.", "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "certificatemanager.projects.locations.certificateMaps.create", "request": { "$ref": "CertificateMap" }, "parameters": { "certificateMapId": { "location": "query", "type": "string", "description": "Required. A user-provided name of the certificate map." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The parent resource of the certificate map. Must be in the format `projects/*/locations/*`.", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateMaps", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "path": "v1/{+parent}/certificateMaps", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListCertificateMapsResponse" }, "httpMethod": "GET", "id": "certificatemanager.projects.locations.certificateMaps.list", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateMaps", "description": "Lists CertificateMaps in a given project and location.", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "description": "Required. The project and location from which the certificate maps should be listed, specified in the format `projects/*/locations/*`." }, "filter": { "type": "string", "description": "Filter expression to restrict the Certificates Maps returned.", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Maximum number of certificate maps to return per call." }, "pageToken": { "location": "query", "description": "The value returned by the last `ListCertificateMapsResponse`. Indicates that this is a continuation of a prior `ListCertificateMaps` call, and that the system should return the next page of data.", "type": "string" }, "orderBy": { "description": "A list of Certificate Map field names used to specify the order of the returned results. The default sorting order is ascending. To specify descending order for a field, add a suffix \" desc\".", "location": "query", "type": "string" } } }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateMaps/{certificateMapsId}", "path": "v1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/certificateMaps/[^/]+$", "description": "Required. A name of the certificate map to describe. Must be in the format `projects/*/locations/*/certificateMaps/*`.", "location": "path", "type": "string", "required": true } }, "description": "Gets details of a single CertificateMap.", "parameterOrder": [ "name" ], "id": "certificatemanager.projects.locations.certificateMaps.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "CertificateMap" }, "httpMethod": "GET" }, "delete": { "response": { "$ref": "Operation" }, "path": "v1/{+name}", "description": "Deletes a single CertificateMap. A Certificate Map can't be deleted if it contains Certificate Map Entries. Remove all the entries from the map before calling this method.", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateMaps/{certificateMapsId}", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/certificateMaps/[^/]+$", "description": "Required. A name of the certificate map to delete. Must be in the format `projects/*/locations/*/certificateMaps/*`." } }, "id": "certificatemanager.projects.locations.certificateMaps.delete" } } }, "operations": { "methods": { "delete": { "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "id": "certificatemanager.projects.locations.operations.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "path": "v1/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted.", "required": true, "location": "path", "type": "string" } } }, "cancel": { "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "request": { "$ref": "CancelOperationRequest" }, "id": "certificatemanager.projects.locations.operations.cancel", "path": "v1/{+name}:cancel", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "httpMethod": "POST", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "The name of the operation resource to be cancelled.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } } }, "get": { "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "response": { "$ref": "Operation" }, "id": "certificatemanager.projects.locations.operations.get" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "ListOperationsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "The name of the operation's parent resource.", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "description": "The standard list page size.", "type": "integer" }, "filter": { "description": "The standard list filter.", "type": "string", "location": "query" } }, "path": "v1/{+name}/operations", "id": "certificatemanager.projects.locations.operations.list" } } }, "certificates": { "methods": { "patch": { "httpMethod": "PATCH", "parameters": { "name": { "description": "A user-defined name of the certificate. Certificate names must be unique globally and match pattern `projects/*/locations/*/certificates/*`.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/certificates/[^/]+$", "required": true }, "updateMask": { "description": "Required. The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask.", "format": "google-fieldmask", "location": "query", "type": "string" } }, "response": { "$ref": "Operation" }, "request": { "$ref": "Certificate" }, "id": "certificatemanager.projects.locations.certificates.patch", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificates/{certificatesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Updates a Certificate." }, "create": { "httpMethod": "POST", "id": "certificatemanager.projects.locations.certificates.create", "description": "Creates a new Certificate in a given project and location.", "response": { "$ref": "Operation" }, "request": { "$ref": "Certificate" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificates", "path": "v1/{+parent}/certificates", "parameters": { "certificateId": { "location": "query", "type": "string", "description": "Required. A user-provided name of the certificate." }, "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent resource of the certificate. Must be in the format `projects/*/locations/*`.", "location": "path" } }, "parameterOrder": [ "parent" ] }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "name" ], "id": "certificatemanager.projects.locations.certificates.delete", "parameters": { "name": { "required": true, "location": "path", "description": "Required. A name of the certificate to delete. Must be in the format `projects/*/locations/*/certificates/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/certificates/[^/]+$" } }, "description": "Deletes a single Certificate.", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificates/{certificatesId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "GET", "response": { "$ref": "Certificate" }, "id": "certificatemanager.projects.locations.certificates.get", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/certificates/[^/]+$", "type": "string", "location": "path", "description": "Required. A name of the certificate to describe. Must be in the format `projects/*/locations/*/certificates/*`." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificates/{certificatesId}", "description": "Gets details of a single Certificate." }, "list": { "httpMethod": "GET", "description": "Lists Certificates in a given project and location.", "id": "certificatemanager.projects.locations.certificates.list", "parameterOrder": [ "parent" ], "response": { "$ref": "ListCertificatesResponse" }, "parameters": { "pageSize": { "type": "integer", "format": "int32", "description": "Maximum number of certificates to return per call.", "location": "query" }, "filter": { "location": "query", "description": "Filter expression to restrict the Certificates returned.", "type": "string" }, "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The project and location from which the certificate should be listed, specified in the format `projects/*/locations/*`." }, "pageToken": { "location": "query", "description": "The value returned by the last `ListCertificatesResponse`. Indicates that this is a continuation of a prior `ListCertificates` call, and that the system should return the next page of data.", "type": "string" }, "orderBy": { "location": "query", "description": "A list of Certificate field names used to specify the order of the returned results. The default sorting order is ascending. To specify descending order for a field, add a suffix \" desc\".", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificates", "path": "v1/{+parent}/certificates" } } } }, "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations", "parameters": { "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "format": "int32", "type": "integer" }, "name": { "type": "string", "description": "The resource that owns the locations collection, if applicable.", "location": "path", "pattern": "^projects/[^/]+$", "required": true }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageToken": { "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query" } }, "response": { "$ref": "ListLocationsResponse" }, "path": "v1/{+name}/locations", "id": "certificatemanager.projects.locations.list", "description": "Lists information about the supported locations for this service.", "httpMethod": "GET" }, "get": { "parameters": { "name": { "type": "string", "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path" } }, "description": "Gets information about a location.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Location" }, "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "id": "certificatemanager.projects.locations.get" } } } } } }, "kind": "discovery#restDescription", "revision": "20220707", "ownerName": "Google", "batchPath": "batch", "rootUrl": "https://certificatemanager.googleapis.com/", "baseUrl": "https://certificatemanager.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "fullyEncodeReservedExpansion": true, "title": "Certificate Manager API", "basePath": "", "version_module": true, "description": "", "canonicalName": "Certificate Manager", "discoveryVersion": "v1" }
]===]))
