local decode = require("cjson").new().decode
return assert(decode([===[
{ "documentationLink": "https://developers.google.com/hangouts/chat", "basePath": "", "schemas": { "Message": { "type": "object", "description": "A message in Google Chat.", "id": "Message", "properties": { "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time at which the message was created in Google Chat server.", "type": "string" }, "actionResponse": { "description": "Input only. Parameters that a Chat app can use to configure how its response is posted.", "$ref": "ActionResponse" }, "slashCommand": { "readOnly": true, "description": "Output only. Slash command information, if applicable.", "$ref": "SlashCommand" }, "space": { "$ref": "Space", "description": "The space the message belongs to." }, "sender": { "description": "Output only. The user who created the message.", "readOnly": true, "$ref": "User" }, "cards": { "items": { "$ref": "Card" }, "type": "array", "description": "Rich, formatted and interactive cards that can be used to display UI elements such as: formatted texts, buttons, clickable images. Cards are normally displayed below the plain-text body of the message." }, "matchedUrl": { "description": "Output only. A URL in `spaces.messages.text` that matches a link preview pattern. For more information, refer to [Preview links](https://developers.google.com/chat/how-tos/preview-links).", "$ref": "MatchedUrl", "readOnly": true }, "text": { "type": "string", "description": "Plain-text body of the message. The first link to an image, video, web page, or other preview-able item generates a preview chip." }, "name": { "type": "string", "description": "Resource name in the form `spaces/*/messages/*`. Example: `spaces/AAAAAAAAAAA/messages/BBBBBBBBBBB.BBBBBBBBBBB`" }, "lastUpdateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time at which the message was last edited by a user. If the message has never been edited, this field is empty.", "type": "string" }, "attachment": { "description": "User uploaded attachment.", "type": "array", "items": { "$ref": "Attachment" } }, "argumentText": { "type": "string", "description": "Plain-text body of the message with all Chat app mentions stripped out." }, "fallbackText": { "description": "A plain-text description of the message's cards, used when the actual cards cannot be displayed (e.g. mobile notifications).", "type": "string" }, "annotations": { "readOnly": true, "type": "array", "items": { "$ref": "Annotation" }, "description": "Output only. Annotations associated with the text in this message." }, "thread": { "$ref": "Thread", "description": "The thread the message belongs to." } } }, "GoogleAppsCardV1Grid": { "description": "Represents a Grid widget that displays items in a configurable grid layout.", "type": "object", "id": "GoogleAppsCardV1Grid", "properties": { "title": { "description": "The text that displays in the grid header.", "type": "string" }, "items": { "description": "The items to display in the grid.", "type": "array", "items": { "$ref": "GoogleAppsCardV1GridItem" } }, "borderStyle": { "description": "The border style to apply to each grid item.", "$ref": "GoogleAppsCardV1BorderStyle" }, "onClick": { "$ref": "GoogleAppsCardV1OnClick", "description": "This callback is reused by each individual grid item, but with the item's identifier and index in the items list added to the callback's parameters." }, "columnCount": { "format": "int32", "type": "integer", "description": "The number of columns to display in the grid. A default value is used if this field isn't specified, and that default value is different depending on where the grid is shown (dialog versus companion)." } } }, "Membership": { "id": "Membership", "properties": { "state": { "readOnly": true, "type": "string", "enum": [ "MEMBERSHIP_STATE_UNSPECIFIED", "JOINED", "INVITED", "NOT_A_MEMBER" ], "enumDescriptions": [ "Default, do not use.", "The user has joined the space.", "The user has been invited, is able to join the space, but currently has not joined.", "The user is not a member of the space, has not been invited and is not able to join the space." ], "description": "Output only. State of the membership." }, "name": { "description": "Resource name of the membership. Format: spaces/{space}/members/{member}", "type": "string" }, "member": { "description": "A Google Chat user or app. Format: `users/{user}` or `users/app` When `users/{user}`, represents a [person](https://developers.google.com/people/api/rest/v1/people) in the People API or a [user](https://developers.google.com/admin-sdk/directory/reference/rest/v1/users) in the Admin SDK Directory API. When `users/app`, represents a Chat app creating membership for itself.", "$ref": "User" }, "createTime": { "readOnly": true, "description": "Output only. The creation time of the membership, such as when a member joined or was invited to join a space.", "format": "google-datetime", "type": "string" } }, "type": "object", "description": "Represents a membership relation in Google Chat, such as whether a user or Chat app is invited to, part of, or absent from a space." }, "GoogleAppsCardV1ImageCropStyle": { "id": "GoogleAppsCardV1ImageCropStyle", "description": "Represents the crop style applied to an image.", "properties": { "type": { "enumDescriptions": [ "No value specified.", "Applies a square crop.", "Applies a circular crop.", "Applies a rectangular crop with a custom aspect ratio.", "Applies a rectangular crop with a 4:3 aspect ratio." ], "type": "string", "description": "The crop type.", "enum": [ "IMAGE_CROP_TYPE_UNSPECIFIED", "SQUARE", "CIRCLE", "RECTANGLE_CUSTOM", "RECTANGLE_4_3" ] }, "aspectRatio": { "format": "double", "type": "number", "description": "The aspect ratio to use if the crop type is `RECTANGLE_CUSTOM`." } }, "type": "object" }, "OpenLink": { "description": "A link that opens a new window.", "type": "object", "properties": { "url": { "description": "The URL to open.", "type": "string" } }, "id": "OpenLink" }, "Card": { "type": "object", "properties": { "cardActions": { "type": "array", "items": { "$ref": "CardAction" }, "description": "The actions of this card." }, "sections": { "description": "Sections are separated by a line divider.", "type": "array", "items": { "$ref": "Section" } }, "name": { "description": "Name of the card.", "type": "string" }, "header": { "description": "The header of the card. A header usually contains a title and an image.", "$ref": "CardHeader" } }, "description": "A card is a UI element that can contain UI widgets such as texts, images.", "id": "Card" }, "CardHeader": { "id": "CardHeader", "type": "object", "properties": { "title": { "type": "string", "description": "The title must be specified. The header has a fixed height: if both a title and subtitle is specified, each will take up 1 line. If only the title is specified, it will take up both lines." }, "imageStyle": { "enumDescriptions": [ "", "Square border.", "Circular border." ], "type": "string", "enum": [ "IMAGE_STYLE_UNSPECIFIED", "IMAGE", "AVATAR" ], "description": "The image's type (e.g. square border or circular border)." }, "subtitle": { "type": "string", "description": "The subtitle of the card header." }, "imageUrl": { "description": "The URL of the image in the card header.", "type": "string" } } }, "Attachment": { "description": "An attachment in Google Chat.", "id": "Attachment", "properties": { "driveDataRef": { "$ref": "DriveDataRef", "description": "A reference to the drive attachment. This is used with the Drive API." }, "source": { "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "SOURCE_UNSPECIFIED", "DRIVE_FILE", "UPLOADED_CONTENT" ], "description": "The source of the attachment." }, "contentName": { "description": "The original file name for the content, not the full path.", "type": "string" }, "contentType": { "description": "The content type (MIME type) of the file.", "type": "string" }, "name": { "description": "Resource name of the attachment, in the form \"spaces/*/messages/*/attachments/*\".", "type": "string" }, "downloadUri": { "description": "Output only. The download URL which should be used to allow a human user to download the attachment. Chat apps should not use this URL to download attachment content.", "type": "string", "readOnly": true }, "thumbnailUri": { "readOnly": true, "type": "string", "description": "Output only. The thumbnail URL which should be used to preview the attachment to a human user. Chat apps should not use this URL to download attachment content." }, "attachmentDataRef": { "description": "A reference to the attachment data. This is used with the media API to download the attachment data.", "$ref": "AttachmentDataRef" } }, "type": "object" }, "Media": { "id": "Media", "properties": { "resourceName": { "type": "string", "description": "Name of the media resource." } }, "description": "Media resource.", "type": "object" }, "CardAction": { "properties": { "actionLabel": { "type": "string", "description": "The label used to be displayed in the action menu item." }, "onClick": { "$ref": "OnClick", "description": "The onclick action for this action item." } }, "type": "object", "description": "A card action is the action associated with the card. For an invoice card, a typical action would be: delete invoice, email invoice or open the invoice in browser.", "id": "CardAction" }, "Image": { "properties": { "aspectRatio": { "format": "double", "type": "number", "description": "The aspect ratio of this image (width/height). This field allows clients to reserve the right height for the image while waiting for it to load. It's not meant to override the native aspect ratio of the image. If unset, the server fills it by prefetching the image." }, "imageUrl": { "description": "The URL of the image.", "type": "string" }, "onClick": { "description": "The onclick action.", "$ref": "OnClick" } }, "description": "An image that is specified by a URL and can have an onclick action.", "id": "Image", "type": "object" }, "Space": { "properties": { "name": { "type": "string", "description": "Resource name of the space. Format: spaces/{space}" }, "threaded": { "description": "Output only. Whether messages are threaded in this space.", "type": "boolean", "readOnly": true }, "type": { "readOnly": true, "type": "string", "description": "Output only. Deprecated: Use `single_user_bot_dm` or `space_type` (developer preview) instead. The type of a space.", "enum": [ "TYPE_UNSPECIFIED", "ROOM", "DM" ], "enumDescriptions": [ "", "Conversations between two or more humans.", "1:1 Direct Message between a human and a Chat app, where all messages are flat. Note that this does not include direct messages between two humans." ] }, "displayName": { "type": "string", "description": "The space's display name. For direct messages between humans, this field might be empty." }, "singleUserBotDm": { "readOnly": true, "type": "boolean", "description": "Output only. Whether the space is a DM between a Chat app and a single human." } }, "type": "object", "description": "A space in Google Chat. Spaces are conversations between two or more users or 1:1 messages between a user and a Chat app.", "id": "Space" }, "GoogleAppsCardV1TextParagraph": { "id": "GoogleAppsCardV1TextParagraph", "type": "object", "description": "A paragraph of text that supports formatting. See [Text formatting](workspace/add-ons/concepts/widgets#text_formatting\") for details.", "properties": { "text": { "type": "string", "description": "The text that's shown in the widget." } } }, "CommonEventObject": { "type": "object", "id": "CommonEventObject", "properties": { "userLocale": { "type": "string", "description": "The full `locale.displayName` in the format of [ISO 639 language code]-[ISO 3166 country/region code] such as \"en-US\". Not supported by Chat apps." }, "timeZone": { "description": "The timezone ID and offset from Coordinated Universal Time (UTC).", "$ref": "TimeZone" }, "platform": { "enum": [ "UNKNOWN_PLATFORM", "WEB", "IOS", "ANDROID" ], "enumDescriptions": [ "", "", "", "" ], "description": "The platform enum which indicates the platform where the event originates (`WEB`, `IOS`, or `ANDROID`). Not supported by Chat apps.", "type": "string" }, "invokedFunction": { "type": "string", "description": "Name of the invoked function associated with the widget. Only set for Chat apps." }, "formInputs": { "type": "object", "additionalProperties": { "$ref": "Inputs" }, "description": "A map containing the current values of the widgets in a card. The map keys are the string IDs assigned to each widget, and the values represent inputs to the widget. Depending on the input data type, a different object represents each input: For single-value widgets, `StringInput`. For multi-value widgets, an array of `StringInput` objects. For a date-time picker, a `DateTimeInput`. For a date-only picker, a `DateInput`. For a time-only picker, a `TimeInput`. Corresponds with the data entered by a user on a card in a [dialog](https://developers.google.com/chat/how-tos/dialogs)." }, "hostApp": { "description": "The hostApp enum which indicates the app the add-on is invoked from. Always `CHAT` for Chat apps.", "type": "string", "enumDescriptions": [ "Google can't identify a host app.", "The add-on launches from Gmail.", "The add-on launches from Google Calendar.", "The add-on launches from Google Drive.", "Not used.", "The add-on launches from Google Docs.", "The add-on launches from Google Sheets.", "The add-on launches from Google Slides.", "The add-on launches from Google Drawings.", "A Google Chat app. Not used for Google Workspace Add-ons." ], "enum": [ "UNSPECIFIED_HOST_APP", "GMAIL", "CALENDAR", "DRIVE", "DEMO", "DOCS", "SHEETS", "SLIDES", "DRAWINGS", "CHAT" ] }, "parameters": { "description": "Custom [parameters](/chat/api/reference/rest/v1/cards#ActionParameter) passed to the invoked function. Both keys and values must be strings.", "additionalProperties": { "type": "string" }, "type": "object" } }, "description": "Represents information about the user's client, such as locale, host app, and platform. For Chat apps, `CommonEventObject` includes data submitted by users interacting with cards, like data entered in [dialogs](https://developers.google.com/chat/how-tos/dialogs)." }, "Color": { "type": "object", "id": "Color", "properties": { "alpha": { "description": "The fraction of this color that should be applied to the pixel. That is, the final pixel color is defined by the equation: `pixel color = alpha LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (this color) + (1.0 - alpha) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (background color)` This means that a value of 1.0 corresponds to a solid color, whereas a value of 0.0 corresponds to a completely transparent color. This uses a wrapper message rather than a simple float scalar so that it is possible to distinguish between a default value and the value being unset. If omitted, this color object is rendered as a solid color (as if the alpha value had been explicitly given a value of 1.0).", "format": "float", "type": "number" }, "blue": { "format": "float", "description": "The amount of blue in the color as a value in the interval [0, 1].", "type": "number" }, "green": { "description": "The amount of green in the color as a value in the interval [0, 1].", "format": "float", "type": "number" }, "red": { "description": "The amount of red in the color as a value in the interval [0, 1].", "type": "number", "format": "float" } }, "description": "Represents a color in the RGBA color space. This representation is designed for simplicity of conversion to/from color representations in various languages over compactness. For example, the fields of this representation can be trivially provided to the constructor of `java.awt.Color` in Java; it can also be trivially provided to UIColor's `+colorWithRed:green:blue:alpha` method in iOS; and, with just a little work, it can be easily formatted into a CSS `rgba()` string in JavaScript. This reference page doesn't carry information about the absolute color space that should be used to interpret the RGB value (e.g. sRGB, Adobe RGB, DCI-P3, BT.2020, etc.). By default, applications should assume the sRGB color space. When color equality needs to be decided, implementations, unless documented otherwise, treat two colors as equal if all their red, green, blue, and alpha values each differ by at most 1e-5. Example (Java): import com.google.type.Color; // ... public static java.awt.Color fromProto(Color protocolor) { float alpha = protocolor.hasAlpha() ? protocolor.getAlpha().getValue() : 1.0; return new java.awt.Color( protocolor.getRed(), protocolor.getGreen(), protocolor.getBlue(), alpha); } public static Color toProto(java.awt.Color color) { float red = (float) color.getRed(); float green = (float) color.getGreen(); float blue = (float) color.getBlue(); float denominator = 255.0; Color.Builder resultBuilder = Color .newBuilder() .setRed(red / denominator) .setGreen(green / denominator) .setBlue(blue / denominator); int alpha = color.getAlpha(); if (alpha != 255) { result.setAlpha( FloatValue .newBuilder() .setValue(((float) alpha) / denominator) .build()); } return resultBuilder.build(); } // ... Example (iOS / Obj-C): // ... static UIColor* fromProto(Color* protocolor) { float red = [protocolor red]; float green = [protocolor green]; float blue = [protocolor blue]; FloatValue* alpha_wrapper = [protocolor alpha]; float alpha = 1.0; if (alpha_wrapper != nil) { alpha = [alpha_wrapper value]; } return [UIColor colorWithRed:red green:green blue:blue alpha:alpha]; } static Color* toProto(UIColor* color) { CGFloat red, green, blue, alpha; if (![color getRed:&red green:&green blue:&blue alpha:&alpha]) { return nil; } Color* result = [[Color alloc] init]; [result setRed:red]; [result setGreen:green]; [result setBlue:blue]; if (alpha \u003c= 0.9999) { [result setAlpha:floatWrapperWithValue(alpha)]; } [result autorelease]; return result; } // ... Example (JavaScript): // ... var protoToCssColor = function(rgb_color) { var redFrac = rgb_color.red || 0.0; var greenFrac = rgb_color.green || 0.0; var blueFrac = rgb_color.blue || 0.0; var red = Math.floor(redFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); var green = Math.floor(greenFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); var blue = Math.floor(blueFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); if (!('alpha' in rgb_color)) { return rgbToCssColor(red, green, blue); } var alphaFrac = rgb_color.alpha.value || 0.0; var rgbParams = [red, green, blue].join(','); return ['rgba(', rgbParams, ',', alphaFrac, ')'].join(''); }; var rgbToCssColor = function(red, green, blue) { var rgbNumber = new Number((red \u003c\u003c 16) | (green \u003c\u003c 8) | blue); var hexString = rgbNumber.toString(16); var missingZeros = 6 - hexString.length; var resultBuilder = ['#']; for (var i = 0; i \u003c missingZeros; i++) { resultBuilder.push('0'); } resultBuilder.push(hexString); return resultBuilder.join(''); }; // ..." }, "ImageButton": { "description": "An image button with an onclick action.", "type": "object", "properties": { "iconUrl": { "description": "The icon specified by a URL.", "type": "string" }, "name": { "description": "The name of this image_button which will be used for accessibility. Default value will be provided if developers don't specify.", "type": "string" }, "icon": { "enum": [ "ICON_UNSPECIFIED", "AIRPLANE", "BOOKMARK", "BUS", "CAR", "CLOCK", "CONFIRMATION_NUMBER_ICON", "DOLLAR", "DESCRIPTION", "EMAIL", "EVENT_PERFORMER", "EVENT_SEAT", "FLIGHT_ARRIVAL", "FLIGHT_DEPARTURE", "HOTEL", "HOTEL_ROOM_TYPE", "INVITE", "MAP_PIN", "MEMBERSHIP", "MULTIPLE_PEOPLE", "OFFER", "PERSON", "PHONE", "RESTAURANT_ICON", "SHOPPING_CART", "STAR", "STORE", "TICKET", "TRAIN", "VIDEO_CAMERA", "VIDEO_PLAY" ], "description": "The icon specified by an enum that indices to an icon provided by Chat API.", "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "onClick": { "description": "The onclick action.", "$ref": "OnClick" } }, "id": "ImageButton" }, "ChatAppLogEntry": { "properties": { "deployment": { "type": "string", "description": "The deployment that caused the error. For Chat apps built in Apps Script, this is the deployment ID defined by Apps Script." }, "error": { "$ref": "Status", "description": "The error code and message." }, "deploymentFunction": { "description": "The unencrypted `callback_method` name that was running when the error was encountered.", "type": "string" } }, "description": "JSON payload of error messages. If the Cloud Logging API is enabled, these error messages are logged to [Google Cloud Logging](https://cloud.google.com/logging/docs).", "id": "ChatAppLogEntry", "type": "object" }, "ActionStatus": { "type": "object", "properties": { "statusCode": { "enumDescriptions": [ "Not an error; returned on success HTTP Mapping: 200 OK", "The operation was cancelled, typically by the caller. HTTP Mapping: 499 Client Closed Request", "Unknown error. For example, this error may be returned when a `Status` value received from another address space belongs to an error space that is not known in this address space. Also errors raised by APIs that do not return enough error information may be converted to this error. HTTP Mapping: 500 Internal Server Error", "The client specified an invalid argument. Note that this differs from `FAILED_PRECONDITION`. `INVALID_ARGUMENT` indicates arguments that are problematic regardless of the state of the system (e.g., a malformed file name). HTTP Mapping: 400 Bad Request", "The deadline expired before the operation could complete. For operations that change the state of the system, this error may be returned even if the operation has completed successfully. For example, a successful response from a server could have been delayed long enough for the deadline to expire. HTTP Mapping: 504 Gateway Timeout", "Some requested entity (e.g., file or directory) was not found. Note to server developers: if a request is denied for an entire class of users, such as gradual feature rollout or undocumented allowlist, `NOT_FOUND` may be used. If a request is denied for some users within a class of users, such as user-based access control, `PERMISSION_DENIED` must be used. HTTP Mapping: 404 Not Found", "The entity that a client attempted to create (e.g., file or directory) already exists. HTTP Mapping: 409 Conflict", "The caller does not have permission to execute the specified operation. `PERMISSION_DENIED` must not be used for rejections caused by exhausting some resource (use `RESOURCE_EXHAUSTED` instead for those errors). `PERMISSION_DENIED` must not be used if the caller can not be identified (use `UNAUTHENTICATED` instead for those errors). This error code does not imply the request is valid or the requested entity exists or satisfies other pre-conditions. HTTP Mapping: 403 Forbidden", "The request does not have valid authentication credentials for the operation. HTTP Mapping: 401 Unauthorized", "Some resource has been exhausted, perhaps a per-user quota, or perhaps the entire file system is out of space. HTTP Mapping: 429 Too Many Requests", "The operation was rejected because the system is not in a state required for the operation's execution. For example, the directory to be deleted is non-empty, an rmdir operation is applied to a non-directory, etc. Service implementors can use the following guidelines to decide between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`: (a) Use `UNAVAILABLE` if the client can retry just the failing call. (b) Use `ABORTED` if the client should retry at a higher level. For example, when a client-specified test-and-set fails, indicating the client should restart a read-modify-write sequence. (c) Use `FAILED_PRECONDITION` if the client should not retry until the system state has been explicitly fixed. For example, if an \"rmdir\" fails because the directory is non-empty, `FAILED_PRECONDITION` should be returned since the client should not retry unless the files are deleted from the directory. HTTP Mapping: 400 Bad Request", "The operation was aborted, typically due to a concurrency issue such as a sequencer check failure or transaction abort. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 409 Conflict", "The operation was attempted past the valid range. E.g., seeking or reading past end-of-file. Unlike `INVALID_ARGUMENT`, this error indicates a problem that may be fixed if the system state changes. For example, a 32-bit file system will generate `INVALID_ARGUMENT` if asked to read at an offset that is not in the range [0,2^32-1], but it will generate `OUT_OF_RANGE` if asked to read from an offset past the current file size. There is a fair bit of overlap between `FAILED_PRECONDITION` and `OUT_OF_RANGE`. We recommend using `OUT_OF_RANGE` (the more specific error) when it applies so that callers who are iterating through a space can easily look for an `OUT_OF_RANGE` error to detect when they are done. HTTP Mapping: 400 Bad Request", "The operation is not implemented or is not supported/enabled in this service. HTTP Mapping: 501 Not Implemented", "Internal errors. This means that some invariants expected by the underlying system have been broken. This error code is reserved for serious errors. HTTP Mapping: 500 Internal Server Error", "The service is currently unavailable. This is most likely a transient condition, which can be corrected by retrying with a backoff. Note that it is not always safe to retry non-idempotent operations. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 503 Service Unavailable", "Unrecoverable data loss or corruption. HTTP Mapping: 500 Internal Server Error" ], "enum": [ "OK", "CANCELLED", "UNKNOWN", "INVALID_ARGUMENT", "DEADLINE_EXCEEDED", "NOT_FOUND", "ALREADY_EXISTS", "PERMISSION_DENIED", "UNAUTHENTICATED", "RESOURCE_EXHAUSTED", "FAILED_PRECONDITION", "ABORTED", "OUT_OF_RANGE", "UNIMPLEMENTED", "INTERNAL", "UNAVAILABLE", "DATA_LOSS" ], "description": "The status code.", "type": "string" }, "userFacingMessage": { "description": "The message to send users about the status of their request. If unset, a generic message based on the `status_code` is sent.", "type": "string" } }, "description": "Represents the status for a request to either invoke or submit a [dialog](https://developers.google.com/chat/how-tos/dialogs).", "id": "ActionStatus" }, "GoogleAppsCardV1SuggestionItem": { "properties": { "text": { "description": "The suggested autocomplete result.", "type": "string" } }, "id": "GoogleAppsCardV1SuggestionItem", "type": "object", "description": "A suggestion item." }, "GoogleAppsCardV1SwitchControl": { "type": "object", "properties": { "onChangeAction": { "$ref": "GoogleAppsCardV1Action", "description": "The action when the switch state is changed." }, "controlType": { "enumDescriptions": [ "A toggle-style switch.", "Deprecated in favor of `CHECK_BOX`.", "A checkbox." ], "type": "string", "enum": [ "SWITCH", "CHECKBOX", "CHECK_BOX" ], "description": "The control type, either switch or checkbox." }, "value": { "description": "The value is what is passed back in the callback.", "type": "string" }, "name": { "description": "The name of the switch widget that's used in `formInput`.", "type": "string" }, "selected": { "description": "If the switch is selected.", "type": "boolean" } }, "description": "Either a toggle-style switch or a checkbox.", "id": "GoogleAppsCardV1SwitchControl" }, "GoogleAppsCardV1Image": { "type": "object", "description": "An image that is specified by a URL and can have an `onClick` action.", "properties": { "imageUrl": { "description": "An image URL.", "type": "string" }, "onClick": { "description": "The action triggered by an `onClick` event.", "$ref": "GoogleAppsCardV1OnClick" }, "altText": { "type": "string", "description": "The alternative text of this image, used for accessibility." } }, "id": "GoogleAppsCardV1Image" }, "GoogleAppsCardV1BorderStyle": { "description": "Represents the complete border style applied to widgets.", "type": "object", "properties": { "type": { "description": "The border type.", "type": "string", "enumDescriptions": [ "No value specified.", "No border.", "Outline." ], "enum": [ "BORDER_TYPE_UNSPECIFIED", "NO_BORDER", "STROKE" ] }, "strokeColor": { "description": "The colors to use when the type is `BORDER_TYPE_STROKE`.", "$ref": "Color" }, "cornerRadius": { "description": "The corner radius for the border.", "format": "int32", "type": "integer" } }, "id": "GoogleAppsCardV1BorderStyle" }, "MatchedUrl": { "id": "MatchedUrl", "description": "A matched url in a Chat message. Chat apps can preview matched URLs. For more information, refer to [Preview links](https://developers.google.com/chat/how-tos/preview-links).", "properties": { "url": { "description": "Output only. The url that was matched.", "type": "string", "readOnly": true } }, "type": "object" }, "GoogleAppsCardV1Icon": { "id": "GoogleAppsCardV1Icon", "properties": { "iconUrl": { "description": "The icon specified by a URL.", "type": "string" }, "imageType": { "enum": [ "SQUARE", "CIRCLE" ], "description": "The crop style applied to the image. In some cases, applying a `CIRCLE` crop causes the image to be drawn larger than a standard icon.", "type": "string", "enumDescriptions": [ "Applies no cropping to the image.", "Applies a circular mask to the image." ] }, "knownIcon": { "description": "The icon specified by the string name of a list of known icons.", "type": "string" }, "altText": { "description": "The description of the icon, used for accessibility. The default value is provided if you don't specify one.", "type": "string" } }, "type": "object" }, "GoogleAppsCardV1Card": { "type": "object", "properties": { "peekCardHeader": { "$ref": "GoogleAppsCardV1CardHeader", "description": "When displaying contextual content, the peek card header acts as a placeholder so that the user can navigate forward between the homepage cards and the contextual cards." }, "cardActions": { "type": "array", "items": { "$ref": "GoogleAppsCardV1CardAction" }, "description": "The card's actions. Actions are added to the card's generated toolbar menu. For example, the following JSON constructs a card action menu with Settings and Send Feedback options: ``` \"card_actions\": [ { \"actionLabel\": \"Settings\", \"onClick\": { \"action\": { \"functionName\": \"goToView\", \"parameters\": [ { \"key\": \"viewType\", \"value\": \"SETTING\" } ], \"loadIndicator\": \"LoadIndicator.SPINNER\" } } }, { \"actionLabel\": \"Send Feedback\", \"onClick\": { \"openLink\": { \"url\": \"https://example.com/feedback\" } } } ] ```" }, "displayStyle": { "enum": [ "DISPLAY_STYLE_UNSPECIFIED", "PEEK", "REPLACE" ], "enumDescriptions": [ "Default value. Do not use.", "The header of the card appears at the bottom of the sidebar, partially covering the current top card of the stack. Clicking the header pops the card into the card stack. If the card has no header, a generated header is used instead.", "The card is shown by replacing the view of the top card in the card stack." ], "type": "string", "description": "The display style for `peekCardHeader`." }, "sections": { "type": "array", "items": { "$ref": "GoogleAppsCardV1Section" }, "description": "Sections are separated by a line divider." }, "header": { "$ref": "GoogleAppsCardV1CardHeader", "description": "The header of the card. A header usually contains a title and an image." }, "fixedFooter": { "description": "The fixed footer shown at the bottom of this card.", "$ref": "GoogleAppsCardV1CardFixedFooter" }, "name": { "description": "Name of the card. Used as a card identifier in card navigation.", "type": "string" } }, "description": "A card is a UI element that can contain UI widgets such as text and images. For more information, see Cards . For example, the following JSON creates a card that has a header with the name, position, icons, and link for a contact, followed by a section with contact information like email and phone number. ``` { \"header\": { \"title\": \"Sasha\", \"subtitle\": \"Software Engineer\", \"imageStyle\": \"ImageStyle.AVATAR\", \"imageUrl\": \"https://example.com/sasha.png\", \"imageAltText\": \"Avatar for Sasha\" }, \"sections\" : [ { \"header\": \"Contact Info\", \"widgets\": [ { \"decorated_text\": { \"icon\": { \"knownIcon\": \"EMAIL\" }, \"content\": \"sasha@example.com\" } }, { \"decoratedText\": { \"icon\": { \"knownIcon\": \"PERSON\" }, \"content\": \"Online\" } }, { \"decoratedText\": { \"icon\": { \"knownIcon\": \"PHONE\" }, \"content\": \"+1 (555) 555-1234\" } }, { \"buttons\": [ { \"textButton\": { \"text\": \"Share\", }, \"onClick\": { \"openLink\": { \"url\": \"https://example.com/share\" } } }, { \"textButton\": { \"text\": \"Edit\", }, \"onClick\": { \"action\": { \"function\": \"goToView\", \"parameters\": [ { \"key\": \"viewType\", \"value\": \"EDIT\" } ], \"loadIndicator\": \"LoadIndicator.SPINNER\" } } } ] } ], \"collapsible\": true, \"uncollapsibleWidgetsCount\": 3 } ], \"cardActions\": [ { \"actionLabel\": \"Send Feedback\", \"onClick\": { \"openLink\": { \"url\": \"https://example.com/feedback\" } } } ], \"name\": \"contact-card-K3wB6arF2H9L\" } ```", "id": "GoogleAppsCardV1Card" }, "Dialog": { "description": "Wrapper around the card body of the dialog.", "id": "Dialog", "type": "object", "properties": { "body": { "$ref": "GoogleAppsCardV1Card", "description": "Input only. Body of the dialog, which is rendered in a modal. Google Chat apps do not support the following card entities: `DateTimePicker`, `OnChangeAction`." } } }, "GoogleAppsCardV1AppUri": { "type": "object", "id": "GoogleAppsCardV1AppUri", "description": "Represents the platform specific uri/intent to open for each client.", "properties": { "iosUri": { "description": "A uri string to be opened in the corresponding iOS hosting app.", "type": "string" }, "companionUri": { "type": "string", "description": "A companion uri string to be opened in the chat companion window. on the web." }, "androidIntent": { "description": "An intent object to be opened in the corresponding android hosting app.", "$ref": "GoogleAppsCardV1Intent" } } }, "DialogAction": { "id": "DialogAction", "description": "Contains a [dialog](https://developers.google.com/chat/how-tos/dialogs) and request status code.", "properties": { "actionStatus": { "description": "Input only. Status for a request to either invoke or submit a [dialog](https://developers.google.com/chat/how-tos/dialogs). Displays a status and message to users, if necessary. For example, in case of an error or success.", "$ref": "ActionStatus" }, "dialog": { "description": "Input only. [Dialog](https://developers.google.com/chat/how-tos/dialogs) for the request.", "$ref": "Dialog" } }, "type": "object" }, "GoogleAppsCardV1GridItem": { "description": "Represents a single item in the grid layout.", "properties": { "image": { "description": "The image that displays in the grid item.", "$ref": "GoogleAppsCardV1ImageComponent" }, "textAlignment": { "type": "string", "enumDescriptions": [ "Unspecified alignment.", "Alignment to the start position.", "Alignment to the center position.", "Alignment to the end position." ], "description": "The horizontal alignment of the grid item's text.", "enum": [ "HORIZONTAL_ALIGNMENT_UNSPECIFIED", "START", "CENTER", "END" ] }, "subtitle": { "type": "string", "description": "The grid item's subtitle." }, "id": { "type": "string", "description": "A user-specified identifier for this grid item. This identifier is returned in the parent Grid's onClick callback parameters." }, "layout": { "enum": [ "GRID_ITEM_LAYOUT_UNSPECIFIED", "TEXT_BELOW", "TEXT_ABOVE" ], "enumDescriptions": [ "No layout specified.", "The title and subtitle are shown below the grid item's image.", "The title and subtitle are shown above the grid item's image." ], "type": "string", "description": "The layout to use for the grid item." }, "title": { "type": "string", "description": "The grid item's title." } }, "id": "GoogleAppsCardV1GridItem", "type": "object" }, "WidgetMarkup": { "id": "WidgetMarkup", "properties": { "keyValue": { "$ref": "KeyValue", "description": "Display a key value item in this widget." }, "textParagraph": { "$ref": "TextParagraph", "description": "Display a text paragraph in this widget." }, "buttons": { "description": "A list of buttons. Buttons is also oneof data and only one of these fields should be set.", "type": "array", "items": { "$ref": "Button" } }, "image": { "$ref": "Image", "description": "Display an image in this widget." } }, "description": "A widget is a UI element that presents texts, images, etc.", "type": "object" }, "GoogleAppsCardV1Action": { "properties": { "parameters": { "description": "List of action parameters.", "items": { "$ref": "GoogleAppsCardV1ActionParameter" }, "type": "array" }, "loadIndicator": { "type": "string", "enumDescriptions": [ "Displays a spinner to indicate that content is loading.", "Nothing is displayed." ], "description": "Specifies the loading indicator that the action displays while making the call to the action.", "enum": [ "SPINNER", "NONE" ] }, "persistValues": { "type": "boolean", "description": "Indicates whether form values persist after the action. The default value is `false`. If `true`, form values remain after the action is triggered. When using [LoadIndicator.NONE](workspace/add-ons/reference/rpc/google.apps.card.v1#loadindicator) for actions, `persist_values` = `true`is recommended, as it ensures that any changes made by the user after form or on change actions are sent to the server are not overwritten by the response. If `false`, the form values are cleared when the action is triggered. When `persist_values` is set to `false`, it is strongly recommended that the card use [LoadIndicator.SPINNER](workspace/add-ons/reference/rpc/google.apps.card.v1#loadindicator) for all actions, as this locks the UI to ensure no changes are made by the user while the action is being processed." }, "function": { "description": "Apps Script function to invoke when the containing element is clicked/activated.", "type": "string" } }, "type": "object", "description": "An action that describes the behavior when the form is submitted. For example, an Apps Script can be invoked to handle the form.", "id": "GoogleAppsCardV1Action" }, "Annotation": { "properties": { "userMention": { "$ref": "UserMentionMetadata", "description": "The metadata of user mention." }, "startIndex": { "description": "Start index (0-based, inclusive) in the plain-text message body this annotation corresponds to.", "type": "integer", "format": "int32" }, "type": { "type": "string", "enumDescriptions": [ "Default value for the enum. DO NOT USE.", "A user is mentioned.", "A slash command is invoked." ], "enum": [ "ANNOTATION_TYPE_UNSPECIFIED", "USER_MENTION", "SLASH_COMMAND" ], "description": "The type of this annotation." }, "length": { "description": "Length of the substring in the plain-text message body this annotation corresponds to.", "format": "int32", "type": "integer" }, "slashCommand": { "description": "The metadata for a slash command.", "$ref": "SlashCommandMetadata" } }, "type": "object", "id": "Annotation", "description": "Annotations associated with the plain-text body of the message. Example plain-text message body: ``` Hello @FooBot how are you!\" ``` The corresponding annotations metadata: ``` \"annotations\":[{ \"type\":\"USER_MENTION\", \"startIndex\":6, \"length\":7, \"userMention\": { \"user\": { \"name\":\"users/107946847022116401880\", \"displayName\":\"FooBot\", \"avatarUrl\":\"https://goo.gl/aeDtrS\", \"type\":\"BOT\" }, \"type\":\"MENTION\" } }] ```" }, "GoogleAppsCardV1OnClick": { "type": "object", "id": "GoogleAppsCardV1OnClick", "description": "Represents the response to an `onClick` event.", "properties": { "openLink": { "description": "If specified, this `onClick` triggers an open link action.", "$ref": "GoogleAppsCardV1OpenLink" }, "action": { "$ref": "GoogleAppsCardV1Action", "description": "If specified, an action is triggered by this `onClick`." }, "card": { "description": "A new card is pushed to the card stack after clicking if specified.", "$ref": "GoogleAppsCardV1Card" }, "openDynamicLinkAction": { "description": "An add-on triggers this action when the action needs to open a link. This differs from the `open_link` above in that this needs to talk to server to get the link. Thus some preparation work is required for web client to do before the open link action response comes back.", "$ref": "GoogleAppsCardV1Action" } } }, "DeprecatedEvent": { "description": "Google Chat events.", "id": "DeprecatedEvent", "properties": { "action": { "description": "The form action data associated with an interactive card that was clicked. Only populated for CARD_CLICKED events. See the [Interactive Cards guide](/chat/how-tos/cards-onclick) for more information.", "$ref": "FormAction" }, "user": { "$ref": "User", "description": "The user that triggered the event." }, "dialogEventType": { "type": "string", "enumDescriptions": [ "This could be used when the corresponding event is not dialog related. For example an @mention.", "Any user action that opens a [dialog](https://developers.google.com/chat/how-tos/dialogs).", "A card click event from a [dialog](https://developers.google.com/chat/how-tos/dialogs).", "The [dialog](https://developers.google.com/chat/how-tos/dialogs) was cancelled." ], "description": "The type of [dialog](https://developers.google.com/chat/how-tos/dialogs) event received.", "enum": [ "TYPE_UNSPECIFIED", "REQUEST_DIALOG", "SUBMIT_DIALOG", "CANCEL_DIALOG" ] }, "type": { "type": "string", "description": "The type of the event.", "enumDescriptions": [ "Default value for the enum. DO NOT USE.", "A message was sent in a space.", "The Chat app was added to a space.", "The Chat app was removed from a space.", "The Chat app's interactive card was clicked." ], "enum": [ "UNSPECIFIED", "MESSAGE", "ADDED_TO_SPACE", "REMOVED_FROM_SPACE", "CARD_CLICKED" ] }, "threadKey": { "description": "The Chat app-defined key for the thread related to the event. See the thread_key field of the `spaces.message.create` request for more information.", "type": "string" }, "token": { "description": "A secret value that legacy Chat apps can use to verify if a request is from Google. Google randomly generates the token, and its value remains static. You can obtain, revoke, or regenerate the token from the [Chat API configuration page](https://console.cloud.google.com/apis/api/chat.googleapis.com/hangouts-chat) in the Google Cloud Console. Modern Chat apps don't use this field. It is absent from API responses and the [Chat API configuration page](https://console.cloud.google.com/apis/api/chat.googleapis.com/hangouts-chat).", "type": "string" }, "isDialogEvent": { "type": "boolean", "description": "True when the event is related to [dialogs](https://developers.google.com/chat/how-tos/dialogs)." }, "configCompleteRedirectUrl": { "description": "The URL the Chat app should redirect the user to after they have completed an authorization or configuration flow outside of Google Chat. See the [Authorizing access to 3p services guide](/chat/how-tos/auth-3p) for more information.", "type": "string" }, "eventTime": { "format": "google-datetime", "description": "The timestamp indicating when the event occurred.", "type": "string" }, "space": { "$ref": "Space", "description": "The space in which the event occurred." }, "common": { "$ref": "CommonEventObject", "description": "Represents information about the user's client, such as locale, host app, and platform. For Chat apps, `CommonEventObject` includes information submitted by users interacting with [dialogs](https://developers.google.com/chat/how-tos/dialogs), like data entered on a card." }, "message": { "$ref": "Message", "description": "The message that triggered the event, if applicable." } }, "type": "object" }, "GoogleAppsCardV1SelectionItem": { "id": "GoogleAppsCardV1SelectionItem", "properties": { "text": { "description": "The text to be displayed.", "type": "string" }, "value": { "type": "string", "description": "The value associated with this item. The client should use this as a form input value." }, "selected": { "description": "If more than one item is selected for `RADIO_BUTTON` and `DROPDOWN`, the first selected item is treated as selected and the ones after are ignored.", "type": "boolean" } }, "type": "object", "description": "A selectable item in the switch control." }, "GoogleAppsCardV1ImageComponent": { "type": "object", "description": "Represents an image.", "id": "GoogleAppsCardV1ImageComponent", "properties": { "altText": { "type": "string", "description": "The accessibility label for the image." }, "imageUri": { "description": "The image URL.", "type": "string" }, "cropStyle": { "$ref": "GoogleAppsCardV1ImageCropStyle", "description": "The crop style to apply to the image." }, "borderStyle": { "description": "The border style to apply to the image.", "$ref": "GoogleAppsCardV1BorderStyle" } } }, "GoogleAppsCardV1SelectionInput": { "type": "object", "id": "GoogleAppsCardV1SelectionInput", "properties": { "items": { "type": "array", "description": "An array of the selected items.", "items": { "$ref": "GoogleAppsCardV1SelectionItem" } }, "name": { "type": "string", "description": "The name of the text input which is used in `formInput`." }, "type": { "enum": [ "CHECK_BOX", "RADIO_BUTTON", "SWITCH", "DROPDOWN" ], "enumDescriptions": [ "A checkbox.", "A radio button.", "A switch.", "A dropdown menu." ], "description": "The type of the selection.", "type": "string" }, "onChangeAction": { "description": "If specified, the form is submitted when the selection changes. If not specified, you must specify a separate button.", "$ref": "GoogleAppsCardV1Action" }, "label": { "description": "The label displayed ahead of the switch control.", "type": "string" } }, "description": "A widget that creates a UI item with options for users to select. For example, a dropdown menu." }, "AttachmentDataRef": { "type": "object", "properties": { "resourceName": { "type": "string", "description": "The resource name of the attachment data. This is used with the media API to download the attachment data." } }, "id": "AttachmentDataRef", "description": "A reference to the data of an attachment." }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status", "type": "object", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } } } }, "UserMentionMetadata": { "description": "Annotation metadata for user mentions (@).", "properties": { "user": { "$ref": "User", "description": "The user mentioned." }, "type": { "enumDescriptions": [ "Default value for the enum. DO NOT USE.", "Add user to space.", "Mention user in space." ], "enum": [ "TYPE_UNSPECIFIED", "ADD", "MENTION" ], "description": "The type of user mention.", "type": "string" } }, "type": "object", "id": "UserMentionMetadata" }, "TextButton": { "properties": { "text": { "type": "string", "description": "The text of the button." }, "onClick": { "description": "The onclick action of the button.", "$ref": "OnClick" } }, "id": "TextButton", "type": "object", "description": "A button with text and onclick action." }, "GoogleAppsCardV1TextInput": { "id": "GoogleAppsCardV1TextInput", "properties": { "autoCompleteAction": { "$ref": "GoogleAppsCardV1Action", "description": "The refresh function that returns suggestions based on the user's input text. If the callback is not specified, autocomplete is done in client side based on the initial suggestion items." }, "hintText": { "type": "string", "description": "The hint text." }, "onChangeAction": { "description": "The onChange action, for example, invoke a function.", "$ref": "GoogleAppsCardV1Action" }, "name": { "type": "string", "description": "The name of the text input which is used in `formInput`." }, "label": { "type": "string", "description": "At least one of label and hintText must be specified." }, "initialSuggestions": { "$ref": "GoogleAppsCardV1Suggestions", "description": "The initial suggestions made before any user input." }, "type": { "type": "string", "enum": [ "SINGLE_LINE", "MULTIPLE_LINE" ], "enumDescriptions": [ "The text is put into a single line.", "The text is put into multiple lines." ], "description": "The style of the text, for example, a single line or multiple lines." }, "value": { "type": "string", "description": "The default value when there is no input from the user." } }, "type": "object", "description": "A text input is a UI item where users can input text. A text input can also have an onChange action and suggestions." }, "GoogleAppsCardV1DateTimePicker": { "type": "object", "id": "GoogleAppsCardV1DateTimePicker", "properties": { "valueMsEpoch": { "type": "string", "description": "The value to display as the default value before user input or previous user input. It is represented in milliseconds (Epoch time). For `DATE_AND_TIME` type, the full epoch value is used. For `DATE_ONLY` type, only date of the epoch time is used. For `TIME_ONLY` type, only time of the epoch time is used. For example, you can set epoch time to `3 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 60 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 60 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 1000` to represent 3am.", "format": "int64" }, "name": { "type": "string", "description": "The name of the text input that's used in `formInput`, and uniquely identifies this input." }, "timezoneOffsetDate": { "type": "integer", "description": "The number representing the time zone offset from UTC, in minutes. If set, the `value_ms_epoch` is displayed in the specified time zone. If not set, it uses the user's time zone setting on the client side.", "format": "int32" }, "type": { "type": "string", "enumDescriptions": [ "The user can select a date and time.", "The user can only select a date.", "The user can only select a time." ], "enum": [ "DATE_AND_TIME", "DATE_ONLY", "TIME_ONLY" ], "description": "The type of the date/time picker." }, "label": { "type": "string", "description": "The label for the field that displays to the user." }, "onChangeAction": { "description": "Triggered when the user clicks Save or Clear from the date/time picker dialog. This is only triggered if the value changed as a result of the Save/Clear operation.", "$ref": "GoogleAppsCardV1Action" } }, "description": "The widget that lets users to specify a date and time. Not supported by Google Chat apps." }, "ListSpacesResponse": { "type": "object", "id": "ListSpacesResponse", "properties": { "spaces": { "type": "array", "description": "List of spaces in the requested (or first) page.", "items": { "$ref": "Space" } }, "nextPageToken": { "type": "string", "description": "Continuation token to retrieve the next page of results. It will be empty for the last page of results. Tokens expire in an hour. An error is thrown if an expired token is passed." } } }, "KeyValue": { "description": "A UI element contains a key (label) and a value (content). And this element may also contain some actions such as onclick button.", "properties": { "content": { "description": "The text of the content. Formatted text supported and always required.", "type": "string" }, "onClick": { "$ref": "OnClick", "description": "The onclick action. Only the top label, bottom label and content region are clickable." }, "button": { "description": "A button that can be clicked to trigger an action.", "$ref": "Button" }, "bottomLabel": { "description": "The text of the bottom label. Formatted text supported.", "type": "string" }, "icon": { "type": "string", "enum": [ "ICON_UNSPECIFIED", "AIRPLANE", "BOOKMARK", "BUS", "CAR", "CLOCK", "CONFIRMATION_NUMBER_ICON", "DOLLAR", "DESCRIPTION", "EMAIL", "EVENT_PERFORMER", "EVENT_SEAT", "FLIGHT_ARRIVAL", "FLIGHT_DEPARTURE", "HOTEL", "HOTEL_ROOM_TYPE", "INVITE", "MAP_PIN", "MEMBERSHIP", "MULTIPLE_PEOPLE", "OFFER", "PERSON", "PHONE", "RESTAURANT_ICON", "SHOPPING_CART", "STAR", "STORE", "TICKET", "TRAIN", "VIDEO_CAMERA", "VIDEO_PLAY" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "description": "An enum value that will be replaced by the Chat API with the corresponding icon image." }, "topLabel": { "type": "string", "description": "The text of the top label. Formatted text supported." }, "iconUrl": { "description": "The icon specified by a URL.", "type": "string" }, "contentMultiline": { "description": "If the content should be multiline.", "type": "boolean" } }, "id": "KeyValue", "type": "object" }, "GoogleAppsCardV1CardFixedFooter": { "properties": { "primaryButton": { "description": "The primary button of the fixed footer. The button must be a text button with text and color set.", "$ref": "GoogleAppsCardV1Button" }, "secondaryButton": { "description": "The secondary button of the fixed footer. The button must be a text button with text and color set. `primaryButton` must be set if `secondaryButton` is set.", "$ref": "GoogleAppsCardV1Button" } }, "description": "A persistent (sticky) footer that is added to the bottom of the card.", "type": "object", "id": "GoogleAppsCardV1CardFixedFooter" }, "GoogleAppsCardV1Button": { "id": "GoogleAppsCardV1Button", "properties": { "disabled": { "type": "boolean", "description": "If `true`, the button is displayed in a disabled state and doesn't respond to user actions." }, "onClick": { "$ref": "GoogleAppsCardV1OnClick", "description": "The action to perform when the button is clicked." }, "color": { "description": "If set, the button is filled with a solid background.", "$ref": "Color" }, "icon": { "$ref": "GoogleAppsCardV1Icon", "description": "The icon image." }, "text": { "description": "The text of the button.", "type": "string" }, "altText": { "description": "The alternative text used for accessibility. Has no effect when an icon is set; use `icon.alt_text` instead.", "type": "string" } }, "description": "A button. Can be a text button or an image button.", "type": "object" }, "DateTimeInput": { "id": "DateTimeInput", "description": "Date and time input values. Not supported by Chat apps.", "type": "object", "properties": { "hasDate": { "type": "boolean", "description": "Whether the `datetime` input includes a calendar date." }, "msSinceEpoch": { "type": "string", "description": "Time since epoch time, in milliseconds.", "format": "int64" }, "hasTime": { "type": "boolean", "description": "Whether the `datetime` input includes a timestamp." } } }, "ActionParameter": { "properties": { "value": { "type": "string", "description": "The value of the parameter." }, "key": { "description": "The name of the parameter for the action script.", "type": "string" } }, "type": "object", "description": "List of string parameters to supply when the action method is invoked. For example, consider three snooze buttons: snooze now, snooze 1 day, snooze next week. You might use action method = snooze(), passing the snooze type and snooze time in the list of string parameters.", "id": "ActionParameter" }, "GoogleAppsCardV1Divider": { "type": "object", "id": "GoogleAppsCardV1Divider", "description": "A divider that appears in between widgets.", "properties": {} }, "User": { "type": "object", "id": "User", "properties": { "domainId": { "type": "string", "description": "Unique identifier of the user's Google Workspace domain." }, "displayName": { "description": "Output only. The user's display name.", "readOnly": true, "type": "string" }, "type": { "enumDescriptions": [ "Default value for the enum. DO NOT USE.", "Human user.", "Chat app user." ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "HUMAN", "BOT" ], "description": "User type." }, "isAnonymous": { "readOnly": true, "description": "Output only. When `true`, the user is deleted or their profile is not visible.", "type": "boolean" }, "name": { "type": "string", "description": "Resource name for a Google Chat user. Represents a [person](https://developers.google.com/people/api/rest/v1/people#Person) in the People API or a [user](https://developers.google.com/admin-sdk/directory/reference/rest/v1/users) in the Admin SDK Directory API. Formatted as: `users/{user}`" } }, "description": "A user in Google Chat." }, "GoogleAppsCardV1Intent": { "type": "object", "description": "Android intent.", "properties": { "extraData": { "description": "A list of extra data for the android intent. For example, for a calendar event edit intent, the event title information can be passed as extra data.", "type": "array", "items": { "$ref": "GoogleAppsCardV1ExtraData" } }, "intentAction": { "description": "An android intent action string for the {@link android.content.Intent} object. For example: for the view intent action type, a valid value will be android.content.Intent.ACTION_VIEW.", "type": "string" } }, "id": "GoogleAppsCardV1Intent" }, "Button": { "type": "object", "description": "A button. Can be a text button or an image button.", "id": "Button", "properties": { "imageButton": { "description": "A button with image and onclick action.", "$ref": "ImageButton" }, "textButton": { "description": "A button with text and onclick action.", "$ref": "TextButton" } } }, "SlashCommand": { "properties": { "commandId": { "description": "The id of the slash command invoked.", "type": "string", "format": "int64" } }, "description": "A [slash command](https://developers.google.com/chat/how-tos/slash-commands) in Google Chat.", "type": "object", "id": "SlashCommand" }, "OnClick": { "id": "OnClick", "type": "object", "properties": { "openLink": { "description": "This onclick triggers an open link action if specified.", "$ref": "OpenLink" }, "action": { "$ref": "FormAction", "description": "A form action will be triggered by this onclick if specified." } }, "description": "An onclick action (e.g. open a link)." }, "GoogleAppsCardV1Suggestions": { "properties": { "items": { "description": "A list of suggestions used for autocomplete recommendations.", "items": { "$ref": "GoogleAppsCardV1SuggestionItem" }, "type": "array" } }, "description": "A container wrapping elements necessary for showing suggestion items used in text input autocomplete.", "id": "GoogleAppsCardV1Suggestions", "type": "object" }, "TimeZone": { "id": "TimeZone", "type": "object", "properties": { "id": { "description": "The [IANA TZ](https://www.iana.org/time-zones) time zone database code, such as \"America/Toronto\".", "type": "string" }, "offset": { "description": "The user timezone offset, in milliseconds, from Coordinated Universal Time (UTC).", "type": "integer", "format": "int32" } }, "description": "The timezone ID and offset from Coordinated Universal Time (UTC). Not supported by Chat apps." }, "ActionResponse": { "type": "object", "id": "ActionResponse", "description": "Parameters that a Chat app can use to configure how it's response is posted.", "properties": { "url": { "type": "string", "description": "Input only. URL for users to auth or config. (Only for REQUEST_CONFIG response types.)" }, "dialogAction": { "description": "Input only. A response to an event related to a [dialog](https://developers.google.com/chat/how-tos/dialogs). Must be accompanied by `ResponseType.Dialog`.", "$ref": "DialogAction" }, "type": { "enumDescriptions": [ "Default type; will be handled as NEW_MESSAGE.", "Post as a new message in the topic.", "Update the Chat app's message. This is only permitted on a CARD_CLICKED event where the message sender type is BOT.", "Update the cards on a user's message. This is only permitted as a response to a MESSAGE event with a matched url, or a CARD_CLICKED event where the message sender type is HUMAN. Text will be ignored.", "Privately ask the user for additional auth or config.", "Presents a [dialog](https://developers.google.com/chat/how-tos/dialogs)." ], "description": "Input only. The type of Chat app response.", "type": "string", "enum": [ "TYPE_UNSPECIFIED", "NEW_MESSAGE", "UPDATE_MESSAGE", "UPDATE_USER_MESSAGE_CARDS", "REQUEST_CONFIG", "DIALOG" ] } } }, "ListMembershipsResponse": { "type": "object", "properties": { "memberships": { "description": "List of memberships in the requested (or first) page.", "items": { "$ref": "Membership" }, "type": "array" }, "nextPageToken": { "description": "Continuation token to retrieve the next page of results. It will be empty for the last page of results.", "type": "string" } }, "id": "ListMembershipsResponse" }, "DriveDataRef": { "id": "DriveDataRef", "type": "object", "properties": { "driveFileId": { "type": "string", "description": "The id for the drive file, for use with the Drive API." } }, "description": "A reference to the data of a drive attachment." }, "StringInputs": { "properties": { "value": { "items": { "type": "string" }, "description": "An array of strings entered by the user.", "type": "array" } }, "type": "object", "description": "Input parameter for regular widgets. For single-valued widgets, it is a single value list. For multi-valued widgets, such as checkbox, all the values are presented.", "id": "StringInputs" }, "Thread": { "properties": { "name": { "description": "Resource name, in the form \"spaces/*/threads/*\". Example: spaces/AAAAAAAAAAA/threads/TTTTTTTTTTT", "type": "string" } }, "id": "Thread", "description": "A thread in Google Chat.", "type": "object" }, "GoogleAppsCardV1Widget": { "type": "object", "description": "A widget is a UI element that presents texts, images, etc.", "properties": { "grid": { "description": "Displays a grid with a collection of items. For example, the following JSON creates a 2 column grid with a single item: ``` \"grid\": { \"title\": \"A fine collection of items\", \"numColumns\": 2, \"borderStyle\": { \"type\": \"STROKE\", \"cornerRadius\": 4.0 }, \"items\": [ \"image\": { \"imageUri\": \"https://www.example.com/image.png\", \"cropStyle\": { \"type\": \"SQUARE\" }, \"borderStyle\": { \"type\": \"STROKE\" } }, \"title\": \"An item\", \"textAlignment\": \"CENTER\" ], \"onClick\": { \"openLink\": { \"url\":\"https://www.example.com\" } } } ```", "$ref": "GoogleAppsCardV1Grid" }, "textParagraph": { "description": "Displays a text paragraph in this widget. For example, the following JSON creates a bolded text: ``` \"textParagraph\": { \"text\": \" *bold text*\" } ```", "$ref": "GoogleAppsCardV1TextParagraph" }, "textInput": { "$ref": "GoogleAppsCardV1TextInput", "description": "Displays a text input in this widget. For example, the following JSON creates a text input for mail address: ``` \"textInput\": { \"name\": \"mailing_address\", \"label\": \"Mailing Address\" } ``` As another example, the following JSON creates a text input for programming language with static suggestions: ``` \"textInput\": { \"name\": \"preferred_programing_language\", \"label\": \"Preferred Language\", \"initialSuggestions\": { \"items\": [ { \"text\": \"C++\" }, { \"text\": \"Java\" }, { \"text\": \"JavaScript\" }, { \"text\": \"Python\" } ] } } ```" }, "horizontalAlignment": { "description": "The horizontal alignment of this widget.", "type": "string", "enumDescriptions": [ "Unspecified alignment.", "Alignment to the start position.", "Alignment to the center position.", "Alignment to the end position." ], "enum": [ "HORIZONTAL_ALIGNMENT_UNSPECIFIED", "START", "CENTER", "END" ] }, "decoratedText": { "description": "Displays a decorated text item in this widget. For example, the following JSON creates a decorated text widget showing email address: ``` \"decoratedText\": { \"icon\": { \"knownIcon\": \"EMAIL\" }, \"topLabel\": \"Email Address\", \"content\": \"sasha@example.com\", \"bottomLabel\": \"This is a new Email address!\", \"switchWidget\": { \"name\": \"has_send_welcome_email_to_sasha\", \"selected\": false, \"controlType\": \"ControlType.CHECKBOX\" } } ```", "$ref": "GoogleAppsCardV1DecoratedText" }, "divider": { "$ref": "GoogleAppsCardV1Divider", "description": "Displays a divider. For example, the following JSON creates a divider: ``` \"divider\": { } ```" }, "image": { "$ref": "GoogleAppsCardV1Image", "description": "Displays an image in this widget. For example, the following JSON creates an image with alternative text: ``` \"image\": { \"imageUrl\": \"https://example.com/sasha.png\" \"altText\": \"Avatar for Sasha\" } ```" }, "dateTimePicker": { "$ref": "GoogleAppsCardV1DateTimePicker", "description": "Displays a selection/input widget for date/time. For example, the following JSON creates a date/time picker for an appointment time: ``` \"date_time_picker\": { \"name\": \"appointment_time\", \"label\": \"Book your appointment at:\", \"type\": \"DateTimePickerType.DATE_AND_TIME\", \"valueMsEpoch\": \"796435200000\" } ```" }, "selectionInput": { "description": "Displays a switch control in this widget. For example, the following JSON creates a dropdown selection for size: ``` \"switchControl\": { \"name\": \"size\", \"label\": \"Size\" \"type\": \"SelectionType.DROPDOWN\", \"items\": [ { \"text\": \"S\", \"value\": \"small\", \"selected\": false }, { \"text\": \"M\", \"value\": \"medium\", \"selected\": true }, { \"text\": \"L\", \"value\": \"large\", \"selected\": false }, { \"text\": \"XL\", \"value\": \"extra_large\", \"selected\": false } ] } ```", "$ref": "GoogleAppsCardV1SelectionInput" }, "buttonList": { "description": "A list of buttons. For example, the following JSON creates two buttons. The first is a filled text button and the second is an image button that opens a link: ``` \"buttonList\": { \"buttons\": [ \"button\": { \"text\": \"Edit\", \"Color\": { \"Red\": 255 \"Green\": 255 \"Blue\": 255 } \"disabled\": true }, \"button\": { \"icon\": { \"knownIcon\": \"INVITE\" \"altText\": \"check calendar\" }, \"onClick\": { \"openLink\": { \"url\": \"https://example.com/calendar\" } } }, ] } ```", "$ref": "GoogleAppsCardV1ButtonList" } }, "id": "GoogleAppsCardV1Widget" }, "GoogleAppsCardV1CardAction": { "description": "A card action is the action associated with the card. For example, an invoice card might include actions such as delete invoice, email invoice, or open the invoice in a browser.", "id": "GoogleAppsCardV1CardAction", "type": "object", "properties": { "onClick": { "$ref": "GoogleAppsCardV1OnClick", "description": "The `onClick` action for this action item." }, "actionLabel": { "type": "string", "description": "The label that displays as the action menu item." } } }, "Empty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "id": "Empty" }, "GoogleAppsCardV1CardHeader": { "description": "Represents a card header.", "id": "GoogleAppsCardV1CardHeader", "type": "object", "properties": { "imageType": { "enumDescriptions": [ "Applies no cropping to the image.", "Applies a circular mask to the image." ], "type": "string", "enum": [ "SQUARE", "CIRCLE" ], "description": "The image's type." }, "subtitle": { "description": "The subtitle of the card header.", "type": "string" }, "imageAltText": { "type": "string", "description": "The alternative text of this image which is used for accessibility." }, "title": { "description": "Required. The title of the card header. The header has a fixed height: if both a title and subtitle are specified, each takes up one line. If only the title is specified, it takes up both lines.", "type": "string" }, "imageUrl": { "description": "The URL of the image in the card header.", "type": "string" } } }, "GoogleAppsCardV1ActionParameter": { "description": "List of string parameters to supply when the action method is invoked. For example, consider three snooze buttons: snooze now, snooze 1 day, snooze next week. You might use action method = snooze(), passing the snooze type and snooze time in the list of string parameters.", "id": "GoogleAppsCardV1ActionParameter", "properties": { "key": { "description": "The name of the parameter for the action script.", "type": "string" }, "value": { "type": "string", "description": "The value of the parameter." } }, "type": "object" }, "TextParagraph": { "id": "TextParagraph", "description": "A paragraph of text. Formatted text supported.", "type": "object", "properties": { "text": { "type": "string" } } }, "GoogleAppsCardV1ButtonList": { "type": "object", "properties": { "buttons": { "type": "array", "description": "An array of buttons.", "items": { "$ref": "GoogleAppsCardV1Button" } } }, "id": "GoogleAppsCardV1ButtonList", "description": "A list of buttons layed out horizontally." }, "GoogleAppsCardV1OpenLink": { "properties": { "onClose": { "description": "Whether the client forgets about a link after opening it, or observes it until the window closes. Not supported by Chat apps.", "enum": [ "NOTHING", "RELOAD" ], "type": "string", "enumDescriptions": [ "Doesn’t reload the card after the child window closes.", "Reloads the card after the child window closes. If used in conjunction with [OpenAs.OVERLAY](/workspace/add-ons/reference/rpc/google.apps.card.v1#openas), the child window acts as a modal dialog and the main card is blocked until the child window closes." ] }, "appUri": { "description": "Represents the platform specific uri/intent to open on each client. For example: A companion_url will open in a companion window on the web. An iOS URL and android intent will open in the corresponding hosting apps. If these platform specific URLs can't be handled correctly, i.e. if the companion isn't supported on web and the hosting apps aren't available on the mobile platforms then the `uri` will open in a new browser window on all the platforms.", "$ref": "GoogleAppsCardV1AppUri" }, "openAs": { "enumDescriptions": [ "The link opens as a full size window (if that's the frame used by the client.", "The link opens as an overlay, such as a pop-up." ], "enum": [ "FULL_SIZE", "OVERLAY" ], "type": "string", "description": "How to open a link. Not supported by Chat apps." }, "url": { "description": "The URL to open.", "type": "string" } }, "type": "object", "description": "Represents an `onClick` event that opens a hyperlink.", "id": "GoogleAppsCardV1OpenLink" }, "GoogleAppsCardV1Section": { "description": "A section contains a collection of widgets that are rendered vertically in the order that they are specified. Across all platforms, cards have a narrow fixed width, so there is currently no need for layout properties, for example, float.", "type": "object", "id": "GoogleAppsCardV1Section", "properties": { "collapsible": { "type": "boolean", "description": "Indicates whether this section is collapsible. If a section is collapsible, the description must be given." }, "widgets": { "description": "A section must contain at least 1 widget.", "items": { "$ref": "GoogleAppsCardV1Widget" }, "type": "array" }, "uncollapsibleWidgetsCount": { "description": "The number of uncollapsible widgets. For example, when a section contains five widgets and the `uncollapsibleWidgetsCount` is set to `2`, the first two widgets are always shown and the last three are collapsed as default. The `uncollapsibleWidgetsCount` is taken into account only when `collapsible` is `true`.", "type": "integer", "format": "int32" }, "header": { "description": "The header of the section. Formatted text is supported.", "type": "string" } } }, "Section": { "description": "A section contains a collection of widgets that are rendered (vertically) in the order that they are specified. Across all platforms, cards have a narrow fixed width, so there is currently no need for layout properties (e.g. float).", "id": "Section", "properties": { "header": { "type": "string", "description": "The header of the section, text formatted supported." }, "widgets": { "items": { "$ref": "WidgetMarkup" }, "description": "A section must contain at least 1 widget.", "type": "array" } }, "type": "object" }, "SlashCommandMetadata": { "properties": { "bot": { "$ref": "User", "description": "The Chat app whose command was invoked." }, "commandName": { "type": "string", "description": "The name of the invoked slash command." }, "type": { "enum": [ "TYPE_UNSPECIFIED", "ADD", "INVOKE" ], "enumDescriptions": [ "Default value for the enum. DO NOT USE.", "Add Chat app to space.", "Invoke slash command in space." ], "description": "The type of slash command.", "type": "string" }, "triggersDialog": { "type": "boolean", "description": "Indicating whether the slash command is for a dialog." }, "commandId": { "format": "int64", "type": "string", "description": "The command id of the invoked slash command." } }, "description": "Annotation metadata for slash commands (/).", "id": "SlashCommandMetadata", "type": "object" }, "GoogleAppsCardV1ExtraData": { "type": "object", "properties": { "key": { "type": "string", "description": "A key for the intent extra data." }, "value": { "description": "Value for the given extra data key.", "type": "string" } }, "id": "GoogleAppsCardV1ExtraData", "description": "Extra data for an android intent. Valid keys are defined in the hosting app contract." }, "Inputs": { "id": "Inputs", "type": "object", "description": "Types of data inputs for widgets. Users enter data with these inputs.", "properties": { "stringInputs": { "$ref": "StringInputs", "description": "Input parameter for regular widgets. For single-valued widgets, it is a single value list. For multi-valued widgets, such as checkbox, all the values are presented." }, "dateInput": { "description": "Date input values. Not supported by Chat apps.", "$ref": "DateInput" }, "timeInput": { "description": "Time input values. Not supported by Chat apps.", "$ref": "TimeInput" }, "dateTimeInput": { "description": "Date and time input values. Not supported by Chat apps.", "$ref": "DateTimeInput" } } }, "TimeInput": { "type": "object", "id": "TimeInput", "properties": { "hours": { "type": "integer", "format": "int32", "description": "The hour on a 24-hour clock." }, "minutes": { "type": "integer", "format": "int32", "description": "The number of minutes past the hour. Valid values are 0 to 59." } }, "description": "Time input values. Not supported by Chat apps." }, "GoogleAppsCardV1DecoratedText": { "description": "A widget that displays text with optional decorations such as a label above or below the text, an icon in front of the text, a selection widget or a button after the text.", "properties": { "icon": { "$ref": "GoogleAppsCardV1Icon", "description": "Deprecated in favor of start_icon." }, "onClick": { "$ref": "GoogleAppsCardV1OnClick", "description": "Only the top and bottom label and content region are clickable." }, "startIcon": { "description": "The icon displayed in front of the text.", "$ref": "GoogleAppsCardV1Icon" }, "endIcon": { "description": "An icon displayed after the text.", "$ref": "GoogleAppsCardV1Icon" }, "bottomLabel": { "description": "The formatted text label that shows below the main text.", "type": "string" }, "switchControl": { "$ref": "GoogleAppsCardV1SwitchControl", "description": "A switch widget can be clicked to change its state or trigger an action." }, "topLabel": { "type": "string", "description": "The formatted text label that shows above the main text." }, "button": { "$ref": "GoogleAppsCardV1Button", "description": "A button that can be clicked to trigger an action." }, "text": { "type": "string", "description": "Required. The main widget formatted text. See Text formatting for details." }, "wrapText": { "description": "The wrap text setting. If `true`, the text is wrapped and displayed in multiline. Otherwise, the text is truncated.", "type": "boolean" } }, "id": "GoogleAppsCardV1DecoratedText", "type": "object" }, "DateInput": { "type": "object", "description": "Date input values. Not supported by Chat apps.", "id": "DateInput", "properties": { "msSinceEpoch": { "description": "Time since epoch time, in milliseconds.", "type": "string", "format": "int64" } } }, "FormAction": { "properties": { "parameters": { "description": "List of action parameters.", "items": { "$ref": "ActionParameter" }, "type": "array" }, "actionMethodName": { "description": "The method name is used to identify which part of the form triggered the form submission. This information is echoed back to the Chat app as part of the card click event. The same method name can be used for several elements that trigger a common behavior if desired.", "type": "string" } }, "type": "object", "id": "FormAction", "description": "A form action describes the behavior when the form is submitted. For example, an Apps Script can be invoked to handle the form." } }, "title": "Google Chat API", "ownerName": "Google", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "protocol": "rest", "servicePath": "", "name": "chat", "version_module": true, "batchPath": "batch", "baseUrl": "https://chat.googleapis.com/", "parameters": { "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "prettyPrint": { "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "alt": { "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ], "location": "query", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "$.xgafv": { "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "enum": [ "1", "2" ] }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" } }, "mtlsRootUrl": "https://chat.mtls.googleapis.com/", "ownerDomain": "google.com", "description": "Enables apps to fetch information and perform actions in Google Chat. Authentication is a prerequisite for using the Google Chat REST API.", "rootUrl": "https://chat.googleapis.com/", "canonicalName": "Hangouts Chat", "kind": "discovery#restDescription", "fullyEncodeReservedExpansion": true, "id": "chat:v1", "resources": { "spaces": { "methods": { "list": { "response": { "$ref": "ListSpacesResponse" }, "path": "v1/spaces", "parameterOrder": [], "flatPath": "v1/spaces", "parameters": { "pageToken": { "type": "string", "description": "Optional. A token identifying a page of results the server should return.", "location": "query" }, "pageSize": { "type": "integer", "description": "Optional. Requested page size. The value is capped at 1000. Server may return fewer results than requested. If unspecified, server will default to 100.", "format": "int32", "location": "query" } }, "id": "chat.spaces.list", "httpMethod": "GET", "description": "Lists spaces the caller is a member of. Requires [service account authentication](https://developers.google.com/chat/api/guides/auth/service-accounts)." }, "webhooks": { "request": { "$ref": "Message" }, "description": "Legacy path for creating message. Calling these will result in a BadRequest response.", "parameters": { "threadKey": { "type": "string", "location": "query", "description": "Optional. Opaque thread identifier. To start or add to a thread, create a message and specify a `threadKey` instead of thread.name. (Setting thread.name has no effect.) The first message with a given `threadKey` starts a new thread. Subsequent messages with the same `threadKey` post into the same thread." }, "parent": { "type": "string", "pattern": "^spaces/[^/]+$", "description": "Required. Space resource name, in the form \"spaces/*\". Example: spaces/AAAAAAAAAAA", "required": true, "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "Optional. A unique request ID for this message. Specifying an existing request ID returns the message created with that ID instead of creating a new message." } }, "id": "chat.spaces.webhooks", "response": { "$ref": "Message" }, "flatPath": "v1/spaces/{spacesId}/webhooks", "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/webhooks" }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "pattern": "^spaces/[^/]+$", "required": true, "description": "Required. Resource name of the space, in the form \"spaces/*\". Format: spaces/{space}", "location": "path" } }, "id": "chat.spaces.get", "response": { "$ref": "Space" }, "flatPath": "v1/spaces/{spacesId}", "path": "v1/{+name}", "description": "Returns a space. Requires [service account authentication](https://developers.google.com/chat/api/guides/auth/service-accounts)." } }, "resources": { "members": { "methods": { "get": { "description": "Returns a membership. Requires [service account authentication](https://developers.google.com/chat/api/guides/auth/service-accounts).", "id": "chat.spaces.members.get", "path": "v1/{+name}", "httpMethod": "GET", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^spaces/[^/]+/members/[^/]+$", "required": true, "description": "Required. Resource name of the membership to retrieve. Format: spaces/{space}/members/{member}" } }, "parameterOrder": [ "name" ], "flatPath": "v1/spaces/{spacesId}/members/{membersId}", "response": { "$ref": "Membership" } }, "list": { "id": "chat.spaces.members.list", "description": "Lists human memberships in a space. Requires [service account authentication](https://developers.google.com/chat/api/guides/auth/service-accounts).", "flatPath": "v1/spaces/{spacesId}/members", "parameterOrder": [ "parent" ], "response": { "$ref": "ListMembershipsResponse" }, "httpMethod": "GET", "parameters": { "parent": { "description": "Required. The resource name of the space for which to fetch a membership list. Format: spaces/{space}", "type": "string", "pattern": "^spaces/[^/]+$", "required": true, "location": "path" }, "pageToken": { "description": "A token identifying a page of results the server should return.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "Requested page size. The value is capped at 1000. Server may return fewer results than requested. If unspecified, server will default to 100.", "format": "int32" } }, "path": "v1/{+parent}/members" } } }, "messages": { "resources": { "attachments": { "methods": { "get": { "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^spaces/[^/]+/messages/[^/]+/attachments/[^/]+$", "description": "Required. Resource name of the attachment, in the form \"spaces/*/messages/*/attachments/*\"." } }, "httpMethod": "GET", "description": "Gets the metadata of a message attachment. The attachment data is fetched using the media API. Requires [service account authentication](https://developers.google.com/chat/api/guides/auth/service-accounts).", "id": "chat.spaces.messages.attachments.get", "flatPath": "v1/spaces/{spacesId}/messages/{messagesId}/attachments/{attachmentsId}", "parameterOrder": [ "name" ], "response": { "$ref": "Attachment" }, "path": "v1/{+name}" } } } }, "methods": { "get": { "flatPath": "v1/spaces/{spacesId}/messages/{messagesId}", "path": "v1/{+name}", "id": "chat.spaces.messages.get", "parameterOrder": [ "name" ], "response": { "$ref": "Message" }, "parameters": { "name": { "required": true, "type": "string", "description": "Required. Resource name of the message to be retrieved, in the form \"spaces/*/messages/*\". Example: spaces/AAAAAAAAAAA/messages/BBBBBBBBBBB.BBBBBBBBBBB", "pattern": "^spaces/[^/]+/messages/[^/]+$", "location": "path" } }, "httpMethod": "GET", "description": "Returns a message. Requires [service account authentication](https://developers.google.com/chat/api/guides/auth/service-accounts)." }, "update": { "httpMethod": "PUT", "id": "chat.spaces.messages.update", "response": { "$ref": "Message" }, "request": { "$ref": "Message" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/spaces/{spacesId}/messages/{messagesId}", "description": "Updates a message. Requires [service account authentication](https://developers.google.com/chat/api/guides/auth/service-accounts).", "parameters": { "updateMask": { "description": "Required. The field paths to update. Separate multiple values with commas. Currently supported field paths: - text - cards (Requires [service account authentication](/chat/api/guides/auth/service-accounts).) - attachment", "format": "google-fieldmask", "type": "string", "location": "query" }, "name": { "location": "path", "required": true, "type": "string", "description": "Resource name in the form `spaces/*/messages/*`. Example: `spaces/AAAAAAAAAAA/messages/BBBBBBBBBBB.BBBBBBBBBBB`", "pattern": "^spaces/[^/]+/messages/[^/]+$" } } }, "create": { "response": { "$ref": "Message" }, "id": "chat.spaces.messages.create", "request": { "$ref": "Message" }, "httpMethod": "POST", "description": "Creates a message. Requires [service account authentication](https://developers.google.com/chat/api/guides/auth/service-accounts).", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/messages", "flatPath": "v1/spaces/{spacesId}/messages", "parameters": { "threadKey": { "description": "Optional. Opaque thread identifier. To start or add to a thread, create a message and specify a `threadKey` instead of thread.name. (Setting thread.name has no effect.) The first message with a given `threadKey` starts a new thread. Subsequent messages with the same `threadKey` post into the same thread.", "type": "string", "location": "query" }, "requestId": { "description": "Optional. A unique request ID for this message. Specifying an existing request ID returns the message created with that ID instead of creating a new message.", "location": "query", "type": "string" }, "parent": { "type": "string", "location": "path", "required": true, "pattern": "^spaces/[^/]+$", "description": "Required. Space resource name, in the form \"spaces/*\". Example: spaces/AAAAAAAAAAA" } } }, "delete": { "httpMethod": "DELETE", "parameters": { "name": { "pattern": "^spaces/[^/]+/messages/[^/]+$", "required": true, "type": "string", "description": "Required. Resource name of the message to be deleted, in the form \"spaces/*/messages/*\" Example: spaces/AAAAAAAAAAA/messages/BBBBBBBBBBB.BBBBBBBBBBB", "location": "path" } }, "id": "chat.spaces.messages.delete", "path": "v1/{+name}", "description": "Deletes a message. Requires [service account authentication](https://developers.google.com/chat/api/guides/auth/service-accounts).", "flatPath": "v1/spaces/{spacesId}/messages/{messagesId}", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" } } } } } }, "rooms": { "methods": { "webhooks": { "httpMethod": "POST", "parameters": { "parent": { "required": true, "description": "Required. Space resource name, in the form \"spaces/*\". Example: spaces/AAAAAAAAAAA", "pattern": "^rooms/[^/]+$", "type": "string", "location": "path" }, "threadKey": { "location": "query", "type": "string", "description": "Optional. Opaque thread identifier. To start or add to a thread, create a message and specify a `threadKey` instead of thread.name. (Setting thread.name has no effect.) The first message with a given `threadKey` starts a new thread. Subsequent messages with the same `threadKey` post into the same thread." }, "requestId": { "location": "query", "type": "string", "description": "Optional. A unique request ID for this message. Specifying an existing request ID returns the message created with that ID instead of creating a new message." } }, "id": "chat.rooms.webhooks", "parameterOrder": [ "parent" ], "response": { "$ref": "Message" }, "flatPath": "v1/rooms/{roomsId}/webhooks", "description": "Legacy path for creating message. Calling these will result in a BadRequest response.", "path": "v1/{+parent}/webhooks", "request": { "$ref": "Message" } }, "messages": { "parameterOrder": [ "parent" ], "path": "v1/{+parent}/messages", "response": { "$ref": "Message" }, "httpMethod": "POST", "flatPath": "v1/rooms/{roomsId}/messages", "request": { "$ref": "Message" }, "description": "Legacy path for creating message. Calling these will result in a BadRequest response.", "parameters": { "parent": { "location": "path", "description": "Required. Space resource name, in the form \"spaces/*\". Example: spaces/AAAAAAAAAAA", "required": true, "type": "string", "pattern": "^rooms/[^/]+$" }, "requestId": { "type": "string", "description": "Optional. A unique request ID for this message. Specifying an existing request ID returns the message created with that ID instead of creating a new message.", "location": "query" }, "threadKey": { "description": "Optional. Opaque thread identifier. To start or add to a thread, create a message and specify a `threadKey` instead of thread.name. (Setting thread.name has no effect.) The first message with a given `threadKey` starts a new thread. Subsequent messages with the same `threadKey` post into the same thread.", "location": "query", "type": "string" } }, "id": "chat.rooms.messages" } }, "resources": { "conversations": { "methods": { "messages": { "flatPath": "v1/rooms/{roomsId}/conversations/{conversationsId}/messages", "path": "v1/{+parent}/messages", "description": "Legacy path for creating message. Calling these will result in a BadRequest response.", "request": { "$ref": "Message" }, "parameters": { "requestId": { "type": "string", "description": "Optional. A unique request ID for this message. Specifying an existing request ID returns the message created with that ID instead of creating a new message.", "location": "query" }, "threadKey": { "location": "query", "description": "Optional. Opaque thread identifier. To start or add to a thread, create a message and specify a `threadKey` instead of thread.name. (Setting thread.name has no effect.) The first message with a given `threadKey` starts a new thread. Subsequent messages with the same `threadKey` post into the same thread.", "type": "string" }, "parent": { "type": "string", "description": "Required. Space resource name, in the form \"spaces/*\". Example: spaces/AAAAAAAAAAA", "pattern": "^rooms/[^/]+/conversations/[^/]+$", "location": "path", "required": true } }, "id": "chat.rooms.conversations.messages", "response": { "$ref": "Message" }, "parameterOrder": [ "parent" ], "httpMethod": "POST" } } } } }, "media": { "methods": { "download": { "parameterOrder": [ "resourceName" ], "description": "Downloads media. Download is supported on the URI `/v1/media/{+name}?alt=media`.", "supportsMediaDownload": true, "id": "chat.media.download", "flatPath": "v1/media/{mediaId}", "parameters": { "resourceName": { "pattern": "^.*$", "type": "string", "description": "Name of the media that is being downloaded. See ReadRequest.resource_name.", "location": "path", "required": true } }, "path": "v1/media/{+resourceName}", "httpMethod": "GET", "response": { "$ref": "Media" } } } }, "dms": { "resources": { "conversations": { "methods": { "messages": { "request": { "$ref": "Message" }, "description": "Legacy path for creating message. Calling these will result in a BadRequest response.", "id": "chat.dms.conversations.messages", "path": "v1/{+parent}/messages", "flatPath": "v1/dms/{dmsId}/conversations/{conversationsId}/messages", "parameterOrder": [ "parent" ], "parameters": { "parent": { "description": "Required. Space resource name, in the form \"spaces/*\". Example: spaces/AAAAAAAAAAA", "location": "path", "type": "string", "required": true, "pattern": "^dms/[^/]+/conversations/[^/]+$" }, "requestId": { "type": "string", "location": "query", "description": "Optional. A unique request ID for this message. Specifying an existing request ID returns the message created with that ID instead of creating a new message." }, "threadKey": { "type": "string", "location": "query", "description": "Optional. Opaque thread identifier. To start or add to a thread, create a message and specify a `threadKey` instead of thread.name. (Setting thread.name has no effect.) The first message with a given `threadKey` starts a new thread. Subsequent messages with the same `threadKey` post into the same thread." } }, "httpMethod": "POST", "response": { "$ref": "Message" } } } } }, "methods": { "messages": { "parameterOrder": [ "parent" ], "parameters": { "requestId": { "description": "Optional. A unique request ID for this message. Specifying an existing request ID returns the message created with that ID instead of creating a new message.", "location": "query", "type": "string" }, "parent": { "required": true, "location": "path", "description": "Required. Space resource name, in the form \"spaces/*\". Example: spaces/AAAAAAAAAAA", "pattern": "^dms/[^/]+$", "type": "string" }, "threadKey": { "description": "Optional. Opaque thread identifier. To start or add to a thread, create a message and specify a `threadKey` instead of thread.name. (Setting thread.name has no effect.) The first message with a given `threadKey` starts a new thread. Subsequent messages with the same `threadKey` post into the same thread.", "location": "query", "type": "string" } }, "description": "Legacy path for creating message. Calling these will result in a BadRequest response.", "flatPath": "v1/dms/{dmsId}/messages", "httpMethod": "POST", "id": "chat.dms.messages", "request": { "$ref": "Message" }, "response": { "$ref": "Message" }, "path": "v1/{+parent}/messages" }, "webhooks": { "parameterOrder": [ "parent" ], "parameters": { "requestId": { "description": "Optional. A unique request ID for this message. Specifying an existing request ID returns the message created with that ID instead of creating a new message.", "location": "query", "type": "string" }, "threadKey": { "location": "query", "type": "string", "description": "Optional. Opaque thread identifier. To start or add to a thread, create a message and specify a `threadKey` instead of thread.name. (Setting thread.name has no effect.) The first message with a given `threadKey` starts a new thread. Subsequent messages with the same `threadKey` post into the same thread." }, "parent": { "required": true, "pattern": "^dms/[^/]+$", "location": "path", "description": "Required. Space resource name, in the form \"spaces/*\". Example: spaces/AAAAAAAAAAA", "type": "string" } }, "response": { "$ref": "Message" }, "request": { "$ref": "Message" }, "id": "chat.dms.webhooks", "flatPath": "v1/dms/{dmsId}/webhooks", "path": "v1/{+parent}/webhooks", "description": "Legacy path for creating message. Calling these will result in a BadRequest response.", "httpMethod": "POST" } } } }, "version": "v1", "discoveryVersion": "v1", "revision": "20220706" }
]===]))
