local decode = require("cjson").new().decode
return assert(decode([===[
{ "parameters": { "$.xgafv": { "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "alt": { "default": "json", "description": "Data format for response.", "location": "query", "enum": [ "json", "media", "proto" ], "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" } }, "version": "v1", "documentationLink": "http://developers.google.com/chrome/policy", "id": "chromepolicy:v1", "servicePath": "", "name": "chromepolicy", "protocol": "rest", "mtlsRootUrl": "https://chromepolicy.mtls.googleapis.com/", "resources": { "customers": { "resources": { "policySchemas": { "methods": { "get": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/chrome.management.policy", "https://www.googleapis.com/auth/chrome.management.policy.readonly" ], "httpMethod": "GET", "id": "chromepolicy.customers.policySchemas.get", "response": { "$ref": "GoogleChromePolicyV1PolicySchema" }, "flatPath": "v1/customers/{customersId}/policySchemas/{policySchemasId}", "description": "Get a specific policy schema for a customer by its resource name.", "path": "v1/{+name}", "parameters": { "name": { "type": "string", "description": "Required. The policy schema resource name to query.", "location": "path", "required": true, "pattern": "^customers/[^/]+/policySchemas/.*$" } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/chrome.management.policy", "https://www.googleapis.com/auth/chrome.management.policy.readonly" ], "flatPath": "v1/customers/{customersId}/policySchemas", "response": { "$ref": "GoogleChromePolicyV1ListPolicySchemasResponse" }, "description": "Gets a list of policy schemas that match a specified filter value for a given customer.", "parameters": { "parent": { "description": "Required. The customer for which the listing request will apply.", "location": "path", "type": "string", "pattern": "^customers/[^/]+$", "required": true }, "pageToken": { "description": "The page token used to retrieve a specific page of the listing request.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "description": "The maximum number of policy schemas to return.", "format": "int32", "type": "integer" }, "filter": { "description": "The schema filter used to find a particular schema based on fields like its resource name, description and `additionalTargetKeyNames`.", "location": "query", "type": "string" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/policySchemas", "id": "chromepolicy.customers.policySchemas.list" } } }, "policies": { "resources": { "orgunits": { "methods": { "batchInherit": { "path": "v1/{+customer}/policies/orgunits:batchInherit", "flatPath": "v1/customers/{customersId}/policies/orgunits:batchInherit", "scopes": [ "https://www.googleapis.com/auth/chrome.management.policy" ], "request": { "$ref": "GoogleChromePolicyV1BatchInheritOrgUnitPoliciesRequest" }, "parameters": { "customer": { "required": true, "location": "path", "pattern": "^customers/[^/]+$", "type": "string", "description": "ID of the G Suite account or literal \"my_customer\" for the customer associated to the request." } }, "id": "chromepolicy.customers.policies.orgunits.batchInherit", "parameterOrder": [ "customer" ], "httpMethod": "POST", "description": "Modify multiple policy values that are applied to a specific org unit so that they now inherit the value from a parent (if applicable). All targets must have the same target format. That is to say that they must point to the same target resource and must have the same keys specified in `additionalTargetKeyNames`, though the values for those keys may be different. On failure the request will return the error details as part of the google.rpc.Status.", "response": { "$ref": "GoogleProtobufEmpty" } }, "batchModify": { "flatPath": "v1/customers/{customersId}/policies/orgunits:batchModify", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Modify multiple policy values that are applied to a specific org unit. All targets must have the same target format. That is to say that they must point to the same target resource and must have the same keys specified in `additionalTargetKeyNames`, though the values for those keys may be different. On failure the request will return the error details as part of the google.rpc.Status.", "request": { "$ref": "GoogleChromePolicyV1BatchModifyOrgUnitPoliciesRequest" }, "path": "v1/{+customer}/policies/orgunits:batchModify", "parameters": { "customer": { "type": "string", "description": "ID of the G Suite account or literal \"my_customer\" for the customer associated to the request.", "pattern": "^customers/[^/]+$", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/chrome.management.policy" ], "parameterOrder": [ "customer" ], "id": "chromepolicy.customers.policies.orgunits.batchModify", "httpMethod": "POST" } } } }, "methods": { "resolve": { "httpMethod": "POST", "parameterOrder": [ "customer" ], "response": { "$ref": "GoogleChromePolicyV1ResolveResponse" }, "id": "chromepolicy.customers.policies.resolve", "request": { "$ref": "GoogleChromePolicyV1ResolveRequest" }, "parameters": { "customer": { "required": true, "type": "string", "description": "ID of the G Suite account or literal \"my_customer\" for the customer associated to the request.", "location": "path", "pattern": "^customers/[^/]+$" } }, "flatPath": "v1/customers/{customersId}/policies:resolve", "scopes": [ "https://www.googleapis.com/auth/chrome.management.policy", "https://www.googleapis.com/auth/chrome.management.policy.readonly" ], "description": "Gets the resolved policy values for a list of policies that match a search query.", "path": "v1/{+customer}/policies:resolve" } } } } } }, "kind": "discovery#restDescription", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "version_module": true, "canonicalName": "Chrome Policy", "batchPath": "batch", "baseUrl": "https://chromepolicy.googleapis.com/", "discoveryVersion": "v1", "ownerName": "Google", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/chrome.management.policy.readonly": { "description": "See policies applied to Chrome OS and Chrome Browsers managed within your organization" }, "https://www.googleapis.com/auth/chrome.management.policy": { "description": "See, edit, create or delete policies applied to Chrome OS and Chrome Browsers managed within your organization" } } } }, "title": "Chrome Policy API", "revision": "20220711", "ownerDomain": "google.com", "description": "The Chrome Policy API is a suite of services that allows Chrome administrators to control the policies applied to their managed Chrome OS devices and Chrome browsers.", "basePath": "", "fullyEncodeReservedExpansion": true, "schemas": { "GoogleChromePolicyV1ResolveRequest": { "id": "GoogleChromePolicyV1ResolveRequest", "type": "object", "description": "Request message for getting the resolved policy value for a specific target.", "properties": { "policyTargetKey": { "$ref": "GoogleChromePolicyV1PolicyTargetKey", "description": "Required. The key of the target resource on which the policies should be resolved. The target resource must point to an Org Unit." }, "policySchemaFilter": { "description": "The schema filter to apply to the resolve request. Specify a schema name to view a particular schema, for example: chrome.users.ShowLogoutButton Wildcards are supported, but only in the leaf portion of the schema name. Wildcards cannot be used in namespace directly. Please read https://developers.google.com/chrome/policy/guides/policy-schemas for details on schema namepsaces. For example: Valid: \"chrome.users.*\", \"chrome.users.apps.*\", \"chrome.printers.*\" Invalid: \"*\", \"*.users\", \"chrome.*\", \"chrome.*.apps.*\"", "type": "string" }, "pageSize": { "description": "The maximum number of policies to return, defaults to 100 and has a maximum of 1000.", "format": "int32", "type": "integer" }, "pageToken": { "type": "string", "description": "The page token used to retrieve a specific page of the request." } } }, "GoogleChromePolicyV1ListPolicySchemasResponse": { "type": "object", "description": "Response message for listing policy schemas that match a filter.", "id": "GoogleChromePolicyV1ListPolicySchemasResponse", "properties": { "policySchemas": { "type": "array", "description": "The list of policy schemas that match the query.", "items": { "$ref": "GoogleChromePolicyV1PolicySchema" } }, "nextPageToken": { "type": "string", "description": "The page token used to get the next page of policy schemas." } } }, "GoogleChromePolicyV1PolicyValue": { "description": "A particular value for a policy managed by the service.", "type": "object", "properties": { "value": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "The value of the policy that is compatible with the schema that it is associated with." }, "policySchema": { "description": "The fully qualified name of the policy schema associated with this policy.", "type": "string" } }, "id": "GoogleChromePolicyV1PolicyValue" }, "GoogleProtobufEmpty": { "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "GoogleProtobufEmpty" }, "GoogleChromePolicyV1AdditionalTargetKeyName": { "type": "object", "description": "Additional key names that will be used to identify the target of the policy value.", "id": "GoogleChromePolicyV1AdditionalTargetKeyName", "properties": { "key": { "type": "string", "description": "Key name." }, "keyDescription": { "description": "Key description.", "type": "string" } } }, "GoogleChromePolicyV1PolicySchemaRequiredItems": { "id": "GoogleChromePolicyV1PolicySchemaRequiredItems", "type": "object", "description": "The fields that will become required based on the value of this field.", "properties": { "requiredFields": { "type": "array", "description": "The fields that are required as a consequence of the field conditions.", "items": { "type": "string" } }, "fieldConditions": { "items": { "type": "string" }, "type": "array", "description": "The value(s) of the field that provoke required field enforcement. An empty field_conditions implies that any value assigned to this field will provoke required field enforcement." } } }, "GoogleChromePolicyV1PolicySchemaFieldDependencies": { "type": "object", "description": "The field and the value it must have for another field to be allowed to be set.", "properties": { "sourceField": { "description": "The source field which this field depends on.", "type": "string" }, "sourceFieldValue": { "description": "The value which the source field must have for this field to be allowed to be set.", "type": "string" } }, "id": "GoogleChromePolicyV1PolicySchemaFieldDependencies" }, "GoogleChromePolicyV1InheritOrgUnitPolicyRequest": { "id": "GoogleChromePolicyV1InheritOrgUnitPolicyRequest", "properties": { "policyTargetKey": { "$ref": "GoogleChromePolicyV1PolicyTargetKey", "description": "Required. The key of the target for which we want to modify a policy. The target resource must point to an Org Unit." }, "policySchema": { "type": "string", "description": "The fully qualified name of the policy schema that is being inherited." } }, "type": "object", "description": "Request parameters for inheriting policy value of a specific org unit target from the policy value of its parent org unit." }, "GoogleTypeDate": { "properties": { "month": { "type": "integer", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "format": "int32" }, "day": { "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer" }, "year": { "format": "int32", "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year." } }, "id": "GoogleTypeDate", "type": "object", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp" }, "Proto2FieldDescriptorProto": { "properties": { "name": { "type": "string" }, "label": { "enumDescriptions": [ "0 is reserved for errors", "", "" ], "enum": [ "LABEL_OPTIONAL", "LABEL_REQUIRED", "LABEL_REPEATED" ], "type": "string" }, "typeName": { "description": "For message and enum types, this is the name of the type. If the name starts with a '.', it is fully-qualified. Otherwise, C++-like scoping rules are used to find the type (i.e. first the nested types within this message are searched, then within the parent, on up to the root namespace).", "type": "string" }, "type": { "description": "If type_name is set, this need not be set. If both this and type_name are set, this must be one of TYPE_ENUM, TYPE_MESSAGE or TYPE_GROUP.", "enumDescriptions": [ "0 is reserved for errors. Order is weird for historical reasons.", "", "Not ZigZag encoded. Negative numbers take 10 bytes. Use TYPE_SINT64 if negative values are likely.", "", "Not ZigZag encoded. Negative numbers take 10 bytes. Use TYPE_SINT32 if negative values are likely.", "", "", "", "", "Tag-delimited aggregate. Group type is deprecated and not supported in proto3. However, Proto3 implementations should still be able to parse the group wire format and treat group fields as unknown fields.", "Length-delimited aggregate.", "New in version 2.", "", "", "", "", "Uses ZigZag encoding.", "Uses ZigZag encoding." ], "type": "string", "enum": [ "TYPE_DOUBLE", "TYPE_FLOAT", "TYPE_INT64", "TYPE_UINT64", "TYPE_INT32", "TYPE_FIXED64", "TYPE_FIXED32", "TYPE_BOOL", "TYPE_STRING", "TYPE_GROUP", "TYPE_MESSAGE", "TYPE_BYTES", "TYPE_UINT32", "TYPE_ENUM", "TYPE_SFIXED32", "TYPE_SFIXED64", "TYPE_SINT32", "TYPE_SINT64" ] }, "oneofIndex": { "format": "int32", "description": "If set, gives the index of a oneof in the containing type's oneof_decl list. This field is a member of that oneof.", "type": "integer" }, "defaultValue": { "type": "string", "description": "For numeric types, contains the original text representation of the value. For booleans, \"true\" or \"false\". For strings, contains the default text contents (not escaped in any way). For bytes, contains the C escaped value. All bytes \u003e= 128 are escaped." }, "jsonName": { "type": "string", "description": "JSON name of this field. The value is set by protocol compiler. If the user has set a \"json_name\" option on this field, that option's value will be used. Otherwise, it's deduced from the field's name by converting it to camelCase." }, "proto3Optional": { "type": "boolean", "description": "If true, this is a proto3 \"optional\". When a proto3 field is optional, it tracks presence regardless of field type. When proto3_optional is true, this field must be belong to a oneof to signal to old proto3 clients that presence is tracked for this field. This oneof is known as a \"synthetic\" oneof, and this field must be its sole member (each proto3 optional field gets its own synthetic oneof). Synthetic oneofs exist in the descriptor only, and do not generate any API. Synthetic oneofs must be ordered after all \"real\" oneofs. For message fields, proto3_optional doesn't create any semantic change, since non-repeated message fields always track presence. However it still indicates the semantic detail of whether the user wrote \"optional\" or not. This can be useful for round-tripping the .proto file. For consistency we give message fields a synthetic oneof also, even though it is not required to track presence. This is especially important because the parser can't tell if a field is a message or an enum, so it must always create a synthetic oneof. Proto2 optional fields do not set this flag, because they already indicate optional with `LABEL_OPTIONAL`." }, "number": { "type": "integer", "format": "int32" } }, "description": "Describes a field within a message.", "type": "object", "id": "Proto2FieldDescriptorProto" }, "GoogleChromePolicyV1ResolveResponse": { "properties": { "resolvedPolicies": { "items": { "$ref": "GoogleChromePolicyV1ResolvedPolicy" }, "type": "array", "description": "The list of resolved policies found by the resolve request." }, "nextPageToken": { "type": "string", "description": "The page token used to get the next set of resolved policies found by the request." } }, "type": "object", "id": "GoogleChromePolicyV1ResolveResponse", "description": "Response message for getting the resolved policy value for a specific target." }, "Proto2EnumValueDescriptorProto": { "description": "Describes a value within an enum.", "properties": { "name": { "type": "string" }, "number": { "type": "integer", "format": "int32" } }, "id": "Proto2EnumValueDescriptorProto", "type": "object" }, "GoogleChromePolicyV1PolicySchemaFieldDescription": { "description": "Provides detailed information for a particular field that is part of a PolicySchema.", "type": "object", "properties": { "fieldDependencies": { "items": { "$ref": "GoogleChromePolicyV1PolicySchemaFieldDependencies" }, "readOnly": true, "description": "Output only. Provides a list of fields and values. At least one of the fields must have the corresponding value in order for this field to be allowed to be set.", "type": "array" }, "knownValueDescriptions": { "readOnly": true, "description": "Output only. If the field has a set of known values, this field will provide a description for these values.", "items": { "$ref": "GoogleChromePolicyV1PolicySchemaFieldKnownValueDescription" }, "type": "array" }, "nestedFieldDescriptions": { "readOnly": true, "type": "array", "items": { "$ref": "GoogleChromePolicyV1PolicySchemaFieldDescription" }, "description": "Output only. Provides the description of the fields nested in this field, if the field is a message type that defines multiple fields." }, "inputConstraint": { "description": "Output only. Any input constraints associated on the values for the field.", "type": "string", "readOnly": true }, "field": { "description": "Output only. The name of the field for associated with this description.", "type": "string", "readOnly": true }, "requiredItems": { "readOnly": true, "type": "array", "description": "Output only. Provides a list of fields that are required to be set if this field has a certain value.", "items": { "$ref": "GoogleChromePolicyV1PolicySchemaRequiredItems" } }, "description": { "description": "Output only. The description for the field.", "readOnly": true, "type": "string" } }, "id": "GoogleChromePolicyV1PolicySchemaFieldDescription" }, "GoogleChromePolicyV1ResolvedPolicy": { "id": "GoogleChromePolicyV1ResolvedPolicy", "type": "object", "description": "The resolved value of a policy for a given target.", "properties": { "addedSourceKey": { "readOnly": true, "description": "Output only. The added source key establishes at which level an entity was explicitly added for management. This is useful for certain type of policies that are only applied if they are explicitly added for management. For example: apps and networks. An entity can only be deleted from management in an Organizational Unit that it was explicitly added to. If this is not present it means that the policy is managed without the need to explicitly add an entity, for example: standard user or device policies.", "$ref": "GoogleChromePolicyV1PolicyTargetKey" }, "targetKey": { "readOnly": true, "description": "Output only. The target resource for which the resolved policy value applies.", "$ref": "GoogleChromePolicyV1PolicyTargetKey" }, "value": { "description": "Output only. The resolved value of the policy.", "$ref": "GoogleChromePolicyV1PolicyValue", "readOnly": true }, "sourceKey": { "$ref": "GoogleChromePolicyV1PolicyTargetKey", "readOnly": true, "description": "Output only. The source resource from which this policy value is obtained. May be the same as `targetKey` if the policy is directly modified on the target, otherwise it would be another resource from which the policy gets its value (if applicable). If not present, the source is the default value for the customer." } } }, "GoogleChromePolicyV1BatchInheritOrgUnitPoliciesRequest": { "type": "object", "properties": { "requests": { "items": { "$ref": "GoogleChromePolicyV1InheritOrgUnitPolicyRequest" }, "type": "array", "description": "List of policies that have to inherit their values as defined by the `requests`. All requests in the list must follow these restrictions: 1. All schemas in the list must have the same root namespace. 2. All `policyTargetKey.targetResource` values must point to an org unit resource. 3. All `policyTargetKey` values must have the same key names in the ` additionalTargetKeys`. This also means if one of the targets has an empty `additionalTargetKeys` map, all of the targets must have an empty `additionalTargetKeys` map. 4. No two modification requests can reference the same `policySchema` + ` policyTargetKey` pair. " } }, "id": "GoogleChromePolicyV1BatchInheritOrgUnitPoliciesRequest", "description": "Request message for specifying that multiple policy values inherit their value from their parents." }, "ChromeCrosDpanelAutosettingsProtoPolicyApiLifecycle": { "properties": { "endSupport": { "$ref": "GoogleTypeDate", "description": "End supporting date for current policy." }, "policyApiLifecycleStage": { "type": "string", "enumDescriptions": [ "unspecified.", "Policy is not working yet, but giving developers heads up on format. This stage can transfer to API_DEVELOPEMNT or API_CURRENT.", "Policy can change format in backward incompatible way (breaking change). This stage can transfer to API_CURRENT or API_DEPRECATED. This could be used for policies launched only to TTs or launched to selected customers for emergency usage.", "Policy in official format. Policy can change format in backward compatible way (non-breaking change). Example: this policy can introduce a new field, which is considered non-breaking change, when field masks are properly utilized. This stage can transfer to API_DEPRECATED.", "Please stop using this policy. This policy is deprecated and may/will be removed in the future. Most likely a new policy was introduced to replace this one." ], "enum": [ "API_UNSPECIFIED", "API_PREVIEW", "API_DEVELOPMENT", "API_CURRENT", "API_DEPRECATED" ], "description": "Indicate current life cycle stage of the policy API." }, "description": { "type": "string", "description": "Description about current life cycle." } }, "type": "object", "id": "ChromeCrosDpanelAutosettingsProtoPolicyApiLifecycle" }, "Proto2FileDescriptorProto": { "properties": { "messageType": { "items": { "$ref": "Proto2DescriptorProto" }, "type": "array", "description": "All top-level definitions in this file." }, "name": { "description": "file name, relative to root of source tree", "type": "string" }, "syntax": { "description": "The syntax of the proto file. The supported values are \"proto2\", \"proto3\", and \"editions\". If `edition` is present, this value must be \"editions\".", "type": "string" }, "enumType": { "type": "array", "items": { "$ref": "Proto2EnumDescriptorProto" } }, "package": { "description": "e.g. \"foo\", \"foo.bar\", etc.", "type": "string" } }, "id": "Proto2FileDescriptorProto", "description": "Describes a complete .proto file.", "type": "object" }, "GoogleChromePolicyV1PolicyTargetKey": { "type": "object", "description": "The key used to identify the target on which the policy will be applied.", "id": "GoogleChromePolicyV1PolicyTargetKey", "properties": { "additionalTargetKeys": { "description": "Map containing the additional target key name and value pairs used to further identify the target of the policy.", "additionalProperties": { "type": "string" }, "type": "object" }, "targetResource": { "description": "The target resource on which this policy is applied. The following resources are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Organizational Unit (\"orgunits/{orgunit_id}\")", "type": "string" } } }, "GoogleChromePolicyV1PolicySchemaFieldKnownValueDescription": { "type": "object", "properties": { "description": { "readOnly": true, "type": "string", "description": "Output only. Additional description for this value." }, "value": { "type": "string", "readOnly": true, "description": "Output only. The string represenstation of the value that can be set for the field." } }, "id": "GoogleChromePolicyV1PolicySchemaFieldKnownValueDescription", "description": "Provides detailed information about a known value that is allowed for a particular field in a PolicySchema." }, "GoogleChromePolicyV1ModifyOrgUnitPolicyRequest": { "properties": { "updateMask": { "description": "Required. Policy fields to update. Only fields in this mask will be updated; other fields in `policy_value` will be ignored (even if they have values). If a field is in this list it must have a value in 'policy_value'.", "format": "google-fieldmask", "type": "string" }, "policyValue": { "$ref": "GoogleChromePolicyV1PolicyValue", "description": "The new value for the policy." }, "policyTargetKey": { "description": "Required. The key of the target for which we want to modify a policy. The target resource must point to an Org Unit.", "$ref": "GoogleChromePolicyV1PolicyTargetKey" } }, "type": "object", "description": "Request parameters for modifying a policy value for a specific org unit target.", "id": "GoogleChromePolicyV1ModifyOrgUnitPolicyRequest" }, "Proto2OneofDescriptorProto": { "description": "Describes a oneof.", "properties": { "name": { "type": "string" } }, "id": "Proto2OneofDescriptorProto", "type": "object" }, "Proto2EnumDescriptorProto": { "description": "Describes an enum type.", "id": "Proto2EnumDescriptorProto", "properties": { "value": { "type": "array", "items": { "$ref": "Proto2EnumValueDescriptorProto" } }, "name": { "type": "string" } }, "type": "object" }, "Proto2DescriptorProto": { "description": "Describes a message type.", "type": "object", "id": "Proto2DescriptorProto", "properties": { "enumType": { "items": { "$ref": "Proto2EnumDescriptorProto" }, "type": "array" }, "oneofDecl": { "type": "array", "items": { "$ref": "Proto2OneofDescriptorProto" } }, "name": { "type": "string" }, "nestedType": { "items": { "$ref": "Proto2DescriptorProto" }, "type": "array" }, "field": { "items": { "$ref": "Proto2FieldDescriptorProto" }, "type": "array" } } }, "GoogleChromePolicyV1BatchModifyOrgUnitPoliciesRequest": { "description": "Request message for modifying multiple policy values for a specific target.", "properties": { "requests": { "type": "array", "description": "List of policies to modify as defined by the `requests`. All requests in the list must follow these restrictions: 1. All schemas in the list must have the same root namespace. 2. All `policyTargetKey.targetResource` values must point to an org unit resource. 3. All `policyTargetKey` values must have the same key names in the ` additionalTargetKeys`. This also means if one of the targets has an empty `additionalTargetKeys` map, all of the targets must have an empty `additionalTargetKeys` map. 4. No two modification requests can reference the same `policySchema` + ` policyTargetKey` pair. ", "items": { "$ref": "GoogleChromePolicyV1ModifyOrgUnitPolicyRequest" } } }, "type": "object", "id": "GoogleChromePolicyV1BatchModifyOrgUnitPoliciesRequest" }, "GoogleChromePolicyV1PolicySchemaNoticeDescription": { "id": "GoogleChromePolicyV1PolicySchemaNoticeDescription", "type": "object", "properties": { "field": { "type": "string", "description": "Output only. The field name associated with the notice.", "readOnly": true }, "noticeMessage": { "description": "Output only. The notice message associate with the value of the field.", "readOnly": true, "type": "string" }, "noticeValue": { "description": "Output only. The value of the field that has a notice. When setting the field to this value, the user may be required to acknowledge the notice message in order for the value to be set.", "type": "string", "readOnly": true }, "acknowledgementRequired": { "type": "boolean", "description": "Output only. Whether the user needs to acknowledge the notice message before the value can be set.", "readOnly": true } }, "description": "Provides special notice messages related to a particular value in a field that is part of a PolicySchema." }, "GoogleChromePolicyV1PolicySchema": { "type": "object", "id": "GoogleChromePolicyV1PolicySchema", "description": "Resource representing a policy schema. Next ID: 12", "properties": { "notices": { "items": { "$ref": "GoogleChromePolicyV1PolicySchemaNoticeDescription" }, "readOnly": true, "type": "array", "description": "Output only. Special notice messages related to setting certain values in certain fields in the schema." }, "validTargetResources": { "readOnly": true, "items": { "enumDescriptions": [ "Unspecified target resource.", "Organizational Unit target resource.", "Group target resource." ], "type": "string", "enum": [ "TARGET_RESOURCE_UNSPECIFIED", "ORG_UNIT", "GROUP" ] }, "type": "array", "description": "Output only. Information about applicable target resources for the policy." }, "fieldDescriptions": { "description": "Output only. Detailed description of each field that is part of the schema.", "type": "array", "readOnly": true, "items": { "$ref": "GoogleChromePolicyV1PolicySchemaFieldDescription" } }, "supportUri": { "type": "string", "readOnly": true, "description": "Output only. URI to related support article for this schema." }, "schemaName": { "readOnly": true, "description": "Output only. The fully qualified name of the policy schema. This value is used to fill the field `policy_schema` in PolicyValue when calling BatchInheritOrgUnitPolicies or BatchModifyOrgUnitPolicies", "type": "string" }, "definition": { "$ref": "Proto2FileDescriptorProto", "description": "Schema definition using proto descriptor." }, "accessRestrictions": { "type": "array", "description": "Output only. Specific access restrictions related to this policy.", "items": { "type": "string" }, "readOnly": true }, "policyApiLifeycle": { "readOnly": true, "$ref": "ChromeCrosDpanelAutosettingsProtoPolicyApiLifecycle", "description": "Output only. Current life cycle information." }, "policyDescription": { "readOnly": true, "description": "Output only. Description about the policy schema for user consumption.", "type": "string" }, "additionalTargetKeyNames": { "description": "Output only. Additional key names that will be used to identify the target of the policy value. When specifying a `policyTargetKey`, each of the additional keys specified here will have to be included in the `additionalTargetKeys` map.", "type": "array", "readOnly": true, "items": { "$ref": "GoogleChromePolicyV1AdditionalTargetKeyName" } }, "name": { "description": "Format: name=customers/{customer}/policySchemas/{schema_namespace}", "type": "string" } } } }, "rootUrl": "https://chromepolicy.googleapis.com/" }
]===]))
