local decode = require("cjson").new().decode
return assert(decode([===[
{ "version_module": true, "revision": "20220711", "baseUrl": "https://chromeuxreport.googleapis.com/", "version": "v1", "batchPath": "batch", "documentationLink": "https://developers.google.com/web/tools/chrome-user-experience-report/api/reference", "rootUrl": "https://chromeuxreport.googleapis.com/", "discoveryVersion": "v1", "parameters": { "$.xgafv": { "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ] }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "description": "Data format for response.", "default": "json", "enum": [ "json", "media", "proto" ], "location": "query" } }, "description": "The Chrome UX Report API lets you view real user experience data for millions of websites. ", "name": "chromeuxreport", "mtlsRootUrl": "https://chromeuxreport.mtls.googleapis.com/", "resources": { "records": { "methods": { "queryRecord": { "path": "v1/records:queryRecord", "response": { "$ref": "QueryResponse" }, "description": "Queries the Chrome User Experience for a single `record` for a given site. Returns a `record` that contains one or more `metrics` corresponding to performance data about the requested site.", "flatPath": "v1/records:queryRecord", "request": { "$ref": "QueryRequest" }, "httpMethod": "POST", "parameterOrder": [], "id": "chromeuxreport.records.queryRecord", "parameters": {} } } } }, "title": "Chrome UX Report API", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "ownerDomain": "google.com", "canonicalName": "Chrome UX Report", "servicePath": "", "kind": "discovery#restDescription", "schemas": { "QueryRequest": { "description": "Request payload sent by a physical web client. This request includes all necessary context to load a particular user experience record.", "type": "object", "properties": { "url": { "type": "string", "description": "The url pattern \"url\" refers to a url pattern that is any arbitrary url. Examples: \"https://example.com/\", \"https://cloud.google.com/why-google-cloud/\"" }, "origin": { "type": "string", "description": "The url pattern \"origin\" refers to a url pattern that is the origin of a website. Examples: \"https://example.com\", \"https://cloud.google.com\"" }, "effectiveConnectionType": { "type": "string", "description": "The effective connection type is a query dimension that specifies the effective network class that the record's data should belong to. This field uses the values [\"offline\", \"slow-2G\", \"2G\", \"3G\", \"4G\"] as specified in: https://wicg.github.io/netinfo/#effective-connection-types Note: If no effective connection type is specified, then a special record with aggregated data over all effective connection types will be returned." }, "formFactor": { "enum": [ "ALL_FORM_FACTORS", "PHONE", "DESKTOP", "TABLET" ], "enumDescriptions": [ "The default value, representing all device classes.", "The device class representing a \"mobile\"/\"phone\" sized client.", "The device class representing a \"desktop\"/\"laptop\" type full size client.", "The device class representing a \"tablet\" type client." ], "type": "string", "description": "The form factor is a query dimension that specifies the device class that the record's data should belong to. Note: If no form factor is specified, then a special record with aggregated data over all form factors will be returned." }, "metrics": { "type": "array", "description": "The metrics that should be included in the response. If none are specified then any metrics found will be returned. Allowed values: [\"first_contentful_paint\", \"first_input_delay\", \"largest_contentful_paint\", \"cumulative_layout_shift\", \"experimental_time_to_first_byte\", \"experimental_interaction_to_next_paint\"]", "items": { "type": "string" } } }, "id": "QueryRequest" }, "Metric": { "properties": { "percentiles": { "description": "Common useful percentiles of the Metric. The value type for the percentiles will be the same as the value types given for the Histogram bins.", "$ref": "Percentiles" }, "histogram": { "type": "array", "description": "The histogram of user experiences for a metric. The histogram will have at least one bin and the densities of all bins will add up to ~1.", "items": { "$ref": "Bin" } } }, "description": "A `metric` is a set of user experience data for a single web performance metric, like \"first contentful paint\". It contains a summary histogram of real world Chrome usage as a series of `bins`.", "id": "Metric", "type": "object" }, "Key": { "type": "object", "description": "Key defines all the dimensions that identify this record as unique.", "properties": { "formFactor": { "enumDescriptions": [ "The default value, representing all device classes.", "The device class representing a \"mobile\"/\"phone\" sized client.", "The device class representing a \"desktop\"/\"laptop\" type full size client.", "The device class representing a \"tablet\" type client." ], "description": "The form factor is the device class that all users used to access the site for this record. If the form factor is unspecified, then aggregated data over all form factors will be returned.", "type": "string", "enum": [ "ALL_FORM_FACTORS", "PHONE", "DESKTOP", "TABLET" ] }, "origin": { "type": "string", "description": "Origin specifies the origin that this record is for. Note: When specifying an origin, data for loads under this origin over all pages are aggregated into origin level user experience data." }, "url": { "type": "string", "description": "Url specifies a specific url that this record is for. Note: When specifying a \"url\" only data for that specific url will be aggregated." }, "effectiveConnectionType": { "type": "string", "description": "The effective connection type is the general connection class that all users experienced for this record. This field uses the values [\"offline\", \"slow-2G\", \"2G\", \"3G\", \"4G\"] as specified in: https://wicg.github.io/netinfo/#effective-connection-types If the effective connection type is unspecified, then aggregated data over all effective connection types will be returned." } }, "id": "Key" }, "Percentiles": { "description": "Percentiles contains synthetic values of a metric at a given statistical percentile. These are used for estimating a metric's value as experienced by a percentage of users out of the total number of users.", "properties": { "p75": { "description": "75% of users experienced the given metric at or below this value.", "type": "any" } }, "type": "object", "id": "Percentiles" }, "Bin": { "id": "Bin", "type": "object", "properties": { "density": { "type": "number", "description": "The proportion of users that experienced this bin's value for the given metric.", "format": "double" }, "start": { "type": "any", "description": "Start is the beginning of the data bin." }, "end": { "type": "any", "description": "End is the end of the data bin. If end is not populated, then the bin has no end and is valid from start to +inf." } }, "description": "A bin is a discrete portion of data spanning from start to end, or if no end is given, then from start to +inf. A bin's start and end values are given in the value type of the metric it represents. For example, \"first contentful paint\" is measured in milliseconds and exposed as ints, therefore its metric bins will use int32s for its start and end types. However, \"cumulative layout shift\" is measured in unitless decimals and is exposed as a decimal encoded as a string, therefore its metric bins will use strings for its value type." }, "UrlNormalization": { "properties": { "originalUrl": { "description": "The original requested URL prior to any normalization actions.", "type": "string" }, "normalizedUrl": { "type": "string", "description": "The URL after any normalization actions. This is a valid user experience URL that could reasonably be looked up." } }, "type": "object", "id": "UrlNormalization", "description": "Object representing the normalization actions taken to normalize a url to achieve a higher chance of successful lookup. These are simple automated changes that are taken when looking up the provided `url_patten` would be known to fail. Complex actions like following redirects are not handled." }, "Record": { "properties": { "metrics": { "description": "Metrics is the map of user experience data available for the record defined in the key field. Metrics are keyed on the metric name. Allowed key values: [\"first_contentful_paint\", \"first_input_delay\", \"largest_contentful_paint\", \"cumulative_layout_shift\"]", "type": "object", "additionalProperties": { "$ref": "Metric" } }, "key": { "$ref": "Key", "description": "Key defines all of the unique querying parameters needed to look up a user experience record." } }, "description": "Record is a single Chrome UX report data record. It contains use experience statistics for a single url pattern and set of dimensions.", "id": "Record", "type": "object" }, "QueryResponse": { "description": "Response payload sent back to a physical web client. This response contains the record found based on the identiers present in a `QueryRequest`. The returned response will have a record, and sometimes details on normalization actions taken on the request that were necessary to make the request successful.", "id": "QueryResponse", "properties": { "urlNormalizationDetails": { "description": "These are details about automated normalization actions that were taken in order to make the requested `url_pattern` valid.", "$ref": "UrlNormalization" }, "record": { "$ref": "Record", "description": "The record that was found." } }, "type": "object" } }, "basePath": "", "protocol": "rest", "fullyEncodeReservedExpansion": true, "id": "chromeuxreport:v1", "ownerName": "Google" }
]===]))
