local decode = require("cjson").new().decode
return assert(decode([===[
{ "kind": "discovery#restDescription", "name": "classroom", "basePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/classroom.courses.readonly": { "description": "View your Google Classroom classes" }, "https://www.googleapis.com/auth/classroom.student-submissions.students.readonly": { "description": "View course work and grades for students in the Google Classroom classes you teach or administer" }, "https://www.googleapis.com/auth/classroom.announcements.readonly": { "description": "View announcements in Google Classroom" }, "https://www.googleapis.com/auth/classroom.courses": { "description": "See, edit, create, and permanently delete your Google Classroom classes" }, "https://www.googleapis.com/auth/classroom.push-notifications": { "description": "Receive notifications about your Google Classroom data" }, "https://www.googleapis.com/auth/classroom.coursework.me.readonly": { "description": "View your course work and grades in Google Classroom" }, "https://www.googleapis.com/auth/classroom.topics": { "description": "See, create, and edit topics in Google Classroom" }, "https://www.googleapis.com/auth/classroom.courseworkmaterials": { "description": "See, edit, and create classwork materials in Google Classroom" }, "https://www.googleapis.com/auth/classroom.topics.readonly": { "description": "View topics in Google Classroom" }, "https://www.googleapis.com/auth/classroom.rosters.readonly": { "description": "View your Google Classroom class rosters" }, "https://www.googleapis.com/auth/classroom.coursework.students.readonly": { "description": "View course work and grades for students in the Google Classroom classes you teach or administer" }, "https://www.googleapis.com/auth/classroom.profile.emails": { "description": "View the email addresses of people in your classes" }, "https://www.googleapis.com/auth/classroom.coursework.students": { "description": "Manage course work and grades for students in the Google Classroom classes you teach and view the course work and grades for classes you administer" }, "https://www.googleapis.com/auth/classroom.rosters": { "description": "Manage your Google Classroom class rosters" }, "https://www.googleapis.com/auth/classroom.guardianlinks.students": { "description": "View and manage guardians for students in your Google Classroom classes" }, "https://www.googleapis.com/auth/classroom.guardianlinks.students.readonly": { "description": "View guardians for students in your Google Classroom classes" }, "https://www.googleapis.com/auth/classroom.profile.photos": { "description": "View the profile photos of people in your classes" }, "https://www.googleapis.com/auth/classroom.announcements": { "description": "View and manage announcements in Google Classroom" }, "https://www.googleapis.com/auth/classroom.coursework.me": { "description": "See, create and edit coursework items including assignments, questions, and grades" }, "https://www.googleapis.com/auth/classroom.courseworkmaterials.readonly": { "description": "See all classwork materials for your Google Classroom classes" }, "https://www.googleapis.com/auth/classroom.guardianlinks.me.readonly": { "description": "View your Google Classroom guardians" }, "https://www.googleapis.com/auth/classroom.student-submissions.me.readonly": { "description": "View your course work and grades in Google Classroom" } } } }, "fullyEncodeReservedExpansion": true, "protocol": "rest", "version": "v1", "discoveryVersion": "v1", "mtlsRootUrl": "https://classroom.mtls.googleapis.com/", "ownerDomain": "google.com", "baseUrl": "https://classroom.googleapis.com/", "parameters": { "prettyPrint": { "location": "query", "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "alt": { "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "default": "json", "enum": [ "json", "media", "proto" ], "description": "Data format for response." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." } }, "id": "classroom:v1", "ownerName": "Google", "revision": "20220706", "rootUrl": "https://classroom.googleapis.com/", "schemas": { "ListInvitationsResponse": { "type": "object", "id": "ListInvitationsResponse", "description": "Response when listing invitations.", "properties": { "invitations": { "type": "array", "description": "Invitations that match the list request.", "items": { "$ref": "Invitation" } }, "nextPageToken": { "type": "string", "description": "Token identifying the next page of results to return. If empty, no further results are available." } } }, "ReclaimStudentSubmissionRequest": { "type": "object", "id": "ReclaimStudentSubmissionRequest", "description": "Request to reclaim a student submission.", "properties": {} }, "Registration": { "properties": { "cloudPubsubTopic": { "description": "The Cloud Pub/Sub topic that notifications are to be sent to.", "$ref": "CloudPubsubTopic" }, "registrationId": { "description": "A server-generated unique identifier for this `Registration`. Read-only.", "type": "string" }, "expiryTime": { "description": "The time until which the `Registration` is effective. This is a read-only field assigned by the server.", "type": "string", "format": "google-datetime" }, "feed": { "description": "Specification for the class of notifications that Classroom should deliver to the destination.", "$ref": "Feed" } }, "type": "object", "description": "An instruction to Classroom to send notifications from the `feed` to the provided destination.", "id": "Registration" }, "CourseRosterChangesInfo": { "description": "Information about a `Feed` with a `feed_type` of `COURSE_ROSTER_CHANGES`.", "properties": { "courseId": { "description": "The `course_id` of the course to subscribe to roster changes for.", "type": "string" } }, "type": "object", "id": "CourseRosterChangesInfo" }, "Link": { "id": "Link", "type": "object", "description": "URL item.", "properties": { "thumbnailUrl": { "description": "URL of a thumbnail image of the target URL. Read-only.", "type": "string" }, "url": { "type": "string", "description": "URL to link to. This must be a valid UTF-8 string containing between 1 and 2024 characters." }, "title": { "type": "string", "description": "Title of the target of the URL. Read-only." } } }, "GradebookSettings": { "properties": { "gradeCategories": { "items": { "$ref": "GradeCategory" }, "description": "Grade categories that are available for coursework in the course.", "type": "array" }, "calculationType": { "type": "string", "enum": [ "CALCULATION_TYPE_UNSPECIFIED", "TOTAL_POINTS", "WEIGHTED_CATEGORIES" ], "enumDescriptions": [ "No method specified. This is never returned.", "Overall grade is the sum of grades divided by the sum of total points regardless of category.", "Overall grade is the weighted average by category." ], "description": "Indicates how the overall grade is calculated." }, "displaySetting": { "type": "string", "description": "Indicates who can see the overall grade..", "enumDescriptions": [ "No setting specified. This is never returned.", "Shows overall grade in the gradebook and student profile to both teachers and students.", "Does not show overall grade in the gradebook or student profile.", "Shows the overall grade to teachers in the gradebook and student profile. Hides from students in their student profile." ], "enum": [ "DISPLAY_SETTING_UNSPECIFIED", "SHOW_OVERALL_GRADE", "HIDE_OVERALL_GRADE", "SHOW_TEACHERS_ONLY" ] } }, "description": "The gradebook settings for a course. See the [help center article](https://support.google.com/edu/classroom/answer/9184995) for details.", "type": "object", "id": "GradebookSettings" }, "Student": { "type": "object", "id": "Student", "properties": { "profile": { "$ref": "UserProfile", "description": "Global user information for the student. Read-only." }, "userId": { "type": "string", "description": "Identifier of the user. When specified as a parameter of a request, this identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user" }, "studentWorkFolder": { "description": "Information about a Drive Folder for this student's work in this course. Only visible to the student and domain administrators. Read-only.", "$ref": "DriveFolder" }, "courseId": { "type": "string", "description": "Identifier of the course. Read-only." } }, "description": "Student in a course." }, "ListStudentsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "Token identifying the next page of results to return. If empty, no further results are available.", "type": "string" }, "students": { "description": "Students who match the list request.", "type": "array", "items": { "$ref": "Student" } } }, "description": "Response when listing students.", "id": "ListStudentsResponse" }, "YouTubeVideo": { "id": "YouTubeVideo", "type": "object", "properties": { "title": { "description": "Title of the YouTube video. Read-only.", "type": "string" }, "id": { "description": "YouTube API resource ID.", "type": "string" }, "alternateLink": { "type": "string", "description": "URL that can be used to view the YouTube video. Read-only." }, "thumbnailUrl": { "description": "URL of a thumbnail image of the YouTube video. Read-only.", "type": "string" } }, "description": "YouTube video item." }, "Invitation": { "type": "object", "description": "An invitation to join a course.", "properties": { "userId": { "type": "string", "description": "Identifier of the invited user. When specified as a parameter of a request, this identifier can be set to one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user" }, "id": { "description": "Identifier assigned by Classroom. Read-only.", "type": "string" }, "role": { "description": "Role to invite the user to have. Must not be `COURSE_ROLE_UNSPECIFIED`.", "enum": [ "COURSE_ROLE_UNSPECIFIED", "STUDENT", "TEACHER", "OWNER" ], "type": "string", "enumDescriptions": [ "No course role.", "Student in the course.", "Teacher of the course.", "Owner of the course." ] }, "courseId": { "description": "Identifier of the course to invite the user to.", "type": "string" } }, "id": "Invitation" }, "DriveFile": { "description": "Representation of a Google Drive file.", "type": "object", "id": "DriveFile", "properties": { "id": { "description": "Drive API resource ID.", "type": "string" }, "alternateLink": { "type": "string", "description": "URL that can be used to access the Drive item. Read-only." }, "thumbnailUrl": { "description": "URL of a thumbnail image of the Drive item. Read-only.", "type": "string" }, "title": { "type": "string", "description": "Title of the Drive item. Read-only." } } }, "ReturnStudentSubmissionRequest": { "type": "object", "properties": {}, "id": "ReturnStudentSubmissionRequest", "description": "Request to return a student submission." }, "ModifyAttachmentsRequest": { "type": "object", "id": "ModifyAttachmentsRequest", "description": "Request to modify the attachments of a student submission.", "properties": { "addAttachments": { "type": "array", "description": "Attachments to add. A student submission may not have more than 20 attachments. Form attachments are not supported.", "items": { "$ref": "Attachment" } } } }, "ShortAnswerSubmission": { "properties": { "answer": { "description": "Student response to a short-answer question.", "type": "string" } }, "id": "ShortAnswerSubmission", "type": "object", "description": "Student work for a short answer question." }, "IndividualStudentsOptions": { "id": "IndividualStudentsOptions", "type": "object", "description": "Assignee details about a coursework/announcement. This field is set if and only if `assigneeMode` is `INDIVIDUAL_STUDENTS`.", "properties": { "studentIds": { "items": { "type": "string" }, "description": "Identifiers for the students that have access to the coursework/announcement.", "type": "array" } } }, "Assignment": { "description": "Additional details for assignments.", "type": "object", "id": "Assignment", "properties": { "studentWorkFolder": { "$ref": "DriveFolder", "description": "Drive folder where attachments from student submissions are placed. This is only populated for course teachers and administrators." } } }, "Guardian": { "properties": { "guardianId": { "type": "string", "description": "Identifier for the guardian." }, "guardianProfile": { "description": "User profile for the guardian.", "$ref": "UserProfile" }, "invitedEmailAddress": { "type": "string", "description": "The email address to which the initial guardian invitation was sent. This field is only visible to domain administrators." }, "studentId": { "description": "Identifier for the student to whom the guardian relationship applies.", "type": "string" } }, "id": "Guardian", "type": "object", "description": "Association between a student and a guardian of that student. The guardian may receive information about the student's course work." }, "ListTeachersResponse": { "type": "object", "id": "ListTeachersResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token identifying the next page of results to return. If empty, no further results are available." }, "teachers": { "items": { "$ref": "Teacher" }, "description": "Teachers who match the list request.", "type": "array" } }, "description": "Response when listing teachers." }, "CourseAlias": { "id": "CourseAlias", "properties": { "alias": { "description": "Alias string. The format of the string indicates the desired alias scoping. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `d:` indicates a domain-scoped alias. Example: `d:math_101` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `p:` indicates a project-scoped alias. Example: `p:abc123` This field has a maximum length of 256 characters.", "type": "string" } }, "type": "object", "description": "Alternative identifier for a course. An alias uniquely identifies a course. It must be unique within one of the following scopes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh domain: A domain-scoped alias is visible to all users within the alias creator's domain and can be created only by a domain admin. A domain-scoped alias is often used when a course has an identifier external to Classroom. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh project: A project-scoped alias is visible to any request from an application using the Developer Console project ID that created the alias and can be created by any project. A project-scoped alias is often used when an application has alternative identifiers. A random value can also be used to avoid duplicate courses in the event of transmission failures, as retrying a request will return `ALREADY_EXISTS` if a previous one has succeeded." }, "Announcement": { "type": "object", "id": "Announcement", "description": "Announcement created by a teacher for students of the course", "properties": { "updateTime": { "format": "google-datetime", "description": "Timestamp of the most recent change to this announcement. Read-only.", "type": "string" }, "scheduledTime": { "description": "Optional timestamp when this announcement is scheduled to be published.", "format": "google-datetime", "type": "string" }, "state": { "enumDescriptions": [ "No state specified. This is never returned.", "Status for announcement that has been published. This is the default state.", "Status for an announcement that is not yet published. Announcement in this state is visible only to course teachers and domain administrators.", "Status for announcement that was published but is now deleted. Announcement in this state is visible only to course teachers and domain administrators. Announcement in this state is deleted after some time." ], "description": "Status of this announcement. If unspecified, the default state is `DRAFT`.", "enum": [ "ANNOUNCEMENT_STATE_UNSPECIFIED", "PUBLISHED", "DRAFT", "DELETED" ], "type": "string" }, "id": { "description": "Classroom-assigned identifier of this announcement, unique per course. Read-only.", "type": "string" }, "creationTime": { "format": "google-datetime", "type": "string", "description": "Timestamp when this announcement was created. Read-only." }, "text": { "description": "Description of this announcement. The text must be a valid UTF-8 string containing no more than 30,000 characters.", "type": "string" }, "courseId": { "type": "string", "description": "Identifier of the course. Read-only." }, "individualStudentsOptions": { "description": "Identifiers of students with access to the announcement. This field is set only if `assigneeMode` is `INDIVIDUAL_STUDENTS`. If the `assigneeMode` is `INDIVIDUAL_STUDENTS`, then only students specified in this field can see the announcement.", "$ref": "IndividualStudentsOptions" }, "creatorUserId": { "description": "Identifier for the user that created the announcement. Read-only.", "type": "string" }, "assigneeMode": { "type": "string", "enum": [ "ASSIGNEE_MODE_UNSPECIFIED", "ALL_STUDENTS", "INDIVIDUAL_STUDENTS" ], "enumDescriptions": [ "No mode specified. This is never returned.", "All students can see the item. This is the default state.", "A subset of the students can see the item." ], "description": "Assignee mode of the announcement. If unspecified, the default value is `ALL_STUDENTS`." }, "alternateLink": { "description": "Absolute link to this announcement in the Classroom web UI. This is only populated if `state` is `PUBLISHED`. Read-only.", "type": "string" }, "materials": { "description": "Additional materials. Announcements must have no more than 20 material items.", "type": "array", "items": { "$ref": "Material" } } } }, "MultipleChoiceQuestion": { "properties": { "choices": { "description": "Possible choices.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "description": "Additional details for multiple-choice questions.", "id": "MultipleChoiceQuestion" }, "Date": { "id": "Date", "type": "object", "properties": { "month": { "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "type": "integer" }, "day": { "type": "integer", "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant." }, "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "type": "integer", "format": "int32" } }, "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp" }, "ListGuardiansResponse": { "id": "ListGuardiansResponse", "description": "Response when listing guardians.", "type": "object", "properties": { "guardians": { "type": "array", "items": { "$ref": "Guardian" }, "description": "Guardians on this page of results that met the criteria specified in the request." }, "nextPageToken": { "type": "string", "description": "Token identifying the next page of results to return. If empty, no further results are available." } } }, "StudentSubmission": { "description": "Student submission for course work. StudentSubmission items are generated when a CourseWork item is created. StudentSubmissions that have never been accessed (i.e. with `state` = NEW) may not have a creation time or update time.", "id": "StudentSubmission", "properties": { "associatedWithDeveloper": { "type": "boolean", "description": "Whether this student submission is associated with the Developer Console project making the request. See CreateCourseWork for more details. Read-only." }, "submissionHistory": { "description": "The history of the submission (includes state and grade histories). Read-only.", "items": { "$ref": "SubmissionHistory" }, "type": "array" }, "draftGrade": { "type": "number", "format": "double", "description": "Optional pending grade. If unset, no grade was set. This value must be non-negative. Decimal (that is, non-integer) values are allowed, but are rounded to two decimal places. This is only visible to and modifiable by course teachers." }, "state": { "description": "State of this submission. Read-only.", "type": "string", "enumDescriptions": [ "No state specified. This should never be returned.", "The student has never accessed this submission. Attachments are not returned and timestamps is not set.", "Has been created.", "Has been turned in to the teacher.", "Has been returned to the student.", "Student chose to \"unsubmit\" the assignment." ], "enum": [ "SUBMISSION_STATE_UNSPECIFIED", "NEW", "CREATED", "TURNED_IN", "RETURNED", "RECLAIMED_BY_STUDENT" ] }, "creationTime": { "format": "google-datetime", "description": "Creation time of this submission. This may be unset if the student has not accessed this item. Read-only.", "type": "string" }, "id": { "description": "Classroom-assigned Identifier for the student submission. This is unique among submissions for the relevant course work. Read-only.", "type": "string" }, "late": { "description": "Whether this submission is late. Read-only.", "type": "boolean" }, "courseId": { "description": "Identifier of the course. Read-only.", "type": "string" }, "alternateLink": { "type": "string", "description": "Absolute link to the submission in the Classroom web UI. Read-only." }, "courseWorkType": { "description": "Type of course work this submission is for. Read-only.", "enum": [ "COURSE_WORK_TYPE_UNSPECIFIED", "ASSIGNMENT", "SHORT_ANSWER_QUESTION", "MULTIPLE_CHOICE_QUESTION" ], "type": "string", "enumDescriptions": [ "No work type specified. This is never returned.", "An assignment.", "A short answer question.", "A multiple-choice question." ] }, "assignedGrade": { "type": "number", "description": "Optional grade. If unset, no grade was set. This value must be non-negative. Decimal (that is, non-integer) values are allowed, but are rounded to two decimal places. This may be modified only by course teachers.", "format": "double" }, "courseWorkId": { "type": "string", "description": "Identifier for the course work this corresponds to. Read-only." }, "multipleChoiceSubmission": { "$ref": "MultipleChoiceSubmission", "description": "Submission content when course_work_type is MULTIPLE_CHOICE_QUESTION." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Last update time of this submission. This may be unset if the student has not accessed this item. Read-only." }, "userId": { "description": "Identifier for the student that owns this submission. Read-only.", "type": "string" }, "assignmentSubmission": { "$ref": "AssignmentSubmission", "description": "Submission content when course_work_type is ASSIGNMENT. Students can modify this content using ModifyAttachments." }, "shortAnswerSubmission": { "$ref": "ShortAnswerSubmission", "description": "Submission content when course_work_type is SHORT_ANSWER_QUESTION." } }, "type": "object" }, "DriveFolder": { "properties": { "alternateLink": { "type": "string", "description": "URL that can be used to access the Drive folder. Read-only." }, "title": { "type": "string", "description": "Title of the Drive folder. Read-only." }, "id": { "type": "string", "description": "Drive API resource ID." } }, "description": "Representation of a Google Drive folder.", "id": "DriveFolder", "type": "object" }, "ListStudentSubmissionsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Token identifying the next page of results to return. If empty, no further results are available." }, "studentSubmissions": { "items": { "$ref": "StudentSubmission" }, "description": "Student work that matches the request.", "type": "array" } }, "description": "Response when listing student submissions.", "type": "object", "id": "ListStudentSubmissionsResponse" }, "TimeOfDay": { "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.", "type": "object", "id": "TimeOfDay", "properties": { "seconds": { "type": "integer", "format": "int32", "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds." }, "hours": { "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "type": "integer", "format": "int32" }, "minutes": { "type": "integer", "description": "Minutes of hour of day. Must be from 0 to 59.", "format": "int32" }, "nanos": { "type": "integer", "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "format": "int32" } } }, "GlobalPermission": { "type": "object", "description": "Global user permission description.", "properties": { "permission": { "type": "string", "enum": [ "PERMISSION_UNSPECIFIED", "CREATE_COURSE" ], "enumDescriptions": [ "No permission is specified. This is not returned and is not a valid value.", "User is permitted to create a course." ], "description": "Permission value." } }, "id": "GlobalPermission" }, "ListTopicResponse": { "description": "Response when listing topics.", "type": "object", "properties": { "topic": { "type": "array", "description": "Topic items that match the request.", "items": { "$ref": "Topic" } }, "nextPageToken": { "type": "string", "description": "Token identifying the next page of results to return. If empty, no further results are available." } }, "id": "ListTopicResponse" }, "CourseWork": { "description": "Course work created by a teacher for students of the course.", "type": "object", "properties": { "id": { "type": "string", "description": "Classroom-assigned identifier of this course work, unique per course. Read-only." }, "individualStudentsOptions": { "description": "Identifiers of students with access to the coursework. This field is set only if `assigneeMode` is `INDIVIDUAL_STUDENTS`. If the `assigneeMode` is `INDIVIDUAL_STUDENTS`, then only students specified in this field are assigned the coursework.", "$ref": "IndividualStudentsOptions" }, "submissionModificationMode": { "description": "Setting to determine when students are allowed to modify submissions. If unspecified, the default value is `MODIFIABLE_UNTIL_TURNED_IN`.", "type": "string", "enum": [ "SUBMISSION_MODIFICATION_MODE_UNSPECIFIED", "MODIFIABLE_UNTIL_TURNED_IN", "MODIFIABLE" ], "enumDescriptions": [ "No modification mode specified. This is never returned.", "Submissions can be modified before being turned in.", "Submissions can be modified at any time." ] }, "dueTime": { "description": "Optional time of day, in UTC, that submissions for this course work are due. This must be specified if `due_date` is specified.", "$ref": "TimeOfDay" }, "alternateLink": { "type": "string", "description": "Absolute link to this course work in the Classroom web UI. This is only populated if `state` is `PUBLISHED`. Read-only." }, "topicId": { "type": "string", "description": "Identifier for the topic that this coursework is associated with. Must match an existing topic in the course." }, "workType": { "enumDescriptions": [ "No work type specified. This is never returned.", "An assignment.", "A short answer question.", "A multiple-choice question." ], "description": "Type of this course work. The type is set when the course work is created and cannot be changed.", "enum": [ "COURSE_WORK_TYPE_UNSPECIFIED", "ASSIGNMENT", "SHORT_ANSWER_QUESTION", "MULTIPLE_CHOICE_QUESTION" ], "type": "string" }, "assigneeMode": { "description": "Assignee mode of the coursework. If unspecified, the default value is `ALL_STUDENTS`.", "enum": [ "ASSIGNEE_MODE_UNSPECIFIED", "ALL_STUDENTS", "INDIVIDUAL_STUDENTS" ], "type": "string", "enumDescriptions": [ "No mode specified. This is never returned.", "All students can see the item. This is the default state.", "A subset of the students can see the item." ] }, "updateTime": { "description": "Timestamp of the most recent change to this course work. Read-only.", "type": "string", "format": "google-datetime" }, "maxPoints": { "format": "double", "type": "number", "description": "Maximum grade for this course work. If zero or unspecified, this assignment is considered ungraded. This must be a non-negative integer value." }, "creatorUserId": { "description": "Identifier for the user that created the coursework. Read-only.", "type": "string" }, "assignment": { "$ref": "Assignment", "description": "Assignment details. This is populated only when `work_type` is `ASSIGNMENT`. Read-only." }, "creationTime": { "format": "google-datetime", "type": "string", "description": "Timestamp when this course work was created. Read-only." }, "state": { "enum": [ "COURSE_WORK_STATE_UNSPECIFIED", "PUBLISHED", "DRAFT", "DELETED" ], "type": "string", "description": "Status of this course work. If unspecified, the default state is `DRAFT`.", "enumDescriptions": [ "No state specified. This is never returned.", "Status for work that has been published. This is the default state.", "Status for work that is not yet published. Work in this state is visible only to course teachers and domain administrators.", "Status for work that was published but is now deleted. Work in this state is visible only to course teachers and domain administrators. Work in this state is deleted after some time." ] }, "courseId": { "type": "string", "description": "Identifier of the course. Read-only." }, "dueDate": { "description": "Optional date, in UTC, that submissions for this course work are due. This must be specified if `due_time` is specified.", "$ref": "Date" }, "associatedWithDeveloper": { "type": "boolean", "description": "Whether this course work item is associated with the Developer Console project making the request. See CreateCourseWork for more details. Read-only." }, "scheduledTime": { "type": "string", "description": "Optional timestamp when this course work is scheduled to be published.", "format": "google-datetime" }, "multipleChoiceQuestion": { "$ref": "MultipleChoiceQuestion", "description": "Multiple choice question details. For read operations, this field is populated only when `work_type` is `MULTIPLE_CHOICE_QUESTION`. For write operations, this field must be specified when creating course work with a `work_type` of `MULTIPLE_CHOICE_QUESTION`, and it must not be set otherwise." }, "title": { "description": "Title of this course work. The title must be a valid UTF-8 string containing between 1 and 3000 characters.", "type": "string" }, "description": { "description": "Optional description of this course work. If set, the description must be a valid UTF-8 string containing no more than 30,000 characters.", "type": "string" }, "gradeCategory": { "description": "The category that this coursework's grade contributes to. Present only when a category has been chosen for the coursework. May be used in calculating the overall grade. Read-only.", "$ref": "GradeCategory" }, "materials": { "type": "array", "description": "Additional materials. CourseWork must have no more than 20 material items.", "items": { "$ref": "Material" } } }, "id": "CourseWork" }, "SharedDriveFile": { "id": "SharedDriveFile", "description": "Drive file that is used as material for course work.", "properties": { "driveFile": { "description": "Drive file details.", "$ref": "DriveFile" }, "shareMode": { "description": "Mechanism by which students access the Drive item.", "enum": [ "UNKNOWN_SHARE_MODE", "VIEW", "EDIT", "STUDENT_COPY" ], "type": "string", "enumDescriptions": [ "No sharing mode specified. This should never be returned.", "Students can view the shared file.", "Students can edit the shared file.", "Students have a personal copy of the shared file." ] } }, "type": "object" }, "ListAnnouncementsResponse": { "type": "object", "description": "Response when listing course work.", "id": "ListAnnouncementsResponse", "properties": { "announcements": { "description": "Announcement items that match the request.", "type": "array", "items": { "$ref": "Announcement" } }, "nextPageToken": { "description": "Token identifying the next page of results to return. If empty, no further results are available.", "type": "string" } } }, "CourseMaterialSet": { "description": "A set of materials that appears on the \"About\" page of the course. These materials might include a syllabus, schedule, or other background information relating to the course as a whole.", "type": "object", "properties": { "title": { "type": "string", "description": "Title for this set." }, "materials": { "type": "array", "items": { "$ref": "CourseMaterial" }, "description": "Materials attached to this set." } }, "id": "CourseMaterialSet" }, "ListGuardianInvitationsResponse": { "id": "ListGuardianInvitationsResponse", "description": "Response when listing guardian invitations.", "type": "object", "properties": { "guardianInvitations": { "description": "Guardian invitations that matched the list request.", "type": "array", "items": { "$ref": "GuardianInvitation" } }, "nextPageToken": { "description": "Token identifying the next page of results to return. If empty, no further results are available.", "type": "string" } } }, "StateHistory": { "description": "The history of each state this submission has been in.", "type": "object", "id": "StateHistory", "properties": { "stateTimestamp": { "format": "google-datetime", "description": "When the submission entered this state.", "type": "string" }, "actorUserId": { "description": "The teacher or student who made the change.", "type": "string" }, "state": { "enumDescriptions": [ "No state specified. This should never be returned.", "The Submission has been created.", "The student has turned in an assigned document, which may or may not be a template.", "The teacher has returned the assigned document to the student.", "The student turned in the assigned document, and then chose to \"unsubmit\" the assignment, giving the student control again as the owner.", "The student edited their submission after turning it in. Currently, only used by Questions, when the student edits their answer." ], "enum": [ "STATE_UNSPECIFIED", "CREATED", "TURNED_IN", "RETURNED", "RECLAIMED_BY_STUDENT", "STUDENT_EDITED_AFTER_TURN_IN" ], "type": "string", "description": "The workflow pipeline stage." } } }, "GradeCategory": { "id": "GradeCategory", "description": "Details for a grade category in a course. Coursework may have zero or one grade category, and the category may be used in computing the overall grade. See the [help center article](https://support.google.com/edu/classroom/answer/9184995) for details.", "properties": { "id": { "description": "ID of the grade category.", "type": "string" }, "name": { "description": "Name of the grade category.", "type": "string" }, "weight": { "type": "integer", "description": "The weight of the category average as part of overall average. A weight of 12.34% is represented as 123400 (100% is 1,000,000). The last two digits should always be zero since we use two decimal precision. Only applicable when grade calculation type is WEIGHTED_CATEGORIES.", "format": "int32" }, "defaultGradeDenominator": { "format": "int32", "description": "Default value of denominator. Only applicable when grade calculation type is TOTAL_POINTS.", "type": "integer" } }, "type": "object" }, "ListCoursesResponse": { "description": "Response when listing courses.", "properties": { "nextPageToken": { "type": "string", "description": "Token identifying the next page of results to return. If empty, no further results are available." }, "courses": { "description": "Courses that match the list request.", "items": { "$ref": "Course" }, "type": "array" } }, "type": "object", "id": "ListCoursesResponse" }, "Topic": { "description": "Topic created by a teacher for the course", "type": "object", "id": "Topic", "properties": { "updateTime": { "description": "The time the topic was last updated by the system. Read-only.", "format": "google-datetime", "type": "string" }, "topicId": { "description": "Unique identifier for the topic. Read-only.", "type": "string" }, "courseId": { "type": "string", "description": "Identifier of the course. Read-only." }, "name": { "description": "The name of the topic, generated by the user. Leading and trailing whitespaces, if any, are trimmed. Also, multiple consecutive whitespaces are collapsed into one inside the name. The result must be a non-empty string. Topic names are case sensitive, and must be no longer than 100 characters.", "type": "string" } } }, "Course": { "description": "A Course in Classroom.", "properties": { "courseState": { "description": "State of the course. If unspecified, the default state is `PROVISIONED`.", "enum": [ "COURSE_STATE_UNSPECIFIED", "ACTIVE", "ARCHIVED", "PROVISIONED", "DECLINED", "SUSPENDED" ], "enumDescriptions": [ "No course state. No returned Course message will use this value.", "The course is active.", "The course has been archived. You cannot modify it except to change it to a different state.", "The course has been created, but not yet activated. It is accessible by the primary teacher and domain administrators, who may modify it or change it to the `ACTIVE` or `DECLINED` states. A course may only be changed to `PROVISIONED` if it is in the `DECLINED` state.", "The course has been created, but declined. It is accessible by the course owner and domain administrators, though it will not be displayed in the web UI. You cannot modify the course except to change it to the `PROVISIONED` state. A course may only be changed to `DECLINED` if it is in the `PROVISIONED` state.", "The course has been suspended. You cannot modify the course, and only the user identified by the `owner_id` can view the course. A course may be placed in this state if it potentially violates the Terms of Service." ], "type": "string" }, "calendarId": { "description": "The Calendar ID for a calendar that all course members can see, to which Classroom adds events for course work and announcements in the course. Read-only.", "type": "string" }, "room": { "type": "string", "description": "Optional room location. For example, \"301\". If set, this field must be a valid UTF-8 string and no longer than 650 characters." }, "courseMaterialSets": { "description": "Sets of materials that appear on the \"about\" page of this course. Read-only.", "type": "array", "items": { "$ref": "CourseMaterialSet" } }, "id": { "description": "Identifier for this course assigned by Classroom. When creating a course, you may optionally set this identifier to an alias string in the request to create a corresponding alias. The `id` is still assigned by Classroom and cannot be updated after the course is created. Specifying this field in a course update mask results in an error.", "type": "string" }, "name": { "type": "string", "description": "Name of the course. For example, \"10th Grade Biology\". The name is required. It must be between 1 and 750 characters and a valid UTF-8 string." }, "teacherGroupEmail": { "type": "string", "description": "The email address of a Google group containing all teachers of the course. This group does not accept email and can only be used for permissions. Read-only." }, "updateTime": { "description": "Time of the most recent update to this course. Specifying this field in a course update mask results in an error. Read-only.", "type": "string", "format": "google-datetime" }, "guardiansEnabled": { "description": "Whether or not guardian notifications are enabled for this course. Read-only.", "type": "boolean" }, "ownerId": { "type": "string", "description": "The identifier of the owner of a course. When specified as a parameter of a create course request, this field is required. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user This must be set in a create request. Admins can also specify this field in a patch course request to transfer ownership. In other contexts, it is read-only." }, "courseGroupEmail": { "description": "The email address of a Google group containing all members of the course. This group does not accept email and can only be used for permissions. Read-only.", "type": "string" }, "descriptionHeading": { "description": "Optional heading for the description. For example, \"Welcome to 10th Grade Biology.\" If set, this field must be a valid UTF-8 string and no longer than 3600 characters.", "type": "string" }, "enrollmentCode": { "description": "Enrollment code to use when joining this course. Specifying this field in a course update mask results in an error. Read-only.", "type": "string" }, "gradebookSettings": { "description": "The gradebook settings that specify how a student's overall grade for the course will be calculated and who it will be displayed to. Read-only", "$ref": "GradebookSettings" }, "creationTime": { "description": "Creation time of the course. Specifying this field in a course update mask results in an error. Read-only.", "format": "google-datetime", "type": "string" }, "alternateLink": { "description": "Absolute link to this course in the Classroom web UI. Read-only.", "type": "string" }, "teacherFolder": { "$ref": "DriveFolder", "description": "Information about a Drive Folder that is shared with all teachers of the course. This field will only be set for teachers of the course and domain administrators. Read-only." }, "description": { "description": "Optional description. For example, \"We'll be learning about the structure of living creatures from a combination of textbooks, guest lectures, and lab work. Expect to be excited!\" If set, this field must be a valid UTF-8 string and no longer than 30,000 characters.", "type": "string" }, "section": { "description": "Section of the course. For example, \"Period 2\". If set, this field must be a valid UTF-8 string and no longer than 2800 characters.", "type": "string" } }, "id": "Course", "type": "object" }, "CourseWorkChangesInfo": { "properties": { "courseId": { "description": "The `course_id` of the course to subscribe to work changes for.", "type": "string" } }, "id": "CourseWorkChangesInfo", "type": "object", "description": "Information about a `Feed` with a `feed_type` of `COURSE_WORK_CHANGES`." }, "Attachment": { "type": "object", "id": "Attachment", "properties": { "link": { "$ref": "Link", "description": "Link attachment." }, "driveFile": { "$ref": "DriveFile", "description": "Google Drive file attachment." }, "form": { "description": "Google Forms attachment.", "$ref": "Form" }, "youTubeVideo": { "description": "Youtube video attachment.", "$ref": "YouTubeVideo" } }, "description": "Attachment added to student assignment work. When creating attachments, setting the `form` field is not supported." }, "GuardianInvitation": { "properties": { "creationTime": { "type": "string", "description": "The time that this invitation was created. Read-only.", "format": "google-datetime" }, "invitedEmailAddress": { "description": "Email address that the invitation was sent to. This field is only visible to domain administrators.", "type": "string" }, "studentId": { "type": "string", "description": "ID of the student (in standard format)" }, "invitationId": { "description": "Unique identifier for this invitation. Read-only.", "type": "string" }, "state": { "enum": [ "GUARDIAN_INVITATION_STATE_UNSPECIFIED", "PENDING", "COMPLETE" ], "description": "The state that this invitation is in.", "enumDescriptions": [ "Should never be returned.", "The invitation is active and awaiting a response.", "The invitation is no longer active. It may have been accepted, declined, withdrawn or it may have expired." ], "type": "string" } }, "type": "object", "id": "GuardianInvitation", "description": "An invitation to become the guardian of a specified user, sent to a specified email address." }, "SubmissionHistory": { "type": "object", "id": "SubmissionHistory", "description": "The history of the submission. This currently includes state and grade histories.", "properties": { "stateHistory": { "$ref": "StateHistory", "description": "The state history information of the submission, if present." }, "gradeHistory": { "description": "The grade history information of the submission, if present.", "$ref": "GradeHistory" } } }, "AssignmentSubmission": { "id": "AssignmentSubmission", "properties": { "attachments": { "type": "array", "items": { "$ref": "Attachment" }, "description": "Attachments added by the student. Drive files that correspond to materials with a share mode of STUDENT_COPY may not exist yet if the student has not accessed the assignment in Classroom. Some attachment metadata is only populated if the requesting user has permission to access it. Identifier and alternate_link fields are always available, but others (for example, title) may not be." } }, "type": "object", "description": "Student work for an assignment." }, "UserProfile": { "id": "UserProfile", "description": "Global information for a user.", "properties": { "permissions": { "items": { "$ref": "GlobalPermission" }, "description": "Global permissions of the user. Read-only.", "type": "array" }, "verifiedTeacher": { "description": "Represents whether a G Suite for Education user's domain administrator has explicitly verified them as being a teacher. If the user is not a member of a G Suite for Education domain, than this field is always false. Read-only", "type": "boolean" }, "id": { "type": "string", "description": "Identifier of the user. Read-only." }, "emailAddress": { "type": "string", "description": "Email address of the user. Read-only." }, "name": { "$ref": "Name", "description": "Name of the user. Read-only." }, "photoUrl": { "description": "URL of user's profile photo. Read-only.", "type": "string" } }, "type": "object" }, "CourseWorkMaterial": { "properties": { "topicId": { "type": "string", "description": "Identifier for the topic that this course work material is associated with. Must match an existing topic in the course." }, "assigneeMode": { "enumDescriptions": [ "No mode specified. This is never returned.", "All students can see the item. This is the default state.", "A subset of the students can see the item." ], "description": "Assignee mode of the course work material. If unspecified, the default value is `ALL_STUDENTS`.", "enum": [ "ASSIGNEE_MODE_UNSPECIFIED", "ALL_STUDENTS", "INDIVIDUAL_STUDENTS" ], "type": "string" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Timestamp of the most recent change to this course work material. Read-only." }, "state": { "description": "Status of this course work material. If unspecified, the default state is `DRAFT`.", "enumDescriptions": [ "No state specified. This is never returned.", "Status for course work material that has been published. This is the default state.", "Status for an course work material that is not yet published. Course work material in this state is visible only to course teachers and domain administrators.", "Status for course work material that was published but is now deleted. Course work material in this state is visible only to course teachers and domain administrators. Course work material in this state is deleted after some time." ], "type": "string", "enum": [ "COURSEWORK_MATERIAL_STATE_UNSPECIFIED", "PUBLISHED", "DRAFT", "DELETED" ] }, "creationTime": { "type": "string", "description": "Timestamp when this course work material was created. Read-only.", "format": "google-datetime" }, "individualStudentsOptions": { "description": "Identifiers of students with access to the course work material. This field is set only if `assigneeMode` is `INDIVIDUAL_STUDENTS`. If the `assigneeMode` is `INDIVIDUAL_STUDENTS`, then only students specified in this field can see the course work material.", "$ref": "IndividualStudentsOptions" }, "materials": { "description": "Additional materials. A course work material must have no more than 20 material items.", "items": { "$ref": "Material" }, "type": "array" }, "description": { "type": "string", "description": "Optional description of this course work material. The text must be a valid UTF-8 string containing no more than 30,000 characters." }, "alternateLink": { "type": "string", "description": "Absolute link to this course work material in the Classroom web UI. This is only populated if `state` is `PUBLISHED`. Read-only." }, "scheduledTime": { "format": "google-datetime", "description": "Optional timestamp when this course work material is scheduled to be published.", "type": "string" }, "creatorUserId": { "type": "string", "description": "Identifier for the user that created the course work material. Read-only." }, "id": { "description": "Classroom-assigned identifier of this course work material, unique per course. Read-only.", "type": "string" }, "title": { "description": "Title of this course work material. The title must be a valid UTF-8 string containing between 1 and 3000 characters.", "type": "string" }, "courseId": { "description": "Identifier of the course. Read-only.", "type": "string" } }, "type": "object", "id": "CourseWorkMaterial", "description": "Course work material created by a teacher for students of the course" }, "MultipleChoiceSubmission": { "description": "Student work for a multiple-choice question.", "properties": { "answer": { "description": "Student's select choice.", "type": "string" } }, "type": "object", "id": "MultipleChoiceSubmission" }, "CourseMaterial": { "description": "A material attached to a course as part of a material set.", "id": "CourseMaterial", "properties": { "driveFile": { "$ref": "DriveFile", "description": "Google Drive file attachment." }, "youTubeVideo": { "description": "Youtube video attachment.", "$ref": "YouTubeVideo" }, "form": { "$ref": "Form", "description": "Google Forms attachment." }, "link": { "description": "Link atatchment.", "$ref": "Link" } }, "type": "object" }, "Feed": { "properties": { "courseWorkChangesInfo": { "$ref": "CourseWorkChangesInfo", "description": "Information about a `Feed` with a `feed_type` of `COURSE_WORK_CHANGES`. This field must be specified if `feed_type` is `COURSE_WORK_CHANGES`." }, "courseRosterChangesInfo": { "$ref": "CourseRosterChangesInfo", "description": "Information about a `Feed` with a `feed_type` of `COURSE_ROSTER_CHANGES`. This field must be specified if `feed_type` is `COURSE_ROSTER_CHANGES`." }, "feedType": { "enumDescriptions": [ "Should never be returned or provided.", "All roster changes for a particular domain. Notifications will be generated whenever a user joins or leaves a course. No notifications will be generated when an invitation is created or deleted, but notifications will be generated when a user joins a course by accepting an invitation.", "All roster changes for a particular course. Notifications will be generated whenever a user joins or leaves a course. No notifications will be generated when an invitation is created or deleted, but notifications will be generated when a user joins a course by accepting an invitation.", "All course work activity for a particular course. Notifications will be generated when a CourseWork or StudentSubmission object is created or modified. No notification will be generated when a StudentSubmission object is created in connection with the creation or modification of its parent CourseWork object (but a notification will be generated for that CourseWork object's creation or modification)." ], "type": "string", "enum": [ "FEED_TYPE_UNSPECIFIED", "DOMAIN_ROSTER_CHANGES", "COURSE_ROSTER_CHANGES", "COURSE_WORK_CHANGES" ], "description": "The type of feed." } }, "id": "Feed", "description": "A class of notifications that an application can register to receive. For example: \"all roster changes for a domain\".", "type": "object" }, "GradeHistory": { "description": "The history of each grade on this submission.", "type": "object", "id": "GradeHistory", "properties": { "maxPoints": { "format": "double", "type": "number", "description": "The denominator of the grade at this time in the submission grade history." }, "actorUserId": { "description": "The teacher who made the grade change.", "type": "string" }, "gradeChangeType": { "type": "string", "enumDescriptions": [ "No grade change type specified. This should never be returned.", "A change in the numerator of the draft grade.", "A change in the numerator of the assigned grade.", "A change in the denominator of the grade." ], "description": "The type of grade change at this time in the submission grade history.", "enum": [ "UNKNOWN_GRADE_CHANGE_TYPE", "DRAFT_GRADE_POINTS_EARNED_CHANGE", "ASSIGNED_GRADE_POINTS_EARNED_CHANGE", "MAX_POINTS_CHANGE" ] }, "pointsEarned": { "format": "double", "type": "number", "description": "The numerator of the grade at this time in the submission grade history." }, "gradeTimestamp": { "description": "When the grade of the submission was changed.", "format": "google-datetime", "type": "string" } } }, "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {} }, "TurnInStudentSubmissionRequest": { "properties": {}, "description": "Request to turn in a student submission.", "id": "TurnInStudentSubmissionRequest", "type": "object" }, "ModifyCourseWorkAssigneesRequest": { "properties": { "assigneeMode": { "enum": [ "ASSIGNEE_MODE_UNSPECIFIED", "ALL_STUDENTS", "INDIVIDUAL_STUDENTS" ], "description": "Mode of the coursework describing whether it will be assigned to all students or specified individual students.", "enumDescriptions": [ "No mode specified. This is never returned.", "All students can see the item. This is the default state.", "A subset of the students can see the item." ], "type": "string" }, "modifyIndividualStudentsOptions": { "description": "Set which students are assigned or not assigned to the coursework. Must be specified only when `assigneeMode` is `INDIVIDUAL_STUDENTS`.", "$ref": "ModifyIndividualStudentsOptions" } }, "type": "object", "description": "Request to modify assignee mode and options of a coursework.", "id": "ModifyCourseWorkAssigneesRequest" }, "ModifyIndividualStudentsOptions": { "properties": { "addStudentIds": { "type": "array", "description": "IDs of students to be added as having access to this coursework/announcement.", "items": { "type": "string" } }, "removeStudentIds": { "items": { "type": "string" }, "type": "array", "description": "IDs of students to be removed from having access to this coursework/announcement." } }, "description": "Contains fields to add or remove students from a course work or announcement where the `assigneeMode` is set to `INDIVIDUAL_STUDENTS`.", "type": "object", "id": "ModifyIndividualStudentsOptions" }, "Form": { "id": "Form", "properties": { "formUrl": { "type": "string", "description": "URL of the form." }, "title": { "description": "Title of the Form. Read-only.", "type": "string" }, "responseUrl": { "description": "URL of the form responses document. Only set if respsonses have been recorded and only when the requesting user is an editor of the form. Read-only.", "type": "string" }, "thumbnailUrl": { "type": "string", "description": "URL of a thumbnail image of the Form. Read-only." } }, "type": "object", "description": "Google Forms item." }, "CloudPubsubTopic": { "id": "CloudPubsubTopic", "properties": { "topicName": { "type": "string", "description": "The `name` field of a Cloud Pub/Sub [Topic](https://cloud.google.com/pubsub/docs/reference/rest/v1/projects.topics#Topic)." } }, "description": "A reference to a Cloud Pub/Sub topic. To register for notifications, the owner of the topic must grant `classroom-notifications@system.gserviceaccount.com` the `projects.topics.publish` permission.", "type": "object" }, "Name": { "id": "Name", "type": "object", "properties": { "fullName": { "description": "The user's full name formed by concatenating the first and last name values. Read-only.", "type": "string" }, "familyName": { "description": "The user's last name. Read-only.", "type": "string" }, "givenName": { "type": "string", "description": "The user's first name. Read-only." } }, "description": "Details of the user's name." }, "ModifyAnnouncementAssigneesRequest": { "description": "Request to modify assignee mode and options of an announcement.", "properties": { "modifyIndividualStudentsOptions": { "$ref": "ModifyIndividualStudentsOptions", "description": "Set which students can view or cannot view the announcement. Must be specified only when `assigneeMode` is `INDIVIDUAL_STUDENTS`." }, "assigneeMode": { "enumDescriptions": [ "No mode specified. This is never returned.", "All students can see the item. This is the default state.", "A subset of the students can see the item." ], "description": "Mode of the announcement describing whether it is accessible by all students or specified individual students.", "type": "string", "enum": [ "ASSIGNEE_MODE_UNSPECIFIED", "ALL_STUDENTS", "INDIVIDUAL_STUDENTS" ] } }, "id": "ModifyAnnouncementAssigneesRequest", "type": "object" }, "ListCourseWorkMaterialResponse": { "id": "ListCourseWorkMaterialResponse", "type": "object", "description": "Response when listing course work material.", "properties": { "nextPageToken": { "type": "string", "description": "Token identifying the next page of results to return. If empty, no further results are available." }, "courseWorkMaterial": { "description": "Course work material items that match the request.", "items": { "$ref": "CourseWorkMaterial" }, "type": "array" } } }, "ListCourseAliasesResponse": { "properties": { "aliases": { "type": "array", "description": "The course aliases.", "items": { "$ref": "CourseAlias" } }, "nextPageToken": { "description": "Token identifying the next page of results to return. If empty, no further results are available.", "type": "string" } }, "description": "Response when listing course aliases.", "id": "ListCourseAliasesResponse", "type": "object" }, "ListCourseWorkResponse": { "description": "Response when listing course work.", "type": "object", "properties": { "courseWork": { "type": "array", "items": { "$ref": "CourseWork" }, "description": "Course work items that match the request." }, "nextPageToken": { "description": "Token identifying the next page of results to return. If empty, no further results are available.", "type": "string" } }, "id": "ListCourseWorkResponse" }, "Material": { "id": "Material", "properties": { "form": { "$ref": "Form", "description": "Google Forms material." }, "driveFile": { "description": "Google Drive file material.", "$ref": "SharedDriveFile" }, "link": { "$ref": "Link", "description": "Link material. On creation, this is upgraded to a more appropriate type if possible, and this is reflected in the response." }, "youtubeVideo": { "description": "YouTube video material.", "$ref": "YouTubeVideo" } }, "type": "object", "description": "Material attached to course work. When creating attachments, setting the `form` field is not supported." }, "Teacher": { "type": "object", "properties": { "profile": { "description": "Global user information for the teacher. Read-only.", "$ref": "UserProfile" }, "courseId": { "description": "Identifier of the course. Read-only.", "type": "string" }, "userId": { "description": "Identifier of the user. When specified as a parameter of a request, this identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user", "type": "string" } }, "description": "Teacher of a course.", "id": "Teacher" } }, "documentationLink": "https://developers.google.com/classroom/", "description": "Manages classes, rosters, and invitations in Google Classroom.", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "servicePath": "", "title": "Google Classroom API", "resources": { "courses": { "resources": { "students": { "methods": { "delete": { "flatPath": "v1/courses/{courseId}/students/{userId}", "description": "Deletes a student of a course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to delete students of this course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no student of this course has the requested ID or if the course does not exist.", "scopes": [ "https://www.googleapis.com/auth/classroom.rosters" ], "parameterOrder": [ "courseId", "userId" ], "httpMethod": "DELETE", "id": "classroom.courses.students.delete", "path": "v1/courses/{courseId}/students/{userId}", "response": { "$ref": "Empty" }, "parameters": { "userId": { "location": "path", "description": "Identifier of the student to delete. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user", "type": "string", "required": true }, "courseId": { "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "required": true } } }, "get": { "parameterOrder": [ "courseId", "userId" ], "parameters": { "userId": { "required": true, "location": "path", "type": "string", "description": "Identifier of the student to return. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user" }, "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "Student" }, "id": "classroom.courses.students.get", "scopes": [ "https://www.googleapis.com/auth/classroom.profile.emails", "https://www.googleapis.com/auth/classroom.profile.photos", "https://www.googleapis.com/auth/classroom.rosters", "https://www.googleapis.com/auth/classroom.rosters.readonly" ], "description": "Returns a student of a course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to view students of this course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no student of this course has the requested ID or if the course does not exist.", "path": "v1/courses/{courseId}/students/{userId}", "httpMethod": "GET", "flatPath": "v1/courses/{courseId}/students/{userId}" }, "list": { "parameterOrder": [ "courseId" ], "path": "v1/courses/{courseId}/students", "response": { "$ref": "ListStudentsResponse" }, "description": "Returns a list of students of this course that the requester is permitted to view. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the course does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` for access errors.", "parameters": { "pageToken": { "location": "query", "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.", "type": "string" }, "courseId": { "location": "path", "required": true, "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "Maximum number of items to return. The default is 30 if unspecified or `0`. The server may return fewer than the specified number of results.", "location": "query" } }, "id": "classroom.courses.students.list", "scopes": [ "https://www.googleapis.com/auth/classroom.profile.emails", "https://www.googleapis.com/auth/classroom.profile.photos", "https://www.googleapis.com/auth/classroom.rosters", "https://www.googleapis.com/auth/classroom.rosters.readonly" ], "flatPath": "v1/courses/{courseId}/students", "httpMethod": "GET" }, "create": { "id": "classroom.courses.students.create", "description": "Adds a user as a student of a course. Domain administrators are permitted to [directly add](https://developers.google.com/classroom/guides/manage-users) users within their domain as students to courses within their domain. Students are permitted to add themselves to a course using an enrollment code. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to create students in this course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course ID does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested user's account is disabled, for the following request errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CourseMemberLimitReached LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CourseNotModifiable LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UserGroupsMembershipLimitReached LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh InactiveCourseOwner LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ALREADY_EXISTS` if the user is already a student or teacher in the course.", "request": { "$ref": "Student" }, "scopes": [ "https://www.googleapis.com/auth/classroom.profile.emails", "https://www.googleapis.com/auth/classroom.profile.photos", "https://www.googleapis.com/auth/classroom.rosters" ], "response": { "$ref": "Student" }, "httpMethod": "POST", "parameterOrder": [ "courseId" ], "path": "v1/courses/{courseId}/students", "parameters": { "enrollmentCode": { "type": "string", "location": "query", "description": "Enrollment code of the course to create the student in. This code is required if userId corresponds to the requesting user; it may be omitted if the requesting user has administrative permissions to create students for any user." }, "courseId": { "type": "string", "location": "path", "required": true, "description": "Identifier of the course to create the student in. This identifier can be either the Classroom-assigned identifier or an alias." } }, "flatPath": "v1/courses/{courseId}/students" } } }, "teachers": { "methods": { "get": { "parameterOrder": [ "courseId", "userId" ], "id": "classroom.courses.teachers.get", "httpMethod": "GET", "response": { "$ref": "Teacher" }, "parameters": { "userId": { "location": "path", "required": true, "type": "string", "description": "Identifier of the teacher to return. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user" }, "courseId": { "type": "string", "location": "path", "required": true, "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias." } }, "flatPath": "v1/courses/{courseId}/teachers/{userId}", "path": "v1/courses/{courseId}/teachers/{userId}", "scopes": [ "https://www.googleapis.com/auth/classroom.profile.emails", "https://www.googleapis.com/auth/classroom.profile.photos", "https://www.googleapis.com/auth/classroom.rosters", "https://www.googleapis.com/auth/classroom.rosters.readonly" ], "description": "Returns a teacher of a course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to view teachers of this course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no teacher of this course has the requested ID or if the course does not exist." }, "create": { "path": "v1/courses/{courseId}/teachers", "scopes": [ "https://www.googleapis.com/auth/classroom.profile.emails", "https://www.googleapis.com/auth/classroom.profile.photos", "https://www.googleapis.com/auth/classroom.rosters" ], "request": { "$ref": "Teacher" }, "flatPath": "v1/courses/{courseId}/teachers", "id": "classroom.courses.teachers.create", "parameterOrder": [ "courseId" ], "description": "Creates a teacher of a course. Domain administrators are permitted to [directly add](https://developers.google.com/classroom/guides/manage-users) users within their domain as teachers to courses within their domain. Non-admin users should send an Invitation instead. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to create teachers in this course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course ID does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested user's account is disabled, for the following request errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CourseMemberLimitReached LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CourseNotModifiable LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CourseTeacherLimitReached LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UserGroupsMembershipLimitReached LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh InactiveCourseOwner LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ALREADY_EXISTS` if the user is already a teacher or student in the course.", "parameters": { "courseId": { "required": true, "location": "path", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "type": "string" } }, "httpMethod": "POST", "response": { "$ref": "Teacher" } }, "delete": { "response": { "$ref": "Empty" }, "parameterOrder": [ "courseId", "userId" ], "id": "classroom.courses.teachers.delete", "parameters": { "userId": { "type": "string", "description": "Identifier of the teacher to delete. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user", "required": true, "location": "path" }, "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/classroom.rosters" ], "httpMethod": "DELETE", "description": "Removes the specified teacher from the specified course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to delete teachers of this course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no teacher of this course has the requested ID or if the course does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested ID belongs to the primary teacher of this course. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested ID belongs to the owner of the course Drive folder. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the course no longer has an active owner.", "path": "v1/courses/{courseId}/teachers/{userId}", "flatPath": "v1/courses/{courseId}/teachers/{userId}" }, "list": { "parameters": { "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "type": "string", "location": "path", "required": true }, "pageSize": { "location": "query", "format": "int32", "description": "Maximum number of items to return. The default is 30 if unspecified or `0`. The server may return fewer than the specified number of results.", "type": "integer" }, "pageToken": { "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.", "type": "string", "location": "query" } }, "id": "classroom.courses.teachers.list", "scopes": [ "https://www.googleapis.com/auth/classroom.profile.emails", "https://www.googleapis.com/auth/classroom.profile.photos", "https://www.googleapis.com/auth/classroom.rosters", "https://www.googleapis.com/auth/classroom.rosters.readonly" ], "response": { "$ref": "ListTeachersResponse" }, "httpMethod": "GET", "flatPath": "v1/courses/{courseId}/teachers", "path": "v1/courses/{courseId}/teachers", "description": "Returns a list of teachers of this course that the requester is permitted to view. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the course does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` for access errors.", "parameterOrder": [ "courseId" ] } } }, "topics": { "methods": { "list": { "flatPath": "v1/courses/{courseId}/topics", "scopes": [ "https://www.googleapis.com/auth/classroom.topics", "https://www.googleapis.com/auth/classroom.topics.readonly" ], "id": "classroom.courses.topics.list", "parameters": { "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "type": "string", "required": true }, "pageSize": { "location": "query", "format": "int32", "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token." } }, "httpMethod": "GET", "description": "Returns the list of topics that the requester is permitted to view. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course does not exist.", "parameterOrder": [ "courseId" ], "path": "v1/courses/{courseId}/topics", "response": { "$ref": "ListTopicResponse" } }, "delete": { "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/classroom.topics" ], "description": "Deletes a topic. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not allowed to delete the requested topic or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested topic has already been deleted. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no course or topic exists with the requested ID.", "parameterOrder": [ "courseId", "id" ], "httpMethod": "DELETE", "path": "v1/courses/{courseId}/topics/{id}", "flatPath": "v1/courses/{courseId}/topics/{id}", "id": "classroom.courses.topics.delete", "parameters": { "courseId": { "required": true, "location": "path", "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias." }, "id": { "location": "path", "description": "Identifier of the topic to delete.", "required": true, "type": "string" } } }, "create": { "httpMethod": "POST", "path": "v1/courses/{courseId}/topics", "scopes": [ "https://www.googleapis.com/auth/classroom.topics" ], "description": "Creates a topic. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course, create a topic in the requested course, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course does not exist.", "flatPath": "v1/courses/{courseId}/topics", "parameterOrder": [ "courseId" ], "response": { "$ref": "Topic" }, "parameters": { "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "type": "string", "location": "path", "required": true } }, "id": "classroom.courses.topics.create", "request": { "$ref": "Topic" } }, "get": { "response": { "$ref": "Topic" }, "httpMethod": "GET", "flatPath": "v1/courses/{courseId}/topics/{id}", "parameters": { "courseId": { "description": "Identifier of the course.", "location": "path", "type": "string", "required": true }, "id": { "type": "string", "location": "path", "required": true, "description": "Identifier of the topic." } }, "scopes": [ "https://www.googleapis.com/auth/classroom.topics", "https://www.googleapis.com/auth/classroom.topics.readonly" ], "path": "v1/courses/{courseId}/topics/{id}", "parameterOrder": [ "courseId", "id" ], "id": "classroom.courses.topics.get", "description": "Returns a topic. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or topic, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course or topic does not exist." }, "patch": { "description": "Updates one or more fields of a topic. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting developer project did not create the corresponding topic or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course or topic does not exist", "flatPath": "v1/courses/{courseId}/topics/{id}", "request": { "$ref": "Topic" }, "httpMethod": "PATCH", "response": { "$ref": "Topic" }, "path": "v1/courses/{courseId}/topics/{id}", "parameters": { "courseId": { "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "required": true }, "id": { "type": "string", "location": "path", "required": true, "description": "Identifier of the topic." }, "updateMask": { "location": "query", "type": "string", "description": "Mask that identifies which fields on the topic to update. This field is required to do an update. The update fails if invalid fields are specified. If a field supports empty values, it can be cleared by specifying it in the update mask and not in the Topic object. If a field that does not support empty values is included in the update mask and not set in the Topic object, an `INVALID_ARGUMENT` error is returned. The following fields may be specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name`", "format": "google-fieldmask" } }, "id": "classroom.courses.topics.patch", "scopes": [ "https://www.googleapis.com/auth/classroom.topics" ], "parameterOrder": [ "courseId", "id" ] } } }, "announcements": { "methods": { "delete": { "response": { "$ref": "Empty" }, "id": "classroom.courses.announcements.delete", "parameterOrder": [ "courseId", "id" ], "httpMethod": "DELETE", "flatPath": "v1/courses/{courseId}/announcements/{id}", "path": "v1/courses/{courseId}/announcements/{id}", "parameters": { "id": { "type": "string", "required": true, "description": "Identifier of the announcement to delete. This identifier is a Classroom-assigned identifier.", "location": "path" }, "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/classroom.announcements" ], "description": "Deletes an announcement. This request must be made by the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the corresponding announcement item. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting developer project did not create the corresponding announcement, if the requesting user is not permitted to delete the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested announcement has already been deleted. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no course exists with the requested ID." }, "patch": { "path": "v1/courses/{courseId}/announcements/{id}", "request": { "$ref": "Announcement" }, "httpMethod": "PATCH", "response": { "$ref": "Announcement" }, "scopes": [ "https://www.googleapis.com/auth/classroom.announcements" ], "parameters": { "id": { "required": true, "type": "string", "location": "path", "description": "Identifier of the announcement." }, "courseId": { "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "required": true }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Mask that identifies which fields on the announcement to update. This field is required to do an update. The update fails if invalid fields are specified. If a field supports empty values, it can be cleared by specifying it in the update mask and not in the Announcement object. If a field that does not support empty values is included in the update mask and not set in the Announcement object, an `INVALID_ARGUMENT` error is returned. The following fields may be specified by teachers: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `text` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `scheduled_time`" } }, "parameterOrder": [ "courseId", "id" ], "description": "Updates one or more fields of an announcement. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting developer project did not create the corresponding announcement or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested announcement has already been deleted. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course or announcement does not exist", "id": "classroom.courses.announcements.patch", "flatPath": "v1/courses/{courseId}/announcements/{id}" }, "create": { "scopes": [ "https://www.googleapis.com/auth/classroom.announcements" ], "id": "classroom.courses.announcements.create", "request": { "$ref": "Announcement" }, "description": "Creates an announcement. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course, create announcements in the requested course, share a Drive attachment, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` for the following request error: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AttachmentNotVisible", "httpMethod": "POST", "parameterOrder": [ "courseId" ], "path": "v1/courses/{courseId}/announcements", "parameters": { "courseId": { "required": true, "location": "path", "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias." } }, "flatPath": "v1/courses/{courseId}/announcements", "response": { "$ref": "Announcement" } }, "list": { "description": "Returns a list of announcements that the requester is permitted to view. Course students may only view `PUBLISHED` announcements. Course teachers and domain administrators may view all announcements. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course does not exist.", "scopes": [ "https://www.googleapis.com/auth/classroom.announcements", "https://www.googleapis.com/auth/classroom.announcements.readonly" ], "parameters": { "courseId": { "type": "string", "location": "path", "required": true, "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias." }, "announcementStates": { "description": "Restriction on the `state` of announcements returned. If this argument is left unspecified, the default value is `PUBLISHED`.", "type": "string", "location": "query", "repeated": true, "enum": [ "ANNOUNCEMENT_STATE_UNSPECIFIED", "PUBLISHED", "DRAFT", "DELETED" ], "enumDescriptions": [ "No state specified. This is never returned.", "Status for announcement that has been published. This is the default state.", "Status for an announcement that is not yet published. Announcement in this state is visible only to course teachers and domain administrators.", "Status for announcement that was published but is now deleted. Announcement in this state is visible only to course teachers and domain administrators. Announcement in this state is deleted after some time." ] }, "pageToken": { "location": "query", "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results." }, "orderBy": { "type": "string", "location": "query", "description": "Optional sort ordering for results. A comma-separated list of fields with an optional sort direction keyword. Supported field is `updateTime`. Supported direction keywords are `asc` and `desc`. If not specified, `updateTime desc` is the default behavior. Examples: `updateTime asc`, `updateTime`" } }, "id": "classroom.courses.announcements.list", "response": { "$ref": "ListAnnouncementsResponse" }, "flatPath": "v1/courses/{courseId}/announcements", "parameterOrder": [ "courseId" ], "path": "v1/courses/{courseId}/announcements", "httpMethod": "GET" }, "modifyAssignees": { "httpMethod": "POST", "description": "Modifies assignee mode and options of an announcement. Only a teacher of the course that contains the announcement may call this method. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or course work or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course or course work does not exist.", "flatPath": "v1/courses/{courseId}/announcements/{id}:modifyAssignees", "response": { "$ref": "Announcement" }, "scopes": [ "https://www.googleapis.com/auth/classroom.announcements" ], "id": "classroom.courses.announcements.modifyAssignees", "parameters": { "courseId": { "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "required": true, "location": "path" }, "id": { "description": "Identifier of the announcement.", "location": "path", "type": "string", "required": true } }, "path": "v1/courses/{courseId}/announcements/{id}:modifyAssignees", "parameterOrder": [ "courseId", "id" ], "request": { "$ref": "ModifyAnnouncementAssigneesRequest" } }, "get": { "id": "classroom.courses.announcements.get", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/classroom.announcements", "https://www.googleapis.com/auth/classroom.announcements.readonly" ], "parameters": { "courseId": { "required": true, "type": "string", "location": "path", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias." }, "id": { "location": "path", "type": "string", "description": "Identifier of the announcement.", "required": true } }, "path": "v1/courses/{courseId}/announcements/{id}", "flatPath": "v1/courses/{courseId}/announcements/{id}", "parameterOrder": [ "courseId", "id" ], "response": { "$ref": "Announcement" }, "description": "Returns an announcement. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or announcement, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course or announcement does not exist." } } }, "courseWorkMaterials": { "methods": { "get": { "httpMethod": "GET", "parameters": { "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "required": true, "type": "string" }, "id": { "location": "path", "required": true, "description": "Identifier of the course work material.", "type": "string" } }, "id": "classroom.courses.courseWorkMaterials.get", "scopes": [ "https://www.googleapis.com/auth/classroom.courseworkmaterials", "https://www.googleapis.com/auth/classroom.courseworkmaterials.readonly" ], "response": { "$ref": "CourseWorkMaterial" }, "description": "Returns a course work material. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or course work material, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course or course work material does not exist.", "flatPath": "v1/courses/{courseId}/courseWorkMaterials/{id}", "parameterOrder": [ "courseId", "id" ], "path": "v1/courses/{courseId}/courseWorkMaterials/{id}" }, "delete": { "path": "v1/courses/{courseId}/courseWorkMaterials/{id}", "flatPath": "v1/courses/{courseId}/courseWorkMaterials/{id}", "id": "classroom.courses.courseWorkMaterials.delete", "parameterOrder": [ "courseId", "id" ], "scopes": [ "https://www.googleapis.com/auth/classroom.courseworkmaterials" ], "parameters": { "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "type": "string", "required": true }, "id": { "required": true, "description": "Identifier of the course work material to delete. This identifier is a Classroom-assigned identifier.", "location": "path", "type": "string" } }, "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "description": "Deletes a course work material. This request must be made by the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the corresponding course work material item. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting developer project did not create the corresponding course work material, if the requesting user is not permitted to delete the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested course work material has already been deleted. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no course exists with the requested ID." }, "create": { "response": { "$ref": "CourseWorkMaterial" }, "id": "classroom.courses.courseWorkMaterials.create", "parameterOrder": [ "courseId" ], "scopes": [ "https://www.googleapis.com/auth/classroom.courseworkmaterials" ], "httpMethod": "POST", "path": "v1/courses/{courseId}/courseWorkMaterials", "parameters": { "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "type": "string", "location": "path", "required": true } }, "request": { "$ref": "CourseWorkMaterial" }, "description": "Creates a course work material. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course, create course work material in the requested course, share a Drive attachment, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed or if more than 20 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh materials are provided. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` for the following request error: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AttachmentNotVisible", "flatPath": "v1/courses/{courseId}/courseWorkMaterials" }, "list": { "parameters": { "materialDriveId": { "type": "string", "description": "Optional filtering for course work material with at least one Drive material whose ID matches the provided string. If `material_link` is also specified, course work material must have materials matching both filters.", "location": "query" }, "pageToken": { "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.", "location": "query", "type": "string" }, "materialLink": { "description": "Optional filtering for course work material with at least one link material whose URL partially matches the provided string.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.", "location": "query", "format": "int32" }, "orderBy": { "type": "string", "location": "query", "description": "Optional sort ordering for results. A comma-separated list of fields with an optional sort direction keyword. Supported field is `updateTime`. Supported direction keywords are `asc` and `desc`. If not specified, `updateTime desc` is the default behavior. Examples: `updateTime asc`, `updateTime`" }, "courseId": { "required": true, "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "type": "string", "location": "path" }, "courseWorkMaterialStates": { "repeated": true, "location": "query", "enumDescriptions": [ "No state specified. This is never returned.", "Status for course work material that has been published. This is the default state.", "Status for an course work material that is not yet published. Course work material in this state is visible only to course teachers and domain administrators.", "Status for course work material that was published but is now deleted. Course work material in this state is visible only to course teachers and domain administrators. Course work material in this state is deleted after some time." ], "type": "string", "enum": [ "COURSEWORK_MATERIAL_STATE_UNSPECIFIED", "PUBLISHED", "DRAFT", "DELETED" ], "description": "Restriction on the work status to return. Only course work material that matches is returned. If unspecified, items with a work status of `PUBLISHED` is returned." } }, "flatPath": "v1/courses/{courseId}/courseWorkMaterials", "id": "classroom.courses.courseWorkMaterials.list", "parameterOrder": [ "courseId" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/classroom.courseworkmaterials", "https://www.googleapis.com/auth/classroom.courseworkmaterials.readonly" ], "description": "Returns a list of course work material that the requester is permitted to view. Course students may only view `PUBLISHED` course work material. Course teachers and domain administrators may view all course work material. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course does not exist.", "path": "v1/courses/{courseId}/courseWorkMaterials", "response": { "$ref": "ListCourseWorkMaterialResponse" } }, "patch": { "parameters": { "updateMask": { "location": "query", "type": "string", "description": "Mask that identifies which fields on the course work material to update. This field is required to do an update. The update fails if invalid fields are specified. If a field supports empty values, it can be cleared by specifying it in the update mask and not in the course work material object. If a field that does not support empty values is included in the update mask and not set in the course work material object, an `INVALID_ARGUMENT` error is returned. The following fields may be specified by teachers: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `title` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `description` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `scheduled_time` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `topic_id`", "format": "google-fieldmask" }, "id": { "type": "string", "required": true, "location": "path", "description": "Identifier of the course work material." }, "courseId": { "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "required": true } }, "httpMethod": "PATCH", "path": "v1/courses/{courseId}/courseWorkMaterials/{id}", "id": "classroom.courses.courseWorkMaterials.patch", "parameterOrder": [ "courseId", "id" ], "request": { "$ref": "CourseWorkMaterial" }, "response": { "$ref": "CourseWorkMaterial" }, "description": "Updates one or more fields of a course work material. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting developer project for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested course work material has already been deleted. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course or course work material does not exist", "flatPath": "v1/courses/{courseId}/courseWorkMaterials/{id}", "scopes": [ "https://www.googleapis.com/auth/classroom.courseworkmaterials" ] } } }, "aliases": { "methods": { "delete": { "id": "classroom.courses.aliases.delete", "path": "v1/courses/{courseId}/aliases/{alias}", "parameterOrder": [ "courseId", "alias" ], "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "parameters": { "alias": { "location": "path", "description": "Alias to delete. This may not be the Classroom-assigned identifier.", "type": "string", "required": true }, "courseId": { "type": "string", "required": true, "location": "path", "description": "Identifier of the course whose alias should be deleted. This identifier can be either the Classroom-assigned identifier or an alias." } }, "flatPath": "v1/courses/{courseId}/aliases/{alias}", "description": "Deletes an alias of a course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to remove the alias or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the alias does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the alias requested does not make sense for the requesting user or course (for example, if a user not in a domain attempts to delete a domain-scoped alias).", "scopes": [ "https://www.googleapis.com/auth/classroom.courses" ] }, "create": { "scopes": [ "https://www.googleapis.com/auth/classroom.courses" ], "description": "Creates an alias for a course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to create the alias or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the course does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ALREADY_EXISTS` if the alias already exists. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the alias requested does not make sense for the requesting user or course (for example, if a user not in a domain attempts to access a domain-scoped alias).", "parameterOrder": [ "courseId" ], "id": "classroom.courses.aliases.create", "response": { "$ref": "CourseAlias" }, "request": { "$ref": "CourseAlias" }, "path": "v1/courses/{courseId}/aliases", "flatPath": "v1/courses/{courseId}/aliases", "parameters": { "courseId": { "type": "string", "location": "path", "required": true, "description": "Identifier of the course to alias. This identifier can be either the Classroom-assigned identifier or an alias." } }, "httpMethod": "POST" }, "list": { "flatPath": "v1/courses/{courseId}/aliases", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token." }, "courseId": { "description": "The identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "required": true, "location": "path", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results." } }, "description": "Returns a list of aliases for a course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the course does not exist.", "path": "v1/courses/{courseId}/aliases", "id": "classroom.courses.aliases.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/classroom.courses", "https://www.googleapis.com/auth/classroom.courses.readonly" ], "parameterOrder": [ "courseId" ], "response": { "$ref": "ListCourseAliasesResponse" } } } }, "courseWork": { "resources": { "studentSubmissions": { "methods": { "return": { "httpMethod": "POST", "id": "classroom.courses.courseWork.studentSubmissions.return", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.students" ], "request": { "$ref": "ReturnStudentSubmissionRequest" }, "parameterOrder": [ "courseId", "courseWorkId", "id" ], "description": "Returns a student submission. Returning a student submission transfers ownership of attached Drive files to the student and may also update the submission state. Unlike the Classroom application, returning a student submission does not set assignedGrade to the draftGrade value. Only a teacher of the course that contains the requested student submission may call this method. This request must be made by the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the corresponding course work item. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or course work, return the requested student submission, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course, course work, or student submission does not exist.", "flatPath": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:return", "path": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:return", "parameters": { "courseWorkId": { "description": "Identifier of the course work.", "location": "path", "type": "string", "required": true }, "courseId": { "required": true, "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path" }, "id": { "type": "string", "description": "Identifier of the student submission.", "location": "path", "required": true } } }, "get": { "parameters": { "courseId": { "location": "path", "type": "string", "required": true, "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias." }, "courseWorkId": { "type": "string", "required": true, "location": "path", "description": "Identifier of the course work." }, "id": { "type": "string", "location": "path", "description": "Identifier of the student submission.", "required": true } }, "httpMethod": "GET", "path": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}", "description": "Returns a student submission. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course, course work, or student submission or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course, course work, or student submission does not exist.", "response": { "$ref": "StudentSubmission" }, "id": "classroom.courses.courseWork.studentSubmissions.get", "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.me", "https://www.googleapis.com/auth/classroom.coursework.me.readonly", "https://www.googleapis.com/auth/classroom.coursework.students", "https://www.googleapis.com/auth/classroom.coursework.students.readonly", "https://www.googleapis.com/auth/classroom.student-submissions.me.readonly", "https://www.googleapis.com/auth/classroom.student-submissions.students.readonly" ], "flatPath": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}", "parameterOrder": [ "courseId", "courseWorkId", "id" ] }, "patch": { "parameters": { "courseWorkId": { "required": true, "description": "Identifier of the course work.", "location": "path", "type": "string" }, "id": { "description": "Identifier of the student submission.", "location": "path", "required": true, "type": "string" }, "courseId": { "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "required": true }, "updateMask": { "description": "Mask that identifies which fields on the student submission to update. This field is required to do an update. The update fails if invalid fields are specified. The following fields may be specified by teachers: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `draft_grade` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assigned_grade`", "type": "string", "location": "query", "format": "google-fieldmask" } }, "id": "classroom.courses.courseWork.studentSubmissions.patch", "flatPath": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}", "request": { "$ref": "StudentSubmission" }, "description": "Updates one or more fields of a student submission. See google.classroom.v1.StudentSubmission for details of which fields may be updated and who may change them. This request must be made by the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the corresponding course work item. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting developer project did not create the corresponding course work, if the user is not permitted to make the requested modification to the student submission, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course, course work, or student submission does not exist.", "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.me", "https://www.googleapis.com/auth/classroom.coursework.students" ], "parameterOrder": [ "courseId", "courseWorkId", "id" ], "path": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}", "httpMethod": "PATCH", "response": { "$ref": "StudentSubmission" } }, "reclaim": { "parameters": { "courseId": { "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "required": true, "location": "path" }, "id": { "location": "path", "description": "Identifier of the student submission.", "type": "string", "required": true }, "courseWorkId": { "required": true, "type": "string", "location": "path", "description": "Identifier of the course work." } }, "flatPath": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:reclaim", "httpMethod": "POST", "description": "Reclaims a student submission on behalf of the student that owns it. Reclaiming a student submission transfers ownership of attached Drive files to the student and updates the submission state. Only the student that owns the requested student submission may call this method, and only for a student submission that has been turned in. This request must be made by the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the corresponding course work item. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or course work, unsubmit the requested student submission, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the student submission has not been turned in. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course, course work, or student submission does not exist.", "request": { "$ref": "ReclaimStudentSubmissionRequest" }, "path": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:reclaim", "id": "classroom.courses.courseWork.studentSubmissions.reclaim", "parameterOrder": [ "courseId", "courseWorkId", "id" ], "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.me" ] }, "turnIn": { "parameterOrder": [ "courseId", "courseWorkId", "id" ], "request": { "$ref": "TurnInStudentSubmissionRequest" }, "path": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:turnIn", "description": "Turns in a student submission. Turning in a student submission transfers ownership of attached Drive files to the teacher and may also update the submission state. This may only be called by the student that owns the specified student submission. This request must be made by the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the corresponding course work item. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or course work, turn in the requested student submission, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course, course work, or student submission does not exist.", "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.me" ], "parameters": { "courseWorkId": { "location": "path", "required": true, "description": "Identifier of the course work.", "type": "string" }, "id": { "description": "Identifier of the student submission.", "required": true, "type": "string", "location": "path" }, "courseId": { "location": "path", "type": "string", "required": true, "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias." } }, "response": { "$ref": "Empty" }, "flatPath": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:turnIn", "httpMethod": "POST", "id": "classroom.courses.courseWork.studentSubmissions.turnIn" }, "list": { "response": { "$ref": "ListStudentSubmissionsResponse" }, "parameterOrder": [ "courseId", "courseWorkId" ], "httpMethod": "GET", "path": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions", "id": "classroom.courses.courseWork.studentSubmissions.list", "flatPath": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions", "parameters": { "courseId": { "required": true, "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path" }, "pageToken": { "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.", "type": "string", "location": "query" }, "courseWorkId": { "description": "Identifier of the student work to request. This may be set to the string literal `\"-\"` to request student work for all course work in the specified course.", "location": "path", "required": true, "type": "string" }, "late": { "location": "query", "description": "Requested lateness value. If specified, returned student submissions are restricted by the requested value. If unspecified, submissions are returned regardless of `late` value.", "enumDescriptions": [ "No restriction on submission late values specified.", "Return StudentSubmissions where late is true.", "Return StudentSubmissions where late is false." ], "type": "string", "enum": [ "LATE_VALUES_UNSPECIFIED", "LATE_ONLY", "NOT_LATE_ONLY" ] }, "userId": { "type": "string", "description": "Optional argument to restrict returned student work to those owned by the student with the specified identifier. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.", "type": "integer" }, "states": { "description": "Requested submission states. If specified, returned student submissions match one of the specified submission states.", "type": "string", "repeated": true, "location": "query", "enumDescriptions": [ "No state specified. This should never be returned.", "The student has never accessed this submission. Attachments are not returned and timestamps is not set.", "Has been created.", "Has been turned in to the teacher.", "Has been returned to the student.", "Student chose to \"unsubmit\" the assignment." ], "enum": [ "SUBMISSION_STATE_UNSPECIFIED", "NEW", "CREATED", "TURNED_IN", "RETURNED", "RECLAIMED_BY_STUDENT" ] } }, "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.me", "https://www.googleapis.com/auth/classroom.coursework.me.readonly", "https://www.googleapis.com/auth/classroom.coursework.students", "https://www.googleapis.com/auth/classroom.coursework.students.readonly", "https://www.googleapis.com/auth/classroom.student-submissions.me.readonly", "https://www.googleapis.com/auth/classroom.student-submissions.students.readonly" ], "description": "Returns a list of student submissions that the requester is permitted to view, factoring in the OAuth scopes of the request. `-` may be specified as the `course_work_id` to include student submissions for multiple course work items. Course students may only view their own work. Course teachers and domain administrators may view all student submissions. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or course work, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course does not exist." }, "modifyAttachments": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.me", "https://www.googleapis.com/auth/classroom.coursework.students" ], "parameters": { "courseWorkId": { "type": "string", "description": "Identifier of the course work.", "location": "path", "required": true }, "courseId": { "required": true, "location": "path", "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias." }, "id": { "required": true, "description": "Identifier of the student submission.", "location": "path", "type": "string" } }, "id": "classroom.courses.courseWork.studentSubmissions.modifyAttachments", "parameterOrder": [ "courseId", "courseWorkId", "id" ], "description": "Modifies attachments of student submission. Attachments may only be added to student submissions belonging to course work objects with a `workType` of `ASSIGNMENT`. This request must be made by the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the corresponding course work item. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or course work, if the user is not permitted to modify attachments on the requested student submission, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course, course work, or student submission does not exist.", "flatPath": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:modifyAttachments", "request": { "$ref": "ModifyAttachmentsRequest" }, "path": "v1/courses/{courseId}/courseWork/{courseWorkId}/studentSubmissions/{id}:modifyAttachments", "response": { "$ref": "StudentSubmission" } } } } }, "methods": { "delete": { "description": "Deletes a course work. This request must be made by the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the corresponding course work item. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting developer project did not create the corresponding course work, if the requesting user is not permitted to delete the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested course work has already been deleted. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no course exists with the requested ID.", "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.students" ], "parameterOrder": [ "courseId", "id" ], "id": "classroom.courses.courseWork.delete", "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "parameters": { "courseId": { "type": "string", "location": "path", "required": true, "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias." }, "id": { "type": "string", "location": "path", "description": "Identifier of the course work to delete. This identifier is a Classroom-assigned identifier.", "required": true } }, "flatPath": "v1/courses/{courseId}/courseWork/{id}", "path": "v1/courses/{courseId}/courseWork/{id}" }, "get": { "description": "Returns course work. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or course work, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course or course work does not exist.", "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.me", "https://www.googleapis.com/auth/classroom.coursework.me.readonly", "https://www.googleapis.com/auth/classroom.coursework.students", "https://www.googleapis.com/auth/classroom.coursework.students.readonly" ], "httpMethod": "GET", "parameters": { "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "required": true, "type": "string", "location": "path" }, "id": { "required": true, "description": "Identifier of the course work.", "type": "string", "location": "path" } }, "path": "v1/courses/{courseId}/courseWork/{id}", "response": { "$ref": "CourseWork" }, "flatPath": "v1/courses/{courseId}/courseWork/{id}", "parameterOrder": [ "courseId", "id" ], "id": "classroom.courses.courseWork.get" }, "patch": { "parameters": { "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Mask that identifies which fields on the course work to update. This field is required to do an update. The update fails if invalid fields are specified. If a field supports empty values, it can be cleared by specifying it in the update mask and not in the CourseWork object. If a field that does not support empty values is included in the update mask and not set in the CourseWork object, an `INVALID_ARGUMENT` error is returned. The following fields may be specified by teachers: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `title` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `description` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `due_date` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `due_time` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `max_points` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `scheduled_time` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `submission_modification_mode` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `topic_id`" }, "id": { "type": "string", "required": true, "description": "Identifier of the course work.", "location": "path" }, "courseId": { "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.students" ], "description": "Updates one or more fields of a course work. See google.classroom.v1.CourseWork for details of which fields may be updated and who may change them. This request must be made by the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the corresponding course work item. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting developer project did not create the corresponding course work, if the user is not permitted to make the requested modification to the student submission, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested course work has already been deleted. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course, course work, or student submission does not exist.", "request": { "$ref": "CourseWork" }, "id": "classroom.courses.courseWork.patch", "httpMethod": "PATCH", "flatPath": "v1/courses/{courseId}/courseWork/{id}", "parameterOrder": [ "courseId", "id" ], "path": "v1/courses/{courseId}/courseWork/{id}", "response": { "$ref": "CourseWork" } }, "list": { "path": "v1/courses/{courseId}/courseWork", "description": "Returns a list of course work that the requester is permitted to view. Course students may only view `PUBLISHED` course work. Course teachers and domain administrators may view all course work. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course does not exist.", "id": "classroom.courses.courseWork.list", "flatPath": "v1/courses/{courseId}/courseWork", "httpMethod": "GET", "parameterOrder": [ "courseId" ], "response": { "$ref": "ListCourseWorkResponse" }, "parameters": { "courseWorkStates": { "enum": [ "COURSE_WORK_STATE_UNSPECIFIED", "PUBLISHED", "DRAFT", "DELETED" ], "repeated": true, "type": "string", "description": "Restriction on the work status to return. Only courseWork that matches is returned. If unspecified, items with a work status of `PUBLISHED` is returned.", "enumDescriptions": [ "No state specified. This is never returned.", "Status for work that has been published. This is the default state.", "Status for work that is not yet published. Work in this state is visible only to course teachers and domain administrators.", "Status for work that was published but is now deleted. Work in this state is visible only to course teachers and domain administrators. Work in this state is deleted after some time." ], "location": "query" }, "courseId": { "location": "path", "type": "string", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token." }, "pageSize": { "location": "query", "type": "integer", "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.", "format": "int32" }, "orderBy": { "location": "query", "description": "Optional sort ordering for results. A comma-separated list of fields with an optional sort direction keyword. Supported fields are `updateTime` and `dueDate`. Supported direction keywords are `asc` and `desc`. If not specified, `updateTime desc` is the default behavior. Examples: `dueDate asc,updateTime desc`, `updateTime,dueDate desc`", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.me", "https://www.googleapis.com/auth/classroom.coursework.me.readonly", "https://www.googleapis.com/auth/classroom.coursework.students", "https://www.googleapis.com/auth/classroom.coursework.students.readonly" ] }, "create": { "parameters": { "courseId": { "required": true, "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "type": "string", "location": "path" } }, "path": "v1/courses/{courseId}/courseWork", "flatPath": "v1/courses/{courseId}/courseWork", "id": "classroom.courses.courseWork.create", "response": { "$ref": "CourseWork" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.students" ], "parameterOrder": [ "courseId" ], "request": { "$ref": "CourseWork" }, "description": "Creates course work. The resulting course work (and corresponding student submissions) are associated with the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to make the request. Classroom API requests to modify course work and student submissions must be made with an OAuth client ID from the associated Developer Console project. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course, create course work in the requested course, share a Drive attachment, or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` for the following request error: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AttachmentNotVisible" }, "modifyAssignees": { "response": { "$ref": "CourseWork" }, "flatPath": "v1/courses/{courseId}/courseWork/{id}:modifyAssignees", "path": "v1/courses/{courseId}/courseWork/{id}:modifyAssignees", "request": { "$ref": "ModifyCourseWorkAssigneesRequest" }, "parameters": { "id": { "required": true, "location": "path", "type": "string", "description": "Identifier of the coursework." }, "courseId": { "location": "path", "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/classroom.coursework.students" ], "id": "classroom.courses.courseWork.modifyAssignees", "httpMethod": "POST", "description": "Modifies assignee mode and options of a coursework. Only a teacher of the course that contains the coursework may call this method. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or course work or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the request is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requested course or course work does not exist.", "parameterOrder": [ "courseId", "id" ] } } } }, "methods": { "update": { "httpMethod": "PUT", "response": { "$ref": "Course" }, "parameters": { "id": { "location": "path", "type": "string", "description": "Identifier of the course to update. This identifier can be either the Classroom-assigned identifier or an alias.", "required": true } }, "path": "v1/courses/{id}", "scopes": [ "https://www.googleapis.com/auth/classroom.courses" ], "parameterOrder": [ "id" ], "request": { "$ref": "Course" }, "description": "Updates a course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to modify the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no course exists with the requested ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` for the following request errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CourseNotModifiable", "id": "classroom.courses.update", "flatPath": "v1/courses/{id}" }, "delete": { "httpMethod": "DELETE", "description": "Deletes a course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to delete the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no course exists with the requested ID.", "response": { "$ref": "Empty" }, "id": "classroom.courses.delete", "parameterOrder": [ "id" ], "flatPath": "v1/courses/{id}", "path": "v1/courses/{id}", "parameters": { "id": { "type": "string", "description": "Identifier of the course to delete. This identifier can be either the Classroom-assigned identifier or an alias.", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/classroom.courses" ] }, "create": { "parameters": {}, "parameterOrder": [], "description": "Creates a course. The user specified in `ownerId` is the owner of the created course and added as a teacher. A non-admin requesting user can only create a course with themselves as the owner. Domain admins can create courses owned by any user within their domain. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to create courses or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the primary teacher is not a valid user. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the course owner's account is disabled or for the following request errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UserGroupsMembershipLimitReached LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ALREADY_EXISTS` if an alias was specified in the `id` and already exists.", "id": "classroom.courses.create", "request": { "$ref": "Course" }, "flatPath": "v1/courses", "response": { "$ref": "Course" }, "scopes": [ "https://www.googleapis.com/auth/classroom.courses" ], "path": "v1/courses", "httpMethod": "POST" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/classroom.courses" ], "path": "v1/courses/{id}", "flatPath": "v1/courses/{id}", "httpMethod": "PATCH", "response": { "$ref": "Course" }, "parameterOrder": [ "id" ], "parameters": { "id": { "required": true, "location": "path", "description": "Identifier of the course to update. This identifier can be either the Classroom-assigned identifier or an alias.", "type": "string" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Mask that identifies which fields on the course to update. This field is required to do an update. The update will fail if invalid fields are specified. The following fields are valid: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `section` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `descriptionHeading` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `description` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `room` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `courseState` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ownerId` Note: patches to ownerId are treated as being effective immediately, but in practice it may take some time for the ownership transfer of all affected resources to complete. When set in a query parameter, this field should be specified as `updateMask=,,...`", "type": "string" } }, "request": { "$ref": "Course" }, "id": "classroom.courses.patch", "description": "Updates one or more fields in a course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to modify the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no course exists with the requested ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if invalid fields are specified in the update mask or if no update mask is supplied. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` for the following request errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CourseNotModifiable LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh InactiveCourseOwner" }, "get": { "parameters": { "id": { "type": "string", "required": true, "description": "Identifier of the course to return. This identifier can be either the Classroom-assigned identifier or an alias.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/classroom.courses", "https://www.googleapis.com/auth/classroom.courses.readonly" ], "path": "v1/courses/{id}", "flatPath": "v1/courses/{id}", "id": "classroom.courses.get", "description": "Returns a course. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no course exists with the requested ID.", "response": { "$ref": "Course" }, "httpMethod": "GET", "parameterOrder": [ "id" ] }, "list": { "flatPath": "v1/courses", "parameterOrder": [], "httpMethod": "GET", "path": "v1/courses", "scopes": [ "https://www.googleapis.com/auth/classroom.courses", "https://www.googleapis.com/auth/classroom.courses.readonly" ], "response": { "$ref": "ListCoursesResponse" }, "parameters": { "teacherId": { "location": "query", "description": "Restricts returned courses to those having a teacher with the specified identifier. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user", "type": "string" }, "studentId": { "type": "string", "location": "query", "description": "Restricts returned courses to those having a student with the specified identifier. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user" }, "pageToken": { "type": "string", "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.", "location": "query" }, "pageSize": { "location": "query", "format": "int32", "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.", "type": "integer" }, "courseStates": { "enum": [ "COURSE_STATE_UNSPECIFIED", "ACTIVE", "ARCHIVED", "PROVISIONED", "DECLINED", "SUSPENDED" ], "description": "Restricts returned courses to those in one of the specified states The default value is ACTIVE, ARCHIVED, PROVISIONED, DECLINED.", "type": "string", "location": "query", "enumDescriptions": [ "No course state. No returned Course message will use this value.", "The course is active.", "The course has been archived. You cannot modify it except to change it to a different state.", "The course has been created, but not yet activated. It is accessible by the primary teacher and domain administrators, who may modify it or change it to the `ACTIVE` or `DECLINED` states. A course may only be changed to `PROVISIONED` if it is in the `DECLINED` state.", "The course has been created, but declined. It is accessible by the course owner and domain administrators, though it will not be displayed in the web UI. You cannot modify the course except to change it to the `PROVISIONED` state. A course may only be changed to `DECLINED` if it is in the `PROVISIONED` state.", "The course has been suspended. You cannot modify the course, and only the user identified by the `owner_id` can view the course. A course may be placed in this state if it potentially violates the Terms of Service." ], "repeated": true } }, "id": "classroom.courses.list", "description": "Returns a list of courses that the requesting user is permitted to view, restricted to those that match the request. Returned courses are ordered by creation time, with the most recently created coming first. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the query argument is malformed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if any users specified in the query arguments do not exist." } } }, "userProfiles": { "resources": { "guardians": { "methods": { "get": { "parameterOrder": [ "studentId", "guardianId" ], "response": { "$ref": "Guardian" }, "description": "Returns a specific guardian. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if no user that matches the provided `student_id` is visible to the requesting user, if the requesting user is not permitted to view guardian information for the student identified by the `student_id`, if guardians are not enabled for the domain in question, or for other access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if a `student_id` is specified, but its format cannot be recognized (it is not an email address, nor a `student_id` from the API, nor the literal string `me`). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requesting user is permitted to view guardians for the requested `student_id`, but no `Guardian` record exists for that student that matches the provided `guardian_id`.", "parameters": { "guardianId": { "description": "The `id` field from a `Guardian`.", "required": true, "location": "path", "type": "string" }, "studentId": { "location": "path", "type": "string", "required": true, "description": "The student whose guardian is being requested. One of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/classroom.guardianlinks.me.readonly", "https://www.googleapis.com/auth/classroom.guardianlinks.students", "https://www.googleapis.com/auth/classroom.guardianlinks.students.readonly" ], "path": "v1/userProfiles/{studentId}/guardians/{guardianId}", "id": "classroom.userProfiles.guardians.get", "flatPath": "v1/userProfiles/{studentId}/guardians/{guardianId}" }, "delete": { "response": { "$ref": "Empty" }, "description": "Deletes a guardian. The guardian will no longer receive guardian notifications and the guardian will no longer be accessible via the API. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if no user that matches the provided `student_id` is visible to the requesting user, if the requesting user is not permitted to manage guardians for the student identified by the `student_id`, if guardians are not enabled for the domain in question, or for other access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if a `student_id` is specified, but its format cannot be recognized (it is not an email address, nor a `student_id` from the API). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the requesting user is permitted to modify guardians for the requested `student_id`, but no `Guardian` record exists for that student with the provided `guardian_id`.", "parameters": { "guardianId": { "description": "The `id` field from a `Guardian`.", "type": "string", "required": true, "location": "path" }, "studentId": { "location": "path", "description": "The student whose guardian is to be deleted. One of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user", "required": true, "type": "string" } }, "id": "classroom.userProfiles.guardians.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/classroom.guardianlinks.students" ], "path": "v1/userProfiles/{studentId}/guardians/{guardianId}", "flatPath": "v1/userProfiles/{studentId}/guardians/{guardianId}", "parameterOrder": [ "studentId", "guardianId" ] }, "list": { "description": "Returns a list of guardians that the requesting user is permitted to view, restricted to those that match the request. To list guardians for any student that the requesting user may view guardians for, use the literal character `-` for the student ID. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if a `student_id` is specified, and the requesting user is not permitted to view guardian information for that student, if `\"-\"` is specified as the `student_id` and the user is not a domain administrator, if guardians are not enabled for the domain in question, if the `invited_email_address` filter is set by a user who is not a domain administrator, or for other access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if a `student_id` is specified, but its format cannot be recognized (it is not an email address, nor a `student_id` from the API, nor the literal string `me`). May also be returned if an invalid `page_token` is provided. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if a `student_id` is specified, and its format can be recognized, but Classroom has no record of that student.", "parameterOrder": [ "studentId" ], "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "location": "query", "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token." }, "studentId": { "location": "path", "type": "string", "required": true, "description": "Filter results by the student who the guardian is linked to. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"-\"`, indicating that results should be returned for all students that the requesting user has access to view." }, "invitedEmailAddress": { "description": "Filter results by the email address that the original invitation was sent to, resulting in this guardian link. This filter can only be used by domain administrators.", "type": "string", "location": "query" } }, "path": "v1/userProfiles/{studentId}/guardians", "flatPath": "v1/userProfiles/{studentId}/guardians", "scopes": [ "https://www.googleapis.com/auth/classroom.guardianlinks.me.readonly", "https://www.googleapis.com/auth/classroom.guardianlinks.students", "https://www.googleapis.com/auth/classroom.guardianlinks.students.readonly" ], "response": { "$ref": "ListGuardiansResponse" }, "id": "classroom.userProfiles.guardians.list" } } }, "guardianInvitations": { "methods": { "get": { "id": "classroom.userProfiles.guardianInvitations.get", "response": { "$ref": "GuardianInvitation" }, "path": "v1/userProfiles/{studentId}/guardianInvitations/{invitationId}", "httpMethod": "GET", "flatPath": "v1/userProfiles/{studentId}/guardianInvitations/{invitationId}", "parameters": { "invitationId": { "description": "The `id` field of the `GuardianInvitation` being requested.", "required": true, "location": "path", "type": "string" }, "studentId": { "location": "path", "required": true, "type": "string", "description": "The ID of the student whose guardian invitation is being requested." } }, "description": "Returns a specific guardian invitation. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to view guardian invitations for the student identified by the `student_id`, if guardians are not enabled for the domain in question, or for other access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if a `student_id` is specified, but its format cannot be recognized (it is not an email address, nor a `student_id` from the API, nor the literal string `me`). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if Classroom cannot find any record of the given student or `invitation_id`. May also be returned if the student exists, but the requesting user does not have access to see that student.", "parameterOrder": [ "studentId", "invitationId" ], "scopes": [ "https://www.googleapis.com/auth/classroom.guardianlinks.students", "https://www.googleapis.com/auth/classroom.guardianlinks.students.readonly" ] }, "create": { "description": "Creates a guardian invitation, and sends an email to the guardian asking them to confirm that they are the student's guardian. Once the guardian accepts the invitation, their `state` will change to `COMPLETED` and they will start receiving guardian notifications. A `Guardian` resource will also be created to represent the active guardian. The request object must have the `student_id` and `invited_email_address` fields set. Failing to set these fields, or setting any other fields in the request, will result in an error. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the current user does not have permission to manage guardians, if the guardian in question has already rejected too many requests for that student, if guardians are not enabled for the domain in question, or for other access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `RESOURCE_EXHAUSTED` if the student or guardian has exceeded the guardian link limit. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the guardian email address is not valid (for example, if it is too long), or if the format of the student ID provided cannot be recognized (it is not an email address, nor a `user_id` from this API). This error will also be returned if read-only fields are set, or if the `state` field is set to to a value other than `PENDING`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the student ID provided is a valid student ID, but Classroom has no record of that student. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ALREADY_EXISTS` if there is already a pending guardian invitation for the student and `invited_email_address` provided, or if the provided `invited_email_address` matches the Google account of an existing `Guardian` for this user.", "parameters": { "studentId": { "type": "string", "description": "ID of the student (in standard format)", "required": true, "location": "path" } }, "httpMethod": "POST", "request": { "$ref": "GuardianInvitation" }, "response": { "$ref": "GuardianInvitation" }, "parameterOrder": [ "studentId" ], "id": "classroom.userProfiles.guardianInvitations.create", "path": "v1/userProfiles/{studentId}/guardianInvitations", "flatPath": "v1/userProfiles/{studentId}/guardianInvitations", "scopes": [ "https://www.googleapis.com/auth/classroom.guardianlinks.students" ] }, "patch": { "parameters": { "invitationId": { "required": true, "location": "path", "type": "string", "description": "The `id` field of the `GuardianInvitation` to be modified." }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Mask that identifies which fields on the course to update. This field is required to do an update. The update fails if invalid fields are specified. The following fields are valid: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state` When set in a query parameter, this field should be specified as `updateMask=,,...`" }, "studentId": { "type": "string", "location": "path", "description": "The ID of the student whose guardian invitation is to be modified.", "required": true } }, "path": "v1/userProfiles/{studentId}/guardianInvitations/{invitationId}", "scopes": [ "https://www.googleapis.com/auth/classroom.guardianlinks.students" ], "httpMethod": "PATCH", "parameterOrder": [ "studentId", "invitationId" ], "flatPath": "v1/userProfiles/{studentId}/guardianInvitations/{invitationId}", "response": { "$ref": "GuardianInvitation" }, "description": "Modifies a guardian invitation. Currently, the only valid modification is to change the `state` from `PENDING` to `COMPLETE`. This has the effect of withdrawing the invitation. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the current user does not have permission to manage guardians, if guardians are not enabled for the domain in question or for other access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the guardian link is not in the `PENDING` state. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if the format of the student ID provided cannot be recognized (it is not an email address, nor a `user_id` from this API), or if the passed `GuardianInvitation` has a `state` other than `COMPLETE`, or if it modifies fields other than `state`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the student ID provided is a valid student ID, but Classroom has no record of that student, or if the `id` field does not refer to a guardian invitation known to Classroom.", "request": { "$ref": "GuardianInvitation" }, "id": "classroom.userProfiles.guardianInvitations.patch" }, "list": { "scopes": [ "https://www.googleapis.com/auth/classroom.guardianlinks.students", "https://www.googleapis.com/auth/classroom.guardianlinks.students.readonly" ], "parameters": { "studentId": { "required": true, "location": "path", "type": "string", "description": "The ID of the student whose guardian invitations are to be returned. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"-\"`, indicating that results should be returned for all students that the requesting user is permitted to view guardian invitations." }, "pageToken": { "location": "query", "type": "string", "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token." }, "pageSize": { "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.", "format": "int32", "location": "query", "type": "integer" }, "invitedEmailAddress": { "type": "string", "description": "If specified, only results with the specified `invited_email_address` are returned.", "location": "query" }, "states": { "enum": [ "GUARDIAN_INVITATION_STATE_UNSPECIFIED", "PENDING", "COMPLETE" ], "description": "If specified, only results with the specified `state` values are returned. Otherwise, results with a `state` of `PENDING` are returned.", "location": "query", "enumDescriptions": [ "Should never be returned.", "The invitation is active and awaiting a response.", "The invitation is no longer active. It may have been accepted, declined, withdrawn or it may have expired." ], "type": "string", "repeated": true } }, "flatPath": "v1/userProfiles/{studentId}/guardianInvitations", "parameterOrder": [ "studentId" ], "id": "classroom.userProfiles.guardianInvitations.list", "path": "v1/userProfiles/{studentId}/guardianInvitations", "description": "Returns a list of guardian invitations that the requesting user is permitted to view, filtered by the parameters provided. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if a `student_id` is specified, and the requesting user is not permitted to view guardian invitations for that student, if `\"-\"` is specified as the `student_id` and the user is not a domain administrator, if guardians are not enabled for the domain in question, or for other access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if a `student_id` is specified, but its format cannot be recognized (it is not an email address, nor a `student_id` from the API, nor the literal string `me`). May also be returned if an invalid `page_token` or `state` is provided. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if a `student_id` is specified, and its format can be recognized, but Classroom has no record of that student.", "httpMethod": "GET", "response": { "$ref": "ListGuardianInvitationsResponse" } } } } }, "methods": { "get": { "flatPath": "v1/userProfiles/{userId}", "parameterOrder": [ "userId" ], "response": { "$ref": "UserProfile" }, "httpMethod": "GET", "id": "classroom.userProfiles.get", "path": "v1/userProfiles/{userId}", "parameters": { "userId": { "required": true, "description": "Identifier of the profile to return. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/classroom.profile.emails", "https://www.googleapis.com/auth/classroom.profile.photos", "https://www.googleapis.com/auth/classroom.rosters", "https://www.googleapis.com/auth/classroom.rosters.readonly" ], "description": "Returns a user profile. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to access this user profile, if no profile exists with the requested ID, or for access errors." } } }, "invitations": { "methods": { "delete": { "parameters": { "id": { "location": "path", "required": true, "type": "string", "description": "Identifier of the invitation to delete." } }, "scopes": [ "https://www.googleapis.com/auth/classroom.rosters" ], "path": "v1/invitations/{id}", "flatPath": "v1/invitations/{id}", "id": "classroom.invitations.delete", "response": { "$ref": "Empty" }, "description": "Deletes an invitation. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to delete the requested invitation or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no invitation exists with the requested ID.", "httpMethod": "DELETE", "parameterOrder": [ "id" ] }, "create": { "httpMethod": "POST", "request": { "$ref": "Invitation" }, "flatPath": "v1/invitations", "path": "v1/invitations", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/classroom.rosters" ], "response": { "$ref": "Invitation" }, "parameters": {}, "description": "Creates an invitation. Only one invitation for a user and course may exist at a time. Delete and re-create an invitation to make changes. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to create invitations for this course or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if the course or the user does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` if the requested user's account is disabled or if the user already has this role or a role with greater permissions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ALREADY_EXISTS` if an invitation for the specified user and course already exists.", "id": "classroom.invitations.create" }, "list": { "response": { "$ref": "ListInvitationsResponse" }, "id": "classroom.invitations.list", "description": "Returns a list of invitations that the requesting user is permitted to view, restricted to those that match the list request. *Note:* At least one of `user_id` or `course_id` must be supplied. Both fields can be supplied. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` for access errors.", "path": "v1/invitations", "httpMethod": "GET", "flatPath": "v1/invitations", "parameterOrder": [], "parameters": { "courseId": { "description": "Restricts returned invitations to those for a course with the specified identifier.", "location": "query", "type": "string" }, "userId": { "type": "string", "description": "Restricts returned invitations to those for a specific user. The identifier can be one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the numeric identifier for the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address of the user LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the string literal `\"me\"`, indicating the requesting user", "location": "query" }, "pageSize": { "description": "Maximum number of items to return. The default is 500 if unspecified or `0`. The server may return fewer than the specified number of results.", "format": "int32", "type": "integer", "location": "query" }, "pageToken": { "type": "string", "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/classroom.rosters", "https://www.googleapis.com/auth/classroom.rosters.readonly" ] }, "get": { "parameterOrder": [ "id" ], "response": { "$ref": "Invitation" }, "id": "classroom.invitations.get", "path": "v1/invitations/{id}", "parameters": { "id": { "type": "string", "location": "path", "description": "Identifier of the invitation to return.", "required": true } }, "httpMethod": "GET", "flatPath": "v1/invitations/{id}", "description": "Returns an invitation. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to view the requested invitation or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no invitation exists with the requested ID.", "scopes": [ "https://www.googleapis.com/auth/classroom.rosters", "https://www.googleapis.com/auth/classroom.rosters.readonly" ] }, "accept": { "id": "classroom.invitations.accept", "scopes": [ "https://www.googleapis.com/auth/classroom.rosters" ], "description": "Accepts an invitation, removing it and adding the invited user to the teachers or students (as appropriate) of the specified course. Only the invited user may accept an invitation. This method returns the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if the requesting user is not permitted to accept the requested invitation or for access errors. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `FAILED_PRECONDITION` for the following request errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CourseMemberLimitReached LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CourseNotModifiable LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CourseTeacherLimitReached LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UserGroupsMembershipLimitReached LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if no invitation exists with the requested ID.", "parameters": { "id": { "description": "Identifier of the invitation to accept.", "location": "path", "type": "string", "required": true } }, "path": "v1/invitations/{id}:accept", "flatPath": "v1/invitations/{id}:accept", "httpMethod": "POST", "parameterOrder": [ "id" ], "response": { "$ref": "Empty" } } } }, "registrations": { "methods": { "delete": { "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/classroom.push-notifications" ], "id": "classroom.registrations.delete", "flatPath": "v1/registrations/{registrationId}", "httpMethod": "DELETE", "parameterOrder": [ "registrationId" ], "description": "Deletes a `Registration`, causing Classroom to stop sending notifications for that `Registration`.", "parameters": { "registrationId": { "location": "path", "type": "string", "required": true, "description": "The `registration_id` of the `Registration` to be deleted." } }, "path": "v1/registrations/{registrationId}" }, "create": { "httpMethod": "POST", "parameters": {}, "id": "classroom.registrations.create", "description": "Creates a `Registration`, causing Classroom to start sending notifications from the provided `feed` to the destination provided in `cloudPubSubTopic`. Returns the created `Registration`. Currently, this will be the same as the argument, but with server-assigned fields such as `expiry_time` and `id` filled in. Note that any value specified for the `expiry_time` or `id` fields will be ignored. While Classroom may validate the `cloudPubSubTopic` and return errors on a best effort basis, it is the caller's responsibility to ensure that it exists and that Classroom has permission to publish to it. This method may return the following error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERMISSION_DENIED` if: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the authenticated user does not have permission to receive notifications from the requested field; or LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the current user has not granted access to the current Cloud project with the appropriate scope for the requested feed. Note that domain-wide delegation of authority is not currently supported for this purpose. If the request has the appropriate scope, but no grant exists, a Request Errors is returned. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh another access error is encountered. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INVALID_ARGUMENT` if: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh no `cloudPubsubTopic` is specified, or the specified `cloudPubsubTopic` is not valid; or LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh no `feed` is specified, or the specified `feed` is not valid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT_FOUND` if: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the specified `feed` cannot be located, or the requesting user does not have permission to determine whether or not it exists; or LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the specified `cloudPubsubTopic` cannot be located, or Classroom has not been granted permission to publish to it.", "scopes": [ "https://www.googleapis.com/auth/classroom.push-notifications" ], "parameterOrder": [], "response": { "$ref": "Registration" }, "path": "v1/registrations", "request": { "$ref": "Registration" }, "flatPath": "v1/registrations" } } } }, "batchPath": "batch" }
]===]))
