local decode = require("cjson").new().decode
return assert(decode([===[
{ "title": "Cloud Asset API", "documentationLink": "https://cloud.google.com/asset-inventory/docs/quickstart", "resources": { "assets": { "methods": { "list": { "httpMethod": "GET", "flatPath": "v1/{v1Id}/{v1Id1}/assets", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListAssetsResponse" }, "parameters": { "contentType": { "location": "query", "type": "string", "enum": [ "CONTENT_TYPE_UNSPECIFIED", "RESOURCE", "IAM_POLICY", "ORG_POLICY", "ACCESS_POLICY", "OS_INVENTORY", "RELATIONSHIP" ], "enumDescriptions": [ "Unspecified content type.", "Resource metadata.", "The actual IAM policy set on a resource.", "The Cloud Organization Policy set on an asset.", "The Cloud Access context manager Policy set on an asset.", "The runtime OS Inventory information.", "The related resources." ], "description": "Asset content type. If not specified, no content but the asset name will be returned." }, "parent": { "pattern": "^[^/]+/[^/]+$", "type": "string", "required": true, "description": "Required. Name of the organization, folder, or project the assets belong to. Format: \"organizations/[organization-number]\" (such as \"organizations/123\"), \"projects/[project-id]\" (such as \"projects/my-project-id\"), \"projects/[project-number]\" (such as \"projects/12345\"), or \"folders/[folder-number]\" (such as \"folders/12345\").", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "The `next_page_token` returned from the previous `ListAssetsResponse`, or unspecified for the first `ListAssetsRequest`. It is a continuation of a prior `ListAssets` call, and the API should return the next page of assets." }, "relationshipTypes": { "description": "A list of relationship types to output, for example: `INSTANCE_TO_INSTANCEGROUP`. This field should only be specified if content_type=RELATIONSHIP. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If specified: it snapshots specified relationships. It returns an error if any of the [relationship_types] doesn't belong to the supported relationship types of the [asset_types] or if any of the [asset_types] doesn't belong to the source types of the [relationship_types]. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Otherwise: it snapshots the supported relationships for all [asset_types] or returns an error if any of the [asset_types] has no relationship support. An unspecified asset types field means all supported asset_types. See [Introduction to Cloud Asset Inventory](https://cloud.google.com/asset-inventory/docs/overview) for all supported asset types and relationship types.", "type": "string", "location": "query", "repeated": true }, "assetTypes": { "repeated": true, "type": "string", "location": "query", "description": "A list of asset types to take a snapshot for. For example: \"compute.googleapis.com/Disk\". Regular expression is also supported. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"compute.googleapis.com.*\" snapshots resources whose asset type starts with \"compute.googleapis.com\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \".*Instance\" snapshots resources whose asset type ends with \"Instance\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \".*Instance.*\" snapshots resources whose asset type contains \"Instance\". See [RE2](https://github.com/google/re2/wiki/Syntax) for all supported regular expression syntax. If the regular expression does not match any supported asset type, an INVALID_ARGUMENT error will be returned. If specified, only matching assets will be returned, otherwise, it will snapshot all asset types. See [Introduction to Cloud Asset Inventory](https://cloud.google.com/asset-inventory/docs/overview) for all supported asset types." }, "readTime": { "format": "google-datetime", "type": "string", "description": "Timestamp to take an asset snapshot. This can only be set to a timestamp between the current time and the current time minus 35 days (inclusive). If not specified, the current time will be used. Due to delays in resource data collection and indexing, there is a volatile window during which running the same query may get different results.", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of assets to be returned in a single response. Default is 100, minimum is 1, and maximum is 1000.", "format": "int32" } }, "id": "cloudasset.assets.list", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/assets", "description": "Lists assets with time and resource types and returns paged results in response." } } }, "effectiveIamPolicies": { "methods": { "batchGet": { "description": "Gets effective IAM policies for a batch of resources.", "parameterOrder": [ "scope" ], "response": { "$ref": "BatchGetEffectiveIamPoliciesResponse" }, "id": "cloudasset.effectiveIamPolicies.batchGet", "parameters": { "scope": { "type": "string", "required": true, "description": "Required. Only IAM policies on or below the scope will be returned. This can only be an organization number (such as \"organizations/123\"), a folder number (such as \"folders/123\"), a project ID (such as \"projects/my-project-id\"), or a project number (such as \"projects/12345\"). To know how to get organization id, visit [here ](https://cloud.google.com/resource-manager/docs/creating-managing-organization#retrieving_your_organization_id). To know how to get folder or project id, visit [here ](https://cloud.google.com/resource-manager/docs/creating-managing-folders#viewing_or_listing_folders_and_projects).", "location": "path", "pattern": "^[^/]+/[^/]+$" }, "names": { "location": "query", "description": "Required. The names refer to the [full_resource_names] (https://cloud.google.com/asset-inventory/docs/resource-name-format) of [searchable asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types#searchable_asset_types). A maximum of 20 resources' effective policies can be retrieved in a batch.", "type": "string", "repeated": true } }, "httpMethod": "GET", "path": "v1/{+scope}/effectiveIamPolicies:batchGet", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/{v1Id}/{v1Id1}/effectiveIamPolicies:batchGet" } } }, "feeds": { "methods": { "create": { "path": "v1/{+parent}/feeds", "flatPath": "v1/{v1Id}/{v1Id1}/feeds", "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The name of the project/folder/organization where this feed should be created in. It can only be an organization number (such as \"organizations/123\"), a folder number (such as \"folders/123\"), a project ID (such as \"projects/my-project-id\")\", or a project number (such as \"projects/12345\").", "pattern": "^[^/]+/[^/]+$", "type": "string" } }, "request": { "$ref": "CreateFeedRequest" }, "httpMethod": "POST", "description": "Creates a feed in a parent project/folder/organization to listen to its asset updates.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Feed" }, "parameterOrder": [ "parent" ], "id": "cloudasset.feeds.create" }, "delete": { "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "description": "Deletes an asset feed.", "id": "cloudasset.feeds.delete", "path": "v1/{+name}", "flatPath": "v1/{v1Id}/{v1Id1}/feeds/{feedsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^[^/]+/[^/]+/feeds/[^/]+$", "required": true, "description": "Required. The name of the feed and it must be in the format of: projects/project_number/feeds/feed_id folders/folder_number/feeds/feed_id organizations/organization_number/feeds/feed_id", "location": "path", "type": "string" } }, "httpMethod": "DELETE" }, "list": { "httpMethod": "GET", "response": { "$ref": "ListFeedsResponse" }, "parameters": { "parent": { "location": "path", "pattern": "^[^/]+/[^/]+$", "type": "string", "description": "Required. The parent project/folder/organization whose feeds are to be listed. It can only be using project/folder/organization number (such as \"folders/12345\")\", or a project ID (such as \"projects/my-project-id\").", "required": true } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/feeds", "id": "cloudasset.feeds.list", "description": "Lists all asset feeds in a parent project/folder/organization.", "flatPath": "v1/{v1Id}/{v1Id1}/feeds" }, "get": { "id": "cloudasset.feeds.get", "path": "v1/{+name}", "response": { "$ref": "Feed" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1/{v1Id}/{v1Id1}/feeds/{feedsId}", "parameters": { "name": { "required": true, "location": "path", "type": "string", "pattern": "^[^/]+/[^/]+/feeds/[^/]+$", "description": "Required. The name of the Feed and it must be in the format of: projects/project_number/feeds/feed_id folders/folder_number/feeds/feed_id organizations/organization_number/feeds/feed_id" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets details about an asset feed." }, "patch": { "id": "cloudasset.feeds.patch", "response": { "$ref": "Feed" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Updates an asset feed configuration.", "request": { "$ref": "UpdateFeedRequest" }, "flatPath": "v1/{v1Id}/{v1Id1}/feeds/{feedsId}", "parameters": { "name": { "pattern": "^[^/]+/[^/]+/feeds/[^/]+$", "location": "path", "required": true, "description": "Required. The format will be projects/{project_number}/feeds/{client-assigned_feed_identifier} or folders/{folder_number}/feeds/{client-assigned_feed_identifier} or organizations/{organization_number}/feeds/{client-assigned_feed_identifier} The client-assigned feed identifier must be unique within the parent project/folder/organization.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH" } } }, "v1": { "methods": { "searchAllIamPolicies": { "flatPath": "v1/{v1Id}/{v1Id1}:searchAllIamPolicies", "response": { "$ref": "SearchAllIamPoliciesResponse" }, "path": "v1/{+scope}:searchAllIamPolicies", "id": "cloudasset.searchAllIamPolicies", "description": "Searches all IAM policies within the specified scope, such as a project, folder, or organization. The caller must be granted the `cloudasset.assets.searchAllIamPolicies` permission on the desired scope, otherwise the request will be rejected.", "parameterOrder": [ "scope" ], "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "description": "Optional. The page size for search result pagination. Page size is capped at 500 even if a larger value is given. If set to zero, server will pick an appropriate default. Returned results may be fewer than requested. When this happens, there could be more results as long as `next_page_token` is returned.", "location": "query", "type": "integer" }, "scope": { "type": "string", "pattern": "^[^/]+/[^/]+$", "location": "path", "required": true, "description": "Required. A scope can be a project, a folder, or an organization. The search is limited to the IAM policies within the `scope`. The caller must be granted the [`cloudasset.assets.searchAllIamPolicies`](https://cloud.google.com/asset-inventory/docs/access-control#required_permissions) permission on the desired scope. The allowed values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh projects/{PROJECT_ID} (e.g., \"projects/foo-bar\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh projects/{PROJECT_NUMBER} (e.g., \"projects/12345678\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh folders/{FOLDER_NUMBER} (e.g., \"folders/1234567\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh organizations/{ORGANIZATION_NUMBER} (e.g., \"organizations/123456\")" }, "pageToken": { "location": "query", "description": "Optional. If present, retrieve the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of all other method parameters must be identical to those in the previous call.", "type": "string" }, "orderBy": { "type": "string", "description": "Optional. A comma-separated list of fields specifying the sorting order of the results. The default order is ascending. Add \" DESC\" after the field name to indicate descending order. Redundant space characters are ignored. Example: \"assetType DESC, resource\". Only singular primitive fields in the response are sortable: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh assetType LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh project All the other fields such as repeated fields (e.g., `folders`) and non-primitive fields (e.g., `policy`) are not supported.", "location": "query" }, "assetTypes": { "type": "string", "description": "Optional. A list of asset types that the IAM policies are attached to. If empty, it will search the IAM policies that are attached to all the [searchable asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types#searchable_asset_types). Regular expressions are also supported. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"compute.googleapis.com.*\" snapshots IAM policies attached to asset type starts with \"compute.googleapis.com\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \".*Instance\" snapshots IAM policies attached to asset type ends with \"Instance\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \".*Instance.*\" snapshots IAM policies attached to asset type contains \"Instance\". See [RE2](https://github.com/google/re2/wiki/Syntax) for all supported regular expression syntax. If the regular expression does not match any supported asset type, an INVALID_ARGUMENT error will be returned.", "repeated": true, "location": "query" }, "query": { "description": "Optional. The query statement. See [how to construct a query](https://cloud.google.com/asset-inventory/docs/searching-iam-policies#how_to_construct_a_query) for more information. If not specified or empty, it will search all the IAM policies within the specified `scope`. Note that the query string is compared against each Cloud IAM policy binding, including its principals, roles, and Cloud IAM conditions. The returned Cloud IAM policies will only contain the bindings that match your query. To learn more about the IAM policy structure, see the [IAM policy documentation](https://cloud.google.com/iam/help/allow-policies/structure). Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `policy:amy@gmail.com` to find IAM policy bindings that specify user \"amy@gmail.com\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `policy:roles/compute.admin` to find IAM policy bindings that specify the Compute Admin role. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `policy:comp*` to find IAM policy bindings that contain \"comp\" as a prefix of any word in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `policy.role.permissions:storage.buckets.update` to find IAM policy bindings that specify a role containing \"storage.buckets.update\" permission. Note that if callers don't have `iam.roles.get` access to a role's included permissions, policy bindings that specify this role will be dropped from the search results. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `policy.role.permissions:upd*` to find IAM policy bindings that specify a role containing \"upd\" as a prefix of any word in the role permission. Note that if callers don't have `iam.roles.get` access to a role's included permissions, policy bindings that specify this role will be dropped from the search results. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `resource:organizations/123456` to find IAM policy bindings that are set on \"organizations/123456\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `resource=//cloudresourcemanager.googleapis.com/projects/myproject` to find IAM policy bindings that are set on the project named \"myproject\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Important` to find IAM policy bindings that contain \"Important\" as a word in any of the searchable fields (except for the included permissions). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `resource:(instance1 OR instance2) policy:amy` to find IAM policy bindings that are set on resources \"instance1\" or \"instance2\" and also specify user \"amy\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `roles:roles/compute.admin` to find IAM policy bindings that specify the Compute Admin role. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `memberTypes:user` to find IAM policy bindings that contain the principal type \"user\".", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "analyzeMove": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/{v1Id}/{v1Id1}:analyzeMove", "id": "cloudasset.analyzeMove", "response": { "$ref": "AnalyzeMoveResponse" }, "httpMethod": "GET", "parameters": { "destinationParent": { "type": "string", "description": "Required. Name of the GCP Folder or Organization to reparent the target resource. The analysis will be performed against hypothetically moving the resource to this specified desitination parent. This can only be a Folder number (such as \"folders/123\") or an Organization number (such as \"organizations/123\").", "location": "query" }, "resource": { "type": "string", "description": "Required. Name of the resource to perform the analysis against. Only GCP Project are supported as of today. Hence, this can only be Project ID (such as \"projects/my-project-id\") or a Project Number (such as \"projects/12345\").", "location": "path", "pattern": "^[^/]+/[^/]+$", "required": true }, "view": { "type": "string", "enum": [ "ANALYSIS_VIEW_UNSPECIFIED", "FULL", "BASIC" ], "location": "query", "description": "Analysis view indicating what information should be included in the analysis response. If unspecified, the default view is FULL.", "enumDescriptions": [ "The default/unset value. The API will default to the FULL view.", "Full analysis including all level of impacts of the specified resource move.", "Basic analysis only including blockers which will prevent the specified resource move at runtime." ] } }, "parameterOrder": [ "resource" ], "description": "Analyze moving a resource to a specified destination without kicking off the actual move. The analysis is best effort depending on the user's permissions of viewing different hierarchical policies and configurations. The policies and configuration are subject to change before the actual resource migration takes place.", "path": "v1/{+resource}:analyzeMove" }, "exportAssets": { "parameters": { "parent": { "pattern": "^[^/]+/[^/]+$", "description": "Required. The relative name of the root asset. This can only be an organization number (such as \"organizations/123\"), a project ID (such as \"projects/my-project-id\"), or a project number (such as \"projects/12345\"), or a folder number (such as \"folders/123\").", "required": true, "type": "string", "location": "path" } }, "httpMethod": "POST", "flatPath": "v1/{v1Id}/{v1Id1}:exportAssets", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "description": "Exports assets with time and resource types to a given Cloud Storage location/BigQuery table. For Cloud Storage location destinations, the output format is newline-delimited JSON. Each line represents a google.cloud.asset.v1.Asset in the JSON format; for BigQuery table destinations, the output table stores the fields in asset Protobuf as columns. This API implements the google.longrunning.Operation API, which allows you to keep track of the export. We recommend intervals of at least 2 seconds with exponential retry to poll the export operation result. For regular-size resource parent, the export operation usually finishes within 5 minutes.", "id": "cloudasset.exportAssets", "path": "v1/{+parent}:exportAssets", "request": { "$ref": "ExportAssetsRequest" } }, "searchAllResources": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/{v1Id}/{v1Id1}:searchAllResources", "description": "Searches all Cloud resources within the specified scope, such as a project, folder, or organization. The caller must be granted the `cloudasset.assets.searchAllResources` permission on the desired scope, otherwise the request will be rejected.", "path": "v1/{+scope}:searchAllResources", "response": { "$ref": "SearchAllResourcesResponse" }, "id": "cloudasset.searchAllResources", "parameterOrder": [ "scope" ], "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The page size for search result pagination. Page size is capped at 500 even if a larger value is given. If set to zero, server will pick an appropriate default. Returned results may be fewer than requested. When this happens, there could be more results as long as `next_page_token` is returned." }, "readMask": { "description": "Optional. A comma-separated list of fields specifying which fields to be returned in ResourceSearchResult. Only '*' or combination of top level fields can be specified. Field names of both snake_case and camelCase are supported. Examples: `\"*\"`, `\"name,location\"`, `\"name,versionedResources\"`. The read_mask paths must be valid field paths listed but not limited to (both snake_case and camelCase are supported): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh assetType LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh project LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh displayName LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh description LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh location LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh tagKeys LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh tagValues LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh tagValueIds LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh labels LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh networkTags LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh kmsKey LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh createTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh updateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh additionalAttributes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh versionedResources If read_mask is not specified, all fields except versionedResources will be returned. If only '*' is specified, all fields including versionedResources will be returned. Any invalid field path will trigger INVALID_ARGUMENT error.", "type": "string", "format": "google-fieldmask", "location": "query" }, "pageToken": { "description": "Optional. If present, then retrieve the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of all other method parameters, must be identical to those in the previous call.", "type": "string", "location": "query" }, "assetTypes": { "type": "string", "repeated": true, "description": "Optional. A list of asset types that this request searches for. If empty, it will search all the [searchable asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types#searchable_asset_types). Regular expressions are also supported. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"compute.googleapis.com.*\" snapshots resources whose asset type starts with \"compute.googleapis.com\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \".*Instance\" snapshots resources whose asset type ends with \"Instance\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \".*Instance.*\" snapshots resources whose asset type contains \"Instance\". See [RE2](https://github.com/google/re2/wiki/Syntax) for all supported regular expression syntax. If the regular expression does not match any supported asset type, an INVALID_ARGUMENT error will be returned.", "location": "query" }, "scope": { "type": "string", "pattern": "^[^/]+/[^/]+$", "location": "path", "description": "Required. A scope can be a project, a folder, or an organization. The search is limited to the resources within the `scope`. The caller must be granted the [`cloudasset.assets.searchAllResources`](https://cloud.google.com/asset-inventory/docs/access-control#required_permissions) permission on the desired scope. The allowed values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh projects/{PROJECT_ID} (e.g., \"projects/foo-bar\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh projects/{PROJECT_NUMBER} (e.g., \"projects/12345678\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh folders/{FOLDER_NUMBER} (e.g., \"folders/1234567\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh organizations/{ORGANIZATION_NUMBER} (e.g., \"organizations/123456\")", "required": true }, "query": { "description": "Optional. The query statement. See [how to construct a query](https://cloud.google.com/asset-inventory/docs/searching-resources#how_to_construct_a_query) for more information. If not specified or empty, it will search all the resources within the specified `scope`. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name:Important` to find Cloud resources whose name contains \"Important\" as a word. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name=Important` to find the Cloud resource whose name is exactly \"Important\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName:Impor*` to find Cloud resources whose display name contains \"Impor\" as a prefix of any word in the field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `location:us-west*` to find Cloud resources whose location contains both \"us\" and \"west\" as prefixes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels:prod` to find Cloud resources whose labels contain \"prod\" as a key or value. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.env:prod` to find Cloud resources that have a label \"env\" and its value is \"prod\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.env:*` to find Cloud resources that have a label \"env\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `kmsKey:key` to find Cloud resources encrypted with a customer-managed encryption key whose name contains the word \"key\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `relationships:instance-group-1` to find Cloud resources that have relationships with \"instance-group-1\" in the related resource name. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `relationships:INSTANCE_TO_INSTANCEGROUP` to find compute instances that have relationships of type \"INSTANCE_TO_INSTANCEGROUP\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `relationships.INSTANCE_TO_INSTANCEGROUP:instance-group-1` to find compute instances that have relationships with \"instance-group-1\" in the compute instance group resource name, for relationship type \"INSTANCE_TO_INSTANCEGROUP\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state:ACTIVE` to find Cloud resources whose state contains \"ACTIVE\" as a word. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOT state:ACTIVE` to find Cloud resources whose state doesn't contain \"ACTIVE\" as a word. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `createTime\u003c1609459200` to find Cloud resources that were created before \"2021-01-01 00:00:00 UTC\". 1609459200 is the epoch timestamp of \"2021-01-01 00:00:00 UTC\" in seconds. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `updateTime\u003e1609459200` to find Cloud resources that were updated after \"2021-01-01 00:00:00 UTC\". 1609459200 is the epoch timestamp of \"2021-01-01 00:00:00 UTC\" in seconds. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Important` to find Cloud resources that contain \"Important\" as a word in any of the searchable fields. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Impor*` to find Cloud resources that contain \"Impor\" as a prefix of any word in any of the searchable fields. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Important location:(us-west1 OR global)` to find Cloud resources that contain \"Important\" as a word in any of the searchable fields and are also located in the \"us-west1\" region or the \"global\" location.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Optional. A comma-separated list of fields specifying the sorting order of the results. The default order is ascending. Add \" DESC\" after the field name to indicate descending order. Redundant space characters are ignored. Example: \"location DESC, name\". Only singular primitive fields in the response are sortable: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh assetType LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh project LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh displayName LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh description LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh location LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh kmsKey LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh createTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh updateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh parentFullResourceName LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh parentAssetType All the other fields such as repeated fields (e.g., `networkTags`), map fields (e.g., `labels`) and struct fields (e.g., `additionalAttributes`) are not supported." } }, "httpMethod": "GET" }, "batchGetAssetsHistory": { "httpMethod": "GET", "description": "Batch gets the update history of assets that overlap a time window. For IAM_POLICY content, this API outputs history when the asset and its attached IAM POLICY both exist. This can create gaps in the output history. Otherwise, this API outputs history with asset in both non-delete or deleted status. If a specified asset does not exist, this API returns an INVALID_ARGUMENT error.", "response": { "$ref": "BatchGetAssetsHistoryResponse" }, "id": "cloudasset.batchGetAssetsHistory", "flatPath": "v1/{v1Id}/{v1Id1}:batchGetAssetsHistory", "parameterOrder": [ "parent" ], "parameters": { "relationshipTypes": { "repeated": true, "description": "Optional. A list of relationship types to output, for example: `INSTANCE_TO_INSTANCEGROUP`. This field should only be specified if content_type=RELATIONSHIP. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If specified: it outputs specified relationships' history on the [asset_names]. It returns an error if any of the [relationship_types] doesn't belong to the supported relationship types of the [asset_names] or if any of the [asset_names]'s types doesn't belong to the source types of the [relationship_types]. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Otherwise: it outputs the supported relationships' history on the [asset_names] or returns an error if any of the [asset_names]'s types has no relationship support. See [Introduction to Cloud Asset Inventory](https://cloud.google.com/asset-inventory/docs/overview) for all supported asset types and relationship types.", "location": "query", "type": "string" }, "contentType": { "description": "Optional. The content type.", "enumDescriptions": [ "Unspecified content type.", "Resource metadata.", "The actual IAM policy set on a resource.", "The Cloud Organization Policy set on an asset.", "The Cloud Access context manager Policy set on an asset.", "The runtime OS Inventory information.", "The related resources." ], "location": "query", "type": "string", "enum": [ "CONTENT_TYPE_UNSPECIFIED", "RESOURCE", "IAM_POLICY", "ORG_POLICY", "ACCESS_POLICY", "OS_INVENTORY", "RELATIONSHIP" ] }, "parent": { "type": "string", "description": "Required. The relative name of the root asset. It can only be an organization number (such as \"organizations/123\"), a project ID (such as \"projects/my-project-id\")\", or a project number (such as \"projects/12345\").", "required": true, "pattern": "^[^/]+/[^/]+$", "location": "path" }, "readTimeWindow.endTime": { "format": "google-datetime", "location": "query", "type": "string", "description": "End time of the time window (inclusive). If not specified, the current timestamp is used instead." }, "assetNames": { "description": "A list of the full names of the assets. See: https://cloud.google.com/asset-inventory/docs/resource-name-format Example: `//compute.googleapis.com/projects/my_project_123/zones/zone1/instances/instance1`. The request becomes a no-op if the asset name list is empty, and the max size of the asset name list is 100 in one request.", "type": "string", "location": "query", "repeated": true }, "readTimeWindow.startTime": { "location": "query", "format": "google-datetime", "description": "Start time of the time window (exclusive).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}:batchGetAssetsHistory" }, "analyzeIamPolicyLongrunning": { "response": { "$ref": "Operation" }, "description": "Analyzes IAM policies asynchronously to answer which identities have what accesses on which resources, and writes the analysis results to a Google Cloud Storage or a BigQuery destination. For Cloud Storage destination, the output format is the JSON format that represents a AnalyzeIamPolicyResponse. This method implements the google.longrunning.Operation, which allows you to track the operation status. We recommend intervals of at least 2 seconds with exponential backoff retry to poll the operation result. The metadata contains the metadata for the long-running operation.", "parameters": { "scope": { "description": "Required. The relative name of the root asset. Only resources and IAM policies within the scope will be analyzed. This can only be an organization number (such as \"organizations/123\"), a folder number (such as \"folders/123\"), a project ID (such as \"projects/my-project-id\"), or a project number (such as \"projects/12345\"). To know how to get organization id, visit [here ](https://cloud.google.com/resource-manager/docs/creating-managing-organization#retrieving_your_organization_id). To know how to get folder or project id, visit [here ](https://cloud.google.com/resource-manager/docs/creating-managing-folders#viewing_or_listing_folders_and_projects).", "required": true, "pattern": "^[^/]+/[^/]+$", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "scope" ], "path": "v1/{+scope}:analyzeIamPolicyLongrunning", "httpMethod": "POST", "request": { "$ref": "AnalyzeIamPolicyLongrunningRequest" }, "id": "cloudasset.analyzeIamPolicyLongrunning", "flatPath": "v1/{v1Id}/{v1Id1}:analyzeIamPolicyLongrunning" }, "analyzeIamPolicy": { "parameters": { "analysisQuery.options.expandRoles": { "description": "Optional. If true, the access section of result will expand any roles appearing in IAM policy bindings to include their permissions. If IamPolicyAnalysisQuery.access_selector is specified, the access section of the result will be determined by the selector, and this flag is not allowed to set. Default is false.", "type": "boolean", "location": "query" }, "analysisQuery.conditionContext.accessTime": { "type": "string", "location": "query", "format": "google-datetime", "description": "The hypothetical access timestamp to evaluate IAM conditions. Note that this value must not be earlier than the current time; otherwise, an INVALID_ARGUMENT error will be returned." }, "analysisQuery.options.expandResources": { "type": "boolean", "location": "query", "description": "Optional. If true and IamPolicyAnalysisQuery.resource_selector is not specified, the resource section of the result will expand any resource attached to an IAM policy to include resources lower in the resource hierarchy. For example, if the request analyzes for which resources user A has permission P, and the results include an IAM policy with P on a GCP folder, the results will also include resources in that folder with permission P. If true and IamPolicyAnalysisQuery.resource_selector is specified, the resource section of the result will expand the specified resource to include resources lower in the resource hierarchy. Only project or lower resources are supported. Folder and organization resource cannot be used together with this option. For example, if the request analyzes for which users have permission P on a GCP project with this option enabled, the results will include all users who have permission P on that project or any lower resource. If true, the default max expansion per resource is 1000 for AssetService.AnalyzeIamPolicy][] and 100000 for AssetService.AnalyzeIamPolicyLongrunning][]. Default is false." }, "analysisQuery.options.outputResourceEdges": { "location": "query", "description": "Optional. If true, the result will output the relevant parent/child relationships between resources. Default is false.", "type": "boolean" }, "analysisQuery.options.analyzeServiceAccountImpersonation": { "location": "query", "type": "boolean", "description": "Optional. If true, the response will include access analysis from identities to resources via service account impersonation. This is a very expensive operation, because many derived queries will be executed. We highly recommend you use AssetService.AnalyzeIamPolicyLongrunning rpc instead. For example, if the request analyzes for which resources user A has permission P, and there's an IAM policy states user A has iam.serviceAccounts.getAccessToken permission to a service account SA, and there's another IAM policy states service account SA has permission P to a GCP folder F, then user A potentially has access to the GCP folder F. And those advanced analysis results will be included in AnalyzeIamPolicyResponse.service_account_impersonation_analysis. Another example, if the request analyzes for who has permission P to a GCP folder F, and there's an IAM policy states user A has iam.serviceAccounts.actAs permission to a service account SA, and there's another IAM policy states service account SA has permission P to the GCP folder F, then user A potentially has access to the GCP folder F. And those advanced analysis results will be included in AnalyzeIamPolicyResponse.service_account_impersonation_analysis. Only the following permissions are considered in this analysis: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.actAs` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.signBlob` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.signJwt` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.getAccessToken` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.getOpenIdToken` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.implicitDelegation` Default is false." }, "analysisQuery.accessSelector.permissions": { "type": "string", "location": "query", "description": "Optional. The permissions to appear in result.", "repeated": true }, "analysisQuery.options.expandGroups": { "description": "Optional. If true, the identities section of the result will expand any Google groups appearing in an IAM policy binding. If IamPolicyAnalysisQuery.identity_selector is specified, the identity in the result will be determined by the selector, and this flag is not allowed to set. If true, the default max expansion per group is 1000 for AssetService.AnalyzeIamPolicy][]. Default is false.", "location": "query", "type": "boolean" }, "analysisQuery.accessSelector.roles": { "location": "query", "description": "Optional. The roles to appear in result.", "repeated": true, "type": "string" }, "savedAnalysisQuery": { "description": "Optional. The name of a saved query, which must be in the format of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh projects/project_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh folders/folder_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh organizations/organization_number/savedQueries/saved_query_id If both `analysis_query` and `saved_analysis_query` are provided, they will be merged together with the `saved_analysis_query` as base and the `analysis_query` as overrides. For more details of the merge behavior, please refer to the [MergeFrom](https://developers.google.com/protocol-buffers/docs/reference/cpp/google.protobuf.message#Message.MergeFrom.details) page. Note that you cannot override primitive fields with default value, such as 0 or empty string, etc., because we use proto3, which doesn't support field presence yet.", "type": "string", "location": "query" }, "analysisQuery.options.outputGroupEdges": { "location": "query", "description": "Optional. If true, the result will output the relevant membership relationships between groups and other groups, and between groups and principals. Default is false.", "type": "boolean" }, "analysisQuery.resourceSelector.fullResourceName": { "type": "string", "location": "query", "description": "Required. The [full resource name] (https://cloud.google.com/asset-inventory/docs/resource-name-format) of a resource of [supported resource types](https://cloud.google.com/asset-inventory/docs/supported-asset-types#analyzable_asset_types)." }, "analysisQuery.identitySelector.identity": { "location": "query", "type": "string", "description": "Required. The identity appear in the form of principals in [IAM policy binding](https://cloud.google.com/iam/reference/rest/v1/Binding). The examples of supported forms are: \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\". Notice that wildcard characters (such as LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh and ?) are not supported. You must give a specific identity." }, "scope": { "description": "Required. The relative name of the root asset. Only resources and IAM policies within the scope will be analyzed. This can only be an organization number (such as \"organizations/123\"), a folder number (such as \"folders/123\"), a project ID (such as \"projects/my-project-id\"), or a project number (such as \"projects/12345\"). To know how to get organization id, visit [here ](https://cloud.google.com/resource-manager/docs/creating-managing-organization#retrieving_your_organization_id). To know how to get folder or project id, visit [here ](https://cloud.google.com/resource-manager/docs/creating-managing-folders#viewing_or_listing_folders_and_projects).", "type": "string", "required": true, "location": "path", "pattern": "^[^/]+/[^/]+$" }, "executionTimeout": { "location": "query", "description": "Optional. Amount of time executable has to complete. See JSON representation of [Duration](https://developers.google.com/protocol-buffers/docs/proto3#json). If this field is set with a value less than the RPC deadline, and the execution of your query hasn't finished in the specified execution timeout, you will get a response with partial result. Otherwise, your query's execution will continue until the RPC deadline. If it's not finished until then, you will get a DEADLINE_EXCEEDED error. Default is empty.", "format": "google-duration", "type": "string" } }, "parameterOrder": [ "scope" ], "id": "cloudasset.analyzeIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/{v1Id}/{v1Id1}:analyzeIamPolicy", "httpMethod": "GET", "response": { "$ref": "AnalyzeIamPolicyResponse" }, "description": "Analyzes IAM policies to answer which identities have what accesses on which resources.", "path": "v1/{+scope}:analyzeIamPolicy" } } }, "savedQueries": { "methods": { "create": { "request": { "$ref": "SavedQuery" }, "path": "v1/{+parent}/savedQueries", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1/{v1Id}/{v1Id1}/savedQueries", "id": "cloudasset.savedQueries.create", "parameters": { "parent": { "pattern": "^[^/]+/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The name of the project/folder/organization where this saved_query should be created in. It can only be an organization number (such as \"organizations/123\"), a folder number (such as \"folders/123\"), a project ID (such as \"projects/my-project-id\")\", or a project number (such as \"projects/12345\")." }, "savedQueryId": { "description": "Required. The ID to use for the saved query, which must be unique in the specified parent. It will become the final component of the saved query's resource name. This value should be 4-63 characters, and valid characters are /a-z-/. Notice that this field is required in the saved query creation, and the `name` field of the `saved_query` will be ignored.", "type": "string", "location": "query" } }, "description": "Creates a saved query in a parent project/folder/organization.", "parameterOrder": [ "parent" ], "response": { "$ref": "SavedQuery" } }, "get": { "response": { "$ref": "SavedQuery" }, "parameters": { "name": { "location": "path", "pattern": "^[^/]+/[^/]+/savedQueries/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the saved query and it must be in the format of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh projects/project_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh folders/folder_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh organizations/organization_number/savedQueries/saved_query_id" } }, "flatPath": "v1/{v1Id}/{v1Id1}/savedQueries/{savedQueriesId}", "id": "cloudasset.savedQueries.get", "path": "v1/{+name}", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Gets details about a saved query.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "httpMethod": "GET", "description": "Lists all saved queries in a parent project/folder/organization.", "id": "cloudasset.savedQueries.list", "response": { "$ref": "ListSavedQueriesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "v1/{v1Id}/{v1Id1}/savedQueries", "parameters": { "pageToken": { "type": "string", "description": "Optional. A page token, received from a previous `ListSavedQueries` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSavedQueries` must match the call that provided the page token.", "location": "query" }, "parent": { "description": "Required. The parent project/folder/organization whose savedQueries are to be listed. It can only be using project/folder/organization number (such as \"folders/12345\")\", or a project ID (such as \"projects/my-project-id\").", "required": true, "location": "path", "type": "string", "pattern": "^[^/]+/[^/]+$" }, "pageSize": { "location": "query", "description": "Optional. The maximum number of saved queries to return per page. The service may return fewer than this value. If unspecified, at most 50 will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "format": "int32" }, "filter": { "type": "string", "description": "Optional. The expression to filter resources. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. When `AND` and `OR` are both used in the expression, parentheses must be appropriately used to group the combinations. The expression may also contain regular expressions. See https://google.aip.dev/160 for more information on the grammar.", "location": "query" } }, "path": "v1/{+parent}/savedQueries" }, "delete": { "httpMethod": "DELETE", "description": "Deletes a saved query.", "path": "v1/{+name}", "id": "cloudasset.savedQueries.delete", "parameters": { "name": { "description": "Required. The name of the saved query to delete. It must be in the format of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh projects/project_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh folders/folder_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh organizations/organization_number/savedQueries/saved_query_id", "location": "path", "required": true, "pattern": "^[^/]+/[^/]+/savedQueries/[^/]+$", "type": "string" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/{v1Id}/{v1Id1}/savedQueries/{savedQueriesId}", "response": { "$ref": "Empty" } }, "patch": { "httpMethod": "PATCH", "parameters": { "name": { "description": "The resource name of the saved query. The format must be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh projects/project_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh folders/folder_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh organizations/organization_number/savedQueries/saved_query_id", "location": "path", "required": true, "type": "string", "pattern": "^[^/]+/[^/]+/savedQueries/[^/]+$" }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Required. The list of fields to update." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "request": { "$ref": "SavedQuery" }, "id": "cloudasset.savedQueries.patch", "description": "Updates a saved query.", "parameterOrder": [ "name" ], "response": { "$ref": "SavedQuery" }, "flatPath": "v1/{v1Id}/{v1Id1}/savedQueries/{savedQueriesId}" } } }, "operations": { "methods": { "get": { "parameters": { "name": { "type": "string", "location": "path", "pattern": "^[^/]+/[^/]+/operations/[^/]+/.*$", "description": "The name of the operation resource.", "required": true } }, "flatPath": "v1/{v1Id}/{v1Id1}/operations/{operationsId}/{operationsId1}", "path": "v1/{+name}", "httpMethod": "GET", "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "cloudasset.operations.get" } } } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "fullyEncodeReservedExpansion": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "baseUrl": "https://cloudasset.googleapis.com/", "revision": "20220708", "rootUrl": "https://cloudasset.googleapis.com/", "name": "cloudasset", "protocol": "rest", "batchPath": "batch", "mtlsRootUrl": "https://cloudasset.mtls.googleapis.com/", "canonicalName": "Cloud Asset", "id": "cloudasset:v1", "schemas": { "GoogleCloudAssetV1Edge": { "id": "GoogleCloudAssetV1Edge", "type": "object", "properties": { "targetNode": { "description": "The target node of the edge. For example, it could be a full resource name for a resource node or an email of an identity.", "type": "string" }, "sourceNode": { "description": "The source node of the edge. For example, it could be a full resource name for a resource node or an email of an identity.", "type": "string" } }, "description": "A directional edge." }, "GoogleCloudAssetV1IdentityList": { "type": "object", "description": "The identities and group edges.", "properties": { "identities": { "items": { "$ref": "GoogleCloudAssetV1Identity" }, "type": "array", "description": "Only the identities that match one of the following conditions will be presented: - The identity_selector, if it is specified in request; - Otherwise, identities reachable from the policy binding's members." }, "groupEdges": { "type": "array", "description": "Group identity edges of the graph starting from the binding's group members to any node of the identities. The Edge.source_node contains a group, such as `group:parent@google.com`. The Edge.target_node contains a member of the group, such as `group:child@google.com` or `user:foo@google.com`. This field is present only if the output_group_edges option is enabled in request.", "items": { "$ref": "GoogleCloudAssetV1Edge" } } }, "id": "GoogleCloudAssetV1IdentityList" }, "Policy": { "properties": { "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" }, "bindings": { "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" }, "etag": { "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte" }, "auditConfigs": { "type": "array", "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" } } }, "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy" }, "ResourceSelector": { "id": "ResourceSelector", "type": "object", "properties": { "fullResourceName": { "type": "string", "description": "Required. The [full resource name] (https://cloud.google.com/asset-inventory/docs/resource-name-format) of a resource of [supported resource types](https://cloud.google.com/asset-inventory/docs/supported-asset-types#analyzable_asset_types)." } }, "description": "Specifies the resource to analyze for access policies, which may be set directly on the resource, or on ancestors such as organizations, folders or projects." }, "OsInfo": { "type": "object", "description": "Operating system information for the VM.", "properties": { "kernelRelease": { "description": "The kernel release of the operating system.", "type": "string" }, "version": { "description": "The version of the operating system.", "type": "string" }, "osconfigAgentVersion": { "type": "string", "description": "The current version of the OS Config agent running on the VM." }, "shortName": { "description": "The operating system short name. For example, 'windows' or 'debian'.", "type": "string" }, "kernelVersion": { "description": "The kernel version of the operating system.", "type": "string" }, "hostname": { "description": "The VM hostname.", "type": "string" }, "longName": { "description": "The operating system long name. For example 'Debian GNU/Linux 9' or 'Microsoft Window Server 2019 Datacenter'.", "type": "string" }, "architecture": { "description": "The system architecture of the operating system.", "type": "string" } }, "id": "OsInfo" }, "FeedOutputConfig": { "description": "Output configuration for asset feed destination.", "properties": { "pubsubDestination": { "$ref": "PubsubDestination", "description": "Destination on Pub/Sub." } }, "type": "object", "id": "FeedOutputConfig" }, "BigQueryDestination": { "type": "object", "id": "BigQueryDestination", "properties": { "table": { "type": "string", "description": "Required. The BigQuery table to which the snapshot result should be written. If this table does not exist, a new table with the given name will be created." }, "partitionSpec": { "$ref": "PartitionSpec", "description": "[partition_spec] determines whether to export to partitioned table(s) and how to partition the data. If [partition_spec] is unset or [partition_spec.partition_key] is unset or `PARTITION_KEY_UNSPECIFIED`, the snapshot results will be exported to non-partitioned table(s). [force] will decide whether to overwrite existing table(s). If [partition_spec] is specified. First, the snapshot results will be written to partitioned table(s) with two additional timestamp columns, readTime and requestTime, one of which will be the partition key. Secondly, in the case when any destination table already exists, it will first try to update existing table's schema as necessary by appending additional columns. Then, if [force] is `TRUE`, the corresponding partition will be overwritten by the snapshot results (data in different partitions will remain intact); if [force] is unset or `FALSE`, it will append the data. An error will be returned if the schema update or data appension fails." }, "separateTablesPerAssetType": { "type": "boolean", "description": "If this flag is `TRUE`, the snapshot results will be written to one or multiple tables, each of which contains results of one asset type. The [force] and [partition_spec] fields will apply to each of them. Field [table] will be concatenated with \"_\" and the asset type names (see https://cloud.google.com/asset-inventory/docs/supported-asset-types for supported asset types) to construct per-asset-type table names, in which all non-alphanumeric characters like \".\" and \"/\" will be substituted by \"_\". Example: if field [table] is \"mytable\" and snapshot results contain \"storage.googleapis.com/Bucket\" assets, the corresponding table name will be \"mytable_storage_googleapis_com_Bucket\". If any of these tables does not exist, a new table with the concatenated name will be created. When [content_type] in the ExportAssetsRequest is `RESOURCE`, the schema of each table will include RECORD-type columns mapped to the nested fields in the Asset.resource.data field of that asset type (up to the 15 nested level BigQuery supports (https://cloud.google.com/bigquery/docs/nested-repeated#limitations)). The fields in \u003e15 nested levels will be stored in JSON format string as a child column of its parent RECORD column. If error occurs when exporting to any table, the whole export call will return an error but the export results that already succeed will persist. Example: if exporting to table_type_A succeeds when exporting to table_type_B fails during one export call, the results in table_type_A will persist and there will not be partial results persisting in a table." }, "force": { "description": "If the destination table already exists and this flag is `TRUE`, the table will be overwritten by the contents of assets snapshot. If the flag is `FALSE` or unset and the destination table already exists, the export call returns an INVALID_ARGUMEMT error.", "type": "boolean" }, "dataset": { "description": "Required. The BigQuery dataset in format \"projects/projectId/datasets/datasetId\", to which the snapshot result should be exported. If this dataset does not exist, the export call returns an INVALID_ARGUMENT error. Setting the `contentType` for `exportAssets` determines the [schema](/asset-inventory/docs/exporting-to-bigquery#bigquery-schema) of the BigQuery table. Setting `separateTablesPerAssetType` to `TRUE` also influences the schema.", "type": "string" } }, "description": "A BigQuery destination for exporting assets to." }, "CreateFeedRequest": { "id": "CreateFeedRequest", "description": "Create asset feed request.", "type": "object", "properties": { "feed": { "$ref": "Feed", "description": "Required. The feed details. The field `name` must be empty and it will be generated in the format of: projects/project_number/feeds/feed_id folders/folder_number/feeds/feed_id organizations/organization_number/feeds/feed_id" }, "feedId": { "description": "Required. This is the client-assigned asset feed identifier and it needs to be unique under a specific parent project/folder/organization.", "type": "string" } } }, "UpdateFeedRequest": { "description": "Update asset feed request.", "properties": { "updateMask": { "type": "string", "description": "Required. Only updates the `feed` fields indicated by this mask. The field mask must not be empty, and it must not contain fields that are immutable or only set by the server.", "format": "google-fieldmask" }, "feed": { "$ref": "Feed", "description": "Required. The new values of feed details. It must match an existing feed and the field `name` must be in the format of: projects/project_number/feeds/feed_id or folders/folder_number/feeds/feed_id or organizations/organization_number/feeds/feed_id." } }, "id": "UpdateFeedRequest", "type": "object" }, "GoogleIdentityAccesscontextmanagerV1IngressFrom": { "id": "GoogleIdentityAccesscontextmanagerV1IngressFrom", "type": "object", "description": "Defines the conditions under which an IngressPolicy matches a request. Conditions are based on information about the source of the request. The request must satisfy what is defined in `sources` AND identity related fields in order to match.", "properties": { "identityType": { "type": "string", "description": "Specifies the type of identities that are allowed access from outside the perimeter. If left unspecified, then members of `identities` field will be allowed access.", "enumDescriptions": [ "No blanket identity group specified.", "Authorize access from all identities outside the perimeter.", "Authorize access from all human users outside the perimeter.", "Authorize access from all service accounts outside the perimeter." ], "enum": [ "IDENTITY_TYPE_UNSPECIFIED", "ANY_IDENTITY", "ANY_USER_ACCOUNT", "ANY_SERVICE_ACCOUNT" ] }, "sources": { "items": { "$ref": "GoogleIdentityAccesscontextmanagerV1IngressSource" }, "type": "array", "description": "Sources that this IngressPolicy authorizes access from." }, "identities": { "description": "A list of identities that are allowed access through this ingress policy. Should be in the format of email address. The email address should represent individual user or service account only.", "items": { "type": "string" }, "type": "array" } } }, "WindowsQuickFixEngineeringPackage": { "description": "Information related to a Quick Fix Engineering package. Fields are taken from Windows QuickFixEngineering Interface and match the source names: https://docs.microsoft.com/en-us/windows/win32/cimwin32prov/win32-quickfixengineering", "id": "WindowsQuickFixEngineeringPackage", "properties": { "installTime": { "description": "Date that the QFE update was installed. Mapped from installed_on field.", "type": "string", "format": "google-datetime" }, "hotFixId": { "description": "Unique identifier associated with a particular QFE update.", "type": "string" }, "caption": { "type": "string", "description": "A short textual description of the QFE update." }, "description": { "description": "A textual description of the QFE update.", "type": "string" } }, "type": "object" }, "IamPolicySearchResult": { "description": "A result of IAM Policy search, containing information of an IAM policy.", "id": "IamPolicySearchResult", "type": "object", "properties": { "resource": { "description": "The full resource name of the resource associated with this IAM policy. Example: `//compute.googleapis.com/projects/my_project_123/zones/zone1/instances/instance1`. See [Cloud Asset Inventory Resource Name Format](https://cloud.google.com/asset-inventory/docs/resource-name-format) for more information. To search against the `resource`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `resource:organizations/123`", "type": "string" }, "explanation": { "$ref": "Explanation", "description": "Explanation about the IAM policy search result. It contains additional information to explain why the search result matches the query." }, "project": { "type": "string", "description": "The project that the associated GCP resource belongs to, in the form of projects/{PROJECT_NUMBER}. If an IAM policy is set on a resource (like VM instance, Cloud Storage bucket), the project field will indicate the project that contains the resource. If an IAM policy is set on a folder or orgnization, this field will be empty. To search against the `project`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh specify the `scope` field as this project in your search request." }, "assetType": { "type": "string", "description": "The type of the resource associated with this IAM policy. Example: `compute.googleapis.com/Disk`. To search against the `asset_type`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh specify the `asset_types` field in your search request." }, "organization": { "description": "The organization that the IAM policy belongs to, in the form of organizations/{ORGANIZATION_NUMBER}. This field is available when the IAM policy belongs to an organization. To search against `organization`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `organization:123` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `123` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh specify the `scope` field as this organization in your search request.", "type": "string" }, "policy": { "description": "The IAM policy directly set on the given resource. Note that the original IAM policy can contain multiple bindings. This only contains the bindings that match the given query. For queries that don't contain a constrain on policies (e.g., an empty query), this contains all the bindings. To search against the `policy` bindings: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query: - query by the policy contained members. Example: `policy:amy@gmail.com` - query by the policy contained roles. Example: `policy:roles/compute.admin` - query by the policy contained roles' included permissions. Example: `policy.role.permissions:compute.instances.create`", "$ref": "Policy" }, "folders": { "description": "The folder(s) that the IAM policy belongs to, in the form of folders/{FOLDER_NUMBER}. This field is available when the IAM policy belongs to one or more folders. To search against `folders`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `folders:(123 OR 456)` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `123` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh specify the `scope` field as this folder in your search request.", "type": "array", "items": { "type": "string" } } } }, "IdentitySelector": { "properties": { "identity": { "description": "Required. The identity appear in the form of principals in [IAM policy binding](https://cloud.google.com/iam/reference/rest/v1/Binding). The examples of supported forms are: \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\". Notice that wildcard characters (such as LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh and ?) are not supported. You must give a specific identity.", "type": "string" } }, "description": "Specifies an identity for which to determine resource access, based on roles assigned either directly to them or to the groups they belong to, directly or indirectly.", "type": "object", "id": "IdentitySelector" }, "AnalyzeMoveResponse": { "properties": { "moveAnalysis": { "type": "array", "description": "The list of analyses returned from performing the intended resource move analysis. The analysis is grouped by different Cloud services.", "items": { "$ref": "MoveAnalysis" } } }, "description": "The response message for resource move analysis.", "type": "object", "id": "AnalyzeMoveResponse" }, "Options": { "type": "object", "description": "Contains query options.", "properties": { "expandResources": { "type": "boolean", "description": "Optional. If true and IamPolicyAnalysisQuery.resource_selector is not specified, the resource section of the result will expand any resource attached to an IAM policy to include resources lower in the resource hierarchy. For example, if the request analyzes for which resources user A has permission P, and the results include an IAM policy with P on a GCP folder, the results will also include resources in that folder with permission P. If true and IamPolicyAnalysisQuery.resource_selector is specified, the resource section of the result will expand the specified resource to include resources lower in the resource hierarchy. Only project or lower resources are supported. Folder and organization resource cannot be used together with this option. For example, if the request analyzes for which users have permission P on a GCP project with this option enabled, the results will include all users who have permission P on that project or any lower resource. If true, the default max expansion per resource is 1000 for AssetService.AnalyzeIamPolicy][] and 100000 for AssetService.AnalyzeIamPolicyLongrunning][]. Default is false." }, "expandGroups": { "type": "boolean", "description": "Optional. If true, the identities section of the result will expand any Google groups appearing in an IAM policy binding. If IamPolicyAnalysisQuery.identity_selector is specified, the identity in the result will be determined by the selector, and this flag is not allowed to set. If true, the default max expansion per group is 1000 for AssetService.AnalyzeIamPolicy][]. Default is false." }, "expandRoles": { "type": "boolean", "description": "Optional. If true, the access section of result will expand any roles appearing in IAM policy bindings to include their permissions. If IamPolicyAnalysisQuery.access_selector is specified, the access section of the result will be determined by the selector, and this flag is not allowed to set. Default is false." }, "outputGroupEdges": { "type": "boolean", "description": "Optional. If true, the result will output the relevant membership relationships between groups and other groups, and between groups and principals. Default is false." }, "analyzeServiceAccountImpersonation": { "description": "Optional. If true, the response will include access analysis from identities to resources via service account impersonation. This is a very expensive operation, because many derived queries will be executed. We highly recommend you use AssetService.AnalyzeIamPolicyLongrunning rpc instead. For example, if the request analyzes for which resources user A has permission P, and there's an IAM policy states user A has iam.serviceAccounts.getAccessToken permission to a service account SA, and there's another IAM policy states service account SA has permission P to a GCP folder F, then user A potentially has access to the GCP folder F. And those advanced analysis results will be included in AnalyzeIamPolicyResponse.service_account_impersonation_analysis. Another example, if the request analyzes for who has permission P to a GCP folder F, and there's an IAM policy states user A has iam.serviceAccounts.actAs permission to a service account SA, and there's another IAM policy states service account SA has permission P to the GCP folder F, then user A potentially has access to the GCP folder F. And those advanced analysis results will be included in AnalyzeIamPolicyResponse.service_account_impersonation_analysis. Only the following permissions are considered in this analysis: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.actAs` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.signBlob` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.signJwt` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.getAccessToken` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.getOpenIdToken` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `iam.serviceAccounts.implicitDelegation` Default is false.", "type": "boolean" }, "outputResourceEdges": { "description": "Optional. If true, the result will output the relevant parent/child relationships between resources. Default is false.", "type": "boolean" } }, "id": "Options" }, "GoogleCloudAssetV1p7beta1RelatedAssets": { "properties": { "assets": { "description": "The peer resources of the relationship.", "type": "array", "items": { "$ref": "GoogleCloudAssetV1p7beta1RelatedAsset" } }, "relationshipAttributes": { "$ref": "GoogleCloudAssetV1p7beta1RelationshipAttributes", "description": "The detailed relation attributes." } }, "id": "GoogleCloudAssetV1p7beta1RelatedAssets", "type": "object", "description": "The detailed related assets with the `relationship_type`." }, "Resource": { "description": "A representation of a Google Cloud resource.", "id": "Resource", "properties": { "version": { "type": "string", "description": "The API version. Example: `v1`" }, "data": { "description": "The content of the resource, in which some sensitive fields are removed and may not be present.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" }, "discoveryDocumentUri": { "description": "The URL of the discovery document containing the resource's JSON schema. Example: `https://www.googleapis.com/discovery/v1/apis/compute/v1/rest` This value is unspecified for resources that do not have an API based on a discovery document, such as Cloud Bigtable.", "type": "string" }, "location": { "description": "The location of the resource in Google Cloud, such as its zone and region. For more information, see https://cloud.google.com/about/locations/.", "type": "string" }, "discoveryName": { "description": "The JSON schema name listed in the discovery document. Example: `Project` This value is unspecified for resources that do not have an API based on a discovery document, such as Cloud Bigtable.", "type": "string" }, "resourceUrl": { "description": "The REST URL for accessing the resource. An HTTP `GET` request using this URL returns the resource itself. Example: `https://cloudresourcemanager.googleapis.com/v1/projects/my-project-123` This value is unspecified for resources without a REST API.", "type": "string" }, "parent": { "description": "The full name of the immediate parent of this resource. See [Resource Names](https://cloud.google.com/apis/design/resource_names#full_resource_name) for more information. For Google Cloud assets, this value is the parent resource defined in the [Cloud IAM policy hierarchy](https://cloud.google.com/iam/docs/overview#policy_hierarchy). Example: `//cloudresourcemanager.googleapis.com/projects/my_project_123` For third-party assets, this field may be set differently.", "type": "string" } }, "type": "object" }, "AnalyzeIamPolicyLongrunningRequest": { "type": "object", "description": "A request message for AssetService.AnalyzeIamPolicyLongrunning.", "properties": { "savedAnalysisQuery": { "type": "string", "description": "Optional. The name of a saved query, which must be in the format of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh projects/project_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh folders/folder_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh organizations/organization_number/savedQueries/saved_query_id If both `analysis_query` and `saved_analysis_query` are provided, they will be merged together with the `saved_analysis_query` as base and the `analysis_query` as overrides. For more details of the merge behavior, please refer to the [MergeFrom](https://developers.google.com/protocol-buffers/docs/reference/cpp/google.protobuf.message#Message.MergeFrom.details) doc. Note that you cannot override primitive fields with default value, such as 0 or empty string, etc., because we use proto3, which doesn't support field presence yet." }, "analysisQuery": { "description": "Required. The request query.", "$ref": "IamPolicyAnalysisQuery" }, "outputConfig": { "description": "Required. Output configuration indicating where the results will be output to.", "$ref": "IamPolicyAnalysisOutputConfig" } }, "id": "AnalyzeIamPolicyLongrunningRequest" }, "OutputConfig": { "description": "Output configuration for export assets destination.", "id": "OutputConfig", "properties": { "gcsDestination": { "description": "Destination on Cloud Storage.", "$ref": "GcsDestination" }, "bigqueryDestination": { "description": "Destination on BigQuery. The output table stores the fields in asset Protobuf as columns in BigQuery.", "$ref": "BigQueryDestination" } }, "type": "object" }, "GoogleCloudAssetV1Access": { "id": "GoogleCloudAssetV1Access", "description": "An IAM role or permission under analysis.", "properties": { "role": { "description": "The role.", "type": "string" }, "permission": { "description": "The permission.", "type": "string" }, "analysisState": { "$ref": "IamPolicyAnalysisState", "description": "The analysis state of this access." } }, "type": "object" }, "ConditionContext": { "type": "object", "properties": { "accessTime": { "type": "string", "description": "The hypothetical access timestamp to evaluate IAM conditions. Note that this value must not be earlier than the current time; otherwise, an INVALID_ARGUMENT error will be returned.", "format": "google-datetime" } }, "description": "The IAM conditions context.", "id": "ConditionContext" }, "IamPolicyAnalysisState": { "properties": { "cause": { "type": "string", "description": "The human-readable description of the cause of failure." }, "code": { "description": "The Google standard error code that best describes the state. For example: - OK means the analysis on this entity has been successfully finished; - PERMISSION_DENIED means an access denied error is encountered; - DEADLINE_EXCEEDED means the analysis on this entity hasn't been started in time;", "enumDescriptions": [ "Not an error; returned on success HTTP Mapping: 200 OK", "The operation was cancelled, typically by the caller. HTTP Mapping: 499 Client Closed Request", "Unknown error. For example, this error may be returned when a `Status` value received from another address space belongs to an error space that is not known in this address space. Also errors raised by APIs that do not return enough error information may be converted to this error. HTTP Mapping: 500 Internal Server Error", "The client specified an invalid argument. Note that this differs from `FAILED_PRECONDITION`. `INVALID_ARGUMENT` indicates arguments that are problematic regardless of the state of the system (e.g., a malformed file name). HTTP Mapping: 400 Bad Request", "The deadline expired before the operation could complete. For operations that change the state of the system, this error may be returned even if the operation has completed successfully. For example, a successful response from a server could have been delayed long enough for the deadline to expire. HTTP Mapping: 504 Gateway Timeout", "Some requested entity (e.g., file or directory) was not found. Note to server developers: if a request is denied for an entire class of users, such as gradual feature rollout or undocumented allowlist, `NOT_FOUND` may be used. If a request is denied for some users within a class of users, such as user-based access control, `PERMISSION_DENIED` must be used. HTTP Mapping: 404 Not Found", "The entity that a client attempted to create (e.g., file or directory) already exists. HTTP Mapping: 409 Conflict", "The caller does not have permission to execute the specified operation. `PERMISSION_DENIED` must not be used for rejections caused by exhausting some resource (use `RESOURCE_EXHAUSTED` instead for those errors). `PERMISSION_DENIED` must not be used if the caller can not be identified (use `UNAUTHENTICATED` instead for those errors). This error code does not imply the request is valid or the requested entity exists or satisfies other pre-conditions. HTTP Mapping: 403 Forbidden", "The request does not have valid authentication credentials for the operation. HTTP Mapping: 401 Unauthorized", "Some resource has been exhausted, perhaps a per-user quota, or perhaps the entire file system is out of space. HTTP Mapping: 429 Too Many Requests", "The operation was rejected because the system is not in a state required for the operation's execution. For example, the directory to be deleted is non-empty, an rmdir operation is applied to a non-directory, etc. Service implementors can use the following guidelines to decide between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`: (a) Use `UNAVAILABLE` if the client can retry just the failing call. (b) Use `ABORTED` if the client should retry at a higher level. For example, when a client-specified test-and-set fails, indicating the client should restart a read-modify-write sequence. (c) Use `FAILED_PRECONDITION` if the client should not retry until the system state has been explicitly fixed. For example, if an \"rmdir\" fails because the directory is non-empty, `FAILED_PRECONDITION` should be returned since the client should not retry unless the files are deleted from the directory. HTTP Mapping: 400 Bad Request", "The operation was aborted, typically due to a concurrency issue such as a sequencer check failure or transaction abort. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 409 Conflict", "The operation was attempted past the valid range. E.g., seeking or reading past end-of-file. Unlike `INVALID_ARGUMENT`, this error indicates a problem that may be fixed if the system state changes. For example, a 32-bit file system will generate `INVALID_ARGUMENT` if asked to read at an offset that is not in the range [0,2^32-1], but it will generate `OUT_OF_RANGE` if asked to read from an offset past the current file size. There is a fair bit of overlap between `FAILED_PRECONDITION` and `OUT_OF_RANGE`. We recommend using `OUT_OF_RANGE` (the more specific error) when it applies so that callers who are iterating through a space can easily look for an `OUT_OF_RANGE` error to detect when they are done. HTTP Mapping: 400 Bad Request", "The operation is not implemented or is not supported/enabled in this service. HTTP Mapping: 501 Not Implemented", "Internal errors. This means that some invariants expected by the underlying system have been broken. This error code is reserved for serious errors. HTTP Mapping: 500 Internal Server Error", "The service is currently unavailable. This is most likely a transient condition, which can be corrected by retrying with a backoff. Note that it is not always safe to retry non-idempotent operations. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 503 Service Unavailable", "Unrecoverable data loss or corruption. HTTP Mapping: 500 Internal Server Error" ], "type": "string", "enum": [ "OK", "CANCELLED", "UNKNOWN", "INVALID_ARGUMENT", "DEADLINE_EXCEEDED", "NOT_FOUND", "ALREADY_EXISTS", "PERMISSION_DENIED", "UNAUTHENTICATED", "RESOURCE_EXHAUSTED", "FAILED_PRECONDITION", "ABORTED", "OUT_OF_RANGE", "UNIMPLEMENTED", "INTERNAL", "UNAVAILABLE", "DATA_LOSS" ] } }, "type": "object", "id": "IamPolicyAnalysisState", "description": "Represents the detailed state of an entity under analysis, such as a resource, an identity or an access." }, "VersionedResource": { "description": "Resource representation as defined by the corresponding service providing the resource for a given API version.", "id": "VersionedResource", "properties": { "version": { "description": "API version of the resource. Example: If the resource is an instance provided by Compute Engine v1 API as defined in `https://cloud.google.com/compute/docs/reference/rest/v1/instances`, version will be \"v1\".", "type": "string" }, "resource": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "JSON representation of the resource as defined by the corresponding service providing this resource. Example: If the resource is an instance provided by Compute Engine, this field will contain the JSON representation of the instance as defined by Compute Engine: `https://cloud.google.com/compute/docs/reference/rest/v1/instances`. You can find the resource definition for each supported resource type in this table: `https://cloud.google.com/asset-inventory/docs/supported-asset-types#searchable_asset_types`" } }, "type": "object" }, "AnalyzeIamPolicyLongrunningMetadata": { "properties": { "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The time the operation was created." } }, "type": "object", "description": "Represents the metadata of the longrunning operation for the AnalyzeIamPolicyLongrunning rpc.", "id": "AnalyzeIamPolicyLongrunningMetadata" }, "GoogleIdentityAccesscontextmanagerV1MethodSelector": { "id": "GoogleIdentityAccesscontextmanagerV1MethodSelector", "type": "object", "properties": { "method": { "description": "Value for `method` should be a valid method name for the corresponding `service_name` in ApiOperation. If `*` used as value for `method`, then ALL methods and permissions are allowed.", "type": "string" }, "permission": { "description": "Value for `permission` should be a valid Cloud IAM permission for the corresponding `service_name` in ApiOperation.", "type": "string" } }, "description": "An allowed method or permission of a service specified in ApiOperation." }, "GoogleIdentityAccesscontextmanagerV1IngressTo": { "type": "object", "properties": { "operations": { "description": "A list of ApiOperations allowed to be performed by the sources specified in corresponding IngressFrom in this ServicePerimeter.", "items": { "$ref": "GoogleIdentityAccesscontextmanagerV1ApiOperation" }, "type": "array" }, "resources": { "type": "array", "description": "A list of resources, currently only projects in the form `projects/`, protected by this ServicePerimeter that are allowed to be accessed by sources defined in the corresponding IngressFrom. If a single `*` is specified, then access to all resources inside the perimeter are allowed.", "items": { "type": "string" } } }, "id": "GoogleIdentityAccesscontextmanagerV1IngressTo", "description": "Defines the conditions under which an IngressPolicy matches a request. Conditions are based on information about the ApiOperation intended to be performed on the target resource of the request. The request must satisfy what is defined in `operations` AND `resources` in order to match." }, "GoogleCloudOrgpolicyV1ListPolicy": { "id": "GoogleCloudOrgpolicyV1ListPolicy", "type": "object", "properties": { "deniedValues": { "description": "List of values denied at this resource. Can only be set if `all_values` is set to `ALL_VALUES_UNSPECIFIED`.", "items": { "type": "string" }, "type": "array" }, "inheritFromParent": { "description": "Determines the inheritance behavior for this `Policy`. By default, a `ListPolicy` set at a resource supersedes any `Policy` set anywhere up the resource hierarchy. However, if `inherit_from_parent` is set to `true`, then the values from the effective `Policy` of the parent resource are inherited, meaning the values set in this `Policy` are added to the values inherited up the hierarchy. Setting `Policy` hierarchies that inherit both allowed values and denied values isn't recommended in most circumstances to keep the configuration simple and understandable. However, it is possible to set a `Policy` with `allowed_values` set that inherits a `Policy` with `denied_values` set. In this case, the values that are allowed must be in `allowed_values` and not present in `denied_values`. For example, suppose you have a `Constraint` `constraints/serviceuser.services`, which has a `constraint_type` of `list_constraint`, and with `constraint_default` set to `ALLOW`. Suppose that at the Organization level, a `Policy` is applied that restricts the allowed API activations to {`E1`, `E2`}. Then, if a `Policy` is applied to a project below the Organization that has `inherit_from_parent` set to `false` and field all_values set to DENY, then an attempt to activate any API will be denied. The following examples demonstrate different possible layerings for `projects/bar` parented by `organizations/foo`: Example 1 (no inherited values): `organizations/foo` has a `Policy` with values: {allowed_values: \"E1\" allowed_values:\"E2\"} `projects/bar` has `inherit_from_parent` `false` and values: {allowed_values: \"E3\" allowed_values: \"E4\"} The accepted values at `organizations/foo` are `E1`, `E2`. The accepted values at `projects/bar` are `E3`, and `E4`. Example 2 (inherited values): `organizations/foo` has a `Policy` with values: {allowed_values: \"E1\" allowed_values:\"E2\"} `projects/bar` has a `Policy` with values: {value: \"E3\" value: \"E4\" inherit_from_parent: true} The accepted values at `organizations/foo` are `E1`, `E2`. The accepted values at `projects/bar` are `E1`, `E2`, `E3`, and `E4`. Example 3 (inheriting both allowed and denied values): `organizations/foo` has a `Policy` with values: {allowed_values: \"E1\" allowed_values: \"E2\"} `projects/bar` has a `Policy` with: {denied_values: \"E1\"} The accepted values at `organizations/foo` are `E1`, `E2`. The value accepted at `projects/bar` is `E2`. Example 4 (RestoreDefault): `organizations/foo` has a `Policy` with values: {allowed_values: \"E1\" allowed_values:\"E2\"} `projects/bar` has a `Policy` with values: {RestoreDefault: {}} The accepted values at `organizations/foo` are `E1`, `E2`. The accepted values at `projects/bar` are either all or none depending on the value of `constraint_default` (if `ALLOW`, all; if `DENY`, none). Example 5 (no policy inherits parent policy): `organizations/foo` has no `Policy` set. `projects/bar` has no `Policy` set. The accepted values at both levels are either all or none depending on the value of `constraint_default` (if `ALLOW`, all; if `DENY`, none). Example 6 (ListConstraint allowing all): `organizations/foo` has a `Policy` with values: {allowed_values: \"E1\" allowed_values: \"E2\"} `projects/bar` has a `Policy` with: {all: ALLOW} The accepted values at `organizations/foo` are `E1`, E2`. Any value is accepted at `projects/bar`. Example 7 (ListConstraint allowing none): `organizations/foo` has a `Policy` with values: {allowed_values: \"E1\" allowed_values: \"E2\"} `projects/bar` has a `Policy` with: {all: DENY} The accepted values at `organizations/foo` are `E1`, E2`. No value is accepted at `projects/bar`. Example 10 (allowed and denied subtrees of Resource Manager hierarchy): Given the following resource hierarchy O1-\u003e{F1, F2}; F1-\u003e{P1}; F2-\u003e{P2, P3}, `organizations/foo` has a `Policy` with values: {allowed_values: \"under:organizations/O1\"} `projects/bar` has a `Policy` with: {allowed_values: \"under:projects/P3\"} {denied_values: \"under:folders/F2\"} The accepted values at `organizations/foo` are `organizations/O1`, `folders/F1`, `folders/F2`, `projects/P1`, `projects/P2`, `projects/P3`. The accepted values at `projects/bar` are `organizations/O1`, `folders/F1`, `projects/P1`.", "type": "boolean" }, "allowedValues": { "items": { "type": "string" }, "type": "array", "description": "List of values allowed at this resource. Can only be set if `all_values` is set to `ALL_VALUES_UNSPECIFIED`." }, "allValues": { "type": "string", "enum": [ "ALL_VALUES_UNSPECIFIED", "ALLOW", "DENY" ], "description": "The policy all_values state.", "enumDescriptions": [ "Indicates that allowed_values or denied_values must be set.", "A policy with this set allows all values.", "A policy with this set denies all values." ] }, "suggestedValue": { "description": "Optional. The Google Cloud Console will try to default to a configuration that matches the value specified in this `Policy`. If `suggested_value` is not set, it will inherit the value specified higher in the hierarchy, unless `inherit_from_parent` is `false`.", "type": "string" } }, "description": "Used in `policy_type` to specify how `list_policy` behaves at this resource. `ListPolicy` can define specific values and subtrees of Cloud Resource Manager resource hierarchy (`Organizations`, `Folders`, `Projects`) that are allowed or denied by setting the `allowed_values` and `denied_values` fields. This is achieved by using the `under:` and optional `is:` prefixes. The `under:` prefix is used to denote resource subtree values. The `is:` prefix is used to denote specific values, and is required only if the value contains a \":\". Values prefixed with \"is:\" are treated the same as values with no prefix. Ancestry subtrees must be in one of the following formats: - \"projects/\", e.g. \"projects/tokyo-rain-123\" - \"folders/\", e.g. \"folders/1234\" - \"organizations/\", e.g. \"organizations/1234\" The `supports_under` field of the associated `Constraint` defines whether ancestry prefixes can be used. You can set `allowed_values` and `denied_values` in the same `Policy` if `all_values` is `ALL_VALUES_UNSPECIFIED`. `ALLOW` or `DENY` are used to allow or deny all values. If `all_values` is set to either `ALLOW` or `DENY`, `allowed_values` and `denied_values` must be unset." }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." } } }, "Item": { "properties": { "availablePackage": { "$ref": "SoftwarePackage", "description": "Software package available to be installed on the VM instance." }, "updateTime": { "format": "google-datetime", "description": "When this inventory item was last modified.", "type": "string" }, "id": { "description": "Identifier for this item, unique across items for this VM.", "type": "string" }, "installedPackage": { "$ref": "SoftwarePackage", "description": "Software package present on the VM instance." }, "createTime": { "description": "When this inventory item was first detected.", "type": "string", "format": "google-datetime" }, "type": { "enumDescriptions": [ "Invalid. An type must be specified.", "This represents a package that is installed on the VM.", "This represents an update that is available for a package." ], "description": "The specific type of inventory, correlating to its specific details.", "type": "string", "enum": [ "TYPE_UNSPECIFIED", "INSTALLED_PACKAGE", "AVAILABLE_PACKAGE" ] }, "originType": { "enum": [ "ORIGIN_TYPE_UNSPECIFIED", "INVENTORY_REPORT" ], "type": "string", "enumDescriptions": [ "Invalid. An origin type must be specified.", "This inventory item was discovered as the result of the agent reporting inventory via the reporting API." ], "description": "The origin of this inventory item." } }, "description": "A single piece of inventory on a VM.", "type": "object", "id": "Item" }, "GoogleIdentityAccesscontextmanagerV1EgressTo": { "properties": { "resources": { "items": { "type": "string" }, "type": "array", "description": "A list of resources, currently only projects in the form `projects/`, that are allowed to be accessed by sources defined in the corresponding EgressFrom. A request matches if it contains a resource in this list. If `*` is specified for `resources`, then this EgressTo rule will authorize access to all resources outside the perimeter." }, "externalResources": { "items": { "type": "string" }, "description": "A list of external resources that are allowed to be accessed. Only AWS and Azure resources are supported. For Amazon S3, the supported format is s3://BUCKET_NAME. For Azure Storage, the supported format is azure://myaccount.blob.core.windows.net/CONTAINER_NAME. A request matches if it contains an external resource in this list (Example: s3://bucket/path). Currently '*' is not allowed.", "type": "array" }, "operations": { "items": { "$ref": "GoogleIdentityAccesscontextmanagerV1ApiOperation" }, "type": "array", "description": "A list of ApiOperations allowed to be performed by the sources specified in the corresponding EgressFrom. A request matches if it uses an operation/service in this list." } }, "type": "object", "id": "GoogleIdentityAccesscontextmanagerV1EgressTo", "description": "Defines the conditions under which an EgressPolicy matches a request. Conditions are based on information about the ApiOperation intended to be performed on the `resources` specified. Note that if the destination of the request is also protected by a ServicePerimeter, then that ServicePerimeter must have an IngressPolicy which allows access in order for this request to succeed. The request must match `operations` AND `resources` fields in order to be allowed egress out of the perimeter." }, "SoftwarePackage": { "id": "SoftwarePackage", "description": "Software package information of the operating system.", "properties": { "zypperPatch": { "description": "Details of a Zypper patch. For details about the Zypper package manager, see https://en.opensuse.org/SDB:Zypper_manual.", "$ref": "ZypperPatch" }, "zypperPackage": { "$ref": "VersionedPackage", "description": "Details of a Zypper package. For details about the Zypper package manager, see https://en.opensuse.org/SDB:Zypper_manual." }, "windowsApplication": { "$ref": "WindowsApplication", "description": "Details of Windows Application." }, "aptPackage": { "description": "Details of an APT package. For details about the apt package manager, see https://wiki.debian.org/Apt.", "$ref": "VersionedPackage" }, "wuaPackage": { "description": "Details of a Windows Update package. See https://docs.microsoft.com/en-us/windows/win32/api/_wua/ for information about Windows Update.", "$ref": "WindowsUpdatePackage" }, "cosPackage": { "$ref": "VersionedPackage", "description": "Details of a COS package." }, "qfePackage": { "$ref": "WindowsQuickFixEngineeringPackage", "description": "Details of a Windows Quick Fix engineering package. See https://docs.microsoft.com/en-us/windows/win32/cimwin32prov/win32-quickfixengineering for info in Windows Quick Fix Engineering." }, "yumPackage": { "description": "Yum package info. For details about the yum package manager, see https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/6/html/deployment_guide/ch-yum.", "$ref": "VersionedPackage" }, "googetPackage": { "description": "Details of a Googet package. For details about the googet package manager, see https://github.com/google/googet.", "$ref": "VersionedPackage" } }, "type": "object" }, "GoogleCloudAssetV1p7beta1Resource": { "properties": { "discoveryDocumentUri": { "description": "The URL of the discovery document containing the resource's JSON schema. Example: `https://www.googleapis.com/discovery/v1/apis/compute/v1/rest` This value is unspecified for resources that do not have an API based on a discovery document, such as Cloud Bigtable.", "type": "string" }, "resourceUrl": { "description": "The REST URL for accessing the resource. An HTTP `GET` request using this URL returns the resource itself. Example: `https://cloudresourcemanager.googleapis.com/v1/projects/my-project-123` This value is unspecified for resources without a REST API.", "type": "string" }, "discoveryName": { "type": "string", "description": "The JSON schema name listed in the discovery document. Example: `Project` This value is unspecified for resources that do not have an API based on a discovery document, such as Cloud Bigtable." }, "parent": { "type": "string", "description": "The full name of the immediate parent of this resource. See [Resource Names](https://cloud.google.com/apis/design/resource_names#full_resource_name) for more information. For Google Cloud assets, this value is the parent resource defined in the [Cloud IAM policy hierarchy](https://cloud.google.com/iam/docs/overview#policy_hierarchy). Example: `//cloudresourcemanager.googleapis.com/projects/my_project_123` For third-party assets, this field may be set differently." }, "data": { "description": "The content of the resource, in which some sensitive fields are removed and may not be present.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "version": { "description": "The API version. Example: `v1`", "type": "string" }, "location": { "type": "string", "description": "The location of the resource in Google Cloud, such as its zone and region. For more information, see https://cloud.google.com/about/locations/." } }, "id": "GoogleCloudAssetV1p7beta1Resource", "type": "object", "description": "A representation of a Google Cloud resource." }, "Status": { "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" } } }, "ConditionEvaluation": { "type": "object", "description": "The Condition evaluation.", "properties": { "evaluationValue": { "description": "The evaluation result.", "enumDescriptions": [ "Reserved for future use.", "The evaluation result is `true`.", "The evaluation result is `false`.", "The evaluation result is `conditional` when the condition expression contains variables that are either missing input values or have not been supported by Analyzer yet." ], "enum": [ "EVALUATION_VALUE_UNSPECIFIED", "TRUE", "FALSE", "CONDITIONAL" ], "type": "string" } }, "id": "ConditionEvaluation" }, "GoogleCloudAssetV1p7beta1Asset": { "properties": { "assetType": { "type": "string", "description": "The type of the asset. Example: `compute.googleapis.com/Disk` See [Supported asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types) for more information." }, "accessLevel": { "description": "Please also refer to the [access level user guide](https://cloud.google.com/access-context-manager/docs/overview#access-levels).", "$ref": "GoogleIdentityAccesscontextmanagerV1AccessLevel" }, "iamPolicy": { "description": "A representation of the Cloud IAM policy set on a Google Cloud resource. There can be a maximum of one Cloud IAM policy set on any given resource. In addition, Cloud IAM policies inherit their granted access scope from any policies set on parent resources in the resource hierarchy. Therefore, the effectively policy is the union of both the policy set on this resource and each policy set on all of the resource's ancestry resource levels in the hierarchy. See [this topic](https://cloud.google.com/iam/help/allow-policies/inheritance) for more information.", "$ref": "Policy" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The last update timestamp of an asset. update_time is updated when create/update/delete operation is performed." }, "relatedAssets": { "description": "The related assets of the asset of one relationship type. One asset only represents one type of relationship.", "$ref": "GoogleCloudAssetV1p7beta1RelatedAssets" }, "servicePerimeter": { "description": "Please also refer to the [service perimeter user guide](https://cloud.google.com/vpc-service-controls/docs/overview).", "$ref": "GoogleIdentityAccesscontextmanagerV1ServicePerimeter" }, "orgPolicy": { "type": "array", "items": { "$ref": "GoogleCloudOrgpolicyV1Policy" }, "description": "A representation of an [organization policy](https://cloud.google.com/resource-manager/docs/organization-policy/overview#organization_policy). There can be more than one organization policy with different constraints set on a given resource." }, "resource": { "description": "A representation of the resource.", "$ref": "GoogleCloudAssetV1p7beta1Resource" }, "name": { "type": "string", "description": "The full name of the asset. Example: `//compute.googleapis.com/projects/my_project_123/zones/zone1/instances/instance1` See [Resource names](https://cloud.google.com/apis/design/resource_names#full_resource_name) for more information." }, "accessPolicy": { "$ref": "GoogleIdentityAccesscontextmanagerV1AccessPolicy", "description": "Please also refer to the [access policy user guide](https://cloud.google.com/access-context-manager/docs/overview#access-policies)." }, "ancestors": { "items": { "type": "string" }, "description": "The ancestry path of an asset in Google Cloud [resource hierarchy](https://cloud.google.com/resource-manager/docs/cloud-platform-resource-hierarchy), represented as a list of relative resource names. An ancestry path starts with the closest ancestor in the hierarchy and ends at root. If the asset is a project, folder, or organization, the ancestry path starts from the asset itself. Example: `[\"projects/123456789\", \"folders/5432\", \"organizations/1234\"]`", "type": "array" } }, "description": "An asset in Google Cloud. An asset can be any resource in the Google Cloud [resource hierarchy](https://cloud.google.com/resource-manager/docs/cloud-platform-resource-hierarchy), a resource outside the Google Cloud resource hierarchy (such as Google Kubernetes Engine clusters and objects), or a policy (e.g. Cloud IAM policy). See [Supported asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types) for more information.", "type": "object", "id": "GoogleCloudAssetV1p7beta1Asset" }, "AccessSelector": { "type": "object", "id": "AccessSelector", "description": "Specifies roles and/or permissions to analyze, to determine both the identities possessing them and the resources they control. If multiple values are specified, results will include roles or permissions matching any of them. The total number of roles and permissions should be equal or less than 10.", "properties": { "roles": { "type": "array", "items": { "type": "string" }, "description": "Optional. The roles to appear in result." }, "permissions": { "items": { "type": "string" }, "description": "Optional. The permissions to appear in result.", "type": "array" } } }, "RelatedAssets": { "description": "DEPRECATED. This message only presents for the purpose of backward-compatibility. The server will never populate this message in responses. The detailed related assets with the `relationship_type`.", "properties": { "relationshipAttributes": { "description": "The detailed relationship attributes.", "$ref": "RelationshipAttributes" }, "assets": { "description": "The peer resources of the relationship.", "type": "array", "items": { "$ref": "RelatedAsset" } } }, "type": "object", "id": "RelatedAssets" }, "GoogleIdentityAccesscontextmanagerV1CustomLevel": { "type": "object", "id": "GoogleIdentityAccesscontextmanagerV1CustomLevel", "properties": { "expr": { "$ref": "Expr", "description": "Required. A Cloud CEL expression evaluating to a boolean." } }, "description": "`CustomLevel` is an `AccessLevel` using the Cloud Common Expression Language to represent the necessary conditions for the level to apply to a request. See CEL spec at: https://github.com/google/cel-spec" }, "BatchGetEffectiveIamPoliciesResponse": { "type": "object", "description": "A response message for AssetService.BatchGetEffectiveIamPolicies.", "properties": { "policyResults": { "type": "array", "description": "The effective policies for a batch of resources. Note that the results order is the same as the order of BatchGetEffectiveIamPoliciesRequest.names. When a resource does not have any effective IAM policies, its corresponding policy_result will contain empty EffectiveIamPolicy.policies.", "items": { "$ref": "EffectiveIamPolicy" } } }, "id": "BatchGetEffectiveIamPoliciesResponse" }, "ExportAssetsRequest": { "id": "ExportAssetsRequest", "properties": { "contentType": { "description": "Asset content type. If not specified, no content but the asset name will be returned.", "type": "string", "enum": [ "CONTENT_TYPE_UNSPECIFIED", "RESOURCE", "IAM_POLICY", "ORG_POLICY", "ACCESS_POLICY", "OS_INVENTORY", "RELATIONSHIP" ], "enumDescriptions": [ "Unspecified content type.", "Resource metadata.", "The actual IAM policy set on a resource.", "The Cloud Organization Policy set on an asset.", "The Cloud Access context manager Policy set on an asset.", "The runtime OS Inventory information.", "The related resources." ] }, "outputConfig": { "$ref": "OutputConfig", "description": "Required. Output configuration indicating where the results will be output to." }, "readTime": { "format": "google-datetime", "description": "Timestamp to take an asset snapshot. This can only be set to a timestamp between the current time and the current time minus 35 days (inclusive). If not specified, the current time will be used. Due to delays in resource data collection and indexing, there is a volatile window during which running the same query may get different results.", "type": "string" }, "relationshipTypes": { "type": "array", "description": "A list of relationship types to export, for example: `INSTANCE_TO_INSTANCEGROUP`. This field should only be specified if content_type=RELATIONSHIP. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If specified: it snapshots specified relationships. It returns an error if any of the [relationship_types] doesn't belong to the supported relationship types of the [asset_types] or if any of the [asset_types] doesn't belong to the source types of the [relationship_types]. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Otherwise: it snapshots the supported relationships for all [asset_types] or returns an error if any of the [asset_types] has no relationship support. An unspecified asset types field means all supported asset_types. See [Introduction to Cloud Asset Inventory](https://cloud.google.com/asset-inventory/docs/overview) for all supported asset types and relationship types.", "items": { "type": "string" } }, "assetTypes": { "description": "A list of asset types to take a snapshot for. For example: \"compute.googleapis.com/Disk\". Regular expressions are also supported. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"compute.googleapis.com.*\" snapshots resources whose asset type starts with \"compute.googleapis.com\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \".*Instance\" snapshots resources whose asset type ends with \"Instance\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \".*Instance.*\" snapshots resources whose asset type contains \"Instance\". See [RE2](https://github.com/google/re2/wiki/Syntax) for all supported regular expression syntax. If the regular expression does not match any supported asset type, an INVALID_ARGUMENT error will be returned. If specified, only matching assets will be returned, otherwise, it will snapshot all asset types. See [Introduction to Cloud Asset Inventory](https://cloud.google.com/asset-inventory/docs/overview) for all supported asset types.", "type": "array", "items": { "type": "string" } } }, "description": "Export asset request.", "type": "object" }, "Inventory": { "type": "object", "description": "This API resource represents the available inventory data for a Compute Engine virtual machine (VM) instance at a given point in time. You can use this API resource to determine the inventory data of your VM. For more information, see [Information provided by OS inventory management](https://cloud.google.com/compute/docs/instances/os-inventory-management#data-collected).", "properties": { "name": { "description": "Output only. The `Inventory` API resource name. Format: `projects/{project_number}/locations/{location}/instances/{instance_id}/inventory`", "readOnly": true, "type": "string" }, "updateTime": { "description": "Output only. Timestamp of the last reported inventory for the VM.", "format": "google-datetime", "readOnly": true, "type": "string" }, "osInfo": { "$ref": "OsInfo", "description": "Base level operating system information for the VM." }, "items": { "description": "Inventory items related to the VM keyed by an opaque unique identifier for each inventory item. The identifier is unique to each distinct and addressable inventory item and will change, when there is a new package version.", "additionalProperties": { "$ref": "Item" }, "type": "object" } }, "id": "Inventory" }, "AttachedResource": { "id": "AttachedResource", "properties": { "assetType": { "type": "string", "description": "The type of this attached resource. Example: `osconfig.googleapis.com/Inventory` You can find the supported attached asset types of each resource in this table: `https://cloud.google.com/asset-inventory/docs/supported-asset-types#searchable_asset_types`" }, "versionedResources": { "type": "array", "description": "Versioned resource representations of this attached resource. This is repeated because there could be multiple versions of the attached resource representations during version migration.", "items": { "$ref": "VersionedResource" } } }, "description": "Attached resource representation, which is defined by the corresponding service provider. It represents an attached resource's payload.", "type": "object" }, "GoogleIdentityAccesscontextmanagerV1EgressPolicy": { "description": "Policy for egress from perimeter. EgressPolicies match requests based on `egress_from` and `egress_to` stanzas. For an EgressPolicy to match, both `egress_from` and `egress_to` stanzas must be matched. If an EgressPolicy matches a request, the request is allowed to span the ServicePerimeter boundary. For example, an EgressPolicy can be used to allow VMs on networks within the ServicePerimeter to access a defined set of projects outside the perimeter in certain contexts (e.g. to read data from a Cloud Storage bucket or query against a BigQuery dataset). EgressPolicies are concerned with the *resources* that a request relates as well as the API services and API actions being used. They do not related to the direction of data movement. More detailed documentation for this concept can be found in the descriptions of EgressFrom and EgressTo.", "id": "GoogleIdentityAccesscontextmanagerV1EgressPolicy", "properties": { "egressTo": { "description": "Defines the conditions on the ApiOperation and destination resources that cause this EgressPolicy to apply.", "$ref": "GoogleIdentityAccesscontextmanagerV1EgressTo" }, "egressFrom": { "$ref": "GoogleIdentityAccesscontextmanagerV1EgressFrom", "description": "Defines conditions on the source of a request causing this EgressPolicy to apply." } }, "type": "object" }, "WindowsUpdateCategory": { "properties": { "id": { "description": "The identifier of the windows update category.", "type": "string" }, "name": { "description": "The name of the windows update category.", "type": "string" } }, "type": "object", "id": "WindowsUpdateCategory", "description": "Categories specified by the Windows Update." }, "GoogleCloudAssetV1Identity": { "type": "object", "properties": { "analysisState": { "description": "The analysis state of this identity.", "$ref": "IamPolicyAnalysisState" }, "name": { "description": "The identity name in any form of members appear in [IAM policy binding](https://cloud.google.com/iam/reference/rest/v1/Binding), such as: - user:foo@google.com - group:group1@google.com - serviceAccount:s1@prj1.iam.gserviceaccount.com - projectOwner:some_project_id - domain:google.com - allUsers - etc.", "type": "string" } }, "description": "An identity under analysis.", "id": "GoogleCloudAssetV1Identity" }, "GoogleCloudAssetV1p7beta1RelationshipAttributes": { "id": "GoogleCloudAssetV1p7beta1RelationshipAttributes", "type": "object", "properties": { "sourceResourceType": { "type": "string", "description": "The source asset type. Example: `compute.googleapis.com/Instance`" }, "targetResourceType": { "description": "The target asset type. Example: `compute.googleapis.com/Disk`", "type": "string" }, "action": { "description": "The detail of the relationship, e.g. `contains`, `attaches`", "type": "string" }, "type": { "description": "The unique identifier of the relationship type. Example: `INSTANCE_TO_INSTANCEGROUP`", "type": "string" } }, "description": "The relationship attributes which include `type`, `source_resource_type`, `target_resource_type` and `action`." }, "AuditLogConfig": { "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" }, "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables.", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string" } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "type": "object" }, "ListFeedsResponse": { "properties": { "feeds": { "description": "A list of feeds.", "type": "array", "items": { "$ref": "Feed" } } }, "id": "ListFeedsResponse", "type": "object" }, "TimeWindow": { "id": "TimeWindow", "type": "object", "properties": { "startTime": { "type": "string", "format": "google-datetime", "description": "Start time of the time window (exclusive)." }, "endTime": { "type": "string", "format": "google-datetime", "description": "End time of the time window (inclusive). If not specified, the current timestamp is used instead." } }, "description": "A time window specified by its `start_time` and `end_time`." }, "AuditConfig": { "id": "AuditConfig", "properties": { "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" }, "auditLogConfigs": { "type": "array", "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission." } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "type": "object" }, "IamPolicyAnalysisQuery": { "type": "object", "id": "IamPolicyAnalysisQuery", "properties": { "conditionContext": { "description": "Optional. The hypothetical context for IAM conditions evaluation.", "$ref": "ConditionContext" }, "accessSelector": { "$ref": "AccessSelector", "description": "Optional. Specifies roles or permissions for analysis. This is optional." }, "scope": { "type": "string", "description": "Required. The relative name of the root asset. Only resources and IAM policies within the scope will be analyzed. This can only be an organization number (such as \"organizations/123\"), a folder number (such as \"folders/123\"), a project ID (such as \"projects/my-project-id\"), or a project number (such as \"projects/12345\"). To know how to get organization id, visit [here ](https://cloud.google.com/resource-manager/docs/creating-managing-organization#retrieving_your_organization_id). To know how to get folder or project id, visit [here ](https://cloud.google.com/resource-manager/docs/creating-managing-folders#viewing_or_listing_folders_and_projects)." }, "options": { "$ref": "Options", "description": "Optional. The query options." }, "resourceSelector": { "$ref": "ResourceSelector", "description": "Optional. Specifies a resource for analysis." }, "identitySelector": { "$ref": "IdentitySelector", "description": "Optional. Specifies an identity for analysis." } }, "description": "IAM policy analysis query message." }, "ZypperPatch": { "properties": { "severity": { "description": "The severity specified for this patch", "type": "string" }, "category": { "type": "string", "description": "The category of the patch." }, "patchName": { "type": "string", "description": "The name of the patch." }, "summary": { "type": "string", "description": "Any summary information provided about this patch." } }, "type": "object", "id": "ZypperPatch", "description": "Details related to a Zypper Patch." }, "BatchGetAssetsHistoryResponse": { "id": "BatchGetAssetsHistoryResponse", "description": "Batch get assets history response.", "type": "object", "properties": { "assets": { "items": { "$ref": "TemporalAsset" }, "type": "array", "description": "A list of assets with valid time windows." } } }, "RelationshipAttributes": { "type": "object", "description": "DEPRECATED. This message only presents for the purpose of backward-compatibility. The server will never populate this message in responses. The relationship attributes which include `type`, `source_resource_type`, `target_resource_type` and `action`.", "properties": { "type": { "description": "The unique identifier of the relationship type. Example: `INSTANCE_TO_INSTANCEGROUP`", "type": "string" }, "targetResourceType": { "type": "string", "description": "The target asset type. Example: `compute.googleapis.com/Disk`" }, "sourceResourceType": { "description": "The source asset type. Example: `compute.googleapis.com/Instance`", "type": "string" }, "action": { "description": "The detail of the relationship, e.g. `contains`, `attaches`", "type": "string" } }, "id": "RelationshipAttributes" }, "SavedQuery": { "properties": { "creator": { "type": "string", "readOnly": true, "description": "Output only. The account's email address who has created this saved query." }, "lastUpdater": { "description": "Output only. The account's email address who has updated this saved query most recently.", "type": "string", "readOnly": true }, "name": { "type": "string", "description": "The resource name of the saved query. The format must be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh projects/project_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh folders/folder_number/savedQueries/saved_query_id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh organizations/organization_number/savedQueries/saved_query_id" }, "description": { "type": "string", "description": "The description of this saved query. This value should be fewer than 255 characters." }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The create time of this saved query.", "readOnly": true }, "labels": { "description": "Labels applied on the resource. This value should not contain more than 10 entries. The key and value of each entry must be non-empty and fewer than 64 characters.", "additionalProperties": { "type": "string" }, "type": "object" }, "lastUpdateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The last update time of this saved query." }, "content": { "$ref": "QueryContent", "description": "The query content." } }, "type": "object", "description": "A saved query which can be shared with others or used later.", "id": "SavedQuery" }, "GoogleIdentityAccesscontextmanagerV1Condition": { "description": "A condition necessary for an `AccessLevel` to be granted. The Condition is an AND over its fields. So a Condition is true if: 1) the request IP is from one of the listed subnetworks AND 2) the originating device complies with the listed device policy AND 3) all listed access levels are granted AND 4) the request was sent at a time allowed by the DateTimeRestriction.", "type": "object", "properties": { "devicePolicy": { "$ref": "GoogleIdentityAccesscontextmanagerV1DevicePolicy", "description": "Device specific restrictions, all restrictions must hold for the Condition to be true. If not specified, all devices are allowed." }, "negate": { "description": "Whether to negate the Condition. If true, the Condition becomes a NAND over its non-empty fields, each field must be false for the Condition overall to be satisfied. Defaults to false.", "type": "boolean" }, "requiredAccessLevels": { "type": "array", "description": "A list of other access levels defined in the same `Policy`, referenced by resource name. Referencing an `AccessLevel` which does not exist is an error. All access levels listed must be granted for the Condition to be true. Example: \"`accessPolicies/MY_POLICY/accessLevels/LEVEL_NAME\"`", "items": { "type": "string" } }, "members": { "items": { "type": "string" }, "type": "array", "description": "The request must be made by one of the provided user or service accounts. Groups are not supported. Syntax: `user:{emailid}` `serviceAccount:{emailid}` If not specified, a request may come from any user." }, "ipSubnetworks": { "type": "array", "items": { "type": "string" }, "description": "CIDR block IP subnetwork specification. May be IPv4 or IPv6. Note that for a CIDR IP address block, the specified IP address portion must be properly truncated (i.e. all the host bits must be zero) or the input is considered malformed. For example, \"192.0.2.0/24\" is accepted but \"192.0.2.1/24\" is not. Similarly, for IPv6, \"2001:db8::/32\" is accepted whereas \"2001:db8::1/32\" is not. The originating IP of a request must be in one of the listed subnets in order for this Condition to be true. If empty, all IP addresses are allowed." }, "regions": { "description": "The request must originate from one of the provided countries/regions. Must be valid ISO 3166-1 alpha-2 codes.", "type": "array", "items": { "type": "string" } } }, "id": "GoogleIdentityAccesscontextmanagerV1Condition" }, "VersionedPackage": { "properties": { "packageName": { "type": "string", "description": "The name of the package." }, "architecture": { "description": "The system architecture this package is intended for.", "type": "string" }, "version": { "description": "The version of the package.", "type": "string" } }, "type": "object", "description": "Information related to the a standard versioned package. This includes package info for APT, Yum, Zypper, and Googet package managers.", "id": "VersionedPackage" }, "IamPolicyAnalysisResult": { "type": "object", "description": "IAM Policy analysis result, consisting of one IAM policy binding and derived access control lists.", "id": "IamPolicyAnalysisResult", "properties": { "fullyExplored": { "description": "Represents whether all analyses on the iam_binding have successfully finished.", "type": "boolean" }, "identityList": { "$ref": "GoogleCloudAssetV1IdentityList", "description": "The identity list derived from members of the iam_binding that match or potentially match identity selector specified in the request." }, "attachedResourceFullName": { "description": "The [full resource name](https://cloud.google.com/asset-inventory/docs/resource-name-format) of the resource to which the iam_binding policy attaches.", "type": "string" }, "accessControlLists": { "type": "array", "items": { "$ref": "GoogleCloudAssetV1AccessControlList" }, "description": "The access control lists derived from the iam_binding that match or potentially match resource and access selectors specified in the request." }, "iamBinding": { "$ref": "Binding", "description": "The Cloud IAM policy binding under analysis." } } }, "GoogleCloudOrgpolicyV1RestoreDefault": { "id": "GoogleCloudOrgpolicyV1RestoreDefault", "properties": {}, "description": "Ignores policies set above this resource and restores the `constraint_default` enforcement behavior of the specific `Constraint` at this resource. Suppose that `constraint_default` is set to `ALLOW` for the `Constraint` `constraints/serviceuser.services`. Suppose that organization foo.com sets a `Policy` at their Organization resource node that restricts the allowed service activations to deny all service activations. They could then set a `Policy` with the `policy_type` `restore_default` on several experimental projects, restoring the `constraint_default` enforcement of the `Constraint` for only those projects, allowing those projects to have all services activated.", "type": "object" }, "WindowsUpdatePackage": { "type": "object", "id": "WindowsUpdatePackage", "description": "Details related to a Windows Update package. Field data and names are taken from Windows Update API IUpdate Interface: https://docs.microsoft.com/en-us/windows/win32/api/_wua/ Descriptive fields like title, and description are localized based on the locale of the VM being updated.", "properties": { "description": { "type": "string", "description": "The localized description of the update package." }, "title": { "description": "The localized title of the update package.", "type": "string" }, "moreInfoUrls": { "type": "array", "items": { "type": "string" }, "description": "A collection of URLs that provide more information about the update package." }, "revisionNumber": { "description": "The revision number of this update package.", "type": "integer", "format": "int32" }, "supportUrl": { "description": "A hyperlink to the language-specific support information for the update.", "type": "string" }, "lastDeploymentChangeTime": { "description": "The last published date of the update, in (UTC) date and time.", "type": "string", "format": "google-datetime" }, "kbArticleIds": { "type": "array", "description": "A collection of Microsoft Knowledge Base article IDs that are associated with the update package.", "items": { "type": "string" } }, "updateId": { "description": "Gets the identifier of an update package. Stays the same across revisions.", "type": "string" }, "categories": { "description": "The categories that are associated with this update package.", "type": "array", "items": { "$ref": "WindowsUpdateCategory" } } } }, "GoogleIdentityAccesscontextmanagerV1IngressSource": { "type": "object", "description": "The source that IngressPolicy authorizes access from.", "properties": { "accessLevel": { "description": "An AccessLevel resource name that allow resources within the ServicePerimeters to be accessed from the internet. AccessLevels listed must be in the same policy as this ServicePerimeter. Referencing a nonexistent AccessLevel will cause an error. If no AccessLevel names are listed, resources within the perimeter can only be accessed via Google Cloud calls with request origins within the perimeter. Example: `accessPolicies/MY_POLICY/accessLevels/MY_LEVEL`. If a single `*` is specified for `access_level`, then all IngressSources will be allowed.", "type": "string" }, "resource": { "description": "A Google Cloud resource that is allowed to ingress the perimeter. Requests from these resources will be allowed to access perimeter data. Currently only projects are allowed. Format: `projects/{project_number}` The project may be in any Google Cloud organization, not just the organization that the perimeter is defined in. `*` is not allowed, the case of allowing all Google Cloud resources only is not supported.", "type": "string" } }, "id": "GoogleIdentityAccesscontextmanagerV1IngressSource" }, "Asset": { "description": "An asset in Google Cloud. An asset can be any resource in the Google Cloud [resource hierarchy](https://cloud.google.com/resource-manager/docs/cloud-platform-resource-hierarchy), a resource outside the Google Cloud resource hierarchy (such as Google Kubernetes Engine clusters and objects), or a policy (e.g. Cloud IAM policy), or a relationship (e.g. an INSTANCE_TO_INSTANCEGROUP relationship). See [Supported asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types) for more information.", "type": "object", "id": "Asset", "properties": { "orgPolicy": { "items": { "$ref": "GoogleCloudOrgpolicyV1Policy" }, "type": "array", "description": "A representation of an [organization policy](https://cloud.google.com/resource-manager/docs/organization-policy/overview#organization_policy). There can be more than one organization policy with different constraints set on a given resource." }, "resource": { "$ref": "Resource", "description": "A representation of the resource." }, "osInventory": { "$ref": "Inventory", "description": "A representation of runtime OS Inventory information. See [this topic](https://cloud.google.com/compute/docs/instances/os-inventory-management) for more information." }, "servicePerimeter": { "description": "Please also refer to the [service perimeter user guide](https://cloud.google.com/vpc-service-controls/docs/overview).", "$ref": "GoogleIdentityAccesscontextmanagerV1ServicePerimeter" }, "accessLevel": { "$ref": "GoogleIdentityAccesscontextmanagerV1AccessLevel", "description": "Please also refer to the [access level user guide](https://cloud.google.com/access-context-manager/docs/overview#access-levels)." }, "ancestors": { "description": "The ancestry path of an asset in Google Cloud [resource hierarchy](https://cloud.google.com/resource-manager/docs/cloud-platform-resource-hierarchy), represented as a list of relative resource names. An ancestry path starts with the closest ancestor in the hierarchy and ends at root. If the asset is a project, folder, or organization, the ancestry path starts from the asset itself. Example: `[\"projects/123456789\", \"folders/5432\", \"organizations/1234\"]`", "items": { "type": "string" }, "type": "array" }, "relatedAssets": { "description": "DEPRECATED. This field only presents for the purpose of backward-compatibility. The server will never generate responses with this field. The related assets of the asset of one relationship type. One asset only represents one type of relationship.", "$ref": "RelatedAssets" }, "accessPolicy": { "description": "Please also refer to the [access policy user guide](https://cloud.google.com/access-context-manager/docs/overview#access-policies).", "$ref": "GoogleIdentityAccesscontextmanagerV1AccessPolicy" }, "name": { "description": "The full name of the asset. Example: `//compute.googleapis.com/projects/my_project_123/zones/zone1/instances/instance1` See [Resource names](https://cloud.google.com/apis/design/resource_names#full_resource_name) for more information.", "type": "string" }, "assetType": { "description": "The type of the asset. Example: `compute.googleapis.com/Disk` See [Supported asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types) for more information.", "type": "string" }, "iamPolicy": { "$ref": "Policy", "description": "A representation of the Cloud IAM policy set on a Google Cloud resource. There can be a maximum of one Cloud IAM policy set on any given resource. In addition, Cloud IAM policies inherit their granted access scope from any policies set on parent resources in the resource hierarchy. Therefore, the effectively policy is the union of both the policy set on this resource and each policy set on all of the resource's ancestry resource levels in the hierarchy. See [this topic](https://cloud.google.com/iam/help/allow-policies/inheritance) for more information." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The last update timestamp of an asset. update_time is updated when create/update/delete operation is performed." }, "relatedAsset": { "$ref": "RelatedAsset", "description": "One related asset of the current asset." } } }, "ListSavedQueriesResponse": { "description": "Response of listing saved queries.", "id": "ListSavedQueriesResponse", "type": "object", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "savedQueries": { "items": { "$ref": "SavedQuery" }, "description": "A list of savedQueries.", "type": "array" } } }, "GoogleIdentityAccesscontextmanagerV1VpcAccessibleServices": { "properties": { "enableRestriction": { "description": "Whether to restrict API calls within the Service Perimeter to the list of APIs specified in 'allowed_services'.", "type": "boolean" }, "allowedServices": { "description": "The list of APIs usable within the Service Perimeter. Must be empty unless 'enable_restriction' is True. You can specify a list of individual services, as well as include the 'RESTRICTED-SERVICES' value, which automatically includes all of the services protected by the perimeter.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "GoogleIdentityAccesscontextmanagerV1VpcAccessibleServices", "description": "Specifies how APIs are allowed to communicate within the Service Perimeter." }, "GoogleIdentityAccesscontextmanagerV1AccessPolicy": { "id": "GoogleIdentityAccesscontextmanagerV1AccessPolicy", "description": "`AccessPolicy` is a container for `AccessLevels` (which define the necessary attributes to use Google Cloud services) and `ServicePerimeters` (which define regions of services able to freely pass data within a perimeter). An access policy is globally visible within an organization, and the restrictions it specifies apply to all projects within an organization.", "type": "object", "properties": { "parent": { "type": "string", "description": "Required. The parent of this `AccessPolicy` in the Cloud Resource Hierarchy. Currently immutable once created. Format: `organizations/{organization_id}`" }, "name": { "description": "Output only. Resource name of the `AccessPolicy`. Format: `accessPolicies/{access_policy}`", "type": "string" }, "etag": { "type": "string", "description": "Output only. An opaque identifier for the current version of the `AccessPolicy`. This will always be a strongly validated etag, meaning that two Access Polices will be identical if and only if their etags are identical. Clients should not expect this to be in any specific format." }, "title": { "type": "string", "description": "Required. Human readable title. Does not affect behavior." }, "scopes": { "type": "array", "items": { "type": "string" }, "description": "The scopes of a policy define which resources an ACM policy can restrict, and where ACM resources can be referenced. For example, a policy with scopes=[\"folders/123\"] has the following behavior: - vpcsc perimeters can only restrict projects within folders/123 - access levels can only be referenced by resources within folders/123. If empty, there are no limitations on which resources can be restricted by an ACM policy, and there are no limitations on where ACM resources can be referenced. Only one policy can include a given scope (attempting to create a second policy which includes \"folders/123\" will result in an error). Currently, scopes cannot be modified after a policy is created. Currently, policies can only have a single scope. Format: list of `folders/{folder_number}` or `projects/{project_number}`" } } }, "GoogleIdentityAccesscontextmanagerV1EgressFrom": { "properties": { "identities": { "description": "A list of identities that are allowed access through this [EgressPolicy]. Should be in the format of email address. The email address should represent individual user or service account only.", "type": "array", "items": { "type": "string" } }, "identityType": { "type": "string", "enumDescriptions": [ "No blanket identity group specified.", "Authorize access from all identities outside the perimeter.", "Authorize access from all human users outside the perimeter.", "Authorize access from all service accounts outside the perimeter." ], "enum": [ "IDENTITY_TYPE_UNSPECIFIED", "ANY_IDENTITY", "ANY_USER_ACCOUNT", "ANY_SERVICE_ACCOUNT" ], "description": "Specifies the type of identities that are allowed access to outside the perimeter. If left unspecified, then members of `identities` field will be allowed access." } }, "id": "GoogleIdentityAccesscontextmanagerV1EgressFrom", "type": "object", "description": "Defines the conditions under which an EgressPolicy matches a request. Conditions based on information about the source of the request. Note that if the destination of the request is also protected by a ServicePerimeter, then that ServicePerimeter must have an IngressPolicy which allows access in order for this request to succeed." }, "Explanation": { "type": "object", "description": "Explanation about the IAM policy search result.", "id": "Explanation", "properties": { "matchedPermissions": { "type": "object", "additionalProperties": { "$ref": "Permissions" }, "description": "The map from roles to their included permissions that match the permission query (i.e., a query containing `policy.role.permissions:`). Example: if query `policy.role.permissions:compute.disk.get` matches a policy binding that contains owner role, the matched_permissions will be `{\"roles/owner\": [\"compute.disk.get\"]}`. The roles can also be found in the returned `policy` bindings. Note that the map is populated only for requests with permission queries." } } }, "ResourceSearchResult": { "type": "object", "properties": { "attachedResources": { "description": "Attached resources of this resource. For example, an OSConfig Inventory is an attached resource of a Compute Instance. This field is repeated because a resource could have multiple attached resources. This `attached_resources` field is not searchable. Some attributes of the attached resources are exposed in `additional_attributes` field, so as to allow users to search on them.", "type": "array", "items": { "$ref": "AttachedResource" } }, "location": { "description": "Location can be `global`, regional like `us-east1`, or zonal like `us-west1-b`. This field is available only when the resource's Protobuf contains it. To search against the `location`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `location:us-west*` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `us-west*`", "type": "string" }, "tagValues": { "items": { "type": "string" }, "description": "TagValue namespaced names, in the format of {ORG_ID}/{TAG_KEY_SHORT_NAME}/{TAG_VALUE_SHORT_NAME}. To search against the `tagValues`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: - `tagValues:\"env\"` - `tagValues:\"env/prod\"` - `tagValues:\"123456789/env/prod*\"` - `tagValues=\"123456789/env/prod\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: - `prod`", "type": "array" }, "tagValueIds": { "type": "array", "items": { "type": "string" }, "description": "TagValue IDs, in the format of tagValues/{TAG_VALUE_ID}. To search against the `tagValueIds`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: - `tagValueIds:\"456\"` - `tagValueIds=\"tagValues/456\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: - `456`" }, "relationships": { "additionalProperties": { "$ref": "RelatedResources" }, "type": "object", "description": "A map of related resources of this resource, keyed by the relationship type. A relationship type is in the format of {SourceType}_{ACTION}_{DestType}. Example: `DISK_TO_INSTANCE`, `DISK_TO_NETWORK`, `INSTANCE_TO_INSTANCEGROUP`. See [supported relationship types](https://cloud.google.com/asset-inventory/docs/supported-asset-types#supported_relationship_types)." }, "organization": { "type": "string", "description": "The organization that this resource belongs to, in the form of organizations/{ORGANIZATION_NUMBER}. This field is available when the resource belongs to an organization. To search against `organization`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `organization:123` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `123` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh specify the `scope` field as this organization in your search request." }, "name": { "type": "string", "description": "The full resource name of this resource. Example: `//compute.googleapis.com/projects/my_project_123/zones/zone1/instances/instance1`. See [Cloud Asset Inventory Resource Name Format](https://cloud.google.com/asset-inventory/docs/resource-name-format) for more information. To search against the `name`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `name:instance1` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `instance1`" }, "kmsKey": { "type": "string", "description": "The Cloud KMS [CryptoKey](https://cloud.google.com/kms/docs/reference/rest/v1/projects.locations.keyRings.cryptoKeys) name or [CryptoKeyVersion](https://cloud.google.com/kms/docs/reference/rest/v1/projects.locations.keyRings.cryptoKeys.cryptoKeyVersions) name. This field is available only when the resource's Protobuf contains it. To search against the `kms_key`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `kmsKey:key` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `key`" }, "parentAssetType": { "type": "string", "description": "The type of this resource's immediate parent, if there is one. To search against the `parent_asset_type`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `parentAssetType:\"cloudresourcemanager.googleapis.com/Project\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `cloudresourcemanager.googleapis.com/Project`" }, "description": { "type": "string", "description": "One or more paragraphs of text description of this resource. Maximum length could be up to 1M bytes. This field is available only when the resource's Protobuf contains it. To search against the `description`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `description:\"important instance\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `\"important instance\"`" }, "updateTime": { "type": "string", "description": "The last update timestamp of this resource, at which the resource was last modified or deleted. The granularity is in seconds. Timestamp.nanos will always be 0. This field is available only when the resource's Protobuf contains it. To search against `update_time`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. - value in seconds since unix epoch. Example: `updateTime \u003c 1609459200` - value in date string. Example: `updateTime \u003c 2021-01-01` - value in date-time string (must be quoted). Example: `updateTime \u003c \"2021-01-01T00:00:00\"`", "format": "google-datetime" }, "createTime": { "format": "google-datetime", "type": "string", "description": "The create timestamp of this resource, at which the resource was created. The granularity is in seconds. Timestamp.nanos will always be 0. This field is available only when the resource's Protobuf contains it. To search against `create_time`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. - value in seconds since unix epoch. Example: `createTime \u003e 1609459200` - value in date string. Example: `createTime \u003e 2021-01-01` - value in date-time string (must be quoted). Example: `createTime \u003e \"2021-01-01T00:00:00\"`" }, "tagKeys": { "type": "array", "description": "TagKey namespaced names, in the format of {ORG_ID}/{TAG_KEY_SHORT_NAME}. To search against the `tagKeys`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: - `tagKeys:\"123456789/env*\"` - `tagKeys=\"123456789/env\"` - `tagKeys:\"env\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: - `env`", "items": { "type": "string" } }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels associated with this resource. See [Labelling and grouping GCP resources](https://cloud.google.com/blog/products/gcp/labelling-and-grouping-your-google-cloud-platform-resources) for more information. This field is available only when the resource's Protobuf contains it. To search against the `labels`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query: - query on any label's key or value. Example: `labels:prod` - query by a given label. Example: `labels.env:prod` - query by a given label's existence. Example: `labels.env:*` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `prod`" }, "assetType": { "type": "string", "description": "The type of this resource. Example: `compute.googleapis.com/Disk`. To search against the `asset_type`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh specify the `asset_type` field in your search request." }, "state": { "type": "string", "description": "The state of this resource. Different resources types have different state definitions that are mapped from various fields of different resource types. This field is available only when the resource's Protobuf contains it. Example: If the resource is an instance provided by Compute Engine, its state will include PROVISIONING, STAGING, RUNNING, STOPPING, SUSPENDING, SUSPENDED, REPAIRING, and TERMINATED. See `status` definition in [API Reference](https://cloud.google.com/compute/docs/reference/rest/v1/instances). If the resource is a project provided by Cloud Resource Manager, its state will include LIFECYCLE_STATE_UNSPECIFIED, ACTIVE, DELETE_REQUESTED and DELETE_IN_PROGRESS. See `lifecycleState` definition in [API Reference](https://cloud.google.com/resource-manager/reference/rest/v1/projects). To search against the `state`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `state:RUNNING` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `RUNNING`" }, "parentFullResourceName": { "description": "The full resource name of this resource's parent, if it has one. To search against the `parent_full_resource_name`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `parentFullResourceName:\"project-name\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `project-name`", "type": "string" }, "networkTags": { "description": "Network tags associated with this resource. Like labels, network tags are a type of annotations used to group GCP resources. See [Labelling GCP resources](https://cloud.google.com/blog/products/gcp/labelling-and-grouping-your-google-cloud-platform-resources) for more information. This field is available only when the resource's Protobuf contains it. To search against the `network_tags`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `networkTags:internal` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `internal`", "items": { "type": "string" }, "type": "array" }, "folders": { "items": { "type": "string" }, "type": "array", "description": "The folder(s) that this resource belongs to, in the form of folders/{FOLDER_NUMBER}. This field is available when the resource belongs to one or more folders. To search against `folders`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `folders:(123 OR 456)` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `123` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh specify the `scope` field as this folder in your search request." }, "versionedResources": { "description": "Versioned resource representations of this resource. This is repeated because there could be multiple versions of resource representations during version migration. This `versioned_resources` field is not searchable. Some attributes of the resource representations are exposed in `additional_attributes` field, so as to allow users to search on them.", "type": "array", "items": { "$ref": "VersionedResource" } }, "additionalAttributes": { "description": "The additional searchable attributes of this resource. The attributes may vary from one resource type to another. Examples: `projectId` for Project, `dnsName` for DNS ManagedZone. This field contains a subset of the resource metadata fields that are returned by the List or Get APIs provided by the corresponding GCP service (e.g., Compute Engine). see [API references and supported searchable attributes](https://cloud.google.com/asset-inventory/docs/supported-asset-types#searchable_asset_types) to see which fields are included. You can search values of these fields through free text search. However, you should not consume the field programically as the field names and values may change as the GCP service updates to a new incompatible API version. To search against the `additional_attributes`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query to match the attributes values. Example: to search `additional_attributes = { dnsName: \"foobar\" }`, you can issue a query `foobar`.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "project": { "description": "The project that this resource belongs to, in the form of projects/{PROJECT_NUMBER}. This field is available when the resource belongs to a project. To search against `project`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `project:12345` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `12345` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh specify the `scope` field as this project in your search request.", "type": "string" }, "displayName": { "type": "string", "description": "The display name of this resource. This field is available only when the resource's Protobuf contains it. To search against the `display_name`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a field query. Example: `displayName:\"My Instance\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh use a free text query. Example: `\"My Instance\"`" } }, "id": "ResourceSearchResult", "description": "A result of Resource Search, containing information of a cloud resource. Next ID: 28" }, "GoogleCloudAssetV1BigQueryDestination": { "properties": { "dataset": { "type": "string", "description": "Required. The BigQuery dataset in format \"projects/projectId/datasets/datasetId\", to which the analysis results should be exported. If this dataset does not exist, the export call will return an INVALID_ARGUMENT error." }, "writeDisposition": { "type": "string", "description": "Optional. Specifies the action that occurs if the destination table or partition already exists. The following values are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh WRITE_TRUNCATE: If the table or partition already exists, BigQuery overwrites the entire table or all the partitions data. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh WRITE_APPEND: If the table or partition already exists, BigQuery appends the data to the table or the latest partition. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh WRITE_EMPTY: If the table already exists and contains data, an error is returned. The default value is WRITE_APPEND. Each action is atomic and only occurs if BigQuery is able to complete the job successfully. Details are at https://cloud.google.com/bigquery/docs/loading-data-local#appending_to_or_overwriting_a_table_using_a_local_file." }, "tablePrefix": { "description": "Required. The prefix of the BigQuery tables to which the analysis results will be written. Tables will be created based on this table_prefix if not exist: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh _analysis table will contain export operation's metadata. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh _analysis_result will contain all the IamPolicyAnalysisResult. When [partition_key] is specified, both tables will be partitioned based on the [partition_key].", "type": "string" }, "partitionKey": { "type": "string", "description": "The partition key for BigQuery partitioned table.", "enum": [ "PARTITION_KEY_UNSPECIFIED", "REQUEST_TIME" ], "enumDescriptions": [ "Unspecified partition key. Tables won't be partitioned using this option.", "The time when the request is received. If specified as partition key, the result table(s) is partitoned by the RequestTime column, an additional timestamp column representing when the request was received." ] } }, "type": "object", "id": "GoogleCloudAssetV1BigQueryDestination", "description": "A BigQuery destination." }, "RelatedResource": { "description": "The detailed related resource.", "id": "RelatedResource", "properties": { "assetType": { "type": "string", "description": "The type of the asset. Example: `compute.googleapis.com/Instance`" }, "fullResourceName": { "description": "The full resource name of the related resource. Example: `//compute.googleapis.com/projects/my_proj_123/zones/instance/instance123`", "type": "string" } }, "type": "object" }, "GoogleIdentityAccesscontextmanagerV1ServicePerimeter": { "id": "GoogleIdentityAccesscontextmanagerV1ServicePerimeter", "type": "object", "properties": { "perimeterType": { "type": "string", "enum": [ "PERIMETER_TYPE_REGULAR", "PERIMETER_TYPE_BRIDGE" ], "enumDescriptions": [ "Regular Perimeter.", "Perimeter Bridge." ], "description": "Perimeter type indicator. A single project is allowed to be a member of single regular perimeter, but multiple service perimeter bridges. A project cannot be a included in a perimeter bridge without being included in regular perimeter. For perimeter bridges, the restricted service list as well as access level lists must be empty." }, "name": { "type": "string", "description": "Required. Resource name for the ServicePerimeter. The `short_name` component must begin with a letter and only include alphanumeric and '_'. Format: `accessPolicies/{access_policy}/servicePerimeters/{service_perimeter}`" }, "status": { "description": "Current ServicePerimeter configuration. Specifies sets of resources, restricted services and access levels that determine perimeter content and boundaries.", "$ref": "GoogleIdentityAccesscontextmanagerV1ServicePerimeterConfig" }, "spec": { "$ref": "GoogleIdentityAccesscontextmanagerV1ServicePerimeterConfig", "description": "Proposed (or dry run) ServicePerimeter configuration. This configuration allows to specify and test ServicePerimeter configuration without enforcing actual access restrictions. Only allowed to be set when the \"use_explicit_dry_run_spec\" flag is set." }, "description": { "type": "string", "description": "Description of the `ServicePerimeter` and its use. Does not affect behavior." }, "title": { "description": "Human readable title. Must be unique within the Policy.", "type": "string" }, "useExplicitDryRunSpec": { "description": "Use explicit dry run spec flag. Ordinarily, a dry-run spec implicitly exists for all Service Perimeters, and that spec is identical to the status for those Service Perimeters. When this flag is set, it inhibits the generation of the implicit spec, thereby allowing the user to explicitly provide a configuration (\"spec\") to use in a dry-run version of the Service Perimeter. This allows the user to test changes to the enforced config (\"status\") without actually enforcing them. This testing is done through analyzing the differences between currently enforced and suggested restrictions. use_explicit_dry_run_spec must bet set to True if any of the fields in the spec are set to non-default values.", "type": "boolean" } }, "description": "`ServicePerimeter` describes a set of Google Cloud resources which can freely import and export data amongst themselves, but not export outside of the `ServicePerimeter`. If a request with a source within this `ServicePerimeter` has a target outside of the `ServicePerimeter`, the request will be blocked. Otherwise the request is allowed. There are two types of Service Perimeter - Regular and Bridge. Regular Service Perimeters cannot overlap, a single Google Cloud project can only belong to a single regular Service Perimeter. Service Perimeter Bridges can contain only Google Cloud projects as members, a single Google Cloud project may belong to multiple Service Perimeter Bridges." }, "GoogleCloudOrgpolicyV1Policy": { "properties": { "etag": { "type": "string", "format": "byte", "description": "An opaque tag indicating the current version of the `Policy`, used for concurrency control. When the `Policy` is returned from either a `GetPolicy` or a `ListOrgPolicy` request, this `etag` indicates the version of the current `Policy` to use when executing a read-modify-write loop. When the `Policy` is returned from a `GetEffectivePolicy` request, the `etag` will be unset. When the `Policy` is used in a `SetOrgPolicy` method, use the `etag` value that was returned from a `GetOrgPolicy` request as part of a read-modify-write loop for concurrency control. Not setting the `etag`in a `SetOrgPolicy` request will result in an unconditional write of the `Policy`." }, "listPolicy": { "description": "List of values either allowed or disallowed.", "$ref": "GoogleCloudOrgpolicyV1ListPolicy" }, "version": { "description": "Version of the `Policy`. Default version is 0;", "type": "integer", "format": "int32" }, "updateTime": { "type": "string", "description": "The time stamp the `Policy` was previously updated. This is set by the server, not specified by the caller, and represents the last time a call to `SetOrgPolicy` was made for that `Policy`. Any value set by the client will be ignored.", "format": "google-datetime" }, "restoreDefault": { "$ref": "GoogleCloudOrgpolicyV1RestoreDefault", "description": "Restores the default behavior of the constraint; independent of `Constraint` type." }, "booleanPolicy": { "description": "For boolean `Constraints`, whether to enforce the `Constraint` or not.", "$ref": "GoogleCloudOrgpolicyV1BooleanPolicy" }, "constraint": { "type": "string", "description": "The name of the `Constraint` the `Policy` is configuring, for example, `constraints/serviceuser.services`. A [list of available constraints](/resource-manager/docs/organization-policy/org-policy-constraints) is available. Immutable after creation." } }, "type": "object", "id": "GoogleCloudOrgpolicyV1Policy", "description": "Defines a Cloud Organization `Policy` which is used to specify `Constraints` for configurations of Cloud Platform resources." }, "MoveAnalysisResult": { "id": "MoveAnalysisResult", "properties": { "warnings": { "description": "Warning information indicating that moving the target resource to the specified destination might be unsafe. This can include important policy information and configuration changes, but will not block moves at runtime.", "items": { "$ref": "MoveImpact" }, "type": "array" }, "blockers": { "type": "array", "items": { "$ref": "MoveImpact" }, "description": "Blocking information that would prevent the target resource from moving to the specified destination at runtime." } }, "description": "An analysis result including blockers and warnings.", "type": "object" }, "GoogleIdentityAccesscontextmanagerV1AccessLevel": { "id": "GoogleIdentityAccesscontextmanagerV1AccessLevel", "type": "object", "properties": { "custom": { "description": "A `CustomLevel` written in the Common Expression Language.", "$ref": "GoogleIdentityAccesscontextmanagerV1CustomLevel" }, "description": { "type": "string", "description": "Description of the `AccessLevel` and its use. Does not affect behavior." }, "basic": { "description": "A `BasicLevel` composed of `Conditions`.", "$ref": "GoogleIdentityAccesscontextmanagerV1BasicLevel" }, "title": { "description": "Human readable title. Must be unique within the Policy.", "type": "string" }, "name": { "type": "string", "description": "Required. Resource name for the Access Level. The `short_name` component must begin with a letter and only include alphanumeric and '_'. Format: `accessPolicies/{access_policy}/accessLevels/{access_level}`. The maximum length of the `access_level` component is 50 characters." } }, "description": "An `AccessLevel` is a label that can be applied to requests to Google Cloud services, along with a list of requirements necessary for the label to be applied." }, "EffectiveIamPolicy": { "properties": { "fullResourceName": { "description": "The [full_resource_name] (https://cloud.google.com/asset-inventory/docs/resource-name-format) for which the policies are computed. This is one of the BatchGetEffectiveIamPoliciesRequest.names the caller provides in the request.", "type": "string" }, "policies": { "type": "array", "items": { "$ref": "PolicyInfo" }, "description": "The effective policies for the full_resource_name. These policies include the policy set on the full_resource_name and those set on its parents and ancestors up to the BatchGetEffectiveIamPoliciesRequest.scope. Note that these policies are not filtered according to the resource type of the full_resource_name. These policies are hierarchically ordered by PolicyInfo.attached_resource starting from full_resource_name itself to its parents and ancestors, such that policies[i]'s PolicyInfo.attached_resource is the child of policies[i+1]'s PolicyInfo.attached_resource, if policies[i+1] exists." } }, "id": "EffectiveIamPolicy", "type": "object", "description": "The effective IAM policies on one resource." }, "PolicyInfo": { "type": "object", "properties": { "attachedResource": { "description": "The full resource name the policy is directly attached to.", "type": "string" }, "policy": { "$ref": "Policy", "description": "The IAM policy that's directly attached to the attached_resource." } }, "id": "PolicyInfo", "description": "The IAM policy and its attached resource." }, "WindowsApplication": { "id": "WindowsApplication", "properties": { "displayName": { "type": "string", "description": "The name of the application or product." }, "installDate": { "$ref": "Date", "description": "The last time this product received service. The value of this property is replaced each time a patch is applied or removed from the product or the command-line option is used to repair the product." }, "publisher": { "type": "string", "description": "The name of the manufacturer for the product or application." }, "helpLink": { "type": "string", "description": "The internet address for technical support." }, "displayVersion": { "type": "string", "description": "The version of the product or application in string format." } }, "description": "Contains information about a Windows application that is retrieved from the Windows Registry. For more information about these fields, see: https://docs.microsoft.com/en-us/windows/win32/msi/uninstall-registry-key", "type": "object" }, "GoogleIdentityAccesscontextmanagerV1ServicePerimeterConfig": { "id": "GoogleIdentityAccesscontextmanagerV1ServicePerimeterConfig", "description": "`ServicePerimeterConfig` specifies a set of Google Cloud resources that describe specific Service Perimeter configuration.", "type": "object", "properties": { "ingressPolicies": { "type": "array", "description": "List of IngressPolicies to apply to the perimeter. A perimeter may have multiple IngressPolicies, each of which is evaluated separately. Access is granted if any Ingress Policy grants it. Must be empty for a perimeter bridge.", "items": { "$ref": "GoogleIdentityAccesscontextmanagerV1IngressPolicy" } }, "restrictedServices": { "type": "array", "description": "Google Cloud services that are subject to the Service Perimeter restrictions. For example, if `storage.googleapis.com` is specified, access to the storage buckets inside the perimeter must meet the perimeter's access restrictions.", "items": { "type": "string" } }, "accessLevels": { "description": "A list of `AccessLevel` resource names that allow resources within the `ServicePerimeter` to be accessed from the internet. `AccessLevels` listed must be in the same policy as this `ServicePerimeter`. Referencing a nonexistent `AccessLevel` is a syntax error. If no `AccessLevel` names are listed, resources within the perimeter can only be accessed via Google Cloud calls with request origins within the perimeter. Example: `\"accessPolicies/MY_POLICY/accessLevels/MY_LEVEL\"`. For Service Perimeter Bridge, must be empty.", "items": { "type": "string" }, "type": "array" }, "resources": { "type": "array", "items": { "type": "string" }, "description": "A list of Google Cloud resources that are inside of the service perimeter. Currently only projects are allowed. Format: `projects/{project_number}`" }, "egressPolicies": { "type": "array", "description": "List of EgressPolicies to apply to the perimeter. A perimeter may have multiple EgressPolicies, each of which is evaluated separately. Access is granted if any EgressPolicy grants it. Must be empty for a perimeter bridge.", "items": { "$ref": "GoogleIdentityAccesscontextmanagerV1EgressPolicy" } }, "vpcAccessibleServices": { "description": "Configuration for APIs allowed within Perimeter.", "$ref": "GoogleIdentityAccesscontextmanagerV1VpcAccessibleServices" } } }, "RelatedAsset": { "description": "An asset identifier in Google Cloud which contains its name, type and ancestors. An asset can be any resource in the Google Cloud [resource hierarchy](https://cloud.google.com/resource-manager/docs/cloud-platform-resource-hierarchy), a resource outside the Google Cloud resource hierarchy (such as Google Kubernetes Engine clusters and objects), or a policy (e.g. Cloud IAM policy). See [Supported asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types) for more information.", "properties": { "assetType": { "type": "string", "description": "The type of the asset. Example: `compute.googleapis.com/Disk` See [Supported asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types) for more information." }, "ancestors": { "items": { "type": "string" }, "description": "The ancestors of an asset in Google Cloud [resource hierarchy](https://cloud.google.com/resource-manager/docs/cloud-platform-resource-hierarchy), represented as a list of relative resource names. An ancestry path starts with the closest ancestor in the hierarchy and ends at root. Example: `[\"projects/123456789\", \"folders/5432\", \"organizations/1234\"]`", "type": "array" }, "asset": { "type": "string", "description": "The full name of the asset. Example: `//compute.googleapis.com/projects/my_project_123/zones/zone1/instances/instance1` See [Resource names](https://cloud.google.com/apis/design/resource_names#full_resource_name) for more information." }, "relationshipType": { "description": "The unique identifier of the relationship type. Example: `INSTANCE_TO_INSTANCEGROUP`", "type": "string" } }, "type": "object", "id": "RelatedAsset" }, "TemporalAsset": { "properties": { "asset": { "description": "An asset in Google Cloud.", "$ref": "Asset" }, "priorAsset": { "$ref": "Asset", "description": "Prior copy of the asset. Populated if prior_asset_state is PRESENT. Currently this is only set for responses in Real-Time Feed." }, "window": { "description": "The time window when the asset data and state was observed.", "$ref": "TimeWindow" }, "deleted": { "type": "boolean", "description": "Whether the asset has been deleted or not." }, "priorAssetState": { "type": "string", "enum": [ "PRIOR_ASSET_STATE_UNSPECIFIED", "PRESENT", "INVALID", "DOES_NOT_EXIST", "DELETED" ], "description": "State of prior_asset.", "enumDescriptions": [ "prior_asset is not applicable for the current asset.", "prior_asset is populated correctly.", "Failed to set prior_asset.", "Current asset is the first known state.", "prior_asset is a deletion." ] } }, "type": "object", "description": "An asset in Google Cloud and its temporal metadata, including the time window when it was observed and its status during that window.", "id": "TemporalAsset" }, "GoogleIdentityAccesscontextmanagerV1DevicePolicy": { "properties": { "requireCorpOwned": { "type": "boolean", "description": "Whether the device needs to be corp owned." }, "requireScreenlock": { "description": "Whether or not screenlock is required for the DevicePolicy to be true. Defaults to `false`.", "type": "boolean" }, "allowedEncryptionStatuses": { "items": { "enum": [ "ENCRYPTION_UNSPECIFIED", "ENCRYPTION_UNSUPPORTED", "UNENCRYPTED", "ENCRYPTED" ], "enumDescriptions": [ "The encryption status of the device is not specified or not known.", "The device does not support encryption.", "The device supports encryption, but is currently unencrypted.", "The device is encrypted." ], "type": "string" }, "description": "Allowed encryptions statuses, an empty list allows all statuses.", "type": "array" }, "allowedDeviceManagementLevels": { "type": "array", "items": { "enum": [ "MANAGEMENT_UNSPECIFIED", "NONE", "BASIC", "COMPLETE" ], "type": "string", "enumDescriptions": [ "The device's management level is not specified or not known.", "The device is not managed.", "Basic management is enabled, which is generally limited to monitoring and wiping the corporate account.", "Complete device management. This includes more thorough monitoring and the ability to directly manage the device (such as remote wiping). This can be enabled through the Android Enterprise Platform." ] }, "description": "Allowed device management levels, an empty list allows all management levels." }, "requireAdminApproval": { "description": "Whether the device needs to be approved by the customer admin.", "type": "boolean" }, "osConstraints": { "items": { "$ref": "GoogleIdentityAccesscontextmanagerV1OsConstraint" }, "type": "array", "description": "Allowed OS versions, an empty list allows all types and all versions." } }, "description": "`DevicePolicy` specifies device specific restrictions necessary to acquire a given access level. A `DevicePolicy` specifies requirements for requests from devices to be granted access levels, it does not do any enforcement on the device. `DevicePolicy` acts as an AND over all specified fields, and each repeated field is an OR over its elements. Any unset fields are ignored. For example, if the proto is { os_type : DESKTOP_WINDOWS, os_type : DESKTOP_LINUX, encryption_status: ENCRYPTED}, then the DevicePolicy will be true for requests originating from encrypted Linux desktops and encrypted Windows desktops.", "type": "object", "id": "GoogleIdentityAccesscontextmanagerV1DevicePolicy" }, "GoogleIdentityAccesscontextmanagerV1ApiOperation": { "description": "Identification for an API Operation.", "properties": { "serviceName": { "description": "The name of the API whose methods or permissions the IngressPolicy or EgressPolicy want to allow. A single ApiOperation with `service_name` field set to `*` will allow all methods AND permissions for all services.", "type": "string" }, "methodSelectors": { "type": "array", "description": "API methods or permissions to allow. Method or permission must belong to the service specified by `service_name` field. A single MethodSelector entry with `*` specified for the `method` field will allow all methods AND permissions for the service specified in `service_name`.", "items": { "$ref": "GoogleIdentityAccesscontextmanagerV1MethodSelector" } } }, "id": "GoogleIdentityAccesscontextmanagerV1ApiOperation", "type": "object" }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "properties": { "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "items": { "type": "string" }, "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " } }, "id": "Binding", "type": "object" }, "SearchAllIamPoliciesResponse": { "description": "Search all IAM policies response.", "id": "SearchAllIamPoliciesResponse", "properties": { "nextPageToken": { "description": "Set if there are more results than those appearing in this response; to get the next set of results, call this method again, using this value as the `page_token`.", "type": "string" }, "results": { "items": { "$ref": "IamPolicySearchResult" }, "type": "array", "description": "A list of IamPolicy that match the search query. Related information such as the associated resource is returned along with the policy." } }, "type": "object" }, "PartitionSpec": { "properties": { "partitionKey": { "description": "The partition key for BigQuery partitioned table.", "enum": [ "PARTITION_KEY_UNSPECIFIED", "READ_TIME", "REQUEST_TIME" ], "type": "string", "enumDescriptions": [ "Unspecified partition key. If used, it means using non-partitioned table.", "The time when the snapshot is taken. If specified as partition key, the result table(s) is partitoned by the additional timestamp column, readTime. If [read_time] in ExportAssetsRequest is specified, the readTime column's value will be the same as it. Otherwise, its value will be the current time that is used to take the snapshot.", "The time when the request is received and started to be processed. If specified as partition key, the result table(s) is partitoned by the requestTime column, an additional timestamp column representing when the request was received." ] } }, "description": "Specifications of BigQuery partitioned table as export destination.", "id": "PartitionSpec", "type": "object" }, "AnalyzeIamPolicyLongrunningResponse": { "description": "A response message for AssetService.AnalyzeIamPolicyLongrunning.", "type": "object", "properties": {}, "id": "AnalyzeIamPolicyLongrunningResponse" }, "GoogleCloudAssetV1p7beta1RelatedAsset": { "description": "An asset identify in Google Cloud which contains its name, type and ancestors. An asset can be any resource in the Google Cloud [resource hierarchy](https://cloud.google.com/resource-manager/docs/cloud-platform-resource-hierarchy), a resource outside the Google Cloud resource hierarchy (such as Google Kubernetes Engine clusters and objects), or a policy (e.g. Cloud IAM policy). See [Supported asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types) for more information.", "properties": { "asset": { "description": "The full name of the asset. Example: `//compute.googleapis.com/projects/my_project_123/zones/zone1/instances/instance1` See [Resource names](https://cloud.google.com/apis/design/resource_names#full_resource_name) for more information.", "type": "string" }, "ancestors": { "description": "The ancestors of an asset in Google Cloud [resource hierarchy](https://cloud.google.com/resource-manager/docs/cloud-platform-resource-hierarchy), represented as a list of relative resource names. An ancestry path starts with the closest ancestor in the hierarchy and ends at root. Example: `[\"projects/123456789\", \"folders/5432\", \"organizations/1234\"]`", "type": "array", "items": { "type": "string" } }, "assetType": { "type": "string", "description": "The type of the asset. Example: `compute.googleapis.com/Disk` See [Supported asset types](https://cloud.google.com/asset-inventory/docs/supported-asset-types) for more information." } }, "type": "object", "id": "GoogleCloudAssetV1p7beta1RelatedAsset" }, "Feed": { "id": "Feed", "description": "An asset feed used to export asset updates to a destinations. An asset feed filter controls what updates are exported. The asset feed must be created within a project, organization, or folder. Supported destinations are: Pub/Sub topics.", "type": "object", "properties": { "condition": { "description": "A condition which determines whether an asset update should be published. If specified, an asset will be returned only when the expression evaluates to true. When set, `expression` field in the `Expr` must be a valid [CEL expression] (https://github.com/google/cel-spec) on a TemporalAsset with name `temporal_asset`. Example: a Feed with expression (\"temporal_asset.deleted == true\") will only publish Asset deletions. Other fields of `Expr` are optional. See our [user guide](https://cloud.google.com/asset-inventory/docs/monitoring-asset-changes-with-condition) for detailed instructions.", "$ref": "Expr" }, "feedOutputConfig": { "description": "Required. Feed output configuration defining where the asset updates are published to.", "$ref": "FeedOutputConfig" }, "assetNames": { "items": { "type": "string" }, "type": "array", "description": "A list of the full names of the assets to receive updates. You must specify either or both of asset_names and asset_types. Only asset updates matching specified asset_names or asset_types are exported to the feed. Example: `//compute.googleapis.com/projects/my_project_123/zones/zone1/instances/instance1`. For a list of the full names for supported asset types, see [Resource name format](/asset-inventory/docs/resource-name-format)." }, "relationshipTypes": { "items": { "type": "string" }, "type": "array", "description": "A list of relationship types to output, for example: `INSTANCE_TO_INSTANCEGROUP`. This field should only be specified if content_type=RELATIONSHIP. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If specified: it outputs specified relationship updates on the [asset_names] or the [asset_types]. It returns an error if any of the [relationship_types] doesn't belong to the supported relationship types of the [asset_names] or [asset_types], or any of the [asset_names] or the [asset_types] doesn't belong to the source types of the [relationship_types]. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Otherwise: it outputs the supported relationships of the types of [asset_names] and [asset_types] or returns an error if any of the [asset_names] or the [asset_types] has no replationship support. See [Introduction to Cloud Asset Inventory](https://cloud.google.com/asset-inventory/docs/overview) for all supported asset types and relationship types." }, "contentType": { "enum": [ "CONTENT_TYPE_UNSPECIFIED", "RESOURCE", "IAM_POLICY", "ORG_POLICY", "ACCESS_POLICY", "OS_INVENTORY", "RELATIONSHIP" ], "enumDescriptions": [ "Unspecified content type.", "Resource metadata.", "The actual IAM policy set on a resource.", "The Cloud Organization Policy set on an asset.", "The Cloud Access context manager Policy set on an asset.", "The runtime OS Inventory information.", "The related resources." ], "type": "string", "description": "Asset content type. If not specified, no content but the asset name and type will be returned." }, "assetTypes": { "items": { "type": "string" }, "description": "A list of types of the assets to receive updates. You must specify either or both of asset_names and asset_types. Only asset updates matching specified asset_names or asset_types are exported to the feed. Example: `\"compute.googleapis.com/Disk\"` For a list of all supported asset types, see [Supported asset types](/asset-inventory/docs/supported-asset-types).", "type": "array" }, "name": { "type": "string", "description": "Required. The format will be projects/{project_number}/feeds/{client-assigned_feed_identifier} or folders/{folder_number}/feeds/{client-assigned_feed_identifier} or organizations/{organization_number}/feeds/{client-assigned_feed_identifier} The client-assigned feed identifier must be unique within the parent project/folder/organization." } } }, "GoogleCloudAssetV1GcsDestination": { "properties": { "uri": { "description": "Required. The uri of the Cloud Storage object. It's the same uri that is used by gsutil. Example: \"gs://bucket_name/object_name\". See [Viewing and Editing Object Metadata](https://cloud.google.com/storage/docs/viewing-editing-metadata) for more information. If the specified Cloud Storage object already exists and there is no [hold](https://cloud.google.com/storage/docs/object-holds), it will be overwritten with the analysis result.", "type": "string" } }, "description": "A Cloud Storage location.", "type": "object", "id": "GoogleCloudAssetV1GcsDestination" }, "Expr": { "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } }, "id": "Expr" }, "Permissions": { "description": "IAM permissions", "properties": { "permissions": { "type": "array", "description": "A list of permissions. A sample permission string: `compute.disk.get`.", "items": { "type": "string" } } }, "id": "Permissions", "type": "object" }, "GoogleCloudAssetV1AccessControlList": { "properties": { "conditionEvaluation": { "description": "Condition evaluation for this AccessControlList, if there is a condition defined in the above IAM policy binding.", "$ref": "ConditionEvaluation" }, "accesses": { "items": { "$ref": "GoogleCloudAssetV1Access" }, "description": "The accesses that match one of the following conditions: - The access_selector, if it is specified in request; - Otherwise, access specifiers reachable from the policy binding's role.", "type": "array" }, "resourceEdges": { "description": "Resource edges of the graph starting from the policy attached resource to any descendant resources. The Edge.source_node contains the full resource name of a parent resource and Edge.target_node contains the full resource name of a child resource. This field is present only if the output_resource_edges option is enabled in request.", "items": { "$ref": "GoogleCloudAssetV1Edge" }, "type": "array" }, "resources": { "type": "array", "items": { "$ref": "GoogleCloudAssetV1Resource" }, "description": "The resources that match one of the following conditions: - The resource_selector, if it is specified in request; - Otherwise, resources reachable from the policy attached resource." } }, "type": "object", "description": "An access control list, derived from the above IAM policy binding, which contains a set of resources and accesses. May include one item from each set to compose an access control entry. NOTICE that there could be multiple access control lists for one IAM policy binding. The access control lists are created based on resource and access combinations. For example, assume we have the following cases in one IAM policy binding: - Permission P1 and P2 apply to resource R1 and R2; - Permission P3 applies to resource R2 and R3; This will result in the following access control lists: - AccessControlList 1: [R1, R2], [P1, P2] - AccessControlList 2: [R2, R3], [P3]", "id": "GoogleCloudAssetV1AccessControlList" }, "GoogleIdentityAccesscontextmanagerV1OsConstraint": { "id": "GoogleIdentityAccesscontextmanagerV1OsConstraint", "description": "A restriction on the OS type and version of devices making requests.", "properties": { "minimumVersion": { "type": "string", "description": "The minimum allowed OS version. If not set, any version of this OS satisfies the constraint. Format: `\"major.minor.patch\"`. Examples: `\"10.5.301\"`, `\"9.2.1\"`." }, "requireVerifiedChromeOs": { "type": "boolean", "description": "Only allows requests from devices with a verified Chrome OS. Verifications includes requirements that the device is enterprise-managed, conformant to domain policies, and the caller has permission to call the API targeted by the request." }, "osType": { "type": "string", "enum": [ "OS_UNSPECIFIED", "DESKTOP_MAC", "DESKTOP_WINDOWS", "DESKTOP_LINUX", "DESKTOP_CHROME_OS", "ANDROID", "IOS" ], "description": "Required. The allowed OS type.", "enumDescriptions": [ "The operating system of the device is not specified or not known.", "A desktop Mac operating system.", "A desktop Windows operating system.", "A desktop Linux operating system.", "A desktop ChromeOS operating system.", "An Android operating system.", "An iOS operating system." ] } }, "type": "object" }, "Empty": { "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "type": "object" }, "GoogleIdentityAccesscontextmanagerV1IngressPolicy": { "type": "object", "properties": { "ingressTo": { "$ref": "GoogleIdentityAccesscontextmanagerV1IngressTo", "description": "Defines the conditions on the ApiOperation and request destination that cause this IngressPolicy to apply." }, "ingressFrom": { "description": "Defines the conditions on the source of a request causing this IngressPolicy to apply.", "$ref": "GoogleIdentityAccesscontextmanagerV1IngressFrom" } }, "description": "Policy for ingress into ServicePerimeter. IngressPolicies match requests based on `ingress_from` and `ingress_to` stanzas. For an ingress policy to match, both the `ingress_from` and `ingress_to` stanzas must be matched. If an IngressPolicy matches a request, the request is allowed through the perimeter boundary from outside the perimeter. For example, access from the internet can be allowed either based on an AccessLevel or, for traffic hosted on Google Cloud, the project of the source network. For access from private networks, using the project of the hosting network is required. Individual ingress policies can be limited by restricting which services and/or actions they match using the `ingress_to` field.", "id": "GoogleIdentityAccesscontextmanagerV1IngressPolicy" }, "GoogleCloudAssetV1Resource": { "description": "A Google Cloud resource under analysis.", "properties": { "fullResourceName": { "description": "The [full resource name](https://cloud.google.com/asset-inventory/docs/resource-name-format)", "type": "string" }, "analysisState": { "description": "The analysis state of this resource.", "$ref": "IamPolicyAnalysisState" } }, "id": "GoogleCloudAssetV1Resource", "type": "object" }, "Date": { "id": "Date", "properties": { "day": { "type": "integer", "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant." }, "month": { "format": "int32", "type": "integer", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." }, "year": { "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32" } }, "type": "object", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp" }, "MoveImpact": { "type": "object", "id": "MoveImpact", "properties": { "detail": { "description": "User friendly impact detail in a free form message.", "type": "string" } }, "description": "A message to group impacts of moving the target resource." }, "ListAssetsResponse": { "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results. It expires 72 hours after the page token for the first page is generated. Set to empty if there are no remaining results.", "type": "string" }, "readTime": { "format": "google-datetime", "type": "string", "description": "Time the snapshot was taken." }, "assets": { "type": "array", "items": { "$ref": "Asset" }, "description": "Assets." } }, "description": "ListAssets response.", "type": "object", "id": "ListAssetsResponse" }, "RelatedResources": { "description": "The related resources of the primary resource.", "properties": { "relatedResources": { "type": "array", "description": "The detailed related resources of the primary resource.", "items": { "$ref": "RelatedResource" } } }, "type": "object", "id": "RelatedResources" }, "IamPolicyAnalysis": { "description": "An analysis message to group the query and results.", "id": "IamPolicyAnalysis", "type": "object", "properties": { "fullyExplored": { "description": "Represents whether all entries in the analysis_results have been fully explored to answer the query.", "type": "boolean" }, "nonCriticalErrors": { "items": { "$ref": "IamPolicyAnalysisState" }, "description": "A list of non-critical errors happened during the query handling.", "type": "array" }, "analysisQuery": { "description": "The analysis query.", "$ref": "IamPolicyAnalysisQuery" }, "analysisResults": { "description": "A list of IamPolicyAnalysisResult that matches the analysis query, or empty if no result is found.", "type": "array", "items": { "$ref": "IamPolicyAnalysisResult" } } } }, "GoogleCloudOrgpolicyV1BooleanPolicy": { "id": "GoogleCloudOrgpolicyV1BooleanPolicy", "description": "Used in `policy_type` to specify how `boolean_policy` will behave at this resource.", "properties": { "enforced": { "description": "If `true`, then the `Policy` is enforced. If `false`, then any configuration is acceptable. Suppose you have a `Constraint` `constraints/compute.disableSerialPortAccess` with `constraint_default` set to `ALLOW`. A `Policy` for that `Constraint` exhibits the following behavior: - If the `Policy` at this resource has enforced set to `false`, serial port connection attempts will be allowed. - If the `Policy` at this resource has enforced set to `true`, serial port connection attempts will be refused. - If the `Policy` at this resource is `RestoreDefault`, serial port connection attempts will be allowed. - If no `Policy` is set at this resource or anywhere higher in the resource hierarchy, serial port connection attempts will be allowed. - If no `Policy` is set at this resource, but one exists higher in the resource hierarchy, the behavior is as if the`Policy` were set at this resource. The following examples demonstrate the different possible layerings: Example 1 (nearest `Constraint` wins): `organizations/foo` has a `Policy` with: {enforced: false} `projects/bar` has no `Policy` set. The constraint at `projects/bar` and `organizations/foo` will not be enforced. Example 2 (enforcement gets replaced): `organizations/foo` has a `Policy` with: {enforced: false} `projects/bar` has a `Policy` with: {enforced: true} The constraint at `organizations/foo` is not enforced. The constraint at `projects/bar` is enforced. Example 3 (RestoreDefault): `organizations/foo` has a `Policy` with: {enforced: true} `projects/bar` has a `Policy` with: {RestoreDefault: {}} The constraint at `organizations/foo` is enforced. The constraint at `projects/bar` is not enforced, because `constraint_default` for the `Constraint` is `ALLOW`.", "type": "boolean" } }, "type": "object" }, "IamPolicyAnalysisOutputConfig": { "properties": { "bigqueryDestination": { "$ref": "GoogleCloudAssetV1BigQueryDestination", "description": "Destination on BigQuery." }, "gcsDestination": { "$ref": "GoogleCloudAssetV1GcsDestination", "description": "Destination on Cloud Storage." } }, "type": "object", "id": "IamPolicyAnalysisOutputConfig", "description": "Output configuration for export IAM policy analysis destination." }, "GoogleIdentityAccesscontextmanagerV1BasicLevel": { "type": "object", "properties": { "conditions": { "type": "array", "items": { "$ref": "GoogleIdentityAccesscontextmanagerV1Condition" }, "description": "Required. A list of requirements for the `AccessLevel` to be granted." }, "combiningFunction": { "enum": [ "AND", "OR" ], "description": "How the `conditions` list should be combined to determine if a request is granted this `AccessLevel`. If AND is used, each `Condition` in `conditions` must be satisfied for the `AccessLevel` to be applied. If OR is used, at least one `Condition` in `conditions` must be satisfied for the `AccessLevel` to be applied. Default behavior is AND.", "type": "string", "enumDescriptions": [ "All `Conditions` must be true for the `BasicLevel` to be true.", "If at least one `Condition` is true, then the `BasicLevel` is true." ] } }, "description": "`BasicLevel` is an `AccessLevel` using a set of recommended features.", "id": "GoogleIdentityAccesscontextmanagerV1BasicLevel" }, "PubsubDestination": { "id": "PubsubDestination", "properties": { "topic": { "type": "string", "description": "The name of the Pub/Sub topic to publish to. Example: `projects/PROJECT_ID/topics/TOPIC_ID`." } }, "type": "object", "description": "A Pub/Sub destination." }, "GcsDestination": { "type": "object", "properties": { "uri": { "description": "The uri of the Cloud Storage object. It's the same uri that is used by gsutil. Example: \"gs://bucket_name/object_name\". See [Viewing and Editing Object Metadata](https://cloud.google.com/storage/docs/viewing-editing-metadata) for more information. If the specified Cloud Storage object already exists and there is no [hold](https://cloud.google.com/storage/docs/object-holds), it will be overwritten with the exported result.", "type": "string" }, "uriPrefix": { "type": "string", "description": "The uri prefix of all generated Cloud Storage objects. Example: \"gs://bucket_name/object_name_prefix\". Each object uri is in format: \"gs://bucket_name/object_name_prefix// and only contains assets for that type. starts from 0. Example: \"gs://bucket_name/object_name_prefix/compute.googleapis.com/Disk/0\" is the first shard of output objects containing all compute.googleapis.com/Disk assets. An INVALID_ARGUMENT error will be returned if file with the same name \"gs://bucket_name/object_name_prefix\" already exists." } }, "description": "A Cloud Storage location.", "id": "GcsDestination" }, "SearchAllResourcesResponse": { "id": "SearchAllResourcesResponse", "type": "object", "properties": { "results": { "type": "array", "items": { "$ref": "ResourceSearchResult" }, "description": "A list of Resources that match the search query. It contains the resource standard metadata information." }, "nextPageToken": { "description": "If there are more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" } }, "description": "Search all resources response." }, "MoveAnalysis": { "properties": { "analysis": { "description": "Analysis result of moving the target resource.", "$ref": "MoveAnalysisResult" }, "error": { "$ref": "Status", "description": "Description of error encountered when performing the analysis." }, "displayName": { "type": "string", "description": "The user friendly display name of the analysis. E.g. IAM, Organization Policy etc." } }, "id": "MoveAnalysis", "description": "A message to group the analysis information.", "type": "object" }, "AnalyzeIamPolicyResponse": { "description": "A response message for AssetService.AnalyzeIamPolicy.", "id": "AnalyzeIamPolicyResponse", "properties": { "fullyExplored": { "type": "boolean", "description": "Represents whether all entries in the main_analysis and service_account_impersonation_analysis have been fully explored to answer the query in the request." }, "mainAnalysis": { "description": "The main analysis that matches the original request.", "$ref": "IamPolicyAnalysis" }, "serviceAccountImpersonationAnalysis": { "items": { "$ref": "IamPolicyAnalysis" }, "type": "array", "description": "The service account impersonation analysis if AnalyzeIamPolicyRequest.analyze_service_account_impersonation is enabled." } }, "type": "object" }, "QueryContent": { "description": "The query content.", "id": "QueryContent", "properties": { "iamPolicyAnalysisQuery": { "$ref": "IamPolicyAnalysisQuery", "description": "An IAM Policy Analysis query, which could be used in the AssetService.AnalyzeIamPolicy rpc or the AssetService.AnalyzeIamPolicyLongrunning rpc." } }, "type": "object" } }, "description": "The cloud asset API manages the history and inventory of cloud resources.", "ownerName": "Google", "version": "v1", "servicePath": "", "basePath": "", "ownerDomain": "google.com", "kind": "discovery#restDescription", "parameters": { "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true" }, "alt": { "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "location": "query", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "$.xgafv": { "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "enum": [ "1", "2" ] } }, "version_module": true, "discoveryVersion": "v1" }
]===]))
