local decode = require("cjson").new().decode
return assert(decode([===[
{ "documentationLink": "https://cloud.google.com/billing/", "ownerName": "Google", "basePath": "", "title": "Cloud Billing API", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-billing": { "description": "View and manage your Google Cloud Platform billing accounts" }, "https://www.googleapis.com/auth/cloud-billing.readonly": { "description": "View your Google Cloud Platform billing accounts" } } } }, "rootUrl": "https://cloudbilling.googleapis.com/", "baseUrl": "https://cloudbilling.googleapis.com/", "discoveryVersion": "v1", "version": "v1", "id": "cloudbilling:v1", "fullyEncodeReservedExpansion": true, "canonicalName": "Cloudbilling", "revision": "20220708", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "name": "cloudbilling", "parameters": { "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "alt": { "type": "string", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "description": "Data format for response.", "location": "query" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ] } }, "mtlsRootUrl": "https://cloudbilling.mtls.googleapis.com/", "protocol": "rest", "description": "Allows developers to manage billing for their Google Cloud Platform projects programmatically.", "servicePath": "", "ownerDomain": "google.com", "resources": { "billingAccounts": { "resources": { "projects": { "methods": { "list": { "response": { "$ref": "ListProjectBillingInfoResponse" }, "parameterOrder": [ "name" ], "path": "v1/{+name}/projects", "flatPath": "v1/billingAccounts/{billingAccountsId}/projects", "id": "cloudbilling.billingAccounts.projects.list", "parameters": { "pageSize": { "description": "Requested page size. The maximum page size is 100; this is also the default.", "type": "integer", "format": "int32", "location": "query" }, "pageToken": { "description": "A token identifying a page of results to be returned. This should be a `next_page_token` value returned from a previous `ListProjectBillingInfo` call. If unspecified, the first page of results is returned.", "location": "query", "type": "string" }, "name": { "pattern": "^billingAccounts/[^/]+$", "description": "Required. The resource name of the billing account associated with the projects that you want to list. For example, `billingAccounts/012345-567890-ABCDEF`.", "location": "path", "required": true, "type": "string" } }, "httpMethod": "GET", "description": "Lists the projects associated with a billing account. The current authenticated user must have the `billing.resourceAssociations.list` IAM permission, which is often given to billing account [viewers](https://cloud.google.com/billing/docs/how-to/billing-access).", "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-billing.readonly", "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "create": { "description": "This method creates [billing subaccounts](https://cloud.google.com/billing/docs/concepts#subaccounts). Google Cloud resellers should use the Channel Services APIs, [accounts.customers.create](https://cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/create) and [accounts.customers.entitlements.create](https://cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/create). When creating a subaccount, the current authenticated user must have the `billing.accounts.update` IAM permission on the parent account, which is typically given to billing account [administrators](https://cloud.google.com/billing/docs/how-to/billing-access). This method will return an error if the parent account has not been provisioned as a reseller account.", "parameterOrder": [], "id": "cloudbilling.billingAccounts.create", "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "BillingAccount" }, "flatPath": "v1/billingAccounts", "path": "v1/billingAccounts", "httpMethod": "POST", "request": { "$ref": "BillingAccount" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-billing.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListBillingAccountsResponse" }, "parameterOrder": [], "path": "v1/billingAccounts", "id": "cloudbilling.billingAccounts.list", "httpMethod": "GET", "flatPath": "v1/billingAccounts", "parameters": { "pageToken": { "description": "A token identifying a page of results to return. This should be a `next_page_token` value returned from a previous `ListBillingAccounts` call. If unspecified, the first page of results is returned.", "type": "string", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Options for how to filter the returned billing accounts. Currently this only supports filtering for [subaccounts](https://cloud.google.com/billing/docs/concepts) under a single provided reseller billing account. (e.g. \"master_billing_account=billingAccounts/012345-678901-ABCDEF\"). Boolean algebra and other fields are not currently supported." }, "pageSize": { "description": "Requested page size. The maximum page size is 100; this is also the default.", "location": "query", "format": "int32", "type": "integer" } }, "description": "Lists the billing accounts that the current authenticated user has permission to [view](https://cloud.google.com/billing/docs/how-to/billing-access)." }, "setIamPolicy": { "id": "cloudbilling.billingAccounts.setIamPolicy", "description": "Sets the access control policy for a billing account. Replaces any existing policy. The caller must have the `billing.accounts.setIamPolicy` permission on the account, which is often given to billing account [administrators](https://cloud.google.com/billing/docs/how-to/billing-access).", "response": { "$ref": "Policy" }, "httpMethod": "POST", "path": "v1/{+resource}:setIamPolicy", "parameters": { "resource": { "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^billingAccounts/[^/]+$", "required": true } }, "flatPath": "v1/billingAccounts/{billingAccountsId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-billing.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "BillingAccount" }, "description": "Gets information about a billing account. The current authenticated user must be a [viewer of the billing account](https://cloud.google.com/billing/docs/how-to/billing-access).", "parameters": { "name": { "required": true, "type": "string", "description": "Required. The resource name of the billing account to retrieve. For example, `billingAccounts/012345-567890-ABCDEF`.", "location": "path", "pattern": "^billingAccounts/[^/]+$" } }, "id": "cloudbilling.billingAccounts.get", "flatPath": "v1/billingAccounts/{billingAccountsId}" }, "patch": { "httpMethod": "PATCH", "parameterOrder": [ "name" ], "id": "cloudbilling.billingAccounts.patch", "parameters": { "name": { "required": true, "pattern": "^billingAccounts/[^/]+$", "description": "Required. The name of the billing account resource to be updated.", "type": "string", "location": "path" }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "The update mask applied to the resource. Only \"display_name\" is currently supported.", "type": "string" } }, "flatPath": "v1/billingAccounts/{billingAccountsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "BillingAccount" }, "request": { "$ref": "BillingAccount" }, "description": "Updates a billing account's fields. Currently the only field that can be edited is `display_name`. The current authenticated user must have the `billing.accounts.update` IAM permission, which is typically given to the [administrator](https://cloud.google.com/billing/docs/how-to/billing-access) of the billing account.", "path": "v1/{+name}" }, "getIamPolicy": { "flatPath": "v1/billingAccounts/{billingAccountsId}:getIamPolicy", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-billing.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "location": "query", "format": "int32" }, "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "pattern": "^billingAccounts/[^/]+$" } }, "httpMethod": "GET", "path": "v1/{+resource}:getIamPolicy", "id": "cloudbilling.billingAccounts.getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a billing account. The caller must have the `billing.accounts.getIamPolicy` permission on the account, which is often given to billing account [viewers](https://cloud.google.com/billing/docs/how-to/billing-access)." }, "testIamPermissions": { "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1/{+resource}:testIamPermissions", "flatPath": "v1/billingAccounts/{billingAccountsId}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-billing.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "pattern": "^billingAccounts/[^/]+$", "required": true, "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Tests the access control policy for a billing account. This method takes the resource and a set of permissions as input and returns the subset of the input permissions that the caller is allowed for that resource.", "parameterOrder": [ "resource" ], "httpMethod": "POST", "id": "cloudbilling.billingAccounts.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" } } } }, "projects": { "methods": { "updateBillingInfo": { "path": "v1/{+name}/billingInfo", "flatPath": "v1/projects/{projectsId}/billingInfo", "response": { "$ref": "ProjectBillingInfo" }, "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "PUT", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+$", "description": "Required. The resource name of the project associated with the billing information that you want to update. For example, `projects/tokyo-rain-123`.", "type": "string", "location": "path" } }, "id": "cloudbilling.projects.updateBillingInfo", "request": { "$ref": "ProjectBillingInfo" }, "description": "Sets or updates the billing account associated with a project. You specify the new billing account by setting the `billing_account_name` in the `ProjectBillingInfo` resource to the resource name of a billing account. Associating a project with an open billing account enables billing on the project and allows charges for resource usage. If the project already had a billing account, this method changes the billing account used for resource usage charges. *Note:* Incurred charges that have not yet been reported in the transaction history of the Google Cloud Console might be billed to the new billing account, even if the charge occurred before the new billing account was assigned to the project. The current authenticated user must have ownership privileges for both the [project](https://cloud.google.com/docs/permissions-overview#h.bgs0oxofvnoo ) and the [billing account](https://cloud.google.com/billing/docs/how-to/billing-access). You can disable billing on the project by setting the `billing_account_name` field to empty. This action disassociates the current billing account from the project. Any billable activity of your in-use services will stop, and your application could stop functioning as expected. Any unbilled charges to date will be billed to the previously associated account. The current authenticated user must be either an owner of the project or an owner of the billing account for the project. Note that associating a project with a *closed* billing account will have much the same effect as disabling billing on the project: any paid resources used by the project will be shut down. Thus, unless you wish to disable billing, you should always call this method with the name of an *open* billing account." }, "getBillingInfo": { "description": "Gets the billing information for a project. The current authenticated user must have the `resourcemanager.projects.get` permission for the project, which can be granted by assigning the [Project Viewer](https://cloud.google.com/iam/docs/understanding-roles#predefined_roles) role.", "flatPath": "v1/projects/{projectsId}/billingInfo", "path": "v1/{+name}/billingInfo", "response": { "$ref": "ProjectBillingInfo" }, "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The resource name of the project for which billing information is retrieved. For example, `projects/tokyo-rain-123`.", "required": true, "type": "string", "pattern": "^projects/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-billing.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "cloudbilling.projects.getBillingInfo" } } }, "services": { "resources": { "skus": { "methods": { "list": { "response": { "$ref": "ListSkusResponse" }, "description": "Lists all publicly available SKUs for a given cloud service.", "id": "cloudbilling.services.skus.list", "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-billing.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/skus", "parameterOrder": [ "parent" ], "flatPath": "v1/services/{servicesId}/skus", "parameters": { "startTime": { "type": "string", "format": "google-datetime", "description": "Optional inclusive start time of the time range for which the pricing versions will be returned. Timestamps in the future are not allowed. The time range has to be within a single calendar month in America/Los_Angeles timezone. Time range as a whole is optional. If not specified, the latest pricing will be returned (up to 12 hours old at most).", "location": "query" }, "pageSize": { "description": "Requested page size. Defaults to 5000.", "type": "integer", "location": "query", "format": "int32" }, "parent": { "location": "path", "required": true, "pattern": "^services/[^/]+$", "type": "string", "description": "Required. The name of the service. Example: \"services/DA34-426B-A397\"" }, "endTime": { "format": "google-datetime", "location": "query", "description": "Optional exclusive end time of the time range for which the pricing versions will be returned. Timestamps in the future are not allowed. The time range has to be within a single calendar month in America/Los_Angeles timezone. Time range as a whole is optional. If not specified, the latest pricing will be returned (up to 12 hours old at most).", "type": "string" }, "currencyCode": { "location": "query", "description": "The ISO 4217 currency code for the pricing info in the response proto. Will use the conversion rate as of start_time. Optional. If not specified USD will be used.", "type": "string" }, "pageToken": { "location": "query", "description": "A token identifying a page of results to return. This should be a `next_page_token` value returned from a previous `ListSkus` call. If unspecified, the first page of results is returned.", "type": "string" } }, "httpMethod": "GET" } } } }, "methods": { "list": { "response": { "$ref": "ListServicesResponse" }, "httpMethod": "GET", "path": "v1/services", "parameterOrder": [], "description": "Lists all public cloud services.", "id": "cloudbilling.services.list", "flatPath": "v1/services", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "A token identifying a page of results to return. This should be a `next_page_token` value returned from a previous `ListServices` call. If unspecified, the first page of results is returned." }, "pageSize": { "format": "int32", "location": "query", "description": "Requested page size. Defaults to 5000.", "type": "integer" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-billing", "https://www.googleapis.com/auth/cloud-billing.readonly", "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "batchPath": "batch", "schemas": { "ListServicesResponse": { "properties": { "services": { "items": { "$ref": "Service" }, "description": "A list of services.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. To retrieve the next page, call `ListServices` again with the `page_token` field set to this value. This field is empty if there are no more results to retrieve." } }, "type": "object", "description": "Response message for `ListServices`.", "id": "ListServicesResponse" }, "Money": { "type": "object", "description": "Represents an amount of money with its currency type.", "properties": { "nanos": { "type": "integer", "description": "Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.", "format": "int32" }, "units": { "description": "The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar.", "format": "int64", "type": "string" }, "currencyCode": { "description": "The three-letter currency code defined in ISO 4217.", "type": "string" } }, "id": "Money" }, "ProjectBillingInfo": { "description": "Encapsulation of billing information for a Google Cloud Console project. A project has at most one associated billing account at a time (but a billing account can be assigned to multiple projects).", "type": "object", "id": "ProjectBillingInfo", "properties": { "projectId": { "description": "The ID of the project that this `ProjectBillingInfo` represents, such as `tokyo-rain-123`. This is a convenience field so that you don't need to parse the `name` field to obtain a project ID. This field is read-only.", "type": "string" }, "name": { "description": "The resource name for the `ProjectBillingInfo`; has the form `projects/{project_id}/billingInfo`. For example, the resource name for the billing information for project `tokyo-rain-123` would be `projects/tokyo-rain-123/billingInfo`. This field is read-only.", "type": "string" }, "billingEnabled": { "type": "boolean", "description": "True if the project is associated with an open billing account, to which usage on the project is charged. False if the project is associated with a closed billing account, or no billing account at all, and therefore cannot use paid services. This field is read-only." }, "billingAccountName": { "type": "string", "description": "The resource name of the billing account associated with the project, if any. For example, `billingAccounts/012345-567890-ABCDEF`." } } }, "PricingInfo": { "properties": { "pricingExpression": { "description": "Expresses the pricing formula. See `PricingExpression` for an example.", "$ref": "PricingExpression" }, "aggregationInfo": { "$ref": "AggregationInfo", "description": "Aggregation Info. This can be left unspecified if the pricing expression doesn't require aggregation." }, "effectiveTime": { "type": "string", "description": "The timestamp from which this pricing was effective within the requested time range. This is guaranteed to be greater than or equal to the start_time field in the request and less than the end_time field in the request. If a time range was not specified in the request this field will be equivalent to a time within the last 12 hours, indicating the latest pricing info.", "format": "google-datetime" }, "summary": { "type": "string", "description": "An optional human readable summary of the pricing information, has a maximum length of 256 characters." }, "currencyConversionRate": { "format": "double", "type": "number", "description": "Conversion rate used for currency conversion, from USD to the currency specified in the request. This includes any surcharge collected for billing in non USD currency. If a currency is not specified in the request this defaults to 1.0. Example: USD LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh currency_conversion_rate = JPY" } }, "type": "object", "description": "Represents the pricing information for a SKU at a single point of time.", "id": "PricingInfo" }, "Binding": { "properties": { "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" } }, "type": "object", "description": "Associates `members`, or principals, with a `role`.", "id": "Binding" }, "ListSkusResponse": { "type": "object", "id": "ListSkusResponse", "description": "Response message for `ListSkus`.", "properties": { "skus": { "items": { "$ref": "Sku" }, "type": "array", "description": "The list of public SKUs of the given service." }, "nextPageToken": { "description": "A token to retrieve the next page of results. To retrieve the next page, call `ListSkus` again with the `page_token` field set to this value. This field is empty if there are no more results to retrieve.", "type": "string" } } }, "AuditLogConfig": { "type": "object", "properties": { "exemptedMembers": { "type": "array", "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." }, "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables.", "type": "string", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig" }, "Expr": { "properties": { "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" } }, "id": "Expr", "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "AggregationInfo": { "id": "AggregationInfo", "type": "object", "description": "Represents the aggregation level and interval for pricing of a single SKU.", "properties": { "aggregationInterval": { "type": "string", "enum": [ "AGGREGATION_INTERVAL_UNSPECIFIED", "DAILY", "MONTHLY" ], "enumDescriptions": [ "", "", "" ] }, "aggregationLevel": { "type": "string", "enum": [ "AGGREGATION_LEVEL_UNSPECIFIED", "ACCOUNT", "PROJECT" ], "enumDescriptions": [ "", "", "" ] }, "aggregationCount": { "type": "integer", "format": "int32", "description": "The number of intervals to aggregate over. Example: If aggregation_level is \"DAILY\" and aggregation_count is 14, aggregation will be over 14 days." } } }, "Category": { "description": "Represents the category hierarchy of a SKU.", "properties": { "resourceFamily": { "type": "string", "description": "The type of product the SKU refers to. Example: \"Compute\", \"Storage\", \"Network\", \"ApplicationServices\" etc." }, "serviceDisplayName": { "type": "string", "description": "The display name of the service this SKU belongs to." }, "usageType": { "description": "Represents how the SKU is consumed. Example: \"OnDemand\", \"Preemptible\", \"Commit1Mo\", \"Commit1Yr\" etc.", "type": "string" }, "resourceGroup": { "description": "A group classification for related SKUs. Example: \"RAM\", \"GPU\", \"Prediction\", \"Ops\", \"GoogleEgress\" etc.", "type": "string" } }, "id": "Category", "type": "object" }, "ListProjectBillingInfoResponse": { "type": "object", "properties": { "projectBillingInfo": { "items": { "$ref": "ProjectBillingInfo" }, "type": "array", "description": "A list of `ProjectBillingInfo` resources representing the projects associated with the billing account." }, "nextPageToken": { "description": "A token to retrieve the next page of results. To retrieve the next page, call `ListProjectBillingInfo` again with the `page_token` field set to this value. This field is empty if there are no more results to retrieve.", "type": "string" } }, "id": "ListProjectBillingInfoResponse", "description": "Request message for `ListProjectBillingInfoResponse`." }, "TestIamPermissionsResponse": { "properties": { "permissions": { "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array" } }, "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse", "type": "object" }, "Service": { "properties": { "name": { "description": "The resource name for the service. Example: \"services/DA34-426B-A397\"", "type": "string" }, "businessEntityName": { "type": "string", "description": "The business under which the service is offered. Ex. \"businessEntities/GCP\", \"businessEntities/Maps\"" }, "displayName": { "type": "string", "description": "A human readable display name for this service." }, "serviceId": { "description": "The identifier for the service. Example: \"DA34-426B-A397\"", "type": "string" } }, "id": "Service", "type": "object", "description": "Encapsulates a single service in Google Cloud Platform." }, "Sku": { "description": "Encapsulates a single SKU in Google Cloud Platform", "properties": { "geoTaxonomy": { "$ref": "GeoTaxonomy", "description": "The geographic taxonomy for this sku." }, "serviceProviderName": { "type": "string", "description": "Identifies the service provider. This is 'Google' for first party services in Google Cloud Platform." }, "pricingInfo": { "description": "A timeline of pricing info for this SKU in chronological order.", "type": "array", "items": { "$ref": "PricingInfo" } }, "category": { "$ref": "Category", "description": "The category hierarchy of this SKU, purely for organizational purpose." }, "skuId": { "type": "string", "description": "The identifier for the SKU. Example: \"AA95-CD31-42FE\"" }, "name": { "description": "The resource name for the SKU. Example: \"services/DA34-426B-A397/skus/AA95-CD31-42FE\"", "type": "string" }, "description": { "description": "A human readable description of the SKU, has a maximum length of 256 characters.", "type": "string" }, "serviceRegions": { "description": "List of service regions this SKU is offered at. Example: \"asia-east1\" Service regions can be found at https://cloud.google.com/about/locations/", "type": "array", "items": { "type": "string" } } }, "type": "object", "id": "Sku" }, "AuditConfig": { "id": "AuditConfig", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "type": "array", "items": { "$ref": "AuditLogConfig" } } }, "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "TierRate": { "properties": { "startUsageAmount": { "format": "double", "description": "Usage is priced at this rate only after this amount. Example: start_usage_amount of 10 indicates that the usage will be priced at the unit_price after the first 10 usage_units.", "type": "number" }, "unitPrice": { "$ref": "Money", "description": "The price per unit of usage. Example: unit_price of amount $10 indicates that each unit will cost $10." } }, "id": "TierRate", "type": "object", "description": "The price rate indicating starting usage and its corresponding price." }, "TestIamPermissionsRequest": { "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "description": "Request message for `TestIamPermissions` method.", "type": "object", "id": "TestIamPermissionsRequest" }, "SetIamPolicyRequest": { "type": "object", "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." }, "updateMask": { "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string" } }, "description": "Request message for `SetIamPolicy` method.", "id": "SetIamPolicyRequest" }, "BillingAccount": { "type": "object", "properties": { "name": { "description": "Output only. The resource name of the billing account. The resource name has the form `billingAccounts/{billing_account_id}`. For example, `billingAccounts/012345-567890-ABCDEF` would be the resource name for billing account `012345-567890-ABCDEF`.", "readOnly": true, "type": "string" }, "displayName": { "description": "The display name given to the billing account, such as `My Billing Account`. This name is displayed in the Google Cloud Console.", "type": "string" }, "open": { "readOnly": true, "type": "boolean", "description": "Output only. True if the billing account is open, and will therefore be charged for any usage on associated projects. False if the billing account is closed, and therefore projects associated with it will be unable to use paid services." }, "masterBillingAccount": { "description": "If this account is a [subaccount](https://cloud.google.com/billing/docs/concepts), then this will be the resource name of the parent billing account that it is being resold through. Otherwise this will be empty.", "type": "string" } }, "id": "BillingAccount", "description": "A billing account in the [Google Cloud Console](https://console.cloud.google.com/). You can assign a billing account to one or more projects." }, "ListBillingAccountsResponse": { "id": "ListBillingAccountsResponse", "type": "object", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. To retrieve the next page, call `ListBillingAccounts` again with the `page_token` field set to this value. This field is empty if there are no more results to retrieve.", "type": "string" }, "billingAccounts": { "type": "array", "items": { "$ref": "BillingAccount" }, "description": "A list of billing accounts." } }, "description": "Response message for `ListBillingAccounts`." }, "GeoTaxonomy": { "properties": { "type": { "description": "The type of Geo Taxonomy: GLOBAL, REGIONAL, or MULTI_REGIONAL.", "type": "string", "enum": [ "TYPE_UNSPECIFIED", "GLOBAL", "REGIONAL", "MULTI_REGIONAL" ], "enumDescriptions": [ "The type is not specified.", "The sku is global in nature, e.g. a license sku. Global skus are available in all regions, and so have an empty region list.", "The sku is available in a specific region, e.g. \"us-west2\".", "The sku is associated with multiple regions, e.g. \"us-west2\" and \"us-east1\"." ] }, "regions": { "type": "array", "description": "The list of regions associated with a sku. Empty for Global skus, which are associated with all Google Cloud regions.", "items": { "type": "string" } } }, "description": "Encapsulates the geographic taxonomy data for a sku.", "type": "object", "id": "GeoTaxonomy" }, "PricingExpression": { "id": "PricingExpression", "description": "Expresses a mathematical pricing formula. For Example:- `usage_unit: GBy` `tiered_rates:` `[start_usage_amount: 20, unit_price: $10]` `[start_usage_amount: 100, unit_price: $5]` The above expresses a pricing formula where the first 20GB is free, the next 80GB is priced at $10 per GB followed by $5 per GB for additional usage.", "type": "object", "properties": { "usageUnitDescription": { "type": "string", "description": "The unit of usage in human readable form. Example: \"gibi byte\"." }, "baseUnitDescription": { "description": "The base unit in human readable form. Example: \"byte\".", "type": "string" }, "displayQuantity": { "type": "number", "format": "double", "description": "The recommended quantity of units for displaying pricing info. When displaying pricing info it is recommended to display: (unit_price LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh display_quantity) per display_quantity usage_unit. This field does not affect the pricing formula and is for display purposes only. Example: If the unit_price is \"0.0001 USD\", the usage_unit is \"GB\" and the display_quantity is \"1000\" then the recommended way of displaying the pricing info is \"0.10 USD per 1000 GB\"" }, "baseUnitConversionFactor": { "format": "double", "description": "Conversion factor for converting from price per usage_unit to price per base_unit, and start_usage_amount to start_usage_amount in base_unit. unit_price / base_unit_conversion_factor = price per base_unit. start_usage_amount LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh base_unit_conversion_factor = start_usage_amount in base_unit.", "type": "number" }, "baseUnit": { "type": "string", "description": "The base unit for the SKU which is the unit used in usage exports. Example: \"By\"" }, "tieredRates": { "description": "The list of tiered rates for this pricing. The total cost is computed by applying each of the tiered rates on usage. This repeated list is sorted by ascending order of start_usage_amount.", "items": { "$ref": "TierRate" }, "type": "array" }, "usageUnit": { "description": "The short hand for unit of usage this pricing is specified in. Example: usage_unit of \"GiBy\" means that usage is specified in \"Gibi Byte\".", "type": "string" } } }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "properties": { "auditConfigs": { "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy.", "type": "array" }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" }, "type": "array" }, "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." } }, "id": "Policy", "type": "object" } }, "kind": "discovery#restDescription" }
]===]))
