local decode = require("cjson").new().decode
return assert(decode([===[
{ "version_module": true, "id": "cloudbuild:v1alpha1", "mtlsRootUrl": "https://cloudbuild.mtls.googleapis.com/", "schemas": { "NotifierSecretRef": { "description": "NotifierSecretRef contains the reference to a secret stored in the corresponding NotifierSpec.", "properties": { "secretRef": { "type": "string", "description": "The value of `secret_ref` should be a `name` that is registered in a `Secret` in the `secrets` list of the `Spec`." } }, "id": "NotifierSecretRef", "type": "object" }, "NotifierMetadata": { "description": "NotifierMetadata contains the data which can be used to reference or describe this notifier.", "type": "object", "properties": { "notifier": { "description": "The string representing the name and version of notifier to deploy. Expected to be of the form of \"/:\". For example: \"gcr.io/my-project/notifiers/smtp:1.2.34\".", "type": "string" }, "name": { "type": "string", "description": "The human-readable and user-given name for the notifier. For example: \"repo-merge-email-notifier\"." } }, "id": "NotifierMetadata" }, "NotifierSecret": { "type": "object", "description": "NotifierSecret is the container that maps a secret name (reference) to its Google Cloud Secret Manager resource path.", "properties": { "name": { "type": "string", "description": "Name is the local name of the secret, such as the verbatim string \"my-smtp-password\"." }, "value": { "description": "Value is interpreted to be a resource path for fetching the actual (versioned) secret data for this secret. For example, this would be a Google Cloud Secret Manager secret version resource path like: \"projects/my-project/secrets/my-secret/versions/latest\".", "type": "string" } }, "id": "NotifierSecret" }, "Volume": { "properties": { "path": { "description": "Path at which to mount the volume. Paths must be absolute and cannot conflict with other volume paths on the same build step or with certain reserved volume paths.", "type": "string" }, "name": { "description": "Name of the volume to mount. Volume names must be unique per build step and must be valid names for Docker volumes. Each named volume must be used by at least two build steps.", "type": "string" } }, "id": "Volume", "type": "object", "description": "Volume describes a Docker container volume which is mounted into build steps in order to persist files across build step execution." }, "SourceProvenance": { "properties": { "resolvedRepoSource": { "$ref": "RepoSource", "description": "A copy of the build's `source.repo_source`, if exists, with any revisions resolved." }, "fileHashes": { "additionalProperties": { "$ref": "FileHashes" }, "description": "Output only. Hash(es) of the build source, which can be used to verify that the original source integrity was maintained in the build. Note that `FileHashes` will only be populated if `BuildOptions` has requested a `SourceProvenanceHash`. The keys to this map are file paths used as build source and the values contain the hash values for those files. If the build source came in a single package such as a gzipped tarfile (`.tar.gz`), the `FileHash` will be for the single path to that file.", "type": "object", "readOnly": true }, "resolvedStorageSource": { "description": "A copy of the build's `source.storage_source`, if exists, with any generations resolved.", "$ref": "StorageSource" }, "resolvedStorageSourceManifest": { "$ref": "StorageSourceManifest", "description": "A copy of the build's `source.storage_source_manifest`, if exists, with any revisions resolved. This feature is in Preview." } }, "description": "Provenance of the source. Ways to find the original source, or verify that some source was used for this build.", "id": "SourceProvenance", "type": "object" }, "BuildApproval": { "type": "object", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "APPROVED", "REJECTED", "CANCELLED" ], "enumDescriptions": [ "Default enum type. This should not be used.", "Build approval is pending.", "Build approval has been approved.", "Build approval has been rejected.", "Build was cancelled while it was still pending approval." ], "type": "string", "description": "Output only. The state of this build's approval.", "readOnly": true }, "result": { "$ref": "ApprovalResult", "description": "Output only. Result of manual approval for this Build.", "readOnly": true }, "config": { "readOnly": true, "$ref": "ApprovalConfig", "description": "Output only. Configuration for manual approval of this build." } }, "description": "BuildApproval describes a build's approval configuration, state, and result.", "id": "BuildApproval" }, "NotifierConfig": { "properties": { "spec": { "$ref": "NotifierSpec", "description": "The actual configuration for this notifier." }, "metadata": { "description": "Metadata for referring to/handling/deploying this notifier.", "$ref": "NotifierMetadata" }, "apiVersion": { "description": "The API version of this configuration format.", "type": "string" }, "kind": { "type": "string", "description": "The type of notifier to use (e.g. SMTPNotifier)." } }, "description": "NotifierConfig is the top-level configuration message.", "id": "NotifierConfig", "type": "object" }, "Secret": { "id": "Secret", "properties": { "kmsKeyName": { "description": "Cloud KMS key name to use to decrypt these envs.", "type": "string" }, "secretEnv": { "description": "Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build's secrets.", "type": "object", "additionalProperties": { "format": "byte", "type": "string" } } }, "description": "Pairs a set of secret environment variables containing encrypted values with the Cloud KMS key to use to decrypt the value. Note: Use `kmsKeyName` with `available_secrets` instead of using `kmsKeyName` with `secret`. For instructions see: https://cloud.google.com/cloud-build/docs/securing-builds/use-encrypted-credentials.", "type": "object" }, "BuiltImage": { "type": "object", "properties": { "pushTiming": { "readOnly": true, "$ref": "TimeSpan", "description": "Output only. Stores timing information for pushing the specified image." }, "name": { "description": "Name used to push the container image to Google Container Registry, as presented to `docker push`.", "type": "string" }, "digest": { "description": "Docker Registry 2.0 digest.", "type": "string" } }, "description": "An image built by the pipeline.", "id": "BuiltImage" }, "FailureInfo": { "type": "object", "properties": { "detail": { "description": "Explains the failure issue in more detail using hard-coded text.", "type": "string" }, "type": { "type": "string", "description": "The name of the failure.", "enumDescriptions": [ "Type unspecified", "Unable to push the image to the repository.", "Final image not found.", "Unauthorized push of the final image.", "Backend logging failures. Should retry.", "A build step has failed.", "The source fetching has failed." ], "enum": [ "FAILURE_TYPE_UNSPECIFIED", "PUSH_FAILED", "PUSH_IMAGE_NOT_FOUND", "PUSH_NOT_AUTHORIZED", "LOGGING_FAILURE", "USER_BUILD_STEP", "FETCH_SOURCE_FAILED" ] } }, "description": "A fatal problem encountered during the execution of the build.", "id": "FailureInfo" }, "BitbucketServerConnectedRepository": { "properties": { "status": { "readOnly": true, "description": "Output only. The status of the repo connection request.", "$ref": "Status" }, "repo": { "$ref": "BitbucketServerRepositoryId", "description": "The Bitbucket Server repositories to connect." }, "parent": { "description": "The name of the `BitbucketServerConfig` that added connected repository. Format: `projects/{project}/locations/{location}/bitbucketServerConfigs/{config}`", "type": "string" } }, "type": "object", "id": "BitbucketServerConnectedRepository", "description": "/ BitbucketServerConnectedRepository represents a connected Bitbucket Server / repository." }, "RunWorkflowCustomOperationMetadata": { "properties": { "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "type": "string", "readOnly": true }, "endTime": { "description": "Output only. The time the operation finished running.", "format": "google-datetime", "type": "string", "readOnly": true }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the operation was created." }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "pipelineRunId": { "description": "Output only. ID of the pipeline run created by RunWorkflow.", "readOnly": true, "type": "string" } }, "type": "object", "id": "RunWorkflowCustomOperationMetadata", "description": "Represents the custom metadata of the RunWorkflow long-running operation." }, "HTTPDelivery": { "type": "object", "description": "HTTPDelivery is the delivery configuration for an HTTP notification.", "properties": { "uri": { "type": "string", "description": "The URI to which JSON-containing HTTP POST requests should be sent." } }, "id": "HTTPDelivery" }, "Network": { "type": "object", "id": "Network", "description": "Network describes the GCP network used to create workers in.", "properties": { "network": { "description": "Network on which the workers are created. \"default\" network is used if empty.", "type": "string" }, "subnetwork": { "type": "string", "description": "Subnetwork on which the workers are created. \"default\" subnetwork is used if empty." }, "projectId": { "description": "Project id containing the defined network and subnetwork. For a peered VPC, this will be the same as the project_id in which the workers are created. For a shared VPC, this will be the project sharing the network with the project_id project in which workers will be created. For custom workers with no VPC, this will be the same as project_id.", "type": "string" } } }, "NotifierSpec": { "id": "NotifierSpec", "properties": { "secrets": { "description": "Configurations for secret resources used by this particular notifier.", "type": "array", "items": { "$ref": "NotifierSecret" } }, "notification": { "description": "The configuration of this particular notifier.", "$ref": "Notification" } }, "type": "object", "description": "NotifierSpec is the configuration container for notifications." }, "UpdateBitbucketServerConfigOperationMetadata": { "description": "Metadata for `UpdateBitbucketServerConfig` operation.", "type": "object", "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "Time the operation was created." }, "bitbucketServerConfig": { "type": "string", "description": "The resource name of the BitbucketServerConfig to be updated. Format: `projects/{project}/locations/{location}/bitbucketServerConfigs/{id}`." }, "completeTime": { "format": "google-datetime", "description": "Time the operation was completed.", "type": "string" } }, "id": "UpdateBitbucketServerConfigOperationMetadata" }, "StorageSourceManifest": { "id": "StorageSourceManifest", "properties": { "object": { "type": "string", "description": "Google Cloud Storage object containing the source manifest. This object must be a JSON file." }, "generation": { "description": "Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used.", "format": "int64", "type": "string" }, "bucket": { "description": "Google Cloud Storage bucket containing the source manifest (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)).", "type": "string" } }, "type": "object", "description": "Location of the source manifest in Google Cloud Storage. This feature is in Preview; see description [here](https://github.com/GoogleCloudPlatform/cloud-builders/tree/master/gcs-fetcher)." }, "Source": { "description": "Location of the source in a supported storage service.", "type": "object", "id": "Source", "properties": { "repoSource": { "$ref": "RepoSource", "description": "If provided, get the source from this location in a Cloud Source Repository." }, "storageSource": { "description": "If provided, get the source from this location in Google Cloud Storage.", "$ref": "StorageSource" }, "storageSourceManifest": { "description": "If provided, get the source from this manifest in Google Cloud Storage. This feature is in Preview; see description [here](https://github.com/GoogleCloudPlatform/cloud-builders/tree/master/gcs-fetcher).", "$ref": "StorageSourceManifest" } } }, "SlackDelivery": { "properties": { "webhookUri": { "description": "The secret reference for the Slack webhook URI for sending messages to a channel.", "$ref": "NotifierSecretRef" } }, "type": "object", "id": "SlackDelivery", "description": "SlackDelivery is the delivery configuration for delivering Slack messages via webhooks. See Slack webhook documentation at: https://api.slack.com/messaging/webhooks." }, "BuildOperationMetadata": { "properties": { "build": { "description": "The build that the operation is tracking.", "$ref": "Build" } }, "type": "object", "description": "Metadata for build operations.", "id": "BuildOperationMetadata" }, "BuildOptions": { "id": "BuildOptions", "description": "Optional arguments to enable specific features of builds.", "properties": { "diskSizeGb": { "format": "int64", "type": "string", "description": "Requested disk size for the VM that runs the build. Note that this is *NOT* \"disk free\"; some of the space will be used by the operating system and build utilities. Also note that this is the minimum disk size that will be allocated for the build -- the build may run with a larger disk than requested. At present, the maximum disk size is 1000GB; builds that request more than the maximum are rejected with an error." }, "env": { "type": "array", "items": { "type": "string" }, "description": "A list of global environment variable definitions that will exist for all build steps in this build. If a variable is defined in both globally and in a build step, the variable will use the build step value. The elements are of the form \"KEY=VALUE\" for the environment variable \"KEY\" being given the value \"VALUE\"." }, "logging": { "description": "Option to specify the logging mode, which determines if and where build logs are stored.", "enumDescriptions": [ "The service determines the logging mode. The default is `LEGACY`. Do not rely on the default logging behavior as it may change in the future.", "Build logs are stored in Cloud Logging and Cloud Storage.", "Build logs are stored in Cloud Storage.", "This option is the same as CLOUD_LOGGING_ONLY.", "Build logs are stored in Cloud Logging. Selecting this option will not allow [logs streaming](https://cloud.google.com/sdk/gcloud/reference/builds/log).", "Turn off all logging. No build logs will be captured." ], "type": "string", "enum": [ "LOGGING_UNSPECIFIED", "LEGACY", "GCS_ONLY", "STACKDRIVER_ONLY", "CLOUD_LOGGING_ONLY", "NONE" ] }, "dynamicSubstitutions": { "type": "boolean", "description": "Option to specify whether or not to apply bash style string operations to the substitutions. NOTE: this is always enabled for triggered builds and cannot be overridden in the build configuration file." }, "volumes": { "description": "Global list of volumes to mount for ALL build steps Each volume is created as an empty volume prior to starting the build process. Upon completion of the build, volumes and their contents are discarded. Global volume names and paths cannot conflict with the volumes defined a build step. Using a global volume in a build with only one step is not valid as it is indicative of a build request with an incorrect configuration.", "items": { "$ref": "Volume" }, "type": "array" }, "pool": { "description": "Optional. Specification for execution on a `WorkerPool`. See [running builds in a private pool](https://cloud.google.com/build/docs/private-pools/run-builds-in-private-pool) for more information.", "$ref": "PoolOption" }, "secretEnv": { "description": "A list of global environment variables, which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build's `Secret`. These variables will be available to all build steps in this build.", "type": "array", "items": { "type": "string" } }, "substitutionOption": { "type": "string", "description": "Option to specify behavior when there is an error in the substitution checks. NOTE: this is always set to ALLOW_LOOSE for triggered builds and cannot be overridden in the build configuration file.", "enumDescriptions": [ "Fails the build if error in substitutions checks, like missing a substitution in the template or in the map.", "Do not fail the build if error in substitutions checks." ], "enum": [ "MUST_MATCH", "ALLOW_LOOSE" ] }, "requestedVerifyOption": { "enum": [ "NOT_VERIFIED", "VERIFIED" ], "enumDescriptions": [ "Not a verifiable build. (default)", "Verified build." ], "description": "Requested verifiability options.", "type": "string" }, "logStreamingOption": { "description": "Option to define build log streaming behavior to Google Cloud Storage.", "enumDescriptions": [ "Service may automatically determine build log streaming behavior.", "Build logs should be streamed to Google Cloud Storage.", "Build logs should not be streamed to Google Cloud Storage; they will be written when the build is completed." ], "enum": [ "STREAM_DEFAULT", "STREAM_ON", "STREAM_OFF" ], "type": "string" }, "workerPool": { "description": "This field deprecated; please use `pool.name` instead.", "type": "string" }, "machineType": { "type": "string", "enumDescriptions": [ "Standard machine type.", "Highcpu machine with 8 CPUs.", "Highcpu machine with 32 CPUs.", "Highcpu e2 machine with 8 CPUs.", "Highcpu e2 machine with 32 CPUs." ], "enum": [ "UNSPECIFIED", "N1_HIGHCPU_8", "N1_HIGHCPU_32", "E2_HIGHCPU_8", "E2_HIGHCPU_32" ], "description": "Compute Engine machine type on which to run the build." }, "sourceProvenanceHash": { "description": "Requested hash for SourceProvenance.", "items": { "type": "string", "enumDescriptions": [ "No hash requested.", "Use a sha256 hash.", "Use a md5 hash." ], "enum": [ "NONE", "SHA256", "MD5" ] }, "type": "array" } }, "type": "object" }, "Operation": { "id": "Operation", "properties": { "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call." }, "DeleteBitbucketServerConfigOperationMetadata": { "description": "Metadata for `DeleteBitbucketServerConfig` operation.", "id": "DeleteBitbucketServerConfigOperationMetadata", "properties": { "completeTime": { "format": "google-datetime", "description": "Time the operation was completed.", "type": "string" }, "bitbucketServerConfig": { "type": "string", "description": "The resource name of the BitbucketServerConfig to be deleted. Format: `projects/{project}/locations/{location}/bitbucketServerConfigs/{id}`." }, "createTime": { "description": "Time the operation was created.", "format": "google-datetime", "type": "string" } }, "type": "object" }, "BatchCreateBitbucketServerConnectedRepositoriesResponseMetadata": { "description": "Metadata for `BatchCreateBitbucketServerConnectedRepositories` operation.", "id": "BatchCreateBitbucketServerConnectedRepositoriesResponseMetadata", "type": "object", "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "Time the operation was created." }, "completeTime": { "description": "Time the operation was completed.", "type": "string", "format": "google-datetime" }, "config": { "type": "string", "description": "The name of the `BitbucketServerConfig` that added connected repositories. Format: `projects/{project}/locations/{location}/bitbucketServerConfigs/{config}`" } } }, "WorkerPool": { "properties": { "name": { "type": "string", "description": "User-defined name of the `WorkerPool`." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. Time at which the request to update the `WorkerPool` was received." }, "createTime": { "format": "google-datetime", "description": "Output only. Time at which the request to create the `WorkerPool` was received.", "type": "string" }, "deleteTime": { "type": "string", "format": "google-datetime", "description": "Output only. Time at which the request to delete the `WorkerPool` was received." }, "serviceAccountEmail": { "description": "Output only. The service account used to manage the `WorkerPool`. The service account must have the Compute Instance Admin (Beta) permission at the project level.", "type": "string" }, "regions": { "description": "List of regions to create the `WorkerPool`. Regions can't be empty. If Cloud Build adds a new GCP region in the future, the existing `WorkerPool` will not be enabled in the new region automatically; you must add the new region to the `regions` field to enable the `WorkerPool` in that region.", "items": { "enumDescriptions": [ "no region", "us-central1 region", "us-west1 region", "us-east1 region", "us-east4 region" ], "type": "string", "enum": [ "REGION_UNSPECIFIED", "us-central1", "us-west1", "us-east1", "us-east4" ] }, "type": "array" }, "projectId": { "type": "string", "description": "The project ID of the GCP project for which the `WorkerPool` is created." }, "workerConfig": { "description": "Configuration to be used for a creating workers in the `WorkerPool`.", "$ref": "WorkerConfig" }, "status": { "description": "Output only. WorkerPool Status.", "type": "string", "enumDescriptions": [ "Status of the `WorkerPool` is unknown.", "`WorkerPool` is being created.", "`WorkerPool` is running.", "`WorkerPool` is being deleted: cancelling builds and draining workers.", "`WorkerPool` is deleted." ], "enum": [ "STATUS_UNSPECIFIED", "CREATING", "RUNNING", "DELETING", "DELETED" ] }, "workerCount": { "type": "string", "description": "Total number of workers to be created across all requested regions.", "format": "int64" } }, "type": "object", "description": "Configuration for a WorkerPool to run the builds. Workers are machines that Cloud Build uses to run your builds. By default, all workers run in a project owned by Cloud Build. To have full control over the workers that execute your builds -- such as enabling them to access private resources on your private network -- you can request Cloud Build to run the workers in your own project by creating a custom workers pool.", "id": "WorkerPool" }, "Warning": { "type": "object", "id": "Warning", "description": "A non-fatal problem encountered during the execution of the build.", "properties": { "text": { "description": "Explanation of the warning generated.", "type": "string" }, "priority": { "enum": [ "PRIORITY_UNSPECIFIED", "INFO", "WARNING", "ALERT" ], "type": "string", "enumDescriptions": [ "Should not be used.", "e.g. deprecation warnings and alternative feature highlights.", "e.g. automated detection of possible issues with the build.", "e.g. alerts that a feature used in the build is pending removal" ], "description": "The priority for this warning." } } }, "ArtifactObjects": { "properties": { "paths": { "description": "Path globs used to match files in the build's workspace.", "items": { "type": "string" }, "type": "array" }, "location": { "type": "string", "description": "Cloud Storage bucket and optional object path, in the form \"gs://bucket/path/to/somewhere/\". (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)). Files in the workspace matching any path pattern will be uploaded to Cloud Storage with this location as a prefix." }, "timing": { "$ref": "TimeSpan", "readOnly": true, "description": "Output only. Stores timing information for pushing all artifact objects." } }, "id": "ArtifactObjects", "type": "object", "description": "Files in the workspace to upload to Cloud Storage upon successful completion of all build steps." }, "OperationMetadata": { "description": "Represents the metadata of the long-running operation.", "type": "object", "properties": { "createTime": { "format": "google-datetime", "description": "Output only. The time the operation was created.", "type": "string", "readOnly": true }, "statusDetail": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true }, "target": { "readOnly": true, "type": "string", "description": "Output only. Server-defined resource path for the target of the operation." }, "endTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation finished running.", "type": "string" }, "cancelRequested": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." } }, "id": "OperationMetadata" }, "SecretManagerSecret": { "properties": { "versionName": { "type": "string", "description": "Resource name of the SecretVersion. In format: projects/*/secrets/*/versions/*" }, "env": { "type": "string", "description": "Environment variable name to associate with the secret. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step." } }, "description": "Pairs a secret environment variable with a SecretVersion in Secret Manager.", "id": "SecretManagerSecret", "type": "object" }, "SMTPDelivery": { "properties": { "password": { "$ref": "NotifierSecretRef", "description": "The SMTP sender's password." }, "port": { "description": "The SMTP port of the server.", "type": "string" }, "fromAddress": { "description": "This is the SMTP account/email that appears in the `From:` of the email. If empty, it is assumed to be sender.", "type": "string" }, "senderAddress": { "type": "string", "description": "This is the SMTP account/email that is used to send the message." }, "server": { "description": "The address of the SMTP server.", "type": "string" }, "recipientAddresses": { "items": { "type": "string" }, "description": "This is the list of addresses to which we send the email (i.e. in the `To:` of the email).", "type": "array" } }, "type": "object", "id": "SMTPDelivery", "description": "SMTPDelivery is the delivery configuration for an SMTP (email) notification." }, "Notification": { "properties": { "structDelivery": { "type": "object", "description": "Escape hatch for users to supply custom delivery configs.", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "slackDelivery": { "description": "Configuration for Slack delivery.", "$ref": "SlackDelivery" }, "httpDelivery": { "$ref": "HTTPDelivery", "description": "Configuration for HTTP delivery." }, "smtpDelivery": { "description": "Configuration for SMTP (email) delivery.", "$ref": "SMTPDelivery" }, "filter": { "type": "string", "description": "The filter string to use for notification filtering. Currently, this is assumed to be a CEL program. See https://opensource.google/projects/cel for more." } }, "type": "object", "description": "Notification is the container which holds the data that is relevant to this particular notification.", "id": "Notification" }, "Build": { "properties": { "status": { "description": "Output only. Status of the build.", "type": "string", "enumDescriptions": [ "Status of the build is unknown.", "Build has been created and is pending execution and queuing. It has not been queued.", "Build or step is queued; work has not yet begun.", "Build or step is being executed.", "Build or step finished successfully.", "Build or step failed to complete successfully.", "Build or step failed due to an internal cause.", "Build or step took longer than was allowed.", "Build or step was canceled by a user.", "Build was enqueued for longer than the value of `queue_ttl`." ], "enum": [ "STATUS_UNKNOWN", "PENDING", "QUEUED", "WORKING", "SUCCESS", "FAILURE", "INTERNAL_ERROR", "TIMEOUT", "CANCELLED", "EXPIRED" ], "readOnly": true }, "serviceAccount": { "type": "string", "description": "IAM service account whose credentials will be used at build runtime. Must be of the format `projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}`. ACCOUNT can be email address or uniqueId of the service account. " }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Time at which the request to create the build was received." }, "secrets": { "description": "Secrets to decrypt using Cloud Key Management Service. Note: Secret Manager is the recommended technique for managing sensitive data with Cloud Build. Use `available_secrets` to configure builds to access secrets from Secret Manager. For instructions, see: https://cloud.google.com/cloud-build/docs/securing-builds/use-secrets", "type": "array", "items": { "$ref": "Secret" } }, "finishTime": { "description": "Output only. Time at which execution of the build was finished. The difference between finish_time and start_time is the duration of the build's execution.", "format": "google-datetime", "type": "string", "readOnly": true }, "images": { "items": { "type": "string" }, "type": "array", "description": "A list of images to be pushed upon the successful completion of all build steps. The images are pushed using the builder service account's credentials. The digests of the pushed images will be stored in the `Build` resource's results field. If any of the images fail to be pushed, the build status is marked `FAILURE`." }, "name": { "readOnly": true, "type": "string", "description": "Output only. The 'Build' name with format: `projects/{project}/locations/{location}/builds/{build}`, where {build} is a unique identifier generated by the service." }, "approval": { "$ref": "BuildApproval", "description": "Output only. Describes this build's approval configuration, status, and result.", "readOnly": true }, "results": { "description": "Output only. Results of the build.", "$ref": "Results", "readOnly": true }, "timeout": { "type": "string", "description": "Amount of time that this build should be allowed to run, to second granularity. If this amount of time elapses, work on the build will cease and the build status will be `TIMEOUT`. `timeout` starts ticking from `startTime`. Default time is ten minutes.", "format": "google-duration" }, "sourceProvenance": { "description": "Output only. A permanent fixed identifier for source.", "readOnly": true, "$ref": "SourceProvenance" }, "options": { "description": "Special options for this build.", "$ref": "BuildOptions" }, "logUrl": { "type": "string", "description": "Output only. URL to logs for this build in Google Cloud Console.", "readOnly": true }, "id": { "readOnly": true, "type": "string", "description": "Output only. Unique identifier of the build." }, "startTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. Time at which execution of the build was started." }, "tags": { "description": "Tags for annotation of a `Build`. These are not docker tags.", "type": "array", "items": { "type": "string" } }, "queueTtl": { "type": "string", "format": "google-duration", "description": "TTL in queue for this build. If provided and the build is enqueued longer than this value, the build will expire and the build status will be `EXPIRED`. The TTL starts ticking from create_time." }, "steps": { "items": { "$ref": "BuildStep" }, "type": "array", "description": "Required. The operations to be performed on the workspace." }, "statusDetail": { "description": "Output only. Customer-readable message about the current status.", "type": "string", "readOnly": true }, "failureInfo": { "description": "Output only. Contains information about the build when status=FAILURE.", "$ref": "FailureInfo", "readOnly": true }, "availableSecrets": { "$ref": "Secrets", "description": "Secrets and secret environment variables." }, "logsBucket": { "description": "Google Cloud Storage bucket where logs should be written (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)). Logs file names will be of the format `${logs_bucket}/log-${build_id}.txt`.", "type": "string" }, "projectId": { "type": "string", "description": "Output only. ID of the project.", "readOnly": true }, "artifacts": { "$ref": "Artifacts", "description": "Artifacts produced by the build that should be uploaded upon successful completion of all build steps." }, "warnings": { "description": "Output only. Non-fatal problems encountered during the execution of the build.", "readOnly": true, "items": { "$ref": "Warning" }, "type": "array" }, "source": { "$ref": "Source", "description": "The location of the source files to build." }, "buildTriggerId": { "type": "string", "readOnly": true, "description": "Output only. The ID of the `BuildTrigger` that triggered this build, if it was triggered automatically." }, "timing": { "type": "object", "additionalProperties": { "$ref": "TimeSpan" }, "readOnly": true, "description": "Output only. Stores timing information for phases of the build. Valid keys are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BUILD: time to execute all build steps. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PUSH: time to push all specified images. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FETCHSOURCE: time to fetch source. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SETUPBUILD: time to set up build. If the build does not specify source or images, these keys will not be included." }, "substitutions": { "type": "object", "description": "Substitutions data for `Build` resource.", "additionalProperties": { "type": "string" } } }, "description": "A build resource in the Cloud Build API. At a high level, a `Build` describes where to find source code, how to build it (for example, the builder image to run on the source), and where to store the built artifacts. Fields can include the following variables, which will be expanded when the build is created: - $PROJECT_ID: the project ID of the build. - $PROJECT_NUMBER: the project number of the build. - $LOCATION: the location/region of the build. - $BUILD_ID: the autogenerated ID of the build. - $REPO_NAME: the source repository name specified by RepoSource. - $BRANCH_NAME: the branch name specified by RepoSource. - $TAG_NAME: the tag name specified by RepoSource. - $REVISION_ID or $COMMIT_SHA: the commit SHA specified by RepoSource or resolved from the specified branch or tag. - $SHORT_SHA: first 7 characters of $REVISION_ID or $COMMIT_SHA.", "type": "object", "id": "Build" }, "ApprovalResult": { "id": "ApprovalResult", "type": "object", "properties": { "url": { "type": "string", "description": "Optional. An optional URL tied to this manual approval result. This field is essentially the same as comment, except that it will be rendered by the UI differently. An example use case is a link to an external job that approved this Build." }, "approvalTime": { "description": "Output only. The time when the approval decision was made.", "type": "string", "format": "google-datetime", "readOnly": true }, "approverAccount": { "type": "string", "readOnly": true, "description": "Output only. Email of the user that called the ApproveBuild API to approve or reject a build at the time that the API was called." }, "comment": { "type": "string", "description": "Optional. An optional comment for this manual approval result." }, "decision": { "description": "Required. The decision of this manual approval.", "enum": [ "DECISION_UNSPECIFIED", "APPROVED", "REJECTED" ], "enumDescriptions": [ "Default enum type. This should not be used.", "Build is approved.", "Build is rejected." ], "type": "string" } }, "description": "ApprovalResult describes the decision and associated metadata of a manual approval of a build." }, "StorageSource": { "id": "StorageSource", "type": "object", "description": "Location of the source in an archive file in Google Cloud Storage.", "properties": { "bucket": { "description": "Google Cloud Storage bucket containing the source (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)).", "type": "string" }, "object": { "description": "Google Cloud Storage object containing the source. This object must be a zipped (`.zip`) or gzipped archive file (`.tar.gz`) containing source to build.", "type": "string" }, "generation": { "type": "string", "description": "Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used.", "format": "int64" } } }, "Empty": { "type": "object", "id": "Empty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "WorkerConfig": { "id": "WorkerConfig", "description": "WorkerConfig defines the configuration to be used for a creating workers in the pool.", "properties": { "tag": { "type": "string", "description": "The tag applied to the worker, and the same tag used by the firewall rule. It is used to identify the Cloud Build workers among other VMs. The default value for tag is `worker`." }, "network": { "description": "The network definition used to create the worker. If this section is left empty, the workers will be created in WorkerPool.project_id on the default network.", "$ref": "Network" }, "diskSizeGb": { "format": "int64", "type": "string", "description": "Size of the disk attached to the worker, in GB. See https://cloud.google.com/compute/docs/disks/ If `0` is specified, Cloud Build will use a standard disk size. `disk_size` is overridden if you specify a different disk size in `build_options`. In this case, a VM with a disk size specified in the `build_options` will be created on demand at build time. For more information see https://cloud.google.com/cloud-build/docs/api/reference/rest/v1/projects.builds#buildoptions" }, "machineType": { "type": "string", "description": "Machine Type of the worker, such as n1-standard-1. See https://cloud.google.com/compute/docs/machine-types. If left blank, Cloud Build will use a standard unspecified machine to create the worker pool. `machine_type` is overridden if you specify a different machine type in `build_options`. In this case, the VM specified in the `build_options` will be created on demand at build time. For more information see https://cloud.google.com/cloud-build/docs/speeding-up-builds#using_custom_virtual_machine_sizes" } }, "type": "object" }, "ApprovalConfig": { "type": "object", "properties": { "approvalRequired": { "description": "Whether or not approval is needed. If this is set on a build, it will become pending when created, and will need to be explicitly approved to start.", "type": "boolean" } }, "id": "ApprovalConfig", "description": "ApprovalConfig describes configuration for manual approval of a build." }, "Artifacts": { "properties": { "images": { "items": { "type": "string" }, "description": "A list of images to be pushed upon the successful completion of all build steps. The images will be pushed using the builder service account's credentials. The digests of the pushed images will be stored in the Build resource's results field. If any of the images fail to be pushed, the build is marked FAILURE.", "type": "array" }, "objects": { "$ref": "ArtifactObjects", "description": "A list of objects to be uploaded to Cloud Storage upon successful completion of all build steps. Files in the workspace matching specified paths globs will be uploaded to the specified Cloud Storage location using the builder service account's credentials. The location and generation of the uploaded objects will be stored in the Build resource's results field. If any objects fail to be pushed, the build is marked FAILURE." } }, "type": "object", "id": "Artifacts", "description": "Artifacts produced by a build that should be uploaded upon successful completion of all build steps." }, "Status": { "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" } }, "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status" }, "CreateGitHubEnterpriseConfigOperationMetadata": { "description": "Metadata for `CreateGithubEnterpriseConfig` operation.", "id": "CreateGitHubEnterpriseConfigOperationMetadata", "type": "object", "properties": { "createTime": { "format": "google-datetime", "type": "string", "description": "Time the operation was created." }, "githubEnterpriseConfig": { "description": "The resource name of the GitHubEnterprise to be created. Format: `projects/{project}/locations/{location}/githubEnterpriseConfigs/{id}`.", "type": "string" }, "completeTime": { "description": "Time the operation was completed.", "format": "google-datetime", "type": "string" } } }, "CreateBitbucketServerConfigOperationMetadata": { "id": "CreateBitbucketServerConfigOperationMetadata", "description": "Metadata for `CreateBitbucketServerConfig` operation.", "properties": { "bitbucketServerConfig": { "type": "string", "description": "The resource name of the BitbucketServerConfig to be created. Format: `projects/{project}/locations/{location}/bitbucketServerConfigs/{id}`." }, "createTime": { "description": "Time the operation was created.", "format": "google-datetime", "type": "string" }, "completeTime": { "format": "google-datetime", "type": "string", "description": "Time the operation was completed." } }, "type": "object" }, "BatchCreateBitbucketServerConnectedRepositoriesResponse": { "id": "BatchCreateBitbucketServerConnectedRepositoriesResponse", "description": "Response of BatchCreateBitbucketServerConnectedRepositories RPC method including all successfully connected Bitbucket Server repositories.", "type": "object", "properties": { "bitbucketServerConnectedRepositories": { "description": "The connected Bitbucket Server repositories.", "items": { "$ref": "BitbucketServerConnectedRepository" }, "type": "array" } } }, "Hash": { "properties": { "type": { "type": "string", "enum": [ "NONE", "SHA256", "MD5" ], "description": "The type of hash that was performed.", "enumDescriptions": [ "No hash requested.", "Use a sha256 hash.", "Use a md5 hash." ] }, "value": { "type": "string", "format": "byte", "description": "The hash value." } }, "type": "object", "id": "Hash", "description": "Container message for hash values." }, "FileHashes": { "description": "Container message for hashes of byte content of files, used in SourceProvenance messages to verify integrity of source input to the build.", "id": "FileHashes", "properties": { "fileHash": { "description": "Collection of file hashes.", "type": "array", "items": { "$ref": "Hash" } } }, "type": "object" }, "BuildStep": { "type": "object", "description": "A step in the build pipeline.", "id": "BuildStep", "properties": { "timeout": { "description": "Time limit for executing this build step. If not defined, the step has no time limit and will be allowed to continue to run until either it completes or the build itself times out.", "format": "google-duration", "type": "string" }, "dir": { "type": "string", "description": "Working directory to use when running this step's container. If this value is a relative path, it is relative to the build's working directory. If this value is absolute, it may be outside the build's working directory, in which case the contents of the path may not be persisted across build step executions, unless a `volume` for that path is specified. If the build specifies a `RepoSource` with `dir` and a step with a `dir`, which specifies an absolute path, the `RepoSource` `dir` is ignored for the step's execution." }, "script": { "type": "string", "description": "A shell script to be executed in the step. When script is provided, the user cannot specify the entrypoint or args." }, "pullTiming": { "$ref": "TimeSpan", "readOnly": true, "description": "Output only. Stores timing information for pulling this build step's builder image only." }, "volumes": { "items": { "$ref": "Volume" }, "type": "array", "description": "List of volumes to mount into the build step. Each volume is created as an empty volume prior to execution of the build step. Upon completion of the build, volumes and their contents are discarded. Using a named volume in only one step is not valid as it is indicative of a build request with an incorrect configuration." }, "secretEnv": { "items": { "type": "string" }, "description": "A list of environment variables which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build's `Secret`.", "type": "array" }, "timing": { "readOnly": true, "$ref": "TimeSpan", "description": "Output only. Stores timing information for executing this build step." }, "waitFor": { "description": "The ID(s) of the step(s) that this build step depends on. This build step will not start until all the build steps in `wait_for` have completed successfully. If `wait_for` is empty, this build step will start when all previous build steps in the `Build.Steps` list have completed successfully.", "type": "array", "items": { "type": "string" } }, "env": { "items": { "type": "string" }, "type": "array", "description": "A list of environment variable definitions to be used when running a step. The elements are of the form \"KEY=VALUE\" for the environment variable \"KEY\" being given the value \"VALUE\"." }, "id": { "description": "Unique identifier for this build step, used in `wait_for` to reference this build step as a dependency.", "type": "string" }, "name": { "description": "Required. The name of the container image that will run this particular build step. If the image is available in the host's Docker daemon's cache, it will be run directly. If not, the host will attempt to pull the image first, using the builder service account's credentials if necessary. The Docker daemon's cache will already have the latest versions of all of the officially supported build steps ([https://github.com/GoogleCloudPlatform/cloud-builders](https://github.com/GoogleCloudPlatform/cloud-builders)). The Docker daemon will also have cached many of the layers for some popular images, like \"ubuntu\", \"debian\", but they will be refreshed at the time you attempt to use them. If you built an image in a previous build step, it will be stored in the host's Docker daemon's cache and is available to use as the name for a later build step.", "type": "string" }, "entrypoint": { "type": "string", "description": "Entrypoint to be used instead of the build step image's default entrypoint. If unset, the image's default entrypoint is used." }, "args": { "description": "A list of arguments that will be presented to the step when it is started. If the image used to run the step's container has an entrypoint, the `args` are used as arguments to that entrypoint. If the image does not define an entrypoint, the first element in args is used as the entrypoint, and the remainder will be used as arguments.", "type": "array", "items": { "type": "string" } }, "status": { "type": "string", "enumDescriptions": [ "Status of the build is unknown.", "Build has been created and is pending execution and queuing. It has not been queued.", "Build or step is queued; work has not yet begun.", "Build or step is being executed.", "Build or step finished successfully.", "Build or step failed to complete successfully.", "Build or step failed due to an internal cause.", "Build or step took longer than was allowed.", "Build or step was canceled by a user.", "Build was enqueued for longer than the value of `queue_ttl`." ], "readOnly": true, "enum": [ "STATUS_UNKNOWN", "PENDING", "QUEUED", "WORKING", "SUCCESS", "FAILURE", "INTERNAL_ERROR", "TIMEOUT", "CANCELLED", "EXPIRED" ], "description": "Output only. Status of the build step. At this time, build step status is only updated on build completion; step status is not updated in real-time as the build progresses." } } }, "UpdateWorkerPoolOperationMetadata": { "id": "UpdateWorkerPoolOperationMetadata", "type": "object", "description": "Metadata for the `UpdateWorkerPool` operation.", "properties": { "completeTime": { "format": "google-datetime", "type": "string", "description": "Time the operation was completed." }, "workerPool": { "description": "The resource name of the `WorkerPool` being updated. Format: `projects/{project}/locations/{location}/workerPools/{worker_pool}`.", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Time the operation was created." } } }, "UpdateGitHubEnterpriseConfigOperationMetadata": { "properties": { "createTime": { "description": "Time the operation was created.", "type": "string", "format": "google-datetime" }, "githubEnterpriseConfig": { "type": "string", "description": "The resource name of the GitHubEnterprise to be updated. Format: `projects/{project}/locations/{location}/githubEnterpriseConfigs/{id}`." }, "completeTime": { "type": "string", "description": "Time the operation was completed.", "format": "google-datetime" } }, "type": "object", "description": "Metadata for `UpdateGitHubEnterpriseConfig` operation.", "id": "UpdateGitHubEnterpriseConfigOperationMetadata" }, "GoogleDevtoolsCloudbuildV2OperationMetadata": { "properties": { "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true, "type": "boolean" }, "createTime": { "readOnly": true, "description": "Output only. The time the operation was created.", "type": "string", "format": "google-datetime" }, "statusMessage": { "type": "string", "description": "Output only. Human-readable status of the operation, if any.", "readOnly": true }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "apiVersion": { "description": "Output only. API version used to start the operation.", "type": "string", "readOnly": true }, "endTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation finished running." }, "target": { "type": "string", "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true } }, "type": "object", "description": "Represents the metadata of the long-running operation.", "id": "GoogleDevtoolsCloudbuildV2OperationMetadata" }, "DeleteWorkerPoolOperationMetadata": { "id": "DeleteWorkerPoolOperationMetadata", "type": "object", "description": "Metadata for the `DeleteWorkerPool` operation.", "properties": { "completeTime": { "type": "string", "description": "Time the operation was completed.", "format": "google-datetime" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Time the operation was created." }, "workerPool": { "type": "string", "description": "The resource name of the `WorkerPool` being deleted. Format: `projects/{project}/locations/{location}/workerPools/{worker_pool}`." } } }, "Results": { "type": "object", "description": "Artifacts created by the build pipeline.", "properties": { "artifactTiming": { "description": "Time to push all non-container artifacts.", "$ref": "TimeSpan" }, "artifactManifest": { "description": "Path to the artifact manifest. Only populated when artifacts are uploaded.", "type": "string" }, "numArtifacts": { "type": "string", "format": "int64", "description": "Number of artifacts uploaded. Only populated when artifacts are uploaded." }, "buildStepImages": { "description": "List of build step digests, in the order corresponding to build step indices.", "type": "array", "items": { "type": "string" } }, "images": { "items": { "$ref": "BuiltImage" }, "description": "Container images that were built as a part of the build.", "type": "array" }, "buildStepOutputs": { "type": "array", "items": { "format": "byte", "type": "string" }, "description": "List of build step outputs, produced by builder images, in the order corresponding to build step indices. [Cloud Builders](https://cloud.google.com/cloud-build/docs/cloud-builders) can produce this output by writing to `$BUILDER_OUTPUT/output`. Only the first 4KB of data is stored." } }, "id": "Results" }, "BitbucketServerRepositoryId": { "description": "BitbucketServerRepositoryId identifies a specific repository hosted on a Bitbucket Server.", "type": "object", "properties": { "webhookId": { "format": "int32", "description": "Output only. The ID of the webhook that was created for receiving events from this repo. We only create and manage a single webhook for each repo.", "type": "integer", "readOnly": true }, "projectKey": { "type": "string", "description": "Required. Identifier for the project storing the repository." }, "repoSlug": { "description": "Required. Identifier for the repository.", "type": "string" } }, "id": "BitbucketServerRepositoryId" }, "DeleteGitHubEnterpriseConfigOperationMetadata": { "id": "DeleteGitHubEnterpriseConfigOperationMetadata", "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "Time the operation was created." }, "completeTime": { "description": "Time the operation was completed.", "format": "google-datetime", "type": "string" }, "githubEnterpriseConfig": { "description": "The resource name of the GitHubEnterprise to be deleted. Format: `projects/{project}/locations/{location}/githubEnterpriseConfigs/{id}`.", "type": "string" } }, "description": "Metadata for `DeleteGitHubEnterpriseConfig` operation.", "type": "object" }, "CreateWorkerPoolOperationMetadata": { "description": "Metadata for the `CreateWorkerPool` operation.", "properties": { "completeTime": { "type": "string", "format": "google-datetime", "description": "Time the operation was completed." }, "workerPool": { "type": "string", "description": "The resource name of the `WorkerPool` to create. Format: `projects/{project}/locations/{location}/workerPools/{worker_pool}`." }, "createTime": { "type": "string", "description": "Time the operation was created.", "format": "google-datetime" } }, "type": "object", "id": "CreateWorkerPoolOperationMetadata" }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "type": "object", "properties": {}, "id": "CancelOperationRequest" }, "PoolOption": { "description": "Details about how a build should be executed on a `WorkerPool`. See [running builds in a private pool](https://cloud.google.com/build/docs/private-pools/run-builds-in-private-pool) for more information.", "type": "object", "properties": { "name": { "description": "The `WorkerPool` resource to execute the build on. You must have `cloudbuild.workerpools.use` on the project hosting the WorkerPool. Format projects/{project}/locations/{location}/workerPools/{workerPoolId}", "type": "string" } }, "id": "PoolOption" }, "Secrets": { "properties": { "inline": { "items": { "$ref": "InlineSecret" }, "description": "Secrets encrypted with KMS key and the associated secret environment variable.", "type": "array" }, "secretManager": { "items": { "$ref": "SecretManagerSecret" }, "type": "array", "description": "Secrets in Secret Manager and associated secret environment variable." } }, "type": "object", "id": "Secrets", "description": "Secrets and secret environment variables." }, "RepoSource": { "properties": { "dir": { "type": "string", "description": "Directory, relative to the source root, in which to run the build. This must be a relative path. If a step's `dir` is specified and is an absolute path, this value is ignored for that step's execution." }, "substitutions": { "description": "Substitutions to use in a triggered build. Should only be used with RunBuildTrigger", "type": "object", "additionalProperties": { "type": "string" } }, "invertRegex": { "description": "Only trigger a build if the revision regex does NOT match the revision regex.", "type": "boolean" }, "tagName": { "type": "string", "description": "Regex matching tags to build. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax" }, "projectId": { "description": "ID of the project that owns the Cloud Source Repository. If omitted, the project ID requesting the build is assumed.", "type": "string" }, "branchName": { "type": "string", "description": "Regex matching branches to build. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax" }, "repoName": { "description": "Name of the Cloud Source Repository.", "type": "string" }, "commitSha": { "description": "Explicit commit SHA to build.", "type": "string" } }, "id": "RepoSource", "description": "Location of the source in a Google Cloud Source Repository.", "type": "object" }, "InlineSecret": { "type": "object", "properties": { "envMap": { "additionalProperties": { "format": "byte", "type": "string" }, "type": "object", "description": "Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build's secrets." }, "kmsKeyName": { "description": "Resource name of Cloud KMS crypto key to decrypt the encrypted value. In format: projects/*/locations/*/keyRings/*/cryptoKeys/*", "type": "string" } }, "description": "Pairs a set of secret environment variables mapped to encrypted values with the Cloud KMS key to use to decrypt the value.", "id": "InlineSecret" }, "ArtifactResult": { "type": "object", "description": "An artifact that was uploaded during a build. This is a single record in the artifact manifest JSON file.", "id": "ArtifactResult", "properties": { "fileHash": { "items": { "$ref": "FileHashes" }, "description": "The file hash of the artifact.", "type": "array" }, "location": { "description": "The path of an artifact in a Google Cloud Storage bucket, with the generation number. For example, `gs://mybucket/path/to/output.jar#generation`.", "type": "string" } } }, "TimeSpan": { "id": "TimeSpan", "description": "Start and end times for a build execution phase.", "properties": { "endTime": { "description": "End of time span.", "type": "string", "format": "google-datetime" }, "startTime": { "description": "Start of time span.", "format": "google-datetime", "type": "string" } }, "type": "object" }, "ProcessAppManifestCallbackOperationMetadata": { "type": "object", "description": "Metadata for `ProcessAppManifestCallback` operation.", "properties": { "createTime": { "description": "Time the operation was created.", "type": "string", "format": "google-datetime" }, "completeTime": { "type": "string", "format": "google-datetime", "description": "Time the operation was completed." }, "githubEnterpriseConfig": { "type": "string", "description": "The resource name of the GitHubEnterprise to be created. Format: `projects/{project}/locations/{location}/githubEnterpriseConfigs/{id}`." } }, "id": "ProcessAppManifestCallbackOperationMetadata" }, "ListWorkerPoolsResponse": { "properties": { "workerPools": { "description": "`WorkerPools` for the project.", "items": { "$ref": "WorkerPool" }, "type": "array" } }, "id": "ListWorkerPoolsResponse", "description": "Response containing existing `WorkerPools`.", "type": "object" } }, "ownerName": "Google", "discoveryVersion": "v1", "kind": "discovery#restDescription", "revision": "20220625", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "cancel": { "request": { "$ref": "CancelOperationRequest" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "path": "v1alpha1/{+name}:cancel", "id": "cloudbuild.projects.locations.operations.cancel", "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name of the operation resource.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "path": "v1alpha1/{+name}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "cloudbuild.projects.locations.operations.get", "parameterOrder": [ "name" ], "httpMethod": "GET" } } } } }, "workerPools": { "methods": { "patch": { "request": { "$ref": "WorkerPool" }, "httpMethod": "PATCH", "flatPath": "v1alpha1/projects/{projectsId}/workerPools/{workerPoolsId}", "description": "Update a `WorkerPool`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "cloudbuild.projects.workerPools.patch", "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}", "response": { "$ref": "WorkerPool" }, "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/workerPools/[^/]+$", "type": "string", "description": "The field will contain name of the resource requested, for example: \"projects/project-1/workerPools/workerpool-name\"", "location": "path" } } }, "delete": { "httpMethod": "DELETE", "description": "Deletes a `WorkerPool` by its project ID and WorkerPool name.", "parameters": { "name": { "location": "path", "type": "string", "description": "The field will contain name of the resource requested, for example: \"projects/project-1/workerPools/workerpool-name\"", "required": true, "pattern": "^projects/[^/]+/workerPools/[^/]+$" } }, "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/workerPools/{workerPoolsId}", "id": "cloudbuild.projects.workerPools.delete", "response": { "$ref": "Empty" }, "path": "v1alpha1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "path": "v1alpha1/{+parent}/workerPools", "flatPath": "v1alpha1/projects/{projectsId}/workerPools", "request": { "$ref": "WorkerPool" }, "description": "Creates a `WorkerPool` to run the builds, and returns the new worker pool.", "httpMethod": "POST", "parameters": { "parent": { "description": "ID of the parent project.", "pattern": "^projects/[^/]+$", "required": true, "location": "path", "type": "string" } }, "response": { "$ref": "WorkerPool" }, "id": "cloudbuild.projects.workerPools.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ] }, "get": { "parameters": { "name": { "location": "path", "required": true, "description": "The field will contain name of the resource requested, for example: \"projects/project-1/workerPools/workerpool-name\"", "pattern": "^projects/[^/]+/workerPools/[^/]+$", "type": "string" } }, "response": { "$ref": "WorkerPool" }, "flatPath": "v1alpha1/projects/{projectsId}/workerPools/{workerPoolsId}", "description": "Returns information about a `WorkerPool`.", "httpMethod": "GET", "path": "v1alpha1/{+name}", "id": "cloudbuild.projects.workerPools.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "list": { "path": "v1alpha1/{+parent}/workerPools", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "List project's `WorkerPool`s.", "parameterOrder": [ "parent" ], "flatPath": "v1alpha1/projects/{projectsId}/workerPools", "response": { "$ref": "ListWorkerPoolsResponse" }, "id": "cloudbuild.projects.workerPools.list", "parameters": { "parent": { "pattern": "^projects/[^/]+$", "location": "path", "description": "ID of the parent project.", "required": true, "type": "string" } } } } } } } }, "description": "Creates and manages builds on Google Cloud Platform.", "version": "v1alpha1", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "canonicalName": "Cloud Build", "parameters": { "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "$.xgafv": { "location": "query", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "description": "V1 error format." }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "type": "string", "location": "query", "default": "json" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." } }, "servicePath": "", "ownerDomain": "google.com", "protocol": "rest", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "basePath": "", "rootUrl": "https://cloudbuild.googleapis.com/", "name": "cloudbuild", "baseUrl": "https://cloudbuild.googleapis.com/", "title": "Cloud Build API", "documentationLink": "https://cloud.google.com/cloud-build/docs/" }
]===]))
