local decode = require("cjson").new().decode
return assert(decode([===[
{ "baseUrl": "https://cloudbuild.googleapis.com/", "version": "v1beta1", "fullyEncodeReservedExpansion": true, "resources": { "projects": { "resources": { "locations": { "resources": { "workerPools": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListWorkerPoolsResponse" }, "path": "v1beta1/{+parent}/workerPools", "id": "cloudbuild.projects.locations.workerPools.list", "parameters": { "parent": { "type": "string", "description": "Required. The parent of the collection of `WorkerPools`. Format: `projects/{project}/locations/location`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/workerPools", "description": "Lists `WorkerPool`s in the given project.", "parameterOrder": [ "parent" ] }, "delete": { "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/workerPools/{workerPoolsId}", "description": "Deletes a `WorkerPool`. NOTE: As of now, this method returns an `Operation` that is always complete.", "id": "cloudbuild.projects.locations.workerPools.delete", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "etag": { "type": "string", "description": "Optional. If this is provided, it must match the server's etag on the workerpool for the request to be processed.", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/workerPools/[^/]+$", "required": true, "location": "path", "description": "Required. The name of the `WorkerPool` to delete. Format: `projects/{project}/locations/{workerPool}/workerPools/{workerPool}`.", "type": "string" } } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/workerPools/{workerPoolsId}", "response": { "$ref": "Operation" }, "description": "Updates a `WorkerPool`. NOTE: As of now, this method returns an `Operation` that is always complete.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/workerPools/[^/]+$", "location": "path", "description": "Output only. The resource name of the `WorkerPool`, with format `projects/{project}/locations/{location}/workerPools/{worker_pool}`. The value of `{worker_pool}` is provided by `worker_pool_id` in `CreateWorkerPool` request and the value of `{location}` is determined by the endpoint accessed.", "required": true }, "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "A mask specifying which fields in `WorkerPool` to update." } }, "path": "v1beta1/{+name}", "id": "cloudbuild.projects.locations.workerPools.patch", "httpMethod": "PATCH", "request": { "$ref": "WorkerPool" }, "parameterOrder": [ "name" ] }, "create": { "path": "v1beta1/{+parent}/workerPools", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameters": { "workerPoolId": { "type": "string", "description": "Required. Immutable. The ID to use for the `WorkerPool`, which will become the final component of the resource name. This value should be 1-63 characters, and valid characters are /a-z-/.", "location": "query" }, "parent": { "location": "path", "description": "Required. The parent resource where this worker pool will be created. Format: `projects/{project}/locations/{location}`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "description": "Creates a `WorkerPool` to run the builds, and returns the new worker pool. NOTE: As of now, this method returns an `Operation` that is always complete.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/workerPools", "request": { "$ref": "WorkerPool" }, "parameterOrder": [ "parent" ], "id": "cloudbuild.projects.locations.workerPools.create", "httpMethod": "POST" }, "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/workerPools/{workerPoolsId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "WorkerPool" }, "parameterOrder": [ "name" ], "description": "Returns details of a `WorkerPool`.", "path": "v1beta1/{+name}", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/workerPools/[^/]+$", "description": "Required. The name of the `WorkerPool` to retrieve. Format: `projects/{project}/locations/{location}/workerPools/{workerPool}`.", "required": true } }, "id": "cloudbuild.projects.locations.workerPools.get" } } }, "operations": { "methods": { "get": { "path": "v1beta1/{+name}", "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "parameters": { "name": { "location": "path", "type": "string", "description": "The name of the operation resource.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "id": "cloudbuild.projects.locations.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" }, "cancel": { "id": "cloudbuild.projects.locations.operations.cancel", "request": { "$ref": "CancelOperationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "description": "The name of the operation resource to be cancelled.", "required": true, "location": "path" } }, "path": "v1beta1/{+name}:cancel", "httpMethod": "POST", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel" } } } } } } } }, "basePath": "", "rootUrl": "https://cloudbuild.googleapis.com/", "protocol": "rest", "schemas": { "Volume": { "type": "object", "properties": { "path": { "type": "string", "description": "Path at which to mount the volume. Paths must be absolute and cannot conflict with other volume paths on the same build step or with certain reserved volume paths." }, "name": { "type": "string", "description": "Name of the volume to mount. Volume names must be unique per build step and must be valid names for Docker volumes. Each named volume must be used by at least two build steps." } }, "id": "Volume", "description": "Volume describes a Docker container volume which is mounted into build steps in order to persist files across build step execution." }, "FileHashes": { "type": "object", "description": "Container message for hashes of byte content of files, used in SourceProvenance messages to verify integrity of source input to the build.", "properties": { "fileHash": { "items": { "$ref": "Hash" }, "description": "Collection of file hashes.", "type": "array" } }, "id": "FileHashes" }, "Results": { "properties": { "buildStepOutputs": { "type": "array", "items": { "format": "byte", "type": "string" }, "description": "List of build step outputs, produced by builder images, in the order corresponding to build step indices. [Cloud Builders](https://cloud.google.com/cloud-build/docs/cloud-builders) can produce this output by writing to `$BUILDER_OUTPUT/output`. Only the first 4KB of data is stored." }, "numArtifacts": { "format": "int64", "type": "string", "description": "Number of artifacts uploaded. Only populated when artifacts are uploaded." }, "artifactManifest": { "type": "string", "description": "Path to the artifact manifest. Only populated when artifacts are uploaded." }, "images": { "description": "Container images that were built as a part of the build.", "type": "array", "items": { "$ref": "BuiltImage" } }, "artifactTiming": { "$ref": "TimeSpan", "description": "Time to push all non-container artifacts." }, "buildStepImages": { "type": "array", "description": "List of build step digests, in the order corresponding to build step indices.", "items": { "type": "string" } } }, "type": "object", "id": "Results", "description": "Artifacts created by the build pipeline." }, "InlineSecret": { "id": "InlineSecret", "properties": { "envMap": { "additionalProperties": { "format": "byte", "type": "string" }, "type": "object", "description": "Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build's secrets." }, "kmsKeyName": { "description": "Resource name of Cloud KMS crypto key to decrypt the encrypted value. In format: projects/*/locations/*/keyRings/*/cryptoKeys/*", "type": "string" } }, "type": "object", "description": "Pairs a set of secret environment variables mapped to encrypted values with the Cloud KMS key to use to decrypt the value." }, "ArtifactObjects": { "properties": { "paths": { "items": { "type": "string" }, "description": "Path globs used to match files in the build's workspace.", "type": "array" }, "timing": { "description": "Output only. Stores timing information for pushing all artifact objects.", "$ref": "TimeSpan", "readOnly": true }, "location": { "type": "string", "description": "Cloud Storage bucket and optional object path, in the form \"gs://bucket/path/to/somewhere/\". (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)). Files in the workspace matching any path pattern will be uploaded to Cloud Storage with this location as a prefix." } }, "id": "ArtifactObjects", "description": "Files in the workspace to upload to Cloud Storage upon successful completion of all build steps.", "type": "object" }, "GoogleDevtoolsCloudbuildV2OperationMetadata": { "properties": { "endTime": { "description": "Output only. The time the operation finished running.", "type": "string", "readOnly": true, "format": "google-datetime" }, "apiVersion": { "readOnly": true, "description": "Output only. API version used to start the operation.", "type": "string" }, "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." }, "requestedCancellation": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the operation was created.", "readOnly": true }, "statusMessage": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "type": "string", "readOnly": true } }, "id": "GoogleDevtoolsCloudbuildV2OperationMetadata", "description": "Represents the metadata of the long-running operation.", "type": "object" }, "BitbucketServerRepositoryId": { "properties": { "webhookId": { "format": "int32", "type": "integer", "readOnly": true, "description": "Output only. The ID of the webhook that was created for receiving events from this repo. We only create and manage a single webhook for each repo." }, "repoSlug": { "description": "Required. Identifier for the repository.", "type": "string" }, "projectKey": { "description": "Required. Identifier for the project storing the repository.", "type": "string" } }, "description": "BitbucketServerRepositoryId identifies a specific repository hosted on a Bitbucket Server.", "id": "BitbucketServerRepositoryId", "type": "object" }, "RepoSource": { "description": "Location of the source in a Google Cloud Source Repository.", "type": "object", "id": "RepoSource", "properties": { "projectId": { "description": "ID of the project that owns the Cloud Source Repository. If omitted, the project ID requesting the build is assumed.", "type": "string" }, "substitutions": { "type": "object", "description": "Substitutions to use in a triggered build. Should only be used with RunBuildTrigger", "additionalProperties": { "type": "string" } }, "invertRegex": { "type": "boolean", "description": "Only trigger a build if the revision regex does NOT match the revision regex." }, "tagName": { "description": "Regex matching tags to build. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax", "type": "string" }, "branchName": { "description": "Regex matching branches to build. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax", "type": "string" }, "repoName": { "type": "string", "description": "Name of the Cloud Source Repository." }, "commitSha": { "description": "Explicit commit SHA to build.", "type": "string" }, "dir": { "description": "Directory, relative to the source root, in which to run the build. This must be a relative path. If a step's `dir` is specified and is an absolute path, this value is ignored for that step's execution.", "type": "string" } } }, "BuiltImage": { "description": "An image built by the pipeline.", "type": "object", "properties": { "digest": { "description": "Docker Registry 2.0 digest.", "type": "string" }, "name": { "description": "Name used to push the container image to Google Container Registry, as presented to `docker push`.", "type": "string" }, "pushTiming": { "readOnly": true, "$ref": "TimeSpan", "description": "Output only. Stores timing information for pushing the specified image." } }, "id": "BuiltImage" }, "HTTPDelivery": { "id": "HTTPDelivery", "description": "HTTPDelivery is the delivery configuration for an HTTP notification.", "type": "object", "properties": { "uri": { "type": "string", "description": "The URI to which JSON-containing HTTP POST requests should be sent." } } }, "DeleteGitHubEnterpriseConfigOperationMetadata": { "description": "Metadata for `DeleteGitHubEnterpriseConfig` operation.", "properties": { "completeTime": { "description": "Time the operation was completed.", "type": "string", "format": "google-datetime" }, "githubEnterpriseConfig": { "description": "The resource name of the GitHubEnterprise to be deleted. Format: `projects/{project}/locations/{location}/githubEnterpriseConfigs/{id}`.", "type": "string" }, "createTime": { "format": "google-datetime", "description": "Time the operation was created.", "type": "string" } }, "type": "object", "id": "DeleteGitHubEnterpriseConfigOperationMetadata" }, "NotifierMetadata": { "properties": { "notifier": { "type": "string", "description": "The string representing the name and version of notifier to deploy. Expected to be of the form of \"/:\". For example: \"gcr.io/my-project/notifiers/smtp:1.2.34\"." }, "name": { "type": "string", "description": "The human-readable and user-given name for the notifier. For example: \"repo-merge-email-notifier\"." } }, "type": "object", "description": "NotifierMetadata contains the data which can be used to reference or describe this notifier.", "id": "NotifierMetadata" }, "TimeSpan": { "id": "TimeSpan", "description": "Start and end times for a build execution phase.", "properties": { "startTime": { "description": "Start of time span.", "format": "google-datetime", "type": "string" }, "endTime": { "type": "string", "description": "End of time span.", "format": "google-datetime" } }, "type": "object" }, "Source": { "description": "Location of the source in a supported storage service.", "type": "object", "properties": { "storageSource": { "description": "If provided, get the source from this location in Google Cloud Storage.", "$ref": "StorageSource" }, "storageSourceManifest": { "$ref": "StorageSourceManifest", "description": "If provided, get the source from this manifest in Google Cloud Storage. This feature is in Preview; see description [here](https://github.com/GoogleCloudPlatform/cloud-builders/tree/master/gcs-fetcher)." }, "repoSource": { "$ref": "RepoSource", "description": "If provided, get the source from this location in a Cloud Source Repository." } }, "id": "Source" }, "ArtifactResult": { "description": "An artifact that was uploaded during a build. This is a single record in the artifact manifest JSON file.", "type": "object", "properties": { "fileHash": { "description": "The file hash of the artifact.", "items": { "$ref": "FileHashes" }, "type": "array" }, "location": { "description": "The path of an artifact in a Google Cloud Storage bucket, with the generation number. For example, `gs://mybucket/path/to/output.jar#generation`.", "type": "string" } }, "id": "ArtifactResult" }, "SecretManagerSecret": { "id": "SecretManagerSecret", "description": "Pairs a secret environment variable with a SecretVersion in Secret Manager.", "type": "object", "properties": { "versionName": { "type": "string", "description": "Resource name of the SecretVersion. In format: projects/*/secrets/*/versions/*" }, "env": { "type": "string", "description": "Environment variable name to associate with the secret. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step." } } }, "Artifacts": { "id": "Artifacts", "type": "object", "properties": { "images": { "items": { "type": "string" }, "description": "A list of images to be pushed upon the successful completion of all build steps. The images will be pushed using the builder service account's credentials. The digests of the pushed images will be stored in the Build resource's results field. If any of the images fail to be pushed, the build is marked FAILURE.", "type": "array" }, "objects": { "description": "A list of objects to be uploaded to Cloud Storage upon successful completion of all build steps. Files in the workspace matching specified paths globs will be uploaded to the specified Cloud Storage location using the builder service account's credentials. The location and generation of the uploaded objects will be stored in the Build resource's results field. If any objects fail to be pushed, the build is marked FAILURE.", "$ref": "ArtifactObjects" } }, "description": "Artifacts produced by a build that should be uploaded upon successful completion of all build steps." }, "BuildApproval": { "id": "BuildApproval", "description": "BuildApproval describes a build's approval configuration, state, and result.", "properties": { "config": { "description": "Output only. Configuration for manual approval of this build.", "readOnly": true, "$ref": "ApprovalConfig" }, "result": { "$ref": "ApprovalResult", "description": "Output only. Result of manual approval for this Build.", "readOnly": true }, "state": { "description": "Output only. The state of this build's approval.", "readOnly": true, "enumDescriptions": [ "Default enum type. This should not be used.", "Build approval is pending.", "Build approval has been approved.", "Build approval has been rejected.", "Build was cancelled while it was still pending approval." ], "enum": [ "STATE_UNSPECIFIED", "PENDING", "APPROVED", "REJECTED", "CANCELLED" ], "type": "string" } }, "type": "object" }, "FailureInfo": { "type": "object", "id": "FailureInfo", "description": "A fatal problem encountered during the execution of the build.", "properties": { "type": { "enum": [ "FAILURE_TYPE_UNSPECIFIED", "PUSH_FAILED", "PUSH_IMAGE_NOT_FOUND", "PUSH_NOT_AUTHORIZED", "LOGGING_FAILURE", "USER_BUILD_STEP", "FETCH_SOURCE_FAILED" ], "type": "string", "enumDescriptions": [ "Type unspecified", "Unable to push the image to the repository.", "Final image not found.", "Unauthorized push of the final image.", "Backend logging failures. Should retry.", "A build step has failed.", "The source fetching has failed." ], "description": "The name of the failure." }, "detail": { "description": "Explains the failure issue in more detail using hard-coded text.", "type": "string" } } }, "BatchCreateBitbucketServerConnectedRepositoriesResponse": { "description": "Response of BatchCreateBitbucketServerConnectedRepositories RPC method including all successfully connected Bitbucket Server repositories.", "properties": { "bitbucketServerConnectedRepositories": { "description": "The connected Bitbucket Server repositories.", "items": { "$ref": "BitbucketServerConnectedRepository" }, "type": "array" } }, "id": "BatchCreateBitbucketServerConnectedRepositoriesResponse", "type": "object" }, "PoolOption": { "properties": { "name": { "type": "string", "description": "The `WorkerPool` resource to execute the build on. You must have `cloudbuild.workerpools.use` on the project hosting the WorkerPool. Format projects/{project}/locations/{location}/workerPools/{workerPoolId}" } }, "type": "object", "id": "PoolOption", "description": "Details about how a build should be executed on a `WorkerPool`. See [running builds in a private pool](https://cloud.google.com/build/docs/private-pools/run-builds-in-private-pool) for more information." }, "Secret": { "id": "Secret", "properties": { "kmsKeyName": { "description": "Cloud KMS key name to use to decrypt these envs.", "type": "string" }, "secretEnv": { "type": "object", "additionalProperties": { "type": "string", "format": "byte" }, "description": "Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build's secrets." } }, "description": "Pairs a set of secret environment variables containing encrypted values with the Cloud KMS key to use to decrypt the value. Note: Use `kmsKeyName` with `available_secrets` instead of using `kmsKeyName` with `secret`. For instructions see: https://cloud.google.com/cloud-build/docs/securing-builds/use-encrypted-credentials.", "type": "object" }, "DeleteBitbucketServerConfigOperationMetadata": { "type": "object", "description": "Metadata for `DeleteBitbucketServerConfig` operation.", "id": "DeleteBitbucketServerConfigOperationMetadata", "properties": { "createTime": { "description": "Time the operation was created.", "format": "google-datetime", "type": "string" }, "bitbucketServerConfig": { "description": "The resource name of the BitbucketServerConfig to be deleted. Format: `projects/{project}/locations/{location}/bitbucketServerConfigs/{id}`.", "type": "string" }, "completeTime": { "format": "google-datetime", "type": "string", "description": "Time the operation was completed." } } }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." } }, "type": "object" }, "NotifierSpec": { "type": "object", "properties": { "secrets": { "items": { "$ref": "NotifierSecret" }, "description": "Configurations for secret resources used by this particular notifier.", "type": "array" }, "notification": { "description": "The configuration of this particular notifier.", "$ref": "Notification" } }, "id": "NotifierSpec", "description": "NotifierSpec is the configuration container for notifications." }, "BuildOperationMetadata": { "properties": { "build": { "description": "The build that the operation is tracking.", "$ref": "Build" } }, "description": "Metadata for build operations.", "type": "object", "id": "BuildOperationMetadata" }, "CancelOperationRequest": { "properties": {}, "description": "The request message for Operations.CancelOperation.", "type": "object", "id": "CancelOperationRequest" }, "CreateBitbucketServerConfigOperationMetadata": { "type": "object", "id": "CreateBitbucketServerConfigOperationMetadata", "description": "Metadata for `CreateBitbucketServerConfig` operation.", "properties": { "bitbucketServerConfig": { "description": "The resource name of the BitbucketServerConfig to be created. Format: `projects/{project}/locations/{location}/bitbucketServerConfigs/{id}`.", "type": "string" }, "completeTime": { "type": "string", "description": "Time the operation was completed.", "format": "google-datetime" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Time the operation was created." } } }, "ProcessAppManifestCallbackOperationMetadata": { "id": "ProcessAppManifestCallbackOperationMetadata", "type": "object", "properties": { "githubEnterpriseConfig": { "description": "The resource name of the GitHubEnterprise to be created. Format: `projects/{project}/locations/{location}/githubEnterpriseConfigs/{id}`.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Time the operation was created." }, "completeTime": { "format": "google-datetime", "type": "string", "description": "Time the operation was completed." } }, "description": "Metadata for `ProcessAppManifestCallback` operation." }, "BatchCreateBitbucketServerConnectedRepositoriesResponseMetadata": { "properties": { "createTime": { "format": "google-datetime", "type": "string", "description": "Time the operation was created." }, "config": { "description": "The name of the `BitbucketServerConfig` that added connected repositories. Format: `projects/{project}/locations/{location}/bitbucketServerConfigs/{config}`", "type": "string" }, "completeTime": { "type": "string", "format": "google-datetime", "description": "Time the operation was completed." } }, "type": "object", "description": "Metadata for `BatchCreateBitbucketServerConnectedRepositories` operation.", "id": "BatchCreateBitbucketServerConnectedRepositoriesResponseMetadata" }, "StorageSource": { "id": "StorageSource", "description": "Location of the source in an archive file in Google Cloud Storage.", "properties": { "object": { "type": "string", "description": "Google Cloud Storage object containing the source. This object must be a zipped (`.zip`) or gzipped archive file (`.tar.gz`) containing source to build." }, "generation": { "format": "int64", "type": "string", "description": "Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used." }, "bucket": { "description": "Google Cloud Storage bucket containing the source (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)).", "type": "string" } }, "type": "object" }, "CreateGitHubEnterpriseConfigOperationMetadata": { "properties": { "completeTime": { "type": "string", "description": "Time the operation was completed.", "format": "google-datetime" }, "githubEnterpriseConfig": { "description": "The resource name of the GitHubEnterprise to be created. Format: `projects/{project}/locations/{location}/githubEnterpriseConfigs/{id}`.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Time the operation was created." } }, "type": "object", "id": "CreateGitHubEnterpriseConfigOperationMetadata", "description": "Metadata for `CreateGithubEnterpriseConfig` operation." }, "CreateWorkerPoolOperationMetadata": { "id": "CreateWorkerPoolOperationMetadata", "type": "object", "properties": { "workerPool": { "type": "string", "description": "The resource name of the `WorkerPool` to create. Format: `projects/{project}/locations/{location}/workerPools/{worker_pool}`." }, "createTime": { "format": "google-datetime", "type": "string", "description": "Time the operation was created." }, "completeTime": { "type": "string", "description": "Time the operation was completed.", "format": "google-datetime" } }, "description": "Metadata for the `CreateWorkerPool` operation." }, "Warning": { "properties": { "text": { "type": "string", "description": "Explanation of the warning generated." }, "priority": { "description": "The priority for this warning.", "type": "string", "enumDescriptions": [ "Should not be used.", "e.g. deprecation warnings and alternative feature highlights.", "e.g. automated detection of possible issues with the build.", "e.g. alerts that a feature used in the build is pending removal" ], "enum": [ "PRIORITY_UNSPECIFIED", "INFO", "WARNING", "ALERT" ] } }, "id": "Warning", "type": "object", "description": "A non-fatal problem encountered during the execution of the build." }, "DeleteWorkerPoolOperationMetadata": { "id": "DeleteWorkerPoolOperationMetadata", "properties": { "completeTime": { "type": "string", "description": "Time the operation was completed.", "format": "google-datetime" }, "createTime": { "description": "Time the operation was created.", "format": "google-datetime", "type": "string" }, "workerPool": { "description": "The resource name of the `WorkerPool` being deleted. Format: `projects/{project}/locations/{location}/workerPools/{worker_pool}`.", "type": "string" } }, "type": "object", "description": "Metadata for the `DeleteWorkerPool` operation." }, "SlackDelivery": { "id": "SlackDelivery", "properties": { "webhookUri": { "description": "The secret reference for the Slack webhook URI for sending messages to a channel.", "$ref": "NotifierSecretRef" } }, "description": "SlackDelivery is the delivery configuration for delivering Slack messages via webhooks. See Slack webhook documentation at: https://api.slack.com/messaging/webhooks.", "type": "object" }, "NotifierConfig": { "description": "NotifierConfig is the top-level configuration message.", "type": "object", "properties": { "apiVersion": { "type": "string", "description": "The API version of this configuration format." }, "metadata": { "$ref": "NotifierMetadata", "description": "Metadata for referring to/handling/deploying this notifier." }, "kind": { "type": "string", "description": "The type of notifier to use (e.g. SMTPNotifier)." }, "spec": { "$ref": "NotifierSpec", "description": "The actual configuration for this notifier." } }, "id": "NotifierConfig" }, "NetworkConfig": { "description": "Network describes the network configuration for a `WorkerPool`.", "type": "object", "id": "NetworkConfig", "properties": { "peeredNetwork": { "type": "string", "description": "Required. Immutable. The network definition that the workers are peered to. If this section is left empty, the workers will be peered to `WorkerPool.project_id` on the service producer network. Must be in the format `projects/{project}/global/networks/{network}`, where `{project}` is a project number, such as `12345`, and `{network}` is the name of a VPC network in the project. See [Understanding network configuration options](https://cloud.google.com/cloud-build/docs/custom-workers/set-up-custom-worker-pool-environment#understanding_the_network_configuration_options)" } } }, "NotifierSecretRef": { "properties": { "secretRef": { "description": "The value of `secret_ref` should be a `name` that is registered in a `Secret` in the `secrets` list of the `Spec`.", "type": "string" } }, "description": "NotifierSecretRef contains the reference to a secret stored in the corresponding NotifierSpec.", "id": "NotifierSecretRef", "type": "object" }, "Secrets": { "type": "object", "id": "Secrets", "properties": { "inline": { "items": { "$ref": "InlineSecret" }, "description": "Secrets encrypted with KMS key and the associated secret environment variable.", "type": "array" }, "secretManager": { "items": { "$ref": "SecretManagerSecret" }, "type": "array", "description": "Secrets in Secret Manager and associated secret environment variable." } }, "description": "Secrets and secret environment variables." }, "Status": { "id": "Status", "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "ApprovalResult": { "properties": { "approverAccount": { "type": "string", "readOnly": true, "description": "Output only. Email of the user that called the ApproveBuild API to approve or reject a build at the time that the API was called." }, "url": { "description": "Optional. An optional URL tied to this manual approval result. This field is essentially the same as comment, except that it will be rendered by the UI differently. An example use case is a link to an external job that approved this Build.", "type": "string" }, "decision": { "enumDescriptions": [ "Default enum type. This should not be used.", "Build is approved.", "Build is rejected." ], "enum": [ "DECISION_UNSPECIFIED", "APPROVED", "REJECTED" ], "description": "Required. The decision of this manual approval.", "type": "string" }, "approvalTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time when the approval decision was made.", "type": "string" }, "comment": { "description": "Optional. An optional comment for this manual approval result.", "type": "string" } }, "type": "object", "id": "ApprovalResult", "description": "ApprovalResult describes the decision and associated metadata of a manual approval of a build." }, "Notification": { "properties": { "filter": { "description": "The filter string to use for notification filtering. Currently, this is assumed to be a CEL program. See https://opensource.google/projects/cel for more.", "type": "string" }, "structDelivery": { "type": "object", "description": "Escape hatch for users to supply custom delivery configs.", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "smtpDelivery": { "description": "Configuration for SMTP (email) delivery.", "$ref": "SMTPDelivery" }, "httpDelivery": { "description": "Configuration for HTTP delivery.", "$ref": "HTTPDelivery" }, "slackDelivery": { "$ref": "SlackDelivery", "description": "Configuration for Slack delivery." } }, "description": "Notification is the container which holds the data that is relevant to this particular notification.", "type": "object", "id": "Notification" }, "OperationMetadata": { "description": "Represents the metadata of the long-running operation.", "type": "object", "properties": { "createTime": { "description": "Output only. The time the operation was created.", "format": "google-datetime", "type": "string", "readOnly": true }, "cancelRequested": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "statusDetail": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." }, "endTime": { "type": "string", "readOnly": true, "description": "Output only. The time the operation finished running.", "format": "google-datetime" }, "target": { "type": "string", "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" } }, "id": "OperationMetadata" }, "BuildStep": { "type": "object", "description": "A step in the build pipeline.", "properties": { "name": { "type": "string", "description": "Required. The name of the container image that will run this particular build step. If the image is available in the host's Docker daemon's cache, it will be run directly. If not, the host will attempt to pull the image first, using the builder service account's credentials if necessary. The Docker daemon's cache will already have the latest versions of all of the officially supported build steps ([https://github.com/GoogleCloudPlatform/cloud-builders](https://github.com/GoogleCloudPlatform/cloud-builders)). The Docker daemon will also have cached many of the layers for some popular images, like \"ubuntu\", \"debian\", but they will be refreshed at the time you attempt to use them. If you built an image in a previous build step, it will be stored in the host's Docker daemon's cache and is available to use as the name for a later build step." }, "id": { "description": "Unique identifier for this build step, used in `wait_for` to reference this build step as a dependency.", "type": "string" }, "entrypoint": { "type": "string", "description": "Entrypoint to be used instead of the build step image's default entrypoint. If unset, the image's default entrypoint is used." }, "waitFor": { "type": "array", "description": "The ID(s) of the step(s) that this build step depends on. This build step will not start until all the build steps in `wait_for` have completed successfully. If `wait_for` is empty, this build step will start when all previous build steps in the `Build.Steps` list have completed successfully.", "items": { "type": "string" } }, "script": { "type": "string", "description": "A shell script to be executed in the step. When script is provided, the user cannot specify the entrypoint or args." }, "args": { "description": "A list of arguments that will be presented to the step when it is started. If the image used to run the step's container has an entrypoint, the `args` are used as arguments to that entrypoint. If the image does not define an entrypoint, the first element in args is used as the entrypoint, and the remainder will be used as arguments.", "type": "array", "items": { "type": "string" } }, "dir": { "type": "string", "description": "Working directory to use when running this step's container. If this value is a relative path, it is relative to the build's working directory. If this value is absolute, it may be outside the build's working directory, in which case the contents of the path may not be persisted across build step executions, unless a `volume` for that path is specified. If the build specifies a `RepoSource` with `dir` and a step with a `dir`, which specifies an absolute path, the `RepoSource` `dir` is ignored for the step's execution." }, "status": { "enum": [ "STATUS_UNKNOWN", "PENDING", "QUEUED", "WORKING", "SUCCESS", "FAILURE", "INTERNAL_ERROR", "TIMEOUT", "CANCELLED", "EXPIRED" ], "type": "string", "enumDescriptions": [ "Status of the build is unknown.", "Build has been created and is pending execution and queuing. It has not been queued.", "Build or step is queued; work has not yet begun.", "Build or step is being executed.", "Build or step finished successfully.", "Build or step failed to complete successfully.", "Build or step failed due to an internal cause.", "Build or step took longer than was allowed.", "Build or step was canceled by a user.", "Build was enqueued for longer than the value of `queue_ttl`." ], "description": "Output only. Status of the build step. At this time, build step status is only updated on build completion; step status is not updated in real-time as the build progresses.", "readOnly": true }, "timeout": { "format": "google-duration", "type": "string", "description": "Time limit for executing this build step. If not defined, the step has no time limit and will be allowed to continue to run until either it completes or the build itself times out." }, "env": { "description": "A list of environment variable definitions to be used when running a step. The elements are of the form \"KEY=VALUE\" for the environment variable \"KEY\" being given the value \"VALUE\".", "items": { "type": "string" }, "type": "array" }, "pullTiming": { "readOnly": true, "$ref": "TimeSpan", "description": "Output only. Stores timing information for pulling this build step's builder image only." }, "timing": { "description": "Output only. Stores timing information for executing this build step.", "readOnly": true, "$ref": "TimeSpan" }, "volumes": { "type": "array", "description": "List of volumes to mount into the build step. Each volume is created as an empty volume prior to execution of the build step. Upon completion of the build, volumes and their contents are discarded. Using a named volume in only one step is not valid as it is indicative of a build request with an incorrect configuration.", "items": { "$ref": "Volume" } }, "secretEnv": { "type": "array", "items": { "type": "string" }, "description": "A list of environment variables which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build's `Secret`." } }, "id": "BuildStep" }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {}, "type": "object" }, "UpdateWorkerPoolOperationMetadata": { "properties": { "completeTime": { "description": "Time the operation was completed.", "format": "google-datetime", "type": "string" }, "workerPool": { "description": "The resource name of the `WorkerPool` being updated. Format: `projects/{project}/locations/{location}/workerPools/{worker_pool}`.", "type": "string" }, "createTime": { "description": "Time the operation was created.", "type": "string", "format": "google-datetime" } }, "type": "object", "id": "UpdateWorkerPoolOperationMetadata", "description": "Metadata for the `UpdateWorkerPool` operation." }, "Hash": { "type": "object", "description": "Container message for hash values.", "id": "Hash", "properties": { "type": { "description": "The type of hash that was performed.", "enum": [ "NONE", "SHA256", "MD5" ], "type": "string", "enumDescriptions": [ "No hash requested.", "Use a sha256 hash.", "Use a md5 hash." ] }, "value": { "description": "The hash value.", "format": "byte", "type": "string" } } }, "BitbucketServerConnectedRepository": { "type": "object", "description": "/ BitbucketServerConnectedRepository represents a connected Bitbucket Server / repository.", "properties": { "parent": { "description": "The name of the `BitbucketServerConfig` that added connected repository. Format: `projects/{project}/locations/{location}/bitbucketServerConfigs/{config}`", "type": "string" }, "repo": { "description": "The Bitbucket Server repositories to connect.", "$ref": "BitbucketServerRepositoryId" }, "status": { "$ref": "Status", "description": "Output only. The status of the repo connection request.", "readOnly": true } }, "id": "BitbucketServerConnectedRepository" }, "ListWorkerPoolsResponse": { "type": "object", "description": "Response containing existing `WorkerPools`.", "properties": { "workerPools": { "type": "array", "items": { "$ref": "WorkerPool" }, "description": "`WorkerPools` for the specified project." } }, "id": "ListWorkerPoolsResponse" }, "BuildOptions": { "type": "object", "properties": { "logging": { "type": "string", "enum": [ "LOGGING_UNSPECIFIED", "LEGACY", "GCS_ONLY", "STACKDRIVER_ONLY", "CLOUD_LOGGING_ONLY", "NONE" ], "enumDescriptions": [ "The service determines the logging mode. The default is `LEGACY`. Do not rely on the default logging behavior as it may change in the future.", "Build logs are stored in Cloud Logging and Cloud Storage.", "Build logs are stored in Cloud Storage.", "This option is the same as CLOUD_LOGGING_ONLY.", "Build logs are stored in Cloud Logging. Selecting this option will not allow [logs streaming](https://cloud.google.com/sdk/gcloud/reference/builds/log).", "Turn off all logging. No build logs will be captured." ], "description": "Option to specify the logging mode, which determines if and where build logs are stored." }, "env": { "type": "array", "description": "A list of global environment variable definitions that will exist for all build steps in this build. If a variable is defined in both globally and in a build step, the variable will use the build step value. The elements are of the form \"KEY=VALUE\" for the environment variable \"KEY\" being given the value \"VALUE\".", "items": { "type": "string" } }, "substitutionOption": { "type": "string", "enum": [ "MUST_MATCH", "ALLOW_LOOSE" ], "description": "Option to specify behavior when there is an error in the substitution checks. NOTE: this is always set to ALLOW_LOOSE for triggered builds and cannot be overridden in the build configuration file.", "enumDescriptions": [ "Fails the build if error in substitutions checks, like missing a substitution in the template or in the map.", "Do not fail the build if error in substitutions checks." ] }, "volumes": { "type": "array", "items": { "$ref": "Volume" }, "description": "Global list of volumes to mount for ALL build steps Each volume is created as an empty volume prior to starting the build process. Upon completion of the build, volumes and their contents are discarded. Global volume names and paths cannot conflict with the volumes defined a build step. Using a global volume in a build with only one step is not valid as it is indicative of a build request with an incorrect configuration." }, "logStreamingOption": { "type": "string", "enumDescriptions": [ "Service may automatically determine build log streaming behavior.", "Build logs should be streamed to Google Cloud Storage.", "Build logs should not be streamed to Google Cloud Storage; they will be written when the build is completed." ], "description": "Option to define build log streaming behavior to Google Cloud Storage.", "enum": [ "STREAM_DEFAULT", "STREAM_ON", "STREAM_OFF" ] }, "requestedVerifyOption": { "type": "string", "enum": [ "NOT_VERIFIED", "VERIFIED" ], "description": "Requested verifiability options.", "enumDescriptions": [ "Not a verifiable build. (default)", "Verified build." ] }, "machineType": { "type": "string", "description": "Compute Engine machine type on which to run the build.", "enumDescriptions": [ "Standard machine type.", "Highcpu machine with 8 CPUs.", "Highcpu machine with 32 CPUs.", "Highcpu e2 machine with 8 CPUs.", "Highcpu e2 machine with 32 CPUs." ], "enum": [ "UNSPECIFIED", "N1_HIGHCPU_8", "N1_HIGHCPU_32", "E2_HIGHCPU_8", "E2_HIGHCPU_32" ] }, "pool": { "$ref": "PoolOption", "description": "Optional. Specification for execution on a `WorkerPool`. See [running builds in a private pool](https://cloud.google.com/build/docs/private-pools/run-builds-in-private-pool) for more information." }, "workerPool": { "type": "string", "description": "This field deprecated; please use `pool.name` instead." }, "dynamicSubstitutions": { "type": "boolean", "description": "Option to specify whether or not to apply bash style string operations to the substitutions. NOTE: this is always enabled for triggered builds and cannot be overridden in the build configuration file." }, "diskSizeGb": { "type": "string", "format": "int64", "description": "Requested disk size for the VM that runs the build. Note that this is *NOT* \"disk free\"; some of the space will be used by the operating system and build utilities. Also note that this is the minimum disk size that will be allocated for the build -- the build may run with a larger disk than requested. At present, the maximum disk size is 1000GB; builds that request more than the maximum are rejected with an error." }, "secretEnv": { "description": "A list of global environment variables, which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build's `Secret`. These variables will be available to all build steps in this build.", "type": "array", "items": { "type": "string" } }, "sourceProvenanceHash": { "type": "array", "items": { "enum": [ "NONE", "SHA256", "MD5" ], "enumDescriptions": [ "No hash requested.", "Use a sha256 hash.", "Use a md5 hash." ], "type": "string" }, "description": "Requested hash for SourceProvenance." } }, "id": "BuildOptions", "description": "Optional arguments to enable specific features of builds." }, "NotifierSecret": { "properties": { "name": { "type": "string", "description": "Name is the local name of the secret, such as the verbatim string \"my-smtp-password\"." }, "value": { "type": "string", "description": "Value is interpreted to be a resource path for fetching the actual (versioned) secret data for this secret. For example, this would be a Google Cloud Secret Manager secret version resource path like: \"projects/my-project/secrets/my-secret/versions/latest\"." } }, "type": "object", "description": "NotifierSecret is the container that maps a secret name (reference) to its Google Cloud Secret Manager resource path.", "id": "NotifierSecret" }, "WorkerPool": { "description": "Configuration for a `WorkerPool` to run the builds. Workers provide a build environment where Cloud Build runs your builds. Cloud Build owns and maintains a pool of workers for general use. By default, when you submit a build, Cloud Build uses one of the workers from this pool. Builds that run in the default worker pool have access to the public internet. If your build needs access to resources on a private network, create and use a `WorkerPool` to run your builds. Custom `WorkerPool`s give your builds access to any single VPC network that you administer, including any on-prem resources connected to that VPC network. For an overview of custom worker pools, see [Custom workers overview](https://cloud.google.com/cloud-build/docs/custom-workers/custom-workers-overview).", "type": "object", "id": "WorkerPool", "properties": { "updateTime": { "description": "Output only. Time at which the request to update the `WorkerPool` was received.", "readOnly": true, "type": "string", "format": "google-datetime" }, "displayName": { "type": "string", "description": "A user-specified, human-readable name for the `WorkerPool`. If provided, this value must be 1-63 characters." }, "annotations": { "description": "User specified annotations. See https://google.aip.dev/128#annotations for more details such as format and size limitations.", "type": "object", "additionalProperties": { "type": "string" } }, "etag": { "readOnly": true, "description": "Output only. Checksum computed by the server. May be sent on update and delete requests to ensure that the client has an up-to-date value before proceeding.", "type": "string" }, "networkConfig": { "$ref": "NetworkConfig", "description": "Network configuration for the `WorkerPool`." }, "state": { "readOnly": true, "type": "string", "description": "Output only. `WorkerPool` state.", "enum": [ "STATE_UNSPECIFIED", "CREATING", "RUNNING", "DELETING", "DELETED" ], "enumDescriptions": [ "State of the `WorkerPool` is unknown.", "`WorkerPool` is being created.", "`WorkerPool` is running.", "`WorkerPool` is being deleted: cancelling builds and draining workers.", "`WorkerPool` is deleted." ] }, "workerConfig": { "description": "Worker configuration for the `WorkerPool`.", "$ref": "WorkerConfig" }, "uid": { "description": "Output only. A unique identifier for the `WorkerPool`.", "readOnly": true, "type": "string" }, "name": { "readOnly": true, "description": "Output only. The resource name of the `WorkerPool`, with format `projects/{project}/locations/{location}/workerPools/{worker_pool}`. The value of `{worker_pool}` is provided by `worker_pool_id` in `CreateWorkerPool` request and the value of `{location}` is determined by the endpoint accessed.", "type": "string" }, "deleteTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Time at which the request to delete the `WorkerPool` was received." }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. Time at which the request to create the `WorkerPool` was received." } } }, "SMTPDelivery": { "id": "SMTPDelivery", "description": "SMTPDelivery is the delivery configuration for an SMTP (email) notification.", "type": "object", "properties": { "fromAddress": { "type": "string", "description": "This is the SMTP account/email that appears in the `From:` of the email. If empty, it is assumed to be sender." }, "port": { "description": "The SMTP port of the server.", "type": "string" }, "server": { "description": "The address of the SMTP server.", "type": "string" }, "password": { "description": "The SMTP sender's password.", "$ref": "NotifierSecretRef" }, "recipientAddresses": { "items": { "type": "string" }, "description": "This is the list of addresses to which we send the email (i.e. in the `To:` of the email).", "type": "array" }, "senderAddress": { "description": "This is the SMTP account/email that is used to send the message.", "type": "string" } } }, "SourceProvenance": { "properties": { "resolvedStorageSourceManifest": { "description": "A copy of the build's `source.storage_source_manifest`, if exists, with any revisions resolved. This feature is in Preview.", "$ref": "StorageSourceManifest" }, "fileHashes": { "readOnly": true, "description": "Output only. Hash(es) of the build source, which can be used to verify that the original source integrity was maintained in the build. Note that `FileHashes` will only be populated if `BuildOptions` has requested a `SourceProvenanceHash`. The keys to this map are file paths used as build source and the values contain the hash values for those files. If the build source came in a single package such as a gzipped tarfile (`.tar.gz`), the `FileHash` will be for the single path to that file.", "additionalProperties": { "$ref": "FileHashes" }, "type": "object" }, "resolvedStorageSource": { "$ref": "StorageSource", "description": "A copy of the build's `source.storage_source`, if exists, with any generations resolved." }, "resolvedRepoSource": { "$ref": "RepoSource", "description": "A copy of the build's `source.repo_source`, if exists, with any revisions resolved." } }, "id": "SourceProvenance", "type": "object", "description": "Provenance of the source. Ways to find the original source, or verify that some source was used for this build." }, "RunWorkflowCustomOperationMetadata": { "id": "RunWorkflowCustomOperationMetadata", "type": "object", "description": "Represents the custom metadata of the RunWorkflow long-running operation.", "properties": { "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation was created." }, "requestedCancellation": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true }, "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." }, "apiVersion": { "description": "Output only. API version used to start the operation.", "type": "string", "readOnly": true }, "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "pipelineRunId": { "description": "Output only. ID of the pipeline run created by RunWorkflow.", "readOnly": true, "type": "string" }, "endTime": { "description": "Output only. The time the operation finished running.", "format": "google-datetime", "readOnly": true, "type": "string" } } }, "ApprovalConfig": { "type": "object", "properties": { "approvalRequired": { "type": "boolean", "description": "Whether or not approval is needed. If this is set on a build, it will become pending when created, and will need to be explicitly approved to start." } }, "id": "ApprovalConfig", "description": "ApprovalConfig describes configuration for manual approval of a build." }, "UpdateBitbucketServerConfigOperationMetadata": { "type": "object", "id": "UpdateBitbucketServerConfigOperationMetadata", "description": "Metadata for `UpdateBitbucketServerConfig` operation.", "properties": { "completeTime": { "description": "Time the operation was completed.", "format": "google-datetime", "type": "string" }, "createTime": { "description": "Time the operation was created.", "type": "string", "format": "google-datetime" }, "bitbucketServerConfig": { "type": "string", "description": "The resource name of the BitbucketServerConfig to be updated. Format: `projects/{project}/locations/{location}/bitbucketServerConfigs/{id}`." } } }, "WorkerConfig": { "properties": { "diskSizeGb": { "description": "Size of the disk attached to the worker, in GB. See [Worker pool config file](https://cloud.google.com/cloud-build/docs/custom-workers/worker-pool-config-file). Specify a value of up to 1000. If `0` is specified, Cloud Build will use a standard disk size.", "format": "int64", "type": "string" }, "machineType": { "type": "string", "description": "Machine type of a worker, such as `n1-standard-1`. See [Worker pool config file](https://cloud.google.com/cloud-build/docs/custom-workers/worker-pool-config-file). If left blank, Cloud Build will use `n1-standard-1`." }, "noExternalIp": { "description": "If true, workers are created without any public address, which prevents network egress to public IPs.", "type": "boolean" } }, "id": "WorkerConfig", "type": "object", "description": "Defines the configuration to be used for creating workers in the pool." }, "StorageSourceManifest": { "description": "Location of the source manifest in Google Cloud Storage. This feature is in Preview; see description [here](https://github.com/GoogleCloudPlatform/cloud-builders/tree/master/gcs-fetcher).", "properties": { "generation": { "description": "Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used.", "type": "string", "format": "int64" }, "object": { "type": "string", "description": "Google Cloud Storage object containing the source manifest. This object must be a JSON file." }, "bucket": { "type": "string", "description": "Google Cloud Storage bucket containing the source manifest (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements))." } }, "type": "object", "id": "StorageSourceManifest" }, "UpdateGitHubEnterpriseConfigOperationMetadata": { "id": "UpdateGitHubEnterpriseConfigOperationMetadata", "description": "Metadata for `UpdateGitHubEnterpriseConfig` operation.", "properties": { "createTime": { "type": "string", "description": "Time the operation was created.", "format": "google-datetime" }, "githubEnterpriseConfig": { "type": "string", "description": "The resource name of the GitHubEnterprise to be updated. Format: `projects/{project}/locations/{location}/githubEnterpriseConfigs/{id}`." }, "completeTime": { "format": "google-datetime", "type": "string", "description": "Time the operation was completed." } }, "type": "object" }, "Build": { "id": "Build", "properties": { "sourceProvenance": { "readOnly": true, "description": "Output only. A permanent fixed identifier for source.", "$ref": "SourceProvenance" }, "logUrl": { "description": "Output only. URL to logs for this build in Google Cloud Console.", "type": "string", "readOnly": true }, "id": { "readOnly": true, "description": "Output only. Unique identifier of the build.", "type": "string" }, "availableSecrets": { "description": "Secrets and secret environment variables.", "$ref": "Secrets" }, "logsBucket": { "type": "string", "description": "Google Cloud Storage bucket where logs should be written (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)). Logs file names will be of the format `${logs_bucket}/log-${build_id}.txt`." }, "buildTriggerId": { "description": "Output only. The ID of the `BuildTrigger` that triggered this build, if it was triggered automatically.", "type": "string", "readOnly": true }, "createTime": { "type": "string", "readOnly": true, "description": "Output only. Time at which the request to create the build was received.", "format": "google-datetime" }, "options": { "$ref": "BuildOptions", "description": "Special options for this build." }, "approval": { "$ref": "BuildApproval", "description": "Output only. Describes this build's approval configuration, status, and result.", "readOnly": true }, "source": { "description": "The location of the source files to build.", "$ref": "Source" }, "queueTtl": { "type": "string", "description": "TTL in queue for this build. If provided and the build is enqueued longer than this value, the build will expire and the build status will be `EXPIRED`. The TTL starts ticking from create_time.", "format": "google-duration" }, "substitutions": { "description": "Substitutions data for `Build` resource.", "additionalProperties": { "type": "string" }, "type": "object" }, "tags": { "type": "array", "items": { "type": "string" }, "description": "Tags for annotation of a `Build`. These are not docker tags." }, "images": { "description": "A list of images to be pushed upon the successful completion of all build steps. The images are pushed using the builder service account's credentials. The digests of the pushed images will be stored in the `Build` resource's results field. If any of the images fail to be pushed, the build status is marked `FAILURE`.", "items": { "type": "string" }, "type": "array" }, "startTime": { "description": "Output only. Time at which execution of the build was started.", "readOnly": true, "type": "string", "format": "google-datetime" }, "warnings": { "items": { "$ref": "Warning" }, "type": "array", "readOnly": true, "description": "Output only. Non-fatal problems encountered during the execution of the build." }, "timing": { "description": "Output only. Stores timing information for phases of the build. Valid keys are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BUILD: time to execute all build steps. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PUSH: time to push all specified images. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FETCHSOURCE: time to fetch source. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SETUPBUILD: time to set up build. If the build does not specify source or images, these keys will not be included.", "readOnly": true, "type": "object", "additionalProperties": { "$ref": "TimeSpan" } }, "projectId": { "type": "string", "description": "Output only. ID of the project.", "readOnly": true }, "statusDetail": { "readOnly": true, "description": "Output only. Customer-readable message about the current status.", "type": "string" }, "steps": { "items": { "$ref": "BuildStep" }, "description": "Required. The operations to be performed on the workspace.", "type": "array" }, "artifacts": { "description": "Artifacts produced by the build that should be uploaded upon successful completion of all build steps.", "$ref": "Artifacts" }, "finishTime": { "description": "Output only. Time at which execution of the build was finished. The difference between finish_time and start_time is the duration of the build's execution.", "type": "string", "format": "google-datetime", "readOnly": true }, "secrets": { "type": "array", "description": "Secrets to decrypt using Cloud Key Management Service. Note: Secret Manager is the recommended technique for managing sensitive data with Cloud Build. Use `available_secrets` to configure builds to access secrets from Secret Manager. For instructions, see: https://cloud.google.com/cloud-build/docs/securing-builds/use-secrets", "items": { "$ref": "Secret" } }, "failureInfo": { "readOnly": true, "description": "Output only. Contains information about the build when status=FAILURE.", "$ref": "FailureInfo" }, "serviceAccount": { "description": "IAM service account whose credentials will be used at build runtime. Must be of the format `projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}`. ACCOUNT can be email address or uniqueId of the service account. ", "type": "string" }, "results": { "$ref": "Results", "readOnly": true, "description": "Output only. Results of the build." }, "name": { "description": "Output only. The 'Build' name with format: `projects/{project}/locations/{location}/builds/{build}`, where {build} is a unique identifier generated by the service.", "readOnly": true, "type": "string" }, "status": { "type": "string", "description": "Output only. Status of the build.", "enum": [ "STATUS_UNKNOWN", "PENDING", "QUEUED", "WORKING", "SUCCESS", "FAILURE", "INTERNAL_ERROR", "TIMEOUT", "CANCELLED", "EXPIRED" ], "enumDescriptions": [ "Status of the build is unknown.", "Build has been created and is pending execution and queuing. It has not been queued.", "Build or step is queued; work has not yet begun.", "Build or step is being executed.", "Build or step finished successfully.", "Build or step failed to complete successfully.", "Build or step failed due to an internal cause.", "Build or step took longer than was allowed.", "Build or step was canceled by a user.", "Build was enqueued for longer than the value of `queue_ttl`." ], "readOnly": true }, "timeout": { "description": "Amount of time that this build should be allowed to run, to second granularity. If this amount of time elapses, work on the build will cease and the build status will be `TIMEOUT`. `timeout` starts ticking from `startTime`. Default time is ten minutes.", "type": "string", "format": "google-duration" } }, "description": "A build resource in the Cloud Build API. At a high level, a `Build` describes where to find source code, how to build it (for example, the builder image to run on the source), and where to store the built artifacts. Fields can include the following variables, which will be expanded when the build is created: - $PROJECT_ID: the project ID of the build. - $PROJECT_NUMBER: the project number of the build. - $LOCATION: the location/region of the build. - $BUILD_ID: the autogenerated ID of the build. - $REPO_NAME: the source repository name specified by RepoSource. - $BRANCH_NAME: the branch name specified by RepoSource. - $TAG_NAME: the tag name specified by RepoSource. - $REVISION_ID or $COMMIT_SHA: the commit SHA specified by RepoSource or resolved from the specified branch or tag. - $SHORT_SHA: first 7 characters of $REVISION_ID or $COMMIT_SHA.", "type": "object" } }, "name": "cloudbuild", "ownerDomain": "google.com", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "parameters": { "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "type": "string", "default": "json", "description": "Data format for response.", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "prettyPrint": { "location": "query", "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks." }, "$.xgafv": { "location": "query", "type": "string", "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" } }, "ownerName": "Google", "title": "Cloud Build API", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "revision": "20220625", "version_module": true, "mtlsRootUrl": "https://cloudbuild.mtls.googleapis.com/", "batchPath": "batch", "documentationLink": "https://cloud.google.com/cloud-build/docs/", "description": "Creates and manages builds on Google Cloud Platform.", "kind": "discovery#restDescription", "discoveryVersion": "v1", "id": "cloudbuild:v1beta1", "servicePath": "", "canonicalName": "Cloud Build" }
]===]))
