local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220708", "protocol": "rest", "id": "cloudchannel:v1", "name": "cloudchannel", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/apps.order": { "description": "Manage users on your domain" } } } }, "ownerDomain": "google.com", "fullyEncodeReservedExpansion": true, "basePath": "", "servicePath": "", "version": "v1", "discoveryVersion": "v1", "schemas": { "GoogleCloudChannelV1UnregisterSubscriberRequest": { "id": "GoogleCloudChannelV1UnregisterSubscriberRequest", "description": "Request Message for UnregisterSubscriber.", "type": "object", "properties": { "serviceAccount": { "type": "string", "description": "Required. Service account to unregister from subscriber access to the topic." } } }, "GoogleCloudChannelV1Sku": { "type": "object", "id": "GoogleCloudChannelV1Sku", "properties": { "product": { "$ref": "GoogleCloudChannelV1Product", "description": "Product the SKU is associated with." }, "marketingInfo": { "description": "Marketing information for the SKU.", "$ref": "GoogleCloudChannelV1MarketingInfo" }, "name": { "description": "Resource Name of the SKU. Format: products/{product_id}/skus/{sku_id}", "type": "string" } }, "description": "Represents a product's purchasable Stock Keeping Unit (SKU). SKUs represent the different variations of the product. For example, Google Workspace Business Standard and Google Workspace Business Plus are Google Workspace product SKUs." }, "GoogleCloudChannelV1ActivateEntitlementRequest": { "type": "object", "properties": { "requestId": { "type": "string", "description": "Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`)." } }, "description": "Request message for CloudChannelService.ActivateEntitlement.", "id": "GoogleCloudChannelV1ActivateEntitlementRequest" }, "GoogleCloudChannelV1CreateEntitlementRequest": { "description": "Request message for CloudChannelService.CreateEntitlement", "properties": { "requestId": { "description": "Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).", "type": "string" }, "entitlement": { "$ref": "GoogleCloudChannelV1Entitlement", "description": "Required. The entitlement to create." } }, "id": "GoogleCloudChannelV1CreateEntitlementRequest", "type": "object" }, "GoogleCloudChannelV1ListCustomersResponse": { "type": "object", "id": "GoogleCloudChannelV1ListCustomersResponse", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass to ListCustomersRequest.page_token to obtain that page.", "type": "string" }, "customers": { "description": "The customers belonging to a reseller or distributor.", "type": "array", "items": { "$ref": "GoogleCloudChannelV1Customer" } } }, "description": "Response message for CloudChannelService.ListCustomers." }, "GoogleCloudChannelV1alpha1CustomerEvent": { "type": "object", "description": "Represents Pub/Sub message content describing customer update.", "id": "GoogleCloudChannelV1alpha1CustomerEvent", "properties": { "customer": { "type": "string", "description": "Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}" }, "eventType": { "enum": [ "TYPE_UNSPECIFIED", "PRIMARY_DOMAIN_CHANGED", "PRIMARY_DOMAIN_VERIFIED" ], "description": "Type of event which happened on the customer.", "type": "string", "enumDescriptions": [ "Not used.", "Primary domain for customer was changed.", "Primary domain of the customer has been verified." ] } } }, "GoogleCloudChannelV1alpha1AssociationInfo": { "properties": { "baseEntitlement": { "description": "The name of the base entitlement, for which this entitlement is an add-on.", "type": "string" } }, "id": "GoogleCloudChannelV1alpha1AssociationInfo", "type": "object", "description": "Association links that an entitlement has to other entitlements." }, "GoogleCloudChannelV1ListTransferableOffersRequest": { "type": "object", "id": "GoogleCloudChannelV1ListTransferableOffersRequest", "description": "Request message for CloudChannelService.ListTransferableOffers", "properties": { "customerName": { "type": "string", "description": "A reseller should create a customer and use the resource name of that customer here." }, "cloudIdentityId": { "description": "Customer's Cloud Identity ID", "type": "string" }, "sku": { "type": "string", "description": "Required. The SKU to look up Offers for." }, "languageCode": { "description": "The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\".", "type": "string" }, "pageToken": { "type": "string", "description": "A token for a page of results other than the first page. Obtained using ListTransferableOffersResponse.next_page_token of the previous CloudChannelService.ListTransferableOffers call." }, "pageSize": { "format": "int32", "type": "integer", "description": "Requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 offers. The maximum value is 1000; the server will coerce values above 1000." } } }, "GoogleCloudChannelV1ProvisionedService": { "type": "object", "id": "GoogleCloudChannelV1ProvisionedService", "properties": { "skuId": { "readOnly": true, "description": "Output only. The SKU pertaining to the provisioning resource as specified in the Offer.", "type": "string" }, "provisioningId": { "type": "string", "readOnly": true, "description": "Output only. Provisioning ID of the entitlement. For Google Workspace, this is the underlying Subscription ID. For Google Cloud Platform, this is the Billing Account ID of the billing subaccount.\"" }, "productId": { "description": "Output only. The product pertaining to the provisioning resource as specified in the Offer.", "readOnly": true, "type": "string" } }, "description": "Service provisioned for an entitlement." }, "GoogleCloudChannelV1Period": { "id": "GoogleCloudChannelV1Period", "description": "Represents period in days/months/years.", "properties": { "duration": { "description": "Total duration of Period Type defined.", "type": "integer", "format": "int32" }, "periodType": { "description": "Period Type.", "enumDescriptions": [ "Not used.", "Day.", "Month.", "Year." ], "type": "string", "enum": [ "PERIOD_TYPE_UNSPECIFIED", "DAY", "MONTH", "YEAR" ] } }, "type": "object" }, "GoogleCloudChannelV1alpha1TrialSettings": { "properties": { "trial": { "type": "boolean", "description": "Determines if the entitlement is in a trial or not: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `true` - The entitlement is in trial. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `false` - The entitlement is not in trial." }, "endTime": { "description": "Date when the trial ends. The value is in milliseconds using the UNIX Epoch format. See an example [Epoch converter](https://www.epochconverter.com).", "type": "string", "format": "google-datetime" } }, "description": "Settings for trial offers.", "type": "object", "id": "GoogleCloudChannelV1alpha1TrialSettings" }, "GoogleCloudChannelV1TransferEligibility": { "id": "GoogleCloudChannelV1TransferEligibility", "properties": { "description": { "type": "string", "description": "Localized description if reseller is not eligible to transfer the SKU." }, "isEligible": { "type": "boolean", "description": "Whether reseller is eligible to transfer the SKU." }, "ineligibilityReason": { "type": "string", "enum": [ "REASON_UNSPECIFIED", "PENDING_TOS_ACCEPTANCE", "SKU_NOT_ELIGIBLE", "SKU_SUSPENDED" ], "enumDescriptions": [ "Not used.", "Reseller needs to accept TOS before transferring the SKU.", "Reseller not eligible to sell the SKU.", "SKU subscription is suspended" ], "description": "Specified the reason for ineligibility." } }, "type": "object", "description": "Specifies transfer eligibility of a SKU." }, "GoogleCloudChannelV1RenewalSettings": { "id": "GoogleCloudChannelV1RenewalSettings", "properties": { "resizeUnitCount": { "description": "If true and enable_renewal = true, the unit (for example seats or licenses) will be set to the number of active units at renewal time.", "type": "boolean" }, "paymentCycle": { "$ref": "GoogleCloudChannelV1Period", "description": "Describes how frequently the reseller will be billed, such as once per month." }, "enableRenewal": { "type": "boolean", "description": "If false, the plan will be completed at the end date." }, "paymentPlan": { "enumDescriptions": [ "Not used.", "Commitment.", "No commitment.", "Free.", "Trial.", "Price and ordering not available through API." ], "enum": [ "PAYMENT_PLAN_UNSPECIFIED", "COMMITMENT", "FLEXIBLE", "FREE", "TRIAL", "OFFLINE" ], "description": "Describes how a reseller will be billed.", "type": "string" } }, "type": "object", "description": "Renewal settings for renewable Offers." }, "GoogleCloudChannelV1alpha1OperationMetadata": { "type": "object", "description": "Provides contextual information about a google.longrunning.Operation.", "properties": { "operationType": { "type": "string", "description": "The RPC that initiated this Long Running Operation.", "enumDescriptions": [ "Not used.", "Long Running Operation was triggered by CreateEntitlement.", "Long Running Operation was triggered by ChangeQuantity.", "Long Running Operation was triggered by ChangeRenewalSettings.", "Long Running Operation was triggered by ChangePlan.", "Long Running Operation was triggered by StartPaidService.", "Long Running Operation was triggered by ChangeSku.", "Long Running Operation was triggered by ActivateEntitlement.", "Long Running Operation was triggered by SuspendEntitlement.", "Long Running Operation was triggered by CancelEntitlement.", "Long Running Operation was triggered by TransferEntitlements.", "Long Running Operation was triggered by TransferEntitlementsToGoogle.", "Long Running Operation was triggered by ChangeOffer.", "Long Running Operation was triggered by ChangeParameters.", "Long Running Operation was triggered by ProvisionCloudIdentity." ], "enum": [ "OPERATION_TYPE_UNSPECIFIED", "CREATE_ENTITLEMENT", "CHANGE_QUANTITY", "CHANGE_RENEWAL_SETTINGS", "CHANGE_PLAN", "START_PAID_SERVICE", "CHANGE_SKU", "ACTIVATE_ENTITLEMENT", "SUSPEND_ENTITLEMENT", "CANCEL_ENTITLEMENT", "TRANSFER_ENTITLEMENTS", "TRANSFER_ENTITLEMENTS_TO_GOOGLE", "CHANGE_OFFER", "CHANGE_PARAMETERS", "PROVISION_CLOUD_IDENTITY" ] } }, "id": "GoogleCloudChannelV1alpha1OperationMetadata" }, "GoogleLongrunningOperation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "GoogleLongrunningOperation", "properties": { "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" } }, "type": "object" }, "GoogleRpcStatus": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "type": "array" } }, "id": "GoogleRpcStatus" }, "GoogleCloudChannelV1ListChannelPartnerLinksResponse": { "type": "object", "id": "GoogleCloudChannelV1ListChannelPartnerLinksResponse", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass to ListChannelPartnerLinksRequest.page_token to obtain that page.", "type": "string" }, "channelPartnerLinks": { "type": "array", "description": "The Channel partner links for a reseller.", "items": { "$ref": "GoogleCloudChannelV1ChannelPartnerLink" } } }, "description": "Response message for CloudChannelService.ListChannelPartnerLinks." }, "GoogleCloudChannelV1alpha1CommitmentSettings": { "properties": { "endTime": { "description": "Output only. Commitment end timestamp.", "type": "string", "format": "google-datetime", "readOnly": true }, "startTime": { "description": "Output only. Commitment start timestamp.", "readOnly": true, "format": "google-datetime", "type": "string" }, "renewalSettings": { "$ref": "GoogleCloudChannelV1alpha1RenewalSettings", "description": "Optional. Renewal settings applicable for a commitment-based Offer." } }, "id": "GoogleCloudChannelV1alpha1CommitmentSettings", "type": "object", "description": "Commitment settings for commitment-based offers." }, "GoogleCloudChannelV1AssociationInfo": { "properties": { "baseEntitlement": { "type": "string", "description": "The name of the base entitlement, for which this entitlement is an add-on." } }, "description": "Association links that an entitlement has to other entitlements.", "id": "GoogleCloudChannelV1AssociationInfo", "type": "object" }, "GoogleCloudChannelV1alpha1TransferEntitlementsResponse": { "id": "GoogleCloudChannelV1alpha1TransferEntitlementsResponse", "type": "object", "description": "Response message for CloudChannelService.TransferEntitlements. This is put in the response field of google.longrunning.Operation.", "properties": { "entitlements": { "description": "The transferred entitlements.", "type": "array", "items": { "$ref": "GoogleCloudChannelV1alpha1Entitlement" } } } }, "GoogleCloudChannelV1Offer": { "properties": { "priceByResources": { "description": "Price for each monetizable resource type.", "type": "array", "items": { "$ref": "GoogleCloudChannelV1PriceByResource" } }, "constraints": { "$ref": "GoogleCloudChannelV1Constraints", "description": "Constraints on transacting the Offer." }, "endTime": { "type": "string", "format": "google-datetime", "description": "Output only. End of the Offer validity time.", "readOnly": true }, "marketingInfo": { "$ref": "GoogleCloudChannelV1MarketingInfo", "description": "Marketing information for the Offer." }, "plan": { "description": "Describes the payment plan for the Offer.", "$ref": "GoogleCloudChannelV1Plan" }, "name": { "type": "string", "description": "Resource Name of the Offer. Format: accounts/{account_id}/offers/{offer_id}" }, "sku": { "description": "SKU the offer is associated with.", "$ref": "GoogleCloudChannelV1Sku" }, "parameterDefinitions": { "items": { "$ref": "GoogleCloudChannelV1ParameterDefinition" }, "type": "array", "description": "Parameters required to use current Offer to purchase." }, "startTime": { "type": "string", "description": "Start of the Offer validity time.", "format": "google-datetime" } }, "description": "Represents an offer made to resellers for purchase. An offer is associated with a Sku, has a plan for payment, a price, and defines the constraints for buying.", "type": "object", "id": "GoogleCloudChannelV1Offer" }, "GoogleCloudChannelV1CloudIdentityInfo": { "type": "object", "properties": { "primaryDomain": { "type": "string", "readOnly": true, "description": "Output only. The primary domain name." }, "customerType": { "description": "CustomerType indicates verification type needed for using services.", "enumDescriptions": [ "Not used.", "Domain-owning customer which needs domain verification to use services.", "Team customer which needs email verification to use services." ], "type": "string", "enum": [ "CUSTOMER_TYPE_UNSPECIFIED", "DOMAIN", "TEAM" ] }, "eduData": { "description": "Edu information about the customer.", "$ref": "GoogleCloudChannelV1EduData" }, "languageCode": { "description": "Language code.", "type": "string" }, "adminConsoleUri": { "readOnly": true, "type": "string", "description": "Output only. URI of Customer's Admin console dashboard." }, "phoneNumber": { "type": "string", "description": "Phone number associated with the Cloud Identity." }, "isDomainVerified": { "description": "Output only. Whether the domain is verified. This field is not returned for a Customer's cloud_identity_info resource. Partners can use the domains.get() method of the Workspace SDK's Directory API, or listen to the PRIMARY_DOMAIN_VERIFIED Pub/Sub event in to track domain verification of their resolve Workspace customers.", "readOnly": true, "type": "boolean" }, "alternateEmail": { "description": "The alternate email.", "type": "string" } }, "id": "GoogleCloudChannelV1CloudIdentityInfo", "description": "Cloud Identity information for the Cloud Channel Customer." }, "GoogleCloudChannelV1alpha1ProvisionedService": { "type": "object", "description": "Service provisioned for an entitlement.", "id": "GoogleCloudChannelV1alpha1ProvisionedService", "properties": { "provisioningId": { "readOnly": true, "description": "Output only. Provisioning ID of the entitlement. For Google Workspace, this is the underlying Subscription ID. For Google Cloud Platform, this is the Billing Account ID of the billing subaccount.\"", "type": "string" }, "productId": { "type": "string", "description": "Output only. The product pertaining to the provisioning resource as specified in the Offer.", "readOnly": true }, "skuId": { "type": "string", "readOnly": true, "description": "Output only. The SKU pertaining to the provisioning resource as specified in the Offer." } } }, "GoogleCloudChannelV1ListPurchasableOffersResponse": { "id": "GoogleCloudChannelV1ListPurchasableOffersResponse", "type": "object", "properties": { "purchasableOffers": { "description": "The list of Offers requested.", "type": "array", "items": { "$ref": "GoogleCloudChannelV1PurchasableOffer" } }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results." } }, "description": "Response message for ListPurchasableOffers." }, "GoogleCloudChannelV1ParameterDefinition": { "properties": { "parameterType": { "type": "string", "enumDescriptions": [ "Not used.", "Int64 type.", "String type.", "Double type." ], "description": "Data type of the parameter. Minimal value, Maximum value and allowed values will use specified data type here.", "enum": [ "PARAMETER_TYPE_UNSPECIFIED", "INT64", "STRING", "DOUBLE" ] }, "name": { "type": "string", "description": "Name of the parameter." }, "minValue": { "description": "Minimal value of the parameter, if applicable. Inclusive. For example, minimal commitment when purchasing Anthos is 0.01. Applicable to INT64 and DOUBLE parameter types.", "$ref": "GoogleCloudChannelV1Value" }, "allowedValues": { "type": "array", "description": "If not empty, parameter values must be drawn from this list. For example, [us-west1, us-west2, ...] Applicable to STRING parameter type.", "items": { "$ref": "GoogleCloudChannelV1Value" } }, "maxValue": { "description": "Maximum value of the parameter, if applicable. Inclusive. For example, maximum seats when purchasing Google Workspace Business Standard. Applicable to INT64 and DOUBLE parameter types.", "$ref": "GoogleCloudChannelV1Value" }, "optional": { "description": "If set to true, parameter is optional to purchase this Offer.", "type": "boolean" } }, "description": "Parameter's definition. Specifies what parameter is required to use the current Offer to purchase.", "type": "object", "id": "GoogleCloudChannelV1ParameterDefinition" }, "GoogleCloudChannelV1CommitmentSettings": { "type": "object", "description": "Commitment settings for commitment-based offers.", "properties": { "startTime": { "description": "Output only. Commitment start timestamp.", "type": "string", "format": "google-datetime", "readOnly": true }, "endTime": { "type": "string", "description": "Output only. Commitment end timestamp.", "format": "google-datetime", "readOnly": true }, "renewalSettings": { "$ref": "GoogleCloudChannelV1RenewalSettings", "description": "Optional. Renewal settings applicable for a commitment-based Offer." } }, "id": "GoogleCloudChannelV1CommitmentSettings" }, "GoogleCloudChannelV1EduData": { "id": "GoogleCloudChannelV1EduData", "type": "object", "properties": { "instituteType": { "enum": [ "INSTITUTE_TYPE_UNSPECIFIED", "K12", "UNIVERSITY" ], "description": "Designated institute type of customer.", "type": "string", "enumDescriptions": [ "Not used.", "Elementary/Secondary Schools & Districts", "Higher Education Universities & Colleges" ] }, "instituteSize": { "type": "string", "description": "Size of the institute.", "enumDescriptions": [ "Not used.", "1 - 100", "101 - 500", "501 - 1,000", "1,001 - 2,000", "2,001 - 5,000", "5,001 - 10,000", "10,001 +" ], "enum": [ "INSTITUTE_SIZE_UNSPECIFIED", "SIZE_1_100", "SIZE_101_500", "SIZE_501_1000", "SIZE_1001_2000", "SIZE_2001_5000", "SIZE_5001_10000", "SIZE_10001_OR_MORE" ] }, "website": { "description": "Web address for the edu customer's institution.", "type": "string" } }, "description": "Required Edu Attributes" }, "GoogleCloudChannelV1CustomerConstraints": { "type": "object", "description": "Represents constraints required to purchase the Offer for a customer.", "properties": { "allowedCustomerTypes": { "description": "Allowed Customer Type.", "type": "array", "items": { "type": "string", "enum": [ "CUSTOMER_TYPE_UNSPECIFIED", "DOMAIN", "TEAM" ], "enumDescriptions": [ "Not used.", "Domain-owning customer which needs domain verification to use services.", "Team customer which needs email verification to use services." ] } }, "allowedRegions": { "type": "array", "items": { "type": "string" }, "description": "Allowed geographical regions of the customer." }, "promotionalOrderTypes": { "items": { "enumDescriptions": [ "Not used.", "Order used for new customers, trial conversions and upgrades.", "All orders for transferring an existing customer.", "Orders for modifying an existing customer's promotion on the same SKU." ], "type": "string", "enum": [ "PROMOTIONAL_TYPE_UNSPECIFIED", "NEW_UPGRADE", "TRANSFER", "PROMOTION_SWITCH" ] }, "type": "array", "description": "Allowed Promotional Order Type. Present for Promotional offers." } }, "id": "GoogleCloudChannelV1CustomerConstraints" }, "GoogleCloudChannelV1PercentageAdjustment": { "properties": { "percentage": { "description": "The percentage of the bill to adjust. For example: Mark down by 1% =\u003e \"-1.00\" Mark up by 1% =\u003e \"1.00\" Pass-Through =\u003e \"0.00\"", "$ref": "GoogleTypeDecimal" } }, "description": "An adjustment that applies a flat markup or markdown to an entire bill.", "id": "GoogleCloudChannelV1PercentageAdjustment", "type": "object" }, "GoogleCloudChannelV1RegisterSubscriberResponse": { "description": "Response Message for RegisterSubscriber.", "id": "GoogleCloudChannelV1RegisterSubscriberResponse", "type": "object", "properties": { "topic": { "type": "string", "description": "Name of the topic the subscriber will listen to." } } }, "GoogleLongrunningListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse", "properties": { "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "GoogleLongrunningOperation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "type": "object" }, "GoogleCloudChannelV1TransferableSku": { "description": "TransferableSku represents information a reseller needs to view existing provisioned services for a customer that they do not own. Read-only.", "id": "GoogleCloudChannelV1TransferableSku", "type": "object", "properties": { "legacySku": { "description": "Optional. The customer to transfer has an entitlement with the populated legacy SKU.", "$ref": "GoogleCloudChannelV1Sku" }, "transferEligibility": { "description": "Describes the transfer eligibility of a SKU.", "$ref": "GoogleCloudChannelV1TransferEligibility" }, "sku": { "description": "The SKU pertaining to the provisioning resource as specified in the Offer.", "$ref": "GoogleCloudChannelV1Sku" } } }, "GoogleTypeDecimal": { "id": "GoogleTypeDecimal", "description": "A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal. [BigDecimal]: https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/math/BigDecimal.html [decimal.Decimal]: https://docs.python.org/3/library/decimal.html", "properties": { "value": { "type": "string", "description": "The decimal value, as a string. The string representation consists of an optional sign, `+` (`U+002B`) or `-` (`U+002D`), followed by a sequence of zero or more decimal digits (\"the integer\"), optionally followed by a fraction, optionally followed by an exponent. The fraction consists of a decimal point followed by zero or more decimal digits. The string must contain at least one digit in either the integer or the fraction. The number formed by the sign, the integer and the fraction is referred to as the significand. The exponent consists of the character `e` (`U+0065`) or `E` (`U+0045`) followed by one or more decimal digits. Services **should** normalize decimal values before storing them by: - Removing an explicitly-provided `+` sign (`+2.5` -\u003e `2.5`). - Replacing a zero-length integer value with `0` (`.5` -\u003e `0.5`). - Coercing the exponent character to lower-case (`2.5E8` -\u003e `2.5e8`). - Removing an explicitly-provided zero exponent (`2.5e0` -\u003e `2.5`). Services **may** perform additional normalization based on its own needs and the internal decimal implementation selected, such as shifting the decimal point and exponent value together (example: `2.5e-1` \u003c-\u003e `0.25`). Additionally, services **may** preserve trailing zeroes in the fraction to indicate increased precision, but are not required to do so. Note that only the `.` character is supported to divide the integer and the fraction; `,` **should not** be supported regardless of locale. Additionally, thousand separators **should not** be supported. If a service does support them, values **must** be normalized. The ENBF grammar is: DecimalString = [Sign] Significand [Exponent]; Sign = '+' | '-'; Significand = Digits '.' | [Digits] '.' Digits; Exponent = ('e' | 'E') [Sign] Digits; Digits = { '0' | '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9' }; Services **should** clearly document the range of supported values, the maximum supported precision (total number of digits), and, if applicable, the scale (number of digits after the decimal point), as well as how it behaves when receiving out-of-bounds values. Services **may** choose to accept values passed as input even when the value has a higher precision or scale than the service supports, and **should** round the value to fit the supported scale. Alternatively, the service **may** error with `400 Bad Request` (`INVALID_ARGUMENT` in gRPC) if precision would be lost. Services **should** error with `400 Bad Request` (`INVALID_ARGUMENT` in gRPC) if the service receives a value outside of the supported range." } }, "type": "object" }, "GoogleCloudChannelV1ImportCustomerRequest": { "properties": { "domain": { "description": "Required. Customer domain.", "type": "string" }, "overwriteIfExists": { "description": "Required. Choose to overwrite an existing customer if found. This must be set to true if there is an existing customer with a conflicting region code or domain.", "type": "boolean" }, "cloudIdentityId": { "description": "Required. Customer's Cloud Identity ID", "type": "string" }, "authToken": { "description": "Optional. The super admin of the resold customer generates this token to authorize a reseller to access their Cloud Identity and purchase entitlements on their behalf. You can omit this token after authorization. See https://support.google.com/a/answer/7643790 for more details.", "type": "string" }, "customer": { "type": "string", "description": "Optional. Specifies the customer that will receive imported Cloud Identity information. Format: accounts/{account_id}/customers/{customer_id}" }, "channelPartnerId": { "type": "string", "description": "Optional. Cloud Identity ID of a channel partner who will be the direct reseller for the customer's order. This field is required for 2-tier transfer scenarios and can be provided via the request Parent binding as well." } }, "type": "object", "id": "GoogleCloudChannelV1ImportCustomerRequest", "description": "Request message for CloudChannelService.ImportCustomer" }, "GoogleCloudChannelV1ListSubscribersResponse": { "id": "GoogleCloudChannelV1ListSubscribersResponse", "description": "Response Message for ListSubscribers.", "type": "object", "properties": { "topic": { "description": "Name of the topic registered with the reseller.", "type": "string" }, "nextPageToken": { "description": "A token that can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "serviceAccounts": { "description": "List of service accounts which have subscriber access to the topic.", "type": "array", "items": { "type": "string" } } } }, "GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest": { "id": "GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest", "type": "object", "description": "Request message for CloudChannelService.CheckCloudIdentityAccountsExist.", "properties": { "domain": { "description": "Required. Domain to fetch for Cloud Identity account customer.", "type": "string" } } }, "GoogleCloudChannelV1TrialSettings": { "id": "GoogleCloudChannelV1TrialSettings", "description": "Settings for trial offers.", "type": "object", "properties": { "endTime": { "description": "Date when the trial ends. The value is in milliseconds using the UNIX Epoch format. See an example [Epoch converter](https://www.epochconverter.com).", "format": "google-datetime", "type": "string" }, "trial": { "description": "Determines if the entitlement is in a trial or not: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `true` - The entitlement is in trial. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `false` - The entitlement is not in trial.", "type": "boolean" } } }, "GoogleCloudChannelV1alpha1ChannelPartnerEvent": { "description": "Represents Pub/Sub messages about updates to a Channel Partner. You can retrieve updated values through the ChannelPartnerLinks API.", "type": "object", "id": "GoogleCloudChannelV1alpha1ChannelPartnerEvent", "properties": { "channelPartner": { "description": "Resource name for the Channel Partner Link. Channel_partner uses the format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}", "type": "string" }, "eventType": { "type": "string", "enum": [ "TYPE_UNSPECIFIED", "LINK_STATE_CHANGED", "PARTNER_ADVANTAGE_INFO_CHANGED" ], "enumDescriptions": [ "Default value. Does not display if there are no errors.", "The Channel Partner link state changed.", "The Channel Partner's Partner Advantage information changed. This can entail the Channel Partner's authorization to sell a product in a particular region." ], "description": "Type of event performed on the Channel Partner." } } }, "GoogleCloudChannelV1ChannelPartnerLink": { "properties": { "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. Timestamp of when the channel partner link is created." }, "linkState": { "enumDescriptions": [ "Not used.", "An invitation has been sent to the reseller to create a channel partner link.", "Status when the reseller is active.", "Status when the reseller has been revoked by the distributor.", "Status when the reseller is suspended by Google or distributor." ], "type": "string", "description": "Required. State of the channel partner link.", "enum": [ "CHANNEL_PARTNER_LINK_STATE_UNSPECIFIED", "INVITED", "ACTIVE", "REVOKED", "SUSPENDED" ] }, "name": { "description": "Output only. Resource name for the channel partner link, in the format accounts/{account_id}/channelPartnerLinks/{id}.", "type": "string", "readOnly": true }, "channelPartnerCloudIdentityInfo": { "description": "Output only. Cloud Identity info of the channel partner (IR).", "$ref": "GoogleCloudChannelV1CloudIdentityInfo", "readOnly": true }, "resellerCloudIdentityId": { "description": "Required. Cloud Identity ID of the linked reseller.", "type": "string" }, "inviteLinkUri": { "description": "Output only. URI of the web page where partner accepts the link invitation.", "readOnly": true, "type": "string" }, "publicId": { "type": "string", "description": "Output only. Public identifier that a customer must use to generate a transfer token to move to this distributor-reseller combination.", "readOnly": true }, "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. Timestamp of when the channel partner link is updated." } }, "type": "object", "description": "Entity representing a link between distributors and their indirect resellers in an n-tier resale channel.", "id": "GoogleCloudChannelV1ChannelPartnerLink" }, "GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity": { "type": "object", "description": "Applies the repricing configuration at the channel partner level. The channel partner value is derived from the resource name. Takes an empty json object.", "id": "GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity", "properties": {} }, "GoogleCloudChannelV1UnregisterSubscriberResponse": { "type": "object", "properties": { "topic": { "type": "string", "description": "Name of the topic the service account subscriber access was removed from." } }, "id": "GoogleCloudChannelV1UnregisterSubscriberResponse", "description": "Response Message for UnregisterSubscriber." }, "GoogleCloudChannelV1alpha1Parameter": { "properties": { "value": { "description": "Value of the parameter.", "$ref": "GoogleCloudChannelV1alpha1Value" }, "editable": { "readOnly": true, "description": "Output only. Specifies whether this parameter is allowed to be changed. For example, for a Google Workspace Business Starter entitlement in commitment plan, num_units is editable when entitlement is active.", "type": "boolean" }, "name": { "type": "string", "description": "Name of the parameter." } }, "id": "GoogleCloudChannelV1alpha1Parameter", "type": "object", "description": "Definition for extended entitlement parameters." }, "GoogleCloudChannelV1alpha1Entitlement": { "description": "An entitlement is a representation of a customer's ability to use a service.", "id": "GoogleCloudChannelV1alpha1Entitlement", "properties": { "createTime": { "readOnly": true, "description": "Output only. The time at which the entitlement is created.", "type": "string", "format": "google-datetime" }, "updateTime": { "readOnly": true, "description": "Output only. The time at which the entitlement is updated.", "type": "string", "format": "google-datetime" }, "trialSettings": { "readOnly": true, "description": "Output only. Settings for trial offers.", "$ref": "GoogleCloudChannelV1alpha1TrialSettings" }, "offer": { "type": "string", "description": "Required. The offer resource name for which the entitlement is to be created. Takes the form: accounts/{account_id}/offers/{offer_id}." }, "provisioningState": { "readOnly": true, "enum": [ "PROVISIONING_STATE_UNSPECIFIED", "ACTIVE", "CANCELED", "COMPLETE", "PENDING", "SUSPENDED" ], "type": "string", "description": "Output only. Current provisioning state of the entitlement.", "enumDescriptions": [ "Not used.", "The entitlement is currently active.", "The entitlement was canceled. After an entitlement is `CANCELED`, its status will not change. Deprecated: Canceled entitlements will no longer be visible.", "The entitlement reached end of term and was not renewed. After an entitlement is `COMPLETE`, its status will not change. Deprecated: This is represented as ProvisioningState=SUSPENDED and suspensionReason in (TRIAL_ENDED, RENEWAL_WITH_TYPE_CANCEL)", "The entitlement is pending. Deprecated: This is represented as ProvisioningState=SUSPENDED and suspensionReason=PENDING_TOS_ACCEPTANCE", "The entitlement is currently suspended." ] }, "purchaseOrderId": { "type": "string", "description": "Optional. This purchase order (PO) information is for resellers to use for their company tracking usage. If a purchaseOrderId value is given, it appears in the API responses and shows up in the invoice. The property accepts up to 80 plain text characters. This is only supported for Google Workspace entitlements." }, "numUnits": { "type": "integer", "format": "int32", "description": "Number of units for a commitment-based Offer. For example, for seat-based Offers, this would be the number of seats; for license-based Offers, this would be the number of licenses. Required for creating commitment-based Offers. Deprecated: Use `parameters` instead." }, "associationInfo": { "description": "Association information to other entitlements.", "$ref": "GoogleCloudChannelV1alpha1AssociationInfo" }, "maxUnits": { "description": "Maximum number of units for a non commitment-based Offer, such as Flexible, Trial or Free entitlements. For commitment-based entitlements, this is a read-only field, which only the internal support team can update. Deprecated: Use `parameters` instead.", "format": "int32", "type": "integer" }, "assignedUnits": { "description": "The current number of users that are assigned a license for the product defined in provisioned_service.skuId. Read-only. Deprecated: Use `parameters` instead.", "type": "integer", "format": "int32" }, "commitmentSettings": { "$ref": "GoogleCloudChannelV1alpha1CommitmentSettings", "description": "Commitment settings for a commitment-based Offer. Required for commitment based offers." }, "channelPartnerId": { "type": "string", "description": "Cloud Identity ID of a channel partner who will be the direct reseller for the customer's order. This field is generally used in 2-tier ordering, where the order is placed by a top-level distributor on behalf of their channel partner or reseller. Required for distributors. Deprecated: `channel_partner_id` has been moved to the Customer." }, "suspensionReasons": { "readOnly": true, "type": "array", "items": { "type": "string", "enumDescriptions": [ "Not used.", "Entitlement was manually suspended by the Reseller.", "Trial ended.", "Entitlement renewal was canceled.", "Entitlement was automatically suspended on creation for pending ToS acceptance on customer.", "Other reasons (internal reasons, abuse, etc.)." ], "enum": [ "SUSPENSION_REASON_UNSPECIFIED", "RESELLER_INITIATED", "TRIAL_ENDED", "RENEWAL_WITH_TYPE_CANCEL", "PENDING_TOS_ACCEPTANCE", "OTHER" ] }, "description": "Output only. Enumerable of all current suspension reasons for an entitlement." }, "parameters": { "description": "Extended entitlement parameters. When creating an entitlement, valid parameter names and values are defined in the Offer.parameter_definitions. The response may include the following output-only Parameters: - assigned_units: The number of licenses assigned to users. - max_units: The maximum assignable units for a flexible offer. - num_units: The total commitment for commitment-based offers.", "items": { "$ref": "GoogleCloudChannelV1alpha1Parameter" }, "type": "array" }, "provisionedService": { "readOnly": true, "description": "Output only. Service provisioning details for the entitlement.", "$ref": "GoogleCloudChannelV1alpha1ProvisionedService" }, "name": { "description": "Output only. Resource name of an entitlement in the form: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}.", "readOnly": true, "type": "string" } }, "type": "object" }, "GoogleCloudChannelV1ListEntitlementsResponse": { "type": "object", "description": "Response message for CloudChannelService.ListEntitlements.", "id": "GoogleCloudChannelV1ListEntitlementsResponse", "properties": { "entitlements": { "items": { "$ref": "GoogleCloudChannelV1Entitlement" }, "type": "array", "description": "The reseller customer's entitlements." }, "nextPageToken": { "type": "string", "description": "A token to list the next page of results. Pass to ListEntitlementsRequest.page_token to obtain that page." } } }, "GoogleCloudChannelV1ListProductsResponse": { "id": "GoogleCloudChannelV1ListProductsResponse", "type": "object", "description": "Response message for ListProducts.", "properties": { "products": { "items": { "$ref": "GoogleCloudChannelV1Product" }, "description": "List of Products requested.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results." } } }, "GoogleCloudChannelV1SubscriberEvent": { "description": "Represents information which resellers will get as part of notification from Pub/Sub.", "id": "GoogleCloudChannelV1SubscriberEvent", "type": "object", "properties": { "entitlementEvent": { "$ref": "GoogleCloudChannelV1EntitlementEvent", "description": "Entitlement event sent as part of Pub/Sub event to partners." }, "customerEvent": { "description": "Customer event sent as part of Pub/Sub event to partners.", "$ref": "GoogleCloudChannelV1CustomerEvent" } } }, "GoogleCloudChannelV1PurchasableSku": { "properties": { "sku": { "$ref": "GoogleCloudChannelV1Sku", "description": "SKU" } }, "description": "SKU that you can purchase. This is used in ListPurchasableSku API response.", "id": "GoogleCloudChannelV1PurchasableSku", "type": "object" }, "GoogleCloudChannelV1RepricingConfig": { "properties": { "effectiveInvoiceMonth": { "$ref": "GoogleTypeDate", "description": "Required. The YearMonth when these adjustments activate. The Day field needs to be \"0\" since we only accept YearMonth repricing boundaries." }, "adjustment": { "description": "Required. Information about the adjustment.", "$ref": "GoogleCloudChannelV1RepricingAdjustment" }, "channelPartnerGranularity": { "$ref": "GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity", "description": "Applies the repricing configuration at the channel partner level. This is the only supported value for ChannelPartnerRepricingConfig." }, "entitlementGranularity": { "$ref": "GoogleCloudChannelV1RepricingConfigEntitlementGranularity", "description": "Applies the repricing configuration at the entitlement level. This is the only supported value for CustomerRepricingConfig." }, "rebillingBasis": { "type": "string", "description": "Required. The RebillingBasis to use for this bill. Specifies the relative cost based on repricing costs you will apply.", "enumDescriptions": [ "Not used.", "Use the list cost, also known as the MSRP.", "Pass through all discounts except the Reseller Program Discount. If this is the default cost base and no adjustments are specified, the output cost will be exactly what the customer would see if they viewed the bill in the Google Cloud Console." ], "enum": [ "REBILLING_BASIS_UNSPECIFIED", "COST_AT_LIST", "DIRECT_CUSTOMER_COST" ] } }, "type": "object", "id": "GoogleCloudChannelV1RepricingConfig", "description": "Configuration for repricing a Google bill over a period of time." }, "GoogleCloudChannelV1alpha1Period": { "description": "Represents period in days/months/years.", "type": "object", "properties": { "periodType": { "enum": [ "PERIOD_TYPE_UNSPECIFIED", "DAY", "MONTH", "YEAR" ], "type": "string", "enumDescriptions": [ "Not used.", "Day.", "Month.", "Year." ], "description": "Period Type." }, "duration": { "description": "Total duration of Period Type defined.", "format": "int32", "type": "integer" } }, "id": "GoogleCloudChannelV1alpha1Period" }, "GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse": { "properties": { "cloudIdentityAccounts": { "type": "array", "description": "The Cloud Identity accounts associated with the domain.", "items": { "$ref": "GoogleCloudChannelV1CloudIdentityCustomerAccount" } } }, "type": "object", "description": "Response message for CloudChannelService.CheckCloudIdentityAccountsExist.", "id": "GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse" }, "GoogleLongrunningCancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "properties": {}, "id": "GoogleLongrunningCancelOperationRequest", "type": "object" }, "GoogleCloudChannelV1AdminUser": { "id": "GoogleCloudChannelV1AdminUser", "properties": { "email": { "type": "string", "description": "Primary email of the admin user." }, "givenName": { "type": "string", "description": "Given name of the admin user." }, "familyName": { "description": "Family name of the admin user.", "type": "string" } }, "type": "object", "description": "Information needed to create an Admin User for Google Workspace." }, "GoogleCloudChannelV1OperationMetadata": { "description": "Provides contextual information about a google.longrunning.Operation.", "properties": { "operationType": { "type": "string", "enumDescriptions": [ "Not used.", "Long Running Operation was triggered by CreateEntitlement.", "Long Running Operation was triggered by ChangeRenewalSettings.", "Long Running Operation was triggered by StartPaidService.", "Long Running Operation was triggered by ActivateEntitlement.", "Long Running Operation was triggered by SuspendEntitlement.", "Long Running Operation was triggered by CancelEntitlement.", "Long Running Operation was triggered by TransferEntitlements.", "Long Running Operation was triggered by TransferEntitlementsToGoogle.", "Long Running Operation was triggered by ChangeOffer.", "Long Running Operation was triggered by ChangeParameters.", "Long Running Operation was triggered by ProvisionCloudIdentity." ], "enum": [ "OPERATION_TYPE_UNSPECIFIED", "CREATE_ENTITLEMENT", "CHANGE_RENEWAL_SETTINGS", "START_PAID_SERVICE", "ACTIVATE_ENTITLEMENT", "SUSPEND_ENTITLEMENT", "CANCEL_ENTITLEMENT", "TRANSFER_ENTITLEMENTS", "TRANSFER_ENTITLEMENTS_TO_GOOGLE", "CHANGE_OFFER", "CHANGE_PARAMETERS", "PROVISION_CLOUD_IDENTITY" ], "description": "The RPC that initiated this Long Running Operation." } }, "type": "object", "id": "GoogleCloudChannelV1OperationMetadata" }, "GoogleCloudChannelV1EntitlementEvent": { "description": "Represents Pub/Sub message content describing entitlement update.", "id": "GoogleCloudChannelV1EntitlementEvent", "type": "object", "properties": { "entitlement": { "description": "Resource name of an entitlement of the form: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}", "type": "string" }, "eventType": { "description": "Type of event which happened on the entitlement.", "type": "string", "enumDescriptions": [ "Not used.", "A new entitlement was created.", "The offer type associated with an entitlement was changed. This is not triggered if an entitlement converts from a commit offer to a flexible offer as part of a renewal.", "Annual commitment for a commit plan was changed.", "An annual entitlement was renewed.", "Entitlement was suspended.", "Entitlement was unsuspended.", "Entitlement was cancelled.", "Entitlement was upgraded or downgraded (e.g. from Google Workspace Business Standard to Google Workspace Business Plus).", "The renewal settings of an entitlement has changed.", "Paid service has started on trial entitlement.", "License was assigned to or revoked from a user.", "License cap was changed for the entitlement." ], "enum": [ "TYPE_UNSPECIFIED", "CREATED", "PRICE_PLAN_SWITCHED", "COMMITMENT_CHANGED", "RENEWED", "SUSPENDED", "ACTIVATED", "CANCELLED", "SKU_CHANGED", "RENEWAL_SETTING_CHANGED", "PAID_SERVICE_STARTED", "LICENSE_ASSIGNMENT_CHANGED", "LICENSE_CAP_CHANGED" ] } } }, "GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse": { "description": "Response message for CloudChannelService.ListChannelPartnerRepricingConfigs.", "type": "object", "id": "GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass to ListChannelPartnerRepricingConfigsRequest.page_token to obtain that page." }, "channelPartnerRepricingConfigs": { "description": "The repricing configs for this channel partner.", "items": { "$ref": "GoogleCloudChannelV1ChannelPartnerRepricingConfig" }, "type": "array" } } }, "GoogleCloudChannelV1ListSkusResponse": { "type": "object", "id": "GoogleCloudChannelV1ListSkusResponse", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results.", "type": "string" }, "skus": { "description": "The list of SKUs requested.", "type": "array", "items": { "$ref": "GoogleCloudChannelV1Sku" } } }, "description": "Response message for ListSkus." }, "GoogleCloudChannelV1PriceByResource": { "properties": { "pricePhases": { "type": "array", "description": "Specifies the price by time range.", "items": { "$ref": "GoogleCloudChannelV1PricePhase" } }, "price": { "$ref": "GoogleCloudChannelV1Price", "description": "Price of the Offer. Present if there are no price phases." }, "resourceType": { "enumDescriptions": [ "Not used.", "Seat.", "Monthly active user.", "GB (used for storage SKUs).", "Active licensed users(for Voice SKUs).", "Voice usage.", "For IaaS SKUs like Google Cloud Platform, monetization is based on usage accrued on your billing account irrespective of the type of monetizable resource. This enum represents an aggregated resource/container for all usage SKUs on a billing account. Currently, only applicable to Google Cloud Platform.", "For Google Cloud Platform subscriptions like Anthos or SAP." ], "description": "Resource Type. Example: SEAT", "type": "string", "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "SEAT", "MAU", "GB", "LICENSED_USER", "MINUTES", "IAAS_USAGE", "SUBSCRIPTION" ] } }, "id": "GoogleCloudChannelV1PriceByResource", "description": "Represents price by resource type.", "type": "object" }, "GoogleCloudChannelV1MarketingInfo": { "id": "GoogleCloudChannelV1MarketingInfo", "properties": { "displayName": { "type": "string", "description": "Human readable name." }, "defaultLogo": { "$ref": "GoogleCloudChannelV1Media", "description": "Default logo." }, "description": { "type": "string", "description": "Human readable description. Description can contain HTML." } }, "type": "object", "description": "Represents the marketing information for a Product, SKU or Offer." }, "GoogleCloudChannelV1UpdateChannelPartnerLinkRequest": { "type": "object", "description": "Request message for CloudChannelService.UpdateChannelPartnerLink", "id": "GoogleCloudChannelV1UpdateChannelPartnerLinkRequest", "properties": { "channelPartnerLink": { "$ref": "GoogleCloudChannelV1ChannelPartnerLink", "description": "Required. The channel partner link to update. Only channel_partner_link.link_state is allowed for updates." }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Required. The update mask that applies to the resource. The only allowable value for an update mask is channel_partner_link.link_state." } } }, "GoogleCloudChannelV1ProvisionCloudIdentityRequest": { "id": "GoogleCloudChannelV1ProvisionCloudIdentityRequest", "description": "Request message for CloudChannelService.ProvisionCloudIdentity", "type": "object", "properties": { "validateOnly": { "type": "boolean", "description": "Validate the request and preview the review, but do not post it." }, "cloudIdentityInfo": { "$ref": "GoogleCloudChannelV1CloudIdentityInfo", "description": "CloudIdentity-specific customer information." }, "user": { "description": "Admin user information.", "$ref": "GoogleCloudChannelV1AdminUser" } } }, "GoogleCloudChannelV1PricePhase": { "type": "object", "properties": { "periodType": { "enum": [ "PERIOD_TYPE_UNSPECIFIED", "DAY", "MONTH", "YEAR" ], "enumDescriptions": [ "Not used.", "Day.", "Month.", "Year." ], "type": "string", "description": "Defines the phase period type." }, "lastPeriod": { "type": "integer", "format": "int32", "description": "Defines first period for the phase." }, "priceTiers": { "items": { "$ref": "GoogleCloudChannelV1PriceTier" }, "type": "array", "description": "Price by the resource tiers." }, "firstPeriod": { "type": "integer", "description": "Defines first period for the phase.", "format": "int32" }, "price": { "description": "Price of the phase. Present if there are no price tiers.", "$ref": "GoogleCloudChannelV1Price" } }, "description": "Specifies the price by the duration of months. For example, a 20% discount for the first six months, then a 10% discount starting on the seventh month.", "id": "GoogleCloudChannelV1PricePhase" }, "GoogleCloudChannelV1Price": { "properties": { "externalPriceUri": { "type": "string", "description": "Link to external price list, such as link to Google Voice rate card." }, "discount": { "description": "Discount percentage, represented as decimal. For example, a 20% discount will be represent as 0.2.", "format": "double", "type": "number" }, "effectivePrice": { "$ref": "GoogleTypeMoney", "description": "Effective Price after applying the discounts." }, "basePrice": { "description": "Base price.", "$ref": "GoogleTypeMoney" } }, "id": "GoogleCloudChannelV1Price", "description": "Represents the price of the Offer.", "type": "object" }, "GoogleCloudChannelV1Constraints": { "description": "Represents the constraints for buying the Offer.", "properties": { "customerConstraints": { "$ref": "GoogleCloudChannelV1CustomerConstraints", "description": "Represents constraints required to purchase the Offer for a customer." } }, "id": "GoogleCloudChannelV1Constraints", "type": "object" }, "GoogleCloudChannelV1ListCustomerRepricingConfigsResponse": { "description": "Response message for CloudChannelService.ListCustomerRepricingConfigs.", "properties": { "customerRepricingConfigs": { "items": { "$ref": "GoogleCloudChannelV1CustomerRepricingConfig" }, "type": "array", "description": "The repricing configs for this channel partner." }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass to ListCustomerRepricingConfigsRequest.page_token to obtain that page." } }, "id": "GoogleCloudChannelV1ListCustomerRepricingConfigsResponse", "type": "object" }, "GoogleCloudChannelV1TransferEntitlementsToGoogleRequest": { "type": "object", "id": "GoogleCloudChannelV1TransferEntitlementsToGoogleRequest", "description": "Request message for CloudChannelService.TransferEntitlementsToGoogle.", "properties": { "requestId": { "type": "string", "description": "Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`)." }, "entitlements": { "items": { "$ref": "GoogleCloudChannelV1Entitlement" }, "description": "Required. The entitlements to transfer to Google.", "type": "array" } } }, "GoogleCloudChannelV1CancelEntitlementRequest": { "properties": { "requestId": { "type": "string", "description": "Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`)." } }, "id": "GoogleCloudChannelV1CancelEntitlementRequest", "type": "object", "description": "Request message for CloudChannelService.CancelEntitlement." }, "GoogleCloudChannelV1CustomerRepricingConfig": { "type": "object", "description": "Configuration for how a reseller will reprice a Customer.", "properties": { "updateTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Timestamp of an update to the repricing rule. If `update_time` is after RepricingConfig.effective_invoice_month then it indicates this was set mid-month." }, "repricingConfig": { "description": "Required. The configuration for bill modifications made by a reseller before sending it to customers.", "$ref": "GoogleCloudChannelV1RepricingConfig" }, "name": { "description": "Output only. Resource name of the CustomerRepricingConfig. Format: accounts/{account_id}/customers/{customer_id}/customerRepricingConfigs/{id}.", "readOnly": true, "type": "string" } }, "id": "GoogleCloudChannelV1CustomerRepricingConfig" }, "GoogleCloudChannelV1ContactInfo": { "properties": { "firstName": { "type": "string", "description": "The customer account contact's first name. Optional for Team customers." }, "lastName": { "description": "The customer account contact's last name. Optional for Team customers.", "type": "string" }, "email": { "type": "string", "description": "The customer account's contact email. Required for entitlements that create admin.google.com accounts, and serves as the customer's username for those accounts. Use this email to invite Team customers." }, "displayName": { "type": "string", "readOnly": true, "description": "Output only. The customer account contact's display name, formatted as a combination of the customer's first and last name." }, "phone": { "description": "The customer account's contact phone number.", "type": "string" }, "title": { "type": "string", "description": "Optional. The customer account contact's job title." } }, "description": "Contact information for a customer account.", "id": "GoogleCloudChannelV1ContactInfo", "type": "object" }, "GoogleProtobufEmpty": { "id": "GoogleProtobufEmpty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "properties": {} }, "GoogleCloudChannelV1Product": { "type": "object", "id": "GoogleCloudChannelV1Product", "properties": { "name": { "type": "string", "description": "Resource Name of the Product. Format: products/{product_id}" }, "marketingInfo": { "description": "Marketing information for the product.", "$ref": "GoogleCloudChannelV1MarketingInfo" } }, "description": "A Product is the entity a customer uses when placing an order. For example, Google Workspace, Google Voice, etc." }, "GoogleCloudChannelV1Parameter": { "description": "Definition for extended entitlement parameters.", "type": "object", "id": "GoogleCloudChannelV1Parameter", "properties": { "name": { "description": "Name of the parameter.", "type": "string" }, "editable": { "readOnly": true, "description": "Output only. Specifies whether this parameter is allowed to be changed. For example, for a Google Workspace Business Starter entitlement in commitment plan, num_units is editable when entitlement is active.", "type": "boolean" }, "value": { "$ref": "GoogleCloudChannelV1Value", "description": "Value of the parameter." } } }, "GoogleCloudChannelV1ListTransferableOffersResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass to ListTransferableOffersRequest.page_token to obtain that page." }, "transferableOffers": { "description": "Information about Offers for a customer that can be used for transfer.", "items": { "$ref": "GoogleCloudChannelV1TransferableOffer" }, "type": "array" } }, "id": "GoogleCloudChannelV1ListTransferableOffersResponse", "type": "object", "description": "Response message for CloudChannelService.ListTransferableOffers." }, "GoogleCloudChannelV1TransferEntitlementsResponse": { "type": "object", "id": "GoogleCloudChannelV1TransferEntitlementsResponse", "properties": { "entitlements": { "type": "array", "description": "The transferred entitlements.", "items": { "$ref": "GoogleCloudChannelV1Entitlement" } } }, "description": "Response message for CloudChannelService.TransferEntitlements. This is put in the response field of google.longrunning.Operation." }, "GoogleCloudChannelV1ChangeParametersRequest": { "description": "Request message for CloudChannelService.ChangeParametersRequest.", "properties": { "purchaseOrderId": { "type": "string", "description": "Optional. Purchase order ID provided by the reseller." }, "requestId": { "description": "Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).", "type": "string" }, "parameters": { "type": "array", "items": { "$ref": "GoogleCloudChannelV1Parameter" }, "description": "Required. Entitlement parameters to update. You can only change editable parameters. To view the available Parameters for a request, refer to the Offer.parameter_definitions from the desired offer." } }, "type": "object", "id": "GoogleCloudChannelV1ChangeParametersRequest" }, "GoogleTypeDate": { "id": "GoogleTypeDate", "properties": { "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "type": "integer", "format": "int32" }, "month": { "type": "integer", "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." }, "day": { "type": "integer", "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant." } }, "type": "object", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp" }, "GoogleCloudChannelV1RepricingAdjustment": { "description": "A type that represents the various adjustments you can apply to a bill.", "id": "GoogleCloudChannelV1RepricingAdjustment", "properties": { "percentageAdjustment": { "$ref": "GoogleCloudChannelV1PercentageAdjustment", "description": "Flat markup or markdown on an entire bill." } }, "type": "object" }, "GoogleTypePostalAddress": { "description": "Represents a postal address, e.g. for postal delivery or payments addresses. Given a postal address, a postal service can deliver items to a premise, P.O. Box or similar. It is not intended to model geographical locations (roads, towns, mountains). In typical usage an address would be created via user input or from importing existing data, depending on the type of process. Advice on address input / editing: - Use an internationalization-ready address widget such as https://github.com/google/libaddressinput) - Users should not be presented with UI elements for input or editing of fields outside countries where that field is used. For more guidance on how to use this schema, please see: https://support.google.com/business/answer/6397478", "type": "object", "id": "GoogleTypePostalAddress", "properties": { "sublocality": { "type": "string", "description": "Optional. Sublocality of the address. For example, this can be neighborhoods, boroughs, districts." }, "locality": { "description": "Optional. Generally refers to the city/town portion of the address. Examples: US city, IT comune, UK post town. In regions of the world where localities are not well defined or do not fit into this structure well, leave locality empty and use address_lines.", "type": "string" }, "languageCode": { "type": "string", "description": "Optional. BCP-47 language code of the contents of this address (if known). This is often the UI language of the input form or is expected to match one of the languages used in the address' country/region, or their transliterated equivalents. This can affect formatting in certain countries, but is not critical to the correctness of the data and will never affect any validation or other non-formatting related operations. If this value is not known, it should be omitted (rather than specifying a possibly incorrect default). Examples: \"zh-Hant\", \"ja\", \"ja-Latn\", \"en\"." }, "recipients": { "type": "array", "description": "Optional. The recipient at the address. This field may, under certain circumstances, contain multiline information. For example, it might contain \"care of\" information.", "items": { "type": "string" } }, "organization": { "description": "Optional. The name of the organization at the address.", "type": "string" }, "postalCode": { "type": "string", "description": "Optional. Postal code of the address. Not all countries use or require postal codes to be present, but where they are used, they may trigger additional validation with other parts of the address (e.g. state/zip validation in the U.S.A.)." }, "regionCode": { "description": "Required. CLDR region code of the country/region of the address. This is never inferred and it is up to the user to ensure the value is correct. See https://cldr.unicode.org/ and https://www.unicode.org/cldr/charts/30/supplemental/territory_information.html for details. Example: \"CH\" for Switzerland.", "type": "string" }, "addressLines": { "type": "array", "description": "Unstructured address lines describing the lower levels of an address. Because values in address_lines do not have type information and may sometimes contain multiple values in a single field (e.g. \"Austin, TX\"), it is important that the line order is clear. The order of address lines should be \"envelope order\" for the country/region of the address. In places where this can vary (e.g. Japan), address_language is used to make it explicit (e.g. \"ja\" for large-to-small ordering and \"ja-Latn\" or \"en\" for small-to-large). This way, the most specific line of an address can be selected based on the language. The minimum permitted structural representation of an address consists of a region_code with all remaining information placed in the address_lines. It would be possible to format such an address very approximately without geocoding, but no semantic reasoning could be made about any of the address components until it was at least partially resolved. Creating an address only containing a region_code and address_lines, and then geocoding is the recommended way to handle completely unstructured addresses (as opposed to guessing which parts of the address should be localities or administrative areas).", "items": { "type": "string" } }, "administrativeArea": { "description": "Optional. Highest administrative subdivision which is used for postal addresses of a country or region. For example, this can be a state, a province, an oblast, or a prefecture. Specifically, for Spain this is the province and not the autonomous community (e.g. \"Barcelona\" and not \"Catalonia\"). Many countries don't use an administrative area in postal addresses. E.g. in Switzerland this should be left unpopulated.", "type": "string" }, "sortingCode": { "description": "Optional. Additional, country-specific, sorting code. This is not used in most regions. Where it is used, the value is either a string like \"CEDEX\", optionally followed by a number (e.g. \"CEDEX 7\"), or just a number alone, representing the \"sector code\" (Jamaica), \"delivery area indicator\" (Malawi) or \"post office indicator\" (e.g. Côte d'Ivoire).", "type": "string" }, "revision": { "description": "The schema revision of the `PostalAddress`. This must be set to 0, which is the latest revision. All new revisions **must** be backward compatible with old revisions.", "type": "integer", "format": "int32" } } }, "GoogleCloudChannelV1ListTransferableSkusResponse": { "description": "Response message for CloudChannelService.ListTransferableSkus.", "type": "object", "id": "GoogleCloudChannelV1ListTransferableSkusResponse", "properties": { "transferableSkus": { "description": "Information about existing SKUs for a customer that needs a transfer.", "items": { "$ref": "GoogleCloudChannelV1TransferableSku" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass to ListTransferableSkusRequest.page_token to obtain that page." } } }, "GoogleCloudChannelV1CloudIdentityCustomerAccount": { "id": "GoogleCloudChannelV1CloudIdentityCustomerAccount", "properties": { "customerName": { "description": "If owned = true, the name of the customer that owns the Cloud Identity account. Customer_name uses the format: accounts/{account_id}/customers/{customer_id}", "type": "string" }, "existing": { "description": "Returns true if a Cloud Identity account exists for a specific domain.", "type": "boolean" }, "customerCloudIdentityId": { "description": "If existing = true, the Cloud Identity ID of the customer.", "type": "string" }, "owned": { "description": "Returns true if the Cloud Identity account is associated with a customer of the Channel Services partner.", "type": "boolean" } }, "type": "object", "description": "Entity representing a Cloud Identity account that may be associated with a Channel Services API partner." }, "GoogleCloudChannelV1TransferEntitlementsRequest": { "id": "GoogleCloudChannelV1TransferEntitlementsRequest", "description": "Request message for CloudChannelService.TransferEntitlements.", "properties": { "requestId": { "type": "string", "description": "Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`)." }, "entitlements": { "items": { "$ref": "GoogleCloudChannelV1Entitlement" }, "type": "array", "description": "Required. The new entitlements to create or transfer." }, "authToken": { "type": "string", "description": "The super admin of the resold customer generates this token to authorize a reseller to access their Cloud Identity and purchase entitlements on their behalf. You can omit this token after authorization. See https://support.google.com/a/answer/7643790 for more details." } }, "type": "object" }, "GoogleCloudChannelV1ListOffersResponse": { "id": "GoogleCloudChannelV1ListOffersResponse", "type": "object", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results.", "type": "string" }, "offers": { "description": "The list of Offers requested.", "type": "array", "items": { "$ref": "GoogleCloudChannelV1Offer" } } }, "description": "Response message for ListOffers." }, "GoogleCloudChannelV1CustomerEvent": { "type": "object", "properties": { "customer": { "type": "string", "description": "Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}" }, "eventType": { "description": "Type of event which happened on the customer.", "type": "string", "enumDescriptions": [ "Not used.", "Primary domain for customer was changed.", "Primary domain of the customer has been verified." ], "enum": [ "TYPE_UNSPECIFIED", "PRIMARY_DOMAIN_CHANGED", "PRIMARY_DOMAIN_VERIFIED" ] } }, "id": "GoogleCloudChannelV1CustomerEvent", "description": "Represents Pub/Sub message content describing customer update." }, "GoogleCloudChannelV1RegisterSubscriberRequest": { "description": "Request Message for RegisterSubscriber.", "type": "object", "id": "GoogleCloudChannelV1RegisterSubscriberRequest", "properties": { "serviceAccount": { "description": "Required. Service account that provides subscriber access to the registered topic.", "type": "string" } } }, "GoogleCloudChannelV1Customer": { "properties": { "orgPostalAddress": { "$ref": "GoogleTypePostalAddress", "description": "Required. The organization address for the customer. To enforce US laws and embargoes, we require a region and zip code. You must provide valid addresses for every customer. To set the customer's language, use the Customer-level language code." }, "cloudIdentityId": { "type": "string", "readOnly": true, "description": "Output only. The customer's Cloud Identity ID if the customer has a Cloud Identity resource." }, "updateTime": { "description": "Output only. Time when the customer was updated.", "format": "google-datetime", "readOnly": true, "type": "string" }, "orgDisplayName": { "description": "Required. Name of the organization that the customer entity represents.", "type": "string" }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. Time when the customer was created." }, "channelPartnerId": { "description": "Cloud Identity ID of the customer's channel partner. Populated only if a channel partner exists for this customer.", "type": "string" }, "cloudIdentityInfo": { "readOnly": true, "$ref": "GoogleCloudChannelV1CloudIdentityInfo", "description": "Output only. Cloud Identity information for the customer. Populated only if a Cloud Identity account exists for this customer." }, "name": { "type": "string", "readOnly": true, "description": "Output only. Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}" }, "primaryContactInfo": { "$ref": "GoogleCloudChannelV1ContactInfo", "description": "Primary contact info." }, "domain": { "type": "string", "description": "Required. The customer's primary domain. Must match the primary contact email's domain." }, "languageCode": { "type": "string", "description": "Optional. The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see https://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "alternateEmail": { "description": "Secondary contact email. You need to provide an alternate email to create different domains if a primary contact email already exists. Users will receive a notification with credentials when you create an admin.google.com account. Secondary emails are also recovery email addresses. Alternate emails are optional when you create Team customers.", "type": "string" } }, "id": "GoogleCloudChannelV1Customer", "type": "object", "description": "Entity representing a customer of a reseller or distributor." }, "GoogleCloudChannelV1PriceTier": { "properties": { "firstResource": { "description": "First resource for which the tier price applies.", "format": "int32", "type": "integer" }, "lastResource": { "type": "integer", "description": "Last resource for which the tier price applies.", "format": "int32" }, "price": { "$ref": "GoogleCloudChannelV1Price", "description": "Price of the tier." } }, "type": "object", "description": "Defines price at resource tier level. For example, an offer with following definition : LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Tier 1: Provide 25% discount for all seats between 1 and 25. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Tier 2: Provide 10% discount for all seats between 26 and 100. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Tier 3: Provide flat 15% discount for all seats above 100. Each of these tiers is represented as a PriceTier.", "id": "GoogleCloudChannelV1PriceTier" }, "GoogleCloudChannelV1alpha1EntitlementEvent": { "id": "GoogleCloudChannelV1alpha1EntitlementEvent", "properties": { "entitlement": { "type": "string", "description": "Resource name of an entitlement of the form: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}" }, "eventType": { "enumDescriptions": [ "Not used.", "A new entitlement was created.", "The offer type associated with an entitlement was changed. This is not triggered if an entitlement converts from a commit offer to a flexible offer as part of a renewal.", "Annual commitment for a commit plan was changed.", "An annual entitlement was renewed.", "Entitlement was suspended.", "Entitlement was unsuspended.", "Entitlement was cancelled.", "Entitlement was upgraded or downgraded (e.g. from Google Workspace Business Standard to Google Workspace Business Plus).", "The renewal settings of an entitlement has changed.", "Paid service has started on trial entitlement.", "License was assigned to or revoked from a user.", "License cap was changed for the entitlement." ], "type": "string", "description": "Type of event which happened on the entitlement.", "enum": [ "TYPE_UNSPECIFIED", "CREATED", "PRICE_PLAN_SWITCHED", "COMMITMENT_CHANGED", "RENEWED", "SUSPENDED", "ACTIVATED", "CANCELLED", "SKU_CHANGED", "RENEWAL_SETTING_CHANGED", "PAID_SERVICE_STARTED", "LICENSE_ASSIGNMENT_CHANGED", "LICENSE_CAP_CHANGED" ] } }, "description": "Represents Pub/Sub message content describing entitlement update.", "type": "object" }, "GoogleCloudChannelV1RepricingConfigEntitlementGranularity": { "description": "Applies the repricing configuration at the entitlement level.", "type": "object", "id": "GoogleCloudChannelV1RepricingConfigEntitlementGranularity", "properties": { "entitlement": { "description": "Resource name of the entitlement. Format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}", "type": "string" } } }, "GoogleTypeMoney": { "type": "object", "properties": { "currencyCode": { "description": "The three-letter currency code defined in ISO 4217.", "type": "string" }, "units": { "type": "string", "format": "int64", "description": "The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar." }, "nanos": { "description": "Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.", "type": "integer", "format": "int32" } }, "id": "GoogleTypeMoney", "description": "Represents an amount of money with its currency type." }, "GoogleCloudChannelV1Plan": { "properties": { "paymentCycle": { "$ref": "GoogleCloudChannelV1Period", "description": "Describes how frequently the reseller will be billed, such as once per month." }, "trialPeriod": { "$ref": "GoogleCloudChannelV1Period", "description": "Present for Offers with a trial period. For trial-only Offers, a paid service needs to start before the trial period ends for continued service. For Regular Offers with a trial period, the regular pricing goes into effect when trial period ends, or if paid service is started before the end of the trial period." }, "billingAccount": { "description": "Reseller Billing account to charge after an offer transaction. Only present for Google Cloud Platform offers.", "type": "string" }, "paymentType": { "enumDescriptions": [ "Not used.", "Prepay. Amount has to be paid before service is rendered.", "Postpay. Reseller is charged at the end of the Payment cycle." ], "enum": [ "PAYMENT_TYPE_UNSPECIFIED", "PREPAY", "POSTPAY" ], "description": "Specifies when the payment needs to happen.", "type": "string" }, "paymentPlan": { "enumDescriptions": [ "Not used.", "Commitment.", "No commitment.", "Free.", "Trial.", "Price and ordering not available through API." ], "enum": [ "PAYMENT_PLAN_UNSPECIFIED", "COMMITMENT", "FLEXIBLE", "FREE", "TRIAL", "OFFLINE" ], "type": "string", "description": "Describes how a reseller will be billed." } }, "description": "The payment plan for the Offer. Describes how to make a payment.", "id": "GoogleCloudChannelV1Plan", "type": "object" }, "GoogleCloudChannelV1TransferableOffer": { "id": "GoogleCloudChannelV1TransferableOffer", "description": "TransferableOffer represents an Offer that can be used in Transfer. Read-only.", "properties": { "offer": { "$ref": "GoogleCloudChannelV1Offer", "description": "Offer with parameter constraints updated to allow the Transfer." } }, "type": "object" }, "GoogleCloudChannelV1ListTransferableSkusRequest": { "id": "GoogleCloudChannelV1ListTransferableSkusRequest", "properties": { "cloudIdentityId": { "description": "Customer's Cloud Identity ID", "type": "string" }, "authToken": { "type": "string", "description": "The super admin of the resold customer generates this token to authorize a reseller to access their Cloud Identity and purchase entitlements on their behalf. You can omit this token after authorization. See https://support.google.com/a/answer/7643790 for more details." }, "pageToken": { "description": "A token for a page of results other than the first page. Obtained using ListTransferableSkusResponse.next_page_token of the previous CloudChannelService.ListTransferableSkus call. Optional.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "The requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 SKUs. The maximum value is 1000; the server will coerce values above 1000. Optional." }, "customerName": { "description": "A reseller is required to create a customer and use the resource name of the created customer here. Customer_name uses the format: accounts/{account_id}/customers/{customer_id}", "type": "string" }, "languageCode": { "type": "string", "description": "The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\". Optional." } }, "description": "Request message for CloudChannelService.ListTransferableSkus", "type": "object" }, "GoogleCloudChannelV1ListPurchasableSkusResponse": { "description": "Response message for ListPurchasableSkus.", "type": "object", "id": "GoogleCloudChannelV1ListPurchasableSkusResponse", "properties": { "purchasableSkus": { "type": "array", "description": "The list of SKUs requested.", "items": { "$ref": "GoogleCloudChannelV1PurchasableSku" } }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results." } } }, "GoogleCloudChannelV1Value": { "properties": { "doubleValue": { "description": "Represents a double value.", "format": "double", "type": "number" }, "boolValue": { "type": "boolean", "description": "Represents a boolean value." }, "stringValue": { "type": "string", "description": "Represents a string value." }, "int64Value": { "description": "Represents an int64 value.", "type": "string", "format": "int64" }, "protoValue": { "description": "Represents an 'Any' proto value.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "description": "Data type and value of a parameter.", "type": "object", "id": "GoogleCloudChannelV1Value" }, "GoogleCloudChannelV1StartPaidServiceRequest": { "properties": { "requestId": { "description": "Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).", "type": "string" } }, "description": "Request message for CloudChannelService.StartPaidService.", "type": "object", "id": "GoogleCloudChannelV1StartPaidServiceRequest" }, "GoogleCloudChannelV1ChangeOfferRequest": { "properties": { "offer": { "description": "Required. New Offer. Format: accounts/{account_id}/offers/{offer_id}.", "type": "string" }, "requestId": { "type": "string", "description": "Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`)." }, "purchaseOrderId": { "description": "Optional. Purchase order id provided by the reseller.", "type": "string" }, "parameters": { "items": { "$ref": "GoogleCloudChannelV1Parameter" }, "description": "Optional. Parameters needed to purchase the Offer. To view the available Parameters refer to the Offer.parameter_definitions from the desired offer.", "type": "array" } }, "id": "GoogleCloudChannelV1ChangeOfferRequest", "description": "Request message for CloudChannelService.ChangeOffer.", "type": "object" }, "GoogleCloudChannelV1SuspendEntitlementRequest": { "type": "object", "description": "Request message for CloudChannelService.SuspendEntitlement.", "properties": { "requestId": { "description": "Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).", "type": "string" } }, "id": "GoogleCloudChannelV1SuspendEntitlementRequest" }, "GoogleCloudChannelV1alpha1RenewalSettings": { "id": "GoogleCloudChannelV1alpha1RenewalSettings", "type": "object", "properties": { "resizeUnitCount": { "description": "If true and enable_renewal = true, the unit (for example seats or licenses) will be set to the number of active units at renewal time.", "type": "boolean" }, "paymentCycle": { "description": "Describes how frequently the reseller will be billed, such as once per month.", "$ref": "GoogleCloudChannelV1alpha1Period" }, "paymentPlan": { "enum": [ "PAYMENT_PLAN_UNSPECIFIED", "COMMITMENT", "FLEXIBLE", "FREE", "TRIAL", "OFFLINE" ], "enumDescriptions": [ "Not used.", "Commitment.", "No commitment.", "Free.", "Trial.", "Price and ordering not available through API." ], "type": "string", "description": "Describes how a reseller will be billed." }, "enableRenewal": { "type": "boolean", "description": "If false, the plan will be completed at the end date." }, "paymentOption": { "type": "string", "enumDescriptions": [ "Not used.", "Paid in yearly installments.", "Paid in monthly installments." ], "enum": [ "PAYMENT_OPTION_UNSPECIFIED", "ANNUAL", "MONTHLY" ], "description": "Set if enable_renewal=true. Deprecated: Use `payment_cycle` instead." }, "disableCommitment": { "type": "boolean", "description": "If true, disables commitment-based offer on renewal and switches to flexible or pay as you go. Deprecated: Use `payment_plan` instead." } }, "description": "Renewal settings for renewable Offers." }, "GoogleCloudChannelV1ChannelPartnerRepricingConfig": { "properties": { "repricingConfig": { "$ref": "GoogleCloudChannelV1RepricingConfig", "description": "Required. The configuration for bill modifications made by a reseller before sending it to ChannelPartner." }, "updateTime": { "readOnly": true, "type": "string", "description": "Output only. Timestamp of an update to the repricing rule. If `update_time` is after RepricingConfig.effective_invoice_month then it indicates this was set mid-month.", "format": "google-datetime" }, "name": { "readOnly": true, "type": "string", "description": "Output only. Resource name of the ChannelPartnerRepricingConfig. Format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}/channelPartnerRepricingConfigs/{id}." } }, "type": "object", "id": "GoogleCloudChannelV1ChannelPartnerRepricingConfig", "description": "Configuration for how a distributor will rebill a channel partner (also known as a distributor-authorized reseller)." }, "GoogleCloudChannelV1Media": { "id": "GoogleCloudChannelV1Media", "type": "object", "description": "Represents media information.", "properties": { "type": { "enum": [ "MEDIA_TYPE_UNSPECIFIED", "MEDIA_TYPE_IMAGE" ], "description": "Type of the media.", "enumDescriptions": [ "Not used.", "Type of image." ], "type": "string" }, "title": { "type": "string", "description": "Title of the media." }, "content": { "type": "string", "description": "URL of the media." } } }, "GoogleCloudChannelV1Entitlement": { "properties": { "parameters": { "type": "array", "description": "Extended entitlement parameters. When creating an entitlement, valid parameter names and values are defined in the Offer.parameter_definitions. The response may include the following output-only Parameters: - assigned_units: The number of licenses assigned to users. - max_units: The maximum assignable units for a flexible offer. - num_units: The total commitment for commitment-based offers.", "items": { "$ref": "GoogleCloudChannelV1Parameter" } }, "purchaseOrderId": { "type": "string", "description": "Optional. This purchase order (PO) information is for resellers to use for their company tracking usage. If a purchaseOrderId value is given, it appears in the API responses and shows up in the invoice. The property accepts up to 80 plain text characters. This is only supported for Google Workspace entitlements." }, "provisioningState": { "readOnly": true, "description": "Output only. Current provisioning state of the entitlement.", "type": "string", "enumDescriptions": [ "Not used.", "The entitlement is currently active.", "The entitlement is currently suspended." ], "enum": [ "PROVISIONING_STATE_UNSPECIFIED", "ACTIVE", "SUSPENDED" ] }, "provisionedService": { "$ref": "GoogleCloudChannelV1ProvisionedService", "readOnly": true, "description": "Output only. Service provisioning details for the entitlement." }, "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The time at which the entitlement is created." }, "associationInfo": { "$ref": "GoogleCloudChannelV1AssociationInfo", "description": "Association information to other entitlements." }, "name": { "readOnly": true, "type": "string", "description": "Output only. Resource name of an entitlement in the form: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}." }, "commitmentSettings": { "description": "Commitment settings for a commitment-based Offer. Required for commitment based offers.", "$ref": "GoogleCloudChannelV1CommitmentSettings" }, "trialSettings": { "$ref": "GoogleCloudChannelV1TrialSettings", "description": "Output only. Settings for trial offers.", "readOnly": true }, "suspensionReasons": { "items": { "enum": [ "SUSPENSION_REASON_UNSPECIFIED", "RESELLER_INITIATED", "TRIAL_ENDED", "RENEWAL_WITH_TYPE_CANCEL", "PENDING_TOS_ACCEPTANCE", "OTHER" ], "type": "string", "enumDescriptions": [ "Not used.", "Entitlement was manually suspended by the Reseller.", "Trial ended.", "Entitlement renewal was canceled.", "Entitlement was automatically suspended on creation for pending ToS acceptance on customer.", "Other reasons (internal reasons, abuse, etc.)." ] }, "description": "Output only. Enumerable of all current suspension reasons for an entitlement.", "readOnly": true, "type": "array" }, "offer": { "type": "string", "description": "Required. The offer resource name for which the entitlement is to be created. Takes the form: accounts/{account_id}/offers/{offer_id}." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time at which the entitlement is updated.", "readOnly": true } }, "type": "object", "description": "An entitlement is a representation of a customer's ability to use a service.", "id": "GoogleCloudChannelV1Entitlement" }, "GoogleCloudChannelV1alpha1Value": { "description": "Data type and value of a parameter.", "properties": { "int64Value": { "format": "int64", "type": "string", "description": "Represents an int64 value." }, "stringValue": { "description": "Represents a string value.", "type": "string" }, "protoValue": { "type": "object", "description": "Represents an 'Any' proto value.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "doubleValue": { "type": "number", "description": "Represents a double value.", "format": "double" }, "boolValue": { "description": "Represents a boolean value.", "type": "boolean" } }, "id": "GoogleCloudChannelV1alpha1Value", "type": "object" }, "GoogleCloudChannelV1PurchasableOffer": { "description": "Offer that you can purchase for a customer. This is used in the ListPurchasableOffer API response.", "type": "object", "properties": { "offer": { "description": "Offer.", "$ref": "GoogleCloudChannelV1Offer" } }, "id": "GoogleCloudChannelV1PurchasableOffer" }, "GoogleCloudChannelV1ChangeRenewalSettingsRequest": { "properties": { "requestId": { "description": "Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).", "type": "string" }, "renewalSettings": { "description": "Required. New renewal settings.", "$ref": "GoogleCloudChannelV1RenewalSettings" } }, "type": "object", "id": "GoogleCloudChannelV1ChangeRenewalSettingsRequest", "description": "Request message for CloudChannelService.ChangeRenewalSettings." }, "GoogleCloudChannelV1alpha1SubscriberEvent": { "properties": { "customerEvent": { "$ref": "GoogleCloudChannelV1alpha1CustomerEvent", "description": "Customer event sent as part of Pub/Sub event to partners." }, "entitlementEvent": { "$ref": "GoogleCloudChannelV1alpha1EntitlementEvent", "description": "Entitlement event sent as part of Pub/Sub event to partners." }, "channelPartnerEvent": { "$ref": "GoogleCloudChannelV1alpha1ChannelPartnerEvent", "description": "Channel Partner event sent as part of Pub/Sub event to partners." } }, "id": "GoogleCloudChannelV1alpha1SubscriberEvent", "description": "Represents information which resellers will get as part of notification from Pub/Sub.", "type": "object" } }, "batchPath": "batch", "parameters": { "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "default": "json", "type": "string", "location": "query" } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "documentationLink": "https://cloud.google.com/channel", "ownerName": "Google", "baseUrl": "https://cloudchannel.googleapis.com/", "kind": "discovery#restDescription", "title": "Cloud Channel API", "version_module": true, "description": "The Cloud Channel API enables Google Cloud partners to have a single unified resale platform and APIs across all of Google Cloud including GCP, Workspace, Maps and Chrome.", "rootUrl": "https://cloudchannel.googleapis.com/", "resources": { "products": { "resources": { "skus": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "id": "cloudchannel.products.skus.list", "response": { "$ref": "GoogleCloudChannelV1ListSkusResponse" }, "description": "Lists the SKUs for a product the reseller is authorized to sell. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid.", "flatPath": "v1/products/{productsId}/skus", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/skus", "parameters": { "account": { "location": "query", "type": "string", "description": "Required. Resource name of the reseller. Format: accounts/{account_id}." }, "pageSize": { "description": "Optional. Requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 SKUs. The maximum value is 1000; the server will coerce values above 1000.", "format": "int32", "type": "integer", "location": "query" }, "languageCode": { "description": "Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\".", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. A token for a page of results other than the first page. Optional." }, "parent": { "location": "path", "pattern": "^products/[^/]+$", "required": true, "type": "string", "description": "Required. The resource name of the Product to list SKUs for. Parent uses the format: products/{product_id}. Supports products/- to retrieve SKUs for all products." } }, "httpMethod": "GET" } } } }, "methods": { "list": { "parameters": { "pageSize": { "type": "integer", "description": "Optional. Requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 Products. The maximum value is 1000; the server will coerce values above 1000.", "format": "int32", "location": "query" }, "languageCode": { "description": "Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\".", "type": "string", "location": "query" }, "pageToken": { "description": "Optional. A token for a page of results other than the first page.", "type": "string", "location": "query" }, "account": { "location": "query", "description": "Required. The resource name of the reseller account. Format: accounts/{account_id}.", "type": "string" } }, "id": "cloudchannel.products.list", "path": "v1/products", "description": "Lists the Products the reseller is authorized to sell. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid.", "response": { "$ref": "GoogleCloudChannelV1ListProductsResponse" }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "httpMethod": "GET", "parameterOrder": [], "flatPath": "v1/products" } } }, "accounts": { "methods": { "register": { "httpMethod": "POST", "description": "Registers a service account with subscriber privileges on the Cloud Pub/Sub topic for this Channel Services account. After you create a subscriber, you get the events through SubscriberEvent Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different, or the impersonated user is not a super admin. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The topic name with the registered service email address.", "flatPath": "v1/accounts/{accountsId}:register", "id": "cloudchannel.accounts.register", "parameters": { "account": { "required": true, "description": "Required. Resource name of the account.", "pattern": "^accounts/[^/]+$", "type": "string", "location": "path" } }, "parameterOrder": [ "account" ], "request": { "$ref": "GoogleCloudChannelV1RegisterSubscriberRequest" }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "response": { "$ref": "GoogleCloudChannelV1RegisterSubscriberResponse" }, "path": "v1/{+account}:register" }, "unregister": { "id": "cloudchannel.accounts.unregister", "response": { "$ref": "GoogleCloudChannelV1UnregisterSubscriberResponse" }, "request": { "$ref": "GoogleCloudChannelV1UnregisterSubscriberRequest" }, "description": "Unregisters a service account with subscriber privileges on the Cloud Pub/Sub topic created for this Channel Services account. If there are no service accounts left with subscriber privileges, this deletes the topic. You can call ListSubscribers to check for these accounts. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different, or the impersonated user is not a super admin. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The topic resource doesn't exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The topic name that unregistered the service email address. Returns a success response if the service email address wasn't registered with the topic.", "path": "v1/{+account}:unregister", "httpMethod": "POST", "parameters": { "account": { "type": "string", "description": "Required. Resource name of the account.", "pattern": "^accounts/[^/]+$", "location": "path", "required": true } }, "parameterOrder": [ "account" ], "flatPath": "v1/accounts/{accountsId}:unregister", "scopes": [ "https://www.googleapis.com/auth/apps.order" ] }, "listTransferableOffers": { "id": "cloudchannel.accounts.listTransferableOffers", "response": { "$ref": "GoogleCloudChannelV1ListTransferableOffersResponse" }, "request": { "$ref": "GoogleCloudChannelV1ListTransferableOffersRequest" }, "flatPath": "v1/accounts/{accountsId}:listTransferableOffers", "description": "List TransferableOffers of a customer based on Cloud Identity ID or Customer Name in the request. Use this method when a reseller gets the entitlement information of an unowned customer. The reseller should provide the customer's Cloud Identity ID or Customer Name. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The customer doesn't belong to the reseller and has no auth token. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The supplied auth token is invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The reseller account making the request is different from the reseller account in the query. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: List of TransferableOffer for the given customer and SKU.", "path": "v1/{+parent}:listTransferableOffers", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameters": { "parent": { "description": "Required. The resource name of the reseller's account.", "type": "string", "required": true, "pattern": "^accounts/[^/]+$", "location": "path" } }, "parameterOrder": [ "parent" ] }, "listTransferableSkus": { "flatPath": "v1/accounts/{accountsId}:listTransferableSkus", "response": { "$ref": "GoogleCloudChannelV1ListTransferableSkusResponse" }, "httpMethod": "POST", "parameters": { "parent": { "pattern": "^accounts/[^/]+$", "description": "Required. The reseller account's resource name. Parent uses the format: accounts/{account_id}", "type": "string", "location": "path", "required": true } }, "path": "v1/{+parent}:listTransferableSkus", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "request": { "$ref": "GoogleCloudChannelV1ListTransferableSkusRequest" }, "parameterOrder": [ "parent" ], "description": "List TransferableSkus of a customer based on the Cloud Identity ID or Customer Name in the request. Use this method to list the entitlements information of an unowned customer. You should provide the customer's Cloud Identity ID or Customer Name. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The customer doesn't belong to the reseller and has no auth token. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The supplied auth token is invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The reseller account making the request is different from the reseller account in the query. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: A list of the customer's TransferableSku.", "id": "cloudchannel.accounts.listTransferableSkus" }, "listSubscribers": { "id": "cloudchannel.accounts.listSubscribers", "flatPath": "v1/accounts/{accountsId}:listSubscribers", "parameterOrder": [ "account" ], "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameters": { "pageToken": { "type": "string", "description": "Optional. A page token, received from a previous `ListSubscribers` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSubscribers` must match the call that provided the page token.", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "Optional. The maximum number of service accounts to return. The service may return fewer than this value. If unspecified, returns at most 100 service accounts. The maximum value is 1000; the server will coerce values above 1000.", "format": "int32" }, "account": { "pattern": "^accounts/[^/]+$", "type": "string", "required": true, "description": "Required. Resource name of the account.", "location": "path" } }, "description": "Lists service accounts with subscriber privileges on the Cloud Pub/Sub topic created for this Channel Services account. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different, or the impersonated user is not a super admin. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The topic resource doesn't exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: A list of service email addresses.", "path": "v1/{+account}:listSubscribers", "response": { "$ref": "GoogleCloudChannelV1ListSubscribersResponse" }, "httpMethod": "GET" }, "checkCloudIdentityAccountsExist": { "request": { "$ref": "GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest" }, "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^accounts/[^/]+$", "description": "Required. The reseller account's resource name. Parent uses the format: accounts/{account_id}", "required": true } }, "flatPath": "v1/accounts/{accountsId}:checkCloudIdentityAccountsExist", "id": "cloudchannel.accounts.checkCloudIdentityAccountsExist", "path": "v1/{+parent}:checkCloudIdentityAccountsExist", "description": "Confirms the existence of Cloud Identity accounts based on the domain and if the Cloud Identity accounts are owned by the reseller. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_VALUE: Invalid domain value in the request. Return value: A list of CloudIdentityCustomerAccount resources for the domain (may be empty) Note: in the v1alpha1 version of the API, a NOT_FOUND error returns if no CloudIdentityCustomerAccount resources match the domain.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "response": { "$ref": "GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse" }, "parameterOrder": [ "parent" ] } }, "resources": { "channelPartnerLinks": { "resources": { "customers": { "methods": { "delete": { "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/customers/{customersId}", "description": "Deletes the given Customer permanently. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The account making the request does not own this customer. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FAILED_PRECONDITION: The customer has existing entitlements. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: No Customer resource found for the name in the request.", "httpMethod": "DELETE", "id": "cloudchannel.accounts.channelPartnerLinks.customers.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "type": "string", "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+/customers/[^/]+$", "required": true, "location": "path", "description": "Required. The resource name of the customer to delete." } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "path": "v1/{+name}" }, "create": { "path": "v1/{+parent}/customers", "httpMethod": "POST", "response": { "$ref": "GoogleCloudChannelV1Customer" }, "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/customers", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+$", "description": "Required. The resource name of reseller account in which to create the customer. Parent uses the format: accounts/{account_id}", "type": "string", "required": true, "location": "path" } }, "description": "Creates a new Customer resource under the reseller or distributor account. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Domain field value doesn't match the primary email domain. Return value: The newly created Customer resource.", "id": "cloudchannel.accounts.channelPartnerLinks.customers.create", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "request": { "$ref": "GoogleCloudChannelV1Customer" } }, "import": { "response": { "$ref": "GoogleCloudChannelV1Customer" }, "request": { "$ref": "GoogleCloudChannelV1ImportCustomerRequest" }, "parameters": { "parent": { "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+$", "location": "path", "description": "Required. The resource name of the reseller's account. Parent takes the format: accounts/{account_id} or accounts/{account_id}/channelPartnerLinks/{channel_partner_id}", "required": true, "type": "string" } }, "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/customers:import", "id": "cloudchannel.accounts.channelPartnerLinks.customers.import", "description": "Imports a Customer from the Cloud Identity associated with the provided Cloud Identity ID or domain before a TransferEntitlements call. If a linked Customer already exists and overwrite_if_exists is true, it will update that Customer's data. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: Cloud Identity doesn't exist or was deleted. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required parameters are missing, or the auth_token is expired or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ALREADY_EXISTS: A customer already exists and has conflicting critical fields. Requires an overwrite. Return value: The Customer.", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/customers:import" }, "list": { "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "List Customers. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: List of Customers, or an empty list if there are no customers.", "parameterOrder": [ "parent" ], "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/customers", "httpMethod": "GET", "path": "v1/{+parent}/customers", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. A token identifying a page of results other than the first page. Obtained through ListCustomersResponse.next_page_token of the previous CloudChannelService.ListCustomers call." }, "parent": { "required": true, "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+$", "description": "Required. The resource name of the reseller account to list customers from. Parent uses the format: accounts/{account_id}.", "type": "string", "location": "path" }, "filter": { "description": "Optional. Filters applied to the [CloudChannelService.ListCustomers] results. See https://cloud.google.com/channel/docs/concepts/google-cloud/filter-customers for more information.", "type": "string", "location": "query" }, "pageSize": { "description": "Optional. The maximum number of customers to return. The service may return fewer than this value. If unspecified, returns at most 10 customers. The maximum value is 50.", "format": "int32", "location": "query", "type": "integer" } }, "response": { "$ref": "GoogleCloudChannelV1ListCustomersResponse" }, "id": "cloudchannel.accounts.channelPartnerLinks.customers.list" }, "patch": { "parameterOrder": [ "name" ], "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/customers/{customersId}", "request": { "$ref": "GoogleCloudChannelV1Customer" }, "id": "cloudchannel.accounts.channelPartnerLinks.customers.patch", "response": { "$ref": "GoogleCloudChannelV1Customer" }, "httpMethod": "PATCH", "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "The update mask that applies to the resource. Optional.", "location": "query" }, "name": { "location": "path", "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+/customers/[^/]+$", "description": "Output only. Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}", "required": true, "type": "string" } }, "description": "Updates an existing Customer resource for the reseller or distributor. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: No Customer resource found for the name in the request. Return value: The updated Customer resource.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/apps.order" ] }, "get": { "response": { "$ref": "GoogleCloudChannelV1Customer" }, "parameters": { "name": { "type": "string", "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+/customers/[^/]+$", "location": "path", "required": true, "description": "Required. The resource name of the customer to retrieve. Name uses the format: accounts/{account_id}/customers/{customer_id}" } }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/customers/{customersId}", "id": "cloudchannel.accounts.channelPartnerLinks.customers.get", "description": "Returns the requested Customer resource. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The customer resource doesn't exist. Usually the result of an invalid name parameter. Return value: The Customer resource.", "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v1/{+name}" } } }, "channelPartnerRepricingConfigs": { "methods": { "get": { "description": "Gets information about how a Distributor modifies their bill before sending it to a ChannelPartner. Possible Error Codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: If the account making the request and the account being queried are different. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The ChannelPartnerRepricingConfig was not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the ChannelPartnerRepricingConfig resource, otherwise returns an error.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "path": "v1/{+name}", "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/channelPartnerRepricingConfigs/{channelPartnerRepricingConfigsId}", "id": "cloudchannel.accounts.channelPartnerLinks.channelPartnerRepricingConfigs.get", "httpMethod": "GET", "response": { "$ref": "GoogleCloudChannelV1ChannelPartnerRepricingConfig" }, "parameters": { "name": { "description": "Required. The resource name of the ChannelPartnerRepricingConfig Format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}/channelPartnerRepricingConfigs/{id}.", "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+/channelPartnerRepricingConfigs/[^/]+$", "location": "path", "type": "string", "required": true } } }, "create": { "response": { "$ref": "GoogleCloudChannelV1ChannelPartnerRepricingConfig" }, "id": "cloudchannel.accounts.channelPartnerLinks.channelPartnerRepricingConfigs.create", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameters": { "parent": { "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The resource name of the ChannelPartner that will receive the repricing config. Parent uses the format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}" } }, "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/channelPartnerRepricingConfigs", "path": "v1/{+parent}/channelPartnerRepricingConfigs", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudChannelV1ChannelPartnerRepricingConfig" }, "description": "Creates a ChannelPartnerRepricingConfig. Call this method to set modifications for a specific ChannelPartner's bill. You can only create configs if the RepricingConfig.effective_invoice_month is a future month. If needed, you can create a config for the current month, with some restrictions. When creating a config for a future month, make sure there are no existing configs for that RepricingConfig.effective_invoice_month. The following restrictions are for creating configs in the current month. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This functionality is reserved for recovering from an erroneous config, and should not be used for regular business cases. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The new config will not modify exports used with other configs. Changes to the config may be immediate, but may take up to 24 hours. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh There is a limit of ten configs for any ChannelPartner or RepricingConfig.effective_invoice_month. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The contained ChannelPartnerRepricingConfig.repricing_config vaule must be different from the value used in the current config for a ChannelPartner. Possible Error Codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: If the account making the request and the account being queried are different. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Missing or invalid required parameters in the request. Also displays if the updated config is for the current month or past months. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The ChannelPartnerRepricingConfig specified does not exist or is not associated with the given account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the updated ChannelPartnerRepricingConfig resource, otherwise returns an error." }, "patch": { "path": "v1/{+name}", "response": { "$ref": "GoogleCloudChannelV1ChannelPartnerRepricingConfig" }, "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/channelPartnerRepricingConfigs/{channelPartnerRepricingConfigsId}", "request": { "$ref": "GoogleCloudChannelV1ChannelPartnerRepricingConfig" }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameters": { "name": { "description": "Output only. Resource name of the ChannelPartnerRepricingConfig. Format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}/channelPartnerRepricingConfigs/{id}.", "location": "path", "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+/channelPartnerRepricingConfigs/[^/]+$", "type": "string", "required": true } }, "httpMethod": "PATCH", "id": "cloudchannel.accounts.channelPartnerLinks.channelPartnerRepricingConfigs.patch", "description": "Updates a ChannelPartnerRepricingConfig. Call this method to set modifications for a specific ChannelPartner's bill. This method overwrites the existing CustomerRepricingConfig. You can only update configs if the RepricingConfig.effective_invoice_month is a future month. To make changes to configs for the current month, use CreateChannelPartnerRepricingConfig, taking note of its restrictions. You cannot update the RepricingConfig.effective_invoice_month. When updating a config in the future: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This config must already exist. Possible Error Codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: If the account making the request and the account being queried are different. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Missing or invalid required parameters in the request. Also displays if the updated config is for the current month or past months. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The ChannelPartnerRepricingConfig specified does not exist or is not associated with the given account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the updated ChannelPartnerRepricingConfig resource, otherwise returns an error.", "parameterOrder": [ "name" ] }, "list": { "httpMethod": "GET", "response": { "$ref": "GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse" }, "path": "v1/{+parent}/channelPartnerRepricingConfigs", "description": "Lists information about how a Reseller modifies their bill before sending it to a ChannelPartner. Possible Error Codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: If the account making the request and the account being queried are different. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The ChannelPartnerRepricingConfig specified does not exist or is not associated with the given account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the ChannelPartnerRepricingConfig resources. The data for each resource is displayed in the ascending order of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh channel partner ID LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh RepricingConfig.effective_invoice_month LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ChannelPartnerRepricingConfig.update_time If unsuccessful, returns an error.", "parameterOrder": [ "parent" ], "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/channelPartnerRepricingConfigs", "parameters": { "pageToken": { "description": "Optional. A token identifying a page of results beyond the first page. Obtained through ListChannelPartnerRepricingConfigsResponse.next_page_token of the previous CloudChannelService.ListChannelPartnerRepricingConfigs call.", "location": "query", "type": "string" }, "parent": { "location": "path", "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+$", "required": true, "type": "string", "description": "Required. The resource name of the account's ChannelPartnerLink. Parent uses the format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}. Supports accounts/{account_id}/channelPartnerLinks/- to retrieve configs for all channel partners." }, "pageSize": { "description": "Optional. The maximum number of repricing configs to return. The service may return fewer than this value. If unspecified, returns a maximum of 50 rules. The maximum value is 100; values above 100 will be coerced to 100.", "location": "query", "type": "integer", "format": "int32" }, "filter": { "description": "Optional. A filter for [CloudChannelService.ListChannelPartnerRepricingConfigs] results (channel_partner_link only). You can use this filter when you support a BatchGet-like query. To use the filter, you must set `parent=accounts/{account_id}/channelPartnerLinks/-`. Example: `channel_partner_link = accounts/account_id/channelPartnerLinks/c1` OR `channel_partner_link = accounts/account_id/channelPartnerLinks/c2`.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "id": "cloudchannel.accounts.channelPartnerLinks.channelPartnerRepricingConfigs.list" }, "delete": { "parameterOrder": [ "name" ], "id": "cloudchannel.accounts.channelPartnerLinks.channelPartnerRepricingConfigs.delete", "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}/channelPartnerRepricingConfigs/{channelPartnerRepricingConfigsId}", "path": "v1/{+name}", "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+/channelPartnerRepricingConfigs/[^/]+$", "description": "Required. The resource name of the channel partner repricing config rule to delete." } }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "description": "Deletes the given ChannelPartnerRepricingConfig permanently. You can only delete configs if their RepricingConfig.effective_invoice_month is set to a date after the current month. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The account making the request does not own this customer. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FAILED_PRECONDITION: The ChannelPartnerRepricingConfig is active or in the past. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: No ChannelPartnerRepricingConfig found for the name in the request." } } } }, "methods": { "patch": { "description": "Updates a channel partner link. Distributors call this method to change a link's status. For example, to suspend a partner link. You must be a distributor to call this method. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Link state cannot change from invited to active or suspended. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Cannot send reseller_cloud_identity_id, invite_url, or name in update mask. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: ChannelPartnerLink resource not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The updated ChannelPartnerLink resource.", "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The resource name of the channel partner link to cancel. Name uses the format: accounts/{account_id}/channelPartnerLinks/{id} where {id} is the Cloud Identity ID of the partner.", "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+$" } }, "request": { "$ref": "GoogleCloudChannelV1UpdateChannelPartnerLinkRequest" }, "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudChannelV1ChannelPartnerLink" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "id": "cloudchannel.accounts.channelPartnerLinks.patch" }, "create": { "id": "cloudchannel.accounts.channelPartnerLinks.create", "response": { "$ref": "GoogleCloudChannelV1ChannelPartnerLink" }, "parameters": { "parent": { "location": "path", "required": true, "pattern": "^accounts/[^/]+$", "type": "string", "description": "Required. Create a channel partner link for the provided reseller account's resource name. Parent uses the format: accounts/{account_id}" } }, "path": "v1/{+parent}/channelPartnerLinks", "description": "Initiates a channel partner link between a distributor and a reseller, or between resellers in an n-tier reseller channel. Invited partners need to follow the invite_link_uri provided in the response to accept. After accepting the invitation, a link is set up between the two parties. You must be a distributor to call this method. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ALREADY_EXISTS: The ChannelPartnerLink sent in the request already exists. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: No Cloud Identity customer exists for provided domain. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The new ChannelPartnerLink resource.", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "httpMethod": "POST", "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudChannelV1ChannelPartnerLink" } }, "get": { "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks/{channelPartnerLinksId}", "path": "v1/{+name}", "httpMethod": "GET", "id": "cloudchannel.accounts.channelPartnerLinks.get", "parameterOrder": [ "name" ], "description": "Returns the requested ChannelPartnerLink resource. You must be a distributor to call this method. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: ChannelPartnerLink resource not found because of an invalid channel partner link name. Return value: The ChannelPartnerLink resource.", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "response": { "$ref": "GoogleCloudChannelV1ChannelPartnerLink" }, "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The resource name of the channel partner link to retrieve. Name uses the format: accounts/{account_id}/channelPartnerLinks/{id} where {id} is the Cloud Identity ID of the partner.", "required": true, "pattern": "^accounts/[^/]+/channelPartnerLinks/[^/]+$" }, "view": { "type": "string", "enum": [ "UNSPECIFIED", "BASIC", "FULL" ], "enumDescriptions": [ "The default / unset value. The API will default to the BASIC view.", "Includes all fields except the ChannelPartnerLink.channel_partner_cloud_identity_info.", "Includes all fields." ], "description": "Optional. The level of granularity the ChannelPartnerLink will display.", "location": "query" } } }, "list": { "path": "v1/{+parent}/channelPartnerLinks", "httpMethod": "GET", "parameterOrder": [ "parent" ], "flatPath": "v1/accounts/{accountsId}/channelPartnerLinks", "id": "cloudchannel.accounts.channelPartnerLinks.list", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "List ChannelPartnerLinks belonging to a distributor. You must be a distributor to call this method. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: The list of the distributor account's ChannelPartnerLink resources.", "parameters": { "view": { "enum": [ "UNSPECIFIED", "BASIC", "FULL" ], "description": "Optional. The level of granularity the ChannelPartnerLink will display.", "type": "string", "enumDescriptions": [ "The default / unset value. The API will default to the BASIC view.", "Includes all fields except the ChannelPartnerLink.channel_partner_cloud_identity_info.", "Includes all fields." ], "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. Requested page size. Server might return fewer results than requested. If unspecified, server will pick a default size (25). The maximum value is 200; the server will coerce values above 200.", "location": "query" }, "parent": { "pattern": "^accounts/[^/]+$", "type": "string", "description": "Required. The resource name of the reseller account for listing channel partner links. Parent uses the format: accounts/{account_id}", "location": "path", "required": true }, "pageToken": { "description": "Optional. A token for a page of results other than the first page. Obtained using ListChannelPartnerLinksResponse.next_page_token of the previous CloudChannelService.ListChannelPartnerLinks call.", "location": "query", "type": "string" } }, "response": { "$ref": "GoogleCloudChannelV1ListChannelPartnerLinksResponse" } } } }, "customers": { "methods": { "create": { "description": "Creates a new Customer resource under the reseller or distributor account. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Domain field value doesn't match the primary email domain. Return value: The newly created Customer resource.", "httpMethod": "POST", "response": { "$ref": "GoogleCloudChannelV1Customer" }, "id": "cloudchannel.accounts.customers.create", "path": "v1/{+parent}/customers", "request": { "$ref": "GoogleCloudChannelV1Customer" }, "parameters": { "parent": { "description": "Required. The resource name of reseller account in which to create the customer. Parent uses the format: accounts/{account_id}", "location": "path", "required": true, "type": "string", "pattern": "^accounts/[^/]+$" } }, "flatPath": "v1/accounts/{accountsId}/customers", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameterOrder": [ "parent" ] }, "get": { "parameters": { "name": { "required": true, "pattern": "^accounts/[^/]+/customers/[^/]+$", "location": "path", "type": "string", "description": "Required. The resource name of the customer to retrieve. Name uses the format: accounts/{account_id}/customers/{customer_id}" } }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudChannelV1Customer" }, "path": "v1/{+name}", "id": "cloudchannel.accounts.customers.get", "httpMethod": "GET", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}", "description": "Returns the requested Customer resource. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The customer resource doesn't exist. Usually the result of an invalid name parameter. Return value: The Customer resource." }, "listPurchasableOffers": { "parameterOrder": [ "customer" ], "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "Optional. Requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 Offers. The maximum value is 1000; the server will coerce values above 1000.", "format": "int32" }, "languageCode": { "location": "query", "type": "string", "description": "Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\"." }, "pageToken": { "location": "query", "description": "Optional. A token for a page of results other than the first page.", "type": "string" }, "changeOfferPurchase.entitlement": { "location": "query", "type": "string", "description": "Required. Resource name of the entitlement. Format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}" }, "changeOfferPurchase.newSku": { "location": "query", "type": "string", "description": "Optional. Resource name of the new target SKU. Provide this SKU when upgrading or downgrading an entitlement. Format: products/{product_id}/skus/{sku_id}" }, "createEntitlementPurchase.sku": { "type": "string", "location": "query", "description": "Required. SKU that the result should be restricted to. Format: products/{product_id}/skus/{sku_id}." }, "customer": { "location": "path", "required": true, "description": "Required. The resource name of the customer to list Offers for. Format: accounts/{account_id}/customers/{customer_id}.", "type": "string", "pattern": "^accounts/[^/]+/customers/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "flatPath": "v1/accounts/{accountsId}/customers/{customersId}:listPurchasableOffers", "id": "cloudchannel.accounts.customers.listPurchasableOffers", "httpMethod": "GET", "path": "v1/{+customer}:listPurchasableOffers", "description": "Lists the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Offers that you can purchase for a customer. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Offers that you can change for an entitlement. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid.", "response": { "$ref": "GoogleCloudChannelV1ListPurchasableOffersResponse" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "List Customers. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: List of Customers, or an empty list if there are no customers.", "path": "v1/{+parent}/customers", "response": { "$ref": "GoogleCloudChannelV1ListCustomersResponse" }, "flatPath": "v1/accounts/{accountsId}/customers", "httpMethod": "GET", "id": "cloudchannel.accounts.customers.list", "parameters": { "parent": { "required": true, "pattern": "^accounts/[^/]+$", "type": "string", "description": "Required. The resource name of the reseller account to list customers from. Parent uses the format: accounts/{account_id}.", "location": "path" }, "pageSize": { "description": "Optional. The maximum number of customers to return. The service may return fewer than this value. If unspecified, returns at most 10 customers. The maximum value is 50.", "format": "int32", "type": "integer", "location": "query" }, "filter": { "location": "query", "description": "Optional. Filters applied to the [CloudChannelService.ListCustomers] results. See https://cloud.google.com/channel/docs/concepts/google-cloud/filter-customers for more information.", "type": "string" }, "pageToken": { "description": "Optional. A token identifying a page of results other than the first page. Obtained through ListCustomersResponse.next_page_token of the previous CloudChannelService.ListCustomers call.", "type": "string", "location": "query" } }, "parameterOrder": [ "parent" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "Deletes the given Customer permanently. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The account making the request does not own this customer. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FAILED_PRECONDITION: The customer has existing entitlements. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: No Customer resource found for the name in the request.", "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "Required. The resource name of the customer to delete.", "pattern": "^accounts/[^/]+/customers/[^/]+$" } }, "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v1/accounts/{accountsId}/customers/{customersId}", "id": "cloudchannel.accounts.customers.delete", "httpMethod": "DELETE", "path": "v1/{+name}" }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "response": { "$ref": "GoogleCloudChannelV1Customer" }, "request": { "$ref": "GoogleCloudChannelV1Customer" }, "parameterOrder": [ "name" ], "id": "cloudchannel.accounts.customers.patch", "parameters": { "name": { "required": true, "type": "string", "description": "Output only. Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}", "pattern": "^accounts/[^/]+/customers/[^/]+$", "location": "path" }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "The update mask that applies to the resource. Optional." } }, "path": "v1/{+name}", "description": "Updates an existing Customer resource for the reseller or distributor. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: No Customer resource found for the name in the request. Return value: The updated Customer resource.", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}" }, "listPurchasableSkus": { "path": "v1/{+customer}:listPurchasableSkus", "parameterOrder": [ "customer" ], "parameters": { "createEntitlementPurchase.product": { "location": "query", "description": "Required. List SKUs belonging to this Product. Format: products/{product_id}. Supports products/- to retrieve SKUs for all products.", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. A token for a page of results other than the first page." }, "languageCode": { "type": "string", "location": "query", "description": "Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\"." }, "changeOfferPurchase.entitlement": { "description": "Required. Resource name of the entitlement. Format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}", "location": "query", "type": "string" }, "customer": { "type": "string", "pattern": "^accounts/[^/]+/customers/[^/]+$", "description": "Required. The resource name of the customer to list SKUs for. Format: accounts/{account_id}/customers/{customer_id}.", "required": true, "location": "path" }, "changeOfferPurchase.changeType": { "description": "Required. Change Type for the entitlement.", "enumDescriptions": [ "Not used.", "SKU is an upgrade on the current entitlement.", "SKU is a downgrade on the current entitlement." ], "type": "string", "enum": [ "CHANGE_TYPE_UNSPECIFIED", "UPGRADE", "DOWNGRADE" ], "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. Requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 SKUs. The maximum value is 1000; the server will coerce values above 1000." } }, "response": { "$ref": "GoogleCloudChannelV1ListPurchasableSkusResponse" }, "description": "Lists the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SKUs that you can purchase for a customer LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SKUs that you can upgrade or downgrade for an entitlement. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid.", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "httpMethod": "GET", "id": "cloudchannel.accounts.customers.listPurchasableSkus", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}:listPurchasableSkus" }, "provisionCloudIdentity": { "parameters": { "customer": { "required": true, "location": "path", "description": "Required. Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}", "type": "string", "pattern": "^accounts/[^/]+/customers/[^/]+$" } }, "path": "v1/{+customer}:provisionCloudIdentity", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "Creates a Cloud Identity for the given customer using the customer's information, or the information provided here. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The customer was not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ALREADY_EXISTS: The customer's primary email already exists. Retry after changing the customer's primary contact email. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata contains an instance of OperationMetadata.", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}:provisionCloudIdentity", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudChannelV1ProvisionCloudIdentityRequest" }, "parameterOrder": [ "customer" ], "id": "cloudchannel.accounts.customers.provisionCloudIdentity", "httpMethod": "POST" }, "import": { "path": "v1/{+parent}/customers:import", "parameterOrder": [ "parent" ], "description": "Imports a Customer from the Cloud Identity associated with the provided Cloud Identity ID or domain before a TransferEntitlements call. If a linked Customer already exists and overwrite_if_exists is true, it will update that Customer's data. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: Cloud Identity doesn't exist or was deleted. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required parameters are missing, or the auth_token is expired or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ALREADY_EXISTS: A customer already exists and has conflicting critical fields. Requires an overwrite. Return value: The Customer.", "id": "cloudchannel.accounts.customers.import", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "flatPath": "v1/accounts/{accountsId}/customers:import", "httpMethod": "POST", "request": { "$ref": "GoogleCloudChannelV1ImportCustomerRequest" }, "parameters": { "parent": { "description": "Required. The resource name of the reseller's account. Parent takes the format: accounts/{account_id} or accounts/{account_id}/channelPartnerLinks/{channel_partner_id}", "pattern": "^accounts/[^/]+$", "required": true, "location": "path", "type": "string" } }, "response": { "$ref": "GoogleCloudChannelV1Customer" } }, "transferEntitlementsToGoogle": { "parameterOrder": [ "parent" ], "flatPath": "v1/accounts/{accountsId}/customers/{customersId}:transferEntitlementsToGoogle", "request": { "$ref": "GoogleCloudChannelV1TransferEntitlementsToGoogleRequest" }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "Transfers customer entitlements from their current reseller to Google. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The customer or offer resource was not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ALREADY_EXISTS: The SKU was already transferred for the customer. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CONDITION_NOT_MET or FAILED_PRECONDITION: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The SKU requires domain verification to transfer, but the domain is not verified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An Add-On SKU (example, Vault or Drive) is missing the pre-requisite SKU (example, G Suite Basic). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (Developer accounts only) Reseller and resold domain must meet the following naming requirements: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Domain names must start with goog-test. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Domain names must include the reseller domain. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The response will contain google.protobuf.Empty on success. The Operation metadata will contain an instance of OperationMetadata.", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "cloudchannel.accounts.customers.transferEntitlementsToGoogle", "path": "v1/{+parent}:transferEntitlementsToGoogle", "httpMethod": "POST", "parameters": { "parent": { "type": "string", "required": true, "pattern": "^accounts/[^/]+/customers/[^/]+$", "location": "path", "description": "Required. The resource name of the reseller's customer account where the entitlements transfer from. Parent uses the format: accounts/{account_id}/customers/{customer_id}" } } }, "transferEntitlements": { "description": "Transfers customer entitlements to new reseller. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The customer or offer resource was not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ALREADY_EXISTS: The SKU was already transferred for the customer. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CONDITION_NOT_MET or FAILED_PRECONDITION: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The SKU requires domain verification to transfer, but the domain is not verified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An Add-On SKU (example, Vault or Drive) is missing the pre-requisite SKU (example, G Suite Basic). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (Developer accounts only) Reseller and resold domain must meet the following naming requirements: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Domain names must start with goog-test. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Domain names must include the reseller domain. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Specify all transferring entitlements. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.", "parameterOrder": [ "parent" ], "flatPath": "v1/accounts/{accountsId}/customers/{customersId}:transferEntitlements", "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+parent}:transferEntitlements", "id": "cloudchannel.accounts.customers.transferEntitlements", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameters": { "parent": { "required": true, "pattern": "^accounts/[^/]+/customers/[^/]+$", "description": "Required. The resource name of the reseller's customer account that will receive transferred entitlements. Parent uses the format: accounts/{account_id}/customers/{customer_id}", "type": "string", "location": "path" } }, "request": { "$ref": "GoogleCloudChannelV1TransferEntitlementsRequest" } } }, "resources": { "entitlements": { "methods": { "changeOffer": { "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements/{entitlementsId}:changeOffer", "id": "cloudchannel.accounts.customers.entitlements.changeOffer", "path": "v1/{+name}:changeOffer", "request": { "$ref": "GoogleCloudChannelV1ChangeOfferRequest" }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameters": { "name": { "description": "Required. The resource name of the entitlement to update. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}", "pattern": "^accounts/[^/]+/customers/[^/]+/entitlements/[^/]+$", "required": true, "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "description": "Updates the Offer for an existing customer entitlement. An entitlement update is a long-running operation and it updates the entitlement as a result of fulfillment. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: Offer or Entitlement resource not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.", "httpMethod": "POST" }, "changeRenewalSettings": { "request": { "$ref": "GoogleCloudChannelV1ChangeRenewalSettingsRequest" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^accounts/[^/]+/customers/[^/]+/entitlements/[^/]+$", "description": "Required. The name of the entitlement to update. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}", "type": "string" } }, "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements/{entitlementsId}:changeRenewalSettings", "path": "v1/{+name}:changeRenewalSettings", "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Updates the renewal settings for an existing customer entitlement. An entitlement update is a long-running operation and it updates the entitlement as a result of fulfillment. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: Entitlement resource not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_COMMITMENT_PLAN: Renewal Settings are only applicable for a commitment plan. Can't enable or disable renewals for non-commitment plans. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.", "id": "cloudchannel.accounts.customers.entitlements.changeRenewalSettings" }, "changeParameters": { "description": "Change parameters of the entitlement. An entitlement update is a long-running operation and it updates the entitlement as a result of fulfillment. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. For example, the number of seats being changed is greater than the allowed number of max seats, or decreasing seats for a commitment based plan. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: Entitlement resource not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements/{entitlementsId}:changeParameters", "path": "v1/{+name}:changeParameters", "request": { "$ref": "GoogleCloudChannelV1ChangeParametersRequest" }, "id": "cloudchannel.accounts.customers.entitlements.changeParameters", "parameters": { "name": { "type": "string", "pattern": "^accounts/[^/]+/customers/[^/]+/entitlements/[^/]+$", "location": "path", "required": true, "description": "Required. The name of the entitlement to update. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}" } }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "httpMethod": "POST" }, "cancel": { "httpMethod": "POST", "parameters": { "name": { "location": "path", "pattern": "^accounts/[^/]+/customers/[^/]+/entitlements/[^/]+$", "description": "Required. The resource name of the entitlement to cancel. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}", "type": "string", "required": true } }, "request": { "$ref": "GoogleCloudChannelV1CancelEntitlementRequest" }, "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements/{entitlementsId}:cancel", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "id": "cloudchannel.accounts.customers.entitlements.cancel", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "path": "v1/{+name}:cancel", "description": "Cancels a previously fulfilled entitlement. An entitlement cancellation is a long-running operation. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FAILED_PRECONDITION: There are Google Cloud projects linked to the Google Cloud entitlement's Cloud Billing subaccount. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: Entitlement resource not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DELETION_TYPE_NOT_ALLOWED: Cancel is only allowed for Google Workspace add-ons, or entitlements for Google Cloud's development platform. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The response will contain google.protobuf.Empty on success. The Operation metadata will contain an instance of OperationMetadata." }, "create": { "httpMethod": "POST", "path": "v1/{+parent}/entitlements", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameters": { "parent": { "type": "string", "location": "path", "pattern": "^accounts/[^/]+/customers/[^/]+$", "required": true, "description": "Required. The resource name of the reseller's customer account in which to create the entitlement. Parent uses the format: accounts/{account_id}/customers/{customer_id}" } }, "request": { "$ref": "GoogleCloudChannelV1CreateEntitlementRequest" }, "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "parent" ], "id": "cloudchannel.accounts.customers.entitlements.create", "description": "Creates an entitlement for a customer. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh There is already a customer entitlement for a SKU from the same product family. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_VALUE: Make sure the OfferId is valid. If it is, contact Google Channel support for further troubleshooting. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The customer or offer resource was not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ALREADY_EXISTS: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The SKU was already purchased for the customer. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The customer's primary email already exists. Retry after changing the customer's primary contact email. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CONDITION_NOT_MET or FAILED_PRECONDITION: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The domain required for purchasing a SKU has not been verified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A pre-requisite SKU required to purchase an Add-On SKU is missing. For example, Google Workspace Business Starter is required to purchase Vault or Drive. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (Developer accounts only) Reseller and resold domain must meet the following naming requirements: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Domain names must start with goog-test. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Domain names must include the reseller domain. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements" }, "get": { "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameterOrder": [ "name" ], "id": "cloudchannel.accounts.customers.entitlements.get", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements/{entitlementsId}", "httpMethod": "GET", "response": { "$ref": "GoogleCloudChannelV1Entitlement" }, "path": "v1/{+name}", "description": "Returns the requested Entitlement resource. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The customer entitlement was not found. Return value: The requested Entitlement resource.", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The resource name of the entitlement to retrieve. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}", "pattern": "^accounts/[^/]+/customers/[^/]+/entitlements/[^/]+$", "required": true } } }, "lookupOffer": { "path": "v1/{+entitlement}:lookupOffer", "parameterOrder": [ "entitlement" ], "id": "cloudchannel.accounts.customers.entitlements.lookupOffer", "parameters": { "entitlement": { "location": "path", "description": "Required. The resource name of the entitlement to retrieve the Offer. Entitlement uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}", "required": true, "pattern": "^accounts/[^/]+/customers/[^/]+/entitlements/[^/]+$", "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "Returns the requested Offer resource. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The entitlement doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: Entitlement or offer was not found. Return value: The Offer resource.", "response": { "$ref": "GoogleCloudChannelV1Offer" }, "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements/{entitlementsId}:lookupOffer" }, "activate": { "description": "Activates a previously suspended entitlement. Entitlements suspended for pending ToS acceptance can't be activated using this method. An entitlement activation is a long-running operation and it updates the state of the customer entitlement. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: Entitlement resource not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SUSPENSION_NOT_RESELLER_INITIATED: Can only activate reseller-initiated suspensions and entitlements that have accepted the TOS. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_SUSPENDED: Can only activate suspended entitlements not in an ACTIVE state. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.", "parameters": { "name": { "location": "path", "description": "Required. The resource name of the entitlement to activate. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}", "pattern": "^accounts/[^/]+/customers/[^/]+/entitlements/[^/]+$", "type": "string", "required": true } }, "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "path": "v1/{+name}:activate", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "request": { "$ref": "GoogleCloudChannelV1ActivateEntitlementRequest" }, "httpMethod": "POST", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements/{entitlementsId}:activate", "id": "cloudchannel.accounts.customers.entitlements.activate" }, "startPaidService": { "request": { "$ref": "GoogleCloudChannelV1StartPaidServiceRequest" }, "description": "Starts paid service for a trial entitlement. Starts paid service for a trial entitlement immediately. This method is only applicable if a plan is set up for a trial entitlement but has some trial days remaining. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: Entitlement resource not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FAILED_PRECONDITION/NOT_IN_TRIAL: This method only works for entitlement on trial plans. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements/{entitlementsId}:startPaidService", "parameters": { "name": { "pattern": "^accounts/[^/]+/customers/[^/]+/entitlements/[^/]+$", "required": true, "location": "path", "description": "Required. The name of the entitlement to start a paid service for. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}", "type": "string" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "response": { "$ref": "GoogleLongrunningOperation" }, "id": "cloudchannel.accounts.customers.entitlements.startPaidService", "path": "v1/{+name}:startPaidService", "httpMethod": "POST" }, "suspend": { "httpMethod": "POST", "description": "Suspends a previously fulfilled entitlement. An entitlement suspension is a long-running operation. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: Entitlement resource not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_ACTIVE: Entitlement is not active. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.", "parameters": { "name": { "required": true, "type": "string", "location": "path", "pattern": "^accounts/[^/]+/customers/[^/]+/entitlements/[^/]+$", "description": "Required. The resource name of the entitlement to suspend. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}" } }, "id": "cloudchannel.accounts.customers.entitlements.suspend", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameterOrder": [ "name" ], "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements/{entitlementsId}:suspend", "request": { "$ref": "GoogleCloudChannelV1SuspendEntitlementRequest" }, "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+name}:suspend" }, "list": { "httpMethod": "GET", "response": { "$ref": "GoogleCloudChannelV1ListEntitlementsResponse" }, "description": "Lists Entitlements belonging to a customer. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The customer doesn't belong to the reseller. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: A list of the customer's Entitlements.", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/entitlements", "id": "cloudchannel.accounts.customers.entitlements.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameters": { "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. Requested page size. Server might return fewer results than requested. If unspecified, return at most 50 entitlements. The maximum value is 100; the server will coerce values above 100." }, "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The resource name of the reseller's customer account to list entitlements for. Parent uses the format: accounts/{account_id}/customers/{customer_id}", "pattern": "^accounts/[^/]+/customers/[^/]+$" }, "pageToken": { "description": "Optional. A token for a page of results other than the first page. Obtained using ListEntitlementsResponse.next_page_token of the previous CloudChannelService.ListEntitlements call.", "type": "string", "location": "query" } }, "path": "v1/{+parent}/entitlements" } } }, "customerRepricingConfigs": { "methods": { "list": { "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/customerRepricingConfigs", "id": "cloudchannel.accounts.customers.customerRepricingConfigs.list", "httpMethod": "GET", "response": { "$ref": "GoogleCloudChannelV1ListCustomerRepricingConfigsResponse" }, "parameters": { "parent": { "description": "Required. The resource name of the customer. Parent uses the format: accounts/{account_id}/customers/{customer_id}. Supports accounts/{account_id}/customers/- to retrieve configs for all customers.", "type": "string", "location": "path", "required": true, "pattern": "^accounts/[^/]+/customers/[^/]+$" }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of repricing configs to return. The service may return fewer than this value. If unspecified, returns a maximum of 50 rules. The maximum value is 100; values above 100 will be coerced to 100.", "format": "int32", "location": "query" }, "pageToken": { "location": "query", "description": "Optional. A token identifying a page of results beyond the first page. Obtained through ListCustomerRepricingConfigsResponse.next_page_token of the previous CloudChannelService.ListCustomerRepricingConfigs call.", "type": "string" }, "filter": { "description": "Optional. A filter for [CloudChannelService.ListCustomerRepricingConfigs] results (customer only). You can use this filter when you support a BatchGet-like query. To use the filter, you must set `parent=accounts/{account_id}/customers/-`. Example: customer = accounts/account_id/customers/c1 OR customer = accounts/account_id/customers/c2.", "type": "string", "location": "query" } }, "description": "Lists information about how a Reseller modifies their bill before sending it to a Customer. Possible Error Codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: If the account making the request and the account being queried are different. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The CustomerRepricingConfig specified does not exist or is not associated with the given account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the CustomerRepricingConfig resources. The data for each resource is displayed in the ascending order of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customer ID LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh RepricingConfig.EntitlementGranularity.entitlement LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh RepricingConfig.effective_invoice_month LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CustomerRepricingConfig.update_time If unsuccessful, returns an error.", "path": "v1/{+parent}/customerRepricingConfigs", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/apps.order" ] }, "delete": { "httpMethod": "DELETE", "description": "Deletes the given CustomerRepricingConfig permanently. You can only delete configs if their RepricingConfig.effective_invoice_month is set to a date after the current month. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: The account making the request does not own this customer. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FAILED_PRECONDITION: The CustomerRepricingConfig is active or in the past. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: No CustomerRepricingConfig found for the name in the request.", "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/customerRepricingConfigs/{customerRepricingConfigsId}", "response": { "$ref": "GoogleProtobufEmpty" }, "id": "cloudchannel.accounts.customers.customerRepricingConfigs.delete", "parameters": { "name": { "location": "path", "pattern": "^accounts/[^/]+/customers/[^/]+/customerRepricingConfigs/[^/]+$", "description": "Required. The resource name of the customer repricing config rule to delete. Format: accounts/{account_id}/customers/{customer_id}/customerRepricingConfigs/{id}.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/apps.order" ] }, "patch": { "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/customerRepricingConfigs/{customerRepricingConfigsId}", "response": { "$ref": "GoogleCloudChannelV1CustomerRepricingConfig" }, "description": "Updates a CustomerRepricingConfig. Call this method to set modifications for a specific customer's bill. This method overwrites the existing CustomerRepricingConfig. You can only update configs if the RepricingConfig.effective_invoice_month is a future month. To make changes to configs for the current month, use CreateCustomerRepricingConfig, taking note of its restrictions. You cannot update the RepricingConfig.effective_invoice_month. When updating a config in the future: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This config must already exist. Possible Error Codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: If the account making the request and the account being queried are different. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Missing or invalid required parameters in the request. Also displays if the updated config is for the current month or past months. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The CustomerRepricingConfig specified does not exist or is not associated with the given account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the updated CustomerRepricingConfig resource, otherwise returns an error.", "path": "v1/{+name}", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudChannelV1CustomerRepricingConfig" }, "id": "cloudchannel.accounts.customers.customerRepricingConfigs.patch", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "parameters": { "name": { "type": "string", "description": "Output only. Resource name of the CustomerRepricingConfig. Format: accounts/{account_id}/customers/{customer_id}/customerRepricingConfigs/{id}.", "pattern": "^accounts/[^/]+/customers/[^/]+/customerRepricingConfigs/[^/]+$", "location": "path", "required": true } } }, "get": { "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The resource name of the CustomerRepricingConfig. Format: accounts/{account_id}/customers/{customer_id}/customerRepricingConfigs/{id}.", "location": "path", "required": true, "pattern": "^accounts/[^/]+/customers/[^/]+/customerRepricingConfigs/[^/]+$" } }, "path": "v1/{+name}", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/customerRepricingConfigs/{customerRepricingConfigsId}", "response": { "$ref": "GoogleCloudChannelV1CustomerRepricingConfig" }, "description": "Gets information about how a Reseller modifies their bill before sending it to a Customer. Possible Error Codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: If the account making the request and the account being queried are different. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The CustomerRepricingConfig was not found. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the CustomerRepricingConfig resource, otherwise returns an error.", "httpMethod": "GET", "id": "cloudchannel.accounts.customers.customerRepricingConfigs.get", "scopes": [ "https://www.googleapis.com/auth/apps.order" ] }, "create": { "httpMethod": "POST", "flatPath": "v1/accounts/{accountsId}/customers/{customersId}/customerRepricingConfigs", "path": "v1/{+parent}/customerRepricingConfigs", "response": { "$ref": "GoogleCloudChannelV1CustomerRepricingConfig" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "Creates a CustomerRepricingConfig. Call this method to set modifications for a specific customer's bill. You can only create configs if the RepricingConfig.effective_invoice_month is a future month. If needed, you can create a config for the current month, with some restrictions. When creating a config for a future month, make sure there are no existing configs for that RepricingConfig.effective_invoice_month. The following restrictions are for creating configs in the current month. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This functionality is reserved for recovering from an erroneous config, and should not be used for regular business cases. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The new config will not modify exports used with other configs. Changes to the config may be immediate, but may take up to 24 hours. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh There is a limit of ten configs for any RepricingConfig.EntitlementGranularity.entitlement or RepricingConfig.effective_invoice_month. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The contained CustomerRepricingConfig.repricing_config vaule must be different from the value used in the current config for a RepricingConfig.EntitlementGranularity.entitlement. Possible Error Codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERMISSION_DENIED: If the account making the request and the account being queried are different. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Missing or invalid required parameters in the request. Also displays if the updated config is for the current month or past months. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NOT_FOUND: The CustomerRepricingConfig specified does not exist or is not associated with the given account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the updated CustomerRepricingConfig resource, otherwise returns an error.", "parameters": { "parent": { "description": "Required. The resource name of the customer that will receive this repricing config. Parent uses the format: accounts/{account_id}/customers/{customer_id}", "location": "path", "pattern": "^accounts/[^/]+/customers/[^/]+$", "required": true, "type": "string" } }, "request": { "$ref": "GoogleCloudChannelV1CustomerRepricingConfig" }, "id": "cloudchannel.accounts.customers.customerRepricingConfigs.create" } } } } }, "offers": { "methods": { "list": { "id": "cloudchannel.accounts.offers.list", "description": "Lists the Offers the reseller can sell. Possible error codes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh INVALID_ARGUMENT: Required request parameters are missing or invalid.", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. A token for a page of results other than the first page." }, "parent": { "location": "path", "pattern": "^accounts/[^/]+$", "description": "Required. The resource name of the reseller account from which to list Offers. Parent uses the format: accounts/{account_id}.", "required": true, "type": "string" }, "filter": { "description": "Optional. The expression to filter results by name (name of the Offer), sku.name (name of the SKU), or sku.product.name (name of the Product). Example 1: sku.product.name=products/p1 AND sku.name!=products/p1/skus/s1 Example 2: name=accounts/a1/offers/o1", "type": "string", "location": "query" }, "languageCode": { "location": "query", "type": "string", "description": "Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\"." }, "pageSize": { "description": "Optional. Requested page size. Server might return fewer results than requested. If unspecified, returns at most 500 Offers. The maximum value is 1000; the server will coerce values above 1000.", "type": "integer", "format": "int32", "location": "query" } }, "flatPath": "v1/accounts/{accountsId}/offers", "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1/{+parent}/offers", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "response": { "$ref": "GoogleCloudChannelV1ListOffersResponse" } } } } } }, "operations": { "methods": { "get": { "path": "v1/{+name}", "id": "cloudchannel.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^operations/.*$", "required": true, "type": "string", "location": "path", "description": "The name of the operation resource." } } }, "cancel": { "parameters": { "name": { "pattern": "^operations/.*$", "location": "path", "type": "string", "description": "The name of the operation resource to be cancelled.", "required": true } }, "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v1/{+name}:cancel", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleLongrunningCancelOperationRequest" }, "flatPath": "v1/operations/{operationsId}:cancel", "id": "cloudchannel.operations.cancel", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "delete": { "parameterOrder": [ "name" ], "flatPath": "v1/operations/{operationsId}", "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" }, "id": "cloudchannel.operations.delete", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "path": "v1/{+name}", "parameters": { "name": { "pattern": "^operations/.*$", "location": "path", "description": "The name of the operation resource to be deleted.", "required": true, "type": "string" } } }, "list": { "parameterOrder": [ "name" ], "id": "cloudchannel.operations.list", "flatPath": "v1/operations", "scopes": [ "https://www.googleapis.com/auth/apps.order" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "httpMethod": "GET", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "parameters": { "name": { "required": true, "pattern": "^operations$", "description": "The name of the operation's parent resource.", "type": "string", "location": "path" }, "pageSize": { "location": "query", "description": "The standard list page size.", "format": "int32", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." }, "filter": { "description": "The standard list filter.", "type": "string", "location": "query" } }, "path": "v1/{+name}" } } } }, "canonicalName": "Cloudchannel", "mtlsRootUrl": "https://cloudchannel.mtls.googleapis.com/" }
]===]))
