local decode = require("cjson").new().decode
return assert(decode([===[
{ "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "fullyEncodeReservedExpansion": true, "resources": { "debugger": { "resources": { "debuggees": { "resources": { "breakpoints": { "methods": { "get": { "httpMethod": "GET", "parameters": { "breakpointId": { "required": true, "description": "Required. ID of the breakpoint to get.", "type": "string", "location": "path" }, "debuggeeId": { "location": "path", "description": "Required. ID of the debuggee whose breakpoint to get.", "required": true, "type": "string" }, "clientVersion": { "location": "query", "description": "Required. The client version making the call. Schema: `domain/type/version` (e.g., `google.com/intellij/v1`).", "type": "string" } }, "description": "Gets breakpoint information.", "id": "clouddebugger.debugger.debuggees.breakpoints.get", "path": "v2/debugger/debuggees/{debuggeeId}/breakpoints/{breakpointId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud_debugger" ], "parameterOrder": [ "debuggeeId", "breakpointId" ], "flatPath": "v2/debugger/debuggees/{debuggeeId}/breakpoints/{breakpointId}", "response": { "$ref": "GetBreakpointResponse" } }, "set": { "parameters": { "clientVersion": { "description": "Required. The client version making the call. Schema: `domain/type/version` (e.g., `google.com/intellij/v1`).", "type": "string", "location": "query" }, "debuggeeId": { "type": "string", "required": true, "description": "Required. ID of the debuggee where the breakpoint is to be set.", "location": "path" }, "canaryOption": { "enum": [ "CANARY_OPTION_UNSPECIFIED", "CANARY_OPTION_TRY_ENABLE", "CANARY_OPTION_TRY_DISABLE" ], "location": "query", "type": "string", "description": "The canary option set by the user upon setting breakpoint.", "enumDescriptions": [ "Depends on the canary_mode of the debuggee.", "Enable the canary for this breakpoint if the canary_mode of the debuggee is not CANARY_MODE_ALWAYS_ENABLED or CANARY_MODE_ALWAYS_DISABLED.", "Disable the canary for this breakpoint if the canary_mode of the debuggee is not CANARY_MODE_ALWAYS_ENABLED or CANARY_MODE_ALWAYS_DISABLED." ] } }, "httpMethod": "POST", "id": "clouddebugger.debugger.debuggees.breakpoints.set", "request": { "$ref": "Breakpoint" }, "flatPath": "v2/debugger/debuggees/{debuggeeId}/breakpoints/set", "description": "Sets the breakpoint to the debuggee.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud_debugger" ], "parameterOrder": [ "debuggeeId" ], "response": { "$ref": "SetBreakpointResponse" }, "path": "v2/debugger/debuggees/{debuggeeId}/breakpoints/set" }, "list": { "parameterOrder": [ "debuggeeId" ], "httpMethod": "GET", "path": "v2/debugger/debuggees/{debuggeeId}/breakpoints", "description": "Lists all breakpoints for the debuggee.", "response": { "$ref": "ListBreakpointsResponse" }, "flatPath": "v2/debugger/debuggees/{debuggeeId}/breakpoints", "parameters": { "includeAllUsers": { "description": "When set to `true`, the response includes the list of breakpoints set by any user. Otherwise, it includes only breakpoints set by the caller.", "location": "query", "type": "boolean" }, "clientVersion": { "description": "Required. The client version making the call. Schema: `domain/type/version` (e.g., `google.com/intellij/v1`).", "type": "string", "location": "query" }, "debuggeeId": { "location": "path", "type": "string", "required": true, "description": "Required. ID of the debuggee whose breakpoints to list." }, "action.value": { "description": "Only breakpoints with the specified action will pass the filter.", "enum": [ "CAPTURE", "LOG" ], "location": "query", "enumDescriptions": [ "Capture stack frame and variables and update the breakpoint. The data is only captured once. After that the breakpoint is set in a final state.", "Log each breakpoint hit. The breakpoint remains active until deleted or expired." ], "type": "string" }, "waitToken": { "type": "string", "description": "A wait token that, if specified, blocks the call until the breakpoints list has changed, or a server selected timeout has expired. The value should be set from the last response. The error code `google.rpc.Code.ABORTED` (RPC) is returned on wait timeout, which should be called again with the same `wait_token`.", "location": "query" }, "stripResults": { "type": "boolean", "location": "query", "description": "This field is deprecated. The following fields are always stripped out of the result: `stack_frames`, `evaluated_expressions` and `variable_table`." }, "includeInactive": { "location": "query", "description": "When set to `true`, the response includes active and inactive breakpoints. Otherwise, it includes only active breakpoints.", "type": "boolean" } }, "id": "clouddebugger.debugger.debuggees.breakpoints.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud_debugger" ] }, "delete": { "path": "v2/debugger/debuggees/{debuggeeId}/breakpoints/{breakpointId}", "flatPath": "v2/debugger/debuggees/{debuggeeId}/breakpoints/{breakpointId}", "id": "clouddebugger.debugger.debuggees.breakpoints.delete", "description": "Deletes the breakpoint from the debuggee.", "parameters": { "clientVersion": { "location": "query", "description": "Required. The client version making the call. Schema: `domain/type/version` (e.g., `google.com/intellij/v1`).", "type": "string" }, "debuggeeId": { "required": true, "description": "Required. ID of the debuggee whose breakpoint to delete.", "location": "path", "type": "string" }, "breakpointId": { "description": "Required. ID of the breakpoint to delete.", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "debuggeeId", "breakpointId" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud_debugger" ], "response": { "$ref": "Empty" } } } } }, "methods": { "list": { "description": "Lists all the debuggees that the user has access to.", "response": { "$ref": "ListDebuggeesResponse" }, "httpMethod": "GET", "parameters": { "clientVersion": { "location": "query", "type": "string", "description": "Required. The client version making the call. Schema: `domain/type/version` (e.g., `google.com/intellij/v1`)." }, "project": { "type": "string", "description": "Required. Project number of a Google Cloud project whose debuggees to list.", "location": "query" }, "includeInactive": { "location": "query", "description": "When set to `true`, the result includes all debuggees. Otherwise, the result includes only debuggees that are active.", "type": "boolean" } }, "path": "v2/debugger/debuggees", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud_debugger" ], "id": "clouddebugger.debugger.debuggees.list", "flatPath": "v2/debugger/debuggees" } } } } }, "controller": { "resources": { "debuggees": { "methods": { "register": { "parameterOrder": [], "request": { "$ref": "RegisterDebuggeeRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud_debugger" ], "flatPath": "v2/controller/debuggees/register", "id": "clouddebugger.controller.debuggees.register", "description": "Registers the debuggee with the controller service. All agents attached to the same application must call this method with exactly the same request content to get back the same stable `debuggee_id`. Agents should call this method again whenever `google.rpc.Code.NOT_FOUND` is returned from any controller method. This protocol allows the controller service to disable debuggees, recover from data loss, or change the `debuggee_id` format. Agents must handle `debuggee_id` value changing upon re-registration.", "response": { "$ref": "RegisterDebuggeeResponse" }, "httpMethod": "POST", "parameters": {}, "path": "v2/controller/debuggees/register" } }, "resources": { "breakpoints": { "methods": { "list": { "httpMethod": "GET", "path": "v2/controller/debuggees/{debuggeeId}/breakpoints", "response": { "$ref": "ListActiveBreakpointsResponse" }, "parameterOrder": [ "debuggeeId" ], "id": "clouddebugger.controller.debuggees.breakpoints.list", "description": "Returns the list of all active breakpoints for the debuggee. The breakpoint specification (`location`, `condition`, and `expressions` fields) is semantically immutable, although the field values may change. For example, an agent may update the location line number to reflect the actual line where the breakpoint was set, but this doesn't change the breakpoint semantics. This means that an agent does not need to check if a breakpoint has changed when it encounters the same breakpoint on a successive call. Moreover, an agent should remember the breakpoints that are completed until the controller removes them from the active list to avoid setting those breakpoints again.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud_debugger" ], "flatPath": "v2/controller/debuggees/{debuggeeId}/breakpoints", "parameters": { "waitToken": { "location": "query", "type": "string", "description": "A token that, if specified, blocks the method call until the list of active breakpoints has changed, or a server-selected timeout has expired. The value should be set from the `next_wait_token` field in the last response. The initial value should be set to `\"init\"`." }, "agentId": { "description": "Identifies the agent. This is the ID returned in the RegisterDebuggee response.", "type": "string", "location": "query" }, "debuggeeId": { "location": "path", "description": "Required. Identifies the debuggee.", "type": "string", "required": true }, "successOnTimeout": { "location": "query", "type": "boolean", "description": "If set to `true` (recommended), returns `google.rpc.Code.OK` status and sets the `wait_expired` response field to `true` when the server-selected timeout has expired. If set to `false` (deprecated), returns `google.rpc.Code.ABORTED` status when the server-selected timeout has expired." } } }, "update": { "parameterOrder": [ "debuggeeId", "id" ], "path": "v2/controller/debuggees/{debuggeeId}/breakpoints/{id}", "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud_debugger" ], "request": { "$ref": "UpdateActiveBreakpointRequest" }, "description": "Updates the breakpoint state or mutable fields. The entire Breakpoint message must be sent back to the controller service. Updates to active breakpoint fields are only allowed if the new value does not change the breakpoint specification. Updates to the `location`, `condition` and `expressions` fields should not alter the breakpoint semantics. These may only make changes such as canonicalizing a value or snapping the location to the correct line of code.", "id": "clouddebugger.controller.debuggees.breakpoints.update", "flatPath": "v2/controller/debuggees/{debuggeeId}/breakpoints/{id}", "response": { "$ref": "UpdateActiveBreakpointResponse" }, "parameters": { "id": { "description": "Breakpoint identifier, unique in the scope of the debuggee.", "type": "string", "location": "path", "required": true }, "debuggeeId": { "required": true, "description": "Required. Identifies the debuggee being debugged.", "type": "string", "location": "path" } } } } } } } } } }, "revision": "20220701", "documentationLink": "https://cloud.google.com/debugger", "protocol": "rest", "title": "Cloud Debugger API", "rootUrl": "https://clouddebugger.googleapis.com/", "id": "clouddebugger:v2", "version_module": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud_debugger": { "description": "Use Stackdriver Debugger" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "ownerName": "Google", "mtlsRootUrl": "https://clouddebugger.mtls.googleapis.com/", "servicePath": "", "canonicalName": "Cloud Debugger", "discoveryVersion": "v1", "version": "v2", "parameters": { "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "alt": { "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "default": "json", "type": "string", "location": "query" } }, "batchPath": "batch", "name": "clouddebugger", "kind": "discovery#restDescription", "ownerDomain": "google.com", "basePath": "", "baseUrl": "https://clouddebugger.googleapis.com/", "schemas": { "ListDebuggeesResponse": { "properties": { "debuggees": { "description": "List of debuggees accessible to the calling user. The fields `debuggee.id` and `description` are guaranteed to be set. The `description` field is a human readable field provided by agents and can be displayed to users.", "type": "array", "items": { "$ref": "Debuggee" } } }, "description": "Response for listing debuggees.", "id": "ListDebuggeesResponse", "type": "object" }, "UpdateActiveBreakpointRequest": { "description": "Request to update an active breakpoint.", "properties": { "breakpoint": { "description": "Required. Updated breakpoint information. The field `id` must be set. The agent must echo all Breakpoint specification fields in the update.", "$ref": "Breakpoint" } }, "id": "UpdateActiveBreakpointRequest", "type": "object" }, "ListActiveBreakpointsResponse": { "id": "ListActiveBreakpointsResponse", "description": "Response for listing active breakpoints.", "type": "object", "properties": { "waitExpired": { "type": "boolean", "description": "If set to `true`, indicates that there is no change to the list of active breakpoints and the server-selected timeout has expired. The `breakpoints` field would be empty and should be ignored." }, "breakpoints": { "items": { "$ref": "Breakpoint" }, "type": "array", "description": "List of all active breakpoints. The fields `id` and `location` are guaranteed to be set on each breakpoint." }, "nextWaitToken": { "type": "string", "description": "A token that can be used in the next method call to block until the list of breakpoints changes." } } }, "CloudWorkspaceSourceContext": { "description": "A CloudWorkspaceSourceContext denotes a workspace at a particular snapshot.", "id": "CloudWorkspaceSourceContext", "type": "object", "properties": { "workspaceId": { "$ref": "CloudWorkspaceId", "description": "The ID of the workspace." }, "snapshotId": { "description": "The ID of the snapshot. An empty snapshot_id refers to the most recent snapshot.", "type": "string" } } }, "SourceLocation": { "properties": { "column": { "type": "integer", "description": "Column within a line. The first column in a line as the value `1`. Agents that do not support setting breakpoints on specific columns ignore this field.", "format": "int32" }, "line": { "type": "integer", "description": "Line inside the file. The first line in the file has the value `1`.", "format": "int32" }, "path": { "description": "Path to the source file within the source context of the target binary.", "type": "string" } }, "type": "object", "id": "SourceLocation", "description": "Represents a location in the source code." }, "StatusMessage": { "properties": { "isError": { "type": "boolean", "description": "Distinguishes errors from informational messages." }, "description": { "$ref": "FormatMessage", "description": "Status message text." }, "refersTo": { "enumDescriptions": [ "Status doesn't refer to any particular input.", "Status applies to the breakpoint and is related to its location.", "Status applies to the breakpoint and is related to its condition.", "Status applies to the breakpoint and is related to its expressions.", "Status applies to the breakpoint and is related to its age.", "Status applies to the breakpoint when the breakpoint failed to exit the canary state.", "Status applies to the entire variable.", "Status applies to variable value (variable name is valid)." ], "type": "string", "enum": [ "UNSPECIFIED", "BREAKPOINT_SOURCE_LOCATION", "BREAKPOINT_CONDITION", "BREAKPOINT_EXPRESSION", "BREAKPOINT_AGE", "BREAKPOINT_CANARY_FAILED", "VARIABLE_NAME", "VARIABLE_VALUE" ], "description": "Reference to which the message applies." } }, "description": "Represents a contextual status message. The message can indicate an error or informational status, and refer to specific parts of the containing object. For example, the `Breakpoint.status` field can indicate an error referring to the `BREAKPOINT_SOURCE_LOCATION` with the message `Location not found`.", "type": "object", "id": "StatusMessage" }, "Debuggee": { "description": "Represents the debugged application. The application may include one or more replicated processes executing the same code. Each of these processes is attached with a debugger agent, carrying out the debugging commands. Agents attached to the same debuggee identify themselves as such by using exactly the same Debuggee message value when registering.", "id": "Debuggee", "type": "object", "properties": { "isInactive": { "type": "boolean", "description": "If set to `true`, indicates that Controller service does not detect any activity from the debuggee agents and the application is possibly stopped." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "A set of custom debuggee properties, populated by the agent, to be displayed to the user." }, "uniquifier": { "description": "Uniquifier to further distinguish the application. It is possible that different applications might have identical values in the debuggee message, thus, incorrectly identified as a single application by the Controller service. This field adds salt to further distinguish the application. Agents should consider seeding this field with value that identifies the code, binary, configuration and environment.", "type": "string" }, "agentVersion": { "description": "Version ID of the agent. Schema: `domain/language-platform/vmajor.minor` (for example `google.com/java-gcp/v1.1`).", "type": "string" }, "project": { "type": "string", "description": "Project the debuggee is associated with. Use project number or id when registering a Google Cloud Platform project." }, "description": { "description": "Human readable description of the debuggee. Including a human-readable project name, environment name and version information is recommended.", "type": "string" }, "extSourceContexts": { "description": "References to the locations and revisions of the source code used in the deployed application.", "items": { "$ref": "ExtendedSourceContext" }, "type": "array" }, "isDisabled": { "type": "boolean", "description": "If set to `true`, indicates that the agent should disable itself and detach from the debuggee." }, "id": { "description": "Unique identifier for the debuggee generated by the controller service.", "type": "string" }, "canaryMode": { "type": "string", "description": "Used when setting breakpoint canary for this debuggee.", "enumDescriptions": [ "CANARY_MODE_UNSPECIFIED is equivalent to CANARY_MODE_ALWAYS_DISABLED so that if the debuggee is not configured to use the canary feature, the feature will be disabled.", "Always enable breakpoint canary regardless of the value of breakpoint's canary option.", "Always disable breakpoint canary regardless of the value of breakpoint's canary option.", "Depends on the breakpoint's canary option. Enable canary by default if the breakpoint's canary option is not specified.", "Depends on the breakpoint's canary option. Disable canary by default if the breakpoint's canary option is not specified." ], "enum": [ "CANARY_MODE_UNSPECIFIED", "CANARY_MODE_ALWAYS_ENABLED", "CANARY_MODE_ALWAYS_DISABLED", "CANARY_MODE_DEFAULT_ENABLED", "CANARY_MODE_DEFAULT_DISABLED" ] }, "sourceContexts": { "description": "References to the locations and revisions of the source code used in the deployed application.", "items": { "$ref": "SourceContext" }, "type": "array" }, "status": { "description": "Human readable message to be displayed to the user about this debuggee. Absence of this field indicates no status. The message can be either informational or an error status.", "$ref": "StatusMessage" } } }, "ProjectRepoId": { "id": "ProjectRepoId", "properties": { "repoName": { "type": "string", "description": "The name of the repo. Leave empty for the default repo." }, "projectId": { "type": "string", "description": "The ID of the project." } }, "description": "Selects a repo using a Google Cloud Platform project ID (e.g. winged-cargo-31) and a repo name within that project.", "type": "object" }, "Empty": { "id": "Empty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" }, "GitSourceContext": { "type": "object", "description": "A GitSourceContext denotes a particular revision in a third party Git repository (e.g. GitHub).", "properties": { "revisionId": { "description": "Git commit hash. required.", "type": "string" }, "url": { "type": "string", "description": "Git repository URL." } }, "id": "GitSourceContext" }, "GetBreakpointResponse": { "type": "object", "properties": { "breakpoint": { "$ref": "Breakpoint", "description": "Complete breakpoint state. The fields `id` and `location` are guaranteed to be set." } }, "description": "Response for getting breakpoint information.", "id": "GetBreakpointResponse" }, "UpdateActiveBreakpointResponse": { "description": "Response for updating an active breakpoint. The message is defined to allow future extensions.", "type": "object", "properties": {}, "id": "UpdateActiveBreakpointResponse" }, "ListBreakpointsResponse": { "id": "ListBreakpointsResponse", "properties": { "breakpoints": { "description": "List of breakpoints matching the request. The fields `id` and `location` are guaranteed to be set on each breakpoint. The fields: `stack_frames`, `evaluated_expressions` and `variable_table` are cleared on each breakpoint regardless of its status.", "items": { "$ref": "Breakpoint" }, "type": "array" }, "nextWaitToken": { "description": "A wait token that can be used in the next call to `list` (REST) or `ListBreakpoints` (RPC) to block until the list of breakpoints has changes.", "type": "string" } }, "type": "object", "description": "Response for listing breakpoints." }, "Variable": { "type": "object", "properties": { "varTableIndex": { "format": "int32", "type": "integer", "description": "Reference to a variable in the shared variable table. More than one variable can reference the same variable in the table. The `var_table_index` field is an index into `variable_table` in Breakpoint." }, "members": { "items": { "$ref": "Variable" }, "type": "array", "description": "Members contained or pointed to by the variable." }, "name": { "description": "Name of the variable, if any.", "type": "string" }, "value": { "type": "string", "description": "Simple value of the variable." }, "type": { "type": "string", "description": "Variable type (e.g. `MyClass`). If the variable is split with `var_table_index`, `type` goes next to `value`. The interpretation of a type is agent specific. It is recommended to include the dynamic type rather than a static type of an object." }, "status": { "description": "Status associated with the variable. This field will usually stay unset. A status of a single variable only applies to that variable or expression. The rest of breakpoint data still remains valid. Variables might be reported in error state even when breakpoint is not in final state. The message may refer to variable name with `refers_to` set to `VARIABLE_NAME`. Alternatively `refers_to` will be set to `VARIABLE_VALUE`. In either case variable value and members will be unset. Example of error message applied to name: `Invalid expression syntax`. Example of information message applied to value: `Not captured`. Examples of error message applied to value: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Malformed string`, LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Field f not found in class C` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Null pointer dereference`", "$ref": "StatusMessage" } }, "description": "Represents a variable or an argument possibly of a compound object type. Note how the following variables are represented: 1) A simple variable: int x = 5 { name: \"x\", value: \"5\", type: \"int\" } // Captured variable 2) A compound object: struct T { int m1; int m2; }; T x = { 3, 7 }; { // Captured variable name: \"x\", type: \"T\", members { name: \"m1\", value: \"3\", type: \"int\" }, members { name: \"m2\", value: \"7\", type: \"int\" } } 3) A pointer where the pointee was captured: T x = { 3, 7 }; T* p = &x; { // Captured variable name: \"p\", type: \"T*\", value: \"0x00500500\", members { name: \"m1\", value: \"3\", type: \"int\" }, members { name: \"m2\", value: \"7\", type: \"int\" } } 4) A pointer where the pointee was not captured: T* p = new T; { // Captured variable name: \"p\", type: \"T*\", value: \"0x00400400\" status { is_error: true, description { format: \"unavailable\" } } } The status should describe the reason for the missing value, such as ``, ``, ``. Note that a null pointer should not have members. 5) An unnamed value: int* p = new int(7); { // Captured variable name: \"p\", value: \"0x00500500\", type: \"int*\", members { value: \"7\", type: \"int\" } } 6) An unnamed pointer where the pointee was not captured: int* p = new int(7); int** pp = &p; { // Captured variable name: \"pp\", value: \"0x00500500\", type: \"int**\", members { value: \"0x00400400\", type: \"int*\" status { is_error: true, description: { format: \"unavailable\" } } } } } To optimize computation, memory and network traffic, variables that repeat in the output multiple times can be stored once in a shared variable table and be referenced using the `var_table_index` field. The variables stored in the shared table are nameless and are essentially a partition of the complete variable. To reconstruct the complete variable, merge the referencing variable with the referenced variable. When using the shared variable table, the following variables: T x = { 3, 7 }; T* p = &x; T& r = x; { name: \"x\", var_table_index: 3, type: \"T\" } // Captured variables { name: \"p\", value \"0x00500500\", type=\"T*\", var_table_index: 3 } { name: \"r\", type=\"T&\", var_table_index: 3 } { // Shared variable table entry #3: members { name: \"m1\", value: \"3\", type: \"int\" }, members { name: \"m2\", value: \"7\", type: \"int\" } } Note that the pointer address is stored with the referencing variable and not with the referenced variable. This allows the referenced variable to be shared between pointers and references. The type field is optional. The debugger agent may or may not support it.", "id": "Variable" }, "CloudRepoSourceContext": { "description": "A CloudRepoSourceContext denotes a particular revision in a cloud repo (a repo hosted by the Google Cloud Platform).", "properties": { "revisionId": { "description": "A revision ID.", "type": "string" }, "aliasContext": { "description": "An alias, which may be a branch or tag.", "$ref": "AliasContext" }, "repoId": { "$ref": "RepoId", "description": "The ID of the repo." }, "aliasName": { "type": "string", "description": "The name of an alias (branch, tag, etc.)." } }, "id": "CloudRepoSourceContext", "type": "object" }, "RepoId": { "id": "RepoId", "type": "object", "description": "A unique identifier for a cloud repo.", "properties": { "projectRepoId": { "description": "A combination of a project ID and a repo name.", "$ref": "ProjectRepoId" }, "uid": { "type": "string", "description": "A server-assigned, globally unique identifier." } } }, "SourceContext": { "properties": { "cloudRepo": { "$ref": "CloudRepoSourceContext", "description": "A SourceContext referring to a revision in a cloud repo." }, "gerrit": { "description": "A SourceContext referring to a Gerrit project.", "$ref": "GerritSourceContext" }, "cloudWorkspace": { "description": "A SourceContext referring to a snapshot in a cloud workspace.", "$ref": "CloudWorkspaceSourceContext" }, "git": { "description": "A SourceContext referring to any third party Git repo (e.g. GitHub).", "$ref": "GitSourceContext" } }, "description": "A SourceContext is a reference to a tree of files. A SourceContext together with a path point to a unique revision of a single file or directory.", "type": "object", "id": "SourceContext" }, "StackFrame": { "type": "object", "properties": { "function": { "type": "string", "description": "Demangled function name at the call site." }, "arguments": { "items": { "$ref": "Variable" }, "type": "array", "description": "Set of arguments passed to this function. Note that this might not be populated for all stack frames." }, "locals": { "type": "array", "description": "Set of local variables at the stack frame location. Note that this might not be populated for all stack frames.", "items": { "$ref": "Variable" } }, "location": { "description": "Source location of the call site.", "$ref": "SourceLocation" } }, "description": "Represents a stack frame context.", "id": "StackFrame" }, "FormatMessage": { "type": "object", "properties": { "format": { "type": "string", "description": "Format template for the message. The `format` uses placeholders `$0`, `$1`, etc. to reference parameters. `$$` can be used to denote the `$` character. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Failed to load '$0' which helps debug $1 the first time it is loaded. Again, $0 is very important.` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Please pay $$10 to use $0 instead of $1.`" }, "parameters": { "items": { "type": "string" }, "type": "array", "description": "Optional parameters to be embedded into the message." } }, "id": "FormatMessage", "description": "Represents a message with parameters." }, "RegisterDebuggeeResponse": { "id": "RegisterDebuggeeResponse", "type": "object", "properties": { "agentId": { "description": "A unique ID generated for the agent. Each RegisterDebuggee request will generate a new agent ID.", "type": "string" }, "debuggee": { "$ref": "Debuggee", "description": "Debuggee resource. The field `id` is guaranteed to be set (in addition to the echoed fields). If the field `is_disabled` is set to `true`, the agent should disable itself by removing all breakpoints and detaching from the application. It should however continue to poll `RegisterDebuggee` until reenabled." } }, "description": "Response for registering a debuggee." }, "AliasContext": { "id": "AliasContext", "type": "object", "description": "An alias to a repo revision.", "properties": { "kind": { "type": "string", "enum": [ "ANY", "FIXED", "MOVABLE", "OTHER" ], "enumDescriptions": [ "Do not use.", "Git tag", "Git branch", "OTHER is used to specify non-standard aliases, those not of the kinds above. For example, if a Git repo has a ref named \"refs/foo/bar\", it is considered to be of kind OTHER." ], "description": "The alias kind." }, "name": { "type": "string", "description": "The alias name." } } }, "SetBreakpointResponse": { "properties": { "breakpoint": { "description": "Breakpoint resource. The field `id` is guaranteed to be set (in addition to the echoed fields).", "$ref": "Breakpoint" } }, "id": "SetBreakpointResponse", "description": "Response for setting a breakpoint.", "type": "object" }, "GerritSourceContext": { "type": "object", "description": "A SourceContext referring to a Gerrit project.", "properties": { "gerritProject": { "type": "string", "description": "The full project name within the host. Projects may be nested, so \"project/subproject\" is a valid project name. The \"repo name\" is hostURI/project." }, "revisionId": { "description": "A revision (commit) ID.", "type": "string" }, "aliasName": { "description": "The name of an alias (branch, tag, etc.).", "type": "string" }, "hostUri": { "description": "The URI of a running Gerrit instance.", "type": "string" }, "aliasContext": { "$ref": "AliasContext", "description": "An alias, which may be a branch or tag." } }, "id": "GerritSourceContext" }, "Breakpoint": { "description": "------------------------------------------------------------------------------ ## Breakpoint (the resource) Represents the breakpoint specification, status and results.", "type": "object", "id": "Breakpoint", "properties": { "stackFrames": { "description": "The stack at breakpoint time, where stack_frames[0] represents the most recently entered function.", "type": "array", "items": { "$ref": "StackFrame" } }, "state": { "enum": [ "STATE_UNSPECIFIED", "STATE_CANARY_PENDING_AGENTS", "STATE_CANARY_ACTIVE", "STATE_ROLLING_TO_ALL", "STATE_IS_FINAL" ], "description": "The current state of the breakpoint.", "enumDescriptions": [ "Breakpoint state UNSPECIFIED.", "Enabling canary but no agents are available.", "Enabling canary and successfully assigning canary agents.", "Breakpoint rolling out to all agents.", "Breakpoint is hit/complete/failed." ], "type": "string" }, "expressions": { "description": "List of read-only expressions to evaluate at the breakpoint location. The expressions are composed using expressions in the programming language at the source location. If the breakpoint action is `LOG`, the evaluated expressions are included in log statements.", "type": "array", "items": { "type": "string" } }, "condition": { "type": "string", "description": "Condition that triggers the breakpoint. The condition is a compound boolean expression composed using expressions in a programming language at the source location." }, "canaryExpireTime": { "description": "The deadline for the breakpoint to stay in CANARY_ACTIVE state. The value is meaningless when the breakpoint is not in CANARY_ACTIVE state.", "format": "google-datetime", "type": "string" }, "location": { "description": "Breakpoint source location.", "$ref": "SourceLocation" }, "action": { "enum": [ "CAPTURE", "LOG" ], "description": "Action that the agent should perform when the code at the breakpoint location is hit.", "enumDescriptions": [ "Capture stack frame and variables and update the breakpoint. The data is only captured once. After that the breakpoint is set in a final state.", "Log each breakpoint hit. The breakpoint remains active until deleted or expired." ], "type": "string" }, "userEmail": { "description": "E-mail address of the user that created this breakpoint", "type": "string" }, "logLevel": { "enum": [ "INFO", "WARNING", "ERROR" ], "description": "Indicates the severity of the log. Only relevant when action is `LOG`.", "enumDescriptions": [ "Information log message.", "Warning log message.", "Error log message." ], "type": "string" }, "finalTime": { "description": "Time this breakpoint was finalized as seen by the server in seconds resolution.", "type": "string", "format": "google-datetime" }, "labels": { "type": "object", "description": "A set of custom breakpoint properties, populated by the agent, to be displayed to the user.", "additionalProperties": { "type": "string" } }, "createTime": { "format": "google-datetime", "description": "Time this breakpoint was created by the server in seconds resolution.", "type": "string" }, "logMessageFormat": { "description": "Only relevant when action is `LOG`. Defines the message to log when the breakpoint hits. The message may include parameter placeholders `$0`, `$1`, etc. These placeholders are replaced with the evaluated value of the appropriate expression. Expressions not referenced in `log_message_format` are not logged. Example: `Message received, id = $0, count = $1` with `expressions` = `[ message.id, message.count ]`.", "type": "string" }, "status": { "description": "Breakpoint status. The status includes an error flag and a human readable message. This field is usually unset. The message can be either informational or an error message. Regardless, clients should always display the text message back to the user. Error status indicates complete failure of the breakpoint. Example (non-final state): `Still loading symbols...` Examples (final state): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Invalid line number` referring to location LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Field f not found in class C` referring to condition", "$ref": "StatusMessage" }, "variableTable": { "items": { "$ref": "Variable" }, "description": "The `variable_table` exists to aid with computation, memory and network traffic optimization. It enables storing a variable once and reference it from multiple variables, including variables stored in the `variable_table` itself. For example, the same `this` object, which may appear at many levels of the stack, can have all of its data stored once in this table. The stack frame variables then would hold only a reference to it. The variable `var_table_index` field is an index into this repeated field. The stored objects are nameless and get their name from the referencing variable. The effective variable is a merge of the referencing variable and the referenced variable.", "type": "array" }, "evaluatedExpressions": { "description": "Values of evaluated expressions at breakpoint time. The evaluated expressions appear in exactly the same order they are listed in the `expressions` field. The `name` field holds the original expression text, the `value` or `members` field holds the result of the evaluated expression. If the expression cannot be evaluated, the `status` inside the `Variable` will indicate an error and contain the error text.", "items": { "$ref": "Variable" }, "type": "array" }, "isFinalState": { "type": "boolean", "description": "When true, indicates that this is a final result and the breakpoint state will not change from here on." }, "id": { "description": "Breakpoint identifier, unique in the scope of the debuggee.", "type": "string" } } }, "ExtendedSourceContext": { "description": "An ExtendedSourceContext is a SourceContext combined with additional details describing the context.", "properties": { "context": { "description": "Any source context.", "$ref": "SourceContext" }, "labels": { "additionalProperties": { "type": "string" }, "description": "Labels with user defined metadata.", "type": "object" } }, "id": "ExtendedSourceContext", "type": "object" }, "CloudWorkspaceId": { "type": "object", "description": "A CloudWorkspaceId is a unique identifier for a cloud workspace. A cloud workspace is a place associated with a repo where modified files can be stored before they are committed.", "properties": { "name": { "description": "The unique name of the workspace within the repo. This is the name chosen by the client in the Source API's CreateWorkspace method.", "type": "string" }, "repoId": { "description": "The ID of the repo containing the workspace.", "$ref": "RepoId" } }, "id": "CloudWorkspaceId" }, "RegisterDebuggeeRequest": { "type": "object", "properties": { "debuggee": { "description": "Required. Debuggee information to register. The fields `project`, `uniquifier`, `description` and `agent_version` of the debuggee must be set.", "$ref": "Debuggee" } }, "id": "RegisterDebuggeeRequest", "description": "Request to register a debuggee." } }, "description": "Examines the call stack and variables of a running application without stopping or slowing it down. " }
]===]))
