local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerName": "Google", "resources": { "projects": { "resources": { "locations": { "resources": { "targets": { "methods": { "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targets", "description": "Creates a new Target in a given project and location.", "httpMethod": "POST", "id": "clouddeploy.projects.locations.targets.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "request": { "$ref": "Target" }, "parameters": { "targetId": { "description": "Required. ID of the `Target`.", "location": "query", "type": "string" }, "validateOnly": { "location": "query", "type": "boolean", "description": "Optional. If set to true, the request is validated and the user is provided with an expected result, but no actual change is made." }, "parent": { "description": "Required. The parent collection in which the `Target` should be created. Format should be projects/{project_id}/locations/{location_name}.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" }, "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/targets" }, "get": { "path": "v1/{+name}", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/targets/[^/]+$", "required": true, "type": "string", "description": "Required. Name of the `Target`. Format must be projects/{project_id}/locations/{location_name}/targets/{target_name}." } }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targets/{targetsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Target" }, "parameterOrder": [ "name" ], "id": "clouddeploy.projects.locations.targets.get", "description": "Gets details of a single Target." }, "delete": { "path": "v1/{+name}", "httpMethod": "DELETE", "parameters": { "requestId": { "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. If set, validate the request and preview the review, but do not actually post it." }, "allowMissing": { "description": "Optional. If set to true, then deleting an already deleted or non-existing DeliveryPipeline will succeed.", "location": "query", "type": "boolean" }, "etag": { "type": "string", "location": "query", "description": "Optional. This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/targets/[^/]+$", "type": "string", "description": "Required. The name of the `Target` to delete. Format should be projects/{project_id}/locations/{location_name}/targets/{target_name}.", "required": true, "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targets/{targetsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "clouddeploy.projects.locations.targets.delete", "parameterOrder": [ "name" ], "description": "Deletes a single Target.", "response": { "$ref": "Operation" } }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "httpMethod": "POST", "id": "clouddeploy.projects.locations.targets.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:testIamPermissions", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/targets/[^/]+$", "type": "string", "location": "path", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targets/{targetsId}:testIamPermissions" }, "getIamPolicy": { "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "format": "int32", "type": "integer" }, "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/targets/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targets/{targetsId}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "response": { "$ref": "Policy" }, "id": "clouddeploy.projects.locations.targets.getIamPolicy", "parameterOrder": [ "resource" ] }, "patch": { "request": { "$ref": "Target" }, "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targets/{targetsId}", "description": "Updates the parameters of a single Target.", "id": "clouddeploy.projects.locations.targets.patch", "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameters": { "validateOnly": { "type": "boolean", "description": "Optional. If set to true, the request is validated and the user is provided with an expected result, but no actual change is made.", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/targets/[^/]+$", "description": "Optional. Name of the `Target`. Format is projects/{project}/locations/{location}/targets/a-z{0,62}.", "location": "path", "type": "string", "required": true }, "allowMissing": { "location": "query", "description": "Optional. If set to true, updating a `Target` that does not exist will result in the creation of a new `Target`.", "type": "boolean" }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Required. Field mask is used to specify the fields to be overwritten in the Target resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." }, "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } } }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/targets/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "parameterOrder": [ "resource" ], "id": "clouddeploy.projects.locations.targets.setIamPolicy", "path": "v1/{+resource}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targets/{targetsId}:setIamPolicy", "response": { "$ref": "Policy" } }, "list": { "httpMethod": "GET", "description": "Lists Targets in a given project and location.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targets", "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Optional. Field to sort by. See https://google.aip.dev/132#ordering for more details." }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum number of `Target` objects to return. The service may return fewer than this value. If unspecified, at most 50 `Target` objects will be returned. The maximum value is 1000; values above 1000 will be set to 1000." }, "parent": { "type": "string", "required": true, "description": "Required. The parent, which owns this collection of targets. Format must be projects/{project_id}/locations/{location_name}.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A page token, received from a previous `ListTargets` call. Provide this to retrieve the subsequent page. When paginating, all other provided parameters match the call that provided the page token." }, "filter": { "description": "Optional. Filter targets to be returned. See https://google.aip.dev/160 for more details.", "location": "query", "type": "string" } }, "path": "v1/{+parent}/targets", "response": { "$ref": "ListTargetsResponse" }, "parameterOrder": [ "parent" ], "id": "clouddeploy.projects.locations.targets.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "operations": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "The standard list page size.", "format": "int32" }, "name": { "type": "string", "description": "The name of the operation's parent resource.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" } }, "id": "clouddeploy.projects.locations.operations.list" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "description": "The name of the operation resource to be deleted." } }, "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "id": "clouddeploy.projects.locations.operations.delete" }, "cancel": { "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "request": { "$ref": "CancelOperationRequest" }, "path": "v1/{+name}:cancel", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "id": "clouddeploy.projects.locations.operations.cancel", "parameterOrder": [ "name" ], "httpMethod": "POST", "parameters": { "name": { "type": "string", "location": "path", "description": "The name of the operation resource to be cancelled.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" } }, "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "id": "clouddeploy.projects.locations.operations.get", "parameters": { "name": { "type": "string", "description": "The name of the operation resource.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" } } } }, "deliveryPipelines": { "resources": { "releases": { "resources": { "rollouts": { "methods": { "approve": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}/releases/{releasesId}/rollouts/{rolloutsId}:approve", "id": "clouddeploy.projects.locations.deliveryPipelines.releases.rollouts.approve", "httpMethod": "POST", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+/releases/[^/]+/rollouts/[^/]+$", "description": "Required. Name of the Rollout. Format is projects/{project}/locations/{location}/deliveryPipelines/{deliveryPipeline}/ releases/{release}/rollouts/{rollout}.", "type": "string", "required": true } }, "request": { "$ref": "ApproveRolloutRequest" }, "path": "v1/{+name}:approve", "response": { "$ref": "ApproveRolloutResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Approves a Rollout." }, "list": { "response": { "$ref": "ListRolloutsResponse" }, "parameterOrder": [ "parent" ], "description": "Lists Rollouts in a given project and location.", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}/releases/{releasesId}/rollouts", "id": "clouddeploy.projects.locations.deliveryPipelines.releases.rollouts.list", "path": "v1/{+parent}/rollouts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "filter": { "type": "string", "description": "Optional. Filter rollouts to be returned. See https://google.aip.dev/160 for more details.", "location": "query" }, "orderBy": { "description": "Optional. Field to sort by. See https://google.aip.dev/132#ordering for more details.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A page token, received from a previous `ListRollouts` call. Provide this to retrieve the subsequent page. When paginating, all other provided parameters match the call that provided the page token." }, "parent": { "required": true, "description": "Required. The `Release` which owns this collection of `Rollout` objects.", "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+/releases/[^/]+$", "location": "path", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of `Rollout` objects to return. The service may return fewer than this value. If unspecified, at most 50 `Rollout` objects will be returned. The maximum value is 1000; values above 1000 will be set to 1000.", "location": "query", "type": "integer", "format": "int32" } } }, "create": { "httpMethod": "POST", "request": { "$ref": "Rollout" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Rollout in a given project and location.", "response": { "$ref": "Operation" }, "id": "clouddeploy.projects.locations.deliveryPipelines.releases.rollouts.create", "parameters": { "parent": { "location": "path", "type": "string", "description": "Required. The parent collection in which the `Rollout` should be created. Format should be projects/{project_id}/locations/{location_name}/deliveryPipelines/{pipeline_name}/releases/{release_name}.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+/releases/[^/]+$" }, "rolloutId": { "type": "string", "location": "query", "description": "Required. ID of the `Rollout`." }, "requestId": { "type": "string", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "validateOnly": { "location": "query", "type": "boolean", "description": "Optional. If set to true, the request is validated and the user is provided with an expected result, but no actual change is made." } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/rollouts", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}/releases/{releasesId}/rollouts" }, "get": { "httpMethod": "GET", "description": "Gets details of a single Rollout.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "Rollout" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}/releases/{releasesId}/rollouts/{rolloutsId}", "parameters": { "name": { "description": "Required. Name of the `Rollout`. Format must be projects/{project_id}/locations/{location_name}/deliveryPipelines/{pipeline_name}/releases/{release_name}/rollouts/{rollout_name}.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+/releases/[^/]+/rollouts/[^/]+$" } }, "id": "clouddeploy.projects.locations.deliveryPipelines.releases.rollouts.get", "path": "v1/{+name}" } } } }, "methods": { "get": { "id": "clouddeploy.projects.locations.deliveryPipelines.releases.get", "httpMethod": "GET", "path": "v1/{+name}", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+/releases/[^/]+$", "description": "Required. Name of the `Release`. Format must be projects/{project_id}/locations/{location_name}/deliveryPipelines/{pipeline_name}/releases/{release_name}.", "required": true } }, "response": { "$ref": "Release" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets details of a single Release.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}/releases/{releasesId}" }, "create": { "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}/releases", "description": "Creates a new Release in a given project and location.", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/releases", "request": { "$ref": "Release" }, "parameters": { "validateOnly": { "type": "boolean", "description": "Optional. If set to true, the request is validated and the user is provided with an expected result, but no actual change is made.", "location": "query" }, "parent": { "type": "string", "description": "Required. The parent collection in which the `Release` should be created. Format should be projects/{project_id}/locations/{location_name}/deliveryPipelines/{pipeline_name}.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+$", "location": "path" }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "releaseId": { "description": "Required. ID of the `Release`.", "location": "query", "type": "string" } }, "id": "clouddeploy.projects.locations.deliveryPipelines.releases.create" }, "abandon": { "request": { "$ref": "AbandonReleaseRequest" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "location": "path", "description": "Required. Name of the Release. Format is projects/{project}/locations/{location}/deliveryPipelines/{deliveryPipeline}/ releases/{release}.", "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+/releases/[^/]+$", "type": "string" } }, "httpMethod": "POST", "description": "Abandons a Release in the Delivery Pipeline.", "path": "v1/{+name}:abandon", "response": { "$ref": "AbandonReleaseResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}/releases/{releasesId}:abandon", "id": "clouddeploy.projects.locations.deliveryPipelines.releases.abandon" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "type": "string", "description": "Required. The `DeliveryPipeline` which owns this collection of `Release` objects.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+$" }, "filter": { "description": "Optional. Filter releases to be returned. See https://google.aip.dev/160 for more details.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A page token, received from a previous `ListReleases` call. Provide this to retrieve the subsequent page. When paginating, all other provided parameters match the call that provided the page token." }, "pageSize": { "location": "query", "description": "Optional. The maximum number of `Release` objects to return. The service may return fewer than this value. If unspecified, at most 50 `Release` objects will be returned. The maximum value is 1000; values above 1000 will be set to 1000.", "type": "integer", "format": "int32" }, "orderBy": { "description": "Optional. Field to sort by. See https://google.aip.dev/132#ordering for more details.", "location": "query", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}/releases", "description": "Lists Releases in a given project and location.", "httpMethod": "GET", "parameterOrder": [ "parent" ], "id": "clouddeploy.projects.locations.deliveryPipelines.releases.list", "path": "v1/{+parent}/releases", "response": { "$ref": "ListReleasesResponse" } } } } }, "methods": { "getIamPolicy": { "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true }, "options.requestedPolicyVersion": { "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" } }, "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "path": "v1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "clouddeploy.projects.locations.deliveryPipelines.getIamPolicy", "httpMethod": "GET" }, "create": { "path": "v1/{+parent}/deliveryPipelines", "httpMethod": "POST", "request": { "$ref": "DeliveryPipeline" }, "id": "clouddeploy.projects.locations.deliveryPipelines.create", "parameters": { "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. If set to true, the request is validated and the user is provided with an expected result, but no actual change is made." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent collection in which the `DeliveryPipeline` should be created. Format should be projects/{project_id}/locations/{location_name}.", "location": "path", "type": "string" }, "deliveryPipelineId": { "location": "query", "type": "string", "description": "Required. ID of the `DeliveryPipeline`." }, "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "description": "Creates a new DeliveryPipeline in a given project and location." }, "list": { "id": "clouddeploy.projects.locations.deliveryPipelines.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines", "description": "Lists DeliveryPipelines in a given project and location.", "path": "v1/{+parent}/deliveryPipelines", "parameterOrder": [ "parent" ], "response": { "$ref": "ListDeliveryPipelinesResponse" }, "parameters": { "pageSize": { "type": "integer", "description": "The maximum number of pipelines to return. The service may return fewer than this value. If unspecified, at most 50 pipelines will be returned. The maximum value is 1000; values above 1000 will be set to 1000.", "format": "int32", "location": "query" }, "pageToken": { "location": "query", "description": "A page token, received from a previous `ListDeliveryPipelines` call. Provide this to retrieve the subsequent page. When paginating, all other provided parameters match the call that provided the page token.", "type": "string" }, "filter": { "location": "query", "description": "Filter pipelines to be returned. See https://google.aip.dev/160 for more details.", "type": "string" }, "parent": { "location": "path", "description": "Required. The parent, which owns this collection of pipelines. Format must be projects/{project_id}/locations/{location_name}.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "orderBy": { "description": "Field to sort by. See https://google.aip.dev/132#ordering for more details.", "location": "query", "type": "string" } }, "httpMethod": "GET" }, "get": { "httpMethod": "GET", "description": "Gets details of a single DeliveryPipeline.", "path": "v1/{+name}", "response": { "$ref": "DeliveryPipeline" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+$", "description": "Required. Name of the `DeliveryPipeline`. Format must be projects/{project_id}/locations/{location_name}/deliveryPipelines/{pipeline_name}.", "required": true, "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "clouddeploy.projects.locations.deliveryPipelines.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}" }, "delete": { "parameters": { "force": { "location": "query", "type": "boolean", "description": "Optional. If set to true, all child resources under this pipeline will also be deleted. Otherwise, the request will only work if the pipeline has no child resources." }, "requestId": { "type": "string", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "allowMissing": { "description": "Optional. If set to true, then deleting an already deleted or non-existing `DeliveryPipeline` will succeed.", "type": "boolean", "location": "query" }, "validateOnly": { "location": "query", "type": "boolean", "description": "Optional. If set, validate the request and preview the review, but do not actually post it." }, "etag": { "description": "Optional. This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding.", "location": "query", "type": "string" }, "name": { "location": "path", "description": "Required. The name of the `DeliveryPipeline` to delete. Format should be projects/{project_id}/locations/{location_name}/deliveryPipelines/{pipeline_name}.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+$" } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}", "description": "Deletes a single DeliveryPipeline.", "httpMethod": "DELETE", "id": "clouddeploy.projects.locations.deliveryPipelines.delete", "response": { "$ref": "Operation" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "description": "Updates the parameters of a single DeliveryPipeline.", "parameters": { "allowMissing": { "location": "query", "type": "boolean", "description": "Optional. If set to true, updating a `DeliveryPipeline` that does not exist will result in the creation of a new `DeliveryPipeline`." }, "requestId": { "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "validateOnly": { "description": "Optional. If set to true, the request is validated and the user is provided with an expected result, but no actual change is made.", "type": "boolean", "location": "query" }, "name": { "type": "string", "description": "Optional. Name of the `DeliveryPipeline`. Format is projects/{project}/ locations/{location}/deliveryPipelines/a-z{0,62}.", "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+$", "location": "path", "required": true }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Required. Field mask is used to specify the fields to be overwritten in the `DeliveryPipeline` resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}", "path": "v1/{+name}", "response": { "$ref": "Operation" }, "id": "clouddeploy.projects.locations.deliveryPipelines.patch", "request": { "$ref": "DeliveryPipeline" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+$", "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "clouddeploy.projects.locations.deliveryPipelines.setIamPolicy", "path": "v1/{+resource}:setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}:setIamPolicy", "httpMethod": "POST", "response": { "$ref": "Policy" } }, "testIamPermissions": { "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "id": "clouddeploy.projects.locations.deliveryPipelines.testIamPermissions", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/deliveryPipelines/[^/]+$", "location": "path", "required": true, "type": "string" } }, "path": "v1/{+resource}:testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/deliveryPipelines/{deliveryPipelinesId}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TestIamPermissionsResponse" } } } } }, "methods": { "list": { "response": { "$ref": "ListLocationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists information about the supported locations for this service.", "httpMethod": "GET", "parameters": { "pageSize": { "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "format": "int32" }, "name": { "type": "string", "pattern": "^projects/[^/]+$", "description": "The resource that owns the locations collection, if applicable.", "required": true, "location": "path" }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." } }, "parameterOrder": [ "name" ], "id": "clouddeploy.projects.locations.list", "flatPath": "v1/projects/{projectsId}/locations", "path": "v1/{+name}/locations" }, "getConfig": { "httpMethod": "GET", "response": { "$ref": "Config" }, "id": "clouddeploy.projects.locations.getConfig", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/config", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/config$", "required": true, "description": "Required. Name of requested configuration.", "type": "string" } }, "parameterOrder": [ "name" ], "description": "Gets the configuration for a location.", "path": "v1/{+name}" }, "get": { "description": "Gets information about a location.", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "response": { "$ref": "Location" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "clouddeploy.projects.locations.get", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "description": "Resource name for the location." } } } } } } } }, "rootUrl": "https://clouddeploy.googleapis.com/", "title": "Google Cloud Deploy API", "baseUrl": "https://clouddeploy.googleapis.com/", "name": "clouddeploy", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "schemas": { "ExecutionConfig": { "properties": { "usages": { "type": "array", "description": "Required. Usages when this configuration should be applied.", "items": { "enumDescriptions": [ "Default value. This value is unused.", "Use for rendering.", "Use for deploying and deployment hooks." ], "type": "string", "enum": [ "EXECUTION_ENVIRONMENT_USAGE_UNSPECIFIED", "RENDER", "DEPLOY" ] } }, "defaultPool": { "description": "Optional. Use default Cloud Build pool.", "$ref": "DefaultPool" }, "serviceAccount": { "description": "Optional. Google service account to use for execution. If unspecified, the project execution service account (-compute@developer.gserviceaccount.com) is used.", "type": "string" }, "artifactStorage": { "type": "string", "description": "Optional. Cloud Storage location in which to store execution outputs. This can either be a bucket (\"gs://my-bucket\") or a path within a bucket (\"gs://my-bucket/my-dir\"). If unspecified, a default bucket located in the same region will be used." }, "privatePool": { "description": "Optional. Use private Cloud Build pool.", "$ref": "PrivatePool" }, "workerPool": { "type": "string", "description": "Optional. The resource name of the `WorkerPool`, with the format `projects/{project}/locations/{location}/workerPools/{worker_pool}`. If this optional field is unspecified, the default Cloud Build pool will be used." }, "executionTimeout": { "format": "google-duration", "type": "string", "description": "Optional. Execution timeout for a Cloud Build Execution. This must be between 10m and 24h in seconds format. If unspecified, a default timeout of 1h is used." } }, "id": "ExecutionConfig", "description": "Configuration of the environment to use when calling Skaffold.", "type": "object" }, "Stage": { "type": "object", "id": "Stage", "description": "Stage specifies a location to which to deploy.", "properties": { "targetId": { "description": "The target_id to which this stage points. This field refers exclusively to the last segment of a target name. For example, this field would just be `my-target` (rather than `projects/project/locations/location/targets/my-target`). The location of the `Target` is inferred to be the same as the location of the `DeliveryPipeline` that contains this `Stage`.", "type": "string" }, "profiles": { "items": { "type": "string" }, "description": "Skaffold profiles to use when rendering the manifest for this stage's `Target`.", "type": "array" } } }, "ReleaseRenderEvent": { "properties": { "message": { "type": "string", "description": "Debug message for when a render transition occurs. Provides further details as rendering progresses through render states." }, "release": { "type": "string", "description": "The name of the `Release`." } }, "type": "object", "description": "Payload proto for \"clouddeploy.googleapis.com/release_render\" Platform Log event that describes the render status change.", "id": "ReleaseRenderEvent" }, "RolloutNotificationEvent": { "description": "Payload proto for \"clouddeploy.googleapis.com/rollout_notification\" Platform Log event that describes the failure to send rollout status change Pub/Sub notification.", "type": "object", "properties": { "type": { "enum": [ "TYPE_UNSPECIFIED", "TYPE_PUBSUB_NOTIFICATION_FAILURE", "TYPE_RENDER_STATUES_CHANGE" ], "type": "string", "description": "Type of this notification, e.g. for a Pub/Sub failure.", "enumDescriptions": [ "Type is unspecified.", "A Pub/Sub notification failed to be sent.", "Release render status changed notification." ] }, "releaseUid": { "description": "Unique identifier of the `Release`.", "type": "string" }, "rollout": { "type": "string", "description": "The name of the `Rollout`." }, "targetId": { "description": "ID of the `Target` that the rollout is deployed to.", "type": "string" }, "pipelineUid": { "type": "string", "description": "Unique identifier of the `DeliveryPipeline`." }, "message": { "type": "string", "description": "Debug message for when a notification fails to send." } }, "id": "RolloutNotificationEvent" }, "AnthosCluster": { "properties": { "membership": { "type": "string", "description": "Membership of the GKE Hub-registered cluster to which to apply the Skaffold configuration. Format is `projects/{project}/locations/{location}/memberships/{membership_name}`." } }, "type": "object", "id": "AnthosCluster", "description": "Information specifying an Anthos Cluster." }, "ListOperationsResponse": { "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations.", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } } }, "type": "object" }, "ListDeliveryPipelinesResponse": { "description": "The response object from `ListDeliveryPipelines`.", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "deliveryPipelines": { "items": { "$ref": "DeliveryPipeline" }, "type": "array", "description": "The `DeliveryPipeline` objects." } }, "id": "ListDeliveryPipelinesResponse", "type": "object" }, "Date": { "type": "object", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "id": "Date", "properties": { "day": { "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer", "format": "int32" }, "year": { "format": "int32", "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year." }, "month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "type": "integer", "format": "int32" } } }, "Expr": { "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." } }, "type": "object" }, "Operation": { "type": "object", "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." } } }, "AuditConfig": { "id": "AuditConfig", "type": "object", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "TargetsPresentCondition": { "properties": { "missingTargets": { "items": { "type": "string" }, "description": "The list of Target names that are missing. For example, projects/{project_id}/locations/{location_name}/targets/{target_name}.", "type": "array" }, "status": { "type": "boolean", "description": "True if there aren't any missing Targets." }, "updateTime": { "type": "string", "description": "Last time the condition was updated.", "format": "google-datetime" } }, "type": "object", "id": "TargetsPresentCondition", "description": "TargetsPresentCondition contains information on any Targets defined in the Delivery Pipeline that do not actually exist." }, "PipelineReadyCondition": { "id": "PipelineReadyCondition", "properties": { "status": { "description": "True if the Pipeline is in a valid state. Otherwise at least one condition in `PipelineCondition` is in an invalid state. Iterate over those conditions and see which condition(s) has status = false to find out what is wrong with the Pipeline.", "type": "boolean" }, "updateTime": { "description": "Last time the condition was updated.", "format": "google-datetime", "type": "string" } }, "type": "object", "description": "PipelineReadyCondition contains information around the status of the Pipeline." }, "BuildArtifact": { "type": "object", "properties": { "tag": { "description": "Image tag to use. This will generally be the full path to an image, such as \"gcr.io/my-project/busybox:1.2.3\" or \"gcr.io/my-project/busybox@sha256:abc123\".", "type": "string" }, "image": { "description": "Image name in Skaffold configuration.", "type": "string" } }, "id": "BuildArtifact", "description": "Description of an a image to use during Skaffold rendering." }, "TargetNotificationEvent": { "id": "TargetNotificationEvent", "type": "object", "properties": { "target": { "type": "string", "description": "The name of the `Target`." }, "type": { "enum": [ "TYPE_UNSPECIFIED", "TYPE_PUBSUB_NOTIFICATION_FAILURE", "TYPE_RENDER_STATUES_CHANGE" ], "description": "Type of this notification, e.g. for a Pub/Sub failure.", "type": "string", "enumDescriptions": [ "Type is unspecified.", "A Pub/Sub notification failed to be sent.", "Release render status changed notification." ] }, "message": { "type": "string", "description": "Debug message for when a notification fails to send." } }, "description": "Payload proto for \"clouddeploy.googleapis.com/target_notification\" Platform Log event that describes the failure to send target status change Pub/Sub notification." }, "PipelineCondition": { "properties": { "pipelineReadyCondition": { "$ref": "PipelineReadyCondition", "description": "Details around the Pipeline's overall status." }, "targetsPresentCondition": { "$ref": "TargetsPresentCondition", "description": "Detalis around targets enumerated in the pipeline." } }, "description": "PipelineCondition contains all conditions relevant to a Delivery Pipeline.", "type": "object", "id": "PipelineCondition" }, "TestIamPermissionsResponse": { "description": "Response message for `TestIamPermissions` method.", "type": "object", "id": "TestIamPermissionsResponse", "properties": { "permissions": { "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array" } } }, "ApproveRolloutResponse": { "type": "object", "properties": {}, "description": "The response object from `ApproveRollout`.", "id": "ApproveRolloutResponse" }, "Status": { "type": "object", "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } } } }, "TestIamPermissionsRequest": { "type": "object", "id": "TestIamPermissionsRequest", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "description": "Request message for `TestIamPermissions` method." }, "SkaffoldVersion": { "id": "SkaffoldVersion", "type": "object", "description": "Details of a supported Skaffold version.", "properties": { "supportEndDate": { "$ref": "Date", "description": "Date when this version is expected to no longer be supported." }, "version": { "type": "string", "description": "Release version number. For example, \"1.20.3\"." } } }, "GkeCluster": { "type": "object", "description": "Information specifying a GKE Cluster.", "properties": { "internalIp": { "type": "boolean", "description": "Optional. If true, `cluster` is accessed using the private IP address of the control plane endpoint. Otherwise, the default IP address of the control plane endpoint is used. The default IP address is the private IP address for clusters with private control-plane endpoints and the public IP address otherwise. Only specify this option when `cluster` is a [private GKE cluster](https://cloud.google.com/kubernetes-engine/docs/concepts/private-cluster-concept)." }, "cluster": { "description": "Information specifying a GKE Cluster. Format is `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}.", "type": "string" } }, "id": "GkeCluster" }, "SetIamPolicyRequest": { "type": "object", "description": "Request message for `SetIamPolicy` method.", "properties": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" }, "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "id": "SetIamPolicyRequest" }, "SerialPipeline": { "id": "SerialPipeline", "properties": { "stages": { "description": "Each stage specifies configuration for a `Target`. The ordering of this list defines the promotion flow.", "items": { "$ref": "Stage" }, "type": "array" } }, "description": "SerialPipeline defines a sequential set of stages for a `DeliveryPipeline`.", "type": "object" }, "ReleaseNotificationEvent": { "id": "ReleaseNotificationEvent", "properties": { "type": { "description": "Type of this notification, e.g. for a Pub/Sub failure.", "enumDescriptions": [ "Type is unspecified.", "A Pub/Sub notification failed to be sent.", "Release render status changed notification." ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "TYPE_PUBSUB_NOTIFICATION_FAILURE", "TYPE_RENDER_STATUES_CHANGE" ] }, "message": { "type": "string", "description": "Debug message for when a notification fails to send." }, "release": { "description": "The name of the `Release`.", "type": "string" } }, "type": "object", "description": "Payload proto for \"clouddeploy.googleapis.com/release_notification\" Platform Log event that describes the failure to send release status change Pub/Sub notification." }, "Config": { "properties": { "name": { "type": "string", "description": "Name of the configuration." }, "defaultSkaffoldVersion": { "description": "Output only. Default Skaffold version that is assigned when a Release is created without specifying a Skaffold version.", "type": "string", "readOnly": true }, "supportedVersions": { "type": "array", "items": { "$ref": "SkaffoldVersion" }, "description": "Output only. All supported versions of Skaffold.", "readOnly": true } }, "type": "object", "id": "Config", "description": "Service-wide configuration." }, "Rollout": { "properties": { "deployFailureCause": { "readOnly": true, "enumDescriptions": [ "No reason for failure is specified.", "Cloud Build is not available, either because it is not enabled or because Cloud Deploy has insufficient permissions. See [required permission](/deploy/docs/cloud-deploy-service-account#required_permissions).", "The deploy operation did not complete successfully; check Cloud Build logs.", "Deployment did not complete within the alloted time.", "Release is in a failed state.", "Release is abandoned." ], "description": "Output only. The reason this deploy failed. This will always be unspecified while the deploy in progress.", "type": "string", "enum": [ "FAILURE_CAUSE_UNSPECIFIED", "CLOUD_BUILD_UNAVAILABLE", "EXECUTION_FAILED", "DEADLINE_EXCEEDED", "RELEASE_FAILED", "RELEASE_ABANDONED" ] }, "name": { "type": "string", "description": "Optional. Name of the `Rollout`. Format is projects/{project}/ locations/{location}/deliveryPipelines/{deliveryPipeline}/ releases/{release}/rollouts/a-z{0,62}." }, "etag": { "type": "string", "description": "This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding." }, "approvalState": { "readOnly": true, "enumDescriptions": [ "The `Rollout` has an unspecified approval state.", "The `Rollout` requires approval.", "The `Rollout` does not require approval.", "The `Rollout` has been approved.", "The `Rollout` has been rejected." ], "description": "Output only. Approval state of the `Rollout`.", "type": "string", "enum": [ "APPROVAL_STATE_UNSPECIFIED", "NEEDS_APPROVAL", "DOES_NOT_NEED_APPROVAL", "APPROVED", "REJECTED" ] }, "deployingBuild": { "readOnly": true, "type": "string", "description": "Output only. The resource name of the Cloud Build `Build` object that is used to deploy the Rollout. Format is `projects/{project}/locations/{location}/builds/{build}`." }, "labels": { "description": "Labels are attributes that can be set and used by both the user and by Google Cloud Deploy. Labels must meet the following constraints: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values can contain only lowercase letters, numeric characters, underscores, and dashes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All characters must use UTF-8 encoding, and international characters are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must start with a lowercase letter or international character. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each resource is limited to a maximum of 64 labels. Both keys and values are additionally constrained to be \u003c= 128 bytes.", "type": "object", "additionalProperties": { "type": "string" } }, "deployStartTime": { "readOnly": true, "description": "Output only. Time at which the `Rollout` started deploying.", "format": "google-datetime", "type": "string" }, "description": { "type": "string", "description": "Description of the `Rollout` for user purposes. Max length is 255 characters." }, "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Time at which the `Rollout` was created." }, "annotations": { "type": "object", "additionalProperties": { "type": "string" }, "description": "User annotations. These attributes can only be set and used by the user, and not by Google Cloud Deploy. See https://google.aip.dev/128#annotations for more details such as format and size limitations." }, "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "SUCCEEDED", "FAILED", "IN_PROGRESS", "PENDING_APPROVAL", "APPROVAL_REJECTED", "PENDING", "PENDING_RELEASE" ], "description": "Output only. Current state of the `Rollout`.", "enumDescriptions": [ "The `Rollout` has an unspecified state.", "The `Rollout` has completed successfully.", "The `Rollout` has failed.", "The `Rollout` is being deployed.", "The `Rollout` needs approval.", "An approver rejected the `Rollout`.", "The `Rollout` is waiting for an earlier Rollout(s) to complete on this `Target`.", "The `Rollout` is waiting for the `Release` to be fully rendered." ], "type": "string" }, "deployEndTime": { "description": "Output only. Time at which the `Rollout` finished deploying.", "readOnly": true, "format": "google-datetime", "type": "string" }, "targetId": { "description": "Required. The ID of Target to which this `Rollout` is deploying.", "type": "string" }, "failureReason": { "readOnly": true, "description": "Output only. Reason the build failed. Empty if the build succeeded.", "type": "string" }, "uid": { "type": "string", "readOnly": true, "description": "Output only. Unique identifier of the `Rollout`." }, "approveTime": { "description": "Output only. Time at which the `Rollout` was approved.", "type": "string", "readOnly": true, "format": "google-datetime" }, "enqueueTime": { "description": "Output only. Time at which the `Rollout` was enqueued.", "type": "string", "readOnly": true, "format": "google-datetime" } }, "id": "Rollout", "description": "A `Rollout` resource in the Google Cloud Deploy API. A `Rollout` contains information around a specific deployment to a `Target`.", "type": "object" }, "Policy": { "id": "Policy", "type": "object", "properties": { "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "auditConfigs": { "type": "array", "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" } }, "etag": { "type": "string", "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "ApproveRolloutRequest": { "type": "object", "description": "The request object used by `ApproveRollout`.", "id": "ApproveRolloutRequest", "properties": { "approved": { "description": "Required. True = approve; false = reject", "type": "boolean" } } }, "Empty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "type": "object" }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object", "id": "AuditLogConfig", "properties": { "logType": { "description": "The log type that this config enables.", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string" }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } } } }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." } }, "id": "ListLocationsResponse" }, "PrivatePool": { "type": "object", "properties": { "workerPool": { "description": "Required. Resource name of the Cloud Build worker pool to use. The format is `projects/{project}/locations/{location}/workerPools/{pool}`.", "type": "string" }, "artifactStorage": { "type": "string", "description": "Optional. Cloud Storage location where execution outputs should be stored. This can either be a bucket (\"gs://my-bucket\") or a path within a bucket (\"gs://my-bucket/my-dir\"). If unspecified, a default bucket located in the same region will be used." }, "serviceAccount": { "type": "string", "description": "Optional. Google service account to use for execution. If unspecified, the project execution service account (-compute@developer.gserviceaccount.com) will be used." } }, "description": "Execution using a private Cloud Build pool.", "id": "PrivatePool" }, "AbandonReleaseRequest": { "properties": {}, "description": "The request object used by `AbandonRelease`.", "id": "AbandonReleaseRequest", "type": "object" }, "TargetArtifact": { "type": "object", "id": "TargetArtifact", "properties": { "skaffoldConfigPath": { "type": "string", "readOnly": true, "description": "Output only. File path of the resolved Skaffold configuration relative to the URI." }, "manifestPath": { "description": "Output only. File path of the rendered manifest relative to the URI.", "type": "string", "readOnly": true }, "artifactUri": { "readOnly": true, "type": "string", "description": "Output only. URI of a directory containing the artifacts. This contains deployment configuration used by Skaffold during a rollout, and all paths are relative to this location." } }, "description": "The artifacts produced by a target render operation." }, "DeliveryPipeline": { "description": "A `DeliveryPipeline` resource in the Google Cloud Deploy API. A `DeliveryPipeline` defines a pipeline through which a Skaffold configuration can progress.", "type": "object", "id": "DeliveryPipeline", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels are attributes that can be set and used by both the user and by Google Cloud Deploy. Labels must meet the following constraints: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values can contain only lowercase letters, numeric characters, underscores, and dashes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All characters must use UTF-8 encoding, and international characters are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must start with a lowercase letter or international character. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each resource is limited to a maximum of 64 labels. Both keys and values are additionally constrained to be \u003c= 128 bytes." }, "updateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Most recent time at which the pipeline was updated." }, "uid": { "readOnly": true, "type": "string", "description": "Output only. Unique identifier of the `DeliveryPipeline`." }, "etag": { "description": "This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding.", "type": "string" }, "annotations": { "additionalProperties": { "type": "string" }, "type": "object", "description": "User annotations. These attributes can only be set and used by the user, and not by Google Cloud Deploy. See https://google.aip.dev/128#annotations for more details such as format and size limitations." }, "name": { "type": "string", "description": "Optional. Name of the `DeliveryPipeline`. Format is projects/{project}/ locations/{location}/deliveryPipelines/a-z{0,62}." }, "serialPipeline": { "$ref": "SerialPipeline", "description": "SerialPipeline defines a sequential set of stages for a `DeliveryPipeline`." }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. Time at which the pipeline was created." }, "suspended": { "description": "When suspended, no new releases or rollouts can be created, but in-progress ones will complete.", "type": "boolean" }, "description": { "type": "string", "description": "Description of the `DeliveryPipeline`. Max length is 255 characters." }, "condition": { "$ref": "PipelineCondition", "description": "Output only. Information around the state of the Delivery Pipeline.", "readOnly": true } } }, "ListRolloutsResponse": { "description": "ListRolloutsResponse is the response object reutrned by `ListRollouts`.", "type": "object", "properties": { "rollouts": { "type": "array", "description": "The `Rollout` objects.", "items": { "$ref": "Rollout" } }, "unreachable": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "id": "ListRolloutsResponse" }, "DeliveryPipelineNotificationEvent": { "id": "DeliveryPipelineNotificationEvent", "type": "object", "properties": { "message": { "type": "string", "description": "Debug message for when a notification fails to send." }, "deliveryPipeline": { "type": "string", "description": "The name of the `Delivery Pipeline`." }, "type": { "type": "string", "enumDescriptions": [ "Type is unspecified.", "A Pub/Sub notification failed to be sent.", "Release render status changed notification." ], "description": "Type of this notification, e.g. for a Pub/Sub failure.", "enum": [ "TYPE_UNSPECIFIED", "TYPE_PUBSUB_NOTIFICATION_FAILURE", "TYPE_RENDER_STATUES_CHANGE" ] } }, "description": "Payload proto for \"clouddeploy.googleapis.com/deliverypipeline_notification\" Platform Log event that describes the failure to send delivery pipeline status change Pub/Sub notification." }, "Release": { "type": "object", "id": "Release", "description": "A `Release` resource in the Google Cloud Deploy API. A `Release` defines a specific Skaffold configuration instance that can be deployed.", "properties": { "renderStartTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. Time at which the render began." }, "description": { "type": "string", "description": "Description of the `Release`. Max length is 255 characters." }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. Time at which the `Release` was created.", "readOnly": true }, "name": { "description": "Optional. Name of the `Release`. Format is projects/{project}/ locations/{location}/deliveryPipelines/{deliveryPipeline}/ releases/a-z{0,62}.", "type": "string" }, "uid": { "readOnly": true, "type": "string", "description": "Output only. Unique identifier of the `Release`." }, "buildArtifacts": { "items": { "$ref": "BuildArtifact" }, "description": "List of artifacts to pass through to Skaffold command.", "type": "array" }, "targetSnapshots": { "type": "array", "items": { "$ref": "Target" }, "description": "Output only. Snapshot of the targets taken at release creation time.", "readOnly": true }, "etag": { "description": "This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding.", "type": "string" }, "skaffoldVersion": { "description": "The Skaffold version to use when operating on this release, such as \"1.20.0\". Not all versions are valid; Google Cloud Deploy supports a specific set of versions. If unset, the most recent supported Skaffold version will be used.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels are attributes that can be set and used by both the user and by Google Cloud Deploy. Labels must meet the following constraints: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values can contain only lowercase letters, numeric characters, underscores, and dashes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All characters must use UTF-8 encoding, and international characters are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must start with a lowercase letter or international character. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each resource is limited to a maximum of 64 labels. Both keys and values are additionally constrained to be \u003c= 128 bytes." }, "skaffoldConfigUri": { "type": "string", "description": "Cloud Storage URI of tar.gz archive containing Skaffold configuration." }, "deliveryPipelineSnapshot": { "readOnly": true, "$ref": "DeliveryPipeline", "description": "Output only. Snapshot of the parent pipeline taken at release creation time." }, "abandoned": { "type": "boolean", "description": "Output only. Indicates whether this is an abandoned release.", "readOnly": true }, "skaffoldConfigPath": { "description": "Filepath of the Skaffold config inside of the config URI.", "type": "string" }, "renderState": { "enumDescriptions": [ "The render state is unspecified.", "All rendering operations have completed successfully.", "All rendering operations have completed, and one or more have failed.", "Rendering has started and is not complete." ], "enum": [ "RENDER_STATE_UNSPECIFIED", "SUCCEEDED", "FAILED", "IN_PROGRESS" ], "type": "string", "description": "Output only. Current state of the render operation.", "readOnly": true }, "renderEndTime": { "description": "Output only. Time at which the render completed.", "format": "google-datetime", "type": "string", "readOnly": true }, "annotations": { "type": "object", "description": "User annotations. These attributes can only be set and used by the user, and not by Google Cloud Deploy. See https://google.aip.dev/128#annotations for more details such as format and size limitations.", "additionalProperties": { "type": "string" } }, "targetArtifacts": { "readOnly": true, "description": "Output only. Map from target ID to the target artifacts created during the render operation.", "additionalProperties": { "$ref": "TargetArtifact" }, "type": "object" }, "targetRenders": { "description": "Output only. Map from target ID to details of the render operation for that target.", "type": "object", "readOnly": true, "additionalProperties": { "$ref": "TargetRender" } } } }, "ListReleasesResponse": { "properties": { "unreachable": { "description": "Locations that could not be reached.", "type": "array", "items": { "type": "string" } }, "releases": { "description": "The `Release` objects.", "type": "array", "items": { "$ref": "Release" } }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "id": "ListReleasesResponse", "description": "The response object from `ListReleases`.", "type": "object" }, "Target": { "properties": { "updateTime": { "description": "Output only. Most recent time at which the `Target` was updated.", "format": "google-datetime", "type": "string", "readOnly": true }, "labels": { "additionalProperties": { "type": "string" }, "description": "Optional. Labels are attributes that can be set and used by both the user and by Google Cloud Deploy. Labels must meet the following constraints: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values can contain only lowercase letters, numeric characters, underscores, and dashes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All characters must use UTF-8 encoding, and international characters are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must start with a lowercase letter or international character. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each resource is limited to a maximum of 64 labels. Both keys and values are additionally constrained to be \u003c= 128 bytes.", "type": "object" }, "name": { "description": "Optional. Name of the `Target`. Format is projects/{project}/locations/{location}/targets/a-z{0,62}.", "type": "string" }, "uid": { "readOnly": true, "type": "string", "description": "Output only. Unique identifier of the `Target`." }, "etag": { "description": "Optional. This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Time at which the `Target` was created." }, "requireApproval": { "description": "Optional. Whether or not the `Target` requires approval.", "type": "boolean" }, "executionConfigs": { "description": "Configurations for all execution that relates to this `Target`. Each `ExecutionEnvironmentUsage` value may only be used in a single configuration; using the same value multiple times is an error. When one or more configurations are specified, they must include the `RENDER` and `DEPLOY` `ExecutionEnvironmentUsage` values. When no configurations are specified, execution will use the default specified in `DefaultPool`.", "items": { "$ref": "ExecutionConfig" }, "type": "array" }, "targetId": { "description": "Output only. Resource id of the `Target`.", "readOnly": true, "type": "string" }, "annotations": { "type": "object", "description": "Optional. User annotations. These attributes can only be set and used by the user, and not by Google Cloud Deploy. See https://google.aip.dev/128#annotations for more details such as format and size limitations.", "additionalProperties": { "type": "string" } }, "description": { "description": "Optional. Description of the `Target`. Max length is 255 characters.", "type": "string" }, "gke": { "description": "Information specifying a GKE Cluster.", "$ref": "GkeCluster" }, "anthosCluster": { "$ref": "AnthosCluster", "description": "Information specifying an Anthos Cluster." } }, "id": "Target", "description": "A `Target` resource in the Google Cloud Deploy API. A `Target` defines a location to which a Skaffold configuration can be deployed.", "type": "object" }, "ListTargetsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" }, "targets": { "type": "array", "items": { "$ref": "Target" }, "description": "The `Target` objects." } }, "id": "ListTargetsResponse", "type": "object", "description": "The response object from `ListTargets`." }, "CancelOperationRequest": { "properties": {}, "type": "object", "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest" }, "DefaultPool": { "properties": { "serviceAccount": { "type": "string", "description": "Optional. Google service account to use for execution. If unspecified, the project execution service account (-compute@developer.gserviceaccount.com) will be used." }, "artifactStorage": { "type": "string", "description": "Optional. Cloud Storage location where execution outputs should be stored. This can either be a bucket (\"gs://my-bucket\") or a path within a bucket (\"gs://my-bucket/my-dir\"). If unspecified, a default bucket located in the same region will be used." } }, "type": "object", "id": "DefaultPool", "description": "Execution using the default Cloud Build pool." }, "TargetRender": { "description": "Details of rendering for a single target.", "properties": { "renderingState": { "readOnly": true, "description": "Output only. Current state of the render operation for this Target.", "enum": [ "TARGET_RENDER_STATE_UNSPECIFIED", "SUCCEEDED", "FAILED", "IN_PROGRESS" ], "enumDescriptions": [ "The render operation state is unspecified.", "The render operation has completed successfully.", "The render operation has failed.", "The render operation is in progress." ], "type": "string" }, "renderingBuild": { "description": "Output only. The resource name of the Cloud Build `Build` object that is used to render the manifest for this target. Format is `projects/{project}/locations/{location}/builds/{build}`.", "type": "string", "readOnly": true }, "failureCause": { "type": "string", "enum": [ "FAILURE_CAUSE_UNSPECIFIED", "CLOUD_BUILD_UNAVAILABLE", "EXECUTION_FAILED" ], "enumDescriptions": [ "No reason for failure is specified.", "Cloud Build is not available, either because it is not enabled or because Cloud Deploy has insufficient permissions. See [required permission](/deploy/docs/cloud-deploy-service-account#required_permissions).", "The render operation did not complete successfully; check Cloud Build logs." ], "readOnly": true, "description": "Output only. Reason this render failed. This will always be unspecified while the render in progress." } }, "type": "object", "id": "TargetRender" }, "OperationMetadata": { "description": "Represents the metadata of the long-running operation.", "type": "object", "properties": { "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation was created." }, "target": { "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string" }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "endTime": { "type": "string", "readOnly": true, "description": "Output only. The time the operation finished running.", "format": "google-datetime" }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "readOnly": true, "type": "string" }, "requestedCancellation": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true } }, "id": "OperationMetadata" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "properties": { "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location." }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" }, "type": "object" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." } }, "type": "object" }, "AbandonReleaseResponse": { "type": "object", "description": "The response object for `AbandonRelease`.", "properties": {}, "id": "AbandonReleaseResponse" }, "Binding": { "properties": { "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } } }, "id": "Binding", "type": "object", "description": "Associates `members`, or principals, with a `role`." } }, "mtlsRootUrl": "https://clouddeploy.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com/deploy/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "parameters": { "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "alt": { "default": "json", "location": "query", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "type": "string" }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true", "type": "boolean" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "callback": { "type": "string", "description": "JSONP", "location": "query" } }, "version": "v1", "description": "", "version_module": true, "batchPath": "batch", "basePath": "", "kind": "discovery#restDescription", "ownerDomain": "google.com", "fullyEncodeReservedExpansion": true, "servicePath": "", "discoveryVersion": "v1", "protocol": "rest", "revision": "20220623", "id": "clouddeploy:v1", "canonicalName": "Cloud Deploy" }
]===]))
