local decode = require("cjson").new().decode
return assert(decode([===[
{ "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "baseUrl": "https://clouderrorreporting.googleapis.com/", "description": "Groups and counts similar errors from cloud services and applications, reports new errors, and provides access to error groups and their associated errors. ", "mtlsRootUrl": "https://clouderrorreporting.mtls.googleapis.com/", "discoveryVersion": "v1", "batchPath": "batch", "parameters": { "callback": { "type": "string", "location": "query", "description": "JSONP" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "alt": { "default": "json", "location": "query", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "description": "Data format for response." }, "$.xgafv": { "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "type": "string" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "prettyPrint": { "type": "boolean", "location": "query", "default": "true", "description": "Returns response with indentations and line breaks." } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "title": "Error Reporting API", "rootUrl": "https://clouderrorreporting.googleapis.com/", "revision": "20220629", "canonicalName": "Clouderrorreporting", "ownerName": "Google", "name": "clouderrorreporting", "basePath": "", "id": "clouderrorreporting:v1beta1", "ownerDomain": "google.com", "version_module": true, "schemas": { "TrackingIssue": { "description": "Information related to tracking the progress on resolving the error.", "properties": { "url": { "type": "string", "description": "A URL pointing to a related entry in an issue tracking system. Example: `https://github.com/user/project/issues/4`" } }, "type": "object", "id": "TrackingIssue" }, "TimedCount": { "type": "object", "id": "TimedCount", "properties": { "startTime": { "description": "Start of the time period to which `count` refers (included).", "format": "google-datetime", "type": "string" }, "endTime": { "description": "End of the time period to which `count` refers (excluded).", "format": "google-datetime", "type": "string" }, "count": { "type": "string", "format": "int64", "description": "Approximate number of occurrences in the given time period." } }, "description": "The number of errors in a given time period. All numbers are approximate since the error events are sampled before counting them." }, "ReportErrorEventResponse": { "id": "ReportErrorEventResponse", "description": "Response for reporting an individual error event. Data may be added to this message in the future.", "properties": {}, "type": "object" }, "HttpRequestContext": { "properties": { "userAgent": { "description": "The user agent information that is provided with the request.", "type": "string" }, "method": { "description": "The type of HTTP request, such as `GET`, `POST`, etc.", "type": "string" }, "remoteIp": { "description": "The IP address from which the request originated. This can be IPv4, IPv6, or a token which is derived from the IP address, depending on the data that has been provided in the error report.", "type": "string" }, "responseStatusCode": { "description": "The HTTP response status code for the request.", "type": "integer", "format": "int32" }, "referrer": { "description": "The referrer information that is provided with the request.", "type": "string" }, "url": { "description": "The URL of the request.", "type": "string" } }, "type": "object", "description": "HTTP request data that is related to a reported error. This data should be provided by the application when reporting an error, unless the error report has been generated automatically from Google App Engine logs.", "id": "HttpRequestContext" }, "ListGroupStatsResponse": { "properties": { "nextPageToken": { "description": "If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.", "type": "string" }, "timeRangeBegin": { "type": "string", "format": "google-datetime", "description": "The timestamp specifies the start time to which the request was restricted. The start time is set based on the requested time range. It may be adjusted to a later time if a project has exceeded the storage quota and older data has been deleted." }, "errorGroupStats": { "items": { "$ref": "ErrorGroupStats" }, "description": "The error group stats which match the given request.", "type": "array" } }, "id": "ListGroupStatsResponse", "type": "object", "description": "Contains a set of requested error group stats." }, "ErrorEvent": { "type": "object", "description": "An error event which is returned by the Error Reporting system.", "properties": { "serviceContext": { "description": "The `ServiceContext` for which this error was reported.", "$ref": "ServiceContext" }, "eventTime": { "format": "google-datetime", "type": "string", "description": "Time when the event occurred as provided in the error report. If the report did not contain a timestamp, the time the error was received by the Error Reporting system is used." }, "message": { "description": "The stack trace that was reported or logged by the service.", "type": "string" }, "context": { "$ref": "ErrorContext", "description": "Data about the context in which the error occurred." } }, "id": "ErrorEvent" }, "ServiceContext": { "description": "Describes a running service that sends errors. Its version changes over time and multiple versions can run in parallel.", "id": "ServiceContext", "properties": { "resourceType": { "type": "string", "description": "Type of the MonitoredResource. List of possible values: https://cloud.google.com/monitoring/api/resources Value is set automatically for incoming errors and must not be set when reporting errors." }, "version": { "type": "string", "description": "Represents the source code version that the developer provided, which could represent a version label or a Git SHA-1 hash, for example. For App Engine standard environment, the version is set to the version of the app." }, "service": { "description": "An identifier of the service, such as the name of the executable, job, or Google App Engine service name. This field is expected to have a low number of values that are relatively stable over time, as opposed to `version`, which can be changed whenever new code is deployed. Contains the service name for error reports extracted from Google App Engine logs or `default` if the App Engine default service is used.", "type": "string" } }, "type": "object" }, "ErrorContext": { "description": "A description of the context in which an error occurred. This data should be provided by the application when reporting an error, unless the error report has been generated automatically from Google App Engine logs.", "properties": { "sourceReferences": { "type": "array", "description": "Source code that was used to build the executable which has caused the given error message.", "items": { "$ref": "SourceReference" } }, "reportLocation": { "$ref": "SourceLocation", "description": "The location in the source code where the decision was made to report the error, usually the place where it was logged. For a logged exception this would be the source line where the exception is logged, usually close to the place where it was caught." }, "user": { "description": "The user who caused or was affected by the crash. This can be a user ID, an email address, or an arbitrary token that uniquely identifies the user. When sending an error report, leave this field empty if the user was not logged in. In this case the Error Reporting system will use other data, such as remote IP address, to distinguish affected users. See `affected_users_count` in `ErrorGroupStats`.", "type": "string" }, "httpRequest": { "description": "The HTTP request which was processed when the error was triggered.", "$ref": "HttpRequestContext" } }, "type": "object", "id": "ErrorContext" }, "DeleteEventsResponse": { "description": "Response message for deleting error events.", "properties": {}, "type": "object", "id": "DeleteEventsResponse" }, "ListEventsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results." }, "errorEvents": { "items": { "$ref": "ErrorEvent" }, "description": "The error events which match the given request.", "type": "array" }, "timeRangeBegin": { "format": "google-datetime", "type": "string", "description": "The timestamp specifies the start time to which the request was restricted." } }, "type": "object", "description": "Contains a set of requested error events.", "id": "ListEventsResponse" }, "SourceReference": { "type": "object", "properties": { "repository": { "description": "Optional. A URI string identifying the repository. Example: \"https://github.com/GoogleCloudPlatform/kubernetes.git\"", "type": "string" }, "revisionId": { "description": "The canonical and persistent identifier of the deployed revision. Example (git): \"0035781c50ec7aa23385dc841529ce8a4b70db1b\"", "type": "string" } }, "id": "SourceReference", "description": "A reference to a particular snapshot of the source tree used to build and deploy an application." }, "ErrorGroup": { "type": "object", "id": "ErrorGroup", "description": "Description of a group of similar error events.", "properties": { "trackingIssues": { "items": { "$ref": "TrackingIssue" }, "type": "array", "description": "Associated tracking issues." }, "name": { "description": "The group resource name. Example: projects/my-project-123/groups/CNSgkpnppqKCUw", "type": "string" }, "resolutionStatus": { "description": "Error group's resolution status. An unspecified resolution status will be interpreted as OPEN", "enum": [ "RESOLUTION_STATUS_UNSPECIFIED", "OPEN", "ACKNOWLEDGED", "RESOLVED", "MUTED" ], "type": "string", "enumDescriptions": [ "Status is unknown. When left unspecified in requests, it is treated like OPEN.", "The error group is not being addressed. This is the default for new groups. It is also used for errors re-occurring after marked RESOLVED.", "Error Group manually acknowledged, it can have an issue link attached.", "Error Group manually resolved, more events for this group are not expected to occur.", "The error group is muted and excluded by default on group stats requests." ] }, "groupId": { "type": "string", "description": "Group IDs are unique for a given project. If the same kind of error occurs in different service contexts, it will receive the same group ID." } } }, "ErrorGroupStats": { "type": "object", "description": "Data extracted for a specific group based on certain filter criteria, such as a given time period and/or service filter.", "properties": { "affectedServices": { "type": "array", "items": { "$ref": "ServiceContext" }, "description": "Service contexts with a non-zero error count for the given filter criteria. This list can be truncated if multiple services are affected. Refer to `num_affected_services` for the total count." }, "lastSeenTime": { "format": "google-datetime", "type": "string", "description": "Approximate last occurrence that was ever seen for this group and which matches the given filter criteria, ignoring the time_range that was specified in the request." }, "count": { "type": "string", "description": "Approximate total number of events in the given group that match the filter criteria.", "format": "int64" }, "numAffectedServices": { "description": "The total number of services with a non-zero error count for the given filter criteria.", "type": "integer", "format": "int32" }, "group": { "description": "Group data that is independent of the filter criteria.", "$ref": "ErrorGroup" }, "firstSeenTime": { "type": "string", "format": "google-datetime", "description": "Approximate first occurrence that was ever seen for this group and which matches the given filter criteria, ignoring the time_range that was specified in the request." }, "affectedUsersCount": { "description": "Approximate number of affected users in the given group that match the filter criteria. Users are distinguished by data in the ErrorContext of the individual error events, such as their login name or their remote IP address in case of HTTP requests. The number of affected users can be zero even if the number of errors is non-zero if no data was provided from which the affected user could be deduced. Users are counted based on data in the request context that was provided in the error report. If more users are implicitly affected, such as due to a crash of the whole service, this is not reflected here.", "type": "string", "format": "int64" }, "representative": { "description": "An arbitrary event that is chosen as representative for the whole group. The representative event is intended to be used as a quick preview for the whole group. Events in the group are usually sufficiently similar to each other such that showing an arbitrary representative provides insight into the characteristics of the group as a whole.", "$ref": "ErrorEvent" }, "timedCounts": { "description": "Approximate number of occurrences over time. Timed counts returned by ListGroups are guaranteed to be: - Inside the requested time interval - Non-overlapping, and - Ordered by ascending time.", "type": "array", "items": { "$ref": "TimedCount" } } }, "id": "ErrorGroupStats" }, "SourceLocation": { "properties": { "functionName": { "type": "string", "description": "Human-readable name of a function or method. The value can include optional context like the class or package name. For example, `my.package.MyClass.method` in case of Java." }, "lineNumber": { "type": "integer", "format": "int32", "description": "1-based. 0 indicates that the line number is unknown." }, "filePath": { "type": "string", "description": "The source code filename, which can include a truncated relative path, or a full path from a production machine." } }, "id": "SourceLocation", "type": "object", "description": "Indicates a location in the source code of the service for which errors are reported. `functionName` must be provided by the application when reporting an error, unless the error report contains a `message` with a supported exception stack trace. All fields are optional for the later case." }, "ReportedErrorEvent": { "type": "object", "description": "An error event which is reported to the Error Reporting system.", "properties": { "context": { "$ref": "ErrorContext", "description": "Optional. A description of the context in which the error occurred." }, "eventTime": { "format": "google-datetime", "description": "Optional. Time when the event occurred. If not provided, the time when the event was received by the Error Reporting system is used. If provided, the time must not exceed the [logs retention period](https://cloud.google.com/logging/quotas#logs_retention_periods) in the past, or be more than 24 hours in the future. If an invalid time is provided, then an error is returned.", "type": "string" }, "message": { "description": "Required. The error message. If no `context.reportLocation` is provided, the message must contain a header (typically consisting of the exception type name and an error message) and an exception stack trace in one of the supported programming languages and formats. Supported languages are Java, Python, JavaScript, Ruby, C#, PHP, and Go. Supported stack trace formats are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **Java**: Must be the return value of [`Throwable.printStackTrace()`](https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html#printStackTrace%28%29). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **Python**: Must be the return value of [`traceback.format_exc()`](https://docs.python.org/2/library/traceback.html#traceback.format_exc). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **JavaScript**: Must be the value of [`error.stack`](https://github.com/v8/v8/wiki/Stack-Trace-API) as returned by V8. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **Ruby**: Must contain frames returned by [`Exception.backtrace`](https://ruby-doc.org/core-2.2.0/Exception.html#method-i-backtrace). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **C#**: Must be the return value of [`Exception.ToString()`](https://msdn.microsoft.com/en-us/library/system.exception.tostring.aspx). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **PHP**: Must be prefixed with `\"PHP (Notice|Parse error|Fatal error|Warning): \"` and contain the result of [`(string)$exception`](https://php.net/manual/en/exception.tostring.php). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **Go**: Must be the return value of [`runtime.Stack()`](https://golang.org/pkg/runtime/debug/#Stack).", "type": "string" }, "serviceContext": { "$ref": "ServiceContext", "description": "Required. The service context in which this error has occurred." } }, "id": "ReportedErrorEvent" } }, "documentationLink": "https://cloud.google.com/error-reporting/", "kind": "discovery#restDescription", "protocol": "rest", "servicePath": "", "version": "v1beta1", "resources": { "projects": { "methods": { "deleteEvents": { "description": "Deletes all error events of a given project.", "parameterOrder": [ "projectName" ], "path": "v1beta1/{+projectName}/events", "id": "clouderrorreporting.projects.deleteEvents", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "DeleteEventsResponse" }, "parameters": { "projectName": { "type": "string", "pattern": "^projects/[^/]+$", "required": true, "location": "path", "description": "Required. The resource name of the Google Cloud Platform project. Written as `projects/{projectID}`, where `{projectID}` is the [Google Cloud Platform project ID](https://support.google.com/cloud/answer/6158840). Example: `projects/my-project-123`." } }, "httpMethod": "DELETE", "flatPath": "v1beta1/projects/{projectsId}/events" } }, "resources": { "groupStats": { "methods": { "list": { "httpMethod": "GET", "description": "Lists the specified groups.", "response": { "$ref": "ListGroupStatsResponse" }, "parameters": { "serviceFilter.resourceType": { "type": "string", "description": "Optional. The exact value to match against [`ServiceContext.resource_type`](/error-reporting/reference/rest/v1beta1/ServiceContext#FIELDS.resource_type).", "location": "query" }, "pageToken": { "description": "Optional. A next_page_token provided by a previous response. To view additional results, pass this token along with the identical query parameters as the first request.", "type": "string", "location": "query" }, "order": { "description": "Optional. The sort order in which the results are returned. Default is `COUNT_DESC`.", "enum": [ "GROUP_ORDER_UNSPECIFIED", "COUNT_DESC", "LAST_SEEN_DESC", "CREATED_DESC", "AFFECTED_USERS_DESC" ], "type": "string", "location": "query", "enumDescriptions": [ "No group order specified.", "Total count of errors in the given time window in descending order.", "Timestamp when the group was last seen in the given time window in descending order.", "Timestamp when the group was created in descending order.", "Number of affected users in the given time window in descending order." ] }, "timedCountDuration": { "description": "Optional. The preferred duration for a single returned TimedCount. If not set, no timed counts are returned.", "location": "query", "format": "google-duration", "type": "string" }, "timeRange.period": { "enum": [ "PERIOD_UNSPECIFIED", "PERIOD_1_HOUR", "PERIOD_6_HOURS", "PERIOD_1_DAY", "PERIOD_1_WEEK", "PERIOD_30_DAYS" ], "description": "Restricts the query to the specified time range.", "type": "string", "location": "query", "enumDescriptions": [ "Do not use.", "Retrieve data for the last hour. Recommended minimum timed count duration: 1 min.", "Retrieve data for the last 6 hours. Recommended minimum timed count duration: 10 min.", "Retrieve data for the last day. Recommended minimum timed count duration: 1 hour.", "Retrieve data for the last week. Recommended minimum timed count duration: 6 hours.", "Retrieve data for the last 30 days. Recommended minimum timed count duration: 1 day." ] }, "groupId": { "description": "Optional. List all ErrorGroupStats with these IDs.", "repeated": true, "location": "query", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of results to return per response. Default is 20.", "format": "int32", "type": "integer", "location": "query" }, "serviceFilter.service": { "type": "string", "location": "query", "description": "Optional. The exact value to match against [`ServiceContext.service`](/error-reporting/reference/rest/v1beta1/ServiceContext#FIELDS.service)." }, "serviceFilter.version": { "location": "query", "type": "string", "description": "Optional. The exact value to match against [`ServiceContext.version`](/error-reporting/reference/rest/v1beta1/ServiceContext#FIELDS.version)." }, "alignmentTime": { "format": "google-datetime", "type": "string", "description": "Optional. Time where the timed counts shall be aligned if rounded alignment is chosen. Default is 00:00 UTC.", "location": "query" }, "projectName": { "required": true, "type": "string", "location": "path", "description": "Required. The resource name of the Google Cloud Platform project. Written as `projects/{projectID}` or `projects/{projectNumber}`, where `{projectID}` and `{projectNumber}` can be found in the [Google Cloud console](https://support.google.com/cloud/answer/6158840). Examples: `projects/my-project-123`, `projects/5551234`.", "pattern": "^projects/[^/]+$" }, "alignment": { "type": "string", "location": "query", "enumDescriptions": [ "No alignment specified.", "The time periods shall be consecutive, have width equal to the requested duration, and be aligned at the alignment_time provided in the request. The alignment_time does not have to be inside the query period but even if it is outside, only time periods are returned which overlap with the query period. A rounded alignment will typically result in a different size of the first or the last time period.", "The time periods shall be consecutive, have width equal to the requested duration, and be aligned at the end of the requested time period. This can result in a different size of the first time period." ], "description": "Optional. The alignment of the timed counts to be returned. Default is `ALIGNMENT_EQUAL_AT_END`.", "enum": [ "ERROR_COUNT_ALIGNMENT_UNSPECIFIED", "ALIGNMENT_EQUAL_ROUNDED", "ALIGNMENT_EQUAL_AT_END" ] } }, "path": "v1beta1/{+projectName}/groupStats", "id": "clouderrorreporting.projects.groupStats.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectName" ], "flatPath": "v1beta1/projects/{projectsId}/groupStats" } } }, "groups": { "methods": { "update": { "request": { "$ref": "ErrorGroup" }, "id": "clouderrorreporting.projects.groups.update", "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/groups/{groupsId}", "parameterOrder": [ "name" ], "response": { "$ref": "ErrorGroup" }, "description": "Replace the data for the specified group. Fails if the group does not exist.", "httpMethod": "PUT", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/groups/[^/]+$", "description": "The group resource name. Example: projects/my-project-123/groups/CNSgkpnppqKCUw", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "response": { "$ref": "ErrorGroup" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "groupName": { "pattern": "^projects/[^/]+/groups/[^/]+$", "description": "Required. The group resource name. Written as `projects/{projectID}/groups/{group_name}`. Call groupStats.list to return a list of groups belonging to this project. Example: `projects/my-project-123/groups/my-group`", "type": "string", "required": true, "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/groups/{groupsId}", "description": "Get the specified group.", "parameterOrder": [ "groupName" ], "id": "clouderrorreporting.projects.groups.get", "httpMethod": "GET", "path": "v1beta1/{+groupName}" } } }, "events": { "methods": { "list": { "httpMethod": "GET", "id": "clouderrorreporting.projects.events.list", "parameterOrder": [ "projectName" ], "response": { "$ref": "ListEventsResponse" }, "description": "Lists the specified events.", "parameters": { "timeRange.period": { "description": "Restricts the query to the specified time range.", "enumDescriptions": [ "Do not use.", "Retrieve data for the last hour. Recommended minimum timed count duration: 1 min.", "Retrieve data for the last 6 hours. Recommended minimum timed count duration: 10 min.", "Retrieve data for the last day. Recommended minimum timed count duration: 1 hour.", "Retrieve data for the last week. Recommended minimum timed count duration: 6 hours.", "Retrieve data for the last 30 days. Recommended minimum timed count duration: 1 day." ], "type": "string", "enum": [ "PERIOD_UNSPECIFIED", "PERIOD_1_HOUR", "PERIOD_6_HOURS", "PERIOD_1_DAY", "PERIOD_1_WEEK", "PERIOD_30_DAYS" ], "location": "query" }, "groupId": { "type": "string", "description": "Required. The group for which events shall be returned.", "location": "query" }, "projectName": { "description": "Required. The resource name of the Google Cloud Platform project. Written as `projects/{projectID}`, where `{projectID}` is the [Google Cloud Platform project ID](https://support.google.com/cloud/answer/6158840). Example: `projects/my-project-123`.", "location": "path", "type": "string", "pattern": "^projects/[^/]+$", "required": true }, "serviceFilter.version": { "type": "string", "location": "query", "description": "Optional. The exact value to match against [`ServiceContext.version`](/error-reporting/reference/rest/v1beta1/ServiceContext#FIELDS.version)." }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A `next_page_token` provided by a previous response." }, "serviceFilter.service": { "type": "string", "description": "Optional. The exact value to match against [`ServiceContext.service`](/error-reporting/reference/rest/v1beta1/ServiceContext#FIELDS.service).", "location": "query" }, "pageSize": { "description": "Optional. The maximum number of results to return per response.", "location": "query", "format": "int32", "type": "integer" }, "serviceFilter.resourceType": { "type": "string", "location": "query", "description": "Optional. The exact value to match against [`ServiceContext.resource_type`](/error-reporting/reference/rest/v1beta1/ServiceContext#FIELDS.resource_type)." } }, "flatPath": "v1beta1/projects/{projectsId}/events", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+projectName}/events" }, "report": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectName" ], "flatPath": "v1beta1/projects/{projectsId}/events:report", "id": "clouderrorreporting.projects.events.report", "response": { "$ref": "ReportErrorEventResponse" }, "path": "v1beta1/{+projectName}/events:report", "request": { "$ref": "ReportedErrorEvent" }, "parameters": { "projectName": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+$", "description": "Required. The resource name of the Google Cloud Platform project. Written as `projects/{projectId}`, where `{projectId}` is the [Google Cloud Platform project ID](https://support.google.com/cloud/answer/6158840). Example: // `projects/my-project-123`." } }, "description": "Report an individual error event and record the event to a log. This endpoint accepts **either** an OAuth token, lua-resty-gcp-scm-1.rockspec.original an [API key](https://support.google.com/cloud/answer/6158862) for authentication. To use an API key, append it to the URL as the value of a `key` parameter. For example: `POST https://clouderrorreporting.googleapis.com/v1beta1/{projectName}/events:report?key=123ABC456` **Note:** [Error Reporting] (https://cloud.google.com/error-reporting) is a global service built on Cloud Logging and doesn't analyze logs stored in regional log buckets or logs routed to other Google Cloud projects. For more information, see [Using Error Reporting with regionalized logs] (https://cloud.google.com/error-reporting/docs/regionalization).", "httpMethod": "POST" } } } } } } }
]===]))
