local decode = require("cjson").new().decode
return assert(decode([===[
{ "basePath": "", "documentationLink": "https://cloud.google.com/functions", "kind": "discovery#restDescription", "canonicalName": "Cloud Functions", "description": "Manages lightweight user-provided functions executed in response to events.", "mtlsRootUrl": "https://cloudfunctions.mtls.googleapis.com/", "schemas": { "OperationMetadataV1": { "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "The last update timestamp of the operation." }, "type": { "description": "Type of operation.", "enumDescriptions": [ "Unknown operation type.", "Triggered by CreateFunction call", "Triggered by UpdateFunction call", "Triggered by DeleteFunction call." ], "enum": [ "OPERATION_UNSPECIFIED", "CREATE_FUNCTION", "UPDATE_FUNCTION", "DELETE_FUNCTION" ], "type": "string" }, "buildId": { "description": "The Cloud Build ID of the function created or updated by an API call. This field is only populated for Create and Update operations.", "type": "string" }, "versionId": { "description": "Version id of the function created or updated by an API call. This field is only populated for Create and Update operations.", "type": "string", "format": "int64" }, "request": { "type": "object", "description": "The original request that started the operation.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "buildName": { "description": "The Cloud Build Name of the function deployment. This field is only populated for Create and Update operations. `projects//locations//builds/`.", "type": "string" }, "target": { "description": "Target of the operation - for example `projects/project-1/locations/region-1/functions/function-1`", "type": "string" }, "sourceToken": { "description": "An identifier for Firebase function sources. Disclaimer: This field is only supported for Firebase function deployments.", "type": "string" } }, "id": "OperationMetadataV1", "description": "Metadata describing an Operation", "type": "object" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" }, "type": "array" }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object" }, "GoogleCloudFunctionsV2betaStateMessage": { "id": "GoogleCloudFunctionsV2betaStateMessage", "type": "object", "description": "Informational messages about the state of the Cloud Function or Operation.", "properties": { "message": { "description": "The message.", "type": "string" }, "type": { "type": "string", "description": "One-word CamelCase type of the state message." }, "severity": { "type": "string", "enumDescriptions": [ "Not specified. Invalid severity.", "ERROR-level severity.", "WARNING-level severity.", "INFO-level severity." ], "enum": [ "SEVERITY_UNSPECIFIED", "ERROR", "WARNING", "INFO" ], "description": "Severity of the state message." } } }, "AuditLogConfig": { "properties": { "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables.", "type": "string" }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object", "id": "AuditLogConfig" }, "TestIamPermissionsResponse": { "properties": { "permissions": { "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" } } }, "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method.", "type": "object" }, "Location": { "id": "Location", "type": "object", "properties": { "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" } }, "description": "A resource that represents Google Cloud Platform location." }, "GoogleCloudFunctionsV2alphaStateMessage": { "description": "Informational messages about the state of the Cloud Function or Operation.", "type": "object", "id": "GoogleCloudFunctionsV2alphaStateMessage", "properties": { "type": { "type": "string", "description": "One-word CamelCase type of the state message." }, "message": { "type": "string", "description": "The message." }, "severity": { "description": "Severity of the state message.", "enum": [ "SEVERITY_UNSPECIFIED", "ERROR", "WARNING", "INFO" ], "enumDescriptions": [ "Not specified. Invalid severity.", "ERROR-level severity.", "WARNING-level severity.", "INFO-level severity." ], "type": "string" } } }, "GoogleCloudFunctionsV2betaStage": { "properties": { "name": { "type": "string", "enumDescriptions": [ "Not specified. Invalid name.", "Artifact Regsitry Stage", "Build Stage", "Service Stage", "Trigger Stage", "Service Rollback Stage", "Trigger Rollback Stage" ], "description": "Name of the Stage. This will be unique for each Stage.", "enum": [ "NAME_UNSPECIFIED", "ARTIFACT_REGISTRY", "BUILD", "SERVICE", "TRIGGER", "SERVICE_ROLLBACK", "TRIGGER_ROLLBACK" ] }, "message": { "type": "string", "description": "Message describing the Stage" }, "resource": { "description": "Resource of the Stage", "type": "string" }, "stateMessages": { "description": "State messages from the current Stage.", "type": "array", "items": { "$ref": "GoogleCloudFunctionsV2betaStateMessage" } }, "resourceUri": { "description": "Link to the current Stage resource", "type": "string" }, "state": { "description": "Current state of the Stage", "enumDescriptions": [ "Not specified. Invalid state.", "Stage has not started.", "Stage is in progress.", "Stage has completed." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "NOT_STARTED", "IN_PROGRESS", "COMPLETE" ] } }, "id": "GoogleCloudFunctionsV2betaStage", "type": "object", "description": "Each Stage of the deployment process" }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "type": "object", "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } } }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "id": "Status", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "details": { "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } } }, "GoogleCloudFunctionsV2betaOperationMetadata": { "properties": { "stages": { "type": "array", "description": "Mechanism for reporting in-progress stages", "items": { "$ref": "GoogleCloudFunctionsV2betaStage" } }, "target": { "description": "Server-defined resource path for the target of the operation.", "type": "string" }, "verb": { "type": "string", "description": "Name of the verb executed by the operation." }, "requestResource": { "type": "object", "description": "The original request that started the operation.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "statusDetail": { "type": "string", "description": "Human-readable status of the operation, if any." }, "apiVersion": { "type": "string", "description": "API version used to start the operation." }, "cancelRequested": { "description": "Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean" }, "endTime": { "description": "The time the operation finished running.", "type": "string", "format": "google-datetime" }, "createTime": { "format": "google-datetime", "description": "The time the operation was created.", "type": "string" } }, "id": "GoogleCloudFunctionsV2betaOperationMetadata", "description": "Represents the metadata of the long-running operation.", "type": "object" }, "AuditConfig": { "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "AuditConfig", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" }, "type": "array" } }, "type": "object" }, "GoogleCloudFunctionsV2alphaOperationMetadata": { "properties": { "target": { "description": "Server-defined resource path for the target of the operation.", "type": "string" }, "endTime": { "type": "string", "description": "The time the operation finished running.", "format": "google-datetime" }, "apiVersion": { "type": "string", "description": "API version used to start the operation." }, "statusDetail": { "description": "Human-readable status of the operation, if any.", "type": "string" }, "requestResource": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The original request that started the operation." }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time the operation was created." }, "cancelRequested": { "type": "boolean", "description": "Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "verb": { "description": "Name of the verb executed by the operation.", "type": "string" }, "stages": { "description": "Mechanism for reporting in-progress stages", "items": { "$ref": "GoogleCloudFunctionsV2alphaStage" }, "type": "array" } }, "type": "object", "id": "GoogleCloudFunctionsV2alphaOperationMetadata", "description": "Represents the metadata of the long-running operation." }, "Binding": { "properties": { "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" }, "type": "array" }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" } }, "description": "Associates `members`, or principals, with a `role`.", "id": "Binding", "type": "object" }, "SetIamPolicyRequest": { "properties": { "updateMask": { "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } }, "id": "SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method.", "type": "object" }, "Operation": { "id": "Operation", "type": "object", "properties": { "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" }, "response": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." } }, "description": "This resource represents a long-running operation that is the result of a network API call." }, "ListOperationsResponse": { "type": "object", "description": "The response message for Operations.ListOperations.", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request.", "type": "array" } }, "id": "ListOperationsResponse" }, "GoogleCloudFunctionsV2alphaStage": { "id": "GoogleCloudFunctionsV2alphaStage", "description": "Each Stage of the deployment process", "type": "object", "properties": { "resourceUri": { "description": "Link to the current Stage resource", "type": "string" }, "name": { "enumDescriptions": [ "Not specified. Invalid name.", "Artifact Regsitry Stage", "Build Stage", "Service Stage", "Trigger Stage", "Service Rollback Stage", "Trigger Rollback Stage" ], "description": "Name of the Stage. This will be unique for each Stage.", "enum": [ "NAME_UNSPECIFIED", "ARTIFACT_REGISTRY", "BUILD", "SERVICE", "TRIGGER", "SERVICE_ROLLBACK", "TRIGGER_ROLLBACK" ], "type": "string" }, "state": { "enumDescriptions": [ "Not specified. Invalid state.", "Stage has not started.", "Stage is in progress.", "Stage has completed." ], "description": "Current state of the Stage", "enum": [ "STATE_UNSPECIFIED", "NOT_STARTED", "IN_PROGRESS", "COMPLETE" ], "type": "string" }, "stateMessages": { "items": { "$ref": "GoogleCloudFunctionsV2alphaStateMessage" }, "description": "State messages from the current Stage.", "type": "array" }, "message": { "description": "Message describing the Stage", "type": "string" }, "resource": { "description": "Resource of the Stage", "type": "string" } } }, "Policy": { "properties": { "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "auditConfigs": { "type": "array", "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" } }, "version": { "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "bindings": { "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" } }, "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy" }, "Expr": { "type": "object", "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" } }, "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." } }, "ownerName": "Google", "id": "cloudfunctions:v2", "fullyEncodeReservedExpansion": true, "batchPath": "batch", "title": "Cloud Functions API", "parameters": { "prettyPrint": { "location": "query", "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true" }, "alt": { "type": "string", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "default": "json" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string", "location": "query" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" } }, "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "httpMethod": "GET", "id": "cloudfunctions.projects.locations.list", "flatPath": "v2/projects/{projectsId}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListLocationsResponse" }, "path": "v2/{+name}/locations", "description": "Lists information about the supported locations for this service.", "parameters": { "name": { "description": "The resource that owns the locations collection, if applicable.", "type": "string", "pattern": "^projects/[^/]+$", "location": "path", "required": true }, "pageSize": { "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "type": "integer" }, "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." } }, "parameterOrder": [ "name" ] } }, "resources": { "functions": { "methods": { "getIamPolicy": { "response": { "$ref": "Policy" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:getIamPolicy", "path": "v2/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "id": "cloudfunctions.projects.locations.functions.getIamPolicy", "httpMethod": "GET", "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "location": "query", "type": "integer" }, "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/functions/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } } }, "testIamPermissions": { "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/functions/[^/]+$", "location": "path" } }, "id": "cloudfunctions.projects.locations.functions.testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "path": "v2/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ] }, "setIamPolicy": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "id": "cloudfunctions.projects.locations.functions.setIamPolicy", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/functions/[^/]+$", "type": "string" } }, "path": "v2/{+resource}:setIamPolicy", "response": { "$ref": "Policy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" } } } }, "operations": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "cloudfunctions.projects.locations.operations.get", "path": "v2/{+name}", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "required": true, "location": "path" } }, "response": { "$ref": "Operation" } }, "list": { "id": "cloudfunctions.projects.locations.operations.list", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Must not be set." }, "pageToken": { "location": "query", "description": "Token identifying which result to start with, which is returned by a previous list call. Pagination is only supported when querying for a specific function.", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of records that should be returned. Requested page size cannot exceed 100. If not set, the default page size is 100. Pagination is only supported when querying for a specific function." }, "filter": { "description": "Required. A filter for matching the requested operations. The supported formats of *filter* are: To query for a specific function: project:*,location:*,function:* To query for all of the latest operations for a project: project:*,latest:true", "type": "string", "location": "query" } }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/operations", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+name}/operations", "parameterOrder": [ "name" ], "response": { "$ref": "ListOperationsResponse" } } } } } } } } }, "protocol": "rest", "revision": "20220622", "version": "v2", "baseUrl": "https://cloudfunctions.googleapis.com/", "name": "cloudfunctions", "servicePath": "", "version_module": true, "discoveryVersion": "v1", "rootUrl": "https://cloudfunctions.googleapis.com/", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } } }
]===]))
