local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" } }, "type": "object" }, "LookupMembershipNameResponse": { "type": "object", "id": "LookupMembershipNameResponse", "description": "The response message for MembershipsService.LookupMembershipName.", "properties": { "name": { "type": "string", "description": "The [resource name](https://cloud.google.com/apis/design/resource_names) of the looked-up `Membership`. Must be of the form `groups/{group}/memberships/{membership}`." } } }, "DeleteGroupMetadata": { "id": "DeleteGroupMetadata", "type": "object", "description": "Metadata for DeleteGroup LRO.", "properties": {} }, "CreateGroupMetadata": { "properties": {}, "id": "CreateGroupMetadata", "description": "Metadata for CreateGroup LRO.", "type": "object" }, "CheckTransitiveMembershipResponse": { "type": "object", "id": "CheckTransitiveMembershipResponse", "properties": { "hasMembership": { "type": "boolean", "description": "Response does not include the possible roles of a member since the behavior of this rpc is not all-or-nothing unlike the other rpcs. So, it may not be possible to list all the roles definitively, due to possible lack of authorization in some of the paths." } }, "description": "The response message for MembershipsService.CheckTransitiveMembership." }, "DeleteMembershipMetadata": { "id": "DeleteMembershipMetadata", "type": "object", "description": "Metadata for DeleteMembership LRO.", "properties": {} }, "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceMetadata": { "properties": {}, "id": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceMetadata", "type": "object", "description": "Metadata for CancelWipeDevice LRO." }, "GoogleAppsCloudidentityDevicesV1WipeDeviceUserMetadata": { "properties": {}, "description": "Metadata for WipeDeviceUser LRO.", "type": "object", "id": "GoogleAppsCloudidentityDevicesV1WipeDeviceUserMetadata" }, "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserMetadata": { "properties": {}, "description": "Metadata for CancelWipeDeviceUser LRO.", "type": "object", "id": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserMetadata" }, "GoogleAppsCloudidentityDevicesV1Device": { "properties": { "enabledUsbDebugging": { "readOnly": true, "description": "Output only. Whether USB debugging is enabled on device.", "type": "boolean" }, "createTime": { "description": "Output only. When the Company-Owned device was imported. This field is empty for BYOD devices.", "type": "string", "format": "google-datetime", "readOnly": true }, "model": { "description": "Output only. Model name of device. Example: Pixel 3.", "type": "string", "readOnly": true }, "buildNumber": { "description": "Output only. Build number of the device.", "readOnly": true, "type": "string" }, "androidSpecificAttributes": { "description": "Output only. Attributes specific to Android devices.", "$ref": "GoogleAppsCloudidentityDevicesV1AndroidAttributes", "readOnly": true }, "serialNumber": { "type": "string", "description": "Serial Number of device. Example: HT82V1A01076." }, "kernelVersion": { "description": "Output only. Kernel version of the device.", "type": "string", "readOnly": true }, "basebandVersion": { "description": "Output only. Baseband version of the device.", "readOnly": true, "type": "string" }, "otherAccounts": { "readOnly": true, "type": "array", "items": { "type": "string" }, "description": "Output only. Domain name for Google accounts on device. Type for other accounts on device. On Android, will only be populated if |ownership_privilege| is |PROFILE_OWNER| or |DEVICE_OWNER|. Does not include the account signed in to the device policy app if that account's domain has only one account. Examples: \"com.example\", \"xyz.com\"." }, "meid": { "readOnly": true, "description": "Output only. MEID number of device if CDMA device; empty otherwise.", "type": "string" }, "ownerType": { "enum": [ "DEVICE_OWNERSHIP_UNSPECIFIED", "COMPANY", "BYOD" ], "type": "string", "enumDescriptions": [ "Default value. The value is unused.", "Company owns the device.", "Bring Your Own Device (i.e. individual owns the device)" ], "readOnly": true, "description": "Output only. Whether the device is owned by the company or an individual" }, "networkOperator": { "readOnly": true, "description": "Output only. Mobile or network operator of device, if available.", "type": "string" }, "deviceId": { "type": "string", "description": "Unique identifier for the device." }, "assetTag": { "type": "string", "description": "Asset tag of the device." }, "enabledDeveloperOptions": { "type": "boolean", "description": "Output only. Whether developer options is enabled on device.", "readOnly": true }, "compromisedState": { "type": "string", "description": "Output only. Represents whether the Device is compromised.", "enumDescriptions": [ "Default value.", "The device is compromised (currently, this means Android device is rooted).", "The device is safe (currently, this means Android device is unrooted)." ], "enum": [ "COMPROMISED_STATE_UNSPECIFIED", "COMPROMISED", "UNCOMPROMISED" ], "readOnly": true }, "wifiMacAddresses": { "description": "WiFi MAC addresses of device.", "items": { "type": "string" }, "type": "array" }, "name": { "type": "string", "readOnly": true, "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}`, where device is the unique id assigned to the Device." }, "encryptionState": { "enumDescriptions": [ "Encryption Status is not set.", "Device doesn't support encryption.", "Device is encrypted.", "Device is not encrypted." ], "type": "string", "enum": [ "ENCRYPTION_STATE_UNSPECIFIED", "UNSUPPORTED_BY_DEVICE", "ENCRYPTED", "NOT_ENCRYPTED" ], "readOnly": true, "description": "Output only. Device encryption state." }, "manufacturer": { "readOnly": true, "description": "Output only. Device manufacturer. Example: Motorola.", "type": "string" }, "releaseVersion": { "description": "Output only. OS release version. Example: 6.0.", "type": "string", "readOnly": true }, "osVersion": { "type": "string", "description": "Output only. OS version of the device. Example: Android 8.1.0.", "readOnly": true }, "bootloaderVersion": { "type": "string", "description": "Output only. Device bootloader version. Example: 0.6.7.", "readOnly": true }, "securityPatchTime": { "format": "google-datetime", "description": "Output only. OS security patch update time on device.", "readOnly": true, "type": "string" }, "brand": { "type": "string", "readOnly": true, "description": "Output only. Device brand. Example: Samsung." }, "lastSyncTime": { "format": "google-datetime", "description": "Most recent time when device synced with this service.", "type": "string" }, "imei": { "readOnly": true, "type": "string", "description": "Output only. IMEI number of device if GSM device; empty otherwise." }, "deviceType": { "description": "Output only. Type of device.", "enum": [ "DEVICE_TYPE_UNSPECIFIED", "ANDROID", "IOS", "GOOGLE_SYNC", "WINDOWS", "MAC_OS", "LINUX", "CHROME_OS" ], "type": "string", "enumDescriptions": [ "Unknown device type", "Device is an Android device", "Device is an iOS device", "Device is a Google Sync device.", "Device is a Windows device.", "Device is a MacOS device.", "Device is a Linux device.", "Device is a ChromeOS device." ], "readOnly": true }, "managementState": { "readOnly": true, "enum": [ "MANAGEMENT_STATE_UNSPECIFIED", "APPROVED", "BLOCKED", "PENDING", "UNPROVISIONED", "WIPING", "WIPED" ], "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "Device is approved.", "Device is blocked.", "Device is pending approval.", "The device is not provisioned. Device will start from this state until some action is taken (i.e. a user starts using the device).", "Data and settings on the device are being removed.", "All data and settings on the device are removed." ], "description": "Output only. Management state of the device" } }, "id": "GoogleAppsCloudidentityDevicesV1Device", "type": "object", "description": " A Device within the Cloud Identity Devices API. Represents a Device known to Google Cloud, independent of the device ownership, type, and whether it is assigned or in use by a user." }, "ListMembershipsResponse": { "description": "The response message for MembershipsService.ListMemberships.", "properties": { "nextPageToken": { "description": "A continuation token to retrieve the next page of results, or empty if there are no more results available.", "type": "string" }, "memberships": { "description": "The `Membership`s under the specified `parent`.", "type": "array", "items": { "$ref": "Membership" } } }, "id": "ListMembershipsResponse", "type": "object" }, "GetMembershipGraphResponse": { "type": "object", "description": "The response message for MembershipsService.GetMembershipGraph.", "properties": { "groups": { "type": "array", "items": { "$ref": "Group" }, "description": "The resources representing each group in the adjacency list. Each group in this list can be correlated to a 'group' of the MembershipAdjacencyList using the 'name' of the Group resource." }, "adjacencyList": { "items": { "$ref": "MembershipAdjacencyList" }, "description": "The membership graph's path information represented as an adjacency list.", "type": "array" } }, "id": "GetMembershipGraphResponse" }, "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserRequest": { "id": "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserRequest", "properties": { "customer": { "type": "string", "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs." } }, "description": "Request message for approving the device to access user data.", "type": "object" }, "GoogleAppsCloudidentityDevicesV1ListDeviceUsersResponse": { "description": "Response message that is returned from the ListDeviceUsers method.", "id": "GoogleAppsCloudidentityDevicesV1ListDeviceUsersResponse", "properties": { "deviceUsers": { "description": "Devices meeting the list restrictions.", "type": "array", "items": { "$ref": "GoogleAppsCloudidentityDevicesV1DeviceUser" } }, "nextPageToken": { "description": "Token to retrieve the next page of results. Empty if there are no more results.", "type": "string" } }, "type": "object" }, "EntityKey": { "description": "A unique identifier for an entity in the Cloud Identity Groups API. An entity can represent either a group with an optional `namespace` or a user without a `namespace`. The combination of `id` and `namespace` must be unique; however, the same `id` can be used with different `namespace`s.", "properties": { "namespace": { "description": "The namespace in which the entity exists. If not specified, the `EntityKey` represents a Google-managed entity such as a Google user or a Google Group. If specified, the `EntityKey` represents an external-identity-mapped group. The namespace must correspond to an identity source created in Admin Console and must be in the form of `identitysources/{identity_source}`.", "type": "string" }, "id": { "description": "The ID of the entity. For Google-managed entities, the `id` should be the email address of an existing group or user. For external-identity-mapped entities, the `id` must be a string conforming to the Identity Source's requirements. Must be unique within a `namespace`.", "type": "string" } }, "type": "object", "id": "EntityKey" }, "DynamicGroupStatus": { "description": "The current status of a dynamic group along with timestamp.", "properties": { "statusTime": { "format": "google-datetime", "type": "string", "description": "The latest time at which the dynamic group is guaranteed to be in the given status. If status is `UP_TO_DATE`, the latest time at which the dynamic group was confirmed to be up-to-date. If status is `UPDATING_MEMBERSHIPS`, the time at which dynamic group was created." }, "status": { "enum": [ "STATUS_UNSPECIFIED", "UP_TO_DATE", "UPDATING_MEMBERSHIPS", "INVALID_QUERY" ], "type": "string", "description": "Status of the dynamic group.", "enumDescriptions": [ "Default.", "The dynamic group is up-to-date.", "The dynamic group has just been created and memberships are being updated.", "Group is in an unrecoverable state and its memberships can't be updated." ] } }, "type": "object", "id": "DynamicGroupStatus" }, "SearchTransitiveMembershipsResponse": { "id": "SearchTransitiveMembershipsResponse", "description": "The response message for MembershipsService.SearchTransitiveMemberships.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results." }, "memberships": { "type": "array", "description": "List of transitive members satisfying the query.", "items": { "$ref": "MemberRelation" } } } }, "GoogleAppsCloudidentityDevicesV1WipeDeviceRequest": { "description": "Request message for wiping all data on the device.", "type": "object", "properties": { "customer": { "type": "string", "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs." }, "removeResetLock": { "type": "boolean", "description": "Optional. Specifies if a user is able to factory reset a device after a Device Wipe. On iOS, this is called \"Activation Lock\", while on Android, this is known as \"Factory Reset Protection\". If true, this protection will be removed from the device, so that a user can successfully factory reset. If false, the setting is untouched on the device." } }, "id": "GoogleAppsCloudidentityDevicesV1WipeDeviceRequest" }, "MemberRestriction": { "description": "The definition of MemberRestriction", "id": "MemberRestriction", "properties": { "query": { "description": "Member Restriction as defined by CEL expression. Supported restrictions are: `member.customer_id` and `member.type`. Valid values for `member.type` are `1`, `2` and `3`. They correspond to USER, SERVICE_ACCOUNT, and GROUP respectively. The value for `member.customer_id` only supports `groupCustomerId()` currently which means the customer id of the group will be used for restriction. Supported operators are `&&`, `||` and `==`, corresponding to AND, OR, and EQUAL. Examples: Allow only service accounts of given customer to be members. `member.type == 2 && member.customer_id == groupCustomerId()` Allow only users or groups to be members. `member.type == 1 || member.type == 3`", "type": "string" }, "evaluation": { "description": "The evaluated state of this restriction on a group.", "$ref": "RestrictionEvaluation" } }, "type": "object" }, "MemberRelation": { "type": "object", "description": "Message representing a transitive membership of a group.", "properties": { "member": { "type": "string", "description": "Resource name for this member." }, "relationType": { "description": "The relation between the group and the transitive member.", "enum": [ "RELATION_TYPE_UNSPECIFIED", "DIRECT", "INDIRECT", "DIRECT_AND_INDIRECT" ], "type": "string", "enumDescriptions": [ "The relation type is undefined or undetermined.", "The two entities have only a direct membership with each other.", "The two entities have only an indirect membership with each other.", "The two entities have both a direct and an indirect membership with each other." ] }, "roles": { "items": { "$ref": "TransitiveMembershipRole" }, "description": "The membership role details (i.e name of role and expiry time).", "type": "array" }, "preferredMemberKey": { "items": { "$ref": "EntityKey" }, "type": "array", "description": "Entity key has an id and a namespace. In case of discussion forums, the id will be an email address without a namespace." } }, "id": "MemberRelation" }, "GoogleAppsCloudidentityDevicesV1WipeDeviceUserRequest": { "properties": { "customer": { "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "type": "string" } }, "type": "object", "description": "Request message for starting an account wipe on device.", "id": "GoogleAppsCloudidentityDevicesV1WipeDeviceUserRequest" }, "GoogleAppsCloudidentityDevicesV1BlockDeviceUserRequest": { "id": "GoogleAppsCloudidentityDevicesV1BlockDeviceUserRequest", "properties": { "customer": { "type": "string", "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs." } }, "type": "object", "description": "Request message for blocking account on device." }, "GoogleAppsCloudidentityDevicesV1ListEndpointAppsMetadata": { "description": "Metadata for ListEndpointApps LRO.", "id": "GoogleAppsCloudidentityDevicesV1ListEndpointAppsMetadata", "properties": {}, "type": "object" }, "GoogleAppsCloudidentityDevicesV1BlockDeviceUserResponse": { "description": "Response message for blocking the device from accessing user data.", "id": "GoogleAppsCloudidentityDevicesV1BlockDeviceUserResponse", "type": "object", "properties": { "deviceUser": { "$ref": "GoogleAppsCloudidentityDevicesV1DeviceUser", "description": "Resultant DeviceUser object for the action." } } }, "GetMembershipGraphMetadata": { "type": "object", "description": "Metadata of GetMembershipGraphResponse LRO. This is currently empty to permit future extensibility.", "id": "GetMembershipGraphMetadata", "properties": {} }, "ModifyMembershipRolesResponse": { "properties": { "membership": { "$ref": "Membership", "description": "The `Membership` resource after modifying its `MembershipRole`s." } }, "description": "The response message for MembershipsService.ModifyMembershipRoles.", "type": "object", "id": "ModifyMembershipRolesResponse" }, "TransitiveMembershipRole": { "description": "Message representing the role of a TransitiveMembership.", "id": "TransitiveMembershipRole", "properties": { "role": { "type": "string", "description": "TransitiveMembershipRole in string format. Currently supported TransitiveMembershipRoles: `\"MEMBER\"`, `\"OWNER\"`, and `\"MANAGER\"`." } }, "type": "object" }, "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserResponse": { "id": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserResponse", "description": "Response message for cancelling an unfinished user account wipe.", "type": "object", "properties": { "deviceUser": { "description": "Resultant DeviceUser object for the action.", "$ref": "GoogleAppsCloudidentityDevicesV1DeviceUser" } } }, "RestrictionEvaluation": { "properties": { "state": { "description": "Output only. The current state of the restriction", "enumDescriptions": [ "Default. Should not be used.", "The restriction state is currently being evaluated.", "All transitive memberships are adhering to restriction.", "Some transitive memberships violate the restriction. No new violating memberships can be added.", "Some transitive memberships violate the restriction. New violating direct memberships will be denied while indirect memberships may be added." ], "readOnly": true, "type": "string", "enum": [ "STATE_UNSPECIFIED", "EVALUATING", "COMPLIANT", "FORWARD_COMPLIANT", "NON_COMPLIANT" ] } }, "type": "object", "description": "The evaluated state of this restriction.", "id": "RestrictionEvaluation" }, "GoogleAppsCloudidentityDevicesV1SignoutDeviceUserMetadata": { "description": "Metadata for SignoutDeviceUser LRO.", "id": "GoogleAppsCloudidentityDevicesV1SignoutDeviceUserMetadata", "type": "object", "properties": {} }, "UpdateMembershipMetadata": { "properties": {}, "id": "UpdateMembershipMetadata", "type": "object", "description": "Metadata for UpdateMembership LRO." }, "GoogleAppsCloudidentityDevicesV1BlockDeviceUserMetadata": { "type": "object", "id": "GoogleAppsCloudidentityDevicesV1BlockDeviceUserMetadata", "description": "Metadata for BlockDeviceUser LRO.", "properties": {} }, "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserMetadata": { "description": "Metadata for ApproveDeviceUser LRO.", "id": "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserMetadata", "properties": {}, "type": "object" }, "GoogleAppsCloudidentityDevicesV1ClientState": { "id": "GoogleAppsCloudidentityDevicesV1ClientState", "properties": { "ownerType": { "description": "Output only. The owner of the ClientState", "enum": [ "OWNER_TYPE_UNSPECIFIED", "OWNER_TYPE_CUSTOMER", "OWNER_TYPE_PARTNER" ], "type": "string", "enumDescriptions": [ "Unknown owner type", "Customer is the owner", "Partner is the owner" ], "readOnly": true }, "healthScore": { "enum": [ "HEALTH_SCORE_UNSPECIFIED", "VERY_POOR", "POOR", "NEUTRAL", "GOOD", "VERY_GOOD" ], "type": "string", "enumDescriptions": [ "Default value", "The object is in very poor health as defined by the caller.", "The object is in poor health as defined by the caller.", "The object health is neither good nor poor, as defined by the caller.", "The object is in good health as defined by the caller.", "The object is in very good health as defined by the caller." ], "description": "The Health score of the resource. The Health score is the callers specification of the condition of the device from a usability point of view. For example, a third-party device management provider may specify a health score based on its compliance with organizational policies." }, "customId": { "description": "This field may be used to store a unique identifier for the API resource within which these CustomAttributes are a field.", "type": "string" }, "scoreReason": { "description": "A descriptive cause of the health score.", "type": "string" }, "managed": { "type": "string", "enum": [ "MANAGED_STATE_UNSPECIFIED", "MANAGED", "UNMANAGED" ], "description": "The management state of the resource as specified by the API client.", "enumDescriptions": [ "The management state of the resource is unknown or unspecified.", "The resource is managed.", "The resource is not managed." ] }, "lastUpdateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the client state data was last updated.", "readOnly": true }, "keyValuePairs": { "type": "object", "description": "The map of key-value attributes stored by callers specific to a device. The total serialized length of this map may not exceed 10KB. No limit is placed on the number of attributes in a map.", "additionalProperties": { "$ref": "GoogleAppsCloudidentityDevicesV1CustomAttributeValue" } }, "assetTags": { "type": "array", "description": "The caller can specify asset tags for this resource", "items": { "type": "string" } }, "name": { "type": "string", "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the ClientState in format: `devices/{device}/deviceUsers/{device_user}/clientState/{partner}`, where partner corresponds to the partner storing the data. For partners belonging to the \"BeyondCorp Alliance\", this is the partner ID specified to you by Google. For all other callers, this is a string of the form: `{customer}-suffix`, where `customer` is your customer ID. The *suffix* is any string the caller specifies. This string will be displayed verbatim in the administration console. This suffix is used in setting up Custom Access Levels in Context-Aware Access. Your organization's customer ID can be obtained from the URL: `GET https://www.googleapis.com/admin/directory/v1/customers/my_customer` The `id` field in the response contains the customer ID starting with the letter 'C'. The customer ID to be used in this API is the string after the letter 'C' (not including 'C')", "readOnly": true }, "createTime": { "description": "Output only. The time the client state data was created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "complianceState": { "enum": [ "COMPLIANCE_STATE_UNSPECIFIED", "COMPLIANT", "NON_COMPLIANT" ], "enumDescriptions": [ "The compliance state of the resource is unknown or unspecified.", "Device is compliant with third party policies", "Device is not compliant with third party policies" ], "type": "string", "description": "The compliance state of the resource as specified by the API client." }, "etag": { "description": "The token that needs to be passed back for concurrency control in updates. Token needs to be passed back in UpdateRequest", "type": "string" } }, "type": "object", "description": "Represents the state associated with an API client calling the Devices API. Resource representing ClientState and supports updates from API users" }, "Membership": { "properties": { "type": { "readOnly": true, "description": "Output only. The type of the membership.", "type": "string", "enumDescriptions": [ "Default. Should not be used.", "Represents user type.", "Represents service account type.", "Represents group type.", "Represents Shared drive.", "Represents other type." ], "enum": [ "TYPE_UNSPECIFIED", "USER", "SERVICE_ACCOUNT", "GROUP", "SHARED_DRIVE", "OTHER" ] }, "createTime": { "readOnly": true, "description": "Output only. The time when the `Membership` was created.", "type": "string", "format": "google-datetime" }, "name": { "readOnly": true, "description": "Output only. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Membership`. Shall be of the form `groups/{group}/memberships/{membership}`.", "type": "string" }, "updateTime": { "description": "Output only. The time when the `Membership` was last updated.", "format": "google-datetime", "readOnly": true, "type": "string" }, "preferredMemberKey": { "$ref": "EntityKey", "description": "Required. Immutable. The `EntityKey` of the member." }, "roles": { "description": "The `MembershipRole`s that apply to the `Membership`. If unspecified, defaults to a single `MembershipRole` with `name` `MEMBER`. Must not contain duplicate `MembershipRole`s with the same `name`.", "items": { "$ref": "MembershipRole" }, "type": "array" } }, "description": "A membership within the Cloud Identity Groups API. A `Membership` defines a relationship between a `Group` and an entity belonging to that `Group`, referred to as a \"member\".", "type": "object", "id": "Membership" }, "SearchGroupsResponse": { "properties": { "groups": { "items": { "$ref": "Group" }, "description": "The `Group` resources that match the search query.", "type": "array" }, "nextPageToken": { "description": "A continuation token to retrieve the next page of results, or empty if there are no more results available.", "type": "string" } }, "description": "The response message for GroupsService.SearchGroups.", "type": "object", "id": "SearchGroupsResponse" }, "GoogleAppsCloudidentityDevicesV1DeviceUser": { "properties": { "firstSyncTime": { "description": "Output only. Most recent time when user registered with this service.", "format": "google-datetime", "type": "string", "readOnly": true }, "passwordState": { "enumDescriptions": [ "Password state not set.", "Password set in object.", "Password not set in object." ], "description": "Password state of the DeviceUser object", "enum": [ "PASSWORD_STATE_UNSPECIFIED", "PASSWORD_SET", "PASSWORD_NOT_SET" ], "type": "string" }, "name": { "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the DeviceUser in format: `devices/{device}/deviceUsers/{device_user}`, where `device_user` uniquely identifies a user's use of a device.", "type": "string", "readOnly": true }, "managementState": { "description": "Output only. Management state of the user on the device.", "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "This user's data and profile is being removed from the device.", "This user's data and profile is removed from the device.", "User is approved to access data on the device.", "User is blocked from accessing data on the device.", "User is awaiting approval.", "User is unenrolled from Advanced Windows Management, but the Windows account is still intact." ], "readOnly": true, "enum": [ "MANAGEMENT_STATE_UNSPECIFIED", "WIPING", "WIPED", "APPROVED", "BLOCKED", "PENDING_APPROVAL", "UNENROLLED" ] }, "languageCode": { "readOnly": true, "type": "string", "description": "Output only. Default locale used on device, in IETF BCP-47 format." }, "userEmail": { "description": "Email address of the user registered on the device.", "type": "string" }, "compromisedState": { "enumDescriptions": [ "Compromised state of Device User account is unknown or unspecified.", "Device User Account is compromised.", "Device User Account is not compromised." ], "enum": [ "COMPROMISED_STATE_UNSPECIFIED", "COMPROMISED", "NOT_COMPROMISED" ], "description": "Compromised State of the DeviceUser object", "type": "string" }, "lastSyncTime": { "readOnly": true, "description": "Output only. Last time when user synced with policies.", "format": "google-datetime", "type": "string" }, "createTime": { "type": "string", "description": "When the user first signed in to the device", "format": "google-datetime" }, "userAgent": { "type": "string", "readOnly": true, "description": "Output only. User agent on the device for this specific user" } }, "type": "object", "description": "Represents a user's use of a Device in the Cloud Identity Devices API. A DeviceUser is a resource representing a user's use of a Device", "id": "GoogleAppsCloudidentityDevicesV1DeviceUser" }, "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserRequest": { "properties": { "customer": { "type": "string", "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs." } }, "description": "Request message for cancelling an unfinished user account wipe.", "type": "object", "id": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserRequest" }, "UpdateMembershipRolesParams": { "type": "object", "properties": { "fieldMask": { "format": "google-fieldmask", "type": "string", "description": "The fully-qualified names of fields to update. May only contain the field `expiry_detail.expire_time`." }, "membershipRole": { "$ref": "MembershipRole", "description": "The `MembershipRole`s to be updated. Only `MEMBER` `MembershipRole` can currently be updated." } }, "description": "The details of an update to a `MembershipRole`.", "id": "UpdateMembershipRolesParams" }, "CreateMembershipMetadata": { "properties": {}, "id": "CreateMembershipMetadata", "description": "Metadata for CreateMembership LRO.", "type": "object" }, "ListGroupsResponse": { "type": "object", "properties": { "groups": { "description": "Groups returned in response to list request. The results are not sorted.", "items": { "$ref": "Group" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results available for listing." } }, "id": "ListGroupsResponse", "description": "Response message for ListGroups operation." }, "DynamicGroupQuery": { "type": "object", "properties": { "resourceType": { "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "USER" ], "enumDescriptions": [ "Default value (not valid)", "For queries on User" ], "type": "string", "description": "Resource type for the Dynamic Group Query" }, "query": { "type": "string", "description": "Query that determines the memberships of the dynamic group. Examples: All users with at least one `organizations.department` of engineering. `user.organizations.exists(org, org.department=='engineering')` All users with at least one location that has `area` of `foo` and `building_id` of `bar`. `user.locations.exists(loc, loc.area=='foo' && loc.building_id=='bar')` All users with any variation of the name John Doe (case-insensitive queries add `equalsIgnoreCase()` to the value being queried). `user.name.value.equalsIgnoreCase('jOhn DoE')`" } }, "description": "Defines a query on a resource.", "id": "DynamicGroupQuery" }, "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserResponse": { "properties": { "deviceUser": { "description": "Resultant DeviceUser object for the action.", "$ref": "GoogleAppsCloudidentityDevicesV1DeviceUser" } }, "type": "object", "id": "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserResponse", "description": "Response message for approving the device to access user data." }, "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceResponse": { "description": "Response message for cancelling an unfinished device wipe.", "type": "object", "id": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceResponse", "properties": { "device": { "description": "Resultant Device object for the action. Note that asset tags will not be returned in the device object.", "$ref": "GoogleAppsCloudidentityDevicesV1Device" } } }, "GoogleAppsCloudidentityDevicesV1WipeDeviceUserResponse": { "type": "object", "id": "GoogleAppsCloudidentityDevicesV1WipeDeviceUserResponse", "description": "Response message for wiping the user's account from the device.", "properties": { "deviceUser": { "description": "Resultant DeviceUser object for the action.", "$ref": "GoogleAppsCloudidentityDevicesV1DeviceUser" } } }, "Status": { "type": "object", "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status" }, "RestrictionEvaluations": { "id": "RestrictionEvaluations", "description": "Evaluations of restrictions applied to parent group on this membership.", "properties": { "memberRestrictionEvaluation": { "description": "Evaluation of the member restriction applied to this membership. Empty if the user lacks permission to view the restriction evaluation.", "$ref": "MembershipRoleRestrictionEvaluation" } }, "type": "object" }, "GoogleAppsCloudidentityDevicesV1AndroidAttributes": { "properties": { "ownerProfileAccount": { "description": "Whether this account is on an owner/primary profile. For phones, only true for owner profiles. Android 4+ devices can have secondary or restricted user profiles.", "type": "boolean" }, "ownershipPrivilege": { "type": "string", "enumDescriptions": [ "Ownership privilege is not set.", "Active device administrator privileges on the device.", "Profile Owner privileges. The account is in a managed corporate profile.", "Device Owner privileges on the device." ], "description": "Ownership privileges on device.", "enum": [ "OWNERSHIP_PRIVILEGE_UNSPECIFIED", "DEVICE_ADMINISTRATOR", "PROFILE_OWNER", "DEVICE_OWNER" ] }, "supportsWorkProfile": { "type": "boolean", "description": "Whether device supports Android work profiles. If false, this service will not block access to corp data even if an administrator turns on the \"Enforce Work Profile\" policy." }, "enabledUnknownSources": { "type": "boolean", "description": "Whether applications from unknown sources can be installed on device." } }, "type": "object", "id": "GoogleAppsCloudidentityDevicesV1AndroidAttributes", "description": "Resource representing the Android specific attributes of a Device." }, "GoogleAppsCloudidentityDevicesV1UpdateDeviceMetadata": { "id": "GoogleAppsCloudidentityDevicesV1UpdateDeviceMetadata", "properties": {}, "type": "object", "description": "Metadata for UpdateDevice LRO." }, "Group": { "type": "object", "description": "A group within the Cloud Identity Groups API. A `Group` is a collection of entities, where each entity is either a user, another group, or a service account.", "id": "Group", "properties": { "parent": { "type": "string", "description": "Required. Immutable. The resource name of the entity under which this `Group` resides in the Cloud Identity resource hierarchy. Must be of the form `identitysources/{identity_source}` for external- identity-mapped groups or `customers/{customer}` for Google Groups. The `customer` must begin with \"C\" (for example, 'C046psxkn')." }, "groupKey": { "$ref": "EntityKey", "description": "Required. The `EntityKey` of the `Group`." }, "displayName": { "description": "The display name of the `Group`.", "type": "string" }, "name": { "readOnly": true, "description": "Output only. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Group`. Shall be of the form `groups/{group}`.", "type": "string" }, "dynamicGroupMetadata": { "$ref": "DynamicGroupMetadata", "description": "Optional. Dynamic group metadata like queries and status." }, "createTime": { "description": "Output only. The time when the `Group` was created.", "type": "string", "format": "google-datetime", "readOnly": true }, "description": { "type": "string", "description": "An extended description to help users determine the purpose of a `Group`. Must not be longer than 4,096 characters." }, "updateTime": { "description": "Output only. The time when the `Group` was last updated.", "type": "string", "readOnly": true, "format": "google-datetime" }, "labels": { "description": "Required. One or more label entries that apply to the Group. Currently supported labels contain a key with an empty value. Google Groups are the default type of group and have a label with a key of `cloudidentity.googleapis.com/groups.discussion_forum` and an empty value. Existing Google Groups can have an additional label with a key of `cloudidentity.googleapis.com/groups.security` and an empty value added to them. **This is an immutable change and the security label cannot be removed once added.** Dynamic groups have a label with a key of `cloudidentity.googleapis.com/groups.dynamic`. Identity-mapped groups for Cloud Search have a label with a key of `system/groups/external` and an empty value.", "type": "object", "additionalProperties": { "type": "string" } } } }, "MembershipAdjacencyList": { "description": "Membership graph's path information as an adjacency list.", "id": "MembershipAdjacencyList", "properties": { "group": { "description": "Resource name of the group that the members belong to.", "type": "string" }, "edges": { "items": { "$ref": "Membership" }, "type": "array", "description": "Each edge contains information about the member that belongs to this group. Note: Fields returned here will help identify the specific Membership resource (e.g name, preferred_member_key and role), but may not be a comprehensive list of all fields." } }, "type": "object" }, "GoogleAppsCloudidentityDevicesV1ListDevicesResponse": { "description": "Response message that is returned from the ListDevices method.", "id": "GoogleAppsCloudidentityDevicesV1ListDevicesResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results. Empty if there are no more results." }, "devices": { "description": "Devices meeting the list restrictions.", "type": "array", "items": { "$ref": "GoogleAppsCloudidentityDevicesV1Device" } } }, "type": "object" }, "MembershipRole": { "id": "MembershipRole", "description": "A membership role within the Cloud Identity Groups API. A `MembershipRole` defines the privileges granted to a `Membership`.", "properties": { "name": { "description": "The name of the `MembershipRole`. Must be one of `OWNER`, `MANAGER`, `MEMBER`.", "type": "string" }, "restrictionEvaluations": { "description": "Evaluations of restrictions applied to parent group on this membership.", "$ref": "RestrictionEvaluations" }, "expiryDetail": { "description": "The expiry details of the `MembershipRole`. Expiry details are only supported for `MEMBER` `MembershipRoles`. May be set if `name` is `MEMBER`. Must not be set if `name` is any other value.", "$ref": "ExpiryDetail" } }, "type": "object" }, "SearchTransitiveGroupsResponse": { "id": "SearchTransitiveGroupsResponse", "description": "The response message for MembershipsService.SearchTransitiveGroups.", "properties": { "memberships": { "type": "array", "items": { "$ref": "GroupRelation" }, "description": "List of transitive groups satisfying the query." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results available for listing.", "type": "string" } }, "type": "object" }, "GoogleAppsCloudidentityDevicesV1CustomAttributeValue": { "type": "object", "id": "GoogleAppsCloudidentityDevicesV1CustomAttributeValue", "properties": { "numberValue": { "type": "number", "description": "Represents a double value.", "format": "double" }, "boolValue": { "type": "boolean", "description": "Represents a boolean value." }, "stringValue": { "type": "string", "description": "Represents a string value." } }, "description": "Additional custom attribute values may be one of these types" }, "ExpiryDetail": { "description": "The `MembershipRole` expiry details.", "properties": { "expireTime": { "format": "google-datetime", "description": "The time at which the `MembershipRole` will expire.", "type": "string" } }, "type": "object", "id": "ExpiryDetail" }, "GoogleAppsCloudidentityDevicesV1UpdateClientStateMetadata": { "id": "GoogleAppsCloudidentityDevicesV1UpdateClientStateMetadata", "properties": {}, "type": "object", "description": "Metadata for UpdateClientState LRO." }, "GoogleAppsCloudidentityDevicesV1LookupSelfDeviceUsersResponse": { "id": "GoogleAppsCloudidentityDevicesV1LookupSelfDeviceUsersResponse", "properties": { "customer": { "type": "string", "description": "The obfuscated customer Id that may be passed back to other Devices API methods such as List, Get, etc." }, "names": { "items": { "type": "string" }, "type": "array", "description": "[Resource names](https://cloud.google.com/apis/design/resource_names) of the DeviceUsers in the format: `devices/{device}/deviceUsers/{user_resource}`, where device is the unique ID assigned to a Device and user_resource is the unique user ID" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results. Empty if there are no more results." } }, "description": "Response containing resource names of the DeviceUsers associated with the caller's credentials.", "type": "object" }, "LookupGroupNameResponse": { "type": "object", "id": "LookupGroupNameResponse", "description": "The response message for GroupsService.LookupGroupName.", "properties": { "name": { "description": "The [resource name](https://cloud.google.com/apis/design/resource_names) of the looked-up `Group`.", "type": "string" } } }, "MembershipRoleRestrictionEvaluation": { "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "COMPLIANT", "FORWARD_COMPLIANT", "NON_COMPLIANT", "EVALUATING" ], "description": "Output only. The current state of the restriction", "enumDescriptions": [ "Default. Should not be used.", "The member adheres to the parent group's restriction.", "The group-group membership might be currently violating some parent group's restriction but in future, it will never allow any new member in the child group which can violate parent group's restriction.", "The member violates the parent group's restriction.", "The state of the membership is under evaluation." ], "type": "string", "readOnly": true } }, "id": "MembershipRoleRestrictionEvaluation", "type": "object", "description": "The evaluated state of this restriction." }, "GoogleAppsCloudidentityDevicesV1WipeDeviceResponse": { "type": "object", "id": "GoogleAppsCloudidentityDevicesV1WipeDeviceResponse", "description": "Response message for wiping all data on the device.", "properties": { "device": { "$ref": "GoogleAppsCloudidentityDevicesV1Device", "description": "Resultant Device object for the action. Note that asset tags will not be returned in the device object." } } }, "SecuritySettings": { "type": "object", "id": "SecuritySettings", "properties": { "memberRestriction": { "$ref": "MemberRestriction", "description": "The Member Restriction value" }, "name": { "description": "Output only. The resource name of the security settings. Shall be of the form `groups/{group_id}/securitySettings`.", "type": "string", "readOnly": true } }, "description": "The definition of security settings." }, "GoogleAppsCloudidentityDevicesV1WipeDeviceMetadata": { "id": "GoogleAppsCloudidentityDevicesV1WipeDeviceMetadata", "type": "object", "description": "Metadata for WipeDevice LRO.", "properties": {} }, "ModifyMembershipRolesRequest": { "properties": { "removeRoles": { "description": "The `name`s of the `MembershipRole`s to be removed. Adding or removing roles in the same request as updating roles is not supported. It is not possible to remove the `MEMBER` `MembershipRole`. If you wish to delete a `Membership`, call MembershipsService.DeleteMembership instead. Must not contain `MEMBER`. Must not be set if `update_roles_params` is set.", "type": "array", "items": { "type": "string" } }, "updateRolesParams": { "type": "array", "description": "The `MembershipRole`s to be updated. Updating roles in the same request as adding or removing roles is not supported. Must not be set if either `add_roles` or `remove_roles` is set.", "items": { "$ref": "UpdateMembershipRolesParams" } }, "addRoles": { "description": "The `MembershipRole`s to be added. Adding or removing roles in the same request as updating roles is not supported. Must not be set if `update_roles_params` is set.", "items": { "$ref": "MembershipRole" }, "type": "array" } }, "description": "The request message for MembershipsService.ModifyMembershipRoles.", "id": "ModifyMembershipRolesRequest", "type": "object" }, "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceRequest": { "type": "object", "id": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceRequest", "description": "Request message for cancelling an unfinished device wipe.", "properties": { "customer": { "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "type": "string" } } }, "DynamicGroupMetadata": { "description": "Dynamic group metadata like queries and status.", "type": "object", "properties": { "status": { "$ref": "DynamicGroupStatus", "readOnly": true, "description": "Output only. Status of the dynamic group." }, "queries": { "description": "Memberships will be the union of all queries. Only one entry with USER resource is currently supported. Customers can create up to 100 dynamic groups.", "items": { "$ref": "DynamicGroupQuery" }, "type": "array" } }, "id": "DynamicGroupMetadata" }, "UpdateGroupMetadata": { "id": "UpdateGroupMetadata", "type": "object", "properties": {}, "description": "Metadata for UpdateGroup LRO." }, "GoogleAppsCloudidentityDevicesV1CreateDeviceMetadata": { "description": "Metadata for CreateDevice LRO.", "properties": {}, "id": "GoogleAppsCloudidentityDevicesV1CreateDeviceMetadata", "type": "object" }, "GoogleAppsCloudidentityDevicesV1DeleteDeviceMetadata": { "id": "GoogleAppsCloudidentityDevicesV1DeleteDeviceMetadata", "properties": {}, "description": "Metadata for DeleteDevice LRO.", "type": "object" }, "GoogleAppsCloudidentityDevicesV1DeleteDeviceUserMetadata": { "type": "object", "properties": {}, "id": "GoogleAppsCloudidentityDevicesV1DeleteDeviceUserMetadata", "description": "Metadata for DeleteDeviceUser LRO." }, "GoogleAppsCloudidentityDevicesV1ListClientStatesResponse": { "id": "GoogleAppsCloudidentityDevicesV1ListClientStatesResponse", "properties": { "clientStates": { "items": { "$ref": "GoogleAppsCloudidentityDevicesV1ClientState" }, "description": "Client states meeting the list restrictions.", "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results. Empty if there are no more results.", "type": "string" } }, "description": "Response message that is returned in ListClientStates.", "type": "object" }, "GroupRelation": { "type": "object", "description": "Message representing a transitive group of a user or a group.", "id": "GroupRelation", "properties": { "groupKey": { "description": "Entity key has an id and a namespace. In case of discussion forums, the id will be an email address without a namespace.", "$ref": "EntityKey" }, "group": { "description": "Resource name for this group.", "type": "string" }, "roles": { "items": { "$ref": "TransitiveMembershipRole" }, "type": "array", "description": "Membership roles of the member for the group." }, "displayName": { "type": "string", "description": "Display name for this group." }, "relationType": { "type": "string", "description": "The relation between the member and the transitive group.", "enumDescriptions": [ "The relation type is undefined or undetermined.", "The two entities have only a direct membership with each other.", "The two entities have only an indirect membership with each other.", "The two entities have both a direct and an indirect membership with each other." ], "enum": [ "RELATION_TYPE_UNSPECIFIED", "DIRECT", "INDIRECT", "DIRECT_AND_INDIRECT" ] }, "labels": { "description": "Labels for Group resource.", "type": "object", "additionalProperties": { "type": "string" } } } } }, "basePath": "", "protocol": "rest", "version_module": true, "servicePath": "", "documentationLink": "https://cloud.google.com/identity/", "description": "API for provisioning and managing identity resources.", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-identity.groups.readonly": { "description": "See any Cloud Identity Groups that you can access, including group members and their emails" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-identity.devices": { "description": "Private Service: https://www.googleapis.com/auth/cloud-identity.devices" }, "https://www.googleapis.com/auth/cloud-identity.devices.readonly": { "description": "Private Service: https://www.googleapis.com/auth/cloud-identity.devices.readonly" }, "https://www.googleapis.com/auth/cloud-identity": { "description": "Private Service: https://www.googleapis.com/auth/cloud-identity" }, "https://www.googleapis.com/auth/cloud-identity.groups": { "description": "See, change, create, and delete any of the Cloud Identity Groups that you can access, including the members of each group" }, "https://www.googleapis.com/auth/cloud-identity.devices.lookup": { "description": "See your device details" } } } }, "ownerDomain": "google.com", "baseUrl": "https://cloudidentity.googleapis.com/", "id": "cloudidentity:v1", "batchPath": "batch", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "resources": { "devices": { "resources": { "deviceUsers": { "methods": { "delete": { "httpMethod": "DELETE", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "id": "cloudidentity.devices.deviceUsers.delete", "path": "v1/{+name}", "response": { "$ref": "Operation" }, "description": "Deletes the specified DeviceUser. This also revokes the user's access to device data.", "flatPath": "v1/devices/{devicesId}/deviceUsers/{deviceUsersId}", "parameters": { "name": { "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}/deviceUsers/{device_user}`, where device is the unique ID assigned to the Device, and device_user is the unique ID assigned to the User." }, "customer": { "location": "query", "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "type": "string" } } }, "block": { "parameterOrder": [ "name" ], "request": { "$ref": "GoogleAppsCloudidentityDevicesV1BlockDeviceUserRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "parameters": { "name": { "type": "string", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}/deviceUsers/{device_user}`, where device is the unique ID assigned to the Device, and device_user is the unique ID assigned to the User.", "location": "path", "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "required": true } }, "id": "cloudidentity.devices.deviceUsers.block", "response": { "$ref": "Operation" }, "flatPath": "v1/devices/{devicesId}/deviceUsers/{deviceUsersId}:block", "httpMethod": "POST", "path": "v1/{+name}:block", "description": "Blocks device from accessing user data" }, "cancelWipe": { "response": { "$ref": "Operation" }, "id": "cloudidentity.devices.deviceUsers.cancelWipe", "request": { "$ref": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserRequest" }, "flatPath": "v1/devices/{devicesId}/deviceUsers/{deviceUsersId}:cancelWipe", "httpMethod": "POST", "path": "v1/{+name}:cancelWipe", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "parameters": { "name": { "required": true, "type": "string", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}/deviceUsers/{device_user}`, where device is the unique ID assigned to the Device, and device_user is the unique ID assigned to the User.", "location": "path", "pattern": "^devices/[^/]+/deviceUsers/[^/]+$" } }, "description": "Cancels an unfinished user account wipe. This operation can be used to cancel device wipe in the gap between the wipe operation returning success and the device being wiped." }, "get": { "httpMethod": "GET", "description": "Retrieves the specified DeviceUser", "id": "cloudidentity.devices.deviceUsers.get", "path": "v1/{+name}", "flatPath": "v1/devices/{devicesId}/deviceUsers/{deviceUsersId}", "response": { "$ref": "GoogleAppsCloudidentityDevicesV1DeviceUser" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "type": "string", "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "required": true, "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}/deviceUsers/{device_user}`, where device is the unique ID assigned to the Device, and device_user is the unique ID assigned to the User." }, "customer": { "type": "string", "location": "query", "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs." } } }, "list": { "path": "v1/{+parent}/deviceUsers", "parameters": { "customer": { "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "type": "string", "location": "query" }, "pageToken": { "description": "Optional. A page token, received from a previous `ListDeviceUsers` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Optional. Order specification for devices in the response." }, "filter": { "description": "Optional. Additional restrictions when fetching list of devices. For a list of search fields, refer to [Mobile device search fields](https://developers.google.com/admin-sdk/directory/v1/search-operators). Multiple search fields are separated by the space character.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "description": "Optional. The maximum number of DeviceUsers to return. If unspecified, at most 5 DeviceUsers will be returned. The maximum value is 20; values above 20 will be coerced to 20.", "location": "query", "type": "integer" }, "parent": { "required": true, "type": "string", "pattern": "^devices/[^/]+$", "description": "Required. To list all DeviceUsers, set this to \"devices/-\". To list all DeviceUsers owned by a device, set this to the resource name of the device. Format: devices/{device}", "location": "path" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ], "response": { "$ref": "GoogleAppsCloudidentityDevicesV1ListDeviceUsersResponse" }, "description": "Lists/Searches DeviceUsers.", "id": "cloudidentity.devices.deviceUsers.list", "flatPath": "v1/devices/{devicesId}/deviceUsers" }, "approve": { "description": "Approves device to access user data.", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "httpMethod": "POST", "path": "v1/{+name}:approve", "parameters": { "name": { "location": "path", "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "required": true, "type": "string", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}/deviceUsers/{device_user}`, where device is the unique ID assigned to the Device, and device_user is the unique ID assigned to the User." } }, "request": { "$ref": "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "id": "cloudidentity.devices.deviceUsers.approve", "flatPath": "v1/devices/{devicesId}/deviceUsers/{deviceUsersId}:approve" }, "wipe": { "parameters": { "name": { "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}/deviceUsers/{device_user}`, where device is the unique ID assigned to the Device, and device_user is the unique ID assigned to the User." } }, "flatPath": "v1/devices/{devicesId}/deviceUsers/{deviceUsersId}:wipe", "path": "v1/{+name}:wipe", "httpMethod": "POST", "description": "Wipes the user's account on a device. Other data on the device that is not associated with the user's work account is not affected. For example, if a Gmail app is installed on a device that is used for personal and work purposes, and the user is logged in to the Gmail app with their personal account as well as their work account, wiping the \"deviceUser\" by their work administrator will not affect their personal account within Gmail or other apps such as Photos.", "response": { "$ref": "Operation" }, "id": "cloudidentity.devices.deviceUsers.wipe", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "parameterOrder": [ "name" ], "request": { "$ref": "GoogleAppsCloudidentityDevicesV1WipeDeviceUserRequest" } }, "lookup": { "httpMethod": "GET", "response": { "$ref": "GoogleAppsCloudidentityDevicesV1LookupSelfDeviceUsersResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity.devices.lookup" ], "id": "cloudidentity.devices.deviceUsers.lookup", "parameterOrder": [ "parent" ], "description": "Looks up resource names of the DeviceUsers associated with the caller's credentials, as well as the properties provided in the request. This method must be called with end-user credentials with the scope: https://www.googleapis.com/auth/cloud-identity.devices.lookup If multiple properties are provided, only DeviceUsers having all of these properties are considered as matches - i.e. the query behaves like an AND. Different platforms require different amounts of information from the caller to ensure that the DeviceUser is uniquely identified. - iOS: No properties need to be passed, the caller's credentials are sufficient to identify the corresponding DeviceUser. - Android: Specifying the 'android_id' field is required. - Desktop: Specifying the 'raw_resource_id' field is required.", "parameters": { "parent": { "required": true, "description": "Must be set to \"devices/-/deviceUsers\" to search across all DeviceUser belonging to the user.", "pattern": "^devices/[^/]+/deviceUsers$", "type": "string", "location": "path" }, "userId": { "description": "The user whose DeviceUser's resource name will be fetched. Must be set to 'me' to fetch the DeviceUser's resource name for the calling user.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "description": "A page token, received from a previous `LookupDeviceUsers` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `LookupDeviceUsers` must match the call that provided the page token.", "type": "string" }, "rawResourceId": { "description": "Raw Resource Id used by Google Endpoint Verification. If the user is enrolled into Google Endpoint Verification, this id will be saved as the 'device_resource_id' field in the following platform dependent files. Mac: ~/.secureConnect/context_aware_config.json Windows: C:\\Users\\%USERPROFILE%\\.secureConnect\\context_aware_config.json Linux: ~/.secureConnect/context_aware_config.json", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of DeviceUsers to return. If unspecified, at most 20 DeviceUsers will be returned. The maximum value is 20; values above 20 will be coerced to 20.", "location": "query" }, "androidId": { "location": "query", "type": "string", "description": "Android Id returned by [Settings.Secure#ANDROID_ID](https://developer.android.com/reference/android/provider/Settings.Secure.html#ANDROID_ID)." } }, "path": "v1/{+parent}:lookup", "flatPath": "v1/devices/{devicesId}/deviceUsers:lookup" } }, "resources": { "clientStates": { "methods": { "patch": { "parameters": { "name": { "location": "path", "required": true, "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the ClientState in format: `devices/{device}/deviceUsers/{device_user}/clientState/{partner}`, where partner corresponds to the partner storing the data. For partners belonging to the \"BeyondCorp Alliance\", this is the partner ID specified to you by Google. For all other callers, this is a string of the form: `{customer}-suffix`, where `customer` is your customer ID. The *suffix* is any string the caller specifies. This string will be displayed verbatim in the administration console. This suffix is used in setting up Custom Access Levels in Context-Aware Access. Your organization's customer ID can be obtained from the URL: `GET https://www.googleapis.com/admin/directory/v1/customers/my_customer` The `id` field in the response contains the customer ID starting with the letter 'C'. The customer ID to be used in this API is the string after the letter 'C' (not including 'C')", "type": "string", "pattern": "^devices/[^/]+/deviceUsers/[^/]+/clientStates/[^/]+$" }, "customer": { "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "type": "string", "location": "query" }, "updateMask": { "description": "Optional. Comma-separated list of fully qualified names of fields to be updated. If not specified, all updatable fields in ClientState are updated.", "location": "query", "type": "string", "format": "google-fieldmask" } }, "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "description": "Updates the client state for the device user **Note**: This method is available only to customers who have one of the following SKUs: Enterprise Standard, Enterprise Plus, Enterprise for Education, and Cloud Identity Premium", "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/devices/{devicesId}/deviceUsers/{deviceUsersId}/clientStates/{clientStatesId}", "id": "cloudidentity.devices.deviceUsers.clientStates.patch", "request": { "$ref": "GoogleAppsCloudidentityDevicesV1ClientState" } }, "list": { "parameterOrder": [ "parent" ], "description": "Lists the client states for the given search query.", "response": { "$ref": "GoogleAppsCloudidentityDevicesV1ListClientStatesResponse" }, "parameters": { "customer": { "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "location": "query", "type": "string" }, "parent": { "required": true, "type": "string", "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "description": "Required. To list all ClientStates, set this to \"devices/-/deviceUsers/-\". To list all ClientStates owned by a DeviceUser, set this to the resource name of the DeviceUser. Format: devices/{device}/deviceUsers/{deviceUser}", "location": "path" }, "orderBy": { "description": "Optional. Order specification for client states in the response.", "location": "query", "type": "string" }, "pageToken": { "description": "Optional. A page token, received from a previous `ListClientStates` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListClientStates` must match the call that provided the page token.", "location": "query", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "Optional. Additional restrictions when fetching list of client states." } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ], "flatPath": "v1/devices/{devicesId}/deviceUsers/{deviceUsersId}/clientStates", "id": "cloudidentity.devices.deviceUsers.clientStates.list", "path": "v1/{+parent}/clientStates" }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1/devices/{devicesId}/deviceUsers/{deviceUsersId}/clientStates/{clientStatesId}", "description": "Gets the client state for the device user", "response": { "$ref": "GoogleAppsCloudidentityDevicesV1ClientState" }, "path": "v1/{+name}", "id": "cloudidentity.devices.deviceUsers.clientStates.get", "parameters": { "customer": { "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "type": "string", "location": "query" }, "name": { "type": "string", "location": "path", "required": true, "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the ClientState in format: `devices/{device}/deviceUsers/{device_user}/clientStates/{partner}`, where `device` is the unique ID assigned to the Device, `device_user` is the unique ID assigned to the User and `partner` identifies the partner storing the data. To get the client state for devices belonging to your own organization, the `partnerId` is in the format: `customerId-*anystring*`. Where the `customerId` is your organization's customer ID and `anystring` is any suffix. This suffix is used in setting up Custom Access Levels in Context-Aware Access. You may use `my_customer` instead of the customer ID for devices managed by your own organization. You may specify `-` in place of the `{device}`, so the ClientState resource name can be: `devices/-/deviceUsers/{device_user_resource}/clientStates/{partner}`.", "pattern": "^devices/[^/]+/deviceUsers/[^/]+/clientStates/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ] } } } } } }, "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "id": "cloudidentity.devices.create", "description": "Creates a device. Only company-owned device may be created. **Note**: This method is available only to customers who have one of the following SKUs: Enterprise Standard, Enterprise Plus, Enterprise for Education, and Cloud Identity Premium", "request": { "$ref": "GoogleAppsCloudidentityDevicesV1Device" }, "path": "v1/devices", "response": { "$ref": "Operation" }, "httpMethod": "POST", "flatPath": "v1/devices", "parameters": { "customer": { "location": "query", "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "type": "string" } }, "parameterOrder": [] }, "list": { "description": "Lists/Searches devices.", "id": "cloudidentity.devices.list", "httpMethod": "GET", "parameterOrder": [], "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Optional. Order specification for devices in the response. Only one of the following field names may be used to specify the order: `create_time`, `last_sync_time`, `model`, `os_version`, `device_type` and `serial_number`. `desc` may be specified optionally at the end to specify results to be sorted in descending order. Default order is ascending." }, "view": { "location": "query", "enumDescriptions": [ "Default value. The value is unused.", "This view contains all devices imported by the company admin. Each device in the response contains all information specified by the company admin when importing the device (i.e. asset tags). This includes devices that may be unaassigned or assigned to users.", "This view contains all devices with at least one user registered on the device. Each device in the response contains all device information, except for asset tags." ], "type": "string", "enum": [ "VIEW_UNSPECIFIED", "COMPANY_INVENTORY", "USER_ASSIGNED_DEVICES" ], "description": "Optional. The view to use for the List request." }, "pageToken": { "description": "Optional. A page token, received from a previous `ListDevices` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDevices` must match the call that provided the page token.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of Devices to return. If unspecified, at most 20 Devices will be returned. The maximum value is 100; values above 100 will be coerced to 100.", "format": "int32", "location": "query" }, "customer": { "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer in the format: `customers/{customer}`, where customer is the customer to whom the device belongs. If you're using this API for your own organization, use `customers/my_customer`. If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "location": "query", "type": "string" }, "filter": { "description": "Optional. Additional restrictions when fetching list of devices. For a list of search fields, refer to [Mobile device search fields](https://developers.google.com/admin-sdk/directory/v1/search-operators). Multiple search fields are separated by the space character.", "location": "query", "type": "string" } }, "path": "v1/devices", "response": { "$ref": "GoogleAppsCloudidentityDevicesV1ListDevicesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ], "flatPath": "v1/devices" }, "delete": { "httpMethod": "DELETE", "flatPath": "v1/devices/{devicesId}", "response": { "$ref": "Operation" }, "description": "Deletes the specified device.", "parameters": { "customer": { "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "location": "query", "type": "string" }, "name": { "type": "string", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}`, where device is the unique ID assigned to the Device.", "location": "path", "required": true, "pattern": "^devices/[^/]+$" } }, "id": "cloudidentity.devices.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "parameterOrder": [ "name" ], "path": "v1/{+name}" }, "cancelWipe": { "path": "v1/{+name}:cancelWipe", "request": { "$ref": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceRequest" }, "parameterOrder": [ "name" ], "flatPath": "v1/devices/{devicesId}:cancelWipe", "description": "Cancels an unfinished device wipe. This operation can be used to cancel device wipe in the gap between the wipe operation returning success and the device being wiped. This operation is possible when the device is in a \"pending wipe\" state. The device enters the \"pending wipe\" state when a wipe device command is issued, but has not yet been sent to the device. The cancel wipe will fail if the wipe command has already been issued to the device.", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "response": { "$ref": "Operation" }, "id": "cloudidentity.devices.cancelWipe", "parameters": { "name": { "type": "string", "pattern": "^devices/[^/]+$", "required": true, "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}`, where device is the unique ID assigned to the Device.", "location": "path" } }, "httpMethod": "POST" }, "wipe": { "flatPath": "v1/devices/{devicesId}:wipe", "description": "Wipes all data on the specified device.", "parameters": { "name": { "location": "path", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}/deviceUsers/{device_user}`, where device is the unique ID assigned to the Device, and device_user is the unique ID assigned to the User.", "pattern": "^devices/[^/]+$", "required": true, "type": "string" } }, "httpMethod": "POST", "request": { "$ref": "GoogleAppsCloudidentityDevicesV1WipeDeviceRequest" }, "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "path": "v1/{+name}:wipe", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "id": "cloudidentity.devices.wipe" }, "get": { "description": "Retrieves the specified device.", "id": "cloudidentity.devices.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ], "flatPath": "v1/devices/{devicesId}", "parameters": { "name": { "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in the format: `devices/{device}`, where device is the unique ID assigned to the Device.", "location": "path", "type": "string", "required": true, "pattern": "^devices/[^/]+$" }, "customer": { "location": "query", "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Customer in the format: `customers/{customer}`, where customer is the customer to whom the device belongs. If you're using this API for your own organization, use `customers/my_customer`. If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs.", "type": "string" } }, "path": "v1/{+name}", "response": { "$ref": "GoogleAppsCloudidentityDevicesV1Device" }, "httpMethod": "GET" } } }, "groups": { "methods": { "create": { "parameterOrder": [], "httpMethod": "POST", "path": "v1/groups", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Group" }, "response": { "$ref": "Operation" }, "id": "cloudidentity.groups.create", "flatPath": "v1/groups", "description": "Creates a Group.", "parameters": { "initialGroupConfig": { "type": "string", "location": "query", "description": "Optional. The initial configuration option for the `Group`.", "enum": [ "INITIAL_GROUP_CONFIG_UNSPECIFIED", "WITH_INITIAL_OWNER", "EMPTY" ], "enumDescriptions": [ "Default. Should not be used.", "The end user making the request will be added as the initial owner of the `Group`.", "An empty group is created without any initial owners. This can only be used by admins of the domain." ] } } }, "lookup": { "parameterOrder": [], "parameters": { "groupKey.id": { "type": "string", "location": "query", "description": "The ID of the entity. For Google-managed entities, the `id` should be the email address of an existing group or user. For external-identity-mapped entities, the `id` must be a string conforming to the Identity Source's requirements. Must be unique within a `namespace`." }, "groupKey.namespace": { "location": "query", "description": "The namespace in which the entity exists. If not specified, the `EntityKey` represents a Google-managed entity such as a Google user or a Google Group. If specified, the `EntityKey` represents an external-identity-mapped group. The namespace must correspond to an identity source created in Admin Console and must be in the form of `identitysources/{identity_source}`.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "id": "cloudidentity.groups.lookup", "flatPath": "v1/groups:lookup", "response": { "$ref": "LookupGroupNameResponse" }, "httpMethod": "GET", "path": "v1/groups:lookup", "description": "Looks up the [resource name](https://cloud.google.com/apis/design/resource_names) of a `Group` by its `EntityKey`." }, "delete": { "description": "Deletes a `Group`.", "parameterOrder": [ "name" ], "flatPath": "v1/groups/{groupsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^groups/[^/]+$", "description": "Required. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Group` to retrieve. Must be of the form `groups/{group}`.", "required": true } }, "response": { "$ref": "Operation" }, "path": "v1/{+name}", "id": "cloudidentity.groups.delete" }, "search": { "parameters": { "pageToken": { "location": "query", "description": "The `next_page_token` value returned from a previous search request, if any.", "type": "string" }, "view": { "enumDescriptions": [ "Default. Should not be used.", "Only basic resource information is returned.", "All resource information is returned." ], "enum": [ "VIEW_UNSPECIFIED", "BASIC", "FULL" ], "description": "The level of detail to be returned. If unspecified, defaults to `View.BASIC`.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of results to return. Note that the number of results returned may be less than this value even if there are more available results. To fetch all results, clients must continue calling this method repeatedly until the response no longer contains a `next_page_token`. If unspecified, defaults to 200 for `GroupView.BASIC` and 50 for `GroupView.FULL`. Must not be greater than 1000 for `GroupView.BASIC` or 500 for `GroupView.FULL`." }, "query": { "description": "Required. The search query. Must be specified in [Common Expression Language](https://opensource.google/projects/cel). May only contain equality operators on the parent and inclusion operators on labels (e.g., `parent == 'customers/{customer}' && 'cloudidentity.googleapis.com/groups.discussion_forum' in labels`). The `customer` must begin with \"C\" (for example, 'C046psxkn').", "location": "query", "type": "string" } }, "parameterOrder": [], "description": "Searches for `Group` resources matching a specified query.", "response": { "$ref": "SearchGroupsResponse" }, "flatPath": "v1/groups:search", "id": "cloudidentity.groups.search", "httpMethod": "GET", "path": "v1/groups:search", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "parameterOrder": [ "name" ], "description": "Updates a `Group`.", "flatPath": "v1/groups/{groupsId}", "parameters": { "updateMask": { "location": "query", "type": "string", "description": "Required. The names of fields to update. May only contain the following field names: `display_name`, `description`, `labels`.", "format": "google-fieldmask" }, "name": { "pattern": "^groups/[^/]+$", "type": "string", "description": "Output only. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Group`. Shall be of the form `groups/{group}`.", "required": true, "location": "path" } }, "id": "cloudidentity.groups.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "request": { "$ref": "Group" }, "httpMethod": "PATCH", "path": "v1/{+name}" }, "list": { "flatPath": "v1/groups", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "id": "cloudidentity.groups.list", "description": "Lists the `Group` resources under a customer or namespace.", "path": "v1/groups", "httpMethod": "GET", "parameters": { "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of results to return. Note that the number of results returned may be less than this value even if there are more available results. To fetch all results, clients must continue calling this method repeatedly until the response no longer contains a `next_page_token`. If unspecified, defaults to 200 for `View.BASIC` and to 50 for `View.FULL`. Must not be greater than 1000 for `View.BASIC` or 500 for `View.FULL`.", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "The `next_page_token` value returned from a previous list request, if any." }, "view": { "description": "The level of detail to be returned. If unspecified, defaults to `View.BASIC`.", "enumDescriptions": [ "Default. Should not be used.", "Only basic resource information is returned.", "All resource information is returned." ], "type": "string", "enum": [ "VIEW_UNSPECIFIED", "BASIC", "FULL" ], "location": "query" }, "parent": { "description": "Required. The parent resource under which to list all `Group` resources. Must be of the form `identitysources/{identity_source}` for external- identity-mapped groups or `customers/{customer}` for Google Groups. The `customer` must begin with \"C\" (for example, 'C046psxkn').", "location": "query", "type": "string" } }, "response": { "$ref": "ListGroupsResponse" }, "parameterOrder": [] }, "get": { "description": "Retrieves a `Group`.", "httpMethod": "GET", "id": "cloudidentity.groups.get", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Group` to retrieve. Must be of the form `groups/{group}`.", "location": "path", "required": true, "pattern": "^groups/[^/]+$", "type": "string" } }, "flatPath": "v1/groups/{groupsId}", "response": { "$ref": "Group" }, "path": "v1/{+name}" }, "getSecuritySettings": { "httpMethod": "GET", "parameters": { "readMask": { "description": "Field-level read mask of which fields to return. \"*\" returns all fields. If not specified, all fields will be returned. May only contain the following field: `member_restriction`.", "format": "google-fieldmask", "location": "query", "type": "string" }, "name": { "location": "path", "type": "string", "pattern": "^groups/[^/]+/securitySettings$", "required": true, "description": "Required. The security settings to retrieve. Format: `groups/{group_id}/securitySettings`" } }, "parameterOrder": [ "name" ], "id": "cloudidentity.groups.getSecuritySettings", "path": "v1/{+name}", "flatPath": "v1/groups/{groupsId}/securitySettings", "response": { "$ref": "SecuritySettings" }, "description": "Get Security Settings", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ] }, "updateSecuritySettings": { "request": { "$ref": "SecuritySettings" }, "id": "cloudidentity.groups.updateSecuritySettings", "parameters": { "name": { "location": "path", "pattern": "^groups/[^/]+/securitySettings$", "type": "string", "required": true, "description": "Output only. The resource name of the security settings. Shall be of the form `groups/{group_id}/securitySettings`." }, "updateMask": { "location": "query", "type": "string", "description": "Required. The fully-qualified names of fields to update. May only contain the following field: `member_restriction.query`.", "format": "google-fieldmask" } }, "httpMethod": "PATCH", "description": "Update Security Settings", "parameterOrder": [ "name" ], "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "flatPath": "v1/groups/{groupsId}/securitySettings" } }, "resources": { "memberships": { "methods": { "searchTransitiveMemberships": { "path": "v1/{+parent}/memberships:searchTransitiveMemberships", "response": { "$ref": "SearchTransitiveMembershipsResponse" }, "httpMethod": "GET", "id": "cloudidentity.groups.memberships.searchTransitiveMemberships", "parameterOrder": [ "parent" ], "flatPath": "v1/groups/{groupsId}/memberships:searchTransitiveMemberships", "description": "Search transitive memberships of a group. **Note:** This feature is only available to Google Workspace Enterprise Standard, Enterprise Plus, and Enterprise for Education; and Cloud Identity Premium accounts. If the account of the group is not one of these, a 403 (PERMISSION_DENIED) HTTP status code will be returned. A transitive membership is any direct or indirect membership of a group. Actor must have view permissions to all transitive memberships.", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous list request, if any." }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The default page size is 200 (max 1000)." }, "parent": { "description": "[Resource name](https://cloud.google.com/apis/design/resource_names) of the group to search transitive memberships in. Format: `groups/{group}`, where `group` is the unique ID assigned to the Group.", "type": "string", "pattern": "^groups/[^/]+$", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ] }, "lookup": { "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "LookupMembershipNameResponse" }, "parameterOrder": [ "parent" ], "id": "cloudidentity.groups.memberships.lookup", "httpMethod": "GET", "parameters": { "memberKey.id": { "type": "string", "description": "The ID of the entity. For Google-managed entities, the `id` should be the email address of an existing group or user. For external-identity-mapped entities, the `id` must be a string conforming to the Identity Source's requirements. Must be unique within a `namespace`.", "location": "query" }, "parent": { "pattern": "^groups/[^/]+$", "description": "Required. The parent `Group` resource under which to lookup the `Membership` name. Must be of the form `groups/{group}`.", "type": "string", "required": true, "location": "path" }, "memberKey.namespace": { "description": "The namespace in which the entity exists. If not specified, the `EntityKey` represents a Google-managed entity such as a Google user or a Google Group. If specified, the `EntityKey` represents an external-identity-mapped group. The namespace must correspond to an identity source created in Admin Console and must be in the form of `identitysources/{identity_source}`.", "type": "string", "location": "query" } }, "path": "v1/{+parent}/memberships:lookup", "description": "Looks up the [resource name](https://cloud.google.com/apis/design/resource_names) of a `Membership` by its `EntityKey`.", "flatPath": "v1/groups/{groupsId}/memberships:lookup" }, "getMembershipGraph": { "id": "cloudidentity.groups.memberships.getMembershipGraph", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/memberships:getMembershipGraph", "flatPath": "v1/groups/{groupsId}/memberships:getMembershipGraph", "httpMethod": "GET", "parameters": { "query": { "location": "query", "description": "Required. A CEL expression that MUST include member specification AND label(s). Certain groups are uniquely identified by both a 'member_key_id' and a 'member_key_namespace', which requires an additional query input: 'member_key_namespace'. Example query: `member_key_id == 'member_key_id_value' && in labels`", "type": "string" }, "parent": { "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the group to search transitive memberships in. Format: `groups/{group}`, where `group` is the unique ID assigned to the Group to which the Membership belongs to. group can be a wildcard collection id \"-\". When a group is specified, the membership graph will be constrained to paths between the member (defined in the query) and the parent. If a wildcard collection is provided, all membership paths connected to the member will be returned.", "required": true, "type": "string", "location": "path", "pattern": "^groups/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Get a membership graph of just a member or both a member and a group. **Note:** This feature is only available to Google Workspace Enterprise Standard, Enterprise Plus, and Enterprise for Education; and Cloud Identity Premium accounts. If the account of the member is not one of these, a 403 (PERMISSION_DENIED) HTTP status code will be returned. Given a member, the response will contain all membership paths from the member. Given both a group and a member, the response will contain all membership paths between the group and the member." }, "modifyMembershipRoles": { "httpMethod": "POST", "parameterOrder": [ "name" ], "path": "v1/{+name}:modifyMembershipRoles", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/groups/{groupsId}/memberships/{membershipsId}:modifyMembershipRoles", "response": { "$ref": "ModifyMembershipRolesResponse" }, "description": "Modifies the `MembershipRole`s of a `Membership`.", "id": "cloudidentity.groups.memberships.modifyMembershipRoles", "request": { "$ref": "ModifyMembershipRolesRequest" }, "parameters": { "name": { "type": "string", "required": true, "pattern": "^groups/[^/]+/memberships/[^/]+$", "description": "Required. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Membership` whose roles are to be modified. Must be of the form `groups/{group}/memberships/{membership}`.", "location": "path" } } }, "create": { "request": { "$ref": "Membership" }, "parameters": { "parent": { "location": "path", "pattern": "^groups/[^/]+$", "type": "string", "required": true, "description": "Required. The parent `Group` resource under which to create the `Membership`. Must be of the form `groups/{group}`." } }, "path": "v1/{+parent}/memberships", "id": "cloudidentity.groups.memberships.create", "response": { "$ref": "Operation" }, "flatPath": "v1/groups/{groupsId}/memberships", "parameterOrder": [ "parent" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a `Membership`." }, "delete": { "response": { "$ref": "Operation" }, "flatPath": "v1/groups/{groupsId}/memberships/{membershipsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "path": "v1/{+name}", "description": "Deletes a `Membership`.", "id": "cloudidentity.groups.memberships.delete", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "type": "string", "pattern": "^groups/[^/]+/memberships/[^/]+$", "required": true, "description": "Required. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Membership` to delete. Must be of the form `groups/{group}/memberships/{membership}`" } } }, "searchTransitiveGroups": { "parameters": { "query": { "location": "query", "description": "Required. A CEL expression that MUST include member specification AND label(s). This is a `required` field. Users can search on label attributes of groups. CONTAINS match ('in') is supported on labels. Identity-mapped groups are uniquely identified by both a `member_key_id` and a `member_key_namespace`, which requires an additional query input: `member_key_namespace`. Example query: `member_key_id == 'member_key_id_value' && in labels`", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The default page size is 200 (max 1000)." }, "parent": { "location": "path", "pattern": "^groups/[^/]+$", "required": true, "description": "[Resource name](https://cloud.google.com/apis/design/resource_names) of the group to search transitive memberships in. Format: `groups/{group}`, where `group` is always '-' as this API will search across all groups for a given member.", "type": "string" }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous list request, if any.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "id": "cloudidentity.groups.memberships.searchTransitiveGroups", "httpMethod": "GET", "description": "Search transitive groups of a member. **Note:** This feature is only available to Google Workspace Enterprise Standard, Enterprise Plus, and Enterprise for Education; and Cloud Identity Premium accounts. If the account of the member is not one of these, a 403 (PERMISSION_DENIED) HTTP status code will be returned. A transitive group is any group that has a direct or indirect membership to the member. Actor must have view permissions all transitive groups.", "flatPath": "v1/groups/{groupsId}/memberships:searchTransitiveGroups", "path": "v1/{+parent}/memberships:searchTransitiveGroups", "response": { "$ref": "SearchTransitiveGroupsResponse" } }, "list": { "id": "cloudidentity.groups.memberships.list", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/memberships", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "description": "The `next_page_token` value returned from a previous search request, if any.", "type": "string", "location": "query" }, "view": { "enum": [ "VIEW_UNSPECIFIED", "BASIC", "FULL" ], "enumDescriptions": [ "Default. Should not be used.", "Only basic resource information is returned.", "All resource information is returned." ], "type": "string", "description": "The level of detail to be returned. If unspecified, defaults to `View.BASIC`.", "location": "query" }, "parent": { "pattern": "^groups/[^/]+$", "description": "Required. The parent `Group` resource under which to lookup the `Membership` name. Must be of the form `groups/{group}`.", "required": true, "location": "path", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of results to return. Note that the number of results returned may be less than this value even if there are more available results. To fetch all results, clients must continue calling this method repeatedly until the response no longer contains a `next_page_token`. If unspecified, defaults to 200 for `GroupView.BASIC` and to 50 for `GroupView.FULL`. Must not be greater than 1000 for `GroupView.BASIC` or 500 for `GroupView.FULL`.", "format": "int32" } }, "response": { "$ref": "ListMembershipsResponse" }, "description": "Lists the `Membership`s within a `Group`.", "flatPath": "v1/groups/{groupsId}/memberships", "httpMethod": "GET" }, "get": { "httpMethod": "GET", "id": "cloudidentity.groups.memberships.get", "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "Membership" }, "description": "Retrieves a `Membership`.", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/groups/{groupsId}/memberships/{membershipsId}", "parameters": { "name": { "type": "string", "description": "Required. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Membership` to retrieve. Must be of the form `groups/{group}/memberships/{membership}`.", "pattern": "^groups/[^/]+/memberships/[^/]+$", "location": "path", "required": true } } }, "checkTransitiveMembership": { "flatPath": "v1/groups/{groupsId}/memberships:checkTransitiveMembership", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/memberships:checkTransitiveMembership", "response": { "$ref": "CheckTransitiveMembershipResponse" }, "id": "cloudidentity.groups.memberships.checkTransitiveMembership", "description": "Check a potential member for membership in a group. **Note:** This feature is only available to Google Workspace Enterprise Standard, Enterprise Plus, and Enterprise for Education; and Cloud Identity Premium accounts. If the account of the member is not one of these, a 403 (PERMISSION_DENIED) HTTP status code will be returned. A member has membership to a group as long as there is a single viewable transitive membership between the group and the member. The actor must have view permissions to at least one transitive membership between the member and group.", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "pattern": "^groups/[^/]+$", "type": "string", "description": "[Resource name](https://cloud.google.com/apis/design/resource_names) of the group to check the transitive membership in. Format: `groups/{group}`, where `group` is the unique id assigned to the Group to which the Membership belongs to.", "required": true }, "query": { "location": "query", "description": "Required. A CEL expression that MUST include member specification. This is a `required` field. Certain groups are uniquely identified by both a 'member_key_id' and a 'member_key_namespace', which requires an additional query input: 'member_key_namespace'. Example query: `member_key_id == 'member_key_id_value'`", "type": "string" } }, "httpMethod": "GET" } } } } } }, "discoveryVersion": "v1", "title": "Cloud Identity API", "parameters": { "alt": { "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "default": "json" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "$.xgafv": { "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "enum": [ "1", "2" ], "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." } }, "fullyEncodeReservedExpansion": true, "ownerName": "Google", "mtlsRootUrl": "https://cloudidentity.mtls.googleapis.com/", "canonicalName": "Cloud Identity", "kind": "discovery#restDescription", "rootUrl": "https://cloudidentity.googleapis.com/", "name": "cloudidentity", "revision": "20220703", "version": "v1" }
]===]))
