local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "ownerName": "Google", "resources": { "groups": { "resources": { "memberships": { "methods": { "get": { "path": "v1beta1/{+name}", "httpMethod": "GET", "description": "Retrieves a `Membership`.", "id": "cloudidentity.groups.memberships.get", "flatPath": "v1beta1/groups/{groupsId}/memberships/{membershipsId}", "parameterOrder": [ "name" ], "response": { "$ref": "Membership" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^groups/[^/]+/memberships/[^/]+$", "required": true, "type": "string", "description": "Required. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Membership` to retrieve. Must be of the form `groups/{group_id}/memberships/{membership_id}`.", "location": "path" } } }, "lookup": { "parameters": { "memberKey.namespace": { "type": "string", "description": "The namespace in which the entity exists. If not specified, the `EntityKey` represents a Google-managed entity such as a Google user or a Google Group. If specified, the `EntityKey` represents an external-identity-mapped group. The namespace must correspond to an identity source created in Admin Console and must be in the form of `identitysources/{identity_source_id}`.", "location": "query" }, "parent": { "description": "Required. The parent `Group` resource under which to lookup the `Membership` name. Must be of the form `groups/{group_id}`.", "required": true, "type": "string", "location": "path", "pattern": "^groups/[^/]+$" }, "memberKey.id": { "type": "string", "description": "The ID of the entity. For Google-managed entities, the `id` must be the email address of an existing group or user. For external-identity-mapped entities, the `id` must be a string conforming to the Identity Source's requirements. Must be unique within a `namespace`.", "location": "query" } }, "description": "Looks up the [resource name](https://cloud.google.com/apis/design/resource_names) of a `Membership` by its `EntityKey`.", "response": { "$ref": "LookupMembershipNameResponse" }, "flatPath": "v1beta1/groups/{groupsId}/memberships:lookup", "httpMethod": "GET", "id": "cloudidentity.groups.memberships.lookup", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/memberships:lookup", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ] }, "getMembershipGraph": { "parameters": { "query": { "type": "string", "location": "query", "description": "Required. A CEL expression that MUST include member specification AND label(s). Certain groups are uniquely identified by both a 'member_key_id' and a 'member_key_namespace', which requires an additional query input: 'member_key_namespace'. Example query: `member_key_id == 'member_key_id_value' && in labels`" }, "parent": { "required": true, "pattern": "^groups/[^/]+$", "type": "string", "location": "path", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the group to search transitive memberships in. Format: `groups/{group_id}`, where `group_id` is the unique ID assigned to the Group to which the Membership belongs to. group_id can be a wildcard collection id \"-\". When a group_id is specified, the membership graph will be constrained to paths between the member (defined in the query) and the parent. If a wildcard collection is provided, all membership paths connected to the member will be returned." } }, "id": "cloudidentity.groups.memberships.getMembershipGraph", "description": "Get a membership graph of just a member or both a member and a group. **Note:** This feature is only available to Google Workspace Enterprise Standard, Enterprise Plus, and Enterprise for Education; and Cloud Identity Premium accounts. Given a member, the response will contain all membership paths from the member. Given both a group and a member, the response will contain all membership paths between the group and the member.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1beta1/groups/{groupsId}/memberships:getMembershipGraph", "path": "v1beta1/{+parent}/memberships:getMembershipGraph", "parameterOrder": [ "parent" ] }, "searchTransitiveGroups": { "flatPath": "v1beta1/groups/{groupsId}/memberships:searchTransitiveGroups", "description": "Search transitive groups of a member. **Note:** This feature is only available to Google Workspace Enterprise Standard, Enterprise Plus, and Enterprise for Education; and Cloud Identity Premium accounts. A transitive group is any group that has a direct or indirect membership to the member. Actor must have view permissions all transitive groups.", "id": "cloudidentity.groups.memberships.searchTransitiveGroups", "parameters": { "query": { "location": "query", "description": "Required. A CEL expression that MUST include member specification AND label(s). This is a `required` field. Users can search on label attributes of groups. CONTAINS match ('in') is supported on labels. Identity-mapped groups are uniquely identified by both a `member_key_id` and a `member_key_namespace`, which requires an additional query input: `member_key_namespace`. Example query: `member_key_id == 'member_key_id_value' && in labels`", "type": "string" }, "parent": { "description": "[Resource name](https://cloud.google.com/apis/design/resource_names) of the group to search transitive memberships in. Format: `groups/{group_id}`, where `group_id` is always '-' as this API will search across all groups for a given member.", "location": "path", "type": "string", "pattern": "^groups/[^/]+$", "required": true }, "pageSize": { "description": "The default page size is 200 (max 1000).", "type": "integer", "format": "int32", "location": "query" }, "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous list request, if any.", "location": "query" } }, "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/memberships:searchTransitiveGroups", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "SearchTransitiveGroupsResponse" }, "httpMethod": "GET" }, "list": { "response": { "$ref": "ListMembershipsResponse" }, "httpMethod": "GET", "description": "Lists the `Membership`s within a `Group`.", "id": "cloudidentity.groups.memberships.list", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "description": "Required. The parent `Group` resource under which to lookup the `Membership` name. Must be of the form `groups/{group_id}`.", "type": "string", "required": true, "location": "path", "pattern": "^groups/[^/]+$" }, "pageToken": { "type": "string", "description": "The `next_page_token` value returned from a previous search request, if any.", "location": "query" }, "view": { "location": "query", "enumDescriptions": [ "Default. Only basic resource information is returned.", "All resource information is returned." ], "enum": [ "BASIC", "FULL" ], "type": "string", "description": "The level of detail to be returned. If unspecified, defaults to `MembershipView.BASIC`." }, "pageSize": { "description": "The maximum number of results to return. Note that the number of results returned may be less than this value even if there are more available results. To fetch all results, clients must continue calling this method repeatedly until the response no longer contains a `next_page_token`. If unspecified, defaults to 200 for `GroupView.BASIC` and to 50 for `GroupView.FULL`. Must not be greater than 1000 for `GroupView.BASIC` or 500 for `GroupView.FULL`.", "type": "integer", "location": "query", "format": "int32" } }, "flatPath": "v1beta1/groups/{groupsId}/memberships", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/memberships" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/groups/{groupsId}/memberships", "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The parent `Group` resource under which to create the `Membership`. Must be of the form `groups/{group_id}`.", "pattern": "^groups/[^/]+$", "location": "path" } }, "id": "cloudidentity.groups.memberships.create", "description": "Creates a `Membership`.", "parameterOrder": [ "parent" ], "request": { "$ref": "Membership" }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "v1beta1/{+parent}/memberships" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "description": "Deletes a `Membership`.", "id": "cloudidentity.groups.memberships.delete", "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "flatPath": "v1beta1/groups/{groupsId}/memberships/{membershipsId}", "parameters": { "name": { "required": true, "pattern": "^groups/[^/]+/memberships/[^/]+$", "location": "path", "type": "string", "description": "Required. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Membership` to delete. Must be of the form `groups/{group_id}/memberships/{membership_id}`." } }, "parameterOrder": [ "name" ] }, "modifyMembershipRoles": { "parameterOrder": [ "name" ], "response": { "$ref": "ModifyMembershipRolesResponse" }, "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Membership` whose roles are to be modified. Must be of the form `groups/{group_id}/memberships/{membership_id}`.", "pattern": "^groups/[^/]+/memberships/[^/]+$" } }, "path": "v1beta1/{+name}:modifyMembershipRoles", "request": { "$ref": "ModifyMembershipRolesRequest" }, "id": "cloudidentity.groups.memberships.modifyMembershipRoles", "flatPath": "v1beta1/groups/{groupsId}/memberships/{membershipsId}:modifyMembershipRoles", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Modifies the `MembershipRole`s of a `Membership`." }, "searchTransitiveMemberships": { "id": "cloudidentity.groups.memberships.searchTransitiveMemberships", "path": "v1beta1/{+parent}/memberships:searchTransitiveMemberships", "description": "Search transitive memberships of a group. **Note:** This feature is only available to Google Workspace Enterprise Standard, Enterprise Plus, and Enterprise for Education; and Cloud Identity Premium accounts. A transitive membership is any direct or indirect membership of a group. Actor must have view permissions to all transitive memberships.", "httpMethod": "GET", "parameters": { "parent": { "description": "[Resource name](https://cloud.google.com/apis/design/resource_names) of the group to search transitive memberships in. Format: `groups/{group_id}`, where `group_id` is the unique ID assigned to the Group.", "pattern": "^groups/[^/]+$", "required": true, "type": "string", "location": "path" }, "pageSize": { "type": "integer", "description": "The default page size is 200 (max 1000).", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request, if any." } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "SearchTransitiveMembershipsResponse" }, "flatPath": "v1beta1/groups/{groupsId}/memberships:searchTransitiveMemberships" }, "checkTransitiveMembership": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "query": { "type": "string", "location": "query", "description": "Required. A CEL expression that MUST include member specification. This is a `required` field. Certain groups are uniquely identified by both a 'member_key_id' and a 'member_key_namespace', which requires an additional query input: 'member_key_namespace'. Example query: `member_key_id == 'member_key_id_value'`" }, "parent": { "type": "string", "required": true, "location": "path", "description": "[Resource name](https://cloud.google.com/apis/design/resource_names) of the group to check the transitive membership in. Format: `groups/{group_id}`, where `group_id` is the unique id assigned to the Group to which the Membership belongs to.", "pattern": "^groups/[^/]+$" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "CheckTransitiveMembershipResponse" }, "path": "v1beta1/{+parent}/memberships:checkTransitiveMembership", "id": "cloudidentity.groups.memberships.checkTransitiveMembership", "flatPath": "v1beta1/groups/{groupsId}/memberships:checkTransitiveMembership", "description": "Check a potential member for membership in a group. **Note:** This feature is only available to Google Workspace Enterprise Standard, Enterprise Plus, and Enterprise for Education; and Cloud Identity Premium accounts. A member has membership to a group as long as there is a single viewable transitive membership between the group and the member. The actor must have view permissions to at least one transitive membership between the member and group." } } } }, "methods": { "get": { "parameters": { "name": { "location": "path", "description": "Required. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Group` to retrieve. Must be of the form `groups/{group_id}`.", "type": "string", "pattern": "^groups/[^/]+$", "required": true } }, "httpMethod": "GET", "description": "Retrieves a `Group`.", "parameterOrder": [ "name" ], "flatPath": "v1beta1/groups/{groupsId}", "response": { "$ref": "Group" }, "id": "cloudidentity.groups.get", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}" }, "list": { "flatPath": "v1beta1/groups", "parameters": { "parent": { "location": "query", "description": "Required. The parent resource under which to list all `Group` resources. Must be of the form `identitysources/{identity_source_id}` for external- identity-mapped groups or `customers/{customer_id}` for Google Groups. The `customer_id` must begin with \"C\" (for example, 'C046psxkn').", "type": "string" }, "pageToken": { "description": "The `next_page_token` value returned from a previous list request, if any.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of results to return. Note that the number of results returned may be less than this value even if there are more available results. To fetch all results, clients must continue calling this method repeatedly until the response no longer contains a `next_page_token`. If unspecified, defaults to 200 for `View.BASIC` and to 50 for `View.FULL`. Must not be greater than 1000 for `View.BASIC` or 500 for `View.FULL`.", "format": "int32" }, "view": { "location": "query", "description": "The level of detail to be returned. If unspecified, defaults to `View.BASIC`.", "enum": [ "VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string", "enumDescriptions": [ "Default. Should not be used.", "Only basic resource information is returned.", "All resource information is returned." ] } }, "response": { "$ref": "ListGroupsResponse" }, "id": "cloudidentity.groups.list", "path": "v1beta1/groups", "parameterOrder": [], "description": "Lists the `Group` resources under a customer or namespace.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "description": "Updates a `Group`.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameters": { "updateMask": { "location": "query", "type": "string", "description": "Required. The names of fields to update. May only contain the following field names: `display_name`, `description`, `labels`, `dynamic_group_metadata`, `posix_groups`.", "format": "google-fieldmask" }, "name": { "location": "path", "required": true, "description": "Output only. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Group`. Shall be of the form `groups/{group_id}`.", "type": "string", "pattern": "^groups/[^/]+$" } }, "id": "cloudidentity.groups.patch", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "request": { "$ref": "Group" }, "flatPath": "v1beta1/groups/{groupsId}" }, "updateSecuritySettings": { "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/groups/{groupsId}/securitySettings", "description": "Update Security Settings", "parameters": { "name": { "location": "path", "description": "Output only. The resource name of the security settings. Shall be of the form `groups/{group_id}/securitySettings`.", "pattern": "^groups/[^/]+/securitySettings$", "type": "string", "required": true }, "updateMask": { "description": "Required. The fully-qualified names of fields to update. May only contain the following field: `member_restriction.query`.", "location": "query", "format": "google-fieldmask", "type": "string" } }, "path": "v1beta1/{+name}", "httpMethod": "PATCH", "id": "cloudidentity.groups.updateSecuritySettings", "request": { "$ref": "SecuritySettings" } }, "delete": { "path": "v1beta1/{+name}", "flatPath": "v1beta1/groups/{groupsId}", "id": "cloudidentity.groups.delete", "parameters": { "name": { "pattern": "^groups/[^/]+$", "description": "Required. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Group` to retrieve. Must be of the form `groups/{group_id}`.", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a `Group`.", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" } }, "create": { "parameters": { "initialGroupConfig": { "type": "string", "enumDescriptions": [ "Default. Should not be used.", "The end user making the request will be added as the initial owner of the `Group`.", "An empty group is created without any initial owners. This can only be used by admins of the domain." ], "enum": [ "INITIAL_GROUP_CONFIG_UNSPECIFIED", "WITH_INITIAL_OWNER", "EMPTY" ], "location": "query", "description": "Required. The initial configuration option for the `Group`." } }, "parameterOrder": [], "description": "Creates a `Group`.", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/groups", "id": "cloudidentity.groups.create", "path": "v1beta1/groups", "request": { "$ref": "Group" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "getSecuritySettings": { "path": "v1beta1/{+name}", "flatPath": "v1beta1/groups/{groupsId}/securitySettings", "description": "Get Security Settings", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "SecuritySettings" }, "parameters": { "readMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Field-level read mask of which fields to return. \"*\" returns all fields. If not specified, all fields will be returned. May only contain the following field: `member_restriction`." }, "name": { "type": "string", "location": "path", "required": true, "pattern": "^groups/[^/]+/securitySettings$", "description": "Required. The security settings to retrieve. Format: `groups/{group_id}/securitySettings`" } }, "id": "cloudidentity.groups.getSecuritySettings", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ] }, "lookup": { "parameters": { "groupKey.id": { "type": "string", "description": "The ID of the entity. For Google-managed entities, the `id` must be the email address of an existing group or user. For external-identity-mapped entities, the `id` must be a string conforming to the Identity Source's requirements. Must be unique within a `namespace`.", "location": "query" }, "groupKey.namespace": { "location": "query", "type": "string", "description": "The namespace in which the entity exists. If not specified, the `EntityKey` represents a Google-managed entity such as a Google user or a Google Group. If specified, the `EntityKey` represents an external-identity-mapped group. The namespace must correspond to an identity source created in Admin Console and must be in the form of `identitysources/{identity_source_id}`." } }, "parameterOrder": [], "description": "Looks up the [resource name](https://cloud.google.com/apis/design/resource_names) of a `Group` by its `EntityKey`.", "id": "cloudidentity.groups.lookup", "path": "v1beta1/groups:lookup", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/groups:lookup", "response": { "$ref": "LookupGroupNameResponse" }, "httpMethod": "GET" }, "search": { "description": "Searches for `Group` resources matching a specified query.", "parameters": { "pageToken": { "description": "The `next_page_token` value returned from a previous search request, if any.", "type": "string", "location": "query" }, "view": { "enumDescriptions": [ "Default. Only basic resource information is returned.", "All resource information is returned." ], "description": "The level of detail to be returned. If unspecified, defaults to `View.BASIC`.", "type": "string", "location": "query", "enum": [ "BASIC", "FULL" ] }, "query": { "description": "Required. The search query. Must be specified in [Common Expression Language](https://opensource.google/projects/cel). May only contain equality operators on the parent and inclusion operators on labels (e.g., `parent == 'customers/{customer_id}' && 'cloudidentity.googleapis.com/groups.discussion_forum' in labels`). The `customer_id` must begin with \"C\" (for example, 'C046psxkn').", "location": "query", "type": "string" }, "pageSize": { "description": "The maximum number of results to return. Note that the number of results returned may be less than this value even if there are more available results. To fetch all results, clients must continue calling this method repeatedly until the response no longer contains a `next_page_token`. If unspecified, defaults to 200 for `GroupView.BASIC` and to 50 for `GroupView.FULL`. Must not be greater than 1000 for `GroupView.BASIC` or 500 for `GroupView.FULL`.", "location": "query", "type": "integer", "format": "int32" } }, "flatPath": "v1beta1/groups:search", "parameterOrder": [], "httpMethod": "GET", "id": "cloudidentity.groups.search", "path": "v1beta1/groups:search", "response": { "$ref": "SearchGroupsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.groups", "https://www.googleapis.com/auth/cloud-identity.groups.readonly", "https://www.googleapis.com/auth/cloud-platform" ] } } }, "orgUnits": { "resources": { "memberships": { "methods": { "move": { "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. Immutable. The [resource name](https://cloud.google.com/apis/design/resource_names) of the OrgMembership. Format: orgUnits/{$orgUnitId}/memberships/{$membership} The `$orgUnitId` is the `orgUnitId` from the [Admin SDK `OrgUnit` resource](https://developers.google.com/admin-sdk/directory/reference/rest/v1/orgunits). To manage a Membership without specifying source `orgUnitId`, this API also supports the wildcard character '-' for `$orgUnitId` per https://google.aip.dev/159. The `$membership` shall be of the form `{$entityType};{$memberId}`, where `$entityType` is the enum value of OrgMembership.EntityType, and `memberId` is the `id` from [Drive API (V3) `Drive` resource](https://developers.google.com/drive/api/v3/reference/drives#resource) for OrgMembership.EntityType.SHARED_DRIVE.", "pattern": "^orgUnits/[^/]+/memberships/[^/]+$" } }, "httpMethod": "POST", "id": "cloudidentity.orgUnits.memberships.move", "path": "v1beta1/{+name}:move", "scopes": [ "https://www.googleapis.com/auth/cloud-identity" ], "request": { "$ref": "MoveOrgMembershipRequest" }, "description": "Move an OrgMembership to a new OrgUnit. NOTE: This is an atomic copy-and-delete. The resource will have a new copy under the destination OrgUnit and be deleted from the source OrgUnit. The resource can only be searched under the destination OrgUnit afterwards.", "flatPath": "v1beta1/orgUnits/{orgUnitsId}/memberships/{membershipsId}:move", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ] }, "list": { "id": "cloudidentity.orgUnits.memberships.list", "path": "v1beta1/{+parent}/memberships", "flatPath": "v1beta1/orgUnits/{orgUnitsId}/memberships", "description": "List OrgMembership resources in an OrgUnit treated as 'parent'. Parent format: orgUnits/{$orgUnitId} where `$orgUnitId` is the `orgUnitId` from the [Admin SDK `OrgUnit` resource](https://developers.google.com/admin-sdk/directory/reference/rest/v1/orgunits)", "parameterOrder": [ "parent" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-identity" ], "response": { "$ref": "ListOrgMembershipsResponse" }, "parameters": { "filter": { "description": "The search query. Must be specified in [Common Expression Language](https://opensource.google/projects/cel). May only contain equality operators on the `type` (e.g., `type == 'shared_drive'`).", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "description": "The maximum number of results to return. The service may return fewer than this value. If omitted (or defaulted to zero) the server will default to 50. The maximum allowed value is 100, though requests with page_size greater than that will be silently interpreted as 100.", "location": "query", "type": "integer" }, "customer": { "description": "Required. Immutable. Customer that this OrgMembership belongs to. All authorization will happen on the role assignments of this customer. Format: customers/{$customerId} where `$customerId` is the `id` from the [Admin SDK `Customer` resource](https://developers.google.com/admin-sdk/directory/reference/rest/v1/customers). You may also use `customers/my_customer` to specify your own organization.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "A page token, received from a previous `OrgMembershipsService.ListOrgMemberships` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListOrgMembershipsRequest` must match the call that provided the page token." }, "parent": { "description": "Required. Immutable. OrgUnit which is queried for a list of memberships. Format: orgUnits/{$orgUnitId} where `$orgUnitId` is the `orgUnitId` from the [Admin SDK `OrgUnit` resource](https://developers.google.com/admin-sdk/directory/reference/rest/v1/orgunits).", "pattern": "^orgUnits/[^/]+$", "type": "string", "required": true, "location": "path" } } } } } } }, "customers": { "resources": { "userinvitations": { "methods": { "cancel": { "request": { "$ref": "CancelUserInvitationRequest" }, "httpMethod": "POST", "parameters": { "name": { "pattern": "^customers/[^/]+/userinvitations/[^/]+$", "type": "string", "description": "Required. `UserInvitation` name in the format `customers/{customer}/userinvitations/{user_email_address}`", "required": true, "location": "path" } }, "description": "Cancels a UserInvitation that was already sent.", "path": "v1beta1/{+name}:cancel", "parameterOrder": [ "name" ], "flatPath": "v1beta1/customers/{customersId}/userinvitations/{userinvitationsId}:cancel", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.userinvitations" ], "id": "cloudidentity.customers.userinvitations.cancel" }, "isInvitableUser": { "httpMethod": "GET", "description": "Verifies whether a user account is eligible to receive a UserInvitation (is an unmanaged account). Eligibility is based on the following criteria: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the email address is a consumer account and it's the primary email address of the account, and LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the domain of the email address matches an existing verified Google Workspace or Cloud Identity domain If both conditions are met, the user is eligible. **Note:** This method is not supported for Workspace Essentials customers.", "id": "cloudidentity.customers.userinvitations.isInvitableUser", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.userinvitations", "https://www.googleapis.com/auth/cloud-identity.userinvitations.readonly" ], "flatPath": "v1beta1/customers/{customersId}/userinvitations/{userinvitationsId}:isInvitableUser", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^customers/[^/]+/userinvitations/[^/]+$", "location": "path", "type": "string", "description": "Required. `UserInvitation` name in the format `customers/{customer}/userinvitations/{user_email_address}`" } }, "response": { "$ref": "IsInvitableUserResponse" }, "path": "v1beta1/{+name}:isInvitableUser" }, "list": { "path": "v1beta1/{+parent}/userinvitations", "description": "Retrieves a list of UserInvitation resources. **Note:** New consumer accounts with the customer's verified domain created within the previous 48 hours will not appear in the result. This delay also applies to newly-verified domains.", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "type": "string", "description": "Optional. A page token, received from a previous `ListUserInvitations` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token.", "location": "query" }, "filter": { "type": "string", "description": "Optional. A query string for filtering `UserInvitation` results by their current state, in the format: `\"state=='invited'\"`.", "location": "query" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum number of UserInvitation resources to return. If unspecified, at most 100 resources will be returned. The maximum value is 200; values above 200 will be set to 200." }, "orderBy": { "description": "Optional. The sort order of the list results. You can sort the results in descending order based on either email or last update timestamp but not both, using `order_by=\"email desc\"`. Currently, sorting is supported for `update_time asc`, `update_time desc`, `email asc`, and `email desc`. If not specified, results will be returned based on `email asc` order.", "type": "string", "location": "query" }, "parent": { "pattern": "^customers/[^/]+$", "location": "path", "description": "Required. The customer ID of the Google Workspace or Cloud Identity account the UserInvitation resources are associated with.", "required": true, "type": "string" } }, "id": "cloudidentity.customers.userinvitations.list", "httpMethod": "GET", "response": { "$ref": "ListUserInvitationsResponse" }, "flatPath": "v1beta1/customers/{customersId}/userinvitations", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.userinvitations", "https://www.googleapis.com/auth/cloud-identity.userinvitations.readonly" ] }, "get": { "parameterOrder": [ "name" ], "flatPath": "v1beta1/customers/{customersId}/userinvitations/{userinvitationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.userinvitations", "https://www.googleapis.com/auth/cloud-identity.userinvitations.readonly" ], "id": "cloudidentity.customers.userinvitations.get", "description": "Retrieves a UserInvitation resource. **Note:** New consumer accounts with the customer's verified domain created within the previous 48 hours will not appear in the result. This delay also applies to newly-verified domains.", "response": { "$ref": "UserInvitation" }, "httpMethod": "GET", "parameters": { "name": { "type": "string", "description": "Required. `UserInvitation` name in the format `customers/{customer}/userinvitations/{user_email_address}`", "required": true, "location": "path", "pattern": "^customers/[^/]+/userinvitations/[^/]+$" } }, "path": "v1beta1/{+name}" }, "send": { "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}:send", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.userinvitations" ], "description": "Sends a UserInvitation to email. If the `UserInvitation` does not exist for this request and it is a valid request, the request creates a `UserInvitation`. **Note:** The `get` and `list` methods have a 48-hour delay where newly-created consumer accounts will not appear in the results. You can still send a `UserInvitation` to those accounts if you know the unmanaged email address and IsInvitableUser==True.", "flatPath": "v1beta1/customers/{customersId}/userinvitations/{userinvitationsId}:send", "httpMethod": "POST", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. `UserInvitation` name in the format `customers/{customer}/userinvitations/{user_email_address}`", "pattern": "^customers/[^/]+/userinvitations/[^/]+$" } }, "request": { "$ref": "SendUserInvitationRequest" }, "parameterOrder": [ "name" ], "id": "cloudidentity.customers.userinvitations.send" } } } } }, "devices": { "methods": { "delete": { "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "httpMethod": "DELETE", "parameterOrder": [ "name" ], "flatPath": "v1beta1/devices/{devicesId}", "id": "cloudidentity.devices.delete", "response": { "$ref": "Operation" }, "description": "Deletes the specified device.", "parameters": { "name": { "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}`, where device_id is the unique ID assigned to the Device.", "location": "path", "type": "string", "pattern": "^devices/[^/]+$", "required": true } } }, "create": { "parameterOrder": [], "request": { "$ref": "CreateDeviceRequest" }, "httpMethod": "POST", "id": "cloudidentity.devices.create", "description": "Creates a device. Only company-owned device may be created. **Note**: This method is available only to customers who have one of the following SKUs: Enterprise Standard, Enterprise Plus, Enterprise for Education, and Cloud Identity Premium", "flatPath": "v1beta1/devices", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "parameters": {}, "path": "v1beta1/devices", "response": { "$ref": "Operation" } }, "get": { "parameters": { "name": { "required": true, "type": "string", "pattern": "^devices/[^/]+$", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}`, where device_id is the unique ID assigned to the Device.", "location": "path" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ], "parameterOrder": [ "name" ], "flatPath": "v1beta1/devices/{devicesId}", "id": "cloudidentity.devices.get", "response": { "$ref": "Device" }, "path": "v1beta1/{+name}", "description": "Retrieves the specified device." }, "cancelWipe": { "path": "v1beta1/{+name}:cancelWipe", "httpMethod": "POST", "request": { "$ref": "CancelWipeDeviceRequest" }, "parameters": { "name": { "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}`, where device_id is the unique ID assigned to the Device.", "type": "string", "pattern": "^devices/[^/]+$", "location": "path", "required": true } }, "parameterOrder": [ "name" ], "id": "cloudidentity.devices.cancelWipe", "response": { "$ref": "Operation" }, "description": "Cancels an unfinished device wipe. This operation can be used to cancel device wipe in the gap between the wipe operation returning success and the device being wiped.", "flatPath": "v1beta1/devices/{devicesId}:cancelWipe", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ] }, "wipe": { "description": "Wipes all data on the specified device.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "parameterOrder": [ "name" ], "flatPath": "v1beta1/devices/{devicesId}:wipe", "path": "v1beta1/{+name}:wipe", "id": "cloudidentity.devices.wipe", "request": { "$ref": "WipeDeviceRequest" }, "parameters": { "name": { "location": "path", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}/deviceUsers/{device_user_id}`, where device_id is the unique ID assigned to the Device, and device_user_id is the unique ID assigned to the User.", "type": "string", "pattern": "^devices/[^/]+$", "required": true } }, "httpMethod": "POST" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ], "id": "cloudidentity.devices.list", "parameterOrder": [], "parameters": { "orderBy": { "type": "string", "description": "Optional. Order specification for devices in the response. Only one of the following field names may be used to specify the order: `create_time`, `last_sync_time`, `model`, `os_version`, `device_type` and `serial_number`. `desc` may be specified optionally to specify results to be sorted in descending order. Default order is ascending.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Optional. Additional restrictions when fetching list of devices. For a list of search fields, refer to [Mobile device search fields](https://developers.google.com/admin-sdk/directory/v1/search-operators). Multiple search fields are separated by the space character." }, "pageSize": { "format": "int32", "description": "Optional. The maximum number of Devices to return. If unspecified, at most 20 Devices will be returned. The maximum value is 100; values above 100 will be coerced to 100.", "type": "integer", "location": "query" }, "view": { "type": "string", "description": "Optional. The view to use for the List request.", "location": "query", "enumDescriptions": [ "Default value. The value is unused.", "This view contains all devices imported by the company admin. Each device in the response contains all information specified by the company admin when importing the device (i.e. asset tags).", "This view contains all devices with at least one user registered on the device. Each device in the response contains all device information, except for asset tags." ], "enum": [ "VIEW_UNSPECIFIED", "COMPANY_INVENTORY", "USER_ASSIGNED_DEVICES" ] }, "pageToken": { "location": "query", "description": "Optional. A page token, received from a previous `ListDevices` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDevices` must match the call that provided the page token.", "type": "string" } }, "path": "v1beta1/devices", "flatPath": "v1beta1/devices", "response": { "$ref": "ListDevicesResponse" }, "description": "Lists/Searches devices.", "httpMethod": "GET" } }, "resources": { "deviceUsers": { "methods": { "block": { "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "description": "Blocks device from accessing user data", "path": "v1beta1/{+name}:block", "parameters": { "name": { "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "type": "string", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}/deviceUsers/{device_user_id}`, where device_id is the unique ID assigned to the Device, and device_user_id is the unique ID assigned to the User.", "location": "path", "required": true } }, "flatPath": "v1beta1/devices/{devicesId}/deviceUsers/{deviceUsersId}:block", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "request": { "$ref": "BlockDeviceUserRequest" }, "id": "cloudidentity.devices.deviceUsers.block" }, "approve": { "path": "v1beta1/{+name}:approve", "flatPath": "v1beta1/devices/{devicesId}/deviceUsers/{deviceUsersId}:approve", "parameterOrder": [ "name" ], "description": "Approves device to access user data.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "httpMethod": "POST", "id": "cloudidentity.devices.deviceUsers.approve", "request": { "$ref": "ApproveDeviceUserRequest" }, "parameters": { "name": { "required": true, "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}/deviceUsers/{device_user_id}`, where device_id is the unique ID assigned to the Device, and device_user_id is the unique ID assigned to the User.", "location": "path", "type": "string" } } }, "lookup": { "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of DeviceUsers to return. If unspecified, at most 20 DeviceUsers will be returned. The maximum value is 20; values above 20 will be coerced to 20." }, "parent": { "location": "path", "required": true, "pattern": "^devices/[^/]+/deviceUsers$", "type": "string", "description": "Must be set to \"devices/-/deviceUsers\" to search across all DeviceUser belonging to the user." }, "pageToken": { "location": "query", "type": "string", "description": "A page token, received from a previous `LookupDeviceUsers` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `LookupDeviceUsers` must match the call that provided the page token." }, "androidId": { "location": "query", "description": "Android Id returned by [Settings.Secure#ANDROID_ID](https://developer.android.com/reference/android/provider/Settings.Secure.html#ANDROID_ID).", "type": "string" }, "rawResourceId": { "type": "string", "location": "query", "description": "Raw Resource Id used by Google Endpoint Verification. If the user is enrolled into Google Endpoint Verification, this id will be saved as the 'device_resource_id' field in the following platform dependent files. Mac: ~/.secureConnect/context_aware_config.json Windows: C:\\Users\\%USERPROFILE%\\.secureConnect\\context_aware_config.json Linux: ~/.secureConnect/context_aware_config.json" }, "userId": { "location": "query", "description": "The user whose DeviceUser's resource name will be fetched. Must be set to 'me' to fetch the DeviceUser's resource name for the calling user.", "type": "string" } }, "httpMethod": "GET", "response": { "$ref": "LookupSelfDeviceUsersResponse" }, "flatPath": "v1beta1/devices/{devicesId}/deviceUsers:lookup", "description": "Looks up resource names of the DeviceUsers associated with the caller's credentials, as well as the properties provided in the request. This method must be called with end-user credentials with the scope: https://www.googleapis.com/auth/cloud-identity.devices.lookup If multiple properties are provided, only DeviceUsers having all of these properties are considered as matches - i.e. the query behaves like an AND. Different platforms require different amounts of information from the caller to ensure that the DeviceUser is uniquely identified. - iOS: No properties need to be passed, the caller's credentials are sufficient to identify the corresponding DeviceUser. - Android: Specifying the 'android_id' field is required. - Desktop: Specifying the 'raw_resource_id' field is required.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-identity.devices.lookup" ], "id": "cloudidentity.devices.deviceUsers.lookup", "path": "v1beta1/{+parent}:lookup" }, "delete": { "parameterOrder": [ "name" ], "id": "cloudidentity.devices.deviceUsers.delete", "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "parameters": { "name": { "type": "string", "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "required": true, "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}/deviceUsers/{device_user_id}`, where device_id is the unique ID assigned to the Device, and device_user_id is the unique ID assigned to the User.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "description": "Deletes the specified DeviceUser. This also revokes the user's access to device data.", "path": "v1beta1/{+name}", "flatPath": "v1beta1/devices/{devicesId}/deviceUsers/{deviceUsersId}" }, "wipe": { "parameterOrder": [ "name" ], "request": { "$ref": "WipeDeviceUserRequest" }, "parameters": { "name": { "location": "path", "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "type": "string", "required": true, "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}/deviceUsers/{device_user_id}`, where device_id is the unique ID assigned to the Device, and device_user_id is the unique ID assigned to the User." } }, "path": "v1beta1/{+name}:wipe", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "id": "cloudidentity.devices.deviceUsers.wipe", "response": { "$ref": "Operation" }, "description": "Wipes the user's account on a device.", "flatPath": "v1beta1/devices/{devicesId}/deviceUsers/{deviceUsersId}:wipe" }, "get": { "id": "cloudidentity.devices.deviceUsers.get", "parameters": { "name": { "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "required": true, "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}/deviceUsers/{device_user_id}`, where device_id is the unique ID assigned to the Device, and device_user_id is the unique ID assigned to the User.", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ], "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1beta1/devices/{devicesId}/deviceUsers/{deviceUsersId}", "httpMethod": "GET", "response": { "$ref": "DeviceUser" }, "description": "Retrieves the specified DeviceUser" }, "list": { "path": "v1beta1/{+parent}/deviceUsers", "flatPath": "v1beta1/devices/{devicesId}/deviceUsers", "response": { "$ref": "ListDeviceUsersResponse" }, "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "Optional. The maximum number of DeviceUsers to return. If unspecified, at most 5 DeviceUsers will be returned. The maximum value is 20; values above 20 will be coerced to 20.", "location": "query" }, "pageToken": { "description": "Optional. A page token, received from a previous `ListDeviceUsers` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Optional. Order specification for devices in the response." }, "parent": { "type": "string", "location": "path", "description": "Required. To list all DeviceUsers, set this to \"devices/-\". To list all DeviceUsers owned by a device, set this to the resource name of the device. Format: devices/{device}", "pattern": "^devices/[^/]+$", "required": true }, "filter": { "location": "query", "description": "Optional. Additional restrictions when fetching list of devices. For a list of search fields, refer to [Mobile device search fields](https://developers.google.com/admin-sdk/directory/v1/search-operators). Multiple search fields are separated by the space character.", "type": "string" } }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "description": "Lists/Searches DeviceUsers.", "id": "cloudidentity.devices.deviceUsers.list", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ] }, "cancelWipe": { "description": "Cancels an unfinished user account wipe. This operation can be used to cancel device wipe in the gap between the wipe operation returning success and the device being wiped.", "parameters": { "name": { "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}/deviceUsers/{device_user_id}`, where device_id is the unique ID assigned to the Device, and device_user_id is the unique ID assigned to the User.", "pattern": "^devices/[^/]+/deviceUsers/[^/]+$", "location": "path", "type": "string", "required": true } }, "request": { "$ref": "CancelWipeDeviceUserRequest" }, "httpMethod": "POST", "path": "v1beta1/{+name}:cancelWipe", "response": { "$ref": "Operation" }, "id": "cloudidentity.devices.deviceUsers.cancelWipe", "flatPath": "v1beta1/devices/{devicesId}/deviceUsers/{deviceUsersId}:cancelWipe", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ] } }, "resources": { "clientStates": { "methods": { "patch": { "response": { "$ref": "Operation" }, "flatPath": "v1beta1/devices/{devicesId}/deviceUsers/{deviceUsersId}/clientStates/{clientStatesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices" ], "httpMethod": "PATCH", "parameterOrder": [ "name" ], "request": { "$ref": "ClientState" }, "path": "v1beta1/{+name}", "parameters": { "updateMask": { "location": "query", "type": "string", "description": "Optional. Comma-separated list of fully qualified names of fields to be updated. If not specified, all updatable fields in ClientState are updated.", "format": "google-fieldmask" }, "name": { "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the ClientState in format: `devices/{device_id}/deviceUsers/{device_user_id}/clientState/{partner_id}`, where partner_id corresponds to the partner storing the data.", "type": "string", "location": "path", "required": true, "pattern": "^devices/[^/]+/deviceUsers/[^/]+/clientStates/[^/]+$" }, "customer": { "type": "string", "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer_id}`, where customer_id is the customer to whom the device belongs.", "location": "query" } }, "description": "Updates the client state for the device user **Note**: This method is available only to customers who have one of the following SKUs: Enterprise Standard, Enterprise Plus, Enterprise for Education, and Cloud Identity Premium", "id": "cloudidentity.devices.deviceUsers.clientStates.patch" }, "get": { "path": "v1beta1/{+name}", "flatPath": "v1beta1/devices/{devicesId}/deviceUsers/{deviceUsersId}/clientStates/{clientStatesId}", "httpMethod": "GET", "id": "cloudidentity.devices.deviceUsers.clientStates.get", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the ClientState in format: `devices/{device_id}/deviceUsers/{device_user_id}/clientStates/{partner_id}`, where `device_id` is the unique ID assigned to the Device, `device_user_id` is the unique ID assigned to the User and `partner_id` identifies the partner storing the data. To get the client state for devices belonging to your own organization, the `partnerId` is in the format: `customerId-*anystring*`. Where the `customerId` is your organization's customer ID and `anystring` is any suffix. This suffix is used in setting up Custom Access Levels in Context-Aware Access. You may use `my_customer` instead of the customer ID for devices managed by your own organization. You may specify `-` in place of the `{device_id}`, so the ClientState resource name can be: `devices/-/deviceUsers/{device_user_resource_id}/clientStates/{partner_id}`.", "pattern": "^devices/[^/]+/deviceUsers/[^/]+/clientStates/[^/]+$" }, "customer": { "description": "Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer_id}`, where customer_id is the customer to whom the device belongs.", "location": "query", "type": "string" } }, "response": { "$ref": "ClientState" }, "description": "Gets the client state for the device user", "scopes": [ "https://www.googleapis.com/auth/cloud-identity", "https://www.googleapis.com/auth/cloud-identity.devices", "https://www.googleapis.com/auth/cloud-identity.devices.readonly" ] } } } } } } } }, "servicePath": "", "mtlsRootUrl": "https://cloudidentity.mtls.googleapis.com/", "id": "cloudidentity:v1beta1", "discoveryVersion": "v1", "canonicalName": "Cloud Identity", "revision": "20220703", "ownerDomain": "google.com", "rootUrl": "https://cloudidentity.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-identity.userinvitations.readonly": { "description": "See, send, or cancel any Cloud Identity UserInvitations to join your organization to users" }, "https://www.googleapis.com/auth/cloud-identity.devices.lookup": { "description": "See your device details" }, "https://www.googleapis.com/auth/cloud-identity.groups": { "description": "See, change, create, and delete any of the Cloud Identity Groups that you can access, including the members of each group" }, "https://www.googleapis.com/auth/cloud-identity": { "description": "Private Service: https://www.googleapis.com/auth/cloud-identity" }, "https://www.googleapis.com/auth/cloud-identity.userinvitations": { "description": "See, send, or cancel any Cloud Identity UserInvitations to join your organization to users" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-identity.devices": { "description": "Private Service: https://www.googleapis.com/auth/cloud-identity.devices" }, "https://www.googleapis.com/auth/cloud-identity.devices.readonly": { "description": "Private Service: https://www.googleapis.com/auth/cloud-identity.devices.readonly" }, "https://www.googleapis.com/auth/cloud-identity.groups.readonly": { "description": "See any Cloud Identity Groups that you can access, including group members and their emails" } } } }, "protocol": "rest", "schemas": { "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserResponse": { "properties": { "deviceUser": { "$ref": "GoogleAppsCloudidentityDevicesV1DeviceUser", "description": "Resultant DeviceUser object for the action." } }, "type": "object", "description": "Response message for approving the device to access user data.", "id": "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserResponse" }, "TransitiveMembershipRole": { "type": "object", "id": "TransitiveMembershipRole", "description": "Message representing the role of a TransitiveMembership.", "properties": { "role": { "type": "string", "description": "TransitiveMembershipRole in string format. Currently supported TransitiveMembershipRoles: `\"MEMBER\"`, `\"OWNER\"`, and `\"MANAGER\"`." } } }, "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceMetadata": { "properties": {}, "description": "Metadata for CancelWipeDevice LRO.", "id": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceMetadata", "type": "object" }, "ListGroupsResponse": { "description": "The response message for GroupsService.ListGroups.", "id": "ListGroupsResponse", "type": "object", "properties": { "groups": { "description": "The `Group` resources under the specified `parent`.", "items": { "$ref": "Group" }, "type": "array" }, "nextPageToken": { "description": "A continuation token to retrieve the next page of results, or empty if there are no more results available.", "type": "string" } } }, "GoogleAppsCloudidentityDevicesV1ListEndpointAppsMetadata": { "description": "Metadata for ListEndpointApps LRO.", "properties": {}, "id": "GoogleAppsCloudidentityDevicesV1ListEndpointAppsMetadata", "type": "object" }, "CancelWipeDeviceUserResponse": { "description": "Response message for cancelling an unfinished user account wipe.", "id": "CancelWipeDeviceUserResponse", "properties": { "deviceUser": { "description": "Resultant DeviceUser object for the action.", "$ref": "DeviceUser" } }, "type": "object" }, "ListClientStatesResponse": { "description": "Response message that is returned in LRO result of ListClientStates Operation.", "type": "object", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results. Empty if there are no more results.", "type": "string" }, "clientStates": { "description": "Client states meeting the list restrictions.", "items": { "$ref": "ClientState" }, "type": "array" } }, "id": "ListClientStatesResponse" }, "Operation": { "id": "Operation", "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" } } }, "WipeDeviceUserRequest": { "id": "WipeDeviceUserRequest", "properties": {}, "type": "object", "description": "Request message for starting an account wipe on device." }, "OrgMembership": { "description": "A membership in an OrgUnit. An `OrgMembership` defines a relationship between an `OrgUnit` and an entity belonging to that `OrgUnit`, referred to as a \"member\".", "type": "object", "properties": { "type": { "type": "string", "enum": [ "ENTITY_TYPE_UNSPECIFIED", "SHARED_DRIVE" ], "description": "Immutable. Entity type for the org member.", "enumDescriptions": [ "Equivalent to no resource type mentioned", "Shared drive as resource type" ] }, "name": { "type": "string", "description": "Required. Immutable. The [resource name](https://cloud.google.com/apis/design/resource_names) of the OrgMembership. Format: orgUnits/{$orgUnitId}/memberships/{$membership} The `$orgUnitId` is the `orgUnitId` from the [Admin SDK `OrgUnit` resource](https://developers.google.com/admin-sdk/directory/reference/rest/v1/orgunits). The `$membership` shall be of the form `{$entityType};{$memberId}`, where `$entityType` is the enum value of [OrgMembership.EntityType], and `memberId` is the `id` from [Drive API (V3) `Drive` resource](https://developers.google.com/drive/api/v3/reference/drives#resource) for OrgMembership.EntityType.SHARED_DRIVE." }, "memberUri": { "type": "string", "description": "Uri with which you can read the member. This follows https://aip.dev/122 Format for shared drive resource: https://drive.googleapis.com/drive/v3/drives/{$memberId} where `$memberId` is the `id` from [Drive API (V3) `Drive` resource](https://developers.google.com/drive/api/v3/reference/drives#resource)." }, "member": { "type": "string", "description": "Immutable. Org member id as full resource name. Format for shared drive resource: //drive.googleapis.com/drives/{$memberId} where `$memberId` is the `id` from [Drive API (V3) `Drive` resource](https://developers.google.com/drive/api/v3/reference/drives#resource)." } }, "id": "OrgMembership" }, "GoogleAppsCloudidentityDevicesV1CreateDeviceMetadata": { "type": "object", "description": "Metadata for CreateDevice LRO.", "properties": {}, "id": "GoogleAppsCloudidentityDevicesV1CreateDeviceMetadata" }, "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserMetadata": { "description": "Metadata for CancelWipeDeviceUser LRO.", "id": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserMetadata", "properties": {}, "type": "object" }, "GoogleAppsCloudidentityDevicesV1WipeDeviceUserMetadata": { "properties": {}, "type": "object", "id": "GoogleAppsCloudidentityDevicesV1WipeDeviceUserMetadata", "description": "Metadata for WipeDeviceUser LRO." }, "GoogleAppsCloudidentityDevicesV1WipeDeviceUserResponse": { "properties": { "deviceUser": { "$ref": "GoogleAppsCloudidentityDevicesV1DeviceUser", "description": "Resultant DeviceUser object for the action." } }, "id": "GoogleAppsCloudidentityDevicesV1WipeDeviceUserResponse", "description": "Response message for wiping the user's account from the device.", "type": "object" }, "MoveOrgMembershipRequest": { "id": "MoveOrgMembershipRequest", "properties": { "customer": { "type": "string", "description": "Required. Immutable. Customer on whose membership change is made. All authorization will happen on the role assignments of this customer. Format: customers/{$customerId} where `$customerId` is the `id` from the [Admin SDK `Customer` resource](https://developers.google.com/admin-sdk/directory/reference/rest/v1/customers). You may also use `customers/my_customer` to specify your own organization." }, "destinationOrgUnit": { "description": "Required. Immutable. OrgUnit where the membership will be moved to. Format: orgUnits/{$orgUnitId} where `$orgUnitId` is the `orgUnitId` from the [Admin SDK `OrgUnit` resource](https://developers.google.com/admin-sdk/directory/reference/rest/v1/orgunits).", "type": "string" } }, "type": "object", "description": "The request message for OrgMembershipsService.MoveOrgMembership." }, "GroupRelation": { "id": "GroupRelation", "properties": { "roles": { "type": "array", "items": { "$ref": "TransitiveMembershipRole" }, "description": "Membership roles of the member for the group." }, "groupKey": { "$ref": "EntityKey", "description": "Entity key has an id and a namespace. In case of discussion forums, the id will be an email address without a namespace." }, "relationType": { "enum": [ "RELATION_TYPE_UNSPECIFIED", "DIRECT", "INDIRECT", "DIRECT_AND_INDIRECT" ], "enumDescriptions": [ "The relation type is undefined or undetermined.", "The two entities have only a direct membership with each other.", "The two entities have only an indirect membership with each other.", "The two entities have both a direct and an indirect membership with each other." ], "description": "The relation between the member and the transitive group.", "type": "string" }, "displayName": { "description": "Display name for this group.", "type": "string" }, "group": { "type": "string", "description": "Resource name for this group." }, "labels": { "description": "Labels for Group resource.", "additionalProperties": { "type": "string" }, "type": "object" } }, "type": "object", "description": "Message representing a transitive group of a user or a group." }, "MemberRestriction": { "properties": { "evaluation": { "$ref": "RestrictionEvaluation", "description": "The evaluated state of this restriction on a group." }, "query": { "description": "Member Restriction as defined by CEL expression. Supported restrictions are: `member.customer_id` and `member.type`. Valid values for `member.type` are `1`, `2` and `3`. They correspond to USER, SERVICE_ACCOUNT, and GROUP respectively. The value for `member.customer_id` only supports `groupCustomerId()` currently which means the customer id of the group will be used for restriction. Supported operators are `&&`, `||` and `==`, corresponding to AND, OR, and EQUAL. Examples: Allow only service accounts of given customer to be members. `member.type == 2 && member.customer_id == groupCustomerId()` Allow only users or groups to be members. `member.type == 1 || member.type == 3`", "type": "string" } }, "description": "The definition of MemberRestriction", "id": "MemberRestriction", "type": "object" }, "GoogleAppsCloudidentityDevicesV1Device": { "description": " A Device within the Cloud Identity Devices API. Represents a Device known to Google Cloud, independent of the device ownership, type, and whether it is assigned or in use by a user.", "type": "object", "id": "GoogleAppsCloudidentityDevicesV1Device", "properties": { "managementState": { "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "Device is approved.", "Device is blocked.", "Device is pending approval.", "The device is not provisioned. Device will start from this state until some action is taken (i.e. a user starts using the device).", "Data and settings on the device are being removed.", "All data and settings on the device are removed." ], "readOnly": true, "enum": [ "MANAGEMENT_STATE_UNSPECIFIED", "APPROVED", "BLOCKED", "PENDING", "UNPROVISIONED", "WIPING", "WIPED" ], "description": "Output only. Management state of the device" }, "meid": { "readOnly": true, "type": "string", "description": "Output only. MEID number of device if CDMA device; empty otherwise." }, "bootloaderVersion": { "readOnly": true, "type": "string", "description": "Output only. Device bootloader version. Example: 0.6.7." }, "name": { "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}`, where device is the unique id assigned to the Device.", "type": "string", "readOnly": true }, "releaseVersion": { "readOnly": true, "description": "Output only. OS release version. Example: 6.0.", "type": "string" }, "ownerType": { "readOnly": true, "enumDescriptions": [ "Default value. The value is unused.", "Company owns the device.", "Bring Your Own Device (i.e. individual owns the device)" ], "description": "Output only. Whether the device is owned by the company or an individual", "type": "string", "enum": [ "DEVICE_OWNERSHIP_UNSPECIFIED", "COMPANY", "BYOD" ] }, "otherAccounts": { "items": { "type": "string" }, "description": "Output only. Domain name for Google accounts on device. Type for other accounts on device. On Android, will only be populated if |ownership_privilege| is |PROFILE_OWNER| or |DEVICE_OWNER|. Does not include the account signed in to the device policy app if that account's domain has only one account. Examples: \"com.example\", \"xyz.com\".", "readOnly": true, "type": "array" }, "model": { "type": "string", "readOnly": true, "description": "Output only. Model name of device. Example: Pixel 3." }, "serialNumber": { "description": "Serial Number of device. Example: HT82V1A01076.", "type": "string" }, "kernelVersion": { "readOnly": true, "type": "string", "description": "Output only. Kernel version of the device." }, "deviceType": { "readOnly": true, "enumDescriptions": [ "Unknown device type", "Device is an Android device", "Device is an iOS device", "Device is a Google Sync device.", "Device is a Windows device.", "Device is a MacOS device.", "Device is a Linux device.", "Device is a ChromeOS device." ], "enum": [ "DEVICE_TYPE_UNSPECIFIED", "ANDROID", "IOS", "GOOGLE_SYNC", "WINDOWS", "MAC_OS", "LINUX", "CHROME_OS" ], "description": "Output only. Type of device.", "type": "string" }, "enabledUsbDebugging": { "description": "Output only. Whether USB debugging is enabled on device.", "readOnly": true, "type": "boolean" }, "lastSyncTime": { "format": "google-datetime", "type": "string", "description": "Most recent time when device synced with this service." }, "securityPatchTime": { "description": "Output only. OS security patch update time on device.", "format": "google-datetime", "type": "string", "readOnly": true }, "osVersion": { "readOnly": true, "description": "Output only. OS version of the device. Example: Android 8.1.0.", "type": "string" }, "enabledDeveloperOptions": { "description": "Output only. Whether developer options is enabled on device.", "readOnly": true, "type": "boolean" }, "basebandVersion": { "type": "string", "description": "Output only. Baseband version of the device.", "readOnly": true }, "compromisedState": { "type": "string", "enumDescriptions": [ "Default value.", "The device is compromised (currently, this means Android device is rooted).", "The device is safe (currently, this means Android device is unrooted)." ], "enum": [ "COMPROMISED_STATE_UNSPECIFIED", "COMPROMISED", "UNCOMPROMISED" ], "description": "Output only. Represents whether the Device is compromised.", "readOnly": true }, "networkOperator": { "type": "string", "description": "Output only. Mobile or network operator of device, if available.", "readOnly": true }, "assetTag": { "description": "Asset tag of the device.", "type": "string" }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. When the Company-Owned device was imported. This field is empty for BYOD devices.", "type": "string" }, "manufacturer": { "description": "Output only. Device manufacturer. Example: Motorola.", "readOnly": true, "type": "string" }, "deviceId": { "type": "string", "description": "Unique identifier for the device." }, "encryptionState": { "readOnly": true, "enum": [ "ENCRYPTION_STATE_UNSPECIFIED", "UNSUPPORTED_BY_DEVICE", "ENCRYPTED", "NOT_ENCRYPTED" ], "description": "Output only. Device encryption state.", "type": "string", "enumDescriptions": [ "Encryption Status is not set.", "Device doesn't support encryption.", "Device is encrypted.", "Device is not encrypted." ] }, "brand": { "description": "Output only. Device brand. Example: Samsung.", "type": "string", "readOnly": true }, "imei": { "type": "string", "readOnly": true, "description": "Output only. IMEI number of device if GSM device; empty otherwise." }, "androidSpecificAttributes": { "$ref": "GoogleAppsCloudidentityDevicesV1AndroidAttributes", "description": "Output only. Attributes specific to Android devices.", "readOnly": true }, "wifiMacAddresses": { "description": "WiFi MAC addresses of device.", "items": { "type": "string" }, "type": "array" }, "buildNumber": { "readOnly": true, "description": "Output only. Build number of the device.", "type": "string" } } }, "IsInvitableUserResponse": { "properties": { "isInvitableUser": { "description": "Returns true if the email address is invitable.", "type": "boolean" } }, "type": "object", "description": "Response for IsInvitableUser RPC.", "id": "IsInvitableUserResponse" }, "GoogleAppsCloudidentityDevicesV1DeleteDeviceMetadata": { "type": "object", "properties": {}, "id": "GoogleAppsCloudidentityDevicesV1DeleteDeviceMetadata", "description": "Metadata for DeleteDevice LRO." }, "SendUserInvitationRequest": { "id": "SendUserInvitationRequest", "type": "object", "description": "A request to send email for inviting target user corresponding to the UserInvitation.", "properties": {} }, "MembershipAdjacencyList": { "description": "Membership graph's path information as an adjacency list.", "id": "MembershipAdjacencyList", "type": "object", "properties": { "edges": { "items": { "$ref": "Membership" }, "type": "array", "description": "Each edge contains information about the member that belongs to this group. Note: Fields returned here will help identify the specific Membership resource (e.g name, preferred_member_key and role), but may not be a comprehensive list of all fields." }, "group": { "type": "string", "description": "Resource name of the group that the members belong to." } } }, "SearchTransitiveMembershipsResponse": { "description": "The response message for MembershipsService.SearchTransitiveMemberships.", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results." }, "memberships": { "type": "array", "items": { "$ref": "MemberRelation" }, "description": "List of transitive memberships satisfying the query." } }, "id": "SearchTransitiveMembershipsResponse", "type": "object" }, "CancelUserInvitationRequest": { "id": "CancelUserInvitationRequest", "description": "Request to cancel sent invitation for target email in UserInvitation.", "type": "object", "properties": {} }, "GoogleAppsCloudidentityDevicesV1UpdateClientStateMetadata": { "type": "object", "id": "GoogleAppsCloudidentityDevicesV1UpdateClientStateMetadata", "properties": {}, "description": "Metadata for UpdateClientState LRO." }, "Group": { "description": "A group within the Cloud Identity Groups API. A `Group` is a collection of entities, where each entity is either a user, another group, or a service account.", "type": "object", "id": "Group", "properties": { "displayName": { "description": "The display name of the `Group`.", "type": "string" }, "groupKey": { "$ref": "EntityKey", "description": "Required. The `EntityKey` of the `Group`." }, "additionalGroupKeys": { "type": "array", "items": { "$ref": "EntityKey" }, "description": "Additional entity key aliases for a Group." }, "parent": { "type": "string", "description": "Required. Immutable. The resource name of the entity under which this `Group` resides in the Cloud Identity resource hierarchy. Must be of the form `identitysources/{identity_source_id}` for external- identity-mapped groups or `customers/{customer_id}` for Google Groups. The `customer_id` must begin with \"C\" (for example, 'C046psxkn')." }, "posixGroups": { "description": "Optional. The POSIX groups associated with the `Group`.", "items": { "$ref": "PosixGroup" }, "type": "array" }, "createTime": { "description": "Output only. The time when the `Group` was created.", "type": "string", "format": "google-datetime", "readOnly": true }, "description": { "type": "string", "description": "An extended description to help users determine the purpose of a `Group`. Must not be longer than 4,096 characters." }, "dynamicGroupMetadata": { "$ref": "DynamicGroupMetadata", "description": "Optional. Dynamic group metadata like queries and status." }, "name": { "readOnly": true, "description": "Output only. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Group`. Shall be of the form `groups/{group_id}`.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Required. One or more label entries that apply to the Group. Currently supported labels contain a key with an empty value. Google Groups are the default type of group and have a label with a key of `cloudidentity.googleapis.com/groups.discussion_forum` and an empty value. Existing Google Groups can have an additional label with a key of `cloudidentity.googleapis.com/groups.security` and an empty value added to them. **This is an immutable change and the security label cannot be removed once added.** Dynamic groups have a label with a key of `cloudidentity.googleapis.com/groups.dynamic`. Identity-mapped groups for Cloud Search have a label with a key of `system/groups/external` and an empty value." }, "updateTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The time when the `Group` was last updated." } } }, "ListMembershipsResponse": { "description": "The response message for MembershipsService.ListMemberships.", "properties": { "memberships": { "items": { "$ref": "Membership" }, "type": "array", "description": "The `Membership`s under the specified `parent`." }, "nextPageToken": { "description": "A continuation token to retrieve the next page of results, or empty if there are no more results available.", "type": "string" } }, "id": "ListMembershipsResponse", "type": "object" }, "CancelWipeDeviceResponse": { "properties": { "device": { "$ref": "Device", "description": "Resultant Device object for the action. Note that asset tags will not be returned in the device object." } }, "type": "object", "description": "Response message for cancelling an unfinished device wipe.", "id": "CancelWipeDeviceResponse" }, "LookupSelfDeviceUsersResponse": { "type": "object", "description": "Response containing resource names of the DeviceUsers associated with the caller's credentials.", "id": "LookupSelfDeviceUsersResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results. Empty if there are no more results." }, "names": { "description": "[Resource names](https://cloud.google.com/apis/design/resource_names) of the DeviceUsers in the format: `devices/{device_id}/deviceUsers/{user_resource_id}`, where device_id is the unique ID assigned to a Device and user_resource_id is the unique user ID", "items": { "type": "string" }, "type": "array" }, "customer": { "type": "string", "description": "The obfuscated customer Id that may be passed back to other Devices API methods such as List, Get, etc." } } }, "GoogleAppsCloudidentityDevicesV1UpdateDeviceMetadata": { "description": "Metadata for UpdateDevice LRO.", "type": "object", "properties": {}, "id": "GoogleAppsCloudidentityDevicesV1UpdateDeviceMetadata" }, "MembershipRoleRestrictionEvaluation": { "id": "MembershipRoleRestrictionEvaluation", "type": "object", "description": "The evaluated state of this restriction.", "properties": { "state": { "description": "Output only. The current state of the restriction", "enum": [ "STATE_UNSPECIFIED", "COMPLIANT", "FORWARD_COMPLIANT", "NON_COMPLIANT", "EVALUATING" ], "readOnly": true, "type": "string", "enumDescriptions": [ "Default. Should not be used.", "The member adheres to the parent group's restriction.", "The group-group membership might be currently violating some parent group's restriction but in future, it will never allow any new member in the child group which can violate parent group's restriction.", "The member violates the parent group's restriction.", "The state of the membership is under evaluation." ] } } }, "GoogleAppsCloudidentityDevicesV1AndroidAttributes": { "id": "GoogleAppsCloudidentityDevicesV1AndroidAttributes", "type": "object", "properties": { "enabledUnknownSources": { "description": "Whether applications from unknown sources can be installed on device.", "type": "boolean" }, "ownershipPrivilege": { "enum": [ "OWNERSHIP_PRIVILEGE_UNSPECIFIED", "DEVICE_ADMINISTRATOR", "PROFILE_OWNER", "DEVICE_OWNER" ], "description": "Ownership privileges on device.", "enumDescriptions": [ "Ownership privilege is not set.", "Active device administrator privileges on the device.", "Profile Owner privileges. The account is in a managed corporate profile.", "Device Owner privileges on the device." ], "type": "string" }, "ownerProfileAccount": { "type": "boolean", "description": "Whether this account is on an owner/primary profile. For phones, only true for owner profiles. Android 4+ devices can have secondary or restricted user profiles." }, "supportsWorkProfile": { "type": "boolean", "description": "Whether device supports Android work profiles. If false, this service will not block access to corp data even if an administrator turns on the \"Enforce Work Profile\" policy." } }, "description": "Resource representing the Android specific attributes of a Device." }, "LookupGroupNameResponse": { "id": "LookupGroupNameResponse", "properties": { "name": { "readOnly": true, "type": "string", "description": "Output only. The [resource name](https://cloud.google.com/apis/design/resource_names) of the looked-up `Group`." } }, "type": "object", "description": "The response message for GroupsService.LookupGroupName." }, "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceResponse": { "type": "object", "properties": { "device": { "$ref": "GoogleAppsCloudidentityDevicesV1Device", "description": "Resultant Device object for the action. Note that asset tags will not be returned in the device object." } }, "id": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceResponse", "description": "Response message for cancelling an unfinished device wipe." }, "UpdateMembershipRolesParams": { "id": "UpdateMembershipRolesParams", "type": "object", "description": "The details of an update to a `MembershipRole`.", "properties": { "membershipRole": { "description": "The `MembershipRole`s to be updated. Only `MEMBER` `MembershipRoles` can currently be updated. May only contain a `MembershipRole` with `name` `MEMBER`.", "$ref": "MembershipRole" }, "fieldMask": { "description": "The fully-qualified names of fields to update. May only contain the field `expiry_detail.expire_time`.", "type": "string", "format": "google-fieldmask" } } }, "SecuritySettings": { "id": "SecuritySettings", "description": "The definiion of security settings.", "type": "object", "properties": { "name": { "readOnly": true, "type": "string", "description": "Output only. The resource name of the security settings. Shall be of the form `groups/{group_id}/securitySettings`." }, "memberRestriction": { "description": "The Member Restriction value", "$ref": "MemberRestriction" } } }, "CancelWipeDeviceUserRequest": { "properties": {}, "id": "CancelWipeDeviceUserRequest", "type": "object", "description": "Request message for cancelling an unfinished user account wipe." }, "GoogleAppsCloudidentityDevicesV1WipeDeviceResponse": { "properties": { "device": { "description": "Resultant Device object for the action. Note that asset tags will not be returned in the device object.", "$ref": "GoogleAppsCloudidentityDevicesV1Device" } }, "type": "object", "description": "Response message for wiping all data on the device.", "id": "GoogleAppsCloudidentityDevicesV1WipeDeviceResponse" }, "CancelWipeDeviceRequest": { "id": "CancelWipeDeviceRequest", "description": "Request message for cancelling an unfinished device wipe.", "type": "object", "properties": {} }, "GoogleAppsCloudidentityDevicesV1ClientState": { "description": "Represents the state associated with an API client calling the Devices API. Resource representing ClientState and supports updates from API users", "type": "object", "properties": { "healthScore": { "enum": [ "HEALTH_SCORE_UNSPECIFIED", "VERY_POOR", "POOR", "NEUTRAL", "GOOD", "VERY_GOOD" ], "type": "string", "description": "The Health score of the resource. The Health score is the callers specification of the condition of the device from a usability point of view. For example, a third-party device management provider may specify a health score based on its compliance with organizational policies.", "enumDescriptions": [ "Default value", "The object is in very poor health as defined by the caller.", "The object is in poor health as defined by the caller.", "The object health is neither good nor poor, as defined by the caller.", "The object is in good health as defined by the caller.", "The object is in very good health as defined by the caller." ] }, "customId": { "description": "This field may be used to store a unique identifier for the API resource within which these CustomAttributes are a field.", "type": "string" }, "lastUpdateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the client state data was last updated." }, "etag": { "description": "The token that needs to be passed back for concurrency control in updates. Token needs to be passed back in UpdateRequest", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the client state data was created.", "readOnly": true }, "scoreReason": { "type": "string", "description": "A descriptive cause of the health score." }, "managed": { "enum": [ "MANAGED_STATE_UNSPECIFIED", "MANAGED", "UNMANAGED" ], "type": "string", "description": "The management state of the resource as specified by the API client.", "enumDescriptions": [ "The management state of the resource is unknown or unspecified.", "The resource is managed.", "The resource is not managed." ] }, "name": { "readOnly": true, "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the ClientState in format: `devices/{device}/deviceUsers/{device_user}/clientState/{partner}`, where partner corresponds to the partner storing the data. For partners belonging to the \"BeyondCorp Alliance\", this is the partner ID specified to you by Google. For all other callers, this is a string of the form: `{customer}-suffix`, where `customer` is your customer ID. The *suffix* is any string the caller specifies. This string will be displayed verbatim in the administration console. This suffix is used in setting up Custom Access Levels in Context-Aware Access. Your organization's customer ID can be obtained from the URL: `GET https://www.googleapis.com/admin/directory/v1/customers/my_customer` The `id` field in the response contains the customer ID starting with the letter 'C'. The customer ID to be used in this API is the string after the letter 'C' (not including 'C')", "type": "string" }, "complianceState": { "enum": [ "COMPLIANCE_STATE_UNSPECIFIED", "COMPLIANT", "NON_COMPLIANT" ], "enumDescriptions": [ "The compliance state of the resource is unknown or unspecified.", "Device is compliant with third party policies", "Device is not compliant with third party policies" ], "type": "string", "description": "The compliance state of the resource as specified by the API client." }, "assetTags": { "items": { "type": "string" }, "description": "The caller can specify asset tags for this resource", "type": "array" }, "ownerType": { "type": "string", "readOnly": true, "description": "Output only. The owner of the ClientState", "enumDescriptions": [ "Unknown owner type", "Customer is the owner", "Partner is the owner" ], "enum": [ "OWNER_TYPE_UNSPECIFIED", "OWNER_TYPE_CUSTOMER", "OWNER_TYPE_PARTNER" ] }, "keyValuePairs": { "type": "object", "additionalProperties": { "$ref": "GoogleAppsCloudidentityDevicesV1CustomAttributeValue" }, "description": "The map of key-value attributes stored by callers specific to a device. The total serialized length of this map may not exceed 10KB. No limit is placed on the number of attributes in a map." } }, "id": "GoogleAppsCloudidentityDevicesV1ClientState" }, "GoogleAppsCloudidentityDevicesV1WipeDeviceMetadata": { "description": "Metadata for WipeDevice LRO.", "id": "GoogleAppsCloudidentityDevicesV1WipeDeviceMetadata", "type": "object", "properties": {} }, "ListDevicesResponse": { "description": "Response message that is returned from the ListDevices method.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results. Empty if there are no more results." }, "devices": { "description": "Devices meeting the list restrictions.", "type": "array", "items": { "$ref": "Device" } } }, "id": "ListDevicesResponse" }, "MembershipRole": { "properties": { "expiryDetail": { "description": "The expiry details of the `MembershipRole`. Expiry details are only supported for `MEMBER` `MembershipRoles`. May be set if `name` is `MEMBER`. Must not be set if `name` is any other value.", "$ref": "ExpiryDetail" }, "name": { "description": "The name of the `MembershipRole`. Must be one of `OWNER`, `MANAGER`, `MEMBER`.", "type": "string" }, "restrictionEvaluations": { "description": "Evaluations of restrictions applied to parent group on this membership.", "$ref": "RestrictionEvaluations" } }, "description": "A membership role within the Cloud Identity Groups API. A `MembershipRole` defines the privileges granted to a `Membership`.", "id": "MembershipRole", "type": "object" }, "SearchTransitiveGroupsResponse": { "description": "The response message for MembershipsService.SearchTransitiveGroups.", "id": "SearchTransitiveGroupsResponse", "properties": { "memberships": { "type": "array", "description": "List of transitive groups satisfying the query.", "items": { "$ref": "GroupRelation" } }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results available for listing.", "type": "string" } }, "type": "object" }, "EntityKey": { "properties": { "id": { "description": "The ID of the entity. For Google-managed entities, the `id` must be the email address of an existing group or user. For external-identity-mapped entities, the `id` must be a string conforming to the Identity Source's requirements. Must be unique within a `namespace`.", "type": "string" }, "namespace": { "description": "The namespace in which the entity exists. If not specified, the `EntityKey` represents a Google-managed entity such as a Google user or a Google Group. If specified, the `EntityKey` represents an external-identity-mapped group. The namespace must correspond to an identity source created in Admin Console and must be in the form of `identitysources/{identity_source_id}`.", "type": "string" } }, "description": "A unique identifier for an entity in the Cloud Identity Groups API. An entity can represent either a group with an optional `namespace` or a user without a `namespace`. The combination of `id` and `namespace` must be unique; however, the same `id` can be used with different `namespace`s.", "id": "EntityKey", "type": "object" }, "ListOrgMembershipsResponse": { "properties": { "orgMemberships": { "items": { "$ref": "OrgMembership" }, "description": "The non-vacuous membership in an orgUnit.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is empty, there are no subsequent pages." } }, "id": "ListOrgMembershipsResponse", "type": "object", "description": "The response message for OrgMembershipsService.ListOrgMemberships." }, "ModifyMembershipRolesRequest": { "id": "ModifyMembershipRolesRequest", "description": "The request message for MembershipsService.ModifyMembershipRoles.", "type": "object", "properties": { "addRoles": { "items": { "$ref": "MembershipRole" }, "description": "The `MembershipRole`s to be added. Adding or removing roles in the same request as updating roles is not supported. Must not be set if `update_roles_params` is set.", "type": "array" }, "removeRoles": { "description": "The `name`s of the `MembershipRole`s to be removed. Adding or removing roles in the same request as updating roles is not supported. It is not possible to remove the `MEMBER` `MembershipRole`. If you wish to delete a `Membership`, call MembershipsService.DeleteMembership instead. Must not contain `MEMBER`. Must not be set if `update_roles_params` is set.", "type": "array", "items": { "type": "string" } }, "updateRolesParams": { "description": "The `MembershipRole`s to be updated. Updating roles in the same request as adding or removing roles is not supported. Must not be set if either `add_roles` or `remove_roles` is set.", "items": { "$ref": "UpdateMembershipRolesParams" }, "type": "array" } } }, "Status": { "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "id": "Status" }, "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserMetadata": { "description": "Metadata for ApproveDeviceUser LRO.", "type": "object", "id": "GoogleAppsCloudidentityDevicesV1ApproveDeviceUserMetadata", "properties": {} }, "LookupMembershipNameResponse": { "properties": { "name": { "description": "The [resource name](https://cloud.google.com/apis/design/resource_names) of the looked-up `Membership`. Must be of the form `groups/{group_id}/memberships/{membership_id}`.", "type": "string" } }, "description": "The response message for MembershipsService.LookupMembershipName.", "id": "LookupMembershipNameResponse", "type": "object" }, "GoogleAppsCloudidentityDevicesV1BlockDeviceUserMetadata": { "type": "object", "properties": {}, "description": "Metadata for BlockDeviceUser LRO.", "id": "GoogleAppsCloudidentityDevicesV1BlockDeviceUserMetadata" }, "ApproveDeviceUserResponse": { "type": "object", "id": "ApproveDeviceUserResponse", "properties": { "deviceUser": { "$ref": "DeviceUser", "description": "Resultant DeviceUser object for the action." } }, "description": "Response message for approving the device to access user data." }, "ListUserInvitationsResponse": { "type": "object", "id": "ListUserInvitationsResponse", "properties": { "userInvitations": { "items": { "$ref": "UserInvitation" }, "description": "The list of UserInvitation resources.", "type": "array" }, "nextPageToken": { "description": "The token for the next page. If not empty, indicates that there may be more `UserInvitation` resources that match the listing request; this value can be used in a subsequent ListUserInvitationsRequest to get continued results with the current list call.", "type": "string" } }, "description": "Response message for UserInvitation listing request." }, "Membership": { "description": "A membership within the Cloud Identity Groups API. A `Membership` defines a relationship between a `Group` and an entity belonging to that `Group`, referred to as a \"member\".", "properties": { "preferredMemberKey": { "$ref": "EntityKey", "description": "Required. Immutable. The `EntityKey` of the member. Either `member_key` or `preferred_member_key` must be set when calling MembershipsService.CreateMembership but not both; both shall be set when returned." }, "roles": { "items": { "$ref": "MembershipRole" }, "type": "array", "description": "The `MembershipRole`s that apply to the `Membership`. If unspecified, defaults to a single `MembershipRole` with `name` `MEMBER`. Must not contain duplicate `MembershipRole`s with the same `name`." }, "memberKey": { "description": "Immutable. The `EntityKey` of the member. Either `member_key` or `preferred_member_key` must be set when calling MembershipsService.CreateMembership but not both; both shall be set when returned.", "$ref": "EntityKey" }, "name": { "readOnly": true, "type": "string", "description": "Output only. The [resource name](https://cloud.google.com/apis/design/resource_names) of the `Membership`. Shall be of the form `groups/{group_id}/memberships/{membership_id}`." }, "updateTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time when the `Membership` was last updated." }, "type": { "enum": [ "TYPE_UNSPECIFIED", "USER", "SERVICE_ACCOUNT", "GROUP", "SHARED_DRIVE", "OTHER" ], "readOnly": true, "type": "string", "description": "Output only. The type of the membership.", "enumDescriptions": [ "Default. Should not be used.", "Represents user type.", "Represents service account type.", "Represents group type.", "Represents Shared drive.", "Represents other type." ] }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time when the `Membership` was created.", "type": "string" } }, "id": "Membership", "type": "object" }, "WipeDeviceResponse": { "properties": { "device": { "description": "Resultant Device object for the action. Note that asset tags will not be returned in the device object.", "$ref": "Device" } }, "id": "WipeDeviceResponse", "type": "object", "description": "Response message for wiping all data on the device." }, "ModifyMembershipRolesResponse": { "properties": { "membership": { "$ref": "Membership", "description": "The `Membership` resource after modifying its `MembershipRole`s." } }, "id": "ModifyMembershipRolesResponse", "type": "object", "description": "The response message for MembershipsService.ModifyMembershipRoles." }, "GoogleAppsCloudidentityDevicesV1CustomAttributeValue": { "description": "Additional custom attribute values may be one of these types", "type": "object", "properties": { "boolValue": { "type": "boolean", "description": "Represents a boolean value." }, "stringValue": { "description": "Represents a string value.", "type": "string" }, "numberValue": { "format": "double", "type": "number", "description": "Represents a double value." } }, "id": "GoogleAppsCloudidentityDevicesV1CustomAttributeValue" }, "DynamicGroupQuery": { "type": "object", "id": "DynamicGroupQuery", "description": "Defines a query on a resource.", "properties": { "query": { "type": "string", "description": "Query that determines the memberships of the dynamic group. Examples: All users with at least one `organizations.department` of engineering. `user.organizations.exists(org, org.department=='engineering')` All users with at least one location that has `area` of `foo` and `building_id` of `bar`. `user.locations.exists(loc, loc.area=='foo' && loc.building_id=='bar')` All users with any variation of the name John Doe (case-insensitive queries add `equalsIgnoreCase()` to the value being queried). `user.name.value.equalsIgnoreCase('jOhn DoE')`" }, "resourceType": { "enumDescriptions": [ "Default value (not valid)", "For queries on User" ], "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "USER" ], "type": "string" } } }, "RestrictionEvaluation": { "properties": { "state": { "enumDescriptions": [ "Default. Should not be used.", "The restriction state is currently being evaluated.", "All transitive memberships are adhering to restriction.", "Some transitive memberships violate the restriction. No new violating memberships can be added.", "Some transitive memberships violate the restriction. New violating direct memberships will be denied while indirect memberships may be added." ], "enum": [ "STATE_UNSPECIFIED", "EVALUATING", "COMPLIANT", "FORWARD_COMPLIANT", "NON_COMPLIANT" ], "description": "Output only. The current state of the restriction", "type": "string", "readOnly": true } }, "type": "object", "id": "RestrictionEvaluation", "description": "The evaluated state of this restriction." }, "RestrictionEvaluations": { "properties": { "memberRestrictionEvaluation": { "$ref": "MembershipRoleRestrictionEvaluation", "description": "Evaluation of the member restriction applied to this membership. Empty if the user lacks permission to view the restriction evaluation." } }, "id": "RestrictionEvaluations", "description": "Evaluations of restrictions applied to parent group on this membership.", "type": "object" }, "CreateDeviceRequest": { "description": "Request message for creating a Company Owned device.", "id": "CreateDeviceRequest", "type": "object", "properties": { "device": { "description": "Required. The device to be created. The name field within this device is ignored in the create method. A new name is created by the method, and returned within the response. Only the fields `device_type`, `serial_number` and `asset_tag` (if present) are used to create the device. All other fields are ignored. The `device_type` and `serial_number` fields are required.", "$ref": "Device" } } }, "CustomAttributeValue": { "type": "object", "description": "Additional custom attribute values may be one of these types", "properties": { "boolValue": { "type": "boolean", "description": "Represents a boolean value." }, "numberValue": { "type": "number", "description": "Represents a double value.", "format": "double" }, "stringValue": { "description": "Represents a string value.", "type": "string" } }, "id": "CustomAttributeValue" }, "GetMembershipGraphResponse": { "description": "The response message for MembershipsService.GetMembershipGraph.", "type": "object", "properties": { "adjacencyList": { "type": "array", "description": "The membership graph's path information represented as an adjacency list.", "items": { "$ref": "MembershipAdjacencyList" } }, "groups": { "items": { "$ref": "Group" }, "description": "The resources representing each group in the adjacency list. Each group in this list can be correlated to a 'group' of the MembershipAdjacencyList using the 'name' of the Group resource.", "type": "array" } }, "id": "GetMembershipGraphResponse" }, "PosixGroup": { "description": "POSIX Group definition to represent a group in a POSIX compliant system.", "id": "PosixGroup", "properties": { "name": { "description": "Name of the POSIX group.", "type": "string" }, "systemId": { "description": "System identifier for which group name and gid apply to. If not specified it will default to empty value.", "type": "string" }, "gid": { "type": "string", "description": "GID of the POSIX group.", "format": "uint64" } }, "type": "object" }, "GoogleAppsCloudidentityDevicesV1SignoutDeviceUserMetadata": { "id": "GoogleAppsCloudidentityDevicesV1SignoutDeviceUserMetadata", "properties": {}, "type": "object", "description": "Metadata for SignoutDeviceUser LRO." }, "CertificateAttributes": { "id": "CertificateAttributes", "type": "object", "properties": { "thumbprint": { "description": "The certificate thumbprint.", "type": "string" }, "serialNumber": { "description": "Serial number of the certificate, Example: \"123456789\".", "type": "string" }, "validityExpirationTime": { "format": "google-datetime", "type": "string", "description": "Certificate not valid at or after this timestamp." }, "fingerprint": { "description": "The encoded certificate fingerprint.", "type": "string" }, "subject": { "type": "string", "description": "The subject name of this certificate." }, "validityStartTime": { "description": "Certificate not valid before this timestamp.", "format": "google-datetime", "type": "string" }, "issuer": { "description": "The name of the issuer of this certificate.", "type": "string" }, "validationState": { "enumDescriptions": [ "Default value.", "Certificate validation was successful.", "Certificate validation failed." ], "enum": [ "CERTIFICATE_VALIDATION_STATE_UNSPECIFIED", "VALIDATION_SUCCESSFUL", "VALIDATION_FAILED" ], "description": "Validation state of this certificate.", "type": "string" }, "certificateTemplate": { "$ref": "CertificateTemplate", "description": "The X.509 extension for CertificateTemplate." } }, "description": "Stores information about a certificate." }, "DeviceUser": { "properties": { "lastSyncTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. Last time when user synced with policies." }, "managementState": { "readOnly": true, "enumDescriptions": [ "Default value. This value is unused.", "This user's data and profile is being removed from the device.", "This user's data and profile is removed from the device.", "User is approved to access data on the device.", "User is blocked from accessing data on the device.", "User is awaiting approval.", "User is unenrolled from Advanced Windows Management, but the Windows account is still intact." ], "enum": [ "MANAGEMENT_STATE_UNSPECIFIED", "WIPING", "WIPED", "APPROVED", "BLOCKED", "PENDING_APPROVAL", "UNENROLLED" ], "description": "Output only. Management state of the user on the device.", "type": "string" }, "passwordState": { "enumDescriptions": [ "Password state not set.", "Password set in object.", "Password not set in object." ], "description": "Password state of the DeviceUser object", "enum": [ "PASSWORD_STATE_UNSPECIFIED", "PASSWORD_SET", "PASSWORD_NOT_SET" ], "type": "string" }, "languageCode": { "type": "string", "description": "Output only. Default locale used on device, in IETF BCP-47 format.", "readOnly": true }, "compromisedState": { "type": "string", "enumDescriptions": [ "Compromised state of Device User account is unknown or unspecified.", "Device User Account is compromised.", "Device User Account is not compromised." ], "description": "Compromised State of the DeviceUser object", "enum": [ "COMPROMISED_STATE_UNSPECIFIED", "COMPROMISED", "NOT_COMPROMISED" ] }, "createTime": { "format": "google-datetime", "type": "string", "description": "When the user first signed in to the device" }, "name": { "type": "string", "readOnly": true, "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the DeviceUser in format: `devices/{device_id}/deviceUsers/{device_user_id}`, where `device_user_id` uniquely identifies a user's use of a device." }, "userEmail": { "type": "string", "description": "Email address of the user registered on the device." }, "userAgent": { "description": "Output only. User agent on the device for this specific user", "readOnly": true, "type": "string" }, "firstSyncTime": { "type": "string", "readOnly": true, "description": "Output only. Most recent time when user registered with this service.", "format": "google-datetime" } }, "id": "DeviceUser", "description": "Represents a user's use of a Device in the Cloud Identity Devices API. A DeviceUser is a resource representing a user's use of a Device", "type": "object" }, "DynamicGroupMetadata": { "description": "Dynamic group metadata like queries and status.", "id": "DynamicGroupMetadata", "properties": { "queries": { "items": { "$ref": "DynamicGroupQuery" }, "type": "array", "description": "Memberships will be the union of all queries. Only one entry with USER resource is currently supported. Customers can create up to 100 dynamic groups." }, "status": { "readOnly": true, "$ref": "DynamicGroupStatus", "description": "Output only. Status of the dynamic group." } }, "type": "object" }, "UserInvitation": { "description": "The `UserInvitation` resource represents an email that can be sent to an unmanaged user account inviting them to join the customer's Google Workspace or Cloud Identity account. An unmanaged account shares an email address domain with the Google Workspace or Cloud Identity account but is not managed by it yet. If the user accepts the `UserInvitation`, the user account will become managed.", "id": "UserInvitation", "properties": { "updateTime": { "type": "string", "format": "google-datetime", "description": "Time when the `UserInvitation` was last updated." }, "mailsSentCount": { "description": "Number of invitation emails sent to the user.", "type": "string", "format": "int64" }, "state": { "enum": [ "STATE_UNSPECIFIED", "NOT_YET_SENT", "INVITED", "ACCEPTED", "DECLINED" ], "description": "State of the `UserInvitation`.", "type": "string", "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "The `UserInvitation` has been created and is ready for sending as an email.", "The user has been invited by email.", "The user has accepted the invitation and is part of the organization.", "The user declined the invitation." ] }, "name": { "type": "string", "description": "Shall be of the form `customers/{customer}/userinvitations/{user_email_address}`." } }, "type": "object" }, "WipeDeviceRequest": { "description": "Request message for wiping all data on the device.", "type": "object", "properties": { "removeResetLock": { "type": "boolean", "description": "Optional. Specifies if a user is able to factory reset a device after a Device Wipe. On iOS, this is called \"Activation Lock\", while on Android, this is known as \"Factory Reset Protection\". If true, this protection will be removed from the device, so that a user can successfully factory reset. If false, the setting is untouched on the device." } }, "id": "WipeDeviceRequest" }, "CertificateTemplate": { "id": "CertificateTemplate", "properties": { "majorVersion": { "description": "The Major version of the template. Example: 100.", "format": "int32", "type": "integer" }, "minorVersion": { "description": "The minor version of the template. Example: 12.", "type": "integer", "format": "int32" }, "id": { "type": "string", "description": "The template id of the template. Example: \"1.3.6.1.4.1.311.21.8.15608621.11768144.5720724.16068415.6889630.81.2472537.7784047\"." } }, "type": "object", "description": "CertificateTemplate (v3 Extension in X.509)." }, "SearchGroupsResponse": { "description": "The response message for GroupsService.SearchGroups.", "properties": { "nextPageToken": { "type": "string", "description": "A continuation token to retrieve the next page of results, or empty if there are no more results available." }, "groups": { "items": { "$ref": "Group" }, "type": "array", "description": "The `Group` resources that match the search query." } }, "id": "SearchGroupsResponse", "type": "object" }, "DynamicGroupStatus": { "properties": { "status": { "enum": [ "STATUS_UNSPECIFIED", "UP_TO_DATE", "UPDATING_MEMBERSHIPS", "INVALID_QUERY" ], "enumDescriptions": [ "Default.", "The dynamic group is up-to-date.", "The dynamic group has just been created and memberships are being updated.", "Group is in an unrecoverable state and its memberships can't be updated." ], "type": "string", "description": "Status of the dynamic group." }, "statusTime": { "type": "string", "description": "The latest time at which the dynamic group is guaranteed to be in the given status. If status is `UP_TO_DATE`, the latest time at which the dynamic group was confirmed to be up-to-date. If status is `UPDATING_MEMBERSHIPS`, the time at which dynamic group was created.", "format": "google-datetime" } }, "id": "DynamicGroupStatus", "type": "object", "description": "The current status of a dynamic group along with timestamp." }, "ApproveDeviceUserRequest": { "type": "object", "id": "ApproveDeviceUserRequest", "description": "Request message for approving the device to access user data.", "properties": {} }, "CheckTransitiveMembershipResponse": { "id": "CheckTransitiveMembershipResponse", "type": "object", "properties": { "hasMembership": { "type": "boolean", "description": "Response does not include the possible roles of a member since the behavior of this rpc is not all-or-nothing unlike the other rpcs. So, it may not be possible to list all the roles definitively, due to possible lack of authorization in some of the paths." } }, "description": "The response message for MembershipsService.CheckTransitiveMembership." }, "GoogleAppsCloudidentityDevicesV1DeleteDeviceUserMetadata": { "properties": {}, "description": "Metadata for DeleteDeviceUser LRO.", "id": "GoogleAppsCloudidentityDevicesV1DeleteDeviceUserMetadata", "type": "object" }, "EndpointVerificationSpecificAttributes": { "type": "object", "properties": { "certificateAttributes": { "description": "Details of certificates.", "type": "array", "items": { "$ref": "CertificateAttributes" } } }, "description": "Resource representing the Endpoint Verification-specific attributes of a Device. https://cloud.google.com/endpoint-verification/docs/overview", "id": "EndpointVerificationSpecificAttributes" }, "ListDeviceUsersResponse": { "properties": { "deviceUsers": { "items": { "$ref": "DeviceUser" }, "type": "array", "description": "Devices meeting the list restrictions." }, "nextPageToken": { "description": "Token to retrieve the next page of results. Empty if there are no more results.", "type": "string" } }, "id": "ListDeviceUsersResponse", "description": "Response message that is returned from the ListDeviceUsers method.", "type": "object" }, "AndroidAttributes": { "properties": { "supportsWorkProfile": { "description": "Whether device supports Android work profiles. If false, this service will not block access to corp data even if an administrator turns on the \"Enforce Work Profile\" policy.", "type": "boolean" }, "enabledUnknownSources": { "description": "Whether applications from unknown sources can be installed on device.", "type": "boolean" }, "ownerProfileAccount": { "type": "boolean", "description": "Whether this account is on an owner/primary profile. For phones, only true for owner profiles. Android 4+ devices can have secondary or restricted user profiles." }, "ownershipPrivilege": { "enumDescriptions": [ "Ownership privilege is not set.", "Active device administrator privileges on the device.", "Profile Owner privileges. The account is in a managed corporate profile.", "Device Owner privileges on the device." ], "enum": [ "OWNERSHIP_PRIVILEGE_UNSPECIFIED", "DEVICE_ADMINISTRATOR", "PROFILE_OWNER", "DEVICE_OWNER" ], "description": "Ownership privileges on device.", "type": "string" } }, "id": "AndroidAttributes", "description": "Resource representing the Android specific attributes of a Device.", "type": "object" }, "MemberRelation": { "properties": { "relationType": { "description": "The relation between the group and the transitive membership.", "enum": [ "RELATION_TYPE_UNSPECIFIED", "DIRECT", "INDIRECT", "DIRECT_AND_INDIRECT" ], "enumDescriptions": [ "The relation type is undefined or undetermined.", "The two entities have only a direct membership with each other.", "The two entities have only an indirect membership with each other.", "The two entities have both a direct and an indirect membership with each other." ], "type": "string" }, "roles": { "type": "array", "items": { "$ref": "TransitiveMembershipRole" }, "description": "The membership role details (i.e name of role and expiry time)." }, "preferredMemberKey": { "description": "Entity key has an id and a namespace. In case of discussion forums, the id will be an email address without a namespace.", "type": "array", "items": { "$ref": "EntityKey" } }, "member": { "type": "string", "description": "Resource name for this member." } }, "id": "MemberRelation", "type": "object", "description": "Message representing a transitive membership of a group." }, "Device": { "id": "Device", "type": "object", "properties": { "basebandVersion": { "readOnly": true, "type": "string", "description": "Output only. Baseband version of the device." }, "endpointVerificationSpecificAttributes": { "readOnly": true, "$ref": "EndpointVerificationSpecificAttributes", "description": "Output only. Attributes specific to Endpoint Verification devices." }, "compromisedState": { "enum": [ "COMPROMISED_STATE_UNSPECIFIED", "COMPROMISED", "UNCOMPROMISED" ], "type": "string", "readOnly": true, "enumDescriptions": [ "Default value.", "The device is compromised (currently, this means Android device is rooted).", "The device is safe (currently, this means Android device is unrooted)." ], "description": "Output only. Represents whether the Device is compromised." }, "model": { "readOnly": true, "type": "string", "description": "Output only. Model name of device. Example: Pixel 3." }, "assetTag": { "description": "Asset tag of the device.", "type": "string" }, "encryptionState": { "enum": [ "ENCRYPTION_STATE_UNSPECIFIED", "UNSUPPORTED_BY_DEVICE", "ENCRYPTED", "NOT_ENCRYPTED" ], "enumDescriptions": [ "Encryption Status is not set.", "Device doesn't support encryption.", "Device is encrypted.", "Device is not encrypted." ], "readOnly": true, "type": "string", "description": "Output only. Device encryption state." }, "serialNumber": { "description": "Serial Number of device. Example: HT82V1A01076.", "type": "string" }, "releaseVersion": { "type": "string", "readOnly": true, "description": "Output only. OS release version. Example: 6.0." }, "createTime": { "description": "Output only. When the Company-Owned device was imported. This field is empty for BYOD devices.", "type": "string", "format": "google-datetime", "readOnly": true }, "otherAccounts": { "description": "Output only. Domain name for Google accounts on device. Type for other accounts on device. On Android, will only be populated if |ownership_privilege| is |PROFILE_OWNER| or |DEVICE_OWNER|. Does not include the account signed in to the device policy app if that account's domain has only one account. Examples: \"com.example\", \"xyz.com\".", "readOnly": true, "items": { "type": "string" }, "type": "array" }, "deviceType": { "enum": [ "DEVICE_TYPE_UNSPECIFIED", "ANDROID", "IOS", "GOOGLE_SYNC", "WINDOWS", "MAC_OS", "LINUX", "CHROME_OS" ], "description": "Output only. Type of device.", "type": "string", "enumDescriptions": [ "Unknown device type", "Device is an Android device", "Device is an iOS device", "Device is a Google Sync device.", "Device is a Windows device.", "Device is a MacOS device.", "Device is a Linux device.", "Device is a ChromeOS device." ], "readOnly": true }, "ownerType": { "enum": [ "DEVICE_OWNERSHIP_UNSPECIFIED", "COMPANY", "BYOD" ], "enumDescriptions": [ "Default value. The value is unused.", "Company owns the device.", "Bring Your Own Device (i.e. individual owns the device)" ], "type": "string", "description": "Output only. Whether the device is owned by the company or an individual", "readOnly": true }, "androidSpecificAttributes": { "$ref": "AndroidAttributes", "readOnly": true, "description": "Output only. Attributes specific to Android devices." }, "enabledUsbDebugging": { "description": "Output only. Whether USB debugging is enabled on device.", "type": "boolean", "readOnly": true }, "brand": { "readOnly": true, "type": "string", "description": "Output only. Device brand. Example: Samsung." }, "osVersion": { "readOnly": true, "type": "string", "description": "Output only. OS version of the device. Example: Android 8.1.0." }, "manufacturer": { "description": "Output only. Device manufacturer. Example: Motorola.", "type": "string", "readOnly": true }, "meid": { "type": "string", "description": "Output only. MEID number of device if CDMA device; empty otherwise.", "readOnly": true }, "buildNumber": { "description": "Output only. Build number of the device.", "type": "string", "readOnly": true }, "enabledDeveloperOptions": { "type": "boolean", "readOnly": true, "description": "Output only. Whether developer options is enabled on device." }, "name": { "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device_id}`, where device_id is the unique id assigned to the Device.", "type": "string", "readOnly": true }, "imei": { "type": "string", "readOnly": true, "description": "Output only. IMEI number of device if GSM device; empty otherwise." }, "lastSyncTime": { "description": "Most recent time when device synced with this service.", "format": "google-datetime", "type": "string" }, "bootloaderVersion": { "readOnly": true, "description": "Output only. Device bootloader version. Example: 0.6.7.", "type": "string" }, "securityPatchTime": { "format": "google-datetime", "description": "Output only. OS security patch update time on device.", "readOnly": true, "type": "string" }, "wifiMacAddresses": { "description": "WiFi MAC addresses of device.", "items": { "type": "string" }, "type": "array" }, "managementState": { "enum": [ "MANAGEMENT_STATE_UNSPECIFIED", "APPROVED", "BLOCKED", "PENDING", "UNPROVISIONED", "WIPING", "WIPED" ], "readOnly": true, "enumDescriptions": [ "Default value. This value is unused.", "Device is approved.", "Device is blocked.", "Device is pending approval.", "The device is not provisioned. Device will start from this state until some action is taken (i.e. a user starts using the device).", "Data and settings on the device are being removed.", "All data and settings on the device are removed." ], "description": "Output only. Management state of the device", "type": "string" }, "networkOperator": { "readOnly": true, "type": "string", "description": "Output only. Mobile or network operator of device, if available." }, "deviceId": { "type": "string", "description": "Unique identifier for the device." }, "kernelVersion": { "description": "Output only. Kernel version of the device.", "readOnly": true, "type": "string" } }, "description": "A Device within the Cloud Identity Devices API. Represents a Device known to Google Cloud, independent of the device ownership, type, and whether it is assigned or in use by a user." }, "GoogleAppsCloudidentityDevicesV1DeviceUser": { "properties": { "managementState": { "enum": [ "MANAGEMENT_STATE_UNSPECIFIED", "WIPING", "WIPED", "APPROVED", "BLOCKED", "PENDING_APPROVAL", "UNENROLLED" ], "description": "Output only. Management state of the user on the device.", "enumDescriptions": [ "Default value. This value is unused.", "This user's data and profile is being removed from the device.", "This user's data and profile is removed from the device.", "User is approved to access data on the device.", "User is blocked from accessing data on the device.", "User is awaiting approval.", "User is unenrolled from Advanced Windows Management, but the Windows account is still intact." ], "readOnly": true, "type": "string" }, "firstSyncTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Most recent time when user registered with this service." }, "userAgent": { "readOnly": true, "type": "string", "description": "Output only. User agent on the device for this specific user" }, "compromisedState": { "description": "Compromised State of the DeviceUser object", "type": "string", "enum": [ "COMPROMISED_STATE_UNSPECIFIED", "COMPROMISED", "NOT_COMPROMISED" ], "enumDescriptions": [ "Compromised state of Device User account is unknown or unspecified.", "Device User Account is compromised.", "Device User Account is not compromised." ] }, "languageCode": { "description": "Output only. Default locale used on device, in IETF BCP-47 format.", "type": "string", "readOnly": true }, "createTime": { "type": "string", "format": "google-datetime", "description": "When the user first signed in to the device" }, "userEmail": { "type": "string", "description": "Email address of the user registered on the device." }, "name": { "type": "string", "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the DeviceUser in format: `devices/{device}/deviceUsers/{device_user}`, where `device_user` uniquely identifies a user's use of a device.", "readOnly": true }, "passwordState": { "description": "Password state of the DeviceUser object", "enum": [ "PASSWORD_STATE_UNSPECIFIED", "PASSWORD_SET", "PASSWORD_NOT_SET" ], "type": "string", "enumDescriptions": [ "Password state not set.", "Password set in object.", "Password not set in object." ] }, "lastSyncTime": { "readOnly": true, "type": "string", "description": "Output only. Last time when user synced with policies.", "format": "google-datetime" } }, "id": "GoogleAppsCloudidentityDevicesV1DeviceUser", "type": "object", "description": "Represents a user's use of a Device in the Cloud Identity Devices API. A DeviceUser is a resource representing a user's use of a Device" }, "WipeDeviceUserResponse": { "description": "Response message for wiping the user's account from the device.", "type": "object", "id": "WipeDeviceUserResponse", "properties": { "deviceUser": { "$ref": "DeviceUser", "description": "Resultant DeviceUser object for the action." } } }, "GoogleAppsCloudidentityDevicesV1BlockDeviceUserResponse": { "type": "object", "description": "Response message for blocking the device from accessing user data.", "properties": { "deviceUser": { "description": "Resultant DeviceUser object for the action.", "$ref": "GoogleAppsCloudidentityDevicesV1DeviceUser" } }, "id": "GoogleAppsCloudidentityDevicesV1BlockDeviceUserResponse" }, "BlockDeviceUserResponse": { "id": "BlockDeviceUserResponse", "properties": { "deviceUser": { "$ref": "DeviceUser", "description": "Resultant DeviceUser object for the action." } }, "type": "object", "description": "Response message for blocking the device from accessing user data." }, "ClientState": { "id": "ClientState", "description": "Represents the state associated with an API client calling the Devices API. Resource representing ClientState and supports updates from API users", "type": "object", "properties": { "scoreReason": { "type": "string", "description": "A descriptive cause of the health score." }, "name": { "description": "Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the ClientState in format: `devices/{device_id}/deviceUsers/{device_user_id}/clientState/{partner_id}`, where partner_id corresponds to the partner storing the data.", "readOnly": true, "type": "string" }, "createTime": { "type": "string", "description": "Output only. The time the client state data was created.", "readOnly": true, "format": "google-datetime" }, "etag": { "type": "string", "description": "The token that needs to be passed back for concurrency control in updates. Token needs to be passed back in UpdateRequest" }, "lastUpdateTime": { "description": "Output only. The time the client state data was last updated.", "format": "google-datetime", "readOnly": true, "type": "string" }, "customId": { "type": "string", "description": "This field may be used to store a unique identifier for the API resource within which these CustomAttributes are a field." }, "healthScore": { "enum": [ "HEALTH_SCORE_UNSPECIFIED", "VERY_POOR", "POOR", "NEUTRAL", "GOOD", "VERY_GOOD" ], "type": "string", "description": "The Health score of the resource", "enumDescriptions": [ "Default value", "The object is in very poor health as defined by the caller.", "The object is in poor health as defined by the caller.", "The object health is neither good nor poor, as defined by the caller.", "The object is in good health as defined by the caller.", "The object is in very good health as defined by the caller." ] }, "assetTags": { "description": "The caller can specify asset tags for this resource", "items": { "type": "string" }, "type": "array" }, "ownerType": { "description": "Output only. The owner of the ClientState", "enum": [ "OWNER_TYPE_UNSPECIFIED", "OWNER_TYPE_CUSTOMER", "OWNER_TYPE_PARTNER" ], "enumDescriptions": [ "Unknown owner type", "Customer is the owner", "Partner is the owner" ], "readOnly": true, "type": "string" }, "complianceState": { "description": "The compliance state of the resource as specified by the API client.", "enum": [ "COMPLIANCE_STATE_UNSPECIFIED", "COMPLIANT", "NON_COMPLIANT" ], "type": "string", "enumDescriptions": [ "The compliance state of the resource is unknown or unspecified.", "Device is compliant with third party policies", "Device is not compliant with third party policies" ] }, "keyValuePairs": { "description": "The map of key-value attributes stored by callers specific to a device. The total serialized length of this map may not exceed 10KB. No limit is placed on the number of attributes in a map.", "additionalProperties": { "$ref": "CustomAttributeValue" }, "type": "object" }, "managed": { "description": "The management state of the resource as specified by the API client.", "enum": [ "MANAGED_STATE_UNSPECIFIED", "MANAGED", "UNMANAGED" ], "enumDescriptions": [ "The management state of the resource is unknown or unspecified.", "The resource is managed.", "The resource is not managed." ], "type": "string" } } }, "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserResponse": { "properties": { "deviceUser": { "description": "Resultant DeviceUser object for the action.", "$ref": "GoogleAppsCloudidentityDevicesV1DeviceUser" } }, "type": "object", "description": "Response message for cancelling an unfinished user account wipe.", "id": "GoogleAppsCloudidentityDevicesV1CancelWipeDeviceUserResponse" }, "BlockDeviceUserRequest": { "id": "BlockDeviceUserRequest", "properties": {}, "type": "object", "description": "Request message for blocking account on device." }, "ExpiryDetail": { "properties": { "expireTime": { "description": "The time at which the `MembershipRole` will expire.", "type": "string", "format": "google-datetime" } }, "description": "The `MembershipRole` expiry details.", "id": "ExpiryDetail", "type": "object" } }, "version": "v1beta1", "title": "Cloud Identity API", "description": "API for provisioning and managing identity resources.", "fullyEncodeReservedExpansion": true, "baseUrl": "https://cloudidentity.googleapis.com/", "parameters": { "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "$.xgafv": { "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string" }, "alt": { "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" } }, "basePath": "", "name": "cloudidentity", "kind": "discovery#restDescription", "documentationLink": "https://cloud.google.com/identity/", "version_module": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" } }
]===]))
