local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "cloudresourcemanager:v3", "servicePath": "", "basePath": "", "documentationLink": "https://cloud.google.com/resource-manager", "canonicalName": "Cloud Resource Manager", "revision": "20220703", "baseUrl": "https://cloudresourcemanager.googleapis.com/", "description": "Creates, reads, and updates metadata for Google Cloud Platform resource containers.", "name": "cloudresourcemanager", "mtlsRootUrl": "https://cloudresourcemanager.mtls.googleapis.com/", "ownerDomain": "google.com", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "title": "Cloud Resource Manager API", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" } } } }, "parameters": { "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "$.xgafv": { "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "prettyPrint": { "default": "true", "location": "query", "type": "boolean", "description": "Returns response with indentations and line breaks." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "alt": { "default": "json", "location": "query", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "callback": { "description": "JSONP", "type": "string", "location": "query" } }, "resources": { "projects": { "methods": { "patch": { "description": "Updates the `display_name` and labels of the project identified by the specified `name` (for example, `projects/415104041262`). Deleting all labels requires an update mask for labels field. The caller must have `resourcemanager.projects.update` permission for this project.", "request": { "$ref": "Project" }, "flatPath": "v3/projects/{projectsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v3/{+name}", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "parameters": { "updateMask": { "description": "Optional. An update mask to selectively update fields.", "type": "string", "location": "query", "format": "google-fieldmask" }, "name": { "description": "Output only. The unique resource name of the project. It is an int64 generated number prefixed by \"projects/\". Example: `projects/415104041262`", "pattern": "^projects/[^/]+$", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "Operation" }, "id": "cloudresourcemanager.projects.patch" }, "search": { "flatPath": "v3/projects:search", "httpMethod": "GET", "description": "Search for projects that the caller has both `resourcemanager.projects.get` permission on, and also satisfy the specified query. This method returns projects in an unspecified order. This method is eventually consistent with project mutations; this means that a newly created project may not appear in the results or recent updates to an existing project may not be reflected in the results. To retrieve the latest state of a project, use the GetProject method.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "cloudresourcemanager.projects.search", "parameters": { "pageToken": { "description": "Optional. A pagination token returned from a previous call to ListProjects that indicates from where listing should continue.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum number of projects to return in the response. The server can return fewer projects than requested. If unspecified, server picks an appropriate default." }, "query": { "location": "query", "type": "string", "description": "Optional. A query string for searching for projects that the caller has `resourcemanager.projects.get` permission to. If multiple fields are included in the query, then it will return results that match any of the fields. Some eligible fields are: ``` | Field | Description | |-------------------------|----------------------------------------------| | displayName, name | Filters by displayName. | | parent | Project's parent (for example: folders/123, organizations/*). Prefer parent field over parent.type and parent.id.| | parent.type | Parent's type: `folder` or `organization`. | | parent.id | Parent's id number (for example: 123) | | id, projectId | Filters by projectId. | | state, lifecycleState | Filters by state. | | labels | Filters by label name or value. | | labels.\\ (where gsa_key.json is the name of a label) | Filters by label name.| ``` Search expressions are case insensitive. Some examples queries: ``` | Query | Description | |------------------|-----------------------------------------------------| | name:how* | The project's name starts with \"how\". | | name:Howl | The project's name is `Howl` or `howl`. | | name:HOWL | Equivalent to above. | | NAME:howl | Equivalent to above. | | labels.color:* | The project has the label `color`. | | labels.color:red | The project's label `color` has the value `red`. | | labels.color:red labels.size:big | The project's label `color` has the value `red` and its label `size` has the value `big`.| ``` If no query is specified, the call will return projects for which the user has the `resourcemanager.projects.get` permission." } }, "path": "v3/projects:search", "response": { "$ref": "SearchProjectsResponse" }, "parameterOrder": [] }, "undelete": { "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+$", "location": "path", "required": true, "description": "Required. The name of the project (for example, `projects/415104041262`). Required." } }, "path": "v3/{+name}:undelete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "UndeleteProjectRequest" }, "description": "Restores the project identified by the specified `name` (for example, `projects/415104041262`). You can only use this method for a project that has a lifecycle state of DELETE_REQUESTED. After deletion starts, the project cannot be restored. The caller must have `resourcemanager.projects.undelete` permission for this project.", "parameterOrder": [ "name" ], "id": "cloudresourcemanager.projects.undelete", "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "v3/projects/{projectsId}:undelete" }, "delete": { "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "flatPath": "v3/projects/{projectsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+$", "description": "Required. The name of the Project (for example, `projects/415104041262`).", "type": "string" } }, "path": "v3/{+name}", "id": "cloudresourcemanager.projects.delete", "httpMethod": "DELETE", "description": "Marks the project identified by the specified `name` (for example, `projects/415104041262`) for deletion. This method will only affect the project if it has a lifecycle state of ACTIVE. This method changes the Project's lifecycle state from ACTIVE to DELETE_REQUESTED. The deletion starts at an unspecified time, at which point the Project is no longer accessible. Until the deletion completes, you can check the lifecycle state checked by retrieving the project with GetProject, and the project remains visible to ListProjects. However, you cannot update the project. After the deletion completes, the project is not retrievable by the GetProject, ListProjects, and SearchProjects methods. This method behaves idempotently, such that deleting a `DELETE_REQUESTED` project will not cause an error, but also won't do anything. The caller must have `resourcemanager.projects.delete` permissions for this project." }, "move": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v3/{+name}:move", "parameters": { "name": { "type": "string", "description": "Required. The name of the project to move.", "location": "path", "pattern": "^projects/[^/]+$", "required": true } }, "description": "Move a project to another place in your resource hierarchy, under a new resource parent. Returns an operation which can be used to track the process of the project move workflow. Upon success, the `Operation.response` field will be populated with the moved project. The caller must have `resourcemanager.projects.move` permission on the project, on the project's current and proposed new parent. If project has no current parent, or it currently does not have an associated organization resource, you will also need the `resourcemanager.projects.setIamPolicy` permission in the project. ", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "id": "cloudresourcemanager.projects.move", "request": { "$ref": "MoveProjectRequest" }, "flatPath": "v3/projects/{projectsId}:move" }, "list": { "id": "cloudresourcemanager.projects.list", "path": "v3/projects", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [], "response": { "$ref": "ListProjectsResponse" }, "description": "Lists projects that are direct children of the specified folder or organization resource. `list()` provides a strongly consistent view of the projects underneath the specified parent resource. `list()` returns projects sorted based upon the (ascending) lexical ordering of their `display_name`. The caller must have `resourcemanager.projects.list` permission on the identified parent.", "parameters": { "showDeleted": { "location": "query", "type": "boolean", "description": "Optional. Indicate that projects in the `DELETE_REQUESTED` state should also be returned. Normally only `ACTIVE` projects are returned." }, "pageSize": { "location": "query", "format": "int32", "description": "Optional. The maximum number of projects to return in the response. The server can return fewer projects than requested. If unspecified, server picks an appropriate default.", "type": "integer" }, "pageToken": { "description": "Optional. A pagination token returned from a previous call to ListProjects that indicates from where listing should continue.", "type": "string", "location": "query" }, "parent": { "type": "string", "location": "query", "description": "Required. The name of the parent resource to list projects under. For example, setting this field to 'folders/1234' would list all projects directly under that folder." } }, "flatPath": "v3/projects" }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v3/projects/{projectsId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified project, in the format `projects/{ProjectIdOrNumber}` e.g. projects/123..", "id": "cloudresourcemanager.projects.testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "type": "string", "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v3/{+resource}:testIamPermissions" }, "create": { "request": { "$ref": "Project" }, "httpMethod": "POST", "path": "v3/projects", "response": { "$ref": "Operation" }, "flatPath": "v3/projects", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Request that a new project be created. The result is an `Operation` which can be used to track the creation process. This process usually takes a few seconds, but can sometimes take much longer. The tracking `Operation` is automatically deleted after a few hours, so there is no need to call `DeleteOperation`.", "parameterOrder": [], "id": "cloudresourcemanager.projects.create", "parameters": {} }, "getIamPolicy": { "httpMethod": "POST", "description": "Returns the IAM access control policy for the specified project, in the format `projects/{ProjectIdOrNumber}` e.g. projects/123. Permission is denied if the policy or the resource do not exist.", "flatPath": "v3/projects/{projectsId}:getIamPolicy", "request": { "$ref": "GetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "parameters": { "resource": { "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+$" } }, "response": { "$ref": "Policy" }, "path": "v3/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "cloudresourcemanager.projects.getIamPolicy" }, "setIamPolicy": { "flatPath": "v3/projects/{projectsId}:setIamPolicy", "parameterOrder": [ "resource" ], "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+$", "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Sets the IAM access control policy for the specified project, in the format `projects/{ProjectIdOrNumber}` e.g. projects/123. CAUTION: This method will replace the existing policy, and cannot be used to append additional IAM settings. Note: Removing service accounts from policies or changing their roles can render services completely inoperable. It is important to understand how the service account is being used before removing or updating its roles. The following constraints apply when using `setIamPolicy()`: + Project does not support `allUsers` and `allAuthenticatedUsers` as `members` in a `Binding` of a `Policy`. + The owner role can be granted to a `user`, `serviceAccount`, or a group that is part of an organization. For example, group@myownpersonaldomain.com could be added as an owner to a project in the myownpersonaldomain.com organization, but not the examplepetstore.com organization. + Service accounts can be made owners of a project directly without any restrictions. However, to be added as an owner, a user must be invited using the Cloud Platform console and must accept the invitation. + A user cannot be granted the owner role using `setIamPolicy()`. The user must be granted the owner role using the Cloud Platform Console and must explicitly accept the invitation. + Invitations to grant the owner role cannot be sent using `setIamPolicy()`; they must be sent only using the Cloud Platform Console. + If the project is not part of an organization, there must be at least one owner who has accepted the Terms of Service (ToS) agreement in the policy. Calling `setIamPolicy()` to remove the last ToS-accepted owner from the policy will fail. This restriction also applies to legacy projects that no longer have owners who have accepted the ToS. Edits to IAM policies will be rejected until the lack of a ToS-accepting owner is rectified. If the project is part of an organization, you can remove all owners, potentially making the organization inaccessible. + Calling this method requires enabling the App Engine Admin API.", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "path": "v3/{+resource}:setIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "cloudresourcemanager.projects.setIamPolicy" }, "get": { "response": { "$ref": "Project" }, "description": "Retrieves the project identified by the specified `name` (for example, `projects/415104041262`). The caller must have `resourcemanager.projects.get` permission for this project.", "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "cloudresourcemanager.projects.get", "parameters": { "name": { "pattern": "^projects/[^/]+$", "description": "Required. The name of the project (for example, `projects/415104041262`).", "type": "string", "required": true, "location": "path" } }, "flatPath": "v3/projects/{projectsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v3/{+name}" } } }, "tagKeys": { "methods": { "setIamPolicy": { "httpMethod": "POST", "flatPath": "v3/tagKeys/{tagKeysId}:setIamPolicy", "parameters": { "resource": { "location": "path", "type": "string", "pattern": "^tagKeys/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "id": "cloudresourcemanager.tagKeys.setIamPolicy", "path": "v3/{+resource}:setIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the access control policy on a TagKey, replacing any existing policy. The `resource` field should be the TagKey's resource name. For example, \"tagKeys/1234\". The caller must have `resourcemanager.tagKeys.setIamPolicy` permission on the identified tagValue.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "flatPath": "v3/tagKeys/{tagKeysId}:getIamPolicy", "path": "v3/{+resource}:getIamPolicy", "httpMethod": "POST", "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a TagKey. The returned policy may be empty if no such policy or resource exists. The `resource` field should be the TagKey's resource name. For example, \"tagKeys/1234\". The caller must have `cloudresourcemanager.googleapis.com/tagKeys.getIamPolicy` permission on the specified TagKey.", "id": "cloudresourcemanager.tagKeys.getIamPolicy", "request": { "$ref": "GetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "Policy" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "required": true, "pattern": "^tagKeys/[^/]+$" } } }, "patch": { "request": { "$ref": "TagKey" }, "parameterOrder": [ "name" ], "path": "v3/{+name}", "id": "cloudresourcemanager.tagKeys.patch", "parameters": { "name": { "required": true, "type": "string", "description": "Immutable. The resource name for a TagKey. Must be in the format `tagKeys/{tag_key_id}`, where `tag_key_id` is the generated numeric id for the TagKey.", "pattern": "^tagKeys/[^/]+$", "location": "path" }, "validateOnly": { "type": "boolean", "description": "Set as true to perform validations necessary for updating the resource, but not actually perform the action.", "location": "query" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Fields to be updated. The mask may only contain `description` or `etag`. If omitted entirely, both `description` and `etag` are assumed to be significant.", "type": "string" } }, "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the attributes of the TagKey resource.", "flatPath": "v3/tagKeys/{tagKeysId}" }, "get": { "parameterOrder": [ "name" ], "description": "Retrieves a TagKey. This method will return `PERMISSION_DENIED` if the key does not exist or the user does not have permission to view it.", "parameters": { "name": { "pattern": "^tagKeys/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. A resource name in the format `tagKeys/{id}`, such as `tagKeys/123`." } }, "httpMethod": "GET", "flatPath": "v3/tagKeys/{tagKeysId}", "id": "cloudresourcemanager.tagKeys.get", "path": "v3/{+name}", "response": { "$ref": "TagKey" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ] }, "create": { "id": "cloudresourcemanager.tagKeys.create", "path": "v3/tagKeys", "parameterOrder": [], "flatPath": "v3/tagKeys", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new TagKey. If another request with the same parameters is sent while the original request is in process, the second request will receive an error. A maximum of 1000 TagKeys can exist under a parent at any given time.", "response": { "$ref": "Operation" }, "parameters": { "validateOnly": { "description": "Optional. Set to true to perform validations necessary for creating the resource, but not actually perform the action.", "type": "boolean", "location": "query" } }, "httpMethod": "POST", "request": { "$ref": "TagKey" } }, "list": { "response": { "$ref": "ListTagKeysResponse" }, "id": "cloudresourcemanager.tagKeys.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v3/tagKeys", "httpMethod": "GET", "path": "v3/tagKeys", "description": "Lists all TagKeys for a parent resource.", "parameterOrder": [], "parameters": { "pageSize": { "location": "query", "description": "Optional. The maximum number of TagKeys to return in the response. The server allows a maximum of 300 TagKeys to return. If unspecified, the server will use 100 as the default.", "type": "integer", "format": "int32" }, "parent": { "location": "query", "description": "Required. The resource name of the new TagKey's parent. Must be of the form `folders/{folder_id}` or `organizations/{org_id}`.", "type": "string" }, "pageToken": { "type": "string", "description": "Optional. A pagination token returned from a previous call to `ListTagKey` that indicates where this listing should continue from.", "location": "query" } } }, "testIamPermissions": { "path": "v3/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "type": "string", "pattern": "^tagKeys/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true } }, "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified TagKey. The `resource` field should be the TagKey's resource name. For example, \"tagKeys/1234\". There are no permissions required for making this API call.", "id": "cloudresourcemanager.tagKeys.testIamPermissions", "flatPath": "v3/tagKeys/{tagKeysId}:testIamPermissions" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "flatPath": "v3/tagKeys/{tagKeysId}", "httpMethod": "DELETE", "path": "v3/{+name}", "description": "Deletes a TagKey. The TagKey cannot be deleted if it has any child TagValues.", "id": "cloudresourcemanager.tagKeys.delete", "parameterOrder": [ "name" ], "parameters": { "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. Set as true to perform validations necessary for deletion, but not actually perform the action." }, "etag": { "type": "string", "location": "query", "description": "Optional. The etag known to the client for the expected state of the TagKey. This is to be used for optimistic concurrency." }, "name": { "description": "Required. The resource name of a TagKey to be deleted in the format `tagKeys/123`. The TagKey cannot be a parent of any existing TagValues or it will not be deleted successfully.", "pattern": "^tagKeys/[^/]+$", "location": "path", "type": "string", "required": true } } } } }, "organizations": { "methods": { "getIamPolicy": { "parameters": { "resource": { "pattern": "^organizations/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } }, "path": "v3/{+resource}:getIamPolicy", "request": { "$ref": "GetIamPolicyRequest" }, "httpMethod": "POST", "flatPath": "v3/organizations/{organizationsId}:getIamPolicy", "response": { "$ref": "Policy" }, "id": "cloudresourcemanager.organizations.getIamPolicy", "description": "Gets the access control policy for an organization resource. The policy may be empty if no such policy or resource exists. The `resource` field should be the organization's resource name, for example: \"organizations/123\". Authorization requires the IAM permission `resourcemanager.organizations.getIamPolicy` on the specified organization.", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ] }, "setIamPolicy": { "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^organizations/[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v3/organizations/{organizationsId}:setIamPolicy", "path": "v3/{+resource}:setIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "POST", "id": "cloudresourcemanager.organizations.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on an organization resource. Replaces any existing policy. The `resource` field should be the organization's resource name, for example: \"organizations/123\". Authorization requires the IAM permission `resourcemanager.organizations.setIamPolicy` on the specified organization." }, "get": { "parameterOrder": [ "name" ], "description": "Fetches an organization resource identified by the specified resource name.", "response": { "$ref": "Organization" }, "httpMethod": "GET", "id": "cloudresourcemanager.organizations.get", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^organizations/[^/]+$", "required": true, "description": "Required. The resource name of the Organization to fetch. This is the organization's relative path in the API, formatted as \"organizations/[organizationId]\". For example, \"organizations/1234\"." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "flatPath": "v3/organizations/{organizationsId}", "path": "v3/{+name}" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "POST", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v3/{+resource}:testIamPermissions", "flatPath": "v3/organizations/{organizationsId}:testIamPermissions", "id": "cloudresourcemanager.organizations.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "description": "Returns the permissions that a caller has on the specified organization. The `resource` field should be the organization's resource name, for example: \"organizations/123\". There are no permissions required for making this API call.", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "pattern": "^organizations/[^/]+$" } } }, "search": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [], "response": { "$ref": "SearchOrganizationsResponse" }, "description": "Searches organization resources that are visible to the user and satisfy the specified filter. This method returns organizations in an unspecified order. New organizations do not necessarily appear at the end of the results, and may take a small amount of time to appear. Search will only return organizations on which the user has the permission `resourcemanager.organizations.get`", "httpMethod": "GET", "parameters": { "query": { "description": "Optional. An optional query string used to filter the Organizations to return in the response. Query rules are case-insensitive. ``` | Field | Description | |------------------|--------------------------------------------| | directoryCustomerId, owner.directoryCustomerId | Filters by directory customer id. | | domain | Filters by domain. | ``` Organizations may be queried by `directoryCustomerId` or by `domain`, where the domain is a G Suite domain, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Query `directorycustomerid:123456789` returns Organization resources with `owner.directory_customer_id` equal to `123456789`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Query `domain:google.com` returns Organization resources corresponding to the domain `google.com`.", "location": "query", "type": "string" }, "pageToken": { "description": "Optional. A pagination token returned from a previous call to `SearchOrganizations` that indicates from where listing should continue.", "location": "query", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of organizations to return in the response. The server can return fewer organizations than requested. If unspecified, server picks an appropriate default.", "format": "int32", "type": "integer", "location": "query" } }, "path": "v3/organizations:search", "flatPath": "v3/organizations:search", "id": "cloudresourcemanager.organizations.search" } } }, "liens": { "methods": { "delete": { "parameterOrder": [ "name" ], "flatPath": "v3/liens/{liensId}", "httpMethod": "DELETE", "path": "v3/{+name}", "id": "cloudresourcemanager.liens.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "Empty" }, "description": "Delete a Lien by `name`. Callers of this method will require permission on the `parent` resource. For example, a Lien with a `parent` of `projects/1234` requires permission `resourcemanager.projects.updateLiens`.", "parameters": { "name": { "location": "path", "description": "Required. The name/identifier of the Lien to delete.", "type": "string", "pattern": "^liens/.*$", "required": true } } }, "get": { "flatPath": "v3/liens/{liensId}", "httpMethod": "GET", "path": "v3/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "cloudresourcemanager.liens.get", "parameters": { "name": { "required": true, "pattern": "^liens/.*$", "type": "string", "location": "path", "description": "Required. The name/identifier of the Lien." } }, "parameterOrder": [ "name" ], "response": { "$ref": "Lien" }, "description": "Retrieve a Lien by `name`. Callers of this method will require permission on the `parent` resource. For example, a Lien with a `parent` of `projects/1234` requires permission `resourcemanager.projects.get`" }, "create": { "id": "cloudresourcemanager.liens.create", "path": "v3/liens", "response": { "$ref": "Lien" }, "flatPath": "v3/liens", "request": { "$ref": "Lien" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "POST", "parameters": {}, "description": "Create a Lien which applies to the resource denoted by the `parent` field. Callers of this method will require permission on the `parent` resource. For example, applying to `projects/1234` requires permission `resourcemanager.projects.updateLiens`. NOTE: Some resources may limit the number of Liens which may be applied.", "parameterOrder": [] }, "list": { "httpMethod": "GET", "parameters": { "pageSize": { "type": "integer", "description": "The maximum number of items to return. This is a suggestion for the server. The server can return fewer liens than requested. If unspecified, server picks an appropriate default.", "format": "int32", "location": "query" }, "parent": { "location": "query", "description": "Required. The name of the resource to list all attached Liens. For example, `projects/1234`. (google.api.field_policy).resource_type annotation is not set since the parent depends on the meta api implementation. This field could be a project or other sub project resources.", "type": "string" }, "pageToken": { "description": "The `next_page_token` value returned from a previous List request, if any.", "location": "query", "type": "string" } }, "id": "cloudresourcemanager.liens.list", "flatPath": "v3/liens", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "List all Liens applied to the `parent` resource. Callers of this method will require permission on the `parent` resource. For example, a Lien with a `parent` of `projects/1234` requires permission `resourcemanager.projects.get`.", "response": { "$ref": "ListLiensResponse" }, "parameterOrder": [], "path": "v3/liens" } } }, "tagValues": { "methods": { "create": { "flatPath": "v3/tagValues", "path": "v3/tagValues", "parameters": { "validateOnly": { "location": "query", "description": "Optional. Set as true to perform the validations necessary for creating the resource, but not actually perform the action.", "type": "boolean" } }, "id": "cloudresourcemanager.tagValues.create", "description": "Creates a TagValue as a child of the specified TagKey. If a another request with the same parameters is sent while the original request is in process the second request will receive an error. A maximum of 1000 TagValues can exist under a TagKey at any given time.", "request": { "$ref": "TagValue" }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [] }, "getIamPolicy": { "path": "v3/{+resource}:getIamPolicy", "parameters": { "resource": { "pattern": "^tagValues/[^/]+$", "location": "path", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "flatPath": "v3/tagValues/{tagValuesId}:getIamPolicy", "httpMethod": "POST", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "id": "cloudresourcemanager.tagValues.getIamPolicy", "request": { "$ref": "GetIamPolicyRequest" }, "description": "Gets the access control policy for a TagValue. The returned policy may be empty if no such policy or resource exists. The `resource` field should be the TagValue's resource name. For example: `tagValues/1234`. The caller must have the `cloudresourcemanager.googleapis.com/tagValues.getIamPolicy` permission on the identified TagValue to get the access control policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ] }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified TagValue. The `resource` field should be the TagValue's resource name. For example: `tagValues/1234`. There are no permissions required for making this API call.", "id": "cloudresourcemanager.tagValues.testIamPermissions", "flatPath": "v3/tagValues/{tagValuesId}:testIamPermissions", "path": "v3/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "httpMethod": "POST", "parameterOrder": [ "resource" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^tagValues/[^/]+$", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "TestIamPermissionsRequest" } }, "patch": { "id": "cloudresourcemanager.tagValues.patch", "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "flatPath": "v3/tagValues/{tagValuesId}", "path": "v3/{+name}", "request": { "$ref": "TagValue" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the attributes of the TagValue resource.", "parameters": { "name": { "type": "string", "required": true, "pattern": "^tagValues/[^/]+$", "location": "path", "description": "Immutable. Resource name for TagValue in the format `tagValues/456`." }, "updateMask": { "type": "string", "location": "query", "description": "Optional. Fields to be updated.", "format": "google-fieldmask" }, "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. True to perform validations necessary for updating the resource, but not actually perform the action." } } }, "delete": { "description": "Deletes a TagValue. The TagValue cannot have any bindings when it is deleted.", "parameterOrder": [ "name" ], "id": "cloudresourcemanager.tagValues.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v3/tagValues/{tagValuesId}", "response": { "$ref": "Operation" }, "path": "v3/{+name}", "httpMethod": "DELETE", "parameters": { "validateOnly": { "description": "Optional. Set as true to perform the validations necessary for deletion, but not actually perform the action.", "location": "query", "type": "boolean" }, "etag": { "location": "query", "type": "string", "description": "Optional. The etag known to the client for the expected state of the TagValue. This is to be used for optimistic concurrency." }, "name": { "pattern": "^tagValues/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. Resource name for TagValue to be deleted in the format tagValues/456." } } }, "get": { "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "TagValue" }, "path": "v3/{+name}", "flatPath": "v3/tagValues/{tagValuesId}", "description": "Retrieves TagValue. If the TagValue or namespaced name does not exist, or if the user does not have permission to view it, this method will return `PERMISSION_DENIED`.", "parameters": { "name": { "type": "string", "description": "Required. Resource name for TagValue to be fetched in the format `tagValues/456`.", "location": "path", "pattern": "^tagValues/[^/]+$", "required": true } }, "id": "cloudresourcemanager.tagValues.get" }, "list": { "flatPath": "v3/tagValues", "parameters": { "pageToken": { "type": "string", "description": "Optional. A pagination token returned from a previous call to `ListTagValues` that indicates where this listing should continue from.", "location": "query" }, "pageSize": { "description": "Optional. The maximum number of TagValues to return in the response. The server allows a maximum of 300 TagValues to return. If unspecified, the server will use 100 as the default.", "format": "int32", "location": "query", "type": "integer" }, "parent": { "location": "query", "description": "Required. Resource name for TagKey, parent of the TagValues to be listed, in the format `tagKeys/123`.", "type": "string" } }, "response": { "$ref": "ListTagValuesResponse" }, "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "path": "v3/tagValues", "httpMethod": "GET", "description": "Lists all TagValues for a specific TagKey.", "id": "cloudresourcemanager.tagValues.list" }, "setIamPolicy": { "description": "Sets the access control policy on a TagValue, replacing any existing policy. The `resource` field should be the TagValue's resource name. For example: `tagValues/1234`. The caller must have `resourcemanager.tagValues.setIamPolicy` permission on the identified tagValue.", "flatPath": "v3/tagValues/{tagValuesId}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "cloudresourcemanager.tagValues.setIamPolicy", "parameterOrder": [ "resource" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^tagValues/[^/]+$", "location": "path", "required": true, "type": "string" } }, "httpMethod": "POST", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "path": "v3/{+resource}:setIamPolicy" } }, "resources": { "tagHolds": { "methods": { "delete": { "description": "Deletes a TagHold.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "flatPath": "v3/tagValues/{tagValuesId}/tagHolds/{tagHoldsId}", "parameters": { "validateOnly": { "location": "query", "description": "Optional. Set to true to perform the validations necessary for deleting the resource, but not actually perform the action.", "type": "boolean" }, "name": { "required": true, "type": "string", "description": "Required. The resource name of the TagHold to delete. Must be of the form: `tagValues/{tag-value-id}/tagHolds/{tag-hold-id}`.", "pattern": "^tagValues/[^/]+/tagHolds/[^/]+$", "location": "path" } }, "id": "cloudresourcemanager.tagValues.tagHolds.delete", "path": "v3/{+name}" }, "list": { "parameters": { "pageSize": { "location": "query", "description": "Optional. The maximum number of TagHolds to return in the response. The server allows a maximum of 300 TagHolds to return. If unspecified, the server will use 100 as the default.", "type": "integer", "format": "int32" }, "parent": { "type": "string", "description": "Required. The resource name of the parent TagValue. Must be of the form: `tagValues/{tag-value-id}`.", "required": true, "pattern": "^tagValues/[^/]+$", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. A pagination token returned from a previous call to `ListTagHolds` that indicates where this listing should continue from." }, "filter": { "description": "Optional. Criteria used to select a subset of TagHolds parented by the TagValue to return. This field follows the syntax defined by aip.dev/160; the `holder` and `origin` fields are supported for filtering. Currently only `AND` syntax is supported. Some example queries are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `holder = //compute.googleapis.com/compute/projects/myproject/regions/us-east-1/instanceGroupManagers/instance-group` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `origin = 35678234` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `holder = //compute.googleapis.com/compute/projects/myproject/regions/us-east-1/instanceGroupManagers/instance-group AND origin = 35678234`", "location": "query", "type": "string" } }, "path": "v3/{+parent}/tagHolds", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "parent" ], "httpMethod": "GET", "description": "Lists TagHolds under a TagValue.", "flatPath": "v3/tagValues/{tagValuesId}/tagHolds", "id": "cloudresourcemanager.tagValues.tagHolds.list", "response": { "$ref": "ListTagHoldsResponse" } }, "create": { "path": "v3/{+parent}/tagHolds", "httpMethod": "POST", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "request": { "$ref": "TagHold" }, "id": "cloudresourcemanager.tagValues.tagHolds.create", "parameters": { "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. Set to true to perform the validations necessary for creating the resource, but not actually perform the action." }, "parent": { "location": "path", "pattern": "^tagValues/[^/]+$", "required": true, "description": "Required. The resource name of the TagHold's parent TagValue. Must be of the form: `tagValues/{tag-value-id}`.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a TagHold. Returns ALREADY_EXISTS if a TagHold with the same resource and origin exists under the same TagValue.", "flatPath": "v3/tagValues/{tagValuesId}/tagHolds" } } } } }, "folders": { "methods": { "delete": { "response": { "$ref": "Operation" }, "id": "cloudresourcemanager.folders.delete", "path": "v3/{+name}", "parameters": { "name": { "description": "Required. The resource name of the folder to be deleted. Must be of the form `folders/{folder_id}`.", "type": "string", "required": true, "location": "path", "pattern": "^folders/[^/]+$" } }, "httpMethod": "DELETE", "flatPath": "v3/folders/{foldersId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Requests deletion of a folder. The folder is moved into the DELETE_REQUESTED state immediately, and is deleted approximately 30 days later. This method may only be called on an empty folder, where a folder is empty if it doesn't contain any folders or projects in the ACTIVE state. If called on a folder in DELETE_REQUESTED state the operation will result in a no-op success. The caller must have `resourcemanager.folders.delete` permission on the identified folder." }, "get": { "description": "Retrieves a folder identified by the supplied resource name. Valid folder resource names have the format `folders/{folder_id}` (for example, `folders/1234`). The caller must have `resourcemanager.folders.get` permission on the identified folder.", "path": "v3/{+name}", "httpMethod": "GET", "response": { "$ref": "Folder" }, "flatPath": "v3/folders/{foldersId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The resource name of the folder to retrieve. Must be of the form `folders/{folder_id}`.", "type": "string", "location": "path", "pattern": "^folders/[^/]+$", "required": true } }, "id": "cloudresourcemanager.folders.get" }, "search": { "description": "Search for folders that match specific filter criteria. `search()` provides an eventually consistent view of the folders a user has access to which meet the specified filter criteria. This will only return folders on which the caller has the permission `resourcemanager.folders.get`.", "id": "cloudresourcemanager.folders.search", "parameterOrder": [], "parameters": { "pageSize": { "location": "query", "description": "Optional. The maximum number of folders to return in the response. The server can return fewer folders than requested. If unspecified, server picks an appropriate default.", "type": "integer", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A pagination token returned from a previous call to `SearchFolders` that indicates from where search should continue." }, "query": { "location": "query", "type": "string", "description": "Optional. Search criteria used to select the folders to return. If no search criteria is specified then all accessible folders will be returned. Query expressions can be used to restrict results based upon displayName, state and parent, where the operators `=` (`:`) `NOT`, `AND` and `OR` can be used along with the suffix wildcard symbol `*`. The `displayName` field in a query expression should use escaped quotes for values that include whitespace to prevent unexpected behavior. ``` | Field | Description | |-------------------------|----------------------------------------| | displayName | Filters by displayName. | | parent | Filters by parent (for example: folders/123). | | state, lifecycleState | Filters by state. | ``` Some example queries are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Query `displayName=Test*` returns Folder resources whose display name starts with \"Test\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Query `state=ACTIVE` returns Folder resources with `state` set to `ACTIVE`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Query `parent=folders/123` returns Folder resources that have `folders/123` as a parent resource. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Query `parent=folders/123 AND state=ACTIVE` returns active Folder resources that have `folders/123` as a parent resource. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Query `displayName=\\\\\"Test String\\\\\"` returns Folder resources with display names that include both \"Test\" and \"String\"." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "response": { "$ref": "SearchFoldersResponse" }, "httpMethod": "GET", "flatPath": "v3/folders:search", "path": "v3/folders:search" }, "create": { "id": "cloudresourcemanager.folders.create", "description": "Creates a folder in the resource hierarchy. Returns an `Operation` which can be used to track the progress of the folder creation workflow. Upon success, the `Operation.response` field will be populated with the created Folder. In order to succeed, the addition of this new folder must not violate the folder naming, height, or fanout constraints. + The folder's `display_name` must be distinct from all other folders that share its parent. + The addition of the folder must not cause the active folder hierarchy to exceed a height of 10. Note, the full active + deleted folder hierarchy is allowed to reach a height of 20; this provides additional headroom when moving folders that contain deleted folders. + The addition of the folder must not cause the total number of folders under its parent to exceed 300. If the operation fails due to a folder constraint violation, some errors may be returned by the `CreateFolder` request, with status code `FAILED_PRECONDITION` and an error description. Other folder constraint violations will be communicated in the `Operation`, with the specific `PreconditionFailure` returned in the details list in the `Operation.error` field. The caller must have `resourcemanager.folders.create` permission on the identified parent.", "path": "v3/folders", "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [], "flatPath": "v3/folders", "response": { "$ref": "Operation" }, "request": { "$ref": "Folder" } }, "patch": { "parameterOrder": [ "name" ], "id": "cloudresourcemanager.folders.patch", "flatPath": "v3/folders/{foldersId}", "description": "Updates a folder, changing its `display_name`. Changes to the folder `display_name` will be rejected if they violate either the `display_name` formatting rules or the naming constraints described in the CreateFolder documentation. The folder's `display_name` must start and end with a letter or digit, may contain letters, digits, spaces, hyphens and underscores and can be between 3 and 30 characters. This is captured by the regular expression: `\\p{L}\\p{N}{1,28}[\\p{L}\\p{N}]`. The caller must have `resourcemanager.folders.update` permission on the identified folder. If the update fails due to the unique name constraint then a `PreconditionFailure` explaining this violation will be returned in the Status.details field.", "response": { "$ref": "Operation" }, "parameters": { "updateMask": { "location": "query", "description": "Required. Fields to be updated. Only the `display_name` can be updated.", "type": "string", "format": "google-fieldmask" }, "name": { "required": true, "description": "Output only. The resource name of the folder. Its format is `folders/{folder_id}`, for example: \"folders/1234\".", "type": "string", "location": "path", "pattern": "^folders/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Folder" }, "path": "v3/{+name}", "httpMethod": "PATCH" }, "setIamPolicy": { "httpMethod": "POST", "flatPath": "v3/folders/{foldersId}:setIamPolicy", "path": "v3/{+resource}:setIamPolicy", "id": "cloudresourcemanager.folders.setIamPolicy", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "type": "string", "required": true, "location": "path", "pattern": "^folders/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "description": "Sets the access control policy on a folder, replacing any existing policy. The `resource` field should be the folder's resource name, for example: \"folders/1234\". The caller must have `resourcemanager.folders.setIamPolicy` permission on the identified folder." }, "list": { "response": { "$ref": "ListFoldersResponse" }, "parameters": { "pageToken": { "location": "query", "description": "Optional. A pagination token returned from a previous call to `ListFolders` that indicates where this listing should continue from.", "type": "string" }, "showDeleted": { "location": "query", "description": "Optional. Controls whether folders in the DELETE_REQUESTED state should be returned. Defaults to false.", "type": "boolean" }, "pageSize": { "type": "integer", "location": "query", "description": "Optional. The maximum number of folders to return in the response. The server can return fewer folders than requested. If unspecified, server picks an appropriate default.", "format": "int32" }, "parent": { "type": "string", "location": "query", "description": "Required. The resource name of the organization or folder whose folders are being listed. Must be of the form `folders/{folder_id}` or `organizations/{org_id}`. Access to this method is controlled by checking the `resourcemanager.folders.list` permission on the `parent`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "cloudresourcemanager.folders.list", "httpMethod": "GET", "flatPath": "v3/folders", "parameterOrder": [], "path": "v3/folders", "description": "Lists the folders that are direct descendants of supplied parent resource. `list()` provides a strongly consistent view of the folders underneath the specified parent resource. `list()` returns folders sorted based upon the (ascending) lexical ordering of their display_name. The caller must have `resourcemanager.folders.list` permission on the identified parent." }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified folder. The `resource` field should be the folder's resource name, for example: \"folders/1234\". There are no permissions required for making this API call.", "flatPath": "v3/folders/{foldersId}:testIamPermissions", "id": "cloudresourcemanager.folders.testIamPermissions", "httpMethod": "POST", "path": "v3/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "location": "path", "pattern": "^folders/[^/]+$" } } }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "description": "Gets the access control policy for a folder. The returned policy may be empty if no such policy or resource exists. The `resource` field should be the folder's resource name, for example: \"folders/1234\". The caller must have `resourcemanager.folders.getIamPolicy` permission on the identified folder.", "flatPath": "v3/folders/{foldersId}:getIamPolicy", "parameterOrder": [ "resource" ], "parameters": { "resource": { "pattern": "^folders/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true } }, "httpMethod": "POST", "id": "cloudresourcemanager.folders.getIamPolicy", "path": "v3/{+resource}:getIamPolicy", "request": { "$ref": "GetIamPolicyRequest" }, "response": { "$ref": "Policy" } }, "undelete": { "request": { "$ref": "UndeleteFolderRequest" }, "parameterOrder": [ "name" ], "flatPath": "v3/folders/{foldersId}:undelete", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^folders/[^/]+$", "required": true, "description": "Required. The resource name of the folder to undelete. Must be of the form `folders/{folder_id}`." } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "cloudresourcemanager.folders.undelete", "path": "v3/{+name}:undelete", "description": "Cancels the deletion request for a folder. This method may be called on a folder in any state. If the folder is in the ACTIVE state the result will be a no-op success. In order to succeed, the folder's parent must be in the ACTIVE state. In addition, reintroducing the folder into the tree must not violate folder naming, height, and fanout constraints described in the CreateFolder documentation. The caller must have `resourcemanager.folders.undelete` permission on the identified folder." }, "move": { "request": { "$ref": "MoveFolderRequest" }, "description": "Moves a folder under a new resource parent. Returns an `Operation` which can be used to track the progress of the folder move workflow. Upon success, the `Operation.response` field will be populated with the moved folder. Upon failure, a `FolderOperationError` categorizing the failure cause will be returned - if the failure occurs synchronously then the `FolderOperationError` will be returned in the `Status.details` field. If it occurs asynchronously, then the FolderOperation will be returned in the `Operation.error` field. In addition, the `Operation.metadata` field will be populated with a `FolderOperation` message as an aid to stateless clients. Folder moves will be rejected if they violate either the naming, height, or fanout constraints described in the CreateFolder documentation. The caller must have `resourcemanager.folders.move` permission on the folder's current and proposed new parent.", "httpMethod": "POST", "id": "cloudresourcemanager.folders.move", "flatPath": "v3/folders/{foldersId}:move", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The resource name of the Folder to move. Must be of the form folders/{folder_id}", "location": "path", "pattern": "^folders/[^/]+$", "type": "string", "required": true } }, "response": { "$ref": "Operation" }, "path": "v3/{+name}:move", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "tagBindings": { "methods": { "list": { "flatPath": "v3/tagBindings", "id": "cloudresourcemanager.tagBindings.list", "parameters": { "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Optional. The maximum number of TagBindings to return in the response. The server allows a maximum of 300 TagBindings to return. If unspecified, the server will use 100 as the default. Currently this api returns unpaginated response and `page_size` is ignored." }, "pageToken": { "description": "Optional. A pagination token returned from a previous call to `ListTagBindings` that indicates where this listing should continue from. Currently this api returns unpaginated response and `page_token` is ignored.", "type": "string", "location": "query" }, "parent": { "location": "query", "type": "string", "description": "Required. The full resource name of a resource for which you want to list existing TagBindings. E.g. \"//cloudresourcemanager.googleapis.com/projects/123\"" } }, "httpMethod": "GET", "description": "Lists the TagBindings for the given cloud resource, as specified with `parent`. NOTE: The `parent` field is expected to be a full resource name: https://cloud.google.com/apis/design/resource_names#full_resource_name", "path": "v3/tagBindings", "parameterOrder": [], "response": { "$ref": "ListTagBindingsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ] }, "delete": { "parameterOrder": [ "name" ], "description": "Deletes a TagBinding.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "flatPath": "v3/tagBindings/{tagBindingsId}", "path": "v3/{+name}", "id": "cloudresourcemanager.tagBindings.delete", "parameters": { "name": { "type": "string", "description": "Required. The name of the TagBinding. This is a String of the form: `tagBindings/{id}` (e.g. `tagBindings/%2F%2Fcloudresourcemanager.googleapis.com%2Fprojects%2F123/tagValues/456`).", "required": true, "location": "path", "pattern": "^tagBindings/.*$" } }, "httpMethod": "DELETE" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [], "flatPath": "v3/tagBindings", "path": "v3/tagBindings", "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "cloudresourcemanager.tagBindings.create", "parameters": { "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. Set to true to perform the validations necessary for creating the resource, but not actually perform the action." } }, "description": "Creates a TagBinding between a TagValue and a cloud resource (currently project, folder, or organization).", "request": { "$ref": "TagBinding" } } } }, "operations": { "methods": { "get": { "flatPath": "v3/operations/{operationsId}", "parameters": { "name": { "type": "string", "pattern": "^operations/.*$", "location": "path", "description": "The name of the operation resource.", "required": true } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v3/{+name}", "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "id": "cloudresourcemanager.operations.get" } } }, "effectiveTags": { "methods": { "list": { "response": { "$ref": "ListEffectiveTagsResponse" }, "id": "cloudresourcemanager.effectiveTags.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only" ], "httpMethod": "GET", "parameterOrder": [], "path": "v3/effectiveTags", "parameters": { "parent": { "location": "query", "type": "string", "description": "Required. The full resource name of a resource for which you want to list the effective tags. E.g. \"//cloudresourcemanager.googleapis.com/projects/123\"" }, "pageSize": { "format": "int32", "description": "Optional. The maximum number of effective tags to return in the response. The server allows a maximum of 300 effective tags to return in a single page. If unspecified, the server will use 100 as the default.", "type": "integer", "location": "query" }, "pageToken": { "description": "Optional. A pagination token returned from a previous call to `ListEffectiveTags` that indicates from where this listing should continue.", "type": "string", "location": "query" } }, "description": "Return a list of effective tags for the given cloud resource, as specified in `parent`.", "flatPath": "v3/effectiveTags" } } } }, "discoveryVersion": "v1", "ownerName": "Google", "batchPath": "batch", "version_module": true, "protocol": "rest", "schemas": { "CloudresourcemanagerGoogleCloudResourcemanagerV2alpha1FolderOperation": { "type": "object", "description": "Metadata describing a long running folder operation", "properties": { "destinationParent": { "type": "string", "description": "The resource name of the folder or organization we are either creating the folder under or moving the folder to." }, "displayName": { "description": "The display name of the folder.", "type": "string" }, "sourceParent": { "type": "string", "description": "The resource name of the folder's parent. Only applicable when the operation_type is MOVE." }, "operationType": { "type": "string", "description": "The type of this operation.", "enum": [ "OPERATION_TYPE_UNSPECIFIED", "CREATE", "MOVE" ], "enumDescriptions": [ "Operation type not specified.", "A create folder operation.", "A move folder operation." ] } }, "id": "CloudresourcemanagerGoogleCloudResourcemanagerV2alpha1FolderOperation" }, "ListProjectsResponse": { "description": "A page of the response received from the ListProjects method. A paginated response where more pages are available has `next_page_token` set. This token can be used in a subsequent request to retrieve the next request page. NOTE: A response may contain fewer elements than the request `page_size` and still have a `next_page_token`.", "type": "object", "properties": { "nextPageToken": { "description": "Pagination token. If the result set is too large to fit in a single response, this token is returned. It encodes the position of the current result cursor. Feeding this value into a new list request with the `page_token` parameter gives the next page of the results. When `next_page_token` is not filled in, there is no next page and the list returned is the last page in the result set. Pagination tokens have a limited lifetime.", "type": "string" }, "projects": { "items": { "$ref": "Project" }, "description": "The list of Projects under the parent. This list can be paginated.", "type": "array" } }, "id": "ListProjectsResponse" }, "UndeleteFolderRequest": { "description": "The UndeleteFolder request message.", "id": "UndeleteFolderRequest", "properties": {}, "type": "object" }, "DeleteTagValueMetadata": { "description": "Runtime operation information for deleting a TagValue.", "type": "object", "id": "DeleteTagValueMetadata", "properties": {} }, "ListLiensResponse": { "description": "The response message for Liens.ListLiens.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "liens": { "type": "array", "items": { "$ref": "Lien" }, "description": "A list of Liens." } }, "id": "ListLiensResponse" }, "Lien": { "description": "A Lien represents an encumbrance on the actions that can be performed on a resource.", "type": "object", "id": "Lien", "properties": { "origin": { "description": "A stable, user-visible/meaningful string identifying the origin of the Lien, intended to be inspected programmatically. Maximum length of 200 characters. Example: 'compute.googleapis.com'", "type": "string" }, "reason": { "type": "string", "description": "Concise user-visible strings indicating why an action cannot be performed on a resource. Maximum length of 200 characters. Example: 'Holds production API key'" }, "name": { "description": "A system-generated unique identifier for this Lien. Example: `liens/1234abcd`", "type": "string" }, "createTime": { "format": "google-datetime", "description": "The creation time of this Lien.", "type": "string" }, "parent": { "type": "string", "description": "A reference to the resource this Lien is attached to. The server will validate the parent against those for which Liens are supported. Example: `projects/1234`" }, "restrictions": { "items": { "type": "string" }, "description": "The types of operations which should be blocked as a result of this Lien. Each value should correspond to an IAM permission. The server will validate the permissions against those for which Liens are supported. An empty list is meaningless and will be rejected. Example: ['resourcemanager.projects.delete']", "type": "array" } } }, "UpdateFolderMetadata": { "properties": {}, "id": "UpdateFolderMetadata", "type": "object", "description": "A status object which is used as the `metadata` field for the Operation returned by UpdateFolder." }, "ListTagValuesResponse": { "id": "ListTagValuesResponse", "properties": { "nextPageToken": { "type": "string", "description": "A pagination token returned from a previous call to `ListTagValues` that indicates from where listing should continue. This is currently not used, but the server may at any point start supplying a valid token." }, "tagValues": { "type": "array", "description": "A possibly paginated list of TagValues that are direct descendants of the specified parent TagKey.", "items": { "$ref": "TagValue" } } }, "type": "object", "description": "The ListTagValues response." }, "TagHold": { "type": "object", "properties": { "holder": { "type": "string", "description": "Required. The name of the resource where the TagValue is being used. Must be less than 200 characters. E.g. `//compute.googleapis.com/compute/projects/myproject/regions/us-east-1/instanceGroupManagers/instance-group`" }, "origin": { "type": "string", "description": "Optional. An optional string representing the origin of this request. This field should include human-understandable information to distinguish origins from each other. Must be less than 200 characters. E.g. `migs-35678234`" }, "name": { "type": "string", "description": "Output only. The resource name of a TagHold. This is a String of the form: `tagValues/{tag-value-id}/tagHolds/{tag-hold-id}` (e.g. `tagValues/123/tagHolds/456`). This resource name is generated by the server.", "readOnly": true }, "createTime": { "description": "Output only. The time this TagHold was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "helpLink": { "description": "Optional. A URL where an end user can learn more about removing this hold. E.g. `https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing`", "type": "string" } }, "id": "TagHold", "description": "A TagHold represents the use of a TagValue that is not captured by TagBindings. If a TagValue has any TagHolds, deletion will be blocked. This resource is intended to be created in the same cloud location as the `holder`." }, "Status": { "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status", "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } } }, "Empty": { "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "GetIamPolicyRequest": { "description": "Request message for `GetIamPolicy` method.", "id": "GetIamPolicyRequest", "properties": { "options": { "$ref": "GetPolicyOptions", "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`." } }, "type": "object" }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "type": "object", "id": "SetIamPolicyRequest", "properties": { "updateMask": { "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } } }, "DeleteProjectMetadata": { "id": "DeleteProjectMetadata", "type": "object", "description": "A status object which is used as the `metadata` field for the Operation returned by `DeleteProject`.", "properties": {} }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "type": "object", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } }, "description": "Response message for `TestIamPermissions` method." }, "DeleteFolderMetadata": { "properties": {}, "description": "A status object which is used as the `metadata` field for the `Operation` returned by `DeleteFolder`.", "id": "DeleteFolderMetadata", "type": "object" }, "MoveProjectRequest": { "properties": { "destinationParent": { "description": "Required. The new parent to move the Project under.", "type": "string" } }, "id": "MoveProjectRequest", "type": "object", "description": "The request sent to MoveProject method." }, "FolderOperation": { "type": "object", "properties": { "displayName": { "type": "string", "description": "The display name of the folder." }, "destinationParent": { "type": "string", "description": "The resource name of the folder or organization we are either creating the folder under or moving the folder to." }, "sourceParent": { "description": "The resource name of the folder's parent. Only applicable when the operation_type is MOVE.", "type": "string" }, "operationType": { "type": "string", "enumDescriptions": [ "Operation type not specified.", "A create folder operation.", "A move folder operation." ], "enum": [ "OPERATION_TYPE_UNSPECIFIED", "CREATE", "MOVE" ], "description": "The type of this operation." } }, "id": "FolderOperation", "description": "Metadata describing a long running folder operation" }, "Organization": { "type": "object", "description": "The root node in the resource hierarchy to which a particular entity's (a company, for example) resources belong.", "properties": { "state": { "enumDescriptions": [ "Unspecified state. This is only useful for distinguishing unset values.", "The normal and active state.", "The organization has been marked for deletion by the user." ], "description": "Output only. The organization's current lifecycle state.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "DELETE_REQUESTED" ], "readOnly": true }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. Timestamp when the Organization was created.", "format": "google-datetime" }, "deleteTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. Timestamp when the Organization was requested for deletion." }, "directoryCustomerId": { "type": "string", "description": "Immutable. The G Suite / Workspace customer id used in the Directory API." }, "name": { "readOnly": true, "type": "string", "description": "Output only. The resource name of the organization. This is the organization's relative path in the API. Its format is \"organizations/[organization_id]\". For example, \"organizations/1234\"." }, "updateTime": { "description": "Output only. Timestamp when the Organization was last modified.", "readOnly": true, "format": "google-datetime", "type": "string" }, "etag": { "description": "Output only. A checksum computed by the server based on the current value of the Organization resource. This may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding.", "readOnly": true, "type": "string" }, "displayName": { "type": "string", "readOnly": true, "description": "Output only. A human-readable string that refers to the organization in the Google Cloud Console. This string is set by the server and cannot be changed. The string will be set to the primary domain (for example, \"google.com\") of the Google Workspace customer that owns the organization." } }, "id": "Organization" }, "DeleteOrganizationMetadata": { "description": "A status object which is used as the `metadata` field for the operation returned by DeleteOrganization.", "properties": {}, "type": "object", "id": "DeleteOrganizationMetadata" }, "ListTagHoldsResponse": { "properties": { "tagHolds": { "type": "array", "description": "A possibly paginated list of TagHolds.", "items": { "$ref": "TagHold" } }, "nextPageToken": { "type": "string", "description": "Pagination token. If the result set is too large to fit in a single response, this token is returned. It encodes the position of the current result cursor. Feeding this value into a new list request with the `page_token` parameter gives the next page of the results. When `next_page_token` is not filled in, there is no next page and the list returned is the last page in the result set. Pagination tokens have a limited lifetime." } }, "id": "ListTagHoldsResponse", "description": "The ListTagHolds response.", "type": "object" }, "CloudresourcemanagerGoogleCloudResourcemanagerV2beta1FolderOperation": { "properties": { "destinationParent": { "type": "string", "description": "The resource name of the folder or organization we are either creating the folder under or moving the folder to." }, "sourceParent": { "description": "The resource name of the folder's parent. Only applicable when the operation_type is MOVE.", "type": "string" }, "operationType": { "enumDescriptions": [ "Operation type not specified.", "A create folder operation.", "A move folder operation." ], "type": "string", "description": "The type of this operation.", "enum": [ "OPERATION_TYPE_UNSPECIFIED", "CREATE", "MOVE" ] }, "displayName": { "type": "string", "description": "The display name of the folder." } }, "id": "CloudresourcemanagerGoogleCloudResourcemanagerV2beta1FolderOperation", "description": "Metadata describing a long running folder operation", "type": "object" }, "UndeleteOrganizationMetadata": { "id": "UndeleteOrganizationMetadata", "type": "object", "properties": {}, "description": "A status object which is used as the `metadata` field for the Operation returned by UndeleteOrganization." }, "MoveFolderRequest": { "id": "MoveFolderRequest", "type": "object", "properties": { "destinationParent": { "description": "Required. The resource name of the folder or organization which should be the folder's new parent. Must be of the form `folders/{folder_id}` or `organizations/{org_id}`.", "type": "string" } }, "description": "The MoveFolder request message." }, "ProjectCreationStatus": { "properties": { "createTime": { "description": "Creation time of the project creation workflow.", "type": "string", "format": "google-datetime" }, "gettable": { "type": "boolean", "description": "True if the project can be retrieved using GetProject. No other operations on the project are guaranteed to work until the project creation is complete." }, "ready": { "description": "True if the project creation process is complete.", "type": "boolean" } }, "description": "A status object which is used as the `metadata` field for the Operation returned by CreateProject. It provides insight for when significant phases of Project creation have completed.", "id": "ProjectCreationStatus", "type": "object" }, "TagValue": { "description": "A TagValue is a child of a particular TagKey. This is used to group cloud resources for the purpose of controlling them using policies.", "properties": { "namespacedName": { "description": "Output only. Namespaced name of the TagValue. Must be in the format `{organization_id}/{tag_key_short_name}/{short_name}`.", "type": "string", "readOnly": true }, "shortName": { "description": "Required. Immutable. User-assigned short name for TagValue. The short name should be unique for TagValues within the same parent TagKey. The short name must be 63 characters or less, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between.", "type": "string" }, "name": { "type": "string", "description": "Immutable. Resource name for TagValue in the format `tagValues/456`." }, "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Creation time." }, "parent": { "type": "string", "description": "Immutable. The resource name of the new TagValue's parent TagKey. Must be of the form `tagKeys/{tag_key_id}`." }, "updateTime": { "description": "Output only. Update time.", "type": "string", "format": "google-datetime", "readOnly": true }, "description": { "description": "Optional. User-assigned description of the TagValue. Must not exceed 256 characters. Read-write.", "type": "string" }, "etag": { "type": "string", "description": "Optional. Entity tag which users can pass to prevent race conditions. This field is always set in server responses. See UpdateTagValueRequest for details." } }, "id": "TagValue", "type": "object" }, "UpdateTagKeyMetadata": { "type": "object", "description": "Runtime operation information for updating a TagKey.", "id": "UpdateTagKeyMetadata", "properties": {} }, "Operation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation", "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } } }, "GetPolicyOptions": { "id": "GetPolicyOptions", "description": "Encapsulates settings provided to GetIamPolicy.", "type": "object", "properties": { "requestedPolicyVersion": { "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } } }, "TagBinding": { "type": "object", "properties": { "parent": { "description": "The full resource name of the resource the TagValue is bound to. E.g. `//cloudresourcemanager.googleapis.com/projects/123`", "type": "string" }, "name": { "type": "string", "description": "Output only. The name of the TagBinding. This is a String of the form: `tagBindings/{full-resource-name}/{tag-value-name}` (e.g. `tagBindings/%2F%2Fcloudresourcemanager.googleapis.com%2Fprojects%2F123/tagValues/456`).", "readOnly": true }, "tagValue": { "description": "The TagValue of the TagBinding. Must be of the form `tagValues/456`.", "type": "string" } }, "description": "A TagBinding represents a connection between a TagValue and a cloud resource (currently project, folder, or organization). Once a TagBinding is created, the TagValue is applied to all the descendants of the cloud resource.", "id": "TagBinding" }, "Policy": { "type": "object", "properties": { "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" }, "type": "array" }, "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "auditConfigs": { "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy.", "type": "array" }, "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy" }, "CreateFolderMetadata": { "id": "CreateFolderMetadata", "description": "Metadata pertaining to the Folder creation process.", "type": "object", "properties": { "displayName": { "type": "string", "description": "The display name of the folder." }, "parent": { "description": "The resource name of the folder or organization we are creating the folder under.", "type": "string" } } }, "CreateTagBindingMetadata": { "id": "CreateTagBindingMetadata", "description": "Runtime operation information for creating a TagValue.", "type": "object", "properties": {} }, "DeleteTagKeyMetadata": { "description": "Runtime operation information for deleting a TagKey.", "type": "object", "id": "DeleteTagKeyMetadata", "properties": {} }, "Project": { "id": "Project", "description": "A project is a high-level Google Cloud entity. It is a container for ACLs, APIs, App Engine Apps, VMs, and other Google Cloud Platform resources.", "properties": { "updateTime": { "type": "string", "description": "Output only. The most recent time this resource was modified.", "readOnly": true, "format": "google-datetime" }, "displayName": { "description": "Optional. A user-assigned display name of the project. When present it must be between 4 to 30 characters. Allowed characters are: lowercase and uppercase letters, numbers, hyphen, single-quote, double-quote, space, and exclamation point. Example: `My Project`", "type": "string" }, "deleteTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time at which this resource was requested for deletion." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. The labels associated with this project. Label keys must be between 1 and 63 characters long and must conform to the following regular expression: \\[a-z\\](\\[-a-z0-9\\]*\\[a-z0-9\\])?. Label values must be between 0 and 63 characters long and must conform to the regular expression (\\[a-z\\](\\[-a-z0-9\\]*\\[a-z0-9\\])?)?. No more than 256 labels can be associated with a given resource. Clients should store labels in a representation such as JSON that does not depend on specific characters being disallowed. Example: `\"myBusinessDimension\" : \"businessValue\"`" }, "parent": { "description": "Optional. A reference to a parent Resource. eg., `organizations/123` or `folders/876`.", "type": "string" }, "createTime": { "description": "Output only. Creation time.", "format": "google-datetime", "readOnly": true, "type": "string" }, "state": { "readOnly": true, "enumDescriptions": [ "Unspecified state. This is only used/useful for distinguishing unset values.", "The normal and active state.", "The project has been marked for deletion by the user (by invoking DeleteProject) or by the system (Google Cloud Platform). This can generally be reversed by invoking UndeleteProject." ], "description": "Output only. The project lifecycle state.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "DELETE_REQUESTED" ], "type": "string" }, "etag": { "type": "string", "description": "Output only. A checksum computed by the server based on the current value of the Project resource. This may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding.", "readOnly": true }, "name": { "description": "Output only. The unique resource name of the project. It is an int64 generated number prefixed by \"projects/\". Example: `projects/415104041262`", "readOnly": true, "type": "string" }, "projectId": { "type": "string", "description": "Immutable. The unique, user-assigned id of the project. It must be 6 to 30 lowercase ASCII letters, digits, or hyphens. It must start with a letter. Trailing hyphens are prohibited. Example: `tokyo-rain-123`" } }, "type": "object" }, "CreateTagKeyMetadata": { "properties": {}, "type": "object", "description": "Runtime operation information for creating a TagKey.", "id": "CreateTagKeyMetadata" }, "AuditConfig": { "id": "AuditConfig", "type": "object", "properties": { "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "UndeleteFolderMetadata": { "properties": {}, "id": "UndeleteFolderMetadata", "description": "A status object which is used as the `metadata` field for the `Operation` returned by `UndeleteFolder`.", "type": "object" }, "FolderOperationError": { "id": "FolderOperationError", "properties": { "errorMessageId": { "enumDescriptions": [ "The error type was unrecognized or unspecified.", "The attempted action would violate the max folder depth constraint.", "The attempted action would violate the max child folders constraint.", "The attempted action would violate the locally-unique folder display_name constraint.", "The resource being moved has been deleted.", "The resource a folder was being added to has been deleted.", "The attempted action would introduce cycle in resource path.", "The attempted action would move a folder that is already being moved.", "The folder the caller is trying to delete contains active resources.", "The attempted action would violate the max deleted folder depth constraint." ], "enum": [ "ERROR_TYPE_UNSPECIFIED", "ACTIVE_FOLDER_HEIGHT_VIOLATION", "MAX_CHILD_FOLDERS_VIOLATION", "FOLDER_NAME_UNIQUENESS_VIOLATION", "RESOURCE_DELETED_VIOLATION", "PARENT_DELETED_VIOLATION", "CYCLE_INTRODUCED_VIOLATION", "FOLDER_BEING_MOVED_VIOLATION", "FOLDER_TO_DELETE_NON_EMPTY_VIOLATION", "DELETED_FOLDER_HEIGHT_VIOLATION" ], "type": "string", "description": "The type of operation error experienced." } }, "description": "A classification of the Folder Operation error.", "type": "object" }, "DeleteTagBindingMetadata": { "id": "DeleteTagBindingMetadata", "type": "object", "description": "Runtime operation information for deleting a TagBinding.", "properties": {} }, "CreateTagValueMetadata": { "properties": {}, "id": "CreateTagValueMetadata", "type": "object", "description": "Runtime operation information for creating a TagValue." }, "ListTagBindingsResponse": { "description": "The ListTagBindings response.", "id": "ListTagBindingsResponse", "properties": { "nextPageToken": { "description": "Pagination token. If the result set is too large to fit in a single response, this token is returned. It encodes the position of the current result cursor. Feeding this value into a new list request with the `page_token` parameter gives the next page of the results. When `next_page_token` is not filled in, there is no next page and the list returned is the last page in the result set. Pagination tokens have a limited lifetime.", "type": "string" }, "tagBindings": { "items": { "$ref": "TagBinding" }, "description": "A possibly paginated list of TagBindings for the specified resource.", "type": "array" } }, "type": "object" }, "EffectiveTag": { "description": "An EffectiveTag represents a tag that applies to a resource during policy evaluation. Tags can be either directly bound to a resource or inherited from its ancestor. EffectiveTag contains the name and namespaced_name of the tag value and tag key, with additional fields of `inherited` to indicate the inheritance status of the effective tag.", "id": "EffectiveTag", "type": "object", "properties": { "inherited": { "description": "Indicates the inheritance status of a tag value attached to the given resource. If the tag value is inherited from one of the resource's ancestors, inherited will be true. If false, then the tag value is directly attached to the resource, inherited will be false.", "type": "boolean" }, "tagKey": { "description": "The name of the TagKey, in the format `tagKeys/{id}`, such as `tagKeys/123`.", "type": "string" }, "namespacedTagValue": { "type": "string", "description": "Namespaced name of the TagValue. Must be in the format `{organization_id}/{tag_key_short_name}/{tag_value_short_name}`." }, "tagValue": { "type": "string", "description": "Resource name for TagValue in the format `tagValues/456`." }, "namespacedTagKey": { "type": "string", "description": "The namespaced_name of the TagKey, in the format of `{organization_id}/{tag_key_short_name}`" } } }, "ListEffectiveTagsResponse": { "type": "object", "id": "ListEffectiveTagsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token. If the result set is too large to fit in a single response, this token is returned. It encodes the position of the current result cursor. Feeding this value into a new list request with the `page_token` parameter gives the next page of the results. When `next_page_token` is not filled in, there is no next page and the list returned is the last page in the result set. Pagination tokens have a limited lifetime." }, "effectiveTags": { "description": "A possibly paginated list of effective tags for the specified resource.", "items": { "$ref": "EffectiveTag" }, "type": "array" } }, "description": "The response of ListEffectiveTags." }, "ListTagKeysResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A pagination token returned from a previous call to `ListTagKeys` that indicates from where listing should continue." }, "tagKeys": { "items": { "$ref": "TagKey" }, "type": "array", "description": "List of TagKeys that live under the specified parent in the request." } }, "type": "object", "id": "ListTagKeysResponse", "description": "The ListTagKeys response message." }, "TagKey": { "id": "TagKey", "properties": { "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. Update time." }, "purpose": { "description": "Optional. A purpose denotes that this Tag is intended for use in policies of a specific policy engine, and will involve that policy engine in management operations involving this Tag. A purpose does not grant a policy engine exclusive rights to the Tag, and it may be referenced by other policy engines. A purpose cannot be changed once set.", "type": "string", "enumDescriptions": [ "Unspecified purpose.", "Purpose for Compute Engine firewalls. A corresponding purpose_data should be set for the network the tag is intended for. The key should be 'network' and the value should be in the format of the network url id string: https://compute.googleapis.com/v1/projects/{project_number}/global/networks/{network_id}" ], "enum": [ "PURPOSE_UNSPECIFIED", "GCE_FIREWALL" ] }, "parent": { "description": "Immutable. The resource name of the new TagKey's parent. Must be of the form `organizations/{org_id}`.", "type": "string" }, "description": { "type": "string", "description": "Optional. User-assigned description of the TagKey. Must not exceed 256 characters. Read-write." }, "shortName": { "type": "string", "description": "Required. Immutable. The user friendly name for a TagKey. The short name should be unique for TagKeys within the same tag namespace. The short name must be 1-63 characters, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between." }, "etag": { "description": "Optional. Entity tag which users can pass to prevent race conditions. This field is always set in server responses. See UpdateTagKeyRequest for details.", "type": "string" }, "namespacedName": { "readOnly": true, "description": "Output only. Immutable. Namespaced name of the TagKey.", "type": "string" }, "purposeData": { "description": "Optional. Purpose data corresponds to the policy system that the tag is intended for. See documentation for `Purpose` for formatting of this field. Purpose data cannot be changed once set.", "type": "object", "additionalProperties": { "type": "string" } }, "createTime": { "format": "google-datetime", "description": "Output only. Creation time.", "type": "string", "readOnly": true }, "name": { "description": "Immutable. The resource name for a TagKey. Must be in the format `tagKeys/{tag_key_id}`, where `tag_key_id` is the generated numeric id for the TagKey.", "type": "string" } }, "description": "A TagKey, used to group a set of TagValues.", "type": "object" }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "type": "object", "properties": { "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "id": "Binding" }, "Folder": { "description": "A folder in an organization's resource hierarchy, used to organize that organization's resources.", "id": "Folder", "properties": { "deleteTime": { "description": "Output only. Timestamp when the folder was requested to be deleted.", "readOnly": true, "type": "string", "format": "google-datetime" }, "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. Timestamp when the folder was created." }, "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "DELETE_REQUESTED" ], "type": "string", "enumDescriptions": [ "Unspecified state.", "The normal and active state.", "The folder has been marked for deletion by the user." ], "description": "Output only. The lifecycle state of the folder. Updates to the state must be performed using DeleteFolder and UndeleteFolder." }, "updateTime": { "description": "Output only. Timestamp when the folder was last modified.", "readOnly": true, "type": "string", "format": "google-datetime" }, "parent": { "type": "string", "description": "Required. The folder's parent's resource name. Updates to the folder's parent must be performed using MoveFolder." }, "displayName": { "description": "The folder's display name. A folder's display name must be unique amongst its siblings. For example, no two folders with the same parent can share the same display name. The display name must start and end with a letter or digit, may contain letters, digits, spaces, hyphens and underscores and can be no longer than 30 characters. This is captured by the regular expression: `[\\p{L}\\p{N}]([\\p{L}\\p{N}_- ]{0,28}[\\p{L}\\p{N}])?`.", "type": "string" }, "etag": { "type": "string", "readOnly": true, "description": "Output only. A checksum computed by the server based on the current value of the folder resource. This may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding." }, "name": { "type": "string", "description": "Output only. The resource name of the folder. Its format is `folders/{folder_id}`, for example: \"folders/1234\".", "readOnly": true } }, "type": "object" }, "MoveFolderMetadata": { "description": "Metadata pertaining to the folder move process.", "properties": { "displayName": { "type": "string", "description": "The display name of the folder." }, "destinationParent": { "description": "The resource name of the folder or organization to move the folder to.", "type": "string" }, "sourceParent": { "description": "The resource name of the folder's parent.", "type": "string" } }, "id": "MoveFolderMetadata", "type": "object" }, "SearchOrganizationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A pagination token to be used to retrieve the next page of results. If the result is too large to fit within the page size specified in the request, this field will be set with a token that can be used to fetch the next page of results. If this field is empty, it indicates that this response contains the last page of results." }, "organizations": { "description": "The list of Organizations that matched the search query, possibly paginated.", "type": "array", "items": { "$ref": "Organization" } } }, "type": "object", "id": "SearchOrganizationsResponse", "description": "The response returned from the `SearchOrganizations` method." }, "MoveProjectMetadata": { "id": "MoveProjectMetadata", "properties": {}, "type": "object", "description": "A status object which is used as the `metadata` field for the Operation returned by MoveProject." }, "UpdateProjectMetadata": { "id": "UpdateProjectMetadata", "description": "A status object which is used as the `metadata` field for the Operation returned by UpdateProject.", "type": "object", "properties": {} }, "SearchProjectsResponse": { "description": "A page of the response received from the SearchProjects method. A paginated response where more pages are available has `next_page_token` set. This token can be used in a subsequent request to retrieve the next request page.", "properties": { "projects": { "items": { "$ref": "Project" }, "description": "The list of Projects that matched the list filter query. This list can be paginated.", "type": "array" }, "nextPageToken": { "description": "Pagination token. If the result set is too large to fit in a single response, this token is returned. It encodes the position of the current result cursor. Feeding this value into a new list request with the `page_token` parameter gives the next page of the results. When `next_page_token` is not filled in, there is no next page and the list returned is the last page in the result set. Pagination tokens have a limited lifetime.", "type": "string" } }, "id": "SearchProjectsResponse", "type": "object" }, "CreateProjectMetadata": { "id": "CreateProjectMetadata", "properties": { "createTime": { "description": "Creation time of the project creation workflow.", "format": "google-datetime", "type": "string" }, "gettable": { "type": "boolean", "description": "True if the project can be retrieved using `GetProject`. No other operations on the project are guaranteed to work until the project creation is complete." }, "ready": { "type": "boolean", "description": "True if the project creation process is complete." } }, "description": "A status object which is used as the `metadata` field for the Operation returned by CreateProject. It provides insight for when significant phases of Project creation have completed.", "type": "object" }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "properties": { "logType": { "type": "string", "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] }, "exemptedMembers": { "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" } } }, "type": "object" }, "UpdateTagValueMetadata": { "properties": {}, "type": "object", "description": "Runtime operation information for updating a TagValue.", "id": "UpdateTagValueMetadata" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } }, "type": "object", "id": "Expr" }, "UndeleteProjectMetadata": { "id": "UndeleteProjectMetadata", "properties": {}, "type": "object", "description": "A status object which is used as the `metadata` field for the Operation returned by `UndeleteProject`." }, "UndeleteProjectRequest": { "properties": {}, "id": "UndeleteProjectRequest", "description": "The request sent to the UndeleteProject method.", "type": "object" }, "TestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array", "items": { "type": "string" } } }, "type": "object", "id": "TestIamPermissionsRequest" }, "ListFoldersResponse": { "properties": { "nextPageToken": { "description": "A pagination token returned from a previous call to `ListFolders` that indicates from where listing should continue.", "type": "string" }, "folders": { "type": "array", "description": "A possibly paginated list of folders that are direct descendants of the specified parent resource.", "items": { "$ref": "Folder" } } }, "id": "ListFoldersResponse", "type": "object", "description": "The ListFolders response message." }, "SearchFoldersResponse": { "type": "object", "description": "The response message for searching folders.", "properties": { "nextPageToken": { "type": "string", "description": "A pagination token returned from a previous call to `SearchFolders` that indicates from where searching should continue." }, "folders": { "type": "array", "description": "A possibly paginated folder search results. the specified parent resource.", "items": { "$ref": "Folder" } } }, "id": "SearchFoldersResponse" } }, "rootUrl": "https://cloudresourcemanager.googleapis.com/", "version": "v3", "fullyEncodeReservedExpansion": true, "kind": "discovery#restDescription" }
]===]))
