local decode = require("cjson").new().decode
return assert(decode([===[
{ "mtlsRootUrl": "https://cloudscheduler.mtls.googleapis.com/", "id": "cloudscheduler:v1beta1", "ownerDomain": "google.com", "ownerName": "Google", "name": "cloudscheduler", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "discoveryVersion": "v1", "version_module": true, "fullyEncodeReservedExpansion": true, "resources": { "projects": { "resources": { "locations": { "resources": { "jobs": { "methods": { "run": { "path": "v1beta1/{+name}:run", "request": { "$ref": "RunJobRequest" }, "response": { "$ref": "Job" }, "httpMethod": "POST", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "required": true, "location": "path", "description": "Required. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`." } }, "description": "Forces a job to run now. When this method is called, Cloud Scheduler will dispatch the job, even if the job is already running.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:run", "id": "cloudscheduler.projects.locations.jobs.run", "parameterOrder": [ "name" ] }, "pause": { "parameters": { "name": { "description": "Required. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "location": "path", "type": "string" } }, "response": { "$ref": "Job" }, "id": "cloudscheduler.projects.locations.jobs.pause", "parameterOrder": [ "name" ], "description": "Pauses a job. If a job is paused then the system will stop executing the job until it is re-enabled via ResumeJob. The state of the job is stored in state; if paused it will be set to Job.State.PAUSED. A job must be in Job.State.ENABLED to be paused.", "path": "v1beta1/{+name}:pause", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:pause", "httpMethod": "POST", "request": { "$ref": "PauseJobRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "resume": { "description": "Resume a job. This method reenables a job after it has been Job.State.PAUSED. The state of a job is stored in Job.state; after calling this method it will be set to Job.State.ENABLED. A job must be in Job.State.PAUSED to be resumed.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:resume", "httpMethod": "POST", "response": { "$ref": "Job" }, "path": "v1beta1/{+name}:resume", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$" } }, "parameterOrder": [ "name" ], "request": { "$ref": "ResumeJobRequest" }, "id": "cloudscheduler.projects.locations.jobs.resume" }, "patch": { "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}", "id": "cloudscheduler.projects.locations.jobs.patch", "httpMethod": "PATCH", "description": "Updates a job. If successful, the updated Job is returned. If the job does not exist, `NOT_FOUND` is returned. If UpdateJob does not successfully return, it is possible for the job to be in an Job.State.UPDATE_FAILED state. A job in this state may not be executed. If this happens, retry the UpdateJob request until a successful response is received.", "request": { "$ref": "Job" }, "response": { "$ref": "Job" }, "parameters": { "updateMask": { "format": "google-fieldmask", "description": "A mask used to specify which fields of the job are being updated.", "location": "query", "type": "string" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "description": "Optionally caller-specified in CreateJob, after which it becomes output only. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PROJECT_ID` can contain letters ([A-Za-z]), numbers ([0-9]), hyphens (-), colons (:), or periods (.). For more information, see [Identifying projects](https://cloud.google.com/resource-manager/docs/creating-managing-projects#identifying_projects) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `LOCATION_ID` is the canonical ID for the job's location. The list of available locations can be obtained by calling ListLocations. For more information, see https://cloud.google.com/about/locations/. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `JOB_ID` can contain only letters ([A-Za-z]), numbers ([0-9]), hyphens (-), or underscores (_). The maximum length is 500 characters.", "type": "string", "required": true, "location": "path" } } }, "list": { "description": "Lists jobs.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/jobs", "id": "cloudscheduler.projects.locations.jobs.list", "parameters": { "parent": { "description": "Required. The location name. For example: `projects/PROJECT_ID/locations/LOCATION_ID`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "required": true }, "filter": { "type": "string", "description": "`filter` can be used to specify a subset of jobs. If `filter` equals `target_config=\"HttpConfig\"`, then the http target jobs are retrieved. If `filter` equals `target_config=\"PubSubConfig\"`, then the Pub/Sub target jobs are retrieved. If `filter` equals `labels.foo=value1 labels.foo=value2` then only jobs which are labeled with foo=value1 AND foo=value2 will be returned.", "location": "query" }, "legacyAppEngineCron": { "description": "This field is used to manage the legacy App Engine Cron jobs using the Cloud Scheduler API. If the field is set to true, the jobs in the __cron queue will be listed instead.", "type": "boolean", "location": "query" }, "pageToken": { "type": "string", "description": "A token identifying a page of results the server will return. To request the first page results, page_token must be empty. To request the next page of results, page_token must be the value of next_page_token returned from the previous call to ListJobs. It is an error to switch the value of filter or order_by while iterating through pages.", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Requested page size. The maximum page size is 500. If unspecified, the page size will be the maximum. Fewer jobs than requested might be returned, even if more jobs exist; use next_page_token to determine if more jobs exist." } }, "response": { "$ref": "ListJobsResponse" }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/jobs" }, "delete": { "response": { "$ref": "Empty" }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}", "parameterOrder": [ "name" ], "id": "cloudscheduler.projects.locations.jobs.delete", "httpMethod": "DELETE", "description": "Deletes a job.", "parameters": { "name": { "description": "Required. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "required": true, "type": "string", "location": "path" }, "legacyAppEngineCron": { "location": "query", "description": "This field is used to manage the legacy App Engine Cron jobs using the Cloud Scheduler API. If the field is set to true, the job in the __cron queue with the corresponding name will be deleted instead.", "type": "boolean" } } }, "create": { "response": { "$ref": "Job" }, "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/jobs", "request": { "$ref": "Job" }, "id": "cloudscheduler.projects.locations.jobs.create", "path": "v1beta1/{+parent}/jobs", "description": "Creates a job.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "description": "Required. The location name. For example: `projects/PROJECT_ID/locations/LOCATION_ID`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path" } }, "parameterOrder": [ "parent" ] }, "get": { "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "description": "Required. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.", "required": true, "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Gets a job.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}", "id": "cloudscheduler.projects.locations.jobs.get", "response": { "$ref": "Job" } } } } }, "methods": { "list": { "flatPath": "v1beta1/projects/{projectsId}/locations", "httpMethod": "GET", "parameters": { "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "type": "integer", "format": "int32" }, "filter": { "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query" }, "name": { "type": "string", "required": true, "location": "path", "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$" }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" } }, "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ListLocationsResponse" }, "path": "v1beta1/{+name}/locations", "id": "cloudscheduler.projects.locations.list", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "description": "Gets information about a location.", "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "response": { "$ref": "Location" }, "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true, "description": "Resource name for the location." } }, "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "cloudscheduler.projects.locations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "title": "Cloud Scheduler API", "version": "v1beta1", "baseUrl": "https://cloudscheduler.googleapis.com/", "schemas": { "OidcToken": { "type": "object", "properties": { "serviceAccountEmail": { "description": "[Service account email](https://cloud.google.com/iam/docs/service-accounts) to be used for generating OIDC token. The service account must be within the same project as the job. The caller must have iam.serviceAccounts.actAs permission for the service account.", "type": "string" }, "audience": { "type": "string", "description": "Audience to be used when generating OIDC token. If not specified, the URI specified in target will be used." } }, "description": "Contains information needed for generating an [OpenID Connect token](https://developers.google.com/identity/protocols/OpenIDConnect). This type of authorization can be used for many scenarios, including calling Cloud Run, or endpoints where you intend to validate the token yourself.", "id": "OidcToken" }, "PauseJobRequest": { "description": "Request message for PauseJob.", "type": "object", "properties": {}, "id": "PauseJobRequest" }, "OAuthToken": { "id": "OAuthToken", "properties": { "serviceAccountEmail": { "type": "string", "description": "[Service account email](https://cloud.google.com/iam/docs/service-accounts) to be used for generating OAuth token. The service account must be within the same project as the job. The caller must have iam.serviceAccounts.actAs permission for the service account." }, "scope": { "description": "OAuth scope to be used for generating OAuth access token. If not specified, \"https://www.googleapis.com/auth/cloud-platform\" will be used.", "type": "string" } }, "description": "Contains information needed for generating an [OAuth token](https://developers.google.com/identity/protocols/OAuth2). This type of authorization should generally only be used when calling Google APIs hosted on *.googleapis.com.", "type": "object" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "type": "object", "properties": { "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } } }, "ResumeJobRequest": { "description": "Request message for ResumeJob.", "properties": {}, "id": "ResumeJobRequest", "type": "object" }, "HttpTarget": { "properties": { "oauthToken": { "$ref": "OAuthToken", "description": "If specified, an [OAuth token](https://developers.google.com/identity/protocols/OAuth2) will be generated and attached as an `Authorization` header in the HTTP request. This type of authorization should generally only be used when calling Google APIs hosted on *.googleapis.com." }, "uri": { "type": "string", "description": "Required. The full URI path that the request will be sent to. This string must begin with either \"http://\" or \"https://\". Some examples of valid values for uri are: `http://acme.com` and `https://acme.com/sales:8080`. Cloud Scheduler will encode some characters for safety and compatibility. The maximum allowed URL length is 2083 characters after encoding." }, "body": { "type": "string", "format": "byte", "description": "HTTP request body. A request body is allowed only if the HTTP method is POST, PUT, or PATCH. It is an error to set body on a job with an incompatible HttpMethod." }, "headers": { "additionalProperties": { "type": "string" }, "description": "The user can specify HTTP request headers to send with the job's HTTP request. This map contains the header field names and values. Repeated headers are not supported, but a header value can contain commas. These headers represent a subset of the headers that will accompany the job's HTTP request. Some HTTP request headers will be ignored or replaced. A partial list of headers that will be ignored or replaced is below: - Host: This will be computed by Cloud Scheduler and derived from uri. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Content-Length`: This will be computed by Cloud Scheduler. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `User-Agent`: This will be set to `\"Google-Cloud-Scheduler\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `X-Google-*`: Google internal use only. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `X-AppEngine-*`: Google internal use only. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `X-CloudScheduler`: This header will be set to true. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `X-CloudScheduler-JobName`: This header will contain the job name. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `X-CloudScheduler-ScheduleTime`: For Cloud Scheduler jobs specified in the unix-cron format, this header will contain the job schedule time in RFC3339 UTC \"Zulu\" format. The total size of headers must be less than 80KB.", "type": "object" }, "httpMethod": { "enumDescriptions": [ "HTTP method unspecified. Defaults to POST.", "HTTP POST", "HTTP GET", "HTTP HEAD", "HTTP PUT", "HTTP DELETE", "HTTP PATCH", "HTTP OPTIONS" ], "type": "string", "description": "Which HTTP method to use for the request.", "enum": [ "HTTP_METHOD_UNSPECIFIED", "POST", "GET", "HEAD", "PUT", "DELETE", "PATCH", "OPTIONS" ] }, "oidcToken": { "description": "If specified, an [OIDC](https://developers.google.com/identity/protocols/OpenIDConnect) token will be generated and attached as an `Authorization` header in the HTTP request. This type of authorization can be used for many scenarios, including calling Cloud Run, or endpoints where you intend to validate the token yourself.", "$ref": "OidcToken" } }, "description": "Http target. The job will be pushed to the job handler by means of an HTTP request via an http_method such as HTTP POST, HTTP GET, etc. The job is acknowledged by means of an HTTP response code in the range [200 - 299]. A failure to receive a response constitutes a failed execution. For a redirected request, the response returned by the redirected request is considered.", "type": "object", "id": "HttpTarget" }, "AppEngineHttpTarget": { "id": "AppEngineHttpTarget", "properties": { "body": { "type": "string", "description": "Body. HTTP request body. A request body is allowed only if the HTTP method is POST or PUT. It will result in invalid argument error to set a body on a job with an incompatible HttpMethod.", "format": "byte" }, "appEngineRouting": { "$ref": "AppEngineRouting", "description": "App Engine Routing setting for the job." }, "httpMethod": { "description": "The HTTP method to use for the request. PATCH and OPTIONS are not permitted.", "enum": [ "HTTP_METHOD_UNSPECIFIED", "POST", "GET", "HEAD", "PUT", "DELETE", "PATCH", "OPTIONS" ], "enumDescriptions": [ "HTTP method unspecified. Defaults to POST.", "HTTP POST", "HTTP GET", "HTTP HEAD", "HTTP PUT", "HTTP DELETE", "HTTP PATCH", "HTTP OPTIONS" ], "type": "string" }, "headers": { "description": "HTTP request headers. This map contains the header field names and values. Headers can be set when the job is created. Cloud Scheduler sets some headers to default values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `User-Agent`: By default, this header is `\"AppEngine-Google; (+http://code.google.com/appengine)\"`. This header can be modified, but Cloud Scheduler will append `\"AppEngine-Google; (+http://code.google.com/appengine)\"` to the modified `User-Agent`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `X-CloudScheduler`: This header will be set to true. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `X-CloudScheduler-JobName`: This header will contain the job name. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `X-CloudScheduler-ScheduleTime`: For Cloud Scheduler jobs specified in the unix-cron format, this header will contain the job schedule time in RFC3339 UTC \"Zulu\" format. If the job has an body, Cloud Scheduler sets the following headers: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Content-Type`: By default, the `Content-Type` header is set to `\"application/octet-stream\"`. The default can be overridden by explictly setting `Content-Type` to a particular media type when the job is created. For example, `Content-Type` can be set to `\"application/json\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Content-Length`: This is computed by Cloud Scheduler. This value is output only. It cannot be changed. The headers below are output only. They cannot be set or overridden: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `X-Google-*`: For Google internal use only. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `X-AppEngine-*`: For Google internal use only. In addition, some App Engine headers, which contain job-specific information, are also be sent to the job handler.", "type": "object", "additionalProperties": { "type": "string" } }, "relativeUri": { "description": "The relative URI. The relative URL must begin with \"/\" and must be a valid HTTP relative URL. It can contain a path, query string arguments, and `#` fragments. If the relative URL is empty, then the root path \"/\" will be used. No spaces are allowed, and the maximum length allowed is 2083 characters.", "type": "string" } }, "type": "object", "description": "App Engine target. The job will be pushed to a job handler by means of an HTTP request via an http_method such as HTTP POST, HTTP GET, etc. The job is acknowledged by means of an HTTP response code in the range [200 - 299]. Error 503 is considered an App Engine system error instead of an application error. Requests returning error 503 will be retried regardless of retry configuration and not counted against retry counts. Any other response code, or a failure to receive a response before the deadline, constitutes a failed attempt." }, "PubsubMessage": { "id": "PubsubMessage", "type": "object", "properties": { "orderingKey": { "description": "If non-empty, identifies related messages for which publish order should be respected. If a `Subscription` has `enable_message_ordering` set to `true`, messages published with the same non-empty `ordering_key` value will be delivered to subscribers in the order in which they are received by the Pub/Sub system. All `PubsubMessage`s published in a given `PublishRequest` must specify the same `ordering_key` value. For more information, see [ordering messages](https://cloud.google.com/pubsub/docs/ordering).", "type": "string" }, "publishTime": { "format": "google-datetime", "description": "The time at which the message was published, populated by the server when it receives the `Publish` call. It must not be populated by the publisher in a `Publish` call.", "type": "string" }, "data": { "format": "byte", "type": "string", "description": "The message data field. If this field is empty, the message must contain at least one attribute." }, "attributes": { "additionalProperties": { "type": "string" }, "description": "Attributes for this message. If this field is empty, the message must contain non-empty data. This can be used to filter messages on the subscription.", "type": "object" }, "messageId": { "description": "ID of this message, assigned by the server when the message is published. Guaranteed to be unique within the topic. This value may be read by a subscriber that receives a `PubsubMessage` via a `Pull` call or a push delivery. It must not be populated by the publisher in a `Publish` call.", "type": "string" } }, "description": "A message that is published by publishers and consumed by subscribers. The message must contain either a non-empty data field or at least one attribute. Note that client libraries represent this object differently depending on the language. See the corresponding [client library documentation](https://cloud.google.com/pubsub/docs/reference/libraries) for more information. See [quotas and limits] (https://cloud.google.com/pubsub/quotas) for more information about message limits." }, "AppEngineRouting": { "type": "object", "id": "AppEngineRouting", "properties": { "instance": { "type": "string", "description": "App instance. By default, the job is sent to an instance which is available when the job is attempted. Requests can only be sent to a specific instance if [manual scaling is used in App Engine Standard](https://cloud.google.com/appengine/docs/python/an-overview-of-app-engine?#scaling_types_and_instance_classes). App Engine Flex does not support instances. For more information, see [App Engine Standard request routing](https://cloud.google.com/appengine/docs/standard/python/how-requests-are-routed) and [App Engine Flex request routing](https://cloud.google.com/appengine/docs/flexible/python/how-requests-are-routed)." }, "service": { "type": "string", "description": "App service. By default, the job is sent to the service which is the default service when the job is attempted." }, "version": { "type": "string", "description": "App version. By default, the job is sent to the version which is the default version when the job is attempted." }, "host": { "description": "Output only. The host that the job is sent to. For more information about how App Engine requests are routed, see [here](https://cloud.google.com/appengine/docs/standard/python/how-requests-are-routed). The host is constructed as: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `host = [application_domain_name]` `| [service] + '.' + [application_domain_name]` `| [version] + '.' + [application_domain_name]` `| [version_dot_service]+ '.' + [application_domain_name]` `| [instance] + '.' + [application_domain_name]` `| [instance_dot_service] + '.' + [application_domain_name]` `| [instance_dot_version] + '.' + [application_domain_name]` `| [instance_dot_version_dot_service] + '.' + [application_domain_name]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `application_domain_name` = The domain name of the app, for example .appspot.com, which is associated with the job's project ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `service =` service LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `version =` version LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `version_dot_service =` version `+ '.' +` service LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `instance =` instance LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `instance_dot_service =` instance `+ '.' +` service LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `instance_dot_version =` instance `+ '.' +` version LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `instance_dot_version_dot_service =` instance `+ '.' +` version `+ '.' +` service If service is empty, then the job will be sent to the service which is the default service when the job is attempted. If version is empty, then the job will be sent to the version which is the default version when the job is attempted. If instance is empty, then the job will be sent to an instance which is available when the job is attempted. If service, version, or instance is invalid, then the job will be sent to the default version of the default service when the job is attempted.", "type": "string" } }, "description": "App Engine Routing. For more information about services, versions, and instances see [An Overview of App Engine](https://cloud.google.com/appengine/docs/python/an-overview-of-app-engine), [Microservices Architecture on Google App Engine](https://cloud.google.com/appengine/docs/python/microservices-on-app-engine), [App Engine Standard request routing](https://cloud.google.com/appengine/docs/standard/python/how-requests-are-routed), and [App Engine Flex request routing](https://cloud.google.com/appengine/docs/flexible/python/how-requests-are-routed)." }, "Job": { "properties": { "pubsubTarget": { "description": "Pub/Sub target.", "$ref": "PubsubTarget" }, "appEngineHttpTarget": { "$ref": "AppEngineHttpTarget", "description": "App Engine HTTP target." }, "attemptDeadline": { "format": "google-duration", "type": "string", "description": "The deadline for job attempts. If the request handler does not respond by this deadline then the request is cancelled and the attempt is marked as a `DEADLINE_EXCEEDED` failure. The failed attempt can be viewed in execution logs. Cloud Scheduler will retry the job according to the RetryConfig. The allowed duration for this deadline is: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For HTTP targets, between 15 seconds and 30 minutes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For App Engine HTTP targets, between 15 seconds and 24 hours 15 seconds. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For Pub/Sub targets, this field is ignored." }, "userUpdateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The creation time of the job." }, "scheduleTime": { "format": "google-datetime", "description": "Output only. The next time the job is scheduled. Note that this may be a retry of a previously failed attempt or the next execution time according to the schedule.", "type": "string" }, "status": { "$ref": "Status", "description": "Output only. The response from the target for the last attempted execution." }, "legacyAppEngineCron": { "description": "Immutable. This field is used to manage the legacy App Engine Cron jobs using the Cloud Scheduler API. If the field is set to true, the job will be considered a legacy job. Note that App Engine Cron jobs have fewer features than Cloud Scheduler jobs, e.g., are only limited to App Engine targets.", "type": "boolean" }, "lastAttemptTime": { "description": "Output only. The time the last job attempt started.", "format": "google-datetime", "type": "string" }, "retryConfig": { "description": "Settings that determine the retry behavior.", "$ref": "RetryConfig" }, "description": { "type": "string", "description": "Optionally caller-specified in CreateJob or UpdateJob. A human-readable description for the job. This string must not contain more than 500 characters." }, "httpTarget": { "description": "HTTP target.", "$ref": "HttpTarget" }, "timeZone": { "description": "Specifies the time zone to be used in interpreting schedule. The value of this field must be a time zone name from the [tz database](http://en.wikipedia.org/wiki/Tz_database). Note that some time zones include a provision for daylight savings time. The rules for daylight saving time are determined by the chosen tz. For UTC use the string \"utc\". If a time zone is not specified, the default will be in UTC (also known as GMT).", "type": "string" }, "name": { "description": "Optionally caller-specified in CreateJob, after which it becomes output only. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PROJECT_ID` can contain letters ([A-Za-z]), numbers ([0-9]), hyphens (-), colons (:), or periods (.). For more information, see [Identifying projects](https://cloud.google.com/resource-manager/docs/creating-managing-projects#identifying_projects) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `LOCATION_ID` is the canonical ID for the job's location. The list of available locations can be obtained by calling ListLocations. For more information, see https://cloud.google.com/about/locations/. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `JOB_ID` can contain only letters ([A-Za-z]), numbers ([0-9]), hyphens (-), or underscores (_). The maximum length is 500 characters.", "type": "string" }, "state": { "description": "Output only. State of the job.", "enum": [ "STATE_UNSPECIFIED", "ENABLED", "PAUSED", "DISABLED", "UPDATE_FAILED" ], "enumDescriptions": [ "Unspecified state.", "The job is executing normally.", "The job is paused by the user. It will not execute. A user can intentionally pause the job using PauseJobRequest.", "The job is disabled by the system due to error. The user cannot directly set a job to be disabled.", "The job state resulting from a failed CloudScheduler.UpdateJob operation. To recover a job from this state, retry CloudScheduler.UpdateJob until a successful response is received." ], "type": "string" }, "schedule": { "type": "string", "description": "Required, except when used with UpdateJob. Describes the schedule on which the job will be executed. The schedule can be either of the following types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Crontab](https://en.wikipedia.org/wiki/Cron#Overview) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh English-like [schedule](https://cloud.google.com/scheduler/docs/configuring/cron-job-schedules) As a general rule, execution `n + 1` of a job will not begin until execution `n` has finished. Cloud Scheduler will never allow two simultaneously outstanding executions. For example, this implies that if the `n+1`th execution is scheduled to run at 16:00 but the `n`th execution takes until 16:15, the `n+1`th execution will not start until `16:15`. A scheduled start time will be delayed if the previous execution has not ended when its scheduled time occurs. If retry_count \u003e 0 and a job attempt fails, the job will be tried a total of retry_count times, with exponential backoff, until the next scheduled start time." } }, "id": "Job", "type": "object", "description": "Configuration for a job. The maximum allowed size for a job is 1MB." }, "ListJobsResponse": { "properties": { "jobs": { "type": "array", "description": "The list of jobs.", "items": { "$ref": "Job" } }, "nextPageToken": { "description": "A token to retrieve next page of results. Pass this value in the page_token field in the subsequent call to ListJobs to retrieve the next page of results. If this is empty it indicates that there are no more results through which to paginate. The page token is valid for only 2 hours.", "type": "string" } }, "type": "object", "description": "Response message for listing jobs using ListJobs.", "id": "ListJobsResponse" }, "RunJobRequest": { "description": "Request message for forcing a job to run now using RunJob.", "properties": { "legacyAppEngineCron": { "description": "This field is used to manage the legacy App Engine Cron jobs using the Cloud Scheduler API. If the field is set to true, the job in the __cron queue with the corresponding name will be forced to run instead.", "type": "boolean" } }, "type": "object", "id": "RunJobRequest" }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "type": "object", "id": "ListLocationsResponse", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request.", "type": "array" } } }, "Status": { "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } } }, "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status" }, "PubsubTarget": { "description": "Pub/Sub target. The job will be delivered by publishing a message to the given Pub/Sub topic.", "id": "PubsubTarget", "type": "object", "properties": { "topicName": { "type": "string", "description": "Required. The name of the Cloud Pub/Sub topic to which messages will be published when a job is delivered. The topic name must be in the same format as required by Pub/Sub's [PublishRequest.name](https://cloud.google.com/pubsub/docs/reference/rpc/google.pubsub.v1#publishrequest), for example `projects/PROJECT_ID/topics/TOPIC_ID`. The topic must be in the same project as the Cloud Scheduler job." }, "attributes": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Attributes for PubsubMessage. Pubsub message must contain either non-empty data, or at least one attribute." }, "data": { "format": "byte", "type": "string", "description": "The message payload for PubsubMessage. Pubsub message must contain either non-empty data, or at least one attribute." } } }, "RetryConfig": { "id": "RetryConfig", "description": "Settings that determine the retry behavior. By default, if a job does not complete successfully (meaning that an acknowledgement is not received from the handler, then it will be retried with exponential backoff according to the settings in RetryConfig.", "type": "object", "properties": { "minBackoffDuration": { "description": "The minimum amount of time to wait before retrying a job after it fails. The default value of this field is 5 seconds.", "type": "string", "format": "google-duration" }, "maxDoublings": { "format": "int32", "description": "The time between retries will double `max_doublings` times. A job's retry interval starts at min_backoff_duration, then doubles `max_doublings` times, then increases linearly, and finally retries at intervals of max_backoff_duration up to retry_count times. For example, if min_backoff_duration is 10s, max_backoff_duration is 300s, and `max_doublings` is 3, then the a job will first be retried in 10s. The retry interval will double three times, and then increase linearly by 2^3 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 10s. Finally, the job will retry at intervals of max_backoff_duration until the job has been attempted retry_count times. Thus, the requests will retry at 10s, 20s, 40s, 80s, 160s, 240s, 300s, 300s, .... The default value of this field is 5.", "type": "integer" }, "maxRetryDuration": { "format": "google-duration", "description": "The time limit for retrying a failed job, measured from time when an execution was first attempted. If specified with retry_count, the job will be retried until both limits are reached. The default value for max_retry_duration is zero, which means retry duration is unlimited.", "type": "string" }, "maxBackoffDuration": { "format": "google-duration", "description": "The maximum amount of time to wait before retrying a job after it fails. The default value of this field is 1 hour.", "type": "string" }, "retryCount": { "type": "integer", "description": "The number of attempts that the system will make to run a job using the exponential backoff procedure described by max_doublings. The default value of retry_count is zero. If retry_count is zero, a job attempt will *not* be retried if it fails. Instead the Cloud Scheduler system will wait for the next scheduled execution time. If retry_count is set to a non-zero number then Cloud Scheduler will retry failed attempts, using exponential backoff, retry_count times, or until the next scheduled execution time, whichever comes first. Values greater than 5 and negative values are not allowed.", "format": "int32" } } }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "id": "Empty", "type": "object" } }, "revision": "20220704", "canonicalName": "Cloud Scheduler", "kind": "discovery#restDescription", "documentationLink": "https://cloud.google.com/scheduler/", "servicePath": "", "basePath": "", "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "description": "Data format for response.", "location": "query", "enum": [ "json", "media", "proto" ], "default": "json" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" } }, "batchPath": "batch", "description": "Creates and manages jobs run on a regular recurring schedule.", "protocol": "rest", "rootUrl": "https://cloudscheduler.googleapis.com/" }
]===]))
