local decode = require("cjson").new().decode
return assert(decode([===[
{ "name": "cloudsearch", "rootUrl": "https://cloudsearch.googleapis.com/", "description": "Cloud Search provides cloud-based search capabilities over Google Workspace data. The Cloud Search API allows indexing of non-Google Workspace data into Cloud Search.", "baseUrl": "https://cloudsearch.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "batchPath": "batch", "kind": "discovery#restDescription", "parameters": { "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "alt": { "type": "string", "default": "json", "enum": [ "json", "media", "proto" ], "location": "query", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query", "type": "string" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" } }, "discoveryVersion": "v1", "ownerDomain": "google.com", "documentationLink": "https://developers.google.com/cloud-search/docs/guides/", "ownerName": "Google", "title": "Cloud Search API", "canonicalName": "Cloud Search", "resources": { "settings": { "resources": { "searchapplications": { "methods": { "get": { "flatPath": "v1/settings/searchapplications/{searchapplicationsId}", "response": { "$ref": "SearchApplication" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.query" ], "id": "cloudsearch.settings.searchapplications.get", "description": "Gets the specified search application. **Note:** This API requires an admin account to execute.", "path": "v1/settings/{+name}", "parameters": { "debugOptions.enableDebugging": { "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean", "location": "query" }, "name": { "required": true, "location": "path", "pattern": "^searchapplications/[^/]+$", "type": "string", "description": "The name of the search application. Format: searchapplications/{application_id}." } }, "parameterOrder": [ "name" ] }, "update": { "response": { "$ref": "Operation" }, "description": "Updates a search application. **Note:** This API requires an admin account to execute.", "request": { "$ref": "SearchApplication" }, "id": "cloudsearch.settings.searchapplications.update", "parameters": { "name": { "type": "string", "pattern": "^searchapplications/[^/]+$", "description": "The name of the Search Application. Format: searchapplications/{application_id}.", "required": true, "location": "path" } }, "flatPath": "v1/settings/searchapplications/{searchapplicationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.query" ], "path": "v1/settings/{+name}", "httpMethod": "PUT", "parameterOrder": [ "name" ] }, "delete": { "id": "cloudsearch.settings.searchapplications.delete", "description": "Deletes a search application. **Note:** This API requires an admin account to execute.", "path": "v1/settings/{+name}", "response": { "$ref": "Operation" }, "flatPath": "v1/settings/searchapplications/{searchapplicationsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.query" ], "parameters": { "name": { "description": "The name of the search application to be deleted. Format: applications/{application_id}.", "location": "path", "pattern": "^searchapplications/[^/]+$", "required": true, "type": "string" }, "debugOptions.enableDebugging": { "type": "boolean", "location": "query", "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field." } }, "httpMethod": "DELETE" }, "list": { "description": "Lists all search applications. **Note:** This API requires an admin account to execute.", "response": { "$ref": "ListSearchApplicationsResponse" }, "flatPath": "v1/settings/searchapplications", "parameterOrder": [], "path": "v1/settings/searchapplications", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.query" ], "id": "cloudsearch.settings.searchapplications.list", "httpMethod": "GET", "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of items to return.", "format": "int32" }, "debugOptions.enableDebugging": { "type": "boolean", "location": "query", "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field." }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous List request, if any. The default value is 10" } } }, "create": { "id": "cloudsearch.settings.searchapplications.create", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.query" ], "parameterOrder": [], "description": "Creates a search application. **Note:** This API requires an admin account to execute.", "path": "v1/settings/searchapplications", "flatPath": "v1/settings/searchapplications", "parameters": {}, "httpMethod": "POST", "response": { "$ref": "Operation" }, "request": { "$ref": "SearchApplication" } }, "reset": { "path": "v1/settings/{+name}:reset", "description": "Resets a search application to default settings. This will return an empty response. **Note:** This API requires an admin account to execute.", "request": { "$ref": "ResetSearchApplicationRequest" }, "flatPath": "v1/settings/searchapplications/{searchapplicationsId}:reset", "parameters": { "name": { "description": "The name of the search application to be reset. Format: applications/{application_id}.", "location": "path", "type": "string", "required": true, "pattern": "^searchapplications/[^/]+$" } }, "parameterOrder": [ "name" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.query" ], "id": "cloudsearch.settings.searchapplications.reset" } } }, "datasources": { "methods": { "delete": { "path": "v1/settings/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/settings/datasources/{datasourcesId}", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "httpMethod": "DELETE", "parameters": { "debugOptions.enableDebugging": { "type": "boolean", "location": "query", "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field." }, "name": { "location": "path", "description": "The name of the datasource. Format: datasources/{source_id}.", "pattern": "^datasources/[^/]+$", "type": "string", "required": true } }, "description": "Deletes a datasource. **Note:** This API requires an admin account to execute.", "id": "cloudsearch.settings.datasources.delete", "response": { "$ref": "Operation" } }, "create": { "id": "cloudsearch.settings.datasources.create", "request": { "$ref": "DataSource" }, "parameters": {}, "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "httpMethod": "POST", "path": "v1/settings/datasources", "response": { "$ref": "Operation" }, "flatPath": "v1/settings/datasources", "description": "Creates a datasource. **Note:** This API requires an admin account to execute." }, "list": { "response": { "$ref": "ListDataSourceResponse" }, "flatPath": "v1/settings/datasources", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "path": "v1/settings/datasources", "parameters": { "pageToken": { "description": "Starting index of the results.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "description": "Maximum number of datasources to fetch in a request. The max value is 1000. The default value is 1000.", "location": "query" }, "debugOptions.enableDebugging": { "location": "query", "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean" } }, "parameterOrder": [], "id": "cloudsearch.settings.datasources.list", "description": "Lists datasources. **Note:** This API requires an admin account to execute.", "httpMethod": "GET" }, "update": { "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "id": "cloudsearch.settings.datasources.update", "request": { "$ref": "UpdateDataSourceRequest" }, "path": "v1/settings/{+name}", "description": "Updates a datasource. **Note:** This API requires an admin account to execute.", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "httpMethod": "PUT", "flatPath": "v1/settings/datasources/{datasourcesId}", "parameters": { "name": { "type": "string", "pattern": "^datasources/[^/]+$", "location": "path", "required": true, "description": "The name of the datasource resource. Format: datasources/{source_id}. The name is ignored when creating a datasource." } } }, "get": { "description": "Gets a datasource. **Note:** This API requires an admin account to execute.", "flatPath": "v1/settings/datasources/{datasourcesId}", "id": "cloudsearch.settings.datasources.get", "httpMethod": "GET", "parameters": { "name": { "description": "The name of the datasource resource. Format: datasources/{source_id}.", "type": "string", "location": "path", "pattern": "^datasources/[^/]+$", "required": true }, "debugOptions.enableDebugging": { "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean", "location": "query" } }, "response": { "$ref": "DataSource" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "path": "v1/settings/{+name}", "parameterOrder": [ "name" ] } } } }, "methods": { "updateCustomer": { "httpMethod": "PATCH", "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Update mask to control which fields get updated. If you specify a field in the update_mask but don't specify its value here, that field will be cleared. If the mask is not present or empty, all fields will be updated. Currently supported field paths: vpc_settings and audit_logging_settings" } }, "flatPath": "v1/settings/customer", "request": { "$ref": "CustomerSettings" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "response": { "$ref": "Operation" }, "parameterOrder": [], "description": "Update customer settings. **Note:** This API requires an admin account to execute.", "id": "cloudsearch.settings.updateCustomer", "path": "v1/settings/customer" }, "getCustomer": { "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "id": "cloudsearch.settings.getCustomer", "parameters": {}, "response": { "$ref": "CustomerSettings" }, "description": "Get customer settings. **Note:** This API requires an admin account to execute.", "flatPath": "v1/settings/customer", "httpMethod": "GET", "path": "v1/settings/customer", "parameterOrder": [] } } }, "query": { "methods": { "search": { "request": { "$ref": "SearchRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.query" ], "flatPath": "v1/query/search", "path": "v1/query/search", "description": "The Cloud Search Query API provides the search method, which returns the most relevant results from a user query. The results can come from Google Workspace apps, such as Gmail or Google Drive, or they can come from data that you have indexed from a third party. **Note:** This API requires a standard end user account to execute. A service account can't perform Query API requests directly; to use a service account to perform queries, set up [Google Workspace domain-wide delegation of authority](https://developers.google.com/cloud-search/docs/guides/delegation/).", "httpMethod": "POST", "response": { "$ref": "SearchResponse" }, "id": "cloudsearch.query.search", "parameterOrder": [], "parameters": {} }, "suggest": { "path": "v1/query/suggest", "httpMethod": "POST", "response": { "$ref": "SuggestResponse" }, "parameterOrder": [], "id": "cloudsearch.query.suggest", "request": { "$ref": "SuggestRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.query" ], "flatPath": "v1/query/suggest", "parameters": {}, "description": "Provides suggestions for autocompleting the query. **Note:** This API requires a standard end user account to execute. A service account can't perform Query API requests directly; to use a service account to perform queries, set up [Google Workspace domain-wide delegation of authority](https://developers.google.com/cloud-search/docs/guides/delegation/)." } }, "resources": { "sources": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.query" ], "flatPath": "v1/query/sources", "path": "v1/query/sources", "parameterOrder": [], "response": { "$ref": "ListQuerySourcesResponse" }, "id": "cloudsearch.query.sources.list", "description": "Returns list of sources that user can use for Search and Suggest APIs. **Note:** This API requires a standard end user account to execute. A service account can't perform Query API requests directly; to use a service account to perform queries, set up [Google Workspace domain-wide delegation of authority](https://developers.google.com/cloud-search/docs/guides/delegation/).", "parameters": { "requestOptions.searchApplicationId": { "location": "query", "description": "The ID generated when you create a search application using the [admin console](https://support.google.com/a/answer/9043922).", "type": "string" }, "pageToken": { "description": "Number of sources to return in the response.", "type": "string", "location": "query" }, "requestOptions.debugOptions.enableDebugging": { "location": "query", "type": "boolean", "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field." }, "requestOptions.timeZone": { "description": "Current user's time zone id, such as \"America/Los_Angeles\" or \"Australia/Sydney\". These IDs are defined by [Unicode Common Locale Data Repository (CLDR)](http://cldr.unicode.org/) project, and currently available in the file [timezone.xml](http://unicode.org/repos/cldr/trunk/common/bcp47/timezone.xml). This field is used to correctly interpret date and time queries. If this field is not specified, the default time zone (UTC) is used.", "type": "string", "location": "query" }, "requestOptions.languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier. For translations. Set this field using the language set in browser or for the page. In the event that the user's language preference is known, set this field to the known user language. When specified, the documents in search results are biased towards the specified language. The suggest API does not use this parameter. Instead, suggest autocompletes only based on characters in the query.", "location": "query" } }, "httpMethod": "GET" } } } } }, "debug": { "resources": { "datasources": { "resources": { "items": { "methods": { "searchByViewUrl": { "flatPath": "v1/debug/datasources/{datasourcesId}/items:searchByViewUrl", "httpMethod": "POST", "response": { "$ref": "SearchItemsByViewUrlResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.debug" ], "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Source name, format: datasources/{source_id}", "required": true, "location": "path", "type": "string", "pattern": "^datasources/[^/]+$" } }, "path": "v1/debug/{+name}/items:searchByViewUrl", "request": { "$ref": "SearchItemsByViewUrlRequest" }, "description": "Fetches the item whose viewUrl exactly matches that of the URL provided in the request. **Note:** This API requires an admin account to execute.", "id": "cloudsearch.debug.datasources.items.searchByViewUrl" }, "checkAccess": { "parameterOrder": [ "name" ], "path": "v1/debug/{+name}:checkAccess", "id": "cloudsearch.debug.datasources.items.checkAccess", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.debug" ], "description": "Checks whether an item is accessible by specified principal. Principal must be a user; groups and domain values aren't supported. **Note:** This API requires an admin account to execute.", "parameters": { "debugOptions.enableDebugging": { "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean", "location": "query" }, "name": { "type": "string", "pattern": "^datasources/[^/]+/items/[^/]+$", "required": true, "description": "Item name, format: datasources/{source_id}/items/{item_id}", "location": "path" } }, "httpMethod": "POST", "flatPath": "v1/debug/datasources/{datasourcesId}/items/{itemsId}:checkAccess", "response": { "$ref": "CheckAccessResponse" }, "request": { "$ref": "Principal" } } }, "resources": { "unmappedids": { "methods": { "list": { "path": "v1/debug/{+parent}/unmappedids", "parameterOrder": [ "parent" ], "description": "List all unmapped identities for a specific item. **Note:** This API requires an admin account to execute.", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.debug" ], "flatPath": "v1/debug/datasources/{datasourcesId}/items/{itemsId}/unmappedids", "httpMethod": "GET", "response": { "$ref": "ListUnmappedIdentitiesResponse" }, "parameters": { "pageSize": { "description": "Maximum number of items to fetch in a request. Defaults to 100.", "type": "integer", "format": "int32", "location": "query" }, "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous List request, if any.", "location": "query" }, "debugOptions.enableDebugging": { "location": "query", "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean" }, "parent": { "description": "The name of the item, in the following format: datasources/{source_id}/items/{ID}", "location": "path", "pattern": "^datasources/[^/]+/items/[^/]+$", "required": true, "type": "string" } }, "id": "cloudsearch.debug.datasources.items.unmappedids.list" } } } } } } }, "identitysources": { "resources": { "unmappedids": { "methods": { "list": { "response": { "$ref": "ListUnmappedIdentitiesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.debug" ], "httpMethod": "GET", "id": "cloudsearch.debug.identitysources.unmappedids.list", "path": "v1/debug/{+parent}/unmappedids", "parameters": { "pageSize": { "description": "Maximum number of items to fetch in a request. Defaults to 100.", "location": "query", "format": "int32", "type": "integer" }, "parent": { "type": "string", "required": true, "description": "The name of the identity source, in the following format: identitysources/{source_id}", "pattern": "^identitysources/[^/]+$", "location": "path" }, "debugOptions.enableDebugging": { "location": "query", "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean" }, "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous List request, if any.", "location": "query" }, "resolutionStatusCode": { "description": "Limit users selection to this status.", "enum": [ "CODE_UNSPECIFIED", "NOT_FOUND", "IDENTITY_SOURCE_NOT_FOUND", "IDENTITY_SOURCE_MISCONFIGURED", "TOO_MANY_MAPPINGS_FOUND", "INTERNAL_ERROR" ], "type": "string", "location": "query", "enumDescriptions": [ "Input-only value. Used to list all unmapped identities regardless of status.", "The unmapped identity was not found in IDaaS, and needs to be provided by the user.", "The identity source associated with the identity was either not found or deleted.", "IDaaS does not understand the identity source, probably because the schema was modified in a non compatible way.", "The number of users associated with the external identity is too large.", "Internal error." ] } }, "description": "Lists unmapped user identities for an identity source. **Note:** This API requires an admin account to execute.", "parameterOrder": [ "parent" ], "flatPath": "v1/debug/identitysources/{identitysourcesId}/unmappedids" } } }, "items": { "methods": { "listForunmappedidentity": { "description": "Lists names of items associated with an unmapped identity. **Note:** This API requires an admin account to execute.", "httpMethod": "GET", "id": "cloudsearch.debug.identitysources.items.listForunmappedidentity", "parameterOrder": [ "parent" ], "flatPath": "v1/debug/identitysources/{identitysourcesId}/items:forunmappedidentity", "path": "v1/debug/{+parent}/items:forunmappedidentity", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous List request, if any." }, "userResourceName": { "location": "query", "type": "string" }, "groupResourceName": { "type": "string", "location": "query" }, "debugOptions.enableDebugging": { "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean", "location": "query" }, "pageSize": { "format": "int32", "description": "Maximum number of items to fetch in a request. Defaults to 100.", "location": "query", "type": "integer" }, "parent": { "required": true, "type": "string", "location": "path", "pattern": "^identitysources/[^/]+$", "description": "The name of the identity source, in the following format: identitysources/{source_id}}" } }, "response": { "$ref": "ListItemNamesForUnmappedIdentityResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.debug" ] } } } } } } }, "stats": { "resources": { "index": { "resources": { "datasources": { "methods": { "get": { "description": "Gets indexed item statistics for a single data source. **Note:** This API requires a standard end user account to execute.", "path": "v1/stats/index/{+name}", "response": { "$ref": "GetDataSourceIndexStatsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.stats", "https://www.googleapis.com/auth/cloud_search.stats.indexing" ], "flatPath": "v1/stats/index/datasources/{datasourcesId}", "parameterOrder": [ "name" ], "parameters": { "toDate.year": { "format": "int32", "type": "integer", "location": "query", "description": "Year of date. Must be from 1 to 9999." }, "name": { "pattern": "^datasources/[^/]+$", "description": "The resource id of the data source to retrieve statistics for, in the following format: \"datasources/{source_id}\"", "type": "string", "required": true, "location": "path" }, "fromDate.month": { "description": "Month of date. Must be from 1 to 12.", "location": "query", "format": "int32", "type": "integer" }, "toDate.month": { "type": "integer", "description": "Month of date. Must be from 1 to 12.", "format": "int32", "location": "query" }, "fromDate.year": { "location": "query", "description": "Year of date. Must be from 1 to 9999.", "format": "int32", "type": "integer" }, "fromDate.day": { "location": "query", "format": "int32", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "type": "integer" }, "toDate.day": { "format": "int32", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "location": "query", "type": "integer" } }, "httpMethod": "GET", "id": "cloudsearch.stats.index.datasources.get" } } } } }, "session": { "resources": { "searchapplications": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.stats", "https://www.googleapis.com/auth/cloud_search.stats.indexing" ], "flatPath": "v1/stats/session/searchapplications/{searchapplicationsId}", "path": "v1/stats/session/{+name}", "id": "cloudsearch.stats.session.searchapplications.get", "parameters": { "toDate.day": { "location": "query", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "format": "int32", "type": "integer" }, "name": { "type": "string", "required": true, "pattern": "^searchapplications/[^/]+$", "location": "path", "description": "The resource id of the search application session stats, in the following format: searchapplications/{application_id}" }, "fromDate.day": { "location": "query", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "type": "integer", "format": "int32" }, "toDate.month": { "location": "query", "description": "Month of date. Must be from 1 to 12.", "format": "int32", "type": "integer" }, "toDate.year": { "description": "Year of date. Must be from 1 to 9999.", "format": "int32", "location": "query", "type": "integer" }, "fromDate.month": { "type": "integer", "description": "Month of date. Must be from 1 to 12.", "location": "query", "format": "int32" }, "fromDate.year": { "location": "query", "type": "integer", "description": "Year of date. Must be from 1 to 9999.", "format": "int32" } }, "parameterOrder": [ "name" ], "description": "Get the # of search sessions, % of successful sessions with a click query statistics for search application. **Note:** This API requires a standard end user account to execute.", "httpMethod": "GET", "response": { "$ref": "GetSearchApplicationSessionStatsResponse" } } } } } }, "user": { "resources": { "searchapplications": { "methods": { "get": { "httpMethod": "GET", "flatPath": "v1/stats/user/searchapplications/{searchapplicationsId}", "response": { "$ref": "GetSearchApplicationUserStatsResponse" }, "parameterOrder": [ "name" ], "description": "Get the users statistics for search application. **Note:** This API requires a standard end user account to execute.", "parameters": { "toDate.year": { "format": "int32", "description": "Year of date. Must be from 1 to 9999.", "location": "query", "type": "integer" }, "fromDate.month": { "description": "Month of date. Must be from 1 to 12.", "format": "int32", "location": "query", "type": "integer" }, "toDate.month": { "location": "query", "type": "integer", "description": "Month of date. Must be from 1 to 12.", "format": "int32" }, "fromDate.year": { "format": "int32", "description": "Year of date. Must be from 1 to 9999.", "type": "integer", "location": "query" }, "fromDate.day": { "format": "int32", "location": "query", "type": "integer", "description": "Day of month. Must be from 1 to 31 and valid for the year and month." }, "toDate.day": { "type": "integer", "location": "query", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "format": "int32" }, "name": { "description": "The resource id of the search application session stats, in the following format: searchapplications/{application_id}", "type": "string", "required": true, "pattern": "^searchapplications/[^/]+$", "location": "path" } }, "path": "v1/stats/user/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.stats", "https://www.googleapis.com/auth/cloud_search.stats.indexing" ], "id": "cloudsearch.stats.user.searchapplications.get" } } } } }, "query": { "resources": { "searchapplications": { "methods": { "get": { "parameterOrder": [ "name" ], "id": "cloudsearch.stats.query.searchapplications.get", "httpMethod": "GET", "description": "Get the query statistics for search application. **Note:** This API requires a standard end user account to execute.", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.stats", "https://www.googleapis.com/auth/cloud_search.stats.indexing" ], "flatPath": "v1/stats/query/searchapplications/{searchapplicationsId}", "parameters": { "name": { "required": true, "type": "string", "pattern": "^searchapplications/[^/]+$", "description": "The resource id of the search application query stats, in the following format: searchapplications/{application_id}", "location": "path" }, "toDate.month": { "location": "query", "type": "integer", "description": "Month of date. Must be from 1 to 12.", "format": "int32" }, "toDate.year": { "location": "query", "format": "int32", "description": "Year of date. Must be from 1 to 9999.", "type": "integer" }, "fromDate.year": { "description": "Year of date. Must be from 1 to 9999.", "format": "int32", "location": "query", "type": "integer" }, "fromDate.day": { "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "type": "integer", "location": "query", "format": "int32" }, "toDate.day": { "format": "int32", "location": "query", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "type": "integer" }, "fromDate.month": { "format": "int32", "description": "Month of date. Must be from 1 to 12.", "location": "query", "type": "integer" } }, "path": "v1/stats/query/{+name}", "response": { "$ref": "GetSearchApplicationQueryStatsResponse" } } } } } } }, "methods": { "getSearchapplication": { "httpMethod": "GET", "description": "Get search application stats for customer. **Note:** This API requires a standard end user account to execute.", "path": "v1/stats/searchapplication", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.stats", "https://www.googleapis.com/auth/cloud_search.stats.indexing" ], "id": "cloudsearch.stats.getSearchapplication", "parameters": { "startDate.year": { "description": "Year of date. Must be from 1 to 9999.", "type": "integer", "format": "int32", "location": "query" }, "endDate.month": { "format": "int32", "location": "query", "description": "Month of date. Must be from 1 to 12.", "type": "integer" }, "startDate.day": { "format": "int32", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "location": "query", "type": "integer" }, "endDate.day": { "location": "query", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "format": "int32", "type": "integer" }, "startDate.month": { "format": "int32", "location": "query", "description": "Month of date. Must be from 1 to 12.", "type": "integer" }, "endDate.year": { "type": "integer", "format": "int32", "location": "query", "description": "Year of date. Must be from 1 to 9999." } }, "parameterOrder": [], "response": { "$ref": "GetCustomerSearchApplicationStatsResponse" }, "flatPath": "v1/stats/searchapplication" }, "getIndex": { "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.stats", "https://www.googleapis.com/auth/cloud_search.stats.indexing" ], "response": { "$ref": "GetCustomerIndexStatsResponse" }, "httpMethod": "GET", "id": "cloudsearch.stats.getIndex", "path": "v1/stats/index", "parameters": { "fromDate.month": { "type": "integer", "format": "int32", "description": "Month of date. Must be from 1 to 12.", "location": "query" }, "toDate.day": { "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "format": "int32", "location": "query", "type": "integer" }, "fromDate.year": { "type": "integer", "format": "int32", "description": "Year of date. Must be from 1 to 9999.", "location": "query" }, "toDate.month": { "description": "Month of date. Must be from 1 to 12.", "format": "int32", "type": "integer", "location": "query" }, "fromDate.day": { "location": "query", "type": "integer", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "format": "int32" }, "toDate.year": { "type": "integer", "description": "Year of date. Must be from 1 to 9999.", "location": "query", "format": "int32" } }, "flatPath": "v1/stats/index", "description": "Gets indexed item statistics aggreggated across all data sources. This API only returns statistics for previous dates; it doesn't return statistics for the current day. **Note:** This API requires a standard end user account to execute." }, "getSession": { "parameters": { "fromDate.month": { "type": "integer", "format": "int32", "location": "query", "description": "Month of date. Must be from 1 to 12." }, "fromDate.day": { "format": "int32", "location": "query", "type": "integer", "description": "Day of month. Must be from 1 to 31 and valid for the year and month." }, "toDate.day": { "format": "int32", "location": "query", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "type": "integer" }, "toDate.month": { "location": "query", "description": "Month of date. Must be from 1 to 12.", "type": "integer", "format": "int32" }, "toDate.year": { "format": "int32", "location": "query", "description": "Year of date. Must be from 1 to 9999.", "type": "integer" }, "fromDate.year": { "location": "query", "description": "Year of date. Must be from 1 to 9999.", "type": "integer", "format": "int32" } }, "response": { "$ref": "GetCustomerSessionStatsResponse" }, "description": "Get the # of search sessions, % of successful sessions with a click query statistics for customer. **Note:** This API requires a standard end user account to execute.", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.stats", "https://www.googleapis.com/auth/cloud_search.stats.indexing" ], "path": "v1/stats/session", "id": "cloudsearch.stats.getSession", "flatPath": "v1/stats/session", "parameterOrder": [], "httpMethod": "GET" }, "getUser": { "description": "Get the users statistics for customer. **Note:** This API requires a standard end user account to execute.", "httpMethod": "GET", "parameters": { "fromDate.day": { "format": "int32", "location": "query", "type": "integer", "description": "Day of month. Must be from 1 to 31 and valid for the year and month." }, "toDate.month": { "type": "integer", "location": "query", "format": "int32", "description": "Month of date. Must be from 1 to 12." }, "toDate.day": { "format": "int32", "location": "query", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "type": "integer" }, "fromDate.month": { "description": "Month of date. Must be from 1 to 12.", "format": "int32", "type": "integer", "location": "query" }, "toDate.year": { "location": "query", "format": "int32", "description": "Year of date. Must be from 1 to 9999.", "type": "integer" }, "fromDate.year": { "location": "query", "format": "int32", "description": "Year of date. Must be from 1 to 9999.", "type": "integer" } }, "id": "cloudsearch.stats.getUser", "response": { "$ref": "GetCustomerUserStatsResponse" }, "parameterOrder": [], "flatPath": "v1/stats/user", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.stats", "https://www.googleapis.com/auth/cloud_search.stats.indexing" ], "path": "v1/stats/user" }, "getQuery": { "parameters": { "fromDate.year": { "format": "int32", "type": "integer", "location": "query", "description": "Year of date. Must be from 1 to 9999." }, "fromDate.month": { "format": "int32", "description": "Month of date. Must be from 1 to 12.", "location": "query", "type": "integer" }, "toDate.day": { "type": "integer", "description": "Day of month. Must be from 1 to 31 and valid for the year and month.", "location": "query", "format": "int32" }, "fromDate.day": { "type": "integer", "format": "int32", "location": "query", "description": "Day of month. Must be from 1 to 31 and valid for the year and month." }, "toDate.year": { "location": "query", "format": "int32", "type": "integer", "description": "Year of date. Must be from 1 to 9999." }, "toDate.month": { "location": "query", "format": "int32", "description": "Month of date. Must be from 1 to 12.", "type": "integer" } }, "id": "cloudsearch.stats.getQuery", "description": "Get the query statistics for customer. **Note:** This API requires a standard end user account to execute.", "parameterOrder": [], "path": "v1/stats/query", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.stats", "https://www.googleapis.com/auth/cloud_search.stats.indexing" ], "httpMethod": "GET", "flatPath": "v1/stats/query", "response": { "$ref": "GetCustomerQueryStatsResponse" } } } }, "operations": { "methods": { "get": { "path": "v1/{+name}", "parameters": { "name": { "type": "string", "pattern": "^operations/.*$", "required": true, "location": "path", "description": "The name of the operation resource." } }, "flatPath": "v1/operations/{operationsId}", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "cloudsearch.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.debug", "https://www.googleapis.com/auth/cloud_search.indexing", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing", "https://www.googleapis.com/auth/cloud_search.settings.query" ] } }, "resources": { "lro": { "methods": { "list": { "httpMethod": "GET", "response": { "$ref": "ListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.debug", "https://www.googleapis.com/auth/cloud_search.indexing", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing", "https://www.googleapis.com/auth/cloud_search.settings.query" ], "parameterOrder": [ "name" ], "path": "v1/{+name}/lro", "id": "cloudsearch.operations.lro.list", "flatPath": "v1/operations/{operationsId}/lro", "parameters": { "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "pageToken": { "description": "The standard list page token.", "location": "query", "type": "string" }, "name": { "pattern": "^operations/.*$", "required": true, "type": "string", "description": "The name of the operation's parent resource.", "location": "path" }, "pageSize": { "description": "The standard list page size.", "format": "int32", "type": "integer", "location": "query" } }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id." } } } } }, "v1": { "methods": { "initializeCustomer": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "parameters": {}, "request": { "$ref": "InitializeCustomerRequest" }, "path": "v1:initializeCustomer", "flatPath": "v1:initializeCustomer", "httpMethod": "POST", "description": "Enables `third party` support in Google Cloud Search. **Note:** This API requires an admin account to execute.", "id": "cloudsearch.initializeCustomer", "parameterOrder": [] } } }, "media": { "methods": { "upload": { "request": { "$ref": "Media" }, "parameters": { "resourceName": { "description": "Name of the media that is being downloaded. See ReadRequest.resource_name.", "location": "path", "pattern": "^.*$", "type": "string", "required": true } }, "path": "v1/media/{+resourceName}", "id": "cloudsearch.media.upload", "supportsMediaUpload": true, "mediaUpload": { "accept": [ "*/*" ], "protocols": { "simple": { "multipart": true, "path": "/upload/v1/media/{+resourceName}" } } }, "flatPath": "v1/media/{mediaId}", "response": { "$ref": "Media" }, "httpMethod": "POST", "parameterOrder": [ "resourceName" ], "description": "Uploads media for indexing. The upload endpoint supports direct and resumable upload protocols and is intended for large items that can not be [inlined during index requests](https://developers.google.com/cloud-search/docs/reference/rest/v1/indexing.datasources.items#itemcontent). To index large content: 1. Call indexing.datasources.items.upload with the item name to begin an upload session and retrieve the UploadItemRef. 1. Call media.upload to upload the content, as a streaming request, using the same resource name from the UploadItemRef from step 1. 1. Call indexing.datasources.items.index to index the item. Populate the [ItemContent](/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemContent) with the UploadItemRef from step 1. For additional information, see [Create a content connector using the REST API](https://developers.google.com/cloud-search/docs/guides/content-connector#rest). **Note:** This API requires a service account to execute.", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.indexing" ] } } }, "indexing": { "resources": { "datasources": { "resources": { "items": { "methods": { "deleteQueueItems": { "parameters": { "name": { "type": "string", "description": "The name of the Data Source to delete items in a queue. Format: datasources/{source_id}", "location": "path", "pattern": "^datasources/[^/]+$", "required": true } }, "flatPath": "v1/indexing/datasources/{datasourcesId}/items:deleteQueueItems", "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.indexing" ], "path": "v1/indexing/{+name}/items:deleteQueueItems", "request": { "$ref": "DeleteQueueItemsRequest" }, "id": "cloudsearch.indexing.datasources.items.deleteQueueItems", "description": "Deletes all items in a queue. This method is useful for deleting stale items. This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source.", "parameterOrder": [ "name" ] }, "index": { "path": "v1/indexing/{+name}:index", "id": "cloudsearch.indexing.datasources.items.index", "parameters": { "name": { "description": "The name of the Item. Format: datasources/{source_id}/items/{item_id} This is a required field. The maximum length is 1536 characters.", "pattern": "^datasources/[^/]+/items/[^/]+$", "location": "path", "type": "string", "required": true } }, "description": "Updates Item ACL, metadata, and content. It will insert the Item if it does not exist. This method does not support partial updates. Fields with no provided values are cleared out in the Cloud Search index. This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source.", "flatPath": "v1/indexing/datasources/{datasourcesId}/items/{itemsId}:index", "parameterOrder": [ "name" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.indexing" ], "request": { "$ref": "IndexItemRequest" } }, "get": { "response": { "$ref": "Item" }, "parameters": { "name": { "type": "string", "description": "The name of the item to get info. Format: datasources/{source_id}/items/{item_id}", "pattern": "^datasources/[^/]+/items/[^/]+$", "location": "path", "required": true }, "connectorName": { "description": "The name of connector making this call. Format: datasources/{source_id}/connectors/{ID}", "location": "query", "type": "string" }, "debugOptions.enableDebugging": { "location": "query", "type": "boolean", "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.indexing" ], "httpMethod": "GET", "description": "Gets Item resource by item name. This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source.", "id": "cloudsearch.indexing.datasources.items.get", "parameterOrder": [ "name" ], "flatPath": "v1/indexing/datasources/{datasourcesId}/items/{itemsId}", "path": "v1/indexing/{+name}" }, "delete": { "response": { "$ref": "Operation" }, "path": "v1/indexing/{+name}", "parameterOrder": [ "name" ], "id": "cloudsearch.indexing.datasources.items.delete", "flatPath": "v1/indexing/datasources/{datasourcesId}/items/{itemsId}", "parameters": { "name": { "pattern": "^datasources/[^/]+/items/[^/]+$", "required": true, "description": "Required. The name of the item to delete. Format: datasources/{source_id}/items/{item_id}", "type": "string", "location": "path" }, "connectorName": { "description": "The name of connector making this call. Format: datasources/{source_id}/connectors/{ID}", "location": "query", "type": "string" }, "mode": { "description": "Required. The RequestMode for this request.", "type": "string", "enumDescriptions": [ "The priority is not specified in the update request. Leaving priority unspecified results in an update failure.", "For real-time updates.", "For changes that are executed after the response is sent back to the caller." ], "location": "query", "enum": [ "UNSPECIFIED", "SYNCHRONOUS", "ASYNCHRONOUS" ] }, "version": { "description": "Required. The incremented version of the item to delete from the index. The indexing system stores the version from the datasource as a byte string and compares the Item version in the index to the version of the queued Item using lexical ordering. Cloud Search Indexing won't delete any queued item with a version value that is less than or equal to the version of the currently indexed item. The maximum length for this field is 1024 bytes. For information on how item version affects the deletion process, refer to [Handle revisions after manual deletes](https://developers.google.com/cloud-search/docs/guides/operations).", "format": "byte", "location": "query", "type": "string" }, "debugOptions.enableDebugging": { "type": "boolean", "location": "query", "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.indexing" ], "httpMethod": "DELETE", "description": "Deletes Item resource for the specified resource name. This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source." }, "poll": { "request": { "$ref": "PollItemsRequest" }, "httpMethod": "POST", "response": { "$ref": "PollItemsResponse" }, "description": "Polls for unreserved items from the indexing queue and marks a set as reserved, starting with items that have the oldest timestamp from the highest priority ItemStatus. The priority order is as follows: ERROR MODIFIED NEW_ITEM ACCEPTED Reserving items ensures that polling from other threads cannot create overlapping sets. After handling the reserved items, the client should put items back into the unreserved state, either by calling index, or by calling push with the type REQUEUE. Items automatically become available (unreserved) after 4 hours even if no update or push method is called. This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source.", "flatPath": "v1/indexing/datasources/{datasourcesId}/items:poll", "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^datasources/[^/]+$", "description": "The name of the Data Source to poll items. Format: datasources/{source_id}" } }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.indexing" ], "path": "v1/indexing/{+name}/items:poll", "parameterOrder": [ "name" ], "id": "cloudsearch.indexing.datasources.items.poll" }, "unreserve": { "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.indexing" ], "request": { "$ref": "UnreserveItemsRequest" }, "flatPath": "v1/indexing/datasources/{datasourcesId}/items:unreserve", "parameters": { "name": { "description": "The name of the Data Source to unreserve all items. Format: datasources/{source_id}", "required": true, "location": "path", "type": "string", "pattern": "^datasources/[^/]+$" } }, "description": "Unreserves all items from a queue, making them all eligible to be polled. This method is useful for resetting the indexing queue after a connector has been restarted. This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source.", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "path": "v1/indexing/{+name}/items:unreserve", "id": "cloudsearch.indexing.datasources.items.unreserve", "httpMethod": "POST" }, "push": { "response": { "$ref": "Item" }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.indexing" ], "parameters": { "name": { "pattern": "^datasources/[^/]+/items/[^/]+$", "location": "path", "required": true, "description": "The name of the item to push into the indexing queue. Format: datasources/{source_id}/items/{ID} This is a required field. The maximum length is 1536 characters.", "type": "string" } }, "request": { "$ref": "PushItemRequest" }, "parameterOrder": [ "name" ], "id": "cloudsearch.indexing.datasources.items.push", "httpMethod": "POST", "description": "Pushes an item onto a queue for later polling and updating. This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source.", "flatPath": "v1/indexing/datasources/{datasourcesId}/items/{itemsId}:push", "path": "v1/indexing/{+name}:push" }, "upload": { "parameters": { "name": { "type": "string", "required": true, "pattern": "^datasources/[^/]+/items/[^/]+$", "description": "The name of the Item to start a resumable upload. Format: datasources/{source_id}/items/{item_id}. The maximum length is 1536 bytes.", "location": "path" } }, "path": "v1/indexing/{+name}:upload", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.indexing" ], "httpMethod": "POST", "flatPath": "v1/indexing/datasources/{datasourcesId}/items/{itemsId}:upload", "description": "Creates an upload session for uploading item content. For items smaller than 100 KB, it's easier to embed the content inline within an index request. This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source.", "id": "cloudsearch.indexing.datasources.items.upload", "request": { "$ref": "StartUploadItemRequest" }, "response": { "$ref": "UploadItemRef" } }, "list": { "httpMethod": "GET", "path": "v1/indexing/{+name}/items", "flatPath": "v1/indexing/datasources/{datasourcesId}/items", "parameterOrder": [ "name" ], "response": { "$ref": "ListItemsResponse" }, "description": "Lists all or a subset of Item resources. This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source.", "id": "cloudsearch.indexing.datasources.items.list", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.indexing" ], "parameters": { "pageSize": { "format": "int32", "description": "Maximum number of items to fetch in a request. The max value is 1000 when brief is true. The max value is 10 if brief is false. The default value is 10", "location": "query", "type": "integer" }, "connectorName": { "type": "string", "description": "The name of connector making this call. Format: datasources/{source_id}/connectors/{ID}", "location": "query" }, "name": { "description": "The name of the Data Source to list Items. Format: datasources/{source_id}", "required": true, "pattern": "^datasources/[^/]+$", "type": "string", "location": "path" }, "debugOptions.enableDebugging": { "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean", "location": "query" }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous List request, if any.", "type": "string" }, "brief": { "type": "boolean", "description": "When set to true, the indexing system only populates the following fields: name, version, queue. metadata.hash, metadata.title, metadata.sourceRepositoryURL, metadata.objectType, metadata.createTime, metadata.updateTime, metadata.contentLanguage, metadata.mimeType, structured_data.hash, content.hash, itemType, itemStatus.code, itemStatus.processingError.code, itemStatus.repositoryError.type, If this value is false, then all the fields are populated in Item.", "location": "query" } } } } } }, "methods": { "deleteSchema": { "response": { "$ref": "Operation" }, "description": "Deletes the schema of a data source. **Note:** This API requires an admin or service account to execute.", "flatPath": "v1/indexing/datasources/{datasourcesId}/schema", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "path": "v1/indexing/{+name}/schema", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "The name of the data source to delete Schema. Format: datasources/{source_id}", "location": "path", "pattern": "^datasources/[^/]+$", "required": true, "type": "string" }, "debugOptions.enableDebugging": { "location": "query", "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean" } }, "id": "cloudsearch.indexing.datasources.deleteSchema", "httpMethod": "DELETE" }, "updateSchema": { "id": "cloudsearch.indexing.datasources.updateSchema", "request": { "$ref": "UpdateSchemaRequest" }, "parameterOrder": [ "name" ], "path": "v1/indexing/{+name}/schema", "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "response": { "$ref": "Operation" }, "description": "Updates the schema of a data source. This method does not perform incremental updates to the schema. Instead, this method updates the schema by overwriting the entire schema. **Note:** This API requires an admin or service account to execute.", "parameters": { "name": { "required": true, "pattern": "^datasources/[^/]+$", "description": "The name of the data source to update Schema. Format: datasources/{source_id}", "type": "string", "location": "path" } }, "flatPath": "v1/indexing/datasources/{datasourcesId}/schema", "httpMethod": "PUT" }, "getSchema": { "parameters": { "name": { "required": true, "pattern": "^datasources/[^/]+$", "type": "string", "location": "path", "description": "The name of the data source to get Schema. Format: datasources/{source_id}" }, "debugOptions.enableDebugging": { "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud_search", "https://www.googleapis.com/auth/cloud_search.settings", "https://www.googleapis.com/auth/cloud_search.settings.indexing" ], "description": "Gets the schema of a data source. **Note:** This API requires an admin or service account to execute.", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "Schema" }, "flatPath": "v1/indexing/datasources/{datasourcesId}/schema", "path": "v1/indexing/{+name}/schema", "id": "cloudsearch.indexing.datasources.getSchema" } } } } } }, "mtlsRootUrl": "https://cloudsearch.mtls.googleapis.com/", "protocol": "rest", "revision": "20220627", "fullyEncodeReservedExpansion": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud_search.settings.query": { "description": "Index and serve your organization's data with Cloud Search" }, "https://www.googleapis.com/auth/cloud_search.settings.indexing": { "description": "Index and serve your organization's data with Cloud Search" }, "https://www.googleapis.com/auth/cloud_search.settings": { "description": "Index and serve your organization's data with Cloud Search" }, "https://www.googleapis.com/auth/cloud_search.stats.indexing": { "description": "Index and serve your organization's data with Cloud Search" }, "https://www.googleapis.com/auth/cloud_search.stats": { "description": "Index and serve your organization's data with Cloud Search" }, "https://www.googleapis.com/auth/cloud_search.indexing": { "description": "Index and serve your organization's data with Cloud Search" }, "https://www.googleapis.com/auth/cloud_search": { "description": "Index and serve your organization's data with Cloud Search" }, "https://www.googleapis.com/auth/cloud_search.query": { "description": "Search your organization's data in the Cloud Search index" }, "https://www.googleapis.com/auth/cloud_search.debug": { "description": "Index and serve your organization's data with Cloud Search" } } } }, "schemas": { "QuerySuggestion": { "id": "QuerySuggestion", "type": "object", "properties": {}, "description": "This field does not contain anything as of now and is just used as an indicator that the suggest result was a phrase completion." }, "ResultCounts": { "properties": { "sourceResultCounts": { "items": { "$ref": "SourceResultCount" }, "type": "array", "description": "Result count information for each source with results." } }, "description": "Result count information", "type": "object", "id": "ResultCounts" }, "IndexItemOptions": { "type": "object", "id": "IndexItemOptions", "properties": { "allowUnknownGsuitePrincipals": { "type": "boolean", "description": "Specifies if the index request should allow gsuite principals that do not exist or are deleted in the index request." } } }, "ProcessingError": { "properties": { "fieldViolations": { "items": { "$ref": "FieldViolation" }, "description": "In case the item fields are invalid, this field contains the details about the validation errors.", "type": "array" }, "code": { "description": "Error code indicating the nature of the error.", "enumDescriptions": [ "Input only value. Use this value in Items.", "Item's ACL, metadata, or content is malformed or in invalid state. FieldViolations contains more details on where the problem is.", "Countent format is unsupported.", "Items with incomplete ACL information due to inheriting other items with broken ACL or having groups with unmapped descendants.", "ACL inheritance graph formed a cycle." ], "type": "string", "enum": [ "PROCESSING_ERROR_CODE_UNSPECIFIED", "MALFORMED_REQUEST", "UNSUPPORTED_CONTENT_FORMAT", "INDIRECT_BROKEN_ACL", "ACL_CYCLE" ] }, "errorMessage": { "type": "string", "description": "The description of the error." } }, "type": "object", "id": "ProcessingError" }, "ObjectPropertyOptions": { "description": "The options for object properties.", "id": "ObjectPropertyOptions", "properties": { "subobjectProperties": { "description": "The properties of the sub-object. These properties represent a nested object. For example, if this property represents a postal address, the subobjectProperties might be named *street*, *city*, and *state*. The maximum number of elements is 1000.", "items": { "$ref": "PropertyDefinition" }, "type": "array" } }, "type": "object" }, "GetCustomerIndexStatsResponse": { "type": "object", "properties": { "averageIndexedItemCount": { "type": "string", "format": "int64", "description": "Average item count for the given date range for which billing is done." }, "stats": { "items": { "$ref": "CustomerIndexStats" }, "description": "Summary of indexed item counts, one for each day in the requested range.", "type": "array" } }, "id": "GetCustomerIndexStatsResponse" }, "ObjectDefinition": { "id": "ObjectDefinition", "properties": { "options": { "description": "The optional object-specific options.", "$ref": "ObjectOptions" }, "name": { "description": "The name for the object, which then defines its type. Item indexing requests should set the objectType field equal to this value. For example, if *name* is *Document*, then indexing requests for items of type Document should set objectType equal to *Document*. Each object definition must be uniquely named within a schema. The name must start with a letter and can only contain letters (A-Z, a-z) or numbers (0-9). The maximum length is 256 characters.", "type": "string" }, "propertyDefinitions": { "items": { "$ref": "PropertyDefinition" }, "description": "The property definitions for the object. The maximum number of elements is 1000.", "type": "array" } }, "description": "The definition for an object within a data source.", "type": "object" }, "GetSearchApplicationQueryStatsResponse": { "description": "Response format for getting query stats for a search application between given dates.", "type": "object", "id": "GetSearchApplicationQueryStatsResponse", "properties": { "totalQueryCount": { "description": "Total successful query count (status code 200) for the given date range.", "format": "int64", "type": "string" }, "stats": { "description": "Query stats per date for a search application.", "type": "array", "items": { "$ref": "SearchApplicationQueryStats" } } } }, "GetSearchApplicationUserStatsResponse": { "id": "GetSearchApplicationUserStatsResponse", "properties": { "stats": { "type": "array", "items": { "$ref": "SearchApplicationUserStats" } } }, "type": "object" }, "TextPropertyOptions": { "description": "The options for text properties.", "properties": { "operatorOptions": { "$ref": "TextOperatorOptions", "description": "If set, describes how the property should be used as a search operator." }, "retrievalImportance": { "$ref": "RetrievalImportance", "description": "Indicates the search quality importance of the tokens within the field when used for retrieval." } }, "type": "object", "id": "TextPropertyOptions" }, "ListUnmappedIdentitiesResponse": { "id": "ListUnmappedIdentitiesResponse", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "unmappedIdentities": { "type": "array", "items": { "$ref": "UnmappedIdentity" } } }, "type": "object" }, "EmailAddress": { "type": "object", "id": "EmailAddress", "properties": { "emailAddress": { "type": "string", "description": "The email address." } }, "description": "A person's email address." }, "StructuredResult": { "description": "Structured results that are returned as part of search request.", "id": "StructuredResult", "type": "object", "properties": { "person": { "$ref": "Person", "description": "Representation of a person" } } }, "SourceResultCount": { "properties": { "resultCountExact": { "format": "int64", "type": "string", "description": "The exact result count for this source." }, "hasMoreResults": { "description": "Whether there are more search results for this source.", "type": "boolean" }, "source": { "description": "The source the result count information is associated with.", "$ref": "Source" }, "resultCountEstimate": { "description": "The estimated result count for this source.", "format": "int64", "type": "string" } }, "type": "object", "id": "SourceResultCount", "description": "Per source result count information." }, "SpellResult": { "type": "object", "properties": { "suggestedQuery": { "description": "The suggested spelling of the query.", "type": "string" } }, "id": "SpellResult" }, "PollItemsRequest": { "id": "PollItemsRequest", "type": "object", "properties": { "queue": { "description": "Queue name to fetch items from. If unspecified, PollItems will fetch from 'default' queue. The maximum length is 100 characters.", "type": "string" }, "statusCodes": { "type": "array", "items": { "enum": [ "CODE_UNSPECIFIED", "ERROR", "MODIFIED", "NEW_ITEM", "ACCEPTED" ], "enumDescriptions": [ "Input-only value. Used with Items.list to list all items in the queue, regardless of status.", "Error encountered by Cloud Search while processing this item. Details of the error are in repositoryError.", "Item has been modified in the repository, and is out of date with the version previously accepted into Cloud Search.", "Item is known to exist in the repository, but is not yet accepted by Cloud Search. An item can be in this state when Items.push has been called for an item of this name that did not exist previously.", "API has accepted the up-to-date data of this item." ], "type": "string" }, "description": "Limit the items polled to the ones with these statuses." }, "connectorName": { "type": "string", "description": "The name of connector making this call. Format: datasources/{source_id}/connectors/{ID}" }, "limit": { "format": "int32", "description": "Maximum number of items to return. The maximum value is 100 and the default value is 20.", "type": "integer" }, "debugOptions": { "$ref": "DebugOptions", "description": "Common debug options." } } }, "Principal": { "id": "Principal", "type": "object", "description": "Reference to a user, group, or domain.", "properties": { "userResourceName": { "type": "string", "description": "This principal is a user identified using an external identity. The name field must specify the user resource name with this format: identitysources/{source_id}/users/{ID}" }, "groupResourceName": { "description": "This principal is a group identified using an external identity. The name field must specify the group resource name with this format: identitysources/{source_id}/groups/{ID}", "type": "string" }, "gsuitePrincipal": { "description": "This principal is a GSuite user, group or domain.", "$ref": "GSuitePrincipal" } } }, "QueryOperator": { "id": "QueryOperator", "description": "The definition of a operator that can be used in a Search/Suggest request.", "properties": { "isRepeatable": { "type": "boolean", "description": "Indicates if multiple values can be set for this property." }, "lessThanOperatorName": { "description": "Indicates the operator name that can be used to isolate the property using the less-than operator.", "type": "string" }, "objectType": { "description": "The name of the object corresponding to the operator. This field is only filled for schema-specific operators, and is unset for common operators.", "type": "string" }, "greaterThanOperatorName": { "type": "string", "description": "Indicates the operator name that can be used to isolate the property using the greater-than operator." }, "isFacetable": { "description": "Can this operator be used to get facets.", "type": "boolean" }, "type": { "enumDescriptions": [ "Invalid value.", "", "", "", "", "", "", "", "" ], "type": "string", "enum": [ "UNKNOWN", "INTEGER", "DOUBLE", "TIMESTAMP", "BOOLEAN", "ENUM", "DATE", "TEXT", "HTML" ], "description": "The type of the operator." }, "operatorName": { "type": "string", "description": "The name of the operator." }, "isReturnable": { "type": "boolean", "description": "Will the property associated with this facet be returned as part of search results." }, "isSortable": { "description": "Can this operator be used to sort results.", "type": "boolean" }, "displayName": { "description": "Display name of the operator", "type": "string" }, "enumValues": { "items": { "type": "string" }, "type": "array", "description": "Potential list of values for the opeatror field. This field is only filled when we can safely enumerate all the possible values of this operator." }, "isSuggestable": { "description": "Can get suggestions for this field.", "type": "boolean" } }, "type": "object" }, "HtmlPropertyOptions": { "description": "The options for html properties.", "type": "object", "properties": { "retrievalImportance": { "description": "Indicates the search quality importance of the tokens within the field when used for retrieval. Can only be set to DEFAULT or NONE.", "$ref": "RetrievalImportance" }, "operatorOptions": { "description": "If set, describes how the property should be used as a search operator.", "$ref": "HtmlOperatorOptions" } }, "id": "HtmlPropertyOptions" }, "DeleteQueueItemsRequest": { "id": "DeleteQueueItemsRequest", "type": "object", "properties": { "queue": { "type": "string", "description": "The name of a queue to delete items from." }, "debugOptions": { "$ref": "DebugOptions", "description": "Common debug options." }, "connectorName": { "description": "The name of connector making this call. Format: datasources/{source_id}/connectors/{ID}", "type": "string" } } }, "FreshnessOptions": { "type": "object", "description": "Indicates which freshness property to use when adjusting search ranking for an item. Fresher, more recent dates indicate higher quality. Use the freshness option property that best works with your data. For fileshare documents, last modified time is most relevant. For calendar event data, the time when the event occurs is a more relevant freshness indicator. In this way, calendar events that occur closer to the time of the search query are considered higher quality and ranked accordingly.", "id": "FreshnessOptions", "properties": { "freshnessProperty": { "type": "string", "description": "This property indicates the freshness level of the object in the index. If set, this property must be a top-level property within the property definitions and it must be a timestamp type or date type. Otherwise, the Indexing API uses updateTime as the freshness indicator. The maximum length is 256 characters. When a property is used to calculate freshness, the value defaults to 2 years from the current time." }, "freshnessDuration": { "description": "The duration after which an object should be considered stale. The default value is 180 days (in seconds).", "format": "google-duration", "type": "string" } } }, "FieldViolation": { "properties": { "description": { "description": "The description of the error.", "type": "string" }, "field": { "description": "Path of field with violation.", "type": "string" } }, "type": "object", "id": "FieldViolation" }, "ResultDisplayField": { "properties": { "operatorName": { "type": "string", "description": "The operator name of the property." }, "label": { "description": "The display label for the property.", "type": "string" }, "property": { "description": "The name value pair for the property.", "$ref": "NamedProperty" } }, "id": "ResultDisplayField", "description": "Display Fields for Search Results", "type": "object" }, "QueryItem": { "description": "Information relevant only to a query entry.", "properties": { "isSynthetic": { "type": "boolean", "description": "True if the text was generated by means other than a previous user search." } }, "id": "QueryItem", "type": "object" }, "ItemContent": { "id": "ItemContent", "type": "object", "properties": { "contentDataRef": { "$ref": "UploadItemRef", "description": "Upload reference ID of a previously uploaded content via write method." }, "inlineContent": { "type": "string", "description": "Content that is supplied inlined within the update method. The maximum length is 102400 bytes (100 KiB).", "format": "byte" }, "hash": { "description": "Hashing info calculated and provided by the API client for content. Can be used with the items.push method to calculate modified state. The maximum length is 2048 characters.", "type": "string" }, "contentFormat": { "enumDescriptions": [ "Invalid value.", "contentFormat is HTML.", "contentFormat is free text.", "contentFormat is raw bytes." ], "enum": [ "UNSPECIFIED", "HTML", "TEXT", "RAW" ], "type": "string" } }, "description": "Content of an item to be indexed and surfaced by Cloud Search. Only UTF-8 encoded strings are allowed as inlineContent. If the content is uploaded and not binary, it must be UTF-8 encoded." }, "PushItem": { "type": "object", "description": "Represents an item to be pushed to the indexing queue.", "id": "PushItem", "properties": { "queue": { "description": "Queue to which this item belongs. The `default` queue is chosen if this field is not specified. The maximum length is 512 characters.", "type": "string" }, "metadataHash": { "type": "string", "description": "The metadata hash of the item according to the repository. If specified, this is used to determine how to modify this item's status. Setting this field and the type field results in argument error. The maximum length is 2048 characters." }, "structuredDataHash": { "type": "string", "description": "Structured data hash of the item according to the repository. If specified, this is used to determine how to modify this item's status. Setting this field and the type field results in argument error. The maximum length is 2048 characters." }, "contentHash": { "description": "Content hash of the item according to the repository. If specified, this is used to determine how to modify this item's status. Setting this field and the type field results in argument error. The maximum length is 2048 characters.", "type": "string" }, "repositoryError": { "$ref": "RepositoryError", "description": "Populate this field to store Connector or repository error details. This information is displayed in the Admin Console. This field may only be populated when the Type is REPOSITORY_ERROR." }, "type": { "enumDescriptions": [ "Default UNSPECIFIED. Specifies that the push operation should not modify ItemStatus", "Indicates that the repository document has been modified or updated since the previous update call. This changes status to MODIFIED state for an existing item. If this is called on a non existing item, the status is changed to NEW_ITEM.", "Item in the repository has not been modified since the last update call. This push operation will set status to ACCEPTED state.", "Connector is facing a repository error regarding this item. Change status to REPOSITORY_ERROR state. Item is unreserved and rescheduled at a future time determined by exponential backoff.", "Call push with REQUEUE only for items that have been reserved. This action unreserves the item and resets its available time to the wall clock time." ], "enum": [ "UNSPECIFIED", "MODIFIED", "NOT_MODIFIED", "REPOSITORY_ERROR", "REQUEUE" ], "description": "The type of the push operation that defines the push behavior.", "type": "string" }, "payload": { "type": "string", "description": "Provides additional document state information for the connector, such as an alternate repository ID and other metadata. The maximum length is 8192 bytes.", "format": "byte" } } }, "TimestampPropertyOptions": { "type": "object", "properties": { "operatorOptions": { "$ref": "TimestampOperatorOptions", "description": "If set, describes how the timestamp should be used as a search operator." } }, "id": "TimestampPropertyOptions", "description": "The options for timestamp properties." }, "AuditLoggingSettings": { "type": "object", "description": "Represents the settings for Cloud audit logging", "properties": { "logDataReadActions": { "description": "Indicates whether audit logging is on/off for data access read APIs i.e. ListItems, GetItem etc.", "type": "boolean" }, "logAdminReadActions": { "description": "Indicates whether audit logging is on/off for admin activity read APIs i.e. Get/List DataSources, Get/List SearchApplications etc.", "type": "boolean" }, "project": { "description": "The resource name of the GCP Project to store audit logs. Cloud audit logging will be enabled after project_name has been updated through CustomerService. Format: projects/{project_id}", "type": "string" }, "logDataWriteActions": { "type": "boolean", "description": "Indicates whether audit logging is on/off for data access write APIs i.e. IndexItem etc." } }, "id": "AuditLoggingSettings" }, "GetDataSourceIndexStatsResponse": { "id": "GetDataSourceIndexStatsResponse", "properties": { "averageIndexedItemCount": { "type": "string", "description": "Average item count for the given date range for which billing is done.", "format": "int64" }, "stats": { "description": "Summary of indexed item counts, one for each day in the requested range.", "items": { "$ref": "DataSourceIndexStats" }, "type": "array" } }, "type": "object" }, "ObjectOptions": { "properties": { "displayOptions": { "description": "The options that determine how the object is displayed in the Cloud Search results page.", "$ref": "ObjectDisplayOptions" }, "freshnessOptions": { "description": "The freshness options for an object.", "$ref": "FreshnessOptions" } }, "id": "ObjectOptions", "type": "object", "description": "The options for an object." }, "GroupId": { "id": "GroupId", "type": "object", "description": "Id representing a group that could be a space, a chat, or a direct message space. Which ID is set here will determine which group", "properties": { "dmId": { "$ref": "DmId", "description": "Unique, immutable ID of the Direct Message Space" }, "spaceId": { "$ref": "SpaceId", "description": "Unique, immutable ID of the Space" } } }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "properties": { "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "type": "object" }, "BooleanOperatorOptions": { "description": "Used to provide a search operator for boolean properties. This is optional. Search operators let users restrict the query to specific fields relevant to the type of item being searched.", "id": "BooleanOperatorOptions", "properties": { "operatorName": { "description": "Indicates the operator name required in the query in order to isolate the boolean property. For example, if operatorName is *closed* and the property's name is *isClosed*, then queries like *closed:\u003cvalue\u003e* show results only where the value of the property named *isClosed* matches *\u003cvalue\u003e*. By contrast, a search that uses the same *\u003cvalue\u003e* without an operator returns all items where *\u003cvalue\u003e* matches the value of any String properties or text within the content field for the item. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters.", "type": "string" } }, "type": "object" }, "UserId": { "description": "Primary key for User resource.", "id": "UserId", "type": "object", "properties": { "id": { "type": "string", "description": "Opaque, server-assigned ID of the User." }, "type": { "type": "string", "enumDescriptions": [ "Notes on HUMAN type: 1) Leaving UserId.UserType field empty will return HUMAN as default value. This is expected because all the existing UserIds are without explicitly setting UserType, most of which are HUMAN Ids. For Bot Ids we will always set BOT in UserType field. 2) DO NOT explicitly set HUMAN as type. This is a proto2 issue, that a UserId with explicitly set default value HUMAN as type is NOT equal to an id without setting the field. aka. UserId id1 = UserId.newBuilder() .setId(\"dummy\").setType(UserType.HUMAN).build(); UserId id2 = UserId.newBuilder().setId(\"dummy\").build(); AssertThat(id1).isNotEqual(id2); AssertThat(id2.getType()).isEqualTo(UserType.HUMAN);", "" ], "enum": [ "HUMAN", "BOT" ], "description": "Clients do not need to send UserType to Backend, but Backend will always send this field to clients per the following rule: 1. For HUMAN Ids, the field is empty but by default .getType() will return HUMAN. 2. For BOT Ids, the field is ALWAYS set to BOT." }, "actingUserId": { "description": "Optional. Opaque, server-assigned ID of the user profile associated with App/user acting on behalf of the human user. This is currently only set when a 3P application is acting on the user's behalf.", "type": "string" }, "originAppId": { "$ref": "AppId", "description": "Optional. Identifier of the App involved (directly or on behalf of a human creator) in creating this message. This is not set if the user posted a message directly, but is used in the case of, for example, a message being generated by a 1P integration based on a user action (creating an event, creating a task etc). This should only be used on the BE. For clients, please use the field in the FE message proto instead (google3/apps/dynamite/v1/frontend/api/message.proto?q=origin_app_id)." } } }, "CheckAccessResponse": { "id": "CheckAccessResponse", "properties": { "hasAccess": { "type": "boolean", "description": "Returns true if principal has access. Returns false otherwise." } }, "type": "object" }, "ListItemsResponse": { "id": "ListItemsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "items": { "type": "array", "items": { "$ref": "Item" } } }, "type": "object" }, "CompositeFilter": { "properties": { "subFilters": { "description": "Sub filters.", "items": { "$ref": "Filter" }, "type": "array" }, "logicOperator": { "enum": [ "AND", "OR", "NOT" ], "description": "The logic operator of the sub filter.", "enumDescriptions": [ "Logical operators, which can only be applied to sub filters.", "", "NOT can only be applied on a single sub filter." ], "type": "string" } }, "type": "object", "id": "CompositeFilter" }, "Status": { "type": "object", "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } } }, "GetCustomerSearchApplicationStatsResponse": { "properties": { "stats": { "description": "Search application stats by date.", "items": { "$ref": "CustomerSearchApplicationStats" }, "type": "array" }, "averageSearchApplicationCount": { "description": "Average search application count for the given date range.", "type": "string", "format": "int64" } }, "description": "Response format for search application stats for a customer.", "type": "object", "id": "GetCustomerSearchApplicationStatsResponse" }, "ScoringConfig": { "type": "object", "id": "ScoringConfig", "properties": { "disableFreshness": { "type": "boolean", "description": "Whether to use freshness as a ranking signal. By default, freshness is used as a ranking signal. Note that this setting is not available in the Admin UI." }, "disablePersonalization": { "type": "boolean", "description": "Whether to personalize the results. By default, personal signals will be used to boost results." } }, "description": "Scoring configurations for a source while processing a Search or Suggest request." }, "TextValues": { "id": "TextValues", "type": "object", "description": "List of text values.", "properties": { "values": { "description": "The maximum allowable length for text values is 2048 characters.", "type": "array", "items": { "type": "string" } } } }, "SourceCrowdingConfig": { "type": "object", "id": "SourceCrowdingConfig", "description": "Set search results crowding limits. Crowding is a situation in which multiple results from the same source or host \"crowd out\" other results, diminishing the quality of search for users. To foster better search quality and source diversity in search results, you can set a condition to reduce repetitive results by source.", "properties": { "numSuggestions": { "format": "int32", "description": "Maximum number of suggestions allowed from a source. No limits will be set on results if this value is less than or equal to 0.", "type": "integer" }, "numResults": { "format": "int32", "type": "integer", "description": "Maximum number of results allowed from a datasource in a result page as long as results from other sources are not exhausted. Value specified must not be negative. A default value is used if this value is equal to 0. To disable crowding, set the value greater than 100." } } }, "Operation": { "type": "object", "properties": { "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" } }, "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call." }, "Date": { "type": "object", "description": "Represents a whole calendar date, for example a date of birth. The time of day and time zone are either specified elsewhere or are not significant. The date is relative to the [Proleptic Gregorian Calendar](https://en.wikipedia.org/wiki/Proleptic_Gregorian_calendar). The date must be a valid calendar date between the year 1 and 9999.", "properties": { "month": { "type": "integer", "format": "int32", "description": "Month of date. Must be from 1 to 12." }, "year": { "type": "integer", "description": "Year of date. Must be from 1 to 9999.", "format": "int32" }, "day": { "type": "integer", "format": "int32", "description": "Day of month. Must be from 1 to 31 and valid for the year and month." } }, "id": "Date" }, "ItemMetadata": { "description": "Available metadata fields for the item.", "properties": { "contextAttributes": { "type": "array", "description": "A set of named attributes associated with the item. This can be used for influencing the ranking of the item based on the context in the request. The maximum number of elements is 10.", "items": { "$ref": "ContextAttribute" } }, "mimeType": { "type": "string", "description": "The original mime-type of ItemContent.content in the source repository. The maximum length is 256 characters." }, "createTime": { "description": "The time when the item was created in the source repository.", "format": "google-datetime", "type": "string" }, "interactions": { "description": "A list of interactions for the item. Interactions are used to improve Search quality, but are not exposed to end users. The maximum number of elements is 1000.", "type": "array", "items": { "$ref": "Interaction" } }, "hash": { "type": "string", "description": "Hashing value provided by the API caller. This can be used with the items.push method to calculate modified state. The maximum length is 2048 characters." }, "sourceRepositoryUrl": { "type": "string", "description": "Link to the source repository serving the data. Seach results apply this link to the title. Whitespace or special characters may cause Cloud Seach result links to trigger a redirect notice; to avoid this, encode the URL. The maximum length is 2048 characters." }, "title": { "type": "string", "description": "The title of the item. If given, this will be the displayed title of the Search result. The maximum length is 2048 characters." }, "updateTime": { "format": "google-datetime", "description": "The time when the item was last modified in the source repository.", "type": "string" }, "objectType": { "type": "string", "description": "The type of the item. This should correspond to the name of an object definition in the schema registered for the data source. For example, if the schema for the data source contains an object definition with name 'document', then item indexing requests for objects of that type should set objectType to 'document'. The maximum length is 256 characters." }, "searchQualityMetadata": { "description": "Additional search quality metadata of the item", "$ref": "SearchQualityMetadata" }, "contentLanguage": { "type": "string", "description": "The BCP-47 language code for the item, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier. The maximum length is 32 characters." }, "keywords": { "items": { "type": "string" }, "description": "Additional keywords or phrases that should match the item. Used internally for user generated content. The maximum number of elements is 100. The maximum length is 8192 characters.", "type": "array" }, "containerName": { "type": "string", "description": "The name of the container for this item. Deletion of the container item leads to automatic deletion of this item. Note: ACLs are not inherited from a container item. To provide ACL inheritance for an item, use the inheritAclFrom field. The maximum length is 1536 characters." } }, "type": "object", "id": "ItemMetadata" }, "HtmlValues": { "id": "HtmlValues", "properties": { "values": { "items": { "type": "string" }, "type": "array", "description": "The maximum allowable length for html values is 2048 characters." } }, "type": "object", "description": "List of html values." }, "DatePropertyOptions": { "description": "The options for date properties.", "id": "DatePropertyOptions", "properties": { "operatorOptions": { "$ref": "DateOperatorOptions", "description": "If set, describes how the date should be used as a search operator." } }, "type": "object" }, "MatchRange": { "type": "object", "description": "Matched range of a snippet [start, end).", "id": "MatchRange", "properties": { "start": { "type": "integer", "description": "Starting position of the match in the snippet.", "format": "int32" }, "end": { "type": "integer", "description": "End of the match in the snippet.", "format": "int32" } } }, "SearchQualityMetadata": { "id": "SearchQualityMetadata", "type": "object", "description": "Additional search quality metadata of the item.", "properties": { "quality": { "type": "number", "format": "double", "description": "An indication of the quality of the item, used to influence search quality. Value should be between 0.0 (lowest quality) and 1.0 (highest quality). The default value is 0.0." } } }, "FacetBucket": { "type": "object", "description": "A bucket in a facet is the basic unit of operation. A bucket can comprise either a single value OR a contiguous range of values, depending on the type of the field bucketed. FacetBucket is currently used only for returning the response object.", "id": "FacetBucket", "properties": { "count": { "type": "integer", "format": "int32", "description": "Number of results that match the bucket value. Counts are only returned for searches when count accuracy is ensured. Cloud Search does not guarantee facet counts for any query and facet counts might be present only intermittently, even for identical queries. Do not build dependencies on facet count existence; instead use facet ount percentages which are always returned." }, "value": { "$ref": "Value" }, "percentage": { "format": "int32", "description": "Percent of results that match the bucket value. The returned value is between (0-100], and is rounded down to an integer if fractional. If the value is not explicitly returned, it represents a percentage value that rounds to 0. Percentages are returned for all searches, but are an estimate. Because percentages are always returned, you should render percentages instead of counts.", "type": "integer" } } }, "GetCustomerSessionStatsResponse": { "type": "object", "id": "GetCustomerSessionStatsResponse", "properties": { "stats": { "items": { "$ref": "CustomerSessionStats" }, "type": "array" } } }, "GetSearchApplicationSessionStatsResponse": { "type": "object", "properties": { "stats": { "type": "array", "items": { "$ref": "SearchApplicationSessionStats" } } }, "id": "GetSearchApplicationSessionStatsResponse" }, "SourceScoringConfig": { "description": "Set the scoring configuration. This allows modifying the ranking of results for a source.", "id": "SourceScoringConfig", "properties": { "sourceImportance": { "description": "Importance of the source.", "enumDescriptions": [ "", "", "" ], "enum": [ "DEFAULT", "LOW", "HIGH" ], "type": "string" } }, "type": "object" }, "BooleanPropertyOptions": { "id": "BooleanPropertyOptions", "properties": { "operatorOptions": { "description": "If set, describes how the boolean should be used as a search operator.", "$ref": "BooleanOperatorOptions" } }, "type": "object", "description": "The options for boolean properties." }, "AppId": { "id": "AppId", "type": "object", "properties": { "gsuiteAppType": { "description": "Enum indicating which 1P App this is when app_type is GSUITE_APP. Determined & set by the 1P API as a convenience for all users of this identifier(Eg. clients, chime, backend etc.) to map to 1P properties.", "enum": [ "GSUITE_APP_TYPE_UNSPECIFIED", "TASKS_APP", "CALENDAR_APP", "DOCS_APP", "SHEETS_APP", "SLIDES_APP", "MEET_APP", "ASSISTIVE_SUGGESTION_APP", "CONTACTS_APP", "ACTIVITY_FEED_APP", "DRIVE_APP" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "Powered by Bullseye", "", "", "" ] }, "id": { "type": "string", "format": "int64", "description": "Numeric identifier of the App. Set to Project number for 1/3P Apps. For Webhook, this is WebhookId. Determined & set by the 1P API from App credentials on the side channel." }, "appType": { "enumDescriptions": [ "", "3P APP eg. external Bots(Asana Bot), 1P Bots(Drive Bot).", "1P APP eg. Tasks, Meet, Docs, Calendar..", "Asynchronous messages via an incoming webhook." ], "description": "Enum indicating the type of App this is.", "enum": [ "APP_TYPE_UNSPECIFIED", "APP", "GSUITE_APP", "INCOMING_WEBHOOK" ], "type": "string" } }, "description": "Identifier of an App." }, "DriveLocationRestrict": { "id": "DriveLocationRestrict", "properties": { "type": { "enum": [ "UNSPECIFIED", "TRASHED", "STARRED" ], "type": "string", "enumDescriptions": [ "", "", "" ] } }, "description": "Drive location search restricts (e.g. \"is:starred\").", "type": "object" }, "TimestampOperatorOptions": { "properties": { "greaterThanOperatorName": { "type": "string", "description": "Indicates the operator name required in the query in order to isolate the timestamp property using the greater-than operator. For example, if greaterThanOperatorName is *closedafter* and the property's name is *closeDate*, then queries like *closedafter:\u003cvalue\u003e* show results only where the value of the property named *closeDate* is later than *\u003cvalue\u003e*. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters." }, "operatorName": { "type": "string", "description": "Indicates the operator name required in the query in order to isolate the timestamp property. For example, if operatorName is *closedon* and the property's name is *closeDate*, then queries like *closedon:\u003cvalue\u003e* show results only where the value of the property named *closeDate* matches *\u003cvalue\u003e*. By contrast, a search that uses the same *\u003cvalue\u003e* without an operator returns all items where *\u003cvalue\u003e* matches the value of any String properties or text within the content field for the item. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters." }, "lessThanOperatorName": { "description": "Indicates the operator name required in the query in order to isolate the timestamp property using the less-than operator. For example, if lessThanOperatorName is *closedbefore* and the property's name is *closeDate*, then queries like *closedbefore:\u003cvalue\u003e* show results only where the value of the property named *closeDate* is earlier than *\u003cvalue\u003e*. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters.", "type": "string" } }, "type": "object", "id": "TimestampOperatorOptions", "description": "Used to provide a search operator for timestamp properties. This is optional. Search operators let users restrict the query to specific fields relevant to the type of item being searched." }, "CustomEmoji": { "type": "object", "properties": { "updateTimeMicros": { "format": "int64", "type": "string" }, "readToken": { "type": "string", "description": "Opaque token that clients use to construct the URL for accessing the custom emoji’s image data. This field is intended for API consumption, and should *never* be persisted to Spanner." }, "creatorUserId": { "$ref": "UserId", "description": "This field should *never* be persisted to Spanner." }, "ownerCustomerId": { "$ref": "CustomerId", "description": "This field should *never* be persisted to Spanner." }, "state": { "description": "Snapshot of the current state of the emoji, which may differ from the source-of-truth in the CustomEmojis table. This field should *never* be persisted to Spanner.", "type": "string", "enum": [ "EMOJI_STATE_UNSPECIFIED", "EMOJI_ENABLED", "EMOJI_SYSTEM_DISABLED", "EMOJI_HIDDEN", "EMOJI_DELETED" ], "enumDescriptions": [ "", "Emoji is visible and available to be used, subject to access control requirements.", "Emoji can no longer be used (e.g. due to a shortcode conflict), but is not removed from existing embeddings.", "Emoji is hidden from pickers, so new usages are not allowed, but is not removed from existing embeddings.", "Emoji is removed everywhere and is not available to end-users." ] }, "createTimeMicros": { "type": "string", "description": "Time when the Emoji was created, in microseconds. This field may be present in Spanner, within the server, or in public APIs.", "format": "int64" }, "uuid": { "type": "string", "description": "Unique key for a custom emoji resource. Required. This field is *always* populated." }, "shortcode": { "description": "User-provided, human-readable ID for the custom emoji. Users are expected to observe this field in the UI instead of the UUID. This shortcode should be unique within an organization, but has no global uniqueness guarantees, unlike the UUID. This field should *never* be persisted to Spanner.", "type": "string" }, "blobId": { "type": "string", "description": "ID for the underlying image data in Blobstore. This field should *only* be present in Spanner or within the server, but should not be exposed in public APIs." }, "deleteTimeMicros": { "description": "Time when the emoji was deleted, in microseconds. This field may be present in Spanner, within the server, or in public APIs. Only present if the emoji has been deleted.", "format": "int64", "type": "string" }, "ephemeralUrl": { "description": "Output only. A short-lived URL clients can use for directly accessing a custom emoji image. This field is intended for API consumption, and should *never* be persisted to Spanner.", "type": "string", "readOnly": true }, "contentType": { "description": "Content type of the file used to upload the emoji. Used for takeout. Written to Spanner when the emoji is created.", "type": "string" } }, "id": "CustomEmoji", "description": "Proto representation of a custom emoji. May be used in both APIs and in Spanner, but certain fields should be restricted to one or the other. See the per-field documentation for details. NEXT_TAG: 14" }, "IntegerValues": { "description": "List of integer values.", "type": "object", "id": "IntegerValues", "properties": { "values": { "items": { "type": "string", "format": "int64" }, "type": "array" } } }, "VideoInfo": { "description": "Next tag: 2", "properties": { "duration": { "description": "Duration of the video in milliseconds. This field can be absent for recently uploaded video or inaccurate sometimes.", "type": "integer", "format": "int32" } }, "id": "VideoInfo", "type": "object" }, "DriveMimeTypeRestrict": { "description": "Drive mime-type search restricts (e.g. \"type:pdf\").", "type": "object", "properties": { "type": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "UNSPECIFIED", "PDF", "DOCUMENT", "PRESENTATION", "SPREADSHEET", "FORM", "DRAWING", "SCRIPT", "MAP", "IMAGE", "AUDIO", "VIDEO", "FOLDER", "ARCHIVE", "SITE" ] } }, "id": "DriveMimeTypeRestrict" }, "Source": { "id": "Source", "description": "Defines sources for the suggest/search APIs.", "properties": { "name": { "description": "Source name for content indexed by the Indexing API.", "type": "string" }, "predefinedSource": { "enumDescriptions": [ "", "Suggests queries issued by the user in the past. Only valid when used with the suggest API. Ignored when used in the query API.", "Suggests people in the organization. Only valid when used with the suggest API. Results in an error when used in the query API.", "", "", "", "", "", "" ], "type": "string", "enum": [ "NONE", "QUERY_HISTORY", "PERSON", "GOOGLE_DRIVE", "GOOGLE_GMAIL", "GOOGLE_SITES", "GOOGLE_GROUPS", "GOOGLE_CALENDAR", "GOOGLE_KEEP" ], "description": "Predefined content source for Google Apps." } }, "type": "object" }, "SearchResult": { "properties": { "title": { "type": "string", "description": "Title of the search result." }, "url": { "type": "string", "description": "The URL of the search result. The URL contains a Google redirect to the actual item. This URL is signed and shouldn't be changed." }, "snippet": { "description": "The concatenation of all snippets (summaries) available for this result.", "$ref": "Snippet" }, "metadata": { "$ref": "Metadata", "description": "Metadata of the search result." }, "debugInfo": { "description": "Debugging information about this search result.", "$ref": "ResultDebugInfo" }, "clusteredResults": { "items": { "$ref": "SearchResult" }, "description": "If source is clustered, provide list of clustered results. There will only be one level of clustered results. If current source is not enabled for clustering, this field will be empty.", "type": "array" } }, "type": "object", "description": "Results containing indexed information for a document.", "id": "SearchResult" }, "Name": { "description": "A person's name.", "type": "object", "properties": { "displayName": { "type": "string", "description": "The read-only display name formatted according to the locale specified by the viewer's account or the `Accept-Language` HTTP header." } }, "id": "Name" }, "ItemStructuredData": { "description": "Available structured data fields for the item.", "type": "object", "properties": { "object": { "description": "The structured data object that should conform to a registered object definition in the schema for the data source.", "$ref": "StructuredDataObject" }, "hash": { "type": "string", "description": "Hashing value provided by the API caller. This can be used with the items.push method to calculate modified state. The maximum length is 2048 characters." } }, "id": "ItemStructuredData" }, "SearchItemsByViewUrlRequest": { "type": "object", "properties": { "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous request, if any." }, "debugOptions": { "description": "Common debug options.", "$ref": "DebugOptions" }, "viewUrl": { "type": "string", "description": "Specify the full view URL to find the corresponding item. The maximum length is 2048 characters." } }, "id": "SearchItemsByViewUrlRequest" }, "ListQuerySourcesResponse": { "id": "ListQuerySourcesResponse", "properties": { "sources": { "items": { "$ref": "QuerySource" }, "type": "array" }, "nextPageToken": { "type": "string" } }, "type": "object", "description": "List sources response." }, "DoubleValues": { "description": "List of double values.", "properties": { "values": { "type": "array", "items": { "format": "double", "type": "number" } } }, "type": "object", "id": "DoubleValues" }, "Media": { "description": "Media resource.", "id": "Media", "type": "object", "properties": { "resourceName": { "description": "Name of the media resource.", "type": "string" } } }, "DriveTimeSpanRestrict": { "description": "The time span search restrict (e.g. \"after:2017-09-11 before:2017-09-12\").", "properties": { "type": { "enum": [ "UNSPECIFIED", "TODAY", "YESTERDAY", "LAST_7_DAYS", "LAST_30_DAYS", "LAST_90_DAYS" ], "type": "string", "enumDescriptions": [ "", "", "", "", "Not Enabled", "Not Enabled" ] } }, "id": "DriveTimeSpanRestrict", "type": "object" }, "UnmappedIdentity": { "type": "object", "id": "UnmappedIdentity", "properties": { "resolutionStatusCode": { "description": "The resolution status for the external identity.", "enumDescriptions": [ "Input-only value. Used to list all unmapped identities regardless of status.", "The unmapped identity was not found in IDaaS, and needs to be provided by the user.", "The identity source associated with the identity was either not found or deleted.", "IDaaS does not understand the identity source, probably because the schema was modified in a non compatible way.", "The number of users associated with the external identity is too large.", "Internal error." ], "type": "string", "enum": [ "CODE_UNSPECIFIED", "NOT_FOUND", "IDENTITY_SOURCE_NOT_FOUND", "IDENTITY_SOURCE_MISCONFIGURED", "TOO_MANY_MAPPINGS_FOUND", "INTERNAL_ERROR" ] }, "externalIdentity": { "description": "The resource name for an external user.", "$ref": "Principal" } } }, "EnumPropertyOptions": { "id": "EnumPropertyOptions", "description": "The options for enum properties, which allow you to define a restricted set of strings to match user queries, set rankings for those string values, and define an operator name to be paired with those strings so that users can narrow results to only items with a specific value. For example, for items in a request tracking system with priority information, you could define *p0* as an allowable enum value and tie this enum to the operator name *priority* so that search users could add *priority:p0* to their query to restrict the set of results to only those items indexed with the value *p0*.", "type": "object", "properties": { "orderedRanking": { "enumDescriptions": [ "There is no ranking order for the property. Results aren't adjusted by this property's value.", "This property is ranked in ascending order. Lower values indicate lower ranking.", "This property is ranked in descending order. Lower values indicate higher ranking." ], "enum": [ "NO_ORDER", "ASCENDING", "DESCENDING" ], "type": "string", "description": "Used to specify the ordered ranking for the enumeration that determines how the integer values provided in the possible EnumValuePairs are used to rank results. If specified, integer values must be provided for all possible EnumValuePair values given for this property. Can only be used if isRepeatable is false." }, "possibleValues": { "type": "array", "description": "The list of possible values for the enumeration property. All EnumValuePairs must provide a string value. If you specify an integer value for one EnumValuePair, then all possible EnumValuePairs must provide an integer value. Both the string value and integer value must be unique over all possible values. Once set, possible values cannot be removed or modified. If you supply an ordered ranking and think you might insert additional enum values in the future, leave gaps in the initial integer values to allow adding a value in between previously registered values. The maximum number of elements is 100.", "items": { "$ref": "EnumValuePair" } }, "operatorOptions": { "$ref": "EnumOperatorOptions", "description": "If set, describes how the enum should be used as a search operator." } } }, "SearchApplicationUserStats": { "properties": { "thirtyDaysActiveUsersCount": { "type": "string", "description": "The count of unique active users in the past thirty days", "format": "int64" }, "sevenDaysActiveUsersCount": { "description": "The count of unique active users in the past seven days", "type": "string", "format": "int64" }, "date": { "$ref": "Date", "description": "The date for which session stats were calculated. Stats calculated on the next day close to midnight are returned." }, "oneDayActiveUsersCount": { "format": "int64", "type": "string", "description": "The count of unique active users in the past one day" } }, "type": "object", "id": "SearchApplicationUserStats" }, "ItemStatus": { "type": "object", "id": "ItemStatus", "properties": { "code": { "enum": [ "CODE_UNSPECIFIED", "ERROR", "MODIFIED", "NEW_ITEM", "ACCEPTED" ], "type": "string", "enumDescriptions": [ "Input-only value. Used with Items.list to list all items in the queue, regardless of status.", "Error encountered by Cloud Search while processing this item. Details of the error are in repositoryError.", "Item has been modified in the repository, and is out of date with the version previously accepted into Cloud Search.", "Item is known to exist in the repository, but is not yet accepted by Cloud Search. An item can be in this state when Items.push has been called for an item of this name that did not exist previously.", "API has accepted the up-to-date data of this item." ], "description": "Status code." }, "repositoryErrors": { "items": { "$ref": "RepositoryError" }, "description": "Repository error reported by connector.", "type": "array" }, "processingErrors": { "description": "Error details in case the item is in ERROR state.", "items": { "$ref": "ProcessingError" }, "type": "array" } }, "description": "This contains item's status and any errors." }, "SuggestResult": { "type": "object", "properties": { "peopleSuggestion": { "description": "This is present when the suggestion indicates a person. It contains more information about the person - like their email ID, name etc.", "$ref": "PeopleSuggestion" }, "suggestedQuery": { "description": "The suggested query that will be used for search, when the user clicks on the suggestion", "type": "string" }, "querySuggestion": { "description": "This field will be present if the suggested query is a word/phrase completion.", "$ref": "QuerySuggestion" }, "source": { "description": "The source of the suggestion.", "$ref": "Source" } }, "id": "SuggestResult", "description": "One suggestion result." }, "DataSource": { "id": "DataSource", "properties": { "disableServing": { "type": "boolean", "description": "Disable serving any search or assist results." }, "shortName": { "description": "A short name or alias for the source. This value will be used to match the 'source' operator. For example, if the short name is *\u003cvalue\u003e* then queries like *source:\u003cvalue\u003e* will only return results for this source. The value must be unique across all datasources. The value must only contain alphanumeric characters (a-zA-Z0-9). The value cannot start with 'google' and cannot be one of the following: mail, gmail, docs, drive, groups, sites, calendar, hangouts, gplus, keep, people, teams. Its maximum length is 32 characters.", "type": "string" }, "displayName": { "description": "Required. Display name of the datasource The maximum length is 300 characters.", "type": "string" }, "returnThumbnailUrls": { "type": "boolean", "description": "Can a user request to get thumbnail URI for Items indexed in this data source." }, "operationIds": { "description": "IDs of the Long Running Operations (LROs) currently running for this schema.", "items": { "type": "string" }, "type": "array" }, "name": { "description": "The name of the datasource resource. Format: datasources/{source_id}. The name is ignored when creating a datasource.", "type": "string" }, "disableModifications": { "description": "If true, sets the datasource to read-only mode. In read-only mode, the Indexing API rejects any requests to index or delete items in this source. Enabling read-only mode does not stop the processing of previously accepted data.", "type": "boolean" }, "itemsVisibility": { "description": "This field restricts visibility to items at the datasource level. Items within the datasource are restricted to the union of users and groups included in this field. Note that, this does not ensure access to a specific item, as users need to have ACL permissions on the contained items. This ensures a high level access on the entire datasource, and that the individual items are not shared outside this visibility.", "type": "array", "items": { "$ref": "GSuitePrincipal" } }, "indexingServiceAccounts": { "items": { "type": "string" }, "description": "List of service accounts that have indexing access.", "type": "array" } }, "description": "Datasource is a logical namespace for items to be indexed. All items must belong to a datasource. This is the prerequisite before items can be indexed into Cloud Search.", "type": "object" }, "PropertyDefinition": { "id": "PropertyDefinition", "properties": { "isRepeatable": { "description": "Indicates that multiple values are allowed for the property. For example, a document only has one description but can have multiple comments. Cannot be true for properties whose type is a boolean. If set to false, properties that contain more than one value cause the indexing request for that item to be rejected.", "type": "boolean" }, "displayOptions": { "description": "The options that determine how the property is displayed in the Cloud Search results page if it's specified to be displayed in the object's display options.", "$ref": "PropertyDisplayOptions" }, "datePropertyOptions": { "$ref": "DatePropertyOptions" }, "booleanPropertyOptions": { "$ref": "BooleanPropertyOptions" }, "enumPropertyOptions": { "$ref": "EnumPropertyOptions" }, "timestampPropertyOptions": { "$ref": "TimestampPropertyOptions" }, "textPropertyOptions": { "$ref": "TextPropertyOptions" }, "objectPropertyOptions": { "$ref": "ObjectPropertyOptions" }, "isWildcardSearchable": { "description": "Indicates that users can perform wildcard search for this property. Only supported for Text properties. IsReturnable must be true to set this option. In a given datasource maximum of 5 properties can be marked as is_wildcard_searchable.", "type": "boolean" }, "isFacetable": { "type": "boolean", "description": "Indicates that the property can be used for generating facets. Cannot be true for properties whose type is object. IsReturnable must be true to set this option. Only supported for boolean, enum, and text properties." }, "isSuggestable": { "description": "Indicates that the property can be used for generating query suggestions.", "type": "boolean" }, "htmlPropertyOptions": { "$ref": "HtmlPropertyOptions" }, "integerPropertyOptions": { "$ref": "IntegerPropertyOptions" }, "isSortable": { "type": "boolean", "description": "Indicates that the property can be used for sorting. Cannot be true for properties that are repeatable. Cannot be true for properties whose type is object. IsReturnable must be true to set this option. Only supported for boolean, date, double, integer, and timestamp properties." }, "name": { "description": "The name of the property. Item indexing requests sent to the Indexing API should set the property name equal to this value. For example, if name is *subject_line*, then indexing requests for document items with subject fields should set the name for that field equal to *subject_line*. Use the name as the identifier for the object property. Once registered as a property for an object, you cannot re-use this name for another property within that object. The name must start with a letter and can only contain letters (A-Z, a-z) or numbers (0-9). The maximum length is 256 characters.", "type": "string" }, "doublePropertyOptions": { "$ref": "DoublePropertyOptions" }, "isReturnable": { "type": "boolean", "description": "Indicates that the property identifies data that should be returned in search results via the Query API. If set to *true*, indicates that Query API users can use matching property fields in results. However, storing fields requires more space allocation and uses more bandwidth for search queries, which impacts performance over large datasets. Set to *true* here only if the field is needed for search results. Cannot be true for properties whose type is an object." } }, "description": "The definition of a property within an object.", "type": "object" }, "PhoneNumber": { "type": "object", "id": "PhoneNumber", "properties": { "type": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "OTHER", "MOBILE", "OFFICE" ] }, "phoneNumber": { "description": "The phone number of the person.", "type": "string" } }, "description": "A person's Phone Number" }, "ItemAcl": { "id": "ItemAcl", "properties": { "owners": { "items": { "$ref": "Principal" }, "type": "array", "description": "Optional. List of owners for the item. This field has no bearing on document access permissions. It does, however, offer a slight ranking boosts items where the querying user is an owner. The maximum number of elements is 5." }, "aclInheritanceType": { "enumDescriptions": [ "The default value when this item does not inherit an ACL. Use NOT_APPLICABLE when inheritAclFrom is empty. An item without ACL inheritance can still have ACLs supplied by its own readers and deniedReaders fields.", "During an authorization conflict, the ACL of the child item determines its read access.", "During an authorization conflict, the ACL of the parent item specified in the inheritAclFrom field determines read access.", "Access is granted only if this item and the parent item specified in the inheritAclFrom field both permit read access." ], "enum": [ "NOT_APPLICABLE", "CHILD_OVERRIDE", "PARENT_OVERRIDE", "BOTH_PERMIT" ], "description": "Sets the type of access rules to apply when an item inherits its ACL from a parent. This should always be set in tandem with the inheritAclFrom field. Also, when the inheritAclFrom field is set, this field should be set to a valid AclInheritanceType.", "type": "string" }, "deniedReaders": { "type": "array", "items": { "$ref": "Principal" }, "description": "List of principals who are explicitly denied access to the item in search results. While principals are denied access by default, use denied readers to handle exceptions and override the list allowed readers. The maximum number of elements is 100." }, "readers": { "type": "array", "description": "List of principals who are allowed to see the item in search results. Optional if inheriting permissions from another item or if the item is not intended to be visible, such as virtual containers. The maximum number of elements is 1000.", "items": { "$ref": "Principal" } }, "inheritAclFrom": { "type": "string", "description": "The name of the item to inherit the Access Permission List (ACL) from. Note: ACL inheritance *only* provides access permissions to child items and does not define structural relationships, nor does it provide convenient ways to delete large groups of items. Deleting an ACL parent from the index only alters the access permissions of child items that reference the parent in the inheritAclFrom field. The item is still in the index, but may not visible in search results. By contrast, deletion of a container item also deletes all items that reference the container via the containerName field. The maximum length for this field is 1536 characters." } }, "type": "object", "description": "Access control list information for the item. For more information see [Map ACLs](https://developers.google.com/cloud-search/docs/guides/acls)." }, "GoogleDocsResultInfo": { "id": "GoogleDocsResultInfo", "type": "object", "properties": { "shareScope": { "description": "The visibility indicator in the UI will be based upon this.", "$ref": "ShareScope" }, "cosmoId": { "description": "The storage identifier for the object in Cosmo. This field is intended to used by Stratus/Moonshine integration only. It should not be exposed externally (please refer to encrypted_id for that purpose).", "$ref": "Id" }, "attachmentSha1": { "type": "string", "description": "The SHA1 hash of the object in Drive, if any." }, "encryptedId": { "type": "string", "description": "The encrypted (user-visible) id of this object. Knowing the id is sufficient to create a canonical URL for this document." }, "mimeType": { "description": "The mimetype of the document.", "type": "string" }, "cosmoNameSpace": { "format": "int32", "description": "For Cosmo objects, the Cosmo namespace the object was in. This allows downstream clients to identify whether a document was created in Writely or Kix, Presently or Punch, or whether it was uploaded from GDrive. See storage_cosmo.Id.NAME_SPACE for a list of all Cosmo name spaces.", "type": "integer" } }, "description": "A message containing information about a specific result. This information is passed to the scorer and beyond; in particular, GWS relies on it to format the result in the UI. Split from GoogleDocsMetadata in case we later want to reuse the message." }, "ErrorInfo": { "properties": { "errorMessages": { "items": { "$ref": "ErrorMessage" }, "type": "array" } }, "type": "object", "description": "Error information about the response.", "id": "ErrorInfo" }, "CustomerSessionStats": { "type": "object", "id": "CustomerSessionStats", "properties": { "date": { "description": "The date for which session stats were calculated. Stats are calculated on the following day, close to midnight PST, and then returned.", "$ref": "Date" }, "searchSessionsCount": { "description": "The count of search sessions on the day", "type": "string", "format": "int64" } } }, "PushItemRequest": { "id": "PushItemRequest", "type": "object", "properties": { "item": { "$ref": "PushItem", "description": "Item to push onto the queue." }, "connectorName": { "description": "The name of connector making this call. Format: datasources/{source_id}/connectors/{ID}", "type": "string" }, "debugOptions": { "$ref": "DebugOptions", "description": "Common debug options." } } }, "DataSourceRestriction": { "id": "DataSourceRestriction", "description": "Restriction on Datasource.", "properties": { "source": { "$ref": "Source", "description": "The source of restriction." }, "filterOptions": { "items": { "$ref": "FilterOptions" }, "description": "Filter options restricting the results. If multiple filters are present, they are grouped by object type before joining. Filters with the same object type are joined conjunctively, then the resulting expressions are joined disjunctively. The maximum number of elements is 20. NOTE: Suggest API supports only few filters at the moment: \"objecttype\", \"type\" and \"mimetype\". For now, schema specific filters cannot be used to filter suggestions.", "type": "array" } }, "type": "object" }, "TextOperatorOptions": { "properties": { "exactMatchWithOperator": { "description": "If true, the text value is tokenized as one atomic value in operator searches and facet matches. For example, if the operator name is \"genre\" and the value is \"science-fiction\" the query restrictions \"genre:science\" and \"genre:fiction\" doesn't match the item; \"genre:science-fiction\" does. Text value matching is case-sensitive and does not remove special characters. If false, the text is tokenized. For example, if the value is \"science-fiction\" the queries \"genre:science\" and \"genre:fiction\" matches the item.", "type": "boolean" }, "operatorName": { "type": "string", "description": "Indicates the operator name required in the query in order to isolate the text property. For example, if operatorName is *subject* and the property's name is *subjectLine*, then queries like *subject:\u003cvalue\u003e* show results only where the value of the property named *subjectLine* matches *\u003cvalue\u003e*. By contrast, a search that uses the same *\u003cvalue\u003e* without an operator returns all items where *\u003cvalue\u003e* matches the value of any text properties or text within the content field for the item. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters." } }, "id": "TextOperatorOptions", "type": "object", "description": "Used to provide a search operator for text properties. This is optional. Search operators let users restrict the query to specific fields relevant to the type of item being searched." }, "GetCustomerUserStatsResponse": { "properties": { "stats": { "items": { "$ref": "CustomerUserStats" }, "type": "array" } }, "type": "object", "id": "GetCustomerUserStatsResponse" }, "RetrievalImportance": { "id": "RetrievalImportance", "type": "object", "properties": { "importance": { "type": "string", "description": "Indicates the ranking importance given to property when it is matched during retrieval. Once set, the token importance of a property cannot be changed.", "enum": [ "DEFAULT", "HIGHEST", "HIGH", "LOW", "NONE" ], "enumDescriptions": [ "Treat the match like a body text match.", "Treat the match like a match against title of the item.", "Treat the match with higher importance than body text.", "Treat the match with lower importance than body text.", "Do not match against this field during retrieval. The property can still be used for operator matching, faceting, and suggest if desired." ] } } }, "PollItemsResponse": { "type": "object", "properties": { "items": { "description": "Set of items from the queue available for connector to process. These items have the following subset of fields populated: version metadata.hash structured_data.hash content.hash payload status queue", "items": { "$ref": "Item" }, "type": "array" } }, "id": "PollItemsResponse" }, "CustomerQueryStats": { "id": "CustomerQueryStats", "type": "object", "properties": { "queryCountByStatus": { "items": { "$ref": "QueryCountByStatus" }, "type": "array" }, "date": { "description": "The date for which query stats were calculated. Stats calculated on the next day close to midnight are returned.", "$ref": "Date" } } }, "Snippet": { "properties": { "matchRanges": { "items": { "$ref": "MatchRange" }, "description": "The matched ranges in the snippet.", "type": "array" }, "snippet": { "type": "string", "description": "The snippet of the document. The snippet of the document. May contain escaped HTML character that should be unescaped prior to rendering." } }, "id": "Snippet", "description": "Snippet of the search result, which summarizes the content of the resulting page.", "type": "object" }, "RepositoryError": { "id": "RepositoryError", "properties": { "errorMessage": { "description": "Message that describes the error. The maximum allowable length of the message is 8192 characters.", "type": "string" }, "type": { "enum": [ "UNKNOWN", "NETWORK_ERROR", "DNS_ERROR", "CONNECTION_ERROR", "AUTHENTICATION_ERROR", "AUTHORIZATION_ERROR", "SERVER_ERROR", "QUOTA_EXCEEDED", "SERVICE_UNAVAILABLE", "CLIENT_ERROR" ], "description": "The type of error.", "enumDescriptions": [ "Unknown error.", "Unknown or unreachable host.", "DNS problem, such as the DNS server is not responding.", "Cannot connect to the repository server.", "Failed authentication due to incorrect credentials.", "Service account is not authorized for the repository.", "Repository server error.", "Quota exceeded.", "Server temporarily unavailable.", "Client-related error, such as an invalid request from the connector to the repository server." ], "type": "string" }, "httpStatusCode": { "description": "Error codes. Matches the definition of HTTP status codes.", "type": "integer", "format": "int32" } }, "type": "object", "description": "Errors when the connector is communicating to the source repository." }, "DmId": { "id": "DmId", "type": "object", "properties": { "dmId": { "type": "string", "description": "Unique server assigned Id, per Direct Message Space." } } }, "EnumValues": { "description": "List of enum values.", "id": "EnumValues", "type": "object", "properties": { "values": { "type": "array", "items": { "type": "string" }, "description": "The maximum allowable length for string values is 32 characters." } } }, "GoogleDocsMetadata": { "description": "The corpus specific metadata for office-type documents, from Google Docs and other sources. This message is passed to the scorer and beyond. Next tag: 7", "properties": { "fileExtension": { "description": "The file extension of the document. NOTE: As of October 2018 this field is not backfilled for old documents.", "type": "string" }, "aclInfo": { "description": "Contains number of users and groups which can access the document.", "$ref": "AclInfo" }, "resultInfo": { "$ref": "GoogleDocsResultInfo", "description": "Additional per-result information, akin to Gmail's SingleThreadResponse. Note: GWS no longer seems to use this field, but there's still one reference to it for Scribe, so we can't remove it." }, "typeInfo": { "description": "Contains additional information about the document depending on its type.", "$ref": "TypeInfo" }, "documentType": { "description": "The conceptual type (presentation, document, etc.) of this document.", "type": "string", "enumDescriptions": [ "If the type is unknown or not represented in this enum.", "Writely, Word, etc.", "Presently, PowerPoint, etc.", "Trix, Excel, etc.", "File types for Gdrive objects are below.", "", "Fall-back for unknown Gdrive types.", "", "", "", "", "", "For Atari page and site drafts", "", "Jamboard Jams (go/jam)", "Drive Shortcuts (go/shortcuts)", "" ], "enum": [ "UNKNOWN", "DOCUMENT", "PRESENTATION", "SPREADSHEET", "PDF", "IMAGE", "BINARY_BLOB", "FUSION_TABLE", "FOLDER", "DRAWING", "VIDEO", "FORM", "DRAFT_SITE", "DRAFT_SITE_PAGE", "JAM", "SHORTCUT", "SCRIPT" ] }, "lastContentModifiedTimestamp": { "type": "string", "format": "int64", "description": "The last time this document was modified, in seconds since epoch. Only counts content modifications." } }, "type": "object", "id": "GoogleDocsMetadata" }, "GetCustomerQueryStatsResponse": { "type": "object", "id": "GetCustomerQueryStatsResponse", "properties": { "totalQueryCount": { "format": "int64", "type": "string", "description": "Total successful query count (status code 200) for the given date range." }, "stats": { "items": { "$ref": "CustomerQueryStats" }, "type": "array" } } }, "DebugOptions": { "description": "Shared request debug options for all cloudsearch RPC methods.", "id": "DebugOptions", "properties": { "enableDebugging": { "description": "If you are asked by Google to help with debugging, set this field. Otherwise, ignore this field.", "type": "boolean" } }, "type": "object" }, "QuerySource": { "type": "object", "properties": { "operators": { "description": "List of all operators applicable for this source.", "type": "array", "items": { "$ref": "QueryOperator" } }, "displayName": { "description": "Display name of the data source.", "type": "string" }, "shortName": { "description": "A short name or alias for the source. This value can be used with the 'source' operator.", "type": "string" }, "source": { "description": "The name of the source", "$ref": "Source" } }, "id": "QuerySource", "description": "List of sources that the user can search using the query API." }, "HtmlOperatorOptions": { "type": "object", "description": "Used to provide a search operator for html properties. This is optional. Search operators let users restrict the query to specific fields relevant to the type of item being searched.", "properties": { "operatorName": { "type": "string", "description": "Indicates the operator name required in the query in order to isolate the html property. For example, if operatorName is *subject* and the property's name is *subjectLine*, then queries like *subject:\u003cvalue\u003e* show results only where the value of the property named *subjectLine* matches *\u003cvalue\u003e*. By contrast, a search that uses the same *\u003cvalue\u003e* without an operator return all items where *\u003cvalue\u003e* matches the value of any html properties or text within the content field for the item. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters." } }, "id": "HtmlOperatorOptions" }, "ResultDisplayMetadata": { "properties": { "metalines": { "description": "The metalines content to be displayed with the result.", "items": { "$ref": "ResultDisplayLine" }, "type": "array" }, "objectTypeLabel": { "description": "The display label for the object.", "type": "string" } }, "type": "object", "id": "ResultDisplayMetadata" }, "UpdateSchemaRequest": { "id": "UpdateSchemaRequest", "properties": { "debugOptions": { "$ref": "DebugOptions", "description": "Common debug options." }, "validateOnly": { "description": "If true, the schema will be checked for validity, but will not be registered with the data source, even if valid.", "type": "boolean" }, "schema": { "$ref": "Schema", "description": "The new schema for the source." } }, "type": "object" }, "ResponseDebugInfo": { "description": "Debugging information about the response.", "id": "ResponseDebugInfo", "type": "object", "properties": { "formattedDebugInfo": { "type": "string", "description": "General debug info formatted for display." } } }, "ShareScope": { "id": "ShareScope", "properties": { "scope": { "description": "The scope to which the content was shared.", "enumDescriptions": [ "", "Only the author can view the post.", "Viewable only by a set of people.", "Viewable by extended circles.", "", "" ], "enum": [ "UNKNOWN", "PRIVATE", "LIMITED", "EXTENDED", "DASHER_DOMAIN", "PUBLIC" ], "type": "string" }, "domain": { "type": "string", "description": "If scope is DOMAIN, this field contains the dasher domain, for example \"google.com\"." } }, "type": "object" }, "Item": { "description": "Represents a single object that is an item in the search index, such as a file, folder, or a database record.", "id": "Item", "type": "object", "properties": { "structuredData": { "description": "The structured data for the item that should conform to a registered object definition in the schema for the data source.", "$ref": "ItemStructuredData" }, "payload": { "format": "byte", "type": "string", "description": "Additional state connector can store for this item. The maximum length is 10000 bytes." }, "queue": { "description": "Queue this item belongs to. The maximum length is 100 characters.", "type": "string" }, "metadata": { "$ref": "ItemMetadata", "description": "The metadata information." }, "content": { "description": "Item content to be indexed and made text searchable.", "$ref": "ItemContent" }, "version": { "type": "string", "format": "byte", "description": "Required. The indexing system stores the version from the datasource as a byte string and compares the Item version in the index to the version of the queued Item using lexical ordering. Cloud Search Indexing won't index or delete any queued item with a version value that is less than or equal to the version of the currently indexed item. The maximum length for this field is 1024 bytes. For information on how item version affects the deletion process, refer to [Handle revisions after manual deletes](https://developers.google.com/cloud-search/docs/guides/operations)." }, "acl": { "$ref": "ItemAcl", "description": "Access control list for this item." }, "status": { "$ref": "ItemStatus", "description": "Status of the item. Output only field." }, "name": { "description": "The name of the Item. Format: datasources/{source_id}/items/{item_id} This is a required field. The maximum length is 1536 characters.", "type": "string" }, "itemType": { "type": "string", "enum": [ "UNSPECIFIED", "CONTENT_ITEM", "CONTAINER_ITEM", "VIRTUAL_CONTAINER_ITEM" ], "enumDescriptions": [ "", "An item that is indexed for the only purpose of serving information. These items cannot be referred in containerName or inheritAclFrom fields.", "An item that gets indexed and whose purpose is to supply other items with ACLs and/or contain other items.", "An item that does not get indexed, but otherwise has the same purpose as CONTAINER_ITEM." ], "description": "The type for this item." } } }, "QueryCountByStatus": { "type": "object", "properties": { "statusCode": { "type": "integer", "format": "int32", "description": "This represents the http status code." }, "count": { "format": "int64", "type": "string" } }, "id": "QueryCountByStatus" }, "DateOperatorOptions": { "description": "Optional. Provides a search operator for date properties. Search operators let users restrict the query to specific fields relevant to the type of item being searched.", "type": "object", "id": "DateOperatorOptions", "properties": { "greaterThanOperatorName": { "type": "string", "description": "Indicates the operator name required in the query in order to isolate the date property using the greater-than operator. For example, if greaterThanOperatorName is *closedafter* and the property's name is *closeDate*, then queries like *closedafter:\u003cvalue\u003e* show results only where the value of the property named *closeDate* is later than *\u003cvalue\u003e*. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters." }, "lessThanOperatorName": { "description": "Indicates the operator name required in the query in order to isolate the date property using the less-than operator. For example, if lessThanOperatorName is *closedbefore* and the property's name is *closeDate*, then queries like *closedbefore:\u003cvalue\u003e* show results only where the value of the property named *closeDate* is earlier than *\u003cvalue\u003e*. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters.", "type": "string" }, "operatorName": { "type": "string", "description": "Indicates the actual string required in the query in order to isolate the date property. For example, suppose an issue tracking schema object has a property named *closeDate* that specifies an operator with an operatorName of *closedon*. For searches on that data, queries like *closedon:\u003cvalue\u003e* show results only where the value of the *closeDate* property matches *\u003cvalue\u003e*. By contrast, a search that uses the same *\u003cvalue\u003e* without an operator returns all items where *\u003cvalue\u003e* matches the value of any String properties or text within the content field for the indexed datasource. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters." } } }, "DynamiteSpacesScoringInfo": { "id": "DynamiteSpacesScoringInfo", "description": "This is the proto for holding space level scoring information. This data is used for logging in query-api server and for testing purposes.", "properties": { "joinedSpacesAffinityScore": { "type": "number", "format": "double" }, "smallUnjoinedSpacesAffinityScore": { "format": "double", "type": "number" }, "messageScore": { "format": "double", "type": "number" }, "smallContactListAffinityScore": { "type": "number", "format": "double" }, "spaceCreationTimestampSecs": { "type": "string", "format": "int64" }, "memberMetadataCount": { "format": "double", "type": "number" }, "contactsIntersectionCount": { "format": "double", "type": "number" }, "topicalityScore": { "type": "number", "format": "double" }, "lastReadTimestampSecs": { "type": "string", "format": "int64" }, "numAucContacts": { "type": "string", "format": "int64" }, "freshnessScore": { "format": "double", "type": "number" }, "commonContactCountAffinityScore": { "format": "double", "type": "number" }, "finalScore": { "type": "number", "format": "double" }, "affinityScore": { "type": "number", "format": "double" }, "lastMessagePostedTimestampSecs": { "type": "string", "format": "int64" }, "spaceAgeInDays": { "type": "number", "format": "double" } }, "type": "object" }, "Value": { "properties": { "integerValue": { "format": "int64", "type": "string" }, "dateValue": { "$ref": "Date" }, "timestampValue": { "type": "string", "format": "google-datetime" }, "doubleValue": { "type": "number", "format": "double" }, "stringValue": { "type": "string" }, "booleanValue": { "type": "boolean" } }, "id": "Value", "type": "object", "description": "Definition of a single value with generic type." }, "FilterOptions": { "description": "Filter options to be applied on query.", "id": "FilterOptions", "type": "object", "properties": { "objectType": { "description": "If object_type is set, only objects of that type are returned. This should correspond to the name of the object that was registered within the definition of schema. The maximum length is 256 characters.", "type": "string" }, "filter": { "$ref": "Filter", "description": "Generic filter to restrict the search, such as `lang:en`, `site:xyz`." } } }, "IntegerPropertyOptions": { "type": "object", "description": "The options for integer properties.", "id": "IntegerPropertyOptions", "properties": { "maximumValue": { "type": "string", "format": "int64", "description": "The maximum value of the property. The minimum and maximum values for the property are used to rank results according to the ordered ranking. Indexing requests with values greater than the maximum are accepted and ranked with the same weight as items indexed with the maximum value." }, "operatorOptions": { "description": "If set, describes how the integer should be used as a search operator.", "$ref": "IntegerOperatorOptions" }, "orderedRanking": { "enumDescriptions": [ "There is no ranking order for the property. Results are not adjusted by this property's value.", "This property is ranked in ascending order. Lower values indicate lower ranking.", "This property is ranked in descending order. Lower values indicate higher ranking." ], "description": "Used to specify the ordered ranking for the integer. Can only be used if isRepeatable is false.", "type": "string", "enum": [ "NO_ORDER", "ASCENDING", "DESCENDING" ] }, "minimumValue": { "type": "string", "description": "The minimum value of the property. The minimum and maximum values for the property are used to rank results according to the ordered ranking. Indexing requests with values less than the minimum are accepted and ranked with the same weight as items indexed with the minimum value.", "format": "int64" } } }, "ListDataSourceResponse": { "id": "ListDataSourceResponse", "properties": { "sources": { "items": { "$ref": "DataSource" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "type": "object" }, "DoubleOperatorOptions": { "id": "DoubleOperatorOptions", "type": "object", "description": "Used to provide a search operator for double properties. This is optional. Search operators let users restrict the query to specific fields relevant to the type of item being searched.", "properties": { "operatorName": { "description": "Indicates the operator name required in the query in order to use the double property in sorting or as a facet. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters.", "type": "string" } } }, "NamedProperty": { "properties": { "name": { "description": "The name of the property. This name should correspond to the name of the property that was registered for object definition in the schema. The maximum allowable length for this property is 256 characters.", "type": "string" }, "objectValues": { "$ref": "ObjectValues" }, "booleanValue": { "type": "boolean" }, "integerValues": { "$ref": "IntegerValues" }, "dateValues": { "$ref": "DateValues" }, "textValues": { "$ref": "TextValues" }, "timestampValues": { "$ref": "TimestampValues" }, "htmlValues": { "$ref": "HtmlValues" }, "enumValues": { "$ref": "EnumValues" }, "doubleValues": { "$ref": "DoubleValues" } }, "description": "A typed name-value pair for structured data. The type of the value should be the same as the registered type for the `name` property in the object definition of `objectType`.", "id": "NamedProperty", "type": "object" }, "GSuitePrincipal": { "type": "object", "id": "GSuitePrincipal", "properties": { "gsuiteUserEmail": { "description": "This principal references a G Suite user account", "type": "string" }, "gsuiteGroupEmail": { "description": "This principal references a G Suite group account", "type": "string" }, "gsuiteDomain": { "description": "This principal represents all users of the G Suite domain of the customer.", "type": "boolean" } } }, "ListItemNamesForUnmappedIdentityResponse": { "type": "object", "properties": { "itemNames": { "items": { "type": "string" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "id": "ListItemNamesForUnmappedIdentityResponse" }, "StartUploadItemRequest": { "type": "object", "properties": { "debugOptions": { "$ref": "DebugOptions", "description": "Common debug options." }, "connectorName": { "description": "The name of connector making this call. Format: datasources/{source_id}/connectors/{ID}", "type": "string" } }, "id": "StartUploadItemRequest", "description": "Start upload file request." }, "SortOptions": { "id": "SortOptions", "type": "object", "properties": { "operatorName": { "type": "string", "description": "The name of the operator corresponding to the field to sort on. The corresponding property must be marked as sortable." }, "sortOrder": { "description": "Ascending is the default sort order", "enum": [ "ASCENDING", "DESCENDING" ], "type": "string", "enumDescriptions": [ "", "" ] } } }, "QueryInterpretationOptions": { "type": "object", "properties": { "disableNlInterpretation": { "description": "Flag to disable natural language (NL) interpretation of queries. Default is false, Set to true to disable natural language interpretation. NL interpretation only applies to predefined datasources.", "type": "boolean" }, "enableVerbatimMode": { "description": "Enable this flag to turn off all internal optimizations like natural language (NL) interpretation of queries, supplemental result retrieval, and usage of synonyms including custom ones. Nl interpretation will be disabled if either one of the two flags is true.", "type": "boolean" }, "disableSupplementalResults": { "type": "boolean", "description": "Use this flag to disable supplemental results for a query. Supplemental results setting chosen at SearchApplication level will take precedence if set to True." } }, "description": "Options to interpret user query.", "id": "QueryInterpretationOptions" }, "SearchApplicationQueryStats": { "properties": { "date": { "description": "The date for which query stats were calculated. Stats calculated on the next day close to midnight are returned.", "$ref": "Date" }, "queryCountByStatus": { "type": "array", "items": { "$ref": "QueryCountByStatus" } } }, "type": "object", "description": "Search application level query stats per date", "id": "SearchApplicationQueryStats" }, "CustomerSettings": { "id": "CustomerSettings", "type": "object", "description": "Represents settings at a customer level.", "properties": { "vpcSettings": { "description": "VPC SC settings for the customer. If update_mask is empty then this field will be updated based on UpdateCustomerSettings request.", "$ref": "VPCSettings" }, "auditLoggingSettings": { "description": "Audit Logging settings for the customer. If update_mask is empty then this field will be updated based on UpdateCustomerSettings request.", "$ref": "AuditLoggingSettings" } } }, "ResetSearchApplicationRequest": { "type": "object", "properties": { "debugOptions": { "description": "Common debug options.", "$ref": "DebugOptions" } }, "id": "ResetSearchApplicationRequest" }, "ObjectValues": { "description": "List of object values.", "type": "object", "properties": { "values": { "type": "array", "items": { "$ref": "StructuredDataObject" } } }, "id": "ObjectValues" }, "ErrorMessage": { "type": "object", "properties": { "source": { "$ref": "Source" }, "errorMessage": { "type": "string" } }, "id": "ErrorMessage", "description": "Error message per source response." }, "Emoji": { "type": "object", "id": "Emoji", "properties": { "customEmoji": { "$ref": "CustomEmoji", "description": "A custom emoji." }, "unicode": { "type": "string", "description": "A basic emoji represented by a unicode string." } } }, "DateValues": { "type": "object", "description": "List of date values.", "properties": { "values": { "type": "array", "items": { "$ref": "Date" } } }, "id": "DateValues" }, "UploadItemRef": { "properties": { "name": { "type": "string", "description": "The name of the content reference. The maximum length is 2048 characters." } }, "id": "UploadItemRef", "type": "object", "description": "Represents an upload session reference. This reference is created via upload method. This reference is valid for 30 days after its creation. Updating of item content may refer to this uploaded content via contentDataRef." }, "DataSourceIndexStats": { "description": "Aggregation of items by status code as of the specified date.", "type": "object", "id": "DataSourceIndexStats", "properties": { "date": { "description": "The date for which index stats were calculated. If the date of request is not the current date then stats calculated on the next day are returned. Stats are calculated close to mid night in this case. If date of request is current date, then real time stats are returned.", "$ref": "Date" }, "itemCountByStatus": { "items": { "$ref": "ItemCountByStatus" }, "description": "Number of items aggregrated by status code.", "type": "array" } } }, "PropertyDisplayOptions": { "type": "object", "properties": { "displayLabel": { "description": "The user friendly label for the property that is used if the property is specified to be displayed in ObjectDisplayOptions. If provided, the display label is shown in front of the property values when the property is part of the object display options. For example, if the property value is '1', the value by itself may not be useful context for the user. If the display name given was 'priority', then the user sees 'priority : 1' in the search results which provides clear context to search users. This is OPTIONAL; if not given, only the property values are displayed. The maximum length is 64 characters.", "type": "string" } }, "description": "The display options for a property.", "id": "PropertyDisplayOptions" }, "IndexItemRequest": { "properties": { "indexItemOptions": { "$ref": "IndexItemOptions" }, "connectorName": { "type": "string", "description": "The name of connector making this call. Format: datasources/{source_id}/connectors/{ID}" }, "debugOptions": { "$ref": "DebugOptions", "description": "Common debug options." }, "mode": { "description": "Required. The RequestMode for this request.", "enum": [ "UNSPECIFIED", "SYNCHRONOUS", "ASYNCHRONOUS" ], "enumDescriptions": [ "The priority is not specified in the update request. Leaving priority unspecified results in an update failure.", "For real-time updates.", "For changes that are executed after the response is sent back to the caller." ], "type": "string" }, "item": { "$ref": "Item", "description": "The name of the item. Format: datasources/{source_id}/items/{item_id}" } }, "type": "object", "id": "IndexItemRequest" }, "FacetOptions": { "description": "Specifies operators to return facet results for. There will be one FacetResult for every source_name/object_type/operator_name combination.", "id": "FacetOptions", "properties": { "operatorName": { "type": "string", "description": "The name of the operator chosen for faceting. @see cloudsearch.SchemaPropertyOptions" }, "objectType": { "type": "string", "description": "If object_type is set, only those objects of that type will be used to compute facets. If empty, then all objects will be used to compute facets." }, "sourceName": { "description": "Source name to facet on. Format: datasources/{source_id} If empty, all data sources will be used.", "type": "string" }, "numFacetBuckets": { "type": "integer", "description": "Maximum number of facet buckets that should be returned for this facet. Defaults to 10. Maximum value is 100.", "format": "int32" } }, "type": "object" }, "AclInfo": { "id": "AclInfo", "properties": { "scope": { "type": "string", "enumDescriptions": [ "Explicit set of people and groups.", "Anybody at the same domain with the link.", "Now it works only for google.com. Anybody at the same domain. Now it works only", "for google.com. Anybody with the link.", "Anybody.", "Special tag to indicate TeamDrive scope." ], "enum": [ "LIMITED", "DASHER_DOMAIN_WITH_LINK", "DASHER_DOMAIN", "PUBLIC_WITH_LINK", "PUBLIC", "TEAM_DRIVE" ], "description": "The scope to which the content was shared." }, "groupsCount": { "format": "int32", "description": "Number of groups which have at least read access to the document.", "type": "integer" }, "usersCount": { "format": "int32", "description": "Number of users which have at least read access to the document.", "type": "integer" } }, "type": "object", "description": "Next tag: 4" }, "TimestampValues": { "description": "List of timestamp values.", "properties": { "values": { "items": { "type": "string", "format": "google-datetime" }, "type": "array" } }, "id": "TimestampValues", "type": "object" }, "SearchApplicationSessionStats": { "type": "object", "properties": { "searchSessionsCount": { "format": "int64", "description": "The count of search sessions on the day", "type": "string" }, "date": { "$ref": "Date", "description": "The date for which session stats were calculated. Stats are calculated on the following day, close to midnight PST, and then returned." } }, "id": "SearchApplicationSessionStats" }, "RestrictItem": { "id": "RestrictItem", "properties": { "driveMimeTypeRestrict": { "description": "Drive Types.", "$ref": "DriveMimeTypeRestrict" }, "driveLocationRestrict": { "$ref": "DriveLocationRestrict" }, "searchOperator": { "description": "The search restrict (e.g. \"after:2017-09-11 before:2017-09-12\").", "type": "string" }, "driveTimeSpanRestrict": { "$ref": "DriveTimeSpanRestrict" }, "driveFollowUpRestrict": { "$ref": "DriveFollowUpRestrict" } }, "description": "Information relevant only to a restrict entry. NextId: 12", "type": "object" }, "ContextAttribute": { "properties": { "name": { "type": "string", "description": "The name of the attribute. It should not be empty. The maximum length is 32 characters. The name must start with a letter and can only contain letters (A-Z, a-z) or numbers (0-9). The name will be normalized (lower-cased) before being matched." }, "values": { "description": "Text values of the attribute. The maximum number of elements is 10. The maximum length of an element in the array is 32 characters. The value will be normalized (lower-cased) before being matched.", "items": { "type": "string" }, "type": "array" } }, "id": "ContextAttribute", "type": "object", "description": "A named attribute associated with an item which can be used for influencing the ranking of the item based on the context in the request." }, "SearchRequest": { "type": "object", "description": "The search API request.", "id": "SearchRequest", "properties": { "sortOptions": { "description": "The options for sorting the search results", "$ref": "SortOptions" }, "queryInterpretationOptions": { "description": "Options to interpret the user query.", "$ref": "QueryInterpretationOptions" }, "query": { "type": "string", "description": "The raw query string. See supported search operators in the [Narrow your search with operators](https://support.google.com/cloudsearch/answer/6172299)" }, "contextAttributes": { "items": { "$ref": "ContextAttribute" }, "type": "array", "description": "Context attributes for the request which will be used to adjust ranking of search results. The maximum number of elements is 10." }, "dataSourceRestrictions": { "type": "array", "items": { "$ref": "DataSourceRestriction" }, "description": "The sources to use for querying. If not specified, all data sources from the current search application are used." }, "facetOptions": { "items": { "$ref": "FacetOptions" }, "type": "array" }, "start": { "description": "Starting index of the results.", "type": "integer", "format": "int32" }, "pageSize": { "description": "Maximum number of search results to return in one page. Valid values are between 1 and 100, inclusive. Default value is 10. Minimum value is 50 when results beyond 2000 are requested.", "format": "int32", "type": "integer" }, "requestOptions": { "$ref": "RequestOptions", "description": "Request options, such as the search application and user timezone." } } }, "SuggestResponse": { "id": "SuggestResponse", "properties": { "suggestResults": { "type": "array", "items": { "$ref": "SuggestResult" }, "description": "List of suggestions." } }, "type": "object", "description": "Response of the suggest API." }, "Interaction": { "properties": { "principal": { "description": "The user that acted on the item.", "$ref": "Principal" }, "interactionTime": { "format": "google-datetime", "type": "string", "description": "The time when the user acted on the item. If multiple actions of the same type exist for a single user, only the most recent action is recorded." }, "type": { "type": "string", "enumDescriptions": [ "Invalid value.", "This interaction indicates the user viewed the item.", "This interaction indicates the user edited the item." ], "enum": [ "UNSPECIFIED", "VIEW", "EDIT" ] } }, "description": "Represents an interaction between a user and an item.", "type": "object", "id": "Interaction" }, "SearchApplication": { "type": "object", "id": "SearchApplication", "properties": { "defaultFacetOptions": { "description": "The default fields for returning facet results. The sources specified here also have been included in data_source_restrictions above.", "type": "array", "items": { "$ref": "FacetOptions" } }, "name": { "description": "The name of the Search Application. Format: searchapplications/{application_id}.", "type": "string" }, "sourceConfig": { "type": "array", "items": { "$ref": "SourceConfig" }, "description": "Configuration for a sources specified in data_source_restrictions." }, "scoringConfig": { "description": "Configuration for ranking results.", "$ref": "ScoringConfig" }, "displayName": { "type": "string", "description": "Display name of the Search Application. The maximum length is 300 characters." }, "queryInterpretationConfig": { "$ref": "QueryInterpretationConfig", "description": "The default options for query interpretation" }, "operationIds": { "type": "array", "readOnly": true, "description": "Output only. IDs of the Long Running Operations (LROs) currently running for this schema. Output only field.", "items": { "type": "string" } }, "dataSourceRestrictions": { "type": "array", "items": { "$ref": "DataSourceRestriction" }, "description": "Retrictions applied to the configurations. The maximum number of elements is 10." }, "enableAuditLog": { "type": "boolean", "description": "Indicates whether audit logging is on/off for requests made for the search application in query APIs." }, "returnResultThumbnailUrls": { "type": "boolean", "description": "With each result we should return the URI for its thumbnail (when applicable)" }, "defaultSortOptions": { "$ref": "SortOptions", "description": "The default options for sorting the search results" } }, "description": "SearchApplication" }, "SourceConfig": { "type": "object", "properties": { "scoringConfig": { "$ref": "SourceScoringConfig", "description": "The scoring configuration for the source." }, "crowdingConfig": { "$ref": "SourceCrowdingConfig", "description": "The crowding configuration for the source." }, "source": { "$ref": "Source", "description": "The source for which this configuration is to be used." } }, "id": "SourceConfig", "description": "Configurations for a source while processing a Search or Suggest request." }, "ValueFilter": { "type": "object", "properties": { "value": { "$ref": "Value", "description": "The value to be compared with." }, "operatorName": { "description": "The `operator_name` applied to the query, such as *price_greater_than*. The filter can work against both types of filters defined in the schema for your data source: 1. `operator_name`, where the query filters results by the property that matches the value. 2. `greater_than_operator_name` or `less_than_operator_name` in your schema. The query filters the results for the property values that are greater than or less than the supplied value in the query.", "type": "string" } }, "id": "ValueFilter" }, "Filter": { "type": "object", "description": "A generic way of expressing filters in a query, which supports two approaches: **1. Setting a ValueFilter.** The name must match an operator_name defined in the schema for your data source. **2. Setting a CompositeFilter.** The filters are evaluated using the logical operator. The top-level operators can only be either an AND or a NOT. AND can appear only at the top-most level. OR can appear only under a top-level AND.", "properties": { "compositeFilter": { "$ref": "CompositeFilter" }, "valueFilter": { "$ref": "ValueFilter" } }, "id": "Filter" }, "ListSearchApplicationsResponse": { "id": "ListSearchApplicationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "searchApplications": { "items": { "$ref": "SearchApplication" }, "type": "array" } }, "type": "object" }, "EnumOperatorOptions": { "description": "Used to provide a search operator for enum properties. This is optional. Search operators let users restrict the query to specific fields relevant to the type of item being searched. For example, if you provide no operator for a *priority* enum property with possible values *p0* and *p1*, a query that contains the term *p0* returns items that have *p0* as the value of the *priority* property, as well as any items that contain the string *p0* in other fields. If you provide an operator name for the enum, such as *priority*, then search users can use that operator to refine results to only items that have *p0* as this property's value, with the query *priority:p0*.", "id": "EnumOperatorOptions", "type": "object", "properties": { "operatorName": { "type": "string", "description": "Indicates the operator name required in the query in order to isolate the enum property. For example, if operatorName is *priority* and the property's name is *priorityVal*, then queries like *priority:\u003cvalue\u003e* show results only where the value of the property named *priorityVal* matches *\u003cvalue\u003e*. By contrast, a search that uses the same *\u003cvalue\u003e* without an operator returns all items where *\u003cvalue\u003e* matches the value of any String properties or text within the content field for the item. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters." } } }, "DriveFollowUpRestrict": { "id": "DriveFollowUpRestrict", "description": "Drive follow-up search restricts (e.g. \"followup:suggestions\").", "type": "object", "properties": { "type": { "enum": [ "UNSPECIFIED", "FOLLOWUP_SUGGESTIONS", "FOLLOWUP_ACTION_ITEMS" ], "enumDescriptions": [ "", "", "" ], "type": "string" } } }, "ObjectDisplayOptions": { "description": "The display options for an object.", "properties": { "objectDisplayLabel": { "type": "string", "description": "The user friendly label to display in the search result to indicate the type of the item. This is OPTIONAL; if not provided, an object label isn't displayed on the context line of the search results. The maximum length is 64 characters." }, "metalines": { "description": "Defines the properties that are displayed in the metalines of the search results. The property values are displayed in the order given here. If a property holds multiple values, all of the values are displayed before the next properties. For this reason, it is a good practice to specify singular properties before repeated properties in this list. All of the properties must set is_returnable to true. The maximum number of metalines is 3.", "items": { "$ref": "Metaline" }, "type": "array" } }, "type": "object", "id": "ObjectDisplayOptions" }, "Id": { "id": "Id", "type": "object", "description": "Identifies a particular object, including both Users and DirEntries. This Id is unique across the entire server instance, such as the production or qa instance.", "properties": { "creatorUserId": { "type": "string", "description": "The User account in which the DirEntry was originally created. If name_space==GAIA, then it's the gaia_id of the user this id is referring to.", "format": "uint64" }, "localId": { "description": "The local identifier for the DirEntry (local to the creator's account). local_id + app_name is guaranteed to be unique within the creator account, but not across all User accounts. The string is case sensitive. Ignore if name_space==GAIA. NB For name_space==COSMO, all local_id's should be defined in google3/java/com/google/storage/cosmo/server/api/SpecialObjectIds.java as they have a special predefined meaning. See cosmo.client.CosmoIdFactory.createObjectId(long,String) for IMPORTANT recommendations when generating IDs.", "type": "string" }, "nameSpace": { "type": "integer", "description": "The name space in which this id is unique (typically the application that created it). Values should be drawn from the above enum, but for experimentation, use values greater than 1000.", "format": "int32" } } }, "TypeInfo": { "type": "object", "description": "Next tag: 2", "properties": { "videoInfo": { "$ref": "VideoInfo", "description": "Contains additional video information only if document_type is VIDEO." } }, "id": "TypeInfo" }, "CustomerUserStats": { "type": "object", "properties": { "date": { "$ref": "Date", "description": "The date for which session stats were calculated. Stats calculated on the next day close to midnight are returned." }, "oneDayActiveUsersCount": { "type": "string", "description": "The count of unique active users in the past one day", "format": "int64" }, "thirtyDaysActiveUsersCount": { "type": "string", "description": "The count of unique active users in the past thirty days", "format": "int64" }, "sevenDaysActiveUsersCount": { "format": "int64", "type": "string", "description": "The count of unique active users in the past seven days" } }, "id": "CustomerUserStats" }, "EnumValuePair": { "type": "object", "description": "The enumeration value pair defines two things: a required string value and an optional integer value. The string value defines the necessary query term required to retrieve that item, such as *p0* for a priority item. The integer value determines the ranking of that string value relative to other enumerated values for the same property. For example, you might associate *p0* with *0* and define another enum pair such as *p1* and *1*. You must use the integer value in combination with ordered ranking to set the ranking of a given value relative to other enumerated values for the same property name. Here, a ranking order of DESCENDING for *priority* properties results in a ranking boost for items indexed with a value of *p0* compared to items indexed with a value of *p1*. Without a specified ranking order, the integer value has no effect on item ranking.", "properties": { "integerValue": { "type": "integer", "format": "int32", "description": "The integer value of the EnumValuePair which must be non-negative. Optional." }, "stringValue": { "description": "The string value of the EnumValuePair. The maximum length is 32 characters.", "type": "string" } }, "id": "EnumValuePair" }, "ResultDisplayLine": { "description": "The collection of fields that make up a displayed line", "properties": { "fields": { "items": { "$ref": "ResultDisplayField" }, "type": "array" } }, "id": "ResultDisplayLine", "type": "object" }, "Metadata": { "id": "Metadata", "properties": { "createTime": { "description": "The creation time for this document or object in the search result.", "type": "string", "format": "google-datetime" }, "updateTime": { "type": "string", "format": "google-datetime", "description": "The last modified date for the object in the search result. If not set in the item, the value returned here is empty. When `updateTime` is used for calculating freshness and is not set, this value defaults to 2 years from the current time." }, "owner": { "description": "Owner (usually creator) of the document or object of the search result.", "$ref": "Person" }, "displayOptions": { "description": "Options that specify how to display a structured data search result.", "$ref": "ResultDisplayMetadata" }, "source": { "description": "The named source for the result, such as Gmail.", "$ref": "Source" }, "fields": { "description": "Indexed fields in structured data, returned as a generic named property.", "type": "array", "items": { "$ref": "NamedProperty" } }, "objectType": { "type": "string", "description": "Object type of the search result." }, "thumbnailUrl": { "description": "The thumbnail URL of the result.", "type": "string" }, "mimeType": { "type": "string", "description": "Mime type of the search result." } }, "type": "object", "description": "Metadata of a matched search result." }, "PeopleSuggestion": { "type": "object", "properties": { "person": { "$ref": "Person", "description": "Suggested person. All fields of the person object might not be populated." } }, "id": "PeopleSuggestion", "description": "This field contains information about the person being suggested." }, "Photo": { "properties": { "url": { "type": "string", "description": "The URL of the photo." } }, "type": "object", "id": "Photo", "description": "A person's photo." }, "StructuredDataObject": { "properties": { "properties": { "type": "array", "items": { "$ref": "NamedProperty" }, "description": "The properties for the object. The maximum number of elements is 1000." } }, "id": "StructuredDataObject", "type": "object", "description": "A structured data object consisting of named properties." }, "Metaline": { "description": "A metaline is a list of properties that are displayed along with the search result to provide context.", "id": "Metaline", "type": "object", "properties": { "properties": { "items": { "$ref": "DisplayedProperty" }, "description": "The list of displayed properties for the metaline. The maximum number of properties is 5.", "type": "array" } } }, "SearchItemsByViewUrlResponse": { "type": "object", "properties": { "items": { "items": { "$ref": "Item" }, "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "id": "SearchItemsByViewUrlResponse" }, "IntegerOperatorOptions": { "description": "Used to provide a search operator for integer properties. This is optional. Search operators let users restrict the query to specific fields relevant to the type of item being searched.", "properties": { "greaterThanOperatorName": { "type": "string", "description": "Indicates the operator name required in the query in order to isolate the integer property using the greater-than operator. For example, if greaterThanOperatorName is *priorityabove* and the property's name is *priorityVal*, then queries like *priorityabove:\u003cvalue\u003e* show results only where the value of the property named *priorityVal* is greater than *\u003cvalue\u003e*. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters." }, "lessThanOperatorName": { "type": "string", "description": "Indicates the operator name required in the query in order to isolate the integer property using the less-than operator. For example, if lessThanOperatorName is *prioritybelow* and the property's name is *priorityVal*, then queries like *prioritybelow:\u003cvalue\u003e* show results only where the value of the property named *priorityVal* is less than *\u003cvalue\u003e*. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters." }, "operatorName": { "type": "string", "description": "Indicates the operator name required in the query in order to isolate the integer property. For example, if operatorName is *priority* and the property's name is *priorityVal*, then queries like *priority:\u003cvalue\u003e* show results only where the value of the property named *priorityVal* matches *\u003cvalue\u003e*. By contrast, a search that uses the same *\u003cvalue\u003e* without an operator returns all items where *\u003cvalue\u003e* matches the value of any String properties or text within the content field for the item. The operator name can only contain lowercase letters (a-z). The maximum length is 32 characters." } }, "id": "IntegerOperatorOptions", "type": "object" }, "SpaceId": { "description": "Primary key for Space resource.", "type": "object", "properties": { "spaceId": { "description": "Unique, immutable ID of the Space", "type": "string" } }, "id": "SpaceId" }, "DisplayedProperty": { "properties": { "propertyName": { "description": "The name of the top-level property as defined in a property definition for the object. If the name is not a defined property in the schema, an error is given when attempting to update the schema.", "type": "string" } }, "type": "object", "description": "A reference to a top-level property within the object that should be displayed in search results. The values of the chosen properties is displayed in the search results along with the display label for that property if one is specified. If a display label is not specified, only the values is shown.", "id": "DisplayedProperty" }, "ResultDebugInfo": { "description": "Debugging information about the result.", "properties": { "formattedDebugInfo": { "type": "string", "description": "General debug info formatted for display." } }, "type": "object", "id": "ResultDebugInfo" }, "CustomerIndexStats": { "properties": { "date": { "description": "The date for which statistics were calculated.", "$ref": "Date" }, "itemCountByStatus": { "type": "array", "items": { "$ref": "ItemCountByStatus" }, "description": "Number of items aggregrated by status code." } }, "id": "CustomerIndexStats", "description": "Aggregation of items by status code as of the specified date.", "type": "object" }, "DoublePropertyOptions": { "properties": { "operatorOptions": { "$ref": "DoubleOperatorOptions", "description": "If set, describes how the double should be used as a search operator." } }, "description": "The options for double properties.", "type": "object", "id": "DoublePropertyOptions" }, "FacetResult": { "id": "FacetResult", "description": "Source specific facet response", "type": "object", "properties": { "operatorName": { "description": "The name of the operator chosen for faceting. @see cloudsearch.SchemaPropertyOptions", "type": "string" }, "buckets": { "type": "array", "items": { "$ref": "FacetBucket" }, "description": "FacetBuckets for values in response containing at least a single result with the corresponding filter." }, "objectType": { "type": "string", "description": "Object type for which facet results are returned. Can be empty." }, "sourceName": { "description": "Source name for which facet results are returned. Will not be empty.", "type": "string" } } }, "QueryInterpretationConfig": { "id": "QueryInterpretationConfig", "type": "object", "properties": { "forceVerbatimMode": { "type": "boolean", "description": "Enable this flag to turn off all internal optimizations like natural language (NL) interpretation of queries, supplemental results retrieval, and usage of synonyms including custom ones. If this flag is set to True, it will take precedence over the option set at Query level. For the default value of False, query level flag will set the correct interpretation for verbatim mode." }, "forceDisableSupplementalResults": { "type": "boolean", "description": "Set this flag to disable supplemental results retrieval, setting a flag here will not retrieve supplemental results for queries associated with a given search application. If this flag is set to True, it will take precedence over the option set at Query level. For the default value of False, query level flag will set the correct interpretation for supplemental results." } }, "description": "Default options to interpret user query." }, "UpdateDataSourceRequest": { "type": "object", "properties": { "debugOptions": { "description": "Common debug options.", "$ref": "DebugOptions" }, "source": { "$ref": "DataSource" } }, "id": "UpdateDataSourceRequest" }, "AvatarInfo": { "type": "object", "properties": { "emoji": { "$ref": "Emoji" } }, "id": "AvatarInfo" }, "SearchResponse": { "properties": { "debugInfo": { "description": "Debugging information about the response.", "$ref": "ResponseDebugInfo" }, "spellResults": { "description": "Suggested spelling for the query.", "type": "array", "items": { "$ref": "SpellResult" } }, "structuredResults": { "type": "array", "description": "Structured results for the user query. These results are not counted against the page_size.", "items": { "$ref": "StructuredResult" } }, "resultCountEstimate": { "type": "string", "format": "int64", "description": "The estimated result count for this query." }, "resultCounts": { "$ref": "ResultCounts", "description": "Expanded result count information." }, "hasMoreResults": { "description": "Whether there are more search results matching the query.", "type": "boolean" }, "facetResults": { "description": "Repeated facet results.", "type": "array", "items": { "$ref": "FacetResult" } }, "errorInfo": { "description": "Error information about the response.", "$ref": "ErrorInfo" }, "results": { "items": { "$ref": "SearchResult" }, "type": "array", "description": "Results from a search query." }, "queryInterpretation": { "$ref": "QueryInterpretation", "description": "Query interpretation result for user query. Empty if query interpretation is disabled." }, "resultCountExact": { "type": "string", "description": "The exact result count for this query.", "format": "int64" } }, "description": "The search API response.", "type": "object", "id": "SearchResponse" }, "UnreserveItemsRequest": { "type": "object", "id": "UnreserveItemsRequest", "properties": { "queue": { "description": "The name of a queue to unreserve items from.", "type": "string" }, "debugOptions": { "$ref": "DebugOptions", "description": "Common debug options." }, "connectorName": { "description": "The name of connector making this call. Format: datasources/{source_id}/connectors/{ID}", "type": "string" } } }, "ItemCountByStatus": { "properties": { "statusCode": { "enum": [ "CODE_UNSPECIFIED", "ERROR", "MODIFIED", "NEW_ITEM", "ACCEPTED" ], "type": "string", "description": "Status of the items.", "enumDescriptions": [ "Input-only value. Used with Items.list to list all items in the queue, regardless of status.", "Error encountered by Cloud Search while processing this item. Details of the error are in repositoryError.", "Item has been modified in the repository, and is out of date with the version previously accepted into Cloud Search.", "Item is known to exist in the repository, but is not yet accepted by Cloud Search. An item can be in this state when Items.push has been called for an item of this name that did not exist previously.", "API has accepted the up-to-date data of this item." ] }, "count": { "description": "Number of items matching the status code.", "type": "string", "format": "int64" }, "indexedItemsCount": { "format": "int64", "type": "string", "description": "Number of items matching the status code for which billing is done. This excludes virtual container items from the total count. This count would not be applicable for items with ERROR or NEW_ITEM status code." } }, "id": "ItemCountByStatus", "type": "object" }, "CustomerSearchApplicationStats": { "properties": { "count": { "format": "int64", "type": "string", "description": "The count of search applications for the date." }, "date": { "$ref": "Date", "description": "The date for which search application stats were calculated." } }, "type": "object", "description": "Search application stats for a customer for the given date.", "id": "CustomerSearchApplicationStats" }, "VPCSettings": { "id": "VPCSettings", "type": "object", "properties": { "project": { "type": "string", "description": "The resource name of the GCP Project to be used for VPC SC policy check. VPC security settings on this project will be honored for Cloud Search APIs after project_name has been updated through CustomerService. Format: projects/{project_id}" } } }, "RequestOptions": { "id": "RequestOptions", "type": "object", "properties": { "debugOptions": { "description": "Debug options of the request", "$ref": "DebugOptions" }, "searchApplicationId": { "description": "The ID generated when you create a search application using the [admin console](https://support.google.com/a/answer/9043922).", "type": "string" }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier. For translations. Set this field using the language set in browser or for the page. In the event that the user's language preference is known, set this field to the known user language. When specified, the documents in search results are biased towards the specified language. The suggest API does not use this parameter. Instead, suggest autocompletes only based on characters in the query." }, "timeZone": { "description": "Current user's time zone id, such as \"America/Los_Angeles\" or \"Australia/Sydney\". These IDs are defined by [Unicode Common Locale Data Repository (CLDR)](http://cldr.unicode.org/) project, and currently available in the file [timezone.xml](http://unicode.org/repos/cldr/trunk/common/bcp47/timezone.xml). This field is used to correctly interpret date and time queries. If this field is not specified, the default time zone (UTC) is used.", "type": "string" } }, "description": "Shared request options for all RPC methods." }, "InitializeCustomerRequest": { "properties": {}, "description": "Request message for `InitializeCustomer` method.", "type": "object", "id": "InitializeCustomerRequest" }, "SuggestRequest": { "description": "Request of suggest API.", "id": "SuggestRequest", "type": "object", "properties": { "requestOptions": { "$ref": "RequestOptions", "description": "Request options, such as the search application and user timezone." }, "dataSourceRestrictions": { "type": "array", "items": { "$ref": "DataSourceRestriction" }, "description": "The sources to use for suggestions. If not specified, the data sources are taken from the current search application. NOTE: Suggestions are only supported for the following sources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Third-party data sources LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PredefinedSource.PERSON LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PredefinedSource.GOOGLE_DRIVE" }, "query": { "description": "Partial query for which autocomplete suggestions will be shown. For example, if the query is \"sea\", then the server might return \"season\", \"search\", \"seagull\" and so on.", "type": "string" } } }, "SpaceInfo": { "properties": { "userMembershipState": { "enum": [ "MEMBER_UNKNOWN", "MEMBER_INVITED", "MEMBER_JOINED", "MEMBER_NOT_A_MEMBER", "MEMBER_FAILED" ], "enumDescriptions": [ "Default state, do not use", "An invitation to the space has been sent", "User has joined the space", "User is not a member", "This state should never be stored in Spanner. It is a state for responses to the clients to indicate that membership mutations have failed and the member is in its previous state." ], "type": "string", "description": "searching user's membership state in this space" }, "inviterEmail": { "description": "The email address of the user that invited the calling user to the room, if available. This field will only be populated for direct invites, it will be empty if the user was indirectly invited to the group.", "type": "string" }, "description": { "type": "string" }, "groupId": { "$ref": "GroupId" }, "name": { "type": "string" }, "avatarInfo": { "$ref": "AvatarInfo" }, "avatarUrl": { "type": "string" }, "numMembers": { "type": "integer", "format": "int32" }, "isExternal": { "type": "boolean", "description": "Whether this is a space that enables guest access" } }, "id": "SpaceInfo", "type": "object", "description": "Defines the representation of a single matching space." }, "QueryInterpretation": { "type": "object", "properties": { "reason": { "type": "string", "enumDescriptions": [ "", "Natural language interpretation of the query is used to fetch the search results.", "Query and document terms similarity is used to selectively broaden the query to retrieve additional search results since enough results were not found for the user query. Interpreted query will be empty for this case." ], "description": "The reason for interpretation of the query. This field will not be UNSPECIFIED if the interpretation type is not NONE.", "enum": [ "UNSPECIFIED", "QUERY_HAS_NATURAL_LANGUAGE_INTENT", "NOT_ENOUGH_RESULTS_FOUND_FOR_USER_QUERY" ] }, "interpretedQuery": { "type": "string", "description": "The interpretation of the query used in search. For example, queries with natural language intent like \"email from john\" will be interpreted as \"from:john source:mail\". This field will not be filled when the reason is NOT_ENOUGH_RESULTS_FOUND_FOR_USER_QUERY." }, "interpretationType": { "enum": [ "NONE", "BLEND", "REPLACE" ], "enumDescriptions": [ "Neither the natural language interpretation, nor a broader version of the query is used to fetch the search results.", "The results from original query are blended with other results. The reason for blending these other results with the results from original query is populated in the 'Reason' field below.", "The results from original query are replaced. The reason for replacing the results from original query is populated in the 'Reason' field below." ], "type": "string" } }, "id": "QueryInterpretation" }, "Person": { "id": "Person", "description": "Object to represent a person.", "properties": { "personNames": { "description": "The person's name", "items": { "$ref": "Name" }, "type": "array" }, "emailAddresses": { "type": "array", "items": { "$ref": "EmailAddress" }, "description": "The person's email addresses" }, "phoneNumbers": { "description": "The person's phone numbers", "type": "array", "items": { "$ref": "PhoneNumber" } }, "name": { "description": "The resource name of the person to provide information about. See [`People.get`](https://developers.google.com/people/api/rest/v1/people/get) from the Google People API.", "type": "string" }, "obfuscatedId": { "description": "Obfuscated ID of a person.", "type": "string" }, "photos": { "items": { "$ref": "Photo" }, "description": "A person's read-only photo. A picture shown next to the person's name to help others recognize the person in search results.", "type": "array" } }, "type": "object" }, "CustomerId": { "id": "CustomerId", "properties": { "customerId": { "type": "string" } }, "type": "object", "description": "Represents a GSuite customer ID. Obfuscated with CustomerIdObfuscator." }, "Schema": { "id": "Schema", "description": "The schema definition for a data source.", "properties": { "objectDefinitions": { "type": "array", "items": { "$ref": "ObjectDefinition" }, "description": "The list of top-level objects for the data source. The maximum number of elements is 10." }, "operationIds": { "items": { "type": "string" }, "description": "IDs of the Long Running Operations (LROs) currently running for this schema. After modifying the schema, wait for operations to complete before indexing additional content.", "type": "array" } }, "type": "object" } }, "version": "v1", "id": "cloudsearch:v1", "basePath": "", "version_module": true, "servicePath": "" }
]===]))
