local decode = require("cjson").new().decode
return assert(decode([===[
{ "title": "Google Cloud Support API", "baseUrl": "https://cloudsupport.googleapis.com/", "ownerDomain": "google.com", "parameters": { "alt": { "description": "Data format for response.", "type": "string", "location": "query", "default": "json", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "$.xgafv": { "type": "string", "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ] }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "prettyPrint": { "default": "true", "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean" } }, "resources": { "attachments": { "methods": { "create": { "id": "cloudsupport.attachments.create", "request": { "$ref": "CreateAttachmentRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2beta/{+parent}/attachments", "response": { "$ref": "Attachment" }, "flatPath": "v2beta/{v2betaId}/{v2betaId1}/attachments", "description": "Create a file attachment on a case or Cloud resource.", "parameters": { "parent": { "description": "Required. The resource name of the case to which attachment should be attached.", "required": true, "type": "string", "pattern": "^[^/]+/[^/]+$", "location": "path" } }, "httpMethod": "POST", "parameterOrder": [ "parent" ] } } }, "cases": { "methods": { "patch": { "response": { "$ref": "Case" }, "id": "cloudsupport.cases.patch", "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases/{casesId}", "path": "v2beta/{+name}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Update the specified case. Only a subset of fields (display_name, description, time_zone, subscriber_email_addresses, related_resources, severity, priority, primary_contact, and labels) can be updated.", "request": { "$ref": "Case" }, "parameters": { "name": { "type": "string", "location": "path", "description": "The resource name for the case.", "pattern": "^[^/]+/[^/]+/cases/[^/]+$", "required": true }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "A field that represents attributes of a case object that should be updated as part of this request. Supported values are severity, display_name, and subscriber_email_addresses. If no fields are specified, all supported fields will be updated. WARNING: If you do not provide a field mask then you may accidentally clear some fields. For example, if you leave field mask empty and do not provide a value for subscriber_email_addresses then subscriber_email_addresses will be updated to empty." } }, "parameterOrder": [ "name" ] }, "search": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Search cases using the specified query.", "parameterOrder": [], "httpMethod": "GET", "response": { "$ref": "SearchCasesResponse" }, "path": "v2beta/cases:search", "parameters": { "pageToken": { "type": "string", "description": "A token identifying the page of results to return. If unspecified, the first page is retrieved.", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The maximum number of cases fetched with each request. The default page size is 10." }, "query": { "type": "string", "description": "An expression written in filter language. A query uses the following fields with the operators equals (`=`) and `AND`: - `organization`: An organization name in the form `organizations/`. - `project`: A project name in the form `projects/`. - `state`: The accepted values are `OPEN` or `CLOSED`. - `priority`: The accepted values are `P0`, `P1`, `P2`, `P3`, or `P4`. You can specify multiple values for priority using the `OR` operator. For example, `priority=P1 OR priority=P2`. - [DEPRECATED] `severity`: The accepted values are `S0`, `S1`, `S2`, `S3`, or `S4`. - `creator.email`: The email address of the case creator. You must specify eitehr `organization` or `project`. To search across `displayName`, `description`, and comments, use a global restriction with no keyword or operator. For example, `\"my search\"`. To search only cases updated after a certain date, use `update_time` retricted with that particular date, time, and timezone in ISO datetime format. For example, `update_time\u003e\"2020-01-01T00:00:00-05:00\"`. `update_time` only supports the greater than operator (`\u003e`). Examples: - `organization=\"organizations/123456789\"` - `project=\"projects/my-project-id\"` - `project=\"projects/123456789\"` - `organization=\"organizations/123456789\" AND state=CLOSED` - `project=\"projects/my-project-id\" AND creator.email=\"tester@example.com\"` - `project=\"projects/my-project-id\" AND (priority=P0 OR priority=P1)`", "location": "query" } }, "flatPath": "v2beta/cases:search", "id": "cloudsupport.cases.search" }, "close": { "id": "cloudsupport.cases.close", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Close the specified case.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The fully qualified name of the case resource to be closed.", "type": "string", "required": true, "pattern": "^[^/]+/[^/]+/cases/[^/]+$", "location": "path" } }, "response": { "$ref": "Case" }, "httpMethod": "POST", "path": "v2beta/{+name}:close", "request": { "$ref": "CloseCaseRequest" }, "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases/{casesId}:close" }, "create": { "response": { "$ref": "Case" }, "path": "v2beta/{+parent}/cases", "request": { "$ref": "Case" }, "parameters": { "parent": { "pattern": "^[^/]+/[^/]+$", "description": "Required. The name of the Cloud resource under which the case should be created.", "required": true, "type": "string", "location": "path" } }, "httpMethod": "POST", "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases", "parameterOrder": [ "parent" ], "id": "cloudsupport.cases.create", "description": "Create a new case and associate it with the given Cloud resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "response": { "$ref": "ListCasesResponse" }, "path": "v2beta/{+parent}/cases", "id": "cloudsupport.cases.list", "description": "Retrieve all cases under the specified parent. Note: Listing cases under an Organization returns only the cases directly parented by that organization. To retrieve all cases under an organization, including cases parented by projects under that organization, use `cases.search`.", "parameters": { "pageSize": { "description": "The maximum number of cases fetched with each request. Defaults to 10.", "location": "query", "format": "int32", "type": "integer" }, "filter": { "location": "query", "type": "string", "description": "An expression written in filter language. If non-empty, the query returns the cases that match the filter. Else, the query doesn't filter the cases. Filter expressions use the following fields with the operators equals (`=`) and `AND`: - `state`: The accepted values are `OPEN` or `CLOSED`. - `priority`: The accepted values are `P0`, `P1`, `P2`, `P3`, or `P4`. You can specify multiple values for priority using the `OR` operator. For example, `priority=P1 OR priority=P2`. - [DEPRECATED] `severity`: The accepted values are `S0`, `S1`, `S2`, `S3`, or `S4`. - `creator.email`: The email address of the case creator. Examples: - `state=CLOSED` - `state=OPEN AND creator.email=\"tester@example.com\"` - `state=OPEN AND (priority=P0 OR priority=P1)`" }, "pageToken": { "location": "query", "type": "string", "description": "A token identifying the page of results to return. If unspecified, the first page is retrieved." }, "parent": { "description": "Required. The fully qualified name of parent resource to list cases under.", "required": true, "pattern": "^[^/]+/[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases", "httpMethod": "GET", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "escalate": { "description": "Escalate a case. Escalating a case will initiate the Cloud Support escalation management process. This operation is only available to certain Customer Care tiers. Go to https://cloud.google.com/support and look for 'Technical support escalations' in the feature list to find out which tiers are able to perform escalations.", "httpMethod": "POST", "request": { "$ref": "EscalateCaseRequest" }, "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases/{casesId}:escalate", "id": "cloudsupport.cases.escalate", "path": "v2beta/{+name}:escalate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "description": "Required. The fully qualified name of the Case resource to be escalated.", "pattern": "^[^/]+/[^/]+/cases/[^/]+$", "type": "string" } }, "response": { "$ref": "Case" }, "parameterOrder": [ "name" ] }, "get": { "parameters": { "name": { "required": true, "pattern": "^[^/]+/[^/]+/cases/[^/]+$", "location": "path", "type": "string", "description": "Required. The fully qualified name of a case to be retrieved." } }, "description": "Retrieve the specified case.", "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases/{casesId}", "response": { "$ref": "Case" }, "id": "cloudsupport.cases.get", "path": "v2beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "attachments": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "required": true, "pattern": "^[^/]+/[^/]+/cases/[^/]+$", "description": "Required. The resource name of Case object for which attachments should be listed.", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of attachments fetched with each request. If not provided, the default is 10. The maximum page size that will be returned is 100." }, "pageToken": { "location": "query", "type": "string", "description": "A token identifying the page of results to return. If unspecified, the first page is retrieved." } }, "description": "Retrieve all attachments associated with a support case.", "httpMethod": "GET", "path": "v2beta/{+parent}/attachments", "id": "cloudsupport.cases.attachments.list", "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases/{casesId}/attachments", "response": { "$ref": "ListAttachmentsResponse" }, "parameterOrder": [ "parent" ] } } }, "comments": { "methods": { "list": { "id": "cloudsupport.cases.comments.list", "parameters": { "parent": { "type": "string", "pattern": "^[^/]+/[^/]+/cases/[^/]+$", "location": "path", "required": true, "description": "Required. The resource name of Case object for which comments should be listed." }, "pageToken": { "location": "query", "type": "string", "description": "A token identifying the page of results to return. If unspecified, the first page is retrieved." }, "pageSize": { "description": "The maximum number of comments fetched with each request. Defaults to 10.", "type": "integer", "location": "query", "format": "int32" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Retrieve all Comments associated with the Case object.", "path": "v2beta/{+parent}/comments", "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases/{casesId}/comments", "response": { "$ref": "ListCommentsResponse" }, "parameterOrder": [ "parent" ] }, "create": { "path": "v2beta/{+parent}/comments", "request": { "$ref": "Comment" }, "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases/{casesId}/comments", "response": { "$ref": "Comment" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "description": "Required. The resource name of Case to which this comment should be added.", "required": true, "type": "string", "pattern": "^[^/]+/[^/]+/cases/[^/]+$" } }, "description": "Add a new comment to the specified Case.", "httpMethod": "POST", "id": "cloudsupport.cases.comments.create" } } } } }, "media": { "methods": { "download": { "supportsMediaDownload": true, "description": "Download a file attachment on a case. Note: HTTP requests must append \"?alt=media\" to the URL.", "parameters": { "name": { "required": true, "description": "The resource name of the attachment to be downloaded.", "location": "path", "type": "string", "pattern": "^[^/]+/[^/]+/cases/[^/]+/attachments/[^/]+$" } }, "path": "v2beta/{+name}:download", "response": { "$ref": "Media" }, "id": "cloudsupport.media.download", "useMediaDownloadService": true, "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases/{casesId}/attachments/{attachmentsId}:download" }, "upload": { "httpMethod": "POST", "supportsMediaUpload": true, "parameterOrder": [ "parent" ], "description": "Create a file attachment on a case or Cloud resource.", "request": { "$ref": "CreateAttachmentRequest" }, "flatPath": "v2beta/{v2betaId}/{v2betaId1}/cases/{casesId}/attachments", "response": { "$ref": "Attachment" }, "mediaUpload": { "accept": [ "*/*" ], "protocols": { "simple": { "multipart": true, "path": "/upload/v2beta/{+parent}/attachments" } } }, "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. The resource name of the case to which attachment should be attached.", "pattern": "^[^/]+/[^/]+/cases/[^/]+$", "required": true } }, "id": "cloudsupport.media.upload", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2beta/{+parent}/attachments" } } }, "caseClassifications": { "methods": { "search": { "parameterOrder": [], "flatPath": "v2beta/caseClassifications:search", "path": "v2beta/caseClassifications:search", "httpMethod": "GET", "response": { "$ref": "SearchCaseClassificationsResponse" }, "parameters": { "query": { "description": "An expression written in the Cloud filter language. If non-empty, then only cases whose fields match the filter are returned. If empty, then no messages are filtered out.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of cases fetched with each request." }, "pageToken": { "description": "A token identifying the page of results to return. If unspecified, the first page is retrieved.", "location": "query", "type": "string" } }, "description": "Retrieve valid classifications to be used when creating a support case. The classications are hierarchical, with each classification containing all levels of the hierarchy, separated by \" \u003e \". For example \"Technical Issue \u003e Compute \u003e Compute Engine\".", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "cloudsupport.caseClassifications.search" } } } }, "canonicalName": "Cloud Support", "protocol": "rest", "version_module": true, "servicePath": "", "rootUrl": "https://cloudsupport.googleapis.com/", "revision": "20220711", "description": "Manages Google Cloud technical support cases for Customer Care support offerings. ", "version": "v2beta", "id": "cloudsupport:v2beta", "kind": "discovery#restDescription", "ownerName": "Google", "name": "cloudsupport", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "basePath": "", "fullyEncodeReservedExpansion": true, "batchPath": "batch", "schemas": { "ContentTypeInfo": { "type": "object", "description": "# gdata.* are outside protos with mising documentation", "properties": { "fromHeader": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "bestGuess": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "fromBytes": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "fromUrlPath": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "fromFileName": { "type": "string", "description": "# gdata.* are outside protos with mising documentation" } }, "id": "ContentTypeInfo" }, "SearchCasesResponse": { "id": "SearchCasesResponse", "description": "The response message for the SearchCases endpoint.", "properties": { "cases": { "items": { "$ref": "Case" }, "description": "The list of Case associated with the cloud resource, after any filters have been applied.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. This should be set in the `page_token` field of subsequent `SearchCaseRequest` message that is issued. If unspecified, there are no more results to retrieve." } }, "type": "object" }, "Blobstore2Info": { "properties": { "readToken": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "blobGeneration": { "description": "# gdata.* are outside protos with mising documentation", "format": "int64", "type": "string" }, "downloadReadHandle": { "description": "# gdata.* are outside protos with mising documentation", "type": "string", "format": "byte" }, "blobId": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "uploadMetadataContainer": { "description": "# gdata.* are outside protos with mising documentation", "type": "string", "format": "byte" } }, "type": "object", "description": "# gdata.* are outside protos with mising documentation", "id": "Blobstore2Info" }, "DiffUploadResponse": { "properties": { "originalObject": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "CompositeMedia" }, "objectVersion": { "type": "string", "description": "# gdata.* are outside protos with mising documentation" } }, "description": "# gdata.* are outside protos with mising documentation", "type": "object", "id": "DiffUploadResponse" }, "DiffChecksumsResponse": { "description": "# gdata.* are outside protos with mising documentation", "id": "DiffChecksumsResponse", "properties": { "objectLocation": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "CompositeMedia" }, "chunkSizeBytes": { "format": "int64", "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "objectVersion": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "checksumsLocation": { "$ref": "CompositeMedia", "description": "# gdata.* are outside protos with mising documentation" }, "objectSizeBytes": { "description": "# gdata.* are outside protos with mising documentation", "type": "string", "format": "int64" } }, "type": "object" }, "CreateAttachmentRequest": { "description": "The request message for the CreateAttachment endpoint.", "properties": { "attachment": { "description": "Required. The attachment to be created.", "$ref": "Attachment" } }, "id": "CreateAttachmentRequest", "type": "object" }, "DownloadParameters": { "description": "# gdata.* are outside protos with mising documentation", "properties": { "allowGzipCompression": { "type": "boolean", "description": "# gdata.* are outside protos with mising documentation" }, "ignoreRange": { "type": "boolean", "description": "# gdata.* are outside protos with mising documentation" } }, "type": "object", "id": "DownloadParameters" }, "DiffVersionResponse": { "properties": { "objectVersion": { "type": "string", "description": "# gdata.* are outside protos with mising documentation" }, "objectSizeBytes": { "format": "int64", "type": "string", "description": "# gdata.* are outside protos with mising documentation" } }, "id": "DiffVersionResponse", "description": "# gdata.* are outside protos with mising documentation", "type": "object" }, "ListCommentsResponse": { "properties": { "comments": { "description": "The list of Comments associated with the given Case.", "items": { "$ref": "Comment" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. This should be set in the `page_token` field of subsequent `ListCommentsRequest` message that is issued. If unspecified, there are no more results to retrieve." } }, "type": "object", "id": "ListCommentsResponse", "description": "The response message for the ListComments endpoint." }, "Actor": { "description": "An object containing information about the effective user and authenticated principal responsible for an action.", "id": "Actor", "properties": { "displayName": { "type": "string", "description": "The name to display for the actor. If not provided, it is inferred from credentials supplied during case creation. When an email is provided, a display name must also be provided. This will be obfuscated if the user is a Google Support agent." }, "googleSupport": { "type": "boolean", "description": "Output only. Whether the actor is a Google support actor.", "readOnly": true }, "email": { "description": "The email address of the actor. If not provided, it is inferred from credentials supplied during case creation. If the authenticated principal does not have an email address, one must be provided. When a name is provided, an email must also be provided. This will be obfuscated if the user is a Google Support agent.", "type": "string" } }, "type": "object" }, "CloseCaseRequest": { "id": "CloseCaseRequest", "type": "object", "description": "The request message for the CloseCase endpoint.", "properties": {} }, "ListCasesResponse": { "id": "ListCasesResponse", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. This should be set in the `page_token` field of subsequent `ListCasesRequest` message that is issued. If unspecified, there are no more results to retrieve.", "type": "string" }, "cases": { "type": "array", "description": "The list of cases associated with the cloud resource, after any filters have been applied.", "items": { "$ref": "Case" } } }, "description": "The response message for the ListCases endpoint.", "type": "object" }, "Escalation": { "id": "Escalation", "properties": { "justification": { "description": "Required. A free text description to accompany the `reason` field above. Provides additional context on why the case is being escalated.", "type": "string" }, "reason": { "type": "string", "enumDescriptions": [ "The escalation reason is in an unknown state or has not been specified.", "The case is taking too long to resolve.", "The support agent does not have the expertise required to successfully resolve the issue.", "The issue is having a significant business impact." ], "enum": [ "REASON_UNSPECIFIED", "RESOLUTION_TIME", "TECHNICAL_EXPERTISE", "BUSINESS_IMPACT" ], "description": "Required. The reason why the Case is being escalated." } }, "description": "An escalation of a support case.", "type": "object" }, "DiffUploadRequest": { "type": "object", "description": "# gdata.* are outside protos with mising documentation", "properties": { "objectInfo": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "CompositeMedia" }, "objectVersion": { "type": "string", "description": "# gdata.* are outside protos with mising documentation" }, "checksumsInfo": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "CompositeMedia" } }, "id": "DiffUploadRequest" }, "CompositeMedia": { "properties": { "referenceType": { "description": "# gdata.* are outside protos with mising documentation", "enum": [ "PATH", "BLOB_REF", "INLINE", "BIGSTORE_REF", "COSMO_BINARY_REFERENCE" ], "type": "string", "enumDescriptions": [ "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation" ] }, "objectId": { "$ref": "ObjectId", "description": "# gdata.* are outside protos with mising documentation" }, "md5Hash": { "type": "string", "format": "byte", "description": "# gdata.* are outside protos with mising documentation" }, "length": { "description": "# gdata.* are outside protos with mising documentation", "format": "int64", "type": "string" }, "inline": { "type": "string", "format": "byte", "description": "# gdata.* are outside protos with mising documentation" }, "path": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "sha1Hash": { "type": "string", "description": "# gdata.* are outside protos with mising documentation", "format": "byte" }, "crc32cHash": { "type": "integer", "format": "uint32", "description": "# gdata.* are outside protos with mising documentation" }, "blobRef": { "description": "# gdata.* are outside protos with mising documentation", "type": "string", "format": "byte" }, "blobstore2Info": { "$ref": "Blobstore2Info", "description": "# gdata.* are outside protos with mising documentation" }, "cosmoBinaryReference": { "type": "string", "format": "byte", "description": "# gdata.* are outside protos with mising documentation" } }, "id": "CompositeMedia", "type": "object", "description": "# gdata.* are outside protos with mising documentation" }, "Case": { "id": "Case", "properties": { "description": { "description": "A broad description of the issue.", "type": "string" }, "creator": { "description": "The user who created the case. Note: The name and email will be obfuscated if the case was created by Google Support.", "$ref": "Actor" }, "testCase": { "type": "boolean", "description": "Whether this case was created for internal API testing and should not be acted on by the support team." }, "name": { "description": "The resource name for the case.", "type": "string" }, "subscriberEmailAddresses": { "type": "array", "description": "The email addresses to receive updates on this case.", "items": { "type": "string" } }, "classification": { "description": "The issue classification applicable to this case.", "$ref": "CaseClassification" }, "state": { "enumDescriptions": [ "Case is in an unknown state.", "The case has been created but no one is assigned to work on it yet.", "The case is currently being handled by Google support.", "Google is waiting for a response.", "A solution has been offered for the case, but it isn't yet closed.", "The case has been resolved." ], "description": "Output only. The current status of the support case.", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "NEW", "IN_PROGRESS_GOOGLE_SUPPORT", "ACTION_REQUIRED", "SOLUTION_PROVIDED", "CLOSED" ], "type": "string" }, "createTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time this case was created." }, "displayName": { "description": "The short summary of the issue reported in this case.", "type": "string" }, "projectId": { "type": "string", "description": "The ID of the project associated with the case." }, "priority": { "description": "The priority of this case. If this is set, do not set severity.", "enum": [ "PRIORITY_UNSPECIFIED", "P0", "P1", "P2", "P3", "P4" ], "type": "string", "enumDescriptions": [ "Severity is undefined or has not been set yet.", "Extreme impact on a production service. Service is hard down.", "Critical impact on a production service. Service is currently unusable.", "Severe impact on a production service. Service is usable but greatly impaired.", "Medium impact on a production service. Service is available, but moderately impaired.", "General questions or minor issues. Production service is fully available." ] }, "timeZone": { "type": "string", "description": "The timezone of the user who created the support case. It should be in a format IANA recognizes: https://www.iana.org/time-zones. There is no additional validation done by the API." }, "updateTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time this case was last updated." }, "escalated": { "description": "Whether the case is currently escalated.", "type": "boolean" }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "S0", "S1", "S2", "S3", "S4" ], "enumDescriptions": [ "Severity is undefined or has not been set yet.", "Extreme impact on a production service. Service is hard down.", "Critical impact on a production service. Service is currently unusable.", "Severe impact on a production service. Service is usable but greatly impaired.", "Medium impact on a production service. Service is available, but moderately impaired.", "General questions or minor issues. Production service is fully available." ], "type": "string", "description": "The severity of this case. Deprecated. Use priority instead." } }, "description": "A support case.", "type": "object" }, "ListAttachmentsResponse": { "type": "object", "description": "The response message for the ListAttachments endpoint.", "properties": { "attachments": { "items": { "$ref": "Attachment" }, "description": "The list of attachments associated with the given case.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. This should be set in the `page_token` field of subsequent `cases.attachments.list` requests. If unspecified, there are no more results to retrieve." } }, "id": "ListAttachmentsResponse" }, "WorkflowOperationMetadata": { "description": "Metadata about the operation. Used to lookup the current status.", "id": "WorkflowOperationMetadata", "properties": { "operationAction": { "enum": [ "OPERATION_ACTION_UNSPECIFIED", "CREATE_SUPPORT_ACCOUNT", "UPDATE_SUPPORT_ACCOUNT", "PURCHASE_SUPPORT_ACCOUNT" ], "enumDescriptions": [ "Operation action is not specified.", "Operation pertains to the creation of a new support account.", "Operation pertains to the updating of an existing support account.", "Operation pertains to the purchasing of a support plan that may either create or update a support account." ], "description": "The type of action the operation is classified as.", "type": "string" }, "workflowOperationType": { "type": "string", "enum": [ "UNKNOWN_OPERATION_TYPE", "WORKFLOWS_V1", "WORKFLOWS_V2" ], "description": "Which version of the workflow service this operation came from.", "enumDescriptions": [ "Unknown version.", "Version 1.", "Version 2." ] }, "namespace": { "description": "The namespace that the job was scheduled in. Must be included in the workflow metadata so the workflow status can be retrieved.", "type": "string" } }, "type": "object" }, "Media": { "description": "# gdata.* are outside protos with mising documentation", "properties": { "inline": { "description": "# gdata.* are outside protos with mising documentation", "format": "byte", "type": "string" }, "md5Hash": { "type": "string", "format": "byte", "description": "# gdata.* are outside protos with mising documentation" }, "diffUploadRequest": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "DiffUploadRequest" }, "algorithm": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "length": { "format": "int64", "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "hashVerified": { "description": "# gdata.* are outside protos with mising documentation", "type": "boolean" }, "crc32cHash": { "format": "uint32", "type": "integer", "description": "# gdata.* are outside protos with mising documentation" }, "hash": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "diffDownloadResponse": { "$ref": "DiffDownloadResponse", "description": "# gdata.* are outside protos with mising documentation" }, "objectId": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "ObjectId" }, "timestamp": { "description": "# gdata.* are outside protos with mising documentation", "type": "string", "format": "uint64" }, "diffUploadResponse": { "$ref": "DiffUploadResponse", "description": "# gdata.* are outside protos with mising documentation" }, "filename": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "blobstore2Info": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "Blobstore2Info" }, "sha1Hash": { "format": "byte", "type": "string", "description": "# gdata.* are outside protos with mising documentation" }, "contentTypeInfo": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "ContentTypeInfo" }, "sha256Hash": { "type": "string", "format": "byte", "description": "# gdata.* are outside protos with mising documentation" }, "mediaId": { "format": "byte", "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "blobRef": { "description": "# gdata.* are outside protos with mising documentation", "type": "string", "format": "byte" }, "compositeMedia": { "description": "# gdata.* are outside protos with mising documentation", "items": { "$ref": "CompositeMedia" }, "type": "array" }, "cosmoBinaryReference": { "format": "byte", "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "token": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "referenceType": { "description": "# gdata.* are outside protos with mising documentation", "enumDescriptions": [ "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation", "# gdata.* are outside protos with mising documentation" ], "type": "string", "enum": [ "PATH", "BLOB_REF", "INLINE", "GET_MEDIA", "COMPOSITE_MEDIA", "BIGSTORE_REF", "DIFF_VERSION_RESPONSE", "DIFF_CHECKSUMS_RESPONSE", "DIFF_DOWNLOAD_RESPONSE", "DIFF_UPLOAD_REQUEST", "DIFF_UPLOAD_RESPONSE", "COSMO_BINARY_REFERENCE", "ARBITRARY_BYTES" ] }, "downloadParameters": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "DownloadParameters" }, "diffChecksumsResponse": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "DiffChecksumsResponse" }, "diffVersionResponse": { "$ref": "DiffVersionResponse", "description": "# gdata.* are outside protos with mising documentation" }, "contentType": { "type": "string", "description": "# gdata.* are outside protos with mising documentation" }, "isPotentialRetry": { "description": "# gdata.* are outside protos with mising documentation", "type": "boolean" }, "path": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "bigstoreObjectRef": { "type": "string", "format": "byte", "description": "# gdata.* are outside protos with mising documentation" } }, "type": "object", "id": "Media" }, "Comment": { "description": "A comment associated with a support case.", "type": "object", "properties": { "creator": { "$ref": "Actor", "readOnly": true, "description": "Output only. The user or Google Support agent created this comment." }, "createTime": { "description": "Output only. The time when this comment was created.", "readOnly": true, "type": "string", "format": "google-datetime" }, "plainTextBody": { "readOnly": true, "description": "Output only. An automatically generated plain text version of body with all rich text syntax stripped.", "type": "string" }, "name": { "description": "Output only. The resource name for the comment.", "type": "string", "readOnly": true }, "body": { "description": "The full comment body. Maximum of 120000 characters. This can contain rich text syntax.", "type": "string" } }, "id": "Comment" }, "EscalateCaseRequest": { "properties": { "escalation": { "$ref": "Escalation", "description": "The escalation object to be sent with the escalation request." } }, "id": "EscalateCaseRequest", "type": "object", "description": "The request message for the EscalateCase endpoint." }, "Attachment": { "type": "object", "id": "Attachment", "description": "Represents a file attached to a support case.", "properties": { "name": { "description": "Output only. The resource name of the attachment.", "readOnly": true, "type": "string" }, "createTime": { "readOnly": true, "description": "Output only. The time at which the attachment was created.", "format": "google-datetime", "type": "string" }, "filename": { "type": "string", "description": "The filename of the attachment (e.g. `\"graph.jpg\"`)." }, "sizeBytes": { "type": "string", "description": "Output only. The size of the attachment in bytes.", "readOnly": true, "format": "int64" }, "mimeType": { "type": "string", "readOnly": true, "description": "Output only. The MIME type of the attachment (e.g. text/plain)." }, "creator": { "readOnly": true, "description": "Output only. The user who uploaded the attachment. Note, the name and email will be obfuscated if the attachment was uploaded by Google support.", "$ref": "Actor" } } }, "SearchCaseClassificationsResponse": { "type": "object", "id": "SearchCaseClassificationsResponse", "properties": { "caseClassifications": { "type": "array", "description": "The classifications retrieved.", "items": { "$ref": "CaseClassification" } }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. This should be set in the `page_token` field of subsequent `SearchCaseClassificationsRequest` message that is issued. If unspecified, there are no more results to retrieve." } }, "description": "The response message for SearchCaseClassifications endpoint." }, "DiffDownloadResponse": { "id": "DiffDownloadResponse", "type": "object", "description": "# gdata.* are outside protos with mising documentation", "properties": { "objectLocation": { "description": "# gdata.* are outside protos with mising documentation", "$ref": "CompositeMedia" } } }, "CaseClassification": { "properties": { "id": { "description": "The unique ID for a classification. Must be specified for case creation. To retrieve valid classification IDs for case creation, use `caseClassifications.search`.", "type": "string" }, "displayName": { "description": "The display name of the classification.", "type": "string" } }, "id": "CaseClassification", "description": "A classification object with a product type and value.", "type": "object" }, "ObjectId": { "type": "object", "id": "ObjectId", "properties": { "bucketName": { "description": "# gdata.* are outside protos with mising documentation", "type": "string" }, "generation": { "type": "string", "description": "# gdata.* are outside protos with mising documentation", "format": "int64" }, "objectName": { "type": "string", "description": "# gdata.* are outside protos with mising documentation" } }, "description": "# gdata.* are outside protos with mising documentation" } }, "mtlsRootUrl": "https://cloudsupport.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com/support/docs/apis", "discoveryVersion": "v1" }
]===]))
