local decode = require("cjson").new().decode
return assert(decode([===[
{ "documentationLink": "https://cloud.google.com/composer/", "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "get": { "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "description": "The name of the operation resource.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } }, "httpMethod": "GET", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "id": "composer.projects.locations.operations.get" }, "delete": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameters": { "name": { "description": "The name of the operation resource to be deleted.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "type": "string", "location": "path" } }, "id": "composer.projects.locations.operations.delete", "response": { "$ref": "Empty" }, "httpMethod": "DELETE" }, "list": { "path": "v1/{+name}/operations", "httpMethod": "GET", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource.", "type": "string", "required": true }, "filter": { "description": "The standard list filter.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The standard list page size." } }, "response": { "$ref": "ListOperationsResponse" }, "id": "composer.projects.locations.operations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations" } } }, "imageVersions": { "methods": { "list": { "path": "v1/{+parent}/imageVersions", "response": { "$ref": "ListImageVersionsResponse" }, "parameterOrder": [ "parent" ], "id": "composer.projects.locations.imageVersions.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/imageVersions", "httpMethod": "GET", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "List ImageVersions in the given project and location, in the form: \"projects/{projectId}/locations/{locationId}\"", "required": true, "location": "path", "type": "string" }, "pageSize": { "type": "integer", "description": "The maximum number of image_versions to return.", "location": "query", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous List request, if any." }, "includePastReleases": { "description": "Whether or not image versions from old releases should be included.", "location": "query", "type": "boolean" } }, "description": "List ImageVersions for provided location." } } }, "environments": { "methods": { "patch": { "response": { "$ref": "Operation" }, "id": "composer.projects.locations.environments.patch", "request": { "$ref": "Environment" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/environments/{environmentsId}", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "description": "Update an environment.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/environments/[^/]+$", "type": "string", "description": "The relative resource name of the environment to update, in the form: \"projects/{projectId}/locations/{locationId}/environments/{environmentId}\"" }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Required. A comma-separated list of paths, relative to `Environment`, of fields to update. For example, to set the version of scikit-learn to install in the environment to 0.19.0 and to remove an existing installation of numpy, the `updateMask` parameter would include the following two `paths` values: \"config.softwareConfig.pypiPackages.scikit-learn\" and \"config.softwareConfig.pypiPackages.numpy\". The included patch environment would specify the scikit-learn version as follows: { \"config\":{ \"softwareConfig\":{ \"pypiPackages\":{ \"scikit-learn\":\"==0.19.0\" } } } } Note that in the above example, any existing PyPI packages other than scikit-learn and numpy will be unaffected. Only one update type may be included in a single request's `updateMask`. For example, one cannot update both the PyPI packages and labels in the same request. However, it is possible to update multiple members of a map field simultaneously in the same request. For example, to set the labels \"label1\" and \"label2\" while clearing \"label3\" (assuming it already exists), one can provide the paths \"labels.label1\", \"labels.label2\", and \"labels.label3\" and populate the patch environment as follows: { \"labels\":{ \"label1\":\"new-label1-value\" \"label2\":\"new-label2-value\" } } Note that in the above example, any existing labels that are not included in the `updateMask` will be unaffected. It is also possible to replace an entire map field by providing the map field's path in the `updateMask`. The new value of the field will be that which is provided in the patch environment. For example, to delete all pre-existing user-specified PyPI packages and install botocore at version 1.7.14, the `updateMask` would contain the path \"config.softwareConfig.pypiPackages\", and the patch environment would be the following: { \"config\":{ \"softwareConfig\":{ \"pypiPackages\":{ \"botocore\":\"==1.7.14\" } } } } **Note:** Only the following fields can be updated: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config.softwareConfig.pypiPackages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Replace all custom custom PyPI packages. If a replacement package map is not included in `environment`, all custom PyPI packages are cleared. It is an error to provide both this mask and a mask specifying an individual package. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config.softwareConfig.pypiPackages.`packagename LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Update the custom PyPI package *packagename*, preserving other packages. To delete the package, include it in `updateMask`, and omit the mapping for it in `environment.config.softwareConfig.pypiPackages`. It is an error to provide both a mask of this form and the `config.softwareConfig.pypiPackages` mask. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Replace all environment labels. If a replacement labels map is not included in `environment`, all labels are cleared. It is an error to provide both this mask and a mask specifying one or more individual labels. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.`labelName LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Set the label named *labelName*, while preserving other labels. To delete the label, include it in `updateMask` and omit its mapping in `environment.labels`. It is an error to provide both a mask of this form and the `labels` mask. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config.nodeCount` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Horizontally scale the number of nodes in the environment. An integer greater than or equal to 3 must be provided in the `config.nodeCount` field. Supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config.webServerNetworkAccessControl` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Replace the environment's current `WebServerNetworkAccessControl`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config.softwareConfig.airflowConfigOverrides` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Replace all Apache Airflow config overrides. If a replacement config overrides map is not included in `environment`, all config overrides are cleared. It is an error to provide both this mask and a mask specifying one or more individual config overrides. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config.softwareConfig.airflowConfigOverrides.`section-name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Override the Apache Airflow config property *name* in the section named *section*, preserving other properties. To delete the property override, include it in `updateMask` and omit its mapping in `environment.config.softwareConfig.airflowConfigOverrides`. It is an error to provide both a mask of this form and the `config.softwareConfig.airflowConfigOverrides` mask. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config.softwareConfig.envVariables` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Replace all environment variables. If a replacement environment variable map is not included in `environment`, all custom environment variables are cleared. It is an error to provide both this mask and a mask specifying one or more individual environment variables. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config.softwareConfig.schedulerCount` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Horizontally scale the number of schedulers in Airflow. A positive integer not greater than the number of nodes must be provided in the `config.softwareConfig.schedulerCount` field. Supported for Cloud Composer environments in versions composer-1.*.*-airflow-2.*.*. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config.databaseConfig.machineType` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Cloud SQL machine type used by Airflow database. It has to be one of: db-n1-standard-2, db-n1-standard-4, db-n1-standard-8 or db-n1-standard-16. Supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config.webServerConfig.machineType` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Machine type on which Airflow web server is running. It has to be one of: composer-n1-webserver-2, composer-n1-webserver-4 or composer-n1-webserver-8. Supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*." } } }, "create": { "httpMethod": "POST", "id": "composer.projects.locations.environments.create", "path": "v1/{+parent}/environments", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Environment" }, "description": "Create a new environment.", "parameters": { "parent": { "type": "string", "location": "path", "required": true, "description": "The parent must be of the form \"projects/{projectId}/locations/{locationId}\".", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/environments", "response": { "$ref": "Operation" } }, "delete": { "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/environments/[^/]+$", "description": "The environment to delete, in the form: \"projects/{projectId}/locations/{locationId}/environments/{environmentId}\"", "required": true, "type": "string" } }, "parameterOrder": [ "name" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "description": "Delete an environment.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "composer.projects.locations.environments.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/environments/{environmentsId}" }, "list": { "httpMethod": "GET", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/environments", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/environments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListEnvironmentsResponse" }, "description": "List environments.", "id": "composer.projects.locations.environments.list", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "List environments in the given project and location, in the form: \"projects/{projectId}/locations/{locationId}\"", "required": true, "type": "string" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of environments to return." }, "pageToken": { "description": "The next_page_token value returned from a previous List request, if any.", "location": "query", "type": "string" } } }, "get": { "httpMethod": "GET", "description": "Get an existing environment.", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/environments/{environmentsId}", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/environments/[^/]+$", "description": "The resource name of the environment to get, in the form: \"projects/{projectId}/locations/{locationId}/environments/{environmentId}\"" } }, "response": { "$ref": "Environment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "id": "composer.projects.locations.environments.get" } } } } } } } }, "version": "v1", "fullyEncodeReservedExpansion": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "batchPath": "batch", "ownerDomain": "google.com", "version_module": true, "baseUrl": "https://composer.googleapis.com/", "id": "composer:v1", "name": "composer", "ownerName": "Google", "canonicalName": "Cloud Composer", "schemas": { "MaintenanceWindow": { "properties": { "endTime": { "format": "google-datetime", "type": "string", "description": "Required. Maintenance window end time. It is used only to calculate the duration of the maintenance window. The value for end-time must be in the future, relative to `start_time`." }, "recurrence": { "type": "string", "description": "Required. Maintenance window recurrence. Format is a subset of [RFC-5545](https://tools.ietf.org/html/rfc5545) `RRULE`. The only allowed values for `FREQ` field are `FREQ=DAILY` and `FREQ=WEEKLY;BYDAY=...` Example values: `FREQ=WEEKLY;BYDAY=TU,WE`, `FREQ=DAILY`." }, "startTime": { "type": "string", "format": "google-datetime", "description": "Required. Start time of the first recurrence of the maintenance window." } }, "id": "MaintenanceWindow", "type": "object", "description": "The configuration settings for Cloud Composer maintenance window. The following example: ``` { \"startTime\":\"2019-08-01T01:00:00Z\" \"endTime\":\"2019-08-01T07:00:00Z\" \"recurrence\":\"FREQ=WEEKLY;BYDAY=TU,WE\" } ``` would define a maintenance window between 01 and 07 hours UTC during each Tuesday and Wednesday." }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation", "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." } }, "type": "object" }, "SoftwareConfig": { "description": "Specifies the selection and configuration of software inside the environment.", "id": "SoftwareConfig", "properties": { "pypiPackages": { "description": "Optional. Custom Python Package Index (PyPI) packages to be installed in the environment. Keys refer to the lowercase package name such as \"numpy\" and values are the lowercase extras and version specifier such as \"==1.12.0\", \"[devel,gcp_api]\", or \"[devel]\u003e=1.8.2, \u003c1.9.2\". To specify a package without pinning it to a version specifier, use the empty string as the value.", "additionalProperties": { "type": "string" }, "type": "object" }, "airflowConfigOverrides": { "type": "object", "description": "Optional. Apache Airflow configuration properties to override. Property keys contain the section and property names, separated by a hyphen, for example \"core-dags_are_paused_at_creation\". Section names must not contain hyphens (\"-\"), opening square brackets (\"[\"), or closing square brackets (\"]\"). The property name must not be empty and must not contain an equals sign (\"=\") or semicolon (\";\"). Section and property names must not contain a period (\".\"). Apache Airflow configuration property names must be written in [snake_case](https://en.wikipedia.org/wiki/Snake_case). Property values can contain any character, and can be written in any lower/upper case format. Certain Apache Airflow configuration property values are [blocked](/composer/docs/concepts/airflow-configurations), and cannot be overridden.", "additionalProperties": { "type": "string" } }, "schedulerCount": { "format": "int32", "description": "Optional. The number of schedulers for Airflow. This field is supported for Cloud Composer environments in versions composer-1.*.*-airflow-2.*.*.", "type": "integer" }, "envVariables": { "additionalProperties": { "type": "string" }, "description": "Optional. Additional environment variables to provide to the Apache Airflow scheduler, worker, and webserver processes. Environment variable names must match the regular expression `a-zA-Z_*`. They cannot specify Apache Airflow software configuration overrides (they cannot match the regular expression `AIRFLOW__[A-Z0-9_]+__[A-Z0-9_]+`), and they cannot match any of the following reserved names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `AIRFLOW_HOME` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `C_FORCE_ROOT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CONTAINER_NAME` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `DAGS_FOLDER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GCP_PROJECT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GCS_BUCKET` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GKE_CLUSTER_NAME` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SQL_DATABASE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SQL_INSTANCE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SQL_PASSWORD` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SQL_PROJECT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SQL_REGION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SQL_USER`", "type": "object" }, "imageVersion": { "description": "The version of the software running in the environment. This encapsulates both the version of Cloud Composer functionality and the version of Apache Airflow. It must match the regular expression `composer-([0-9]+(\\.[0-9]+\\.[0-9]+(-preview\\.[0-9]+)?)?|latest)-airflow-([0-9]+(\\.[0-9]+(\\.[0-9]+)?)?)`. When used as input, the server also checks if the provided version is supported and denies the request for an unsupported version. The Cloud Composer portion of the image version is a full [semantic version](https://semver.org), or an alias in the form of major version number or `latest`. When an alias is provided, the server replaces it with the current Cloud Composer version that satisfies the alias. The Apache Airflow portion of the image version is a full semantic version that points to one of the supported Apache Airflow versions, or an alias in the form of only major or major.minor versions specified. When an alias is provided, the server replaces it with the latest Apache Airflow version that satisfies the alias and is supported in the given Cloud Composer version. In all cases, the resolved image version is stored in the same field. See also [version list](/composer/docs/concepts/versioning/composer-versions) and [versioning overview](/composer/docs/concepts/versioning/composer-versioning-overview).", "type": "string" }, "pythonVersion": { "type": "string", "description": "Optional. The major version of Python used to run the Apache Airflow scheduler, worker, and webserver processes. Can be set to '2' or '3'. If not specified, the default is '3'. Cannot be updated. This field is only supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*. Environments in newer versions always use Python major version 3." } }, "type": "object" }, "AllowedIpRange": { "type": "object", "id": "AllowedIpRange", "description": "Allowed IP range with user-provided description.", "properties": { "value": { "type": "string", "description": "IP address or range, defined using CIDR notation, of requests that this rule applies to. Examples: `192.168.1.1` or `192.168.0.0/16` or `2001:db8::/32` or `2001:0db8:0000:0042:0000:8a2e:0370:7334`. IP range prefixes should be properly truncated. For example, `1.2.3.4/24` should be truncated to `1.2.3.0/24`. Similarly, for IPv6, `2001:db8::1/32` should be truncated to `2001:db8::/32`." }, "description": { "type": "string", "description": "Optional. User-provided description. It must contain at most 300 characters." } } }, "MasterAuthorizedNetworksConfig": { "properties": { "enabled": { "type": "boolean", "description": "Whether or not master authorized networks feature is enabled." }, "cidrBlocks": { "description": "Up to 50 external networks that could access Kubernetes master through HTTPS.", "items": { "$ref": "CidrBlock" }, "type": "array" } }, "description": "Configuration options for the master authorized networks feature. Enabled master authorized networks will disallow all external traffic to access Kubernetes master through HTTPS except traffic from the given CIDR blocks, Google Compute Engine Public IPs and Google Prod IPs.", "type": "object", "id": "MasterAuthorizedNetworksConfig" }, "Environment": { "type": "object", "description": "An environment for running orchestration tasks.", "id": "Environment", "properties": { "labels": { "additionalProperties": { "type": "string" }, "description": "Optional. User-defined labels for this environment. The labels map can contain no more than 64 entries. Entries of the labels map are UTF8 strings that comply with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must conform to regexp: \\p{Ll}\\p{Lo}{0,62} LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Values must conform to regexp: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Both keys and values are additionally constrained to be \u003c= 128 bytes in size.", "type": "object" }, "name": { "description": "The resource name of the environment, in the form: \"projects/{projectId}/locations/{locationId}/environments/{environmentId}\" EnvironmentId must start with a lowercase letter followed by up to 63 lowercase letters, numbers, or hyphens, and cannot end with a hyphen.", "type": "string" }, "updateTime": { "description": "Output only. The time at which this environment was last modified.", "format": "google-datetime", "type": "string" }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "RUNNING", "UPDATING", "DELETING", "ERROR" ], "enumDescriptions": [ "The state of the environment is unknown.", "The environment is in the process of being created.", "The environment is currently running and healthy. It is ready for use.", "The environment is being updated. It remains usable but cannot receive additional update requests or be deleted at this time.", "The environment is undergoing deletion. It cannot be used.", "The environment has encountered an error and cannot be used." ], "description": "The current state of the environment." }, "uuid": { "description": "Output only. The UUID (Universally Unique IDentifier) associated with this environment. This value is generated when the environment is created.", "type": "string" }, "config": { "description": "Configuration parameters for this environment.", "$ref": "EnvironmentConfig" }, "createTime": { "description": "Output only. The time at which this environment was created.", "format": "google-datetime", "type": "string" } } }, "WebServerConfig": { "properties": { "machineType": { "type": "string", "description": "Optional. Machine type on which Airflow web server is running. It has to be one of: composer-n1-webserver-2, composer-n1-webserver-4 or composer-n1-webserver-8. If not specified, composer-n1-webserver-2 will be used. Value custom is returned only in response, if Airflow web server parameters were manually changed to a non-standard values." } }, "description": "The configuration settings for the Airflow web server App Engine instance. Supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*", "id": "WebServerConfig", "type": "object" }, "ListEnvironmentsResponse": { "description": "The environments in a project and location.", "type": "object", "id": "ListEnvironmentsResponse", "properties": { "nextPageToken": { "description": "The page token used to query for the next page if one exists.", "type": "string" }, "environments": { "type": "array", "description": "The list of environments returned by a ListEnvironmentsRequest.", "items": { "$ref": "Environment" } } } }, "Status": { "id": "Status", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "type": "array" }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } } }, "ListImageVersionsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The page token used to query for the next page if one exists." }, "imageVersions": { "description": "The list of supported ImageVersions in a location.", "type": "array", "items": { "$ref": "ImageVersion" } } }, "description": "The ImageVersions in a project and location.", "type": "object", "id": "ListImageVersionsResponse" }, "NodeConfig": { "type": "object", "description": "The configuration information for the Kubernetes Engine nodes running the Apache Airflow software.", "id": "NodeConfig", "properties": { "enableIpMasqAgent": { "type": "boolean", "description": "Optional. Deploys 'ip-masq-agent' daemon set in the GKE cluster and defines nonMasqueradeCIDRs equals to pod IP range so IP masquerading is used for all destination addresses, except between pods traffic. See: https://cloud.google.com/kubernetes-engine/docs/how-to/ip-masquerade-agent" }, "tags": { "type": "array", "description": "Optional. The list of instance tags applied to all node VMs. Tags are used to identify valid sources or targets for network firewalls. Each tag within the list must comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Cannot be updated. This field is supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*.", "items": { "type": "string" } }, "subnetwork": { "description": "Optional. The Compute Engine subnetwork to be used for machine communications, specified as a [relative resource name](/apis/design/resource_names#relative_resource_name). For example: \"projects/{projectId}/regions/{regionId}/subnetworks/{subnetworkId}\" If a subnetwork is provided, `nodeConfig.network` must also be provided, and the subnetwork must belong to the enclosing environment's project and location.", "type": "string" }, "location": { "type": "string", "description": "Optional. The Compute Engine [zone](/compute/docs/regions-zones) in which to deploy the VMs used to run the Apache Airflow software, specified as a [relative resource name](/apis/design/resource_names#relative_resource_name). For example: \"projects/{projectId}/zones/{zoneId}\". This `location` must belong to the enclosing environment's project and location. If both this field and `nodeConfig.machineType` are specified, `nodeConfig.machineType` must belong to this `location`; if both are unspecified, the service will pick a zone in the Compute Engine region corresponding to the Cloud Composer location, and propagate that choice to both fields. If only one field (`location` or `nodeConfig.machineType`) is specified, the location information from the specified field will be propagated to the unspecified field. This field is supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*." }, "network": { "description": "Optional. The Compute Engine network to be used for machine communications, specified as a [relative resource name](/apis/design/resource_names#relative_resource_name). For example: \"projects/{projectId}/global/networks/{networkId}\". If unspecified, the \"default\" network ID in the environment's project is used. If a [Custom Subnet Network](/vpc/docs/vpc#vpc_networks_and_subnets) is provided, `nodeConfig.subnetwork` must also be provided. For [Shared VPC](/vpc/docs/shared-vpc) subnetwork requirements, see `nodeConfig.subnetwork`.", "type": "string" }, "ipAllocationPolicy": { "description": "Optional. The configuration for controlling how IPs are allocated in the GKE cluster.", "$ref": "IPAllocationPolicy" }, "machineType": { "description": "Optional. The Compute Engine [machine type](/compute/docs/machine-types) used for cluster instances, specified as a [relative resource name](/apis/design/resource_names#relative_resource_name). For example: \"projects/{projectId}/zones/{zoneId}/machineTypes/{machineTypeId}\". The `machineType` must belong to the enclosing environment's project and location. If both this field and `nodeConfig.location` are specified, this `machineType` must belong to the `nodeConfig.location`; if both are unspecified, the service will pick a zone in the Compute Engine region corresponding to the Cloud Composer location, and propagate that choice to both fields. If exactly one of this field and `nodeConfig.location` is specified, the location information from the specified field will be propagated to the unspecified field. The `machineTypeId` must not be a [shared-core machine type](/compute/docs/machine-types#sharedcore). If this field is unspecified, the `machineTypeId` defaults to \"n1-standard-1\". This field is supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*.", "type": "string" }, "diskSizeGb": { "description": "Optional. The disk size in GB used for node VMs. Minimum size is 30GB. If unspecified, defaults to 100GB. Cannot be updated. This field is supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*.", "format": "int32", "type": "integer" }, "oauthScopes": { "items": { "type": "string" }, "description": "Optional. The set of Google API scopes to be made available on all node VMs. If `oauth_scopes` is empty, defaults to [\"https://www.googleapis.com/auth/cloud-platform\"]. Cannot be updated. This field is supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*.", "type": "array" }, "serviceAccount": { "type": "string", "description": "Optional. The Google Cloud Platform Service Account to be used by the node VMs. If a service account is not specified, the \"default\" Compute Engine service account is used. Cannot be updated." } } }, "WebServerNetworkAccessControl": { "properties": { "allowedIpRanges": { "items": { "$ref": "AllowedIpRange" }, "type": "array", "description": "A collection of allowed IP ranges with descriptions." } }, "description": "Network-level access control policy for the Airflow web server.", "id": "WebServerNetworkAccessControl", "type": "object" }, "SchedulerResource": { "type": "object", "description": "Configuration for resources used by Airflow schedulers.", "id": "SchedulerResource", "properties": { "cpu": { "format": "float", "description": "Optional. CPU request and limit for a single Airflow scheduler replica.", "type": "number" }, "memoryGb": { "type": "number", "description": "Optional. Memory (GB) request and limit for a single Airflow scheduler replica.", "format": "float" }, "storageGb": { "description": "Optional. Storage (GB) request and limit for a single Airflow scheduler replica.", "type": "number", "format": "float" }, "count": { "type": "integer", "format": "int32", "description": "Optional. The number of schedulers." } } }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "type": "object", "properties": {} }, "CidrBlock": { "properties": { "displayName": { "description": "User-defined name that identifies the CIDR block.", "type": "string" }, "cidrBlock": { "description": "CIDR block that must be specified in CIDR notation.", "type": "string" } }, "type": "object", "description": "CIDR block with an optional name.", "id": "CidrBlock" }, "Date": { "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "properties": { "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "type": "integer", "format": "int32" }, "day": { "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer", "format": "int32" }, "month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "format": "int32", "type": "integer" } }, "type": "object", "id": "Date" }, "OperationMetadata": { "description": "Metadata describing an operation.", "id": "OperationMetadata", "type": "object", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "SUCCEEDED", "SUCCESSFUL", "FAILED" ], "enumDescriptions": [ "Unused.", "The operation has been created but is not yet started.", "The operation is underway.", "The operation completed successfully.", "", "The operation is no longer running but did not succeed." ], "type": "string", "description": "Output only. The current operation state." }, "resourceUuid": { "type": "string", "description": "Output only. The UUID of the resource being operated on." }, "resource": { "type": "string", "description": "Output only. The resource being operated on, as a [relative resource name]( /apis/design/resource_names#relative_resource_name)." }, "createTime": { "description": "Output only. The time the operation was submitted to the server.", "type": "string", "format": "google-datetime" }, "operationType": { "enumDescriptions": [ "Unused.", "A resource creation operation.", "A resource deletion operation.", "A resource update operation.", "A resource check operation.", "Saves snapshot of the resource operation.", "Loads snapshot of the resource operation." ], "enum": [ "TYPE_UNSPECIFIED", "CREATE", "DELETE", "UPDATE", "CHECK", "SAVE_SNAPSHOT", "LOAD_SNAPSHOT" ], "type": "string", "description": "Output only. The type of operation being performed." }, "endTime": { "description": "Output only. The time when the operation terminated, regardless of its success. This field is unset if the operation is still ongoing.", "format": "google-datetime", "type": "string" } } }, "PrivateEnvironmentConfig": { "type": "object", "id": "PrivateEnvironmentConfig", "description": "The configuration information for configuring a Private IP Cloud Composer environment.", "properties": { "enablePrivatelyUsedPublicIps": { "type": "boolean", "description": "Optional. When enabled, IPs from public (non-RFC1918) ranges can be used for `IPAllocationPolicy.cluster_ipv4_cidr_block` and `IPAllocationPolicy.service_ipv4_cidr_block`." }, "cloudSqlIpv4CidrBlock": { "description": "Optional. The CIDR block from which IP range in tenant project will be reserved for Cloud SQL. Needs to be disjoint from `web_server_ipv4_cidr_block`.", "type": "string" }, "webServerIpv4ReservedRange": { "readOnly": true, "description": "Output only. The IP range reserved for the tenant project's App Engine VMs. This field is supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*.", "type": "string" }, "cloudComposerConnectionSubnetwork": { "description": "Optional. When specified, the environment will use Private Service Connect instead of VPC peerings to connect to Cloud SQL in the Tenant Project, and the PSC endpoint in the Customer Project will use an IP address from this subnetwork.", "type": "string" }, "webServerIpv4CidrBlock": { "description": "Optional. The CIDR block from which IP range for web server will be reserved. Needs to be disjoint from `private_cluster_config.master_ipv4_cidr_block` and `cloud_sql_ipv4_cidr_block`. This field is supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*.", "type": "string" }, "privateClusterConfig": { "$ref": "PrivateClusterConfig", "description": "Optional. Configuration for the private GKE cluster for a Private IP Cloud Composer environment." }, "enablePrivateEnvironment": { "type": "boolean", "description": "Optional. If `true`, a Private IP Cloud Composer environment is created. If this field is set to true, `IPAllocationPolicy.use_ip_aliases` must be set to true for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*." }, "cloudComposerNetworkIpv4ReservedRange": { "readOnly": true, "type": "string", "description": "Output only. The IP range reserved for the tenant project's Cloud Composer network. This field is supported for Cloud Composer environments in versions composer-2.*.*-airflow-*.*.* and newer." }, "cloudComposerNetworkIpv4CidrBlock": { "type": "string", "description": "Optional. The CIDR block from which IP range for Cloud Composer Network in tenant project will be reserved. Needs to be disjoint from private_cluster_config.master_ipv4_cidr_block and cloud_sql_ipv4_cidr_block. This field is supported for Cloud Composer environments in versions composer-2.*.*-airflow-*.*.* and newer." } } }, "WorkerResource": { "type": "object", "description": "Configuration for resources used by Airflow workers.", "properties": { "storageGb": { "format": "float", "description": "Optional. Storage (GB) request and limit for a single Airflow worker replica.", "type": "number" }, "cpu": { "description": "Optional. CPU request and limit for a single Airflow worker replica.", "type": "number", "format": "float" }, "maxCount": { "description": "Optional. Maximum number of workers for autoscaling.", "format": "int32", "type": "integer" }, "memoryGb": { "type": "number", "description": "Optional. Memory (GB) request and limit for a single Airflow worker replica.", "format": "float" }, "minCount": { "format": "int32", "description": "Optional. Minimum number of workers for autoscaling.", "type": "integer" } }, "id": "WorkerResource" }, "WorkloadsConfig": { "id": "WorkloadsConfig", "type": "object", "properties": { "scheduler": { "$ref": "SchedulerResource", "description": "Optional. Resources used by Airflow schedulers." }, "worker": { "description": "Optional. Resources used by Airflow workers.", "$ref": "WorkerResource" }, "webServer": { "$ref": "WebServerResource", "description": "Optional. Resources used by Airflow web server." } }, "description": "The Kubernetes workloads configuration for GKE cluster associated with the Cloud Composer environment. Supported for Cloud Composer environments in versions composer-2.*.*-airflow-*.*.* and newer." }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "type": "object", "id": "ListOperationsResponse" }, "ImageVersion": { "id": "ImageVersion", "properties": { "isDefault": { "description": "Whether this is the default ImageVersion used by Composer during environment creation if no input ImageVersion is specified.", "type": "boolean" }, "upgradeDisabled": { "description": "Whether it is impossible to upgrade an environment running with the image version.", "type": "boolean" }, "releaseDate": { "description": "The date of the version release.", "$ref": "Date" }, "creationDisabled": { "description": "Whether it is impossible to create an environment with the image version.", "type": "boolean" }, "supportedPythonVersions": { "description": "supported python versions", "type": "array", "items": { "type": "string" } }, "imageVersionId": { "description": "The string identifier of the ImageVersion, in the form: \"composer-x.y.z-airflow-a.b.c\"", "type": "string" } }, "type": "object", "description": "ImageVersion information" }, "DatabaseConfig": { "type": "object", "id": "DatabaseConfig", "properties": { "machineType": { "type": "string", "description": "Optional. Cloud SQL machine type used by Airflow database. It has to be one of: db-n1-standard-2, db-n1-standard-4, db-n1-standard-8 or db-n1-standard-16. If not specified, db-n1-standard-2 will be used. Supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*." } }, "description": "The configuration of Cloud SQL instance that is used by the Apache Airflow software." }, "EnvironmentConfig": { "id": "EnvironmentConfig", "type": "object", "description": "Configuration information for an environment.", "properties": { "encryptionConfig": { "description": "Optional. The encryption options for the Cloud Composer environment and its dependencies. Cannot be updated.", "$ref": "EncryptionConfig" }, "webServerNetworkAccessControl": { "description": "Optional. The network-level access control policy for the Airflow web server. If unspecified, no network-level access restrictions will be applied.", "$ref": "WebServerNetworkAccessControl" }, "gkeCluster": { "description": "Output only. The Kubernetes Engine cluster used to run this environment.", "type": "string" }, "nodeCount": { "type": "integer", "description": "The number of nodes in the Kubernetes Engine cluster that will be used to run this environment. This field is supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*.", "format": "int32" }, "airflowUri": { "type": "string", "description": "Output only. The URI of the Apache Airflow Web UI hosted within this environment (see [Airflow web interface](/composer/docs/how-to/accessing/airflow-web-interface))." }, "privateEnvironmentConfig": { "$ref": "PrivateEnvironmentConfig", "description": "The configuration used for the Private IP Cloud Composer environment." }, "databaseConfig": { "$ref": "DatabaseConfig", "description": "Optional. The configuration settings for Cloud SQL instance used internally by Apache Airflow software." }, "softwareConfig": { "$ref": "SoftwareConfig", "description": "The configuration settings for software inside the environment." }, "maintenanceWindow": { "description": "Optional. The maintenance window is the period when Cloud Composer components may undergo maintenance. It is defined so that maintenance is not executed during peak hours or critical time periods. The system will not be under maintenance for every occurrence of this window, but when maintenance is planned, it will be scheduled during the window. The maintenance window period must encompass at least 12 hours per week. This may be split into multiple chunks, each with a size of at least 4 hours. If this value is omitted, the default value for maintenance window will be applied. The default value is Saturday and Sunday 00-06 GMT.", "$ref": "MaintenanceWindow" }, "nodeConfig": { "description": "The configuration used for the Kubernetes Engine cluster.", "$ref": "NodeConfig" }, "webServerConfig": { "$ref": "WebServerConfig", "description": "Optional. The configuration settings for the Airflow web server App Engine instance." }, "environmentSize": { "enumDescriptions": [ "The size of the environment is unspecified.", "The environment size is small.", "The environment size is medium.", "The environment size is large." ], "description": "Optional. The size of the Cloud Composer environment. This field is supported for Cloud Composer environments in versions composer-2.*.*-airflow-*.*.* and newer.", "enum": [ "ENVIRONMENT_SIZE_UNSPECIFIED", "ENVIRONMENT_SIZE_SMALL", "ENVIRONMENT_SIZE_MEDIUM", "ENVIRONMENT_SIZE_LARGE" ], "type": "string" }, "masterAuthorizedNetworksConfig": { "description": "Optional. The configuration options for GKE cluster master authorized networks. By default master authorized networks feature is: - in case of private environment: enabled with no external networks allowlisted. - in case of public environment: disabled.", "$ref": "MasterAuthorizedNetworksConfig" }, "workloadsConfig": { "description": "Optional. The workloads configuration settings for the GKE cluster associated with the Cloud Composer environment. The GKE cluster runs Airflow scheduler, web server and workers workloads. This field is supported for Cloud Composer environments in versions composer-2.*.*-airflow-*.*.* and newer.", "$ref": "WorkloadsConfig" }, "dagGcsPrefix": { "description": "Output only. The Cloud Storage prefix of the DAGs for this environment. Although Cloud Storage objects reside in a flat namespace, a hierarchical file tree can be simulated using \"/\"-delimited object name prefixes. DAG objects for this environment reside in a simulated directory with the given prefix.", "type": "string" } } }, "IPAllocationPolicy": { "type": "object", "properties": { "useIpAliases": { "type": "boolean", "description": "Optional. Whether or not to enable Alias IPs in the GKE cluster. If `true`, a VPC-native cluster is created. This field is only supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*. Environments in newer versions always use VPC-native GKE clusters." }, "clusterSecondaryRangeName": { "type": "string", "description": "Optional. The name of the GKE cluster's secondary range used to allocate IP addresses to pods. For Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*, this field is applicable only when `use_ip_aliases` is true." }, "servicesSecondaryRangeName": { "type": "string", "description": "Optional. The name of the services' secondary range used to allocate IP addresses to the GKE cluster. For Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*, this field is applicable only when `use_ip_aliases` is true." }, "servicesIpv4CidrBlock": { "type": "string", "description": "Optional. The IP address range of the services IP addresses in this GKE cluster. For Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*, this field is applicable only when `use_ip_aliases` is true. Set to blank to have GKE choose a range with the default size. Set to /netmask (e.g. `/14`) to have GKE choose a range with a specific netmask. Set to a [CIDR](https://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g. `10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range to use." }, "clusterIpv4CidrBlock": { "type": "string", "description": "Optional. The IP address range used to allocate IP addresses to pods in the GKE cluster. For Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*, this field is applicable only when `use_ip_aliases` is true. Set to blank to have GKE choose a range with the default size. Set to /netmask (e.g. `/14`) to have GKE choose a range with a specific netmask. Set to a [CIDR](https://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g. `10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range to use." } }, "id": "IPAllocationPolicy", "description": "Configuration for controlling how IPs are allocated in the GKE cluster running the Apache Airflow software." }, "PrivateClusterConfig": { "description": "Configuration options for the private GKE cluster in a Cloud Composer environment.", "type": "object", "id": "PrivateClusterConfig", "properties": { "masterIpv4ReservedRange": { "description": "Output only. The IP range in CIDR notation to use for the hosted master network. This range is used for assigning internal IP addresses to the GKE cluster master or set of masters and to the internal load balancer virtual IP. This range must not overlap with any other ranges in use within the cluster's network.", "type": "string", "readOnly": true }, "enablePrivateEndpoint": { "description": "Optional. If `true`, access to the public endpoint of the GKE cluster is denied.", "type": "boolean" }, "masterIpv4CidrBlock": { "description": "Optional. The CIDR block from which IPv4 range for GKE master will be reserved. If left blank, the default value of '172.16.0.0/23' is used.", "type": "string" } } }, "EncryptionConfig": { "id": "EncryptionConfig", "type": "object", "properties": { "kmsKeyName": { "type": "string", "description": "Optional. Customer-managed Encryption Key available through Google's Key Management Service. Cannot be updated. If not specified, Google-managed key will be used." } }, "description": "The encryption options for the Cloud Composer environment and its dependencies.Supported for Cloud Composer environments in versions composer-1.*.*-airflow-*.*.*." }, "WebServerResource": { "id": "WebServerResource", "description": "Configuration for resources used by Airflow web server.", "properties": { "cpu": { "type": "number", "description": "Optional. CPU request and limit for Airflow web server.", "format": "float" }, "storageGb": { "description": "Optional. Storage (GB) request and limit for Airflow web server.", "format": "float", "type": "number" }, "memoryGb": { "format": "float", "type": "number", "description": "Optional. Memory (GB) request and limit for Airflow web server." } }, "type": "object" }, "CheckUpgradeResponse": { "description": "Message containing information about the result of an upgrade check operation.", "id": "CheckUpgradeResponse", "type": "object", "properties": { "pypiConflictBuildLogExtract": { "readOnly": true, "description": "Output only. Extract from a docker image build log containing information about pypi modules conflicts.", "type": "string" }, "imageVersion": { "type": "string", "description": "Composer image for which the build was happening." }, "containsPypiModulesConflict": { "enum": [ "CONFLICT_RESULT_UNSPECIFIED", "CONFLICT", "NO_CONFLICT" ], "enumDescriptions": [ "It is unknown whether build had conflicts or not.", "There were python packages conflicts.", "There were no python packages conflicts." ], "readOnly": true, "type": "string", "description": "Output only. Whether build has succeeded or failed on modules conflicts." }, "buildLogUri": { "readOnly": true, "description": "Output only. Url for a docker build log of an upgraded image.", "type": "string" }, "pypiDependencies": { "description": "Pypi dependencies specified in the environment configuration, at the time when the build was triggered.", "type": "object", "additionalProperties": { "type": "string" } } } } }, "mtlsRootUrl": "https://composer.mtls.googleapis.com/", "kind": "discovery#restDescription", "protocol": "rest", "description": "Manages Apache Airflow environments on Google Cloud Platform.", "basePath": "", "rootUrl": "https://composer.googleapis.com/", "parameters": { "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "type": "string", "default": "json", "enum": [ "json", "media", "proto" ], "description": "Data format for response." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "$.xgafv": { "location": "query", "type": "string", "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ] } }, "title": "Cloud Composer API", "servicePath": "", "revision": "20220628", "discoveryVersion": "v1", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" } }
]===]))
