local decode = require("cjson").new().decode
return assert(decode([===[
{ "rootUrl": "https://compute.googleapis.com/", "basePath": "/compute/alpha/", "protocol": "rest", "id": "compute:alpha", "parameters": { "userIp": { "type": "string", "description": "Legacy name for parameter that has been superseded by `quotaUser`.", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "type": "string", "description": "Data format for response.", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "enum": [ "1", "2" ], "location": "query" } }, "resources": { "regionInstanceGroupManagers": { "methods": { "listPerInstanceConfigs": { "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "parameters": { "maxResults": { "minimum": "0", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query" }, "instanceGroupManager": { "location": "path", "type": "string", "required": true, "description": "The name of the managed instance group. It should conform to RFC1035." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "region": { "description": "Name of the region scoping this request, should conform to RFC1035.", "location": "path", "type": "string", "required": true }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "response": { "$ref": "RegionInstanceGroupManagersListInstanceConfigsResp" }, "id": "compute.regionInstanceGroupManagers.listPerInstanceConfigs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "instanceGroupManager" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "httpMethod": "POST", "description": "Lists all of the per-instance configurations defined for the managed instance group. The orderBy query parameter is not supported." }, "resize": { "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resize", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resize", "httpMethod": "POST", "description": "Changes the intended size of the managed instance group. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes one or more instances. The resize operation is marked DONE if the resize request is successful. The underlying actions take additional time. You must separately verify the status of the creating or deleting actions with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.", "response": { "$ref": "Operation" }, "id": "compute.regionInstanceGroupManagers.resize", "parameters": { "instanceGroupManager": { "location": "path", "type": "string", "required": true, "description": "Name of the managed instance group." }, "region": { "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "size": { "location": "query", "description": "Number of instances that should exist in this instance group manager.", "minimum": "0", "format": "int32", "required": true, "type": "integer" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "region", "instanceGroupManager", "size" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "id": "compute.regionInstanceGroupManagers.list", "parameterOrder": [ "project", "region" ], "httpMethod": "GET", "path": "projects/{project}/regions/{region}/instanceGroupManagers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "maxResults": { "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0", "default": "500" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "region": { "description": "Name of the region scoping this request.", "location": "path", "type": "string", "required": true }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "description": "Retrieves the list of managed instance groups that are contained within the specified region.", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers", "response": { "$ref": "RegionInstanceGroupManagerList" } }, "listManagedInstances": { "id": "compute.regionInstanceGroupManagers.listManagedInstances", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "httpMethod": "POST", "response": { "$ref": "RegionInstanceGroupManagersListInstancesResponse" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "description": "Lists the instances in the managed instance group and instances that are scheduled to be created. The list includes any current actions that the group has scheduled for its instances. The orderBy query parameter is not supported. The `pageToken` query parameter is supported only in the alpha and beta API and only if the group's `listManagedInstancesResults` field is set to `PAGINATED`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "region": { "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "instanceGroupManager": { "required": true, "location": "path", "type": "string", "description": "The name of the managed instance group." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "location": "query", "type": "integer", "format": "uint32", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } } }, "resizeAdvanced": { "response": { "$ref": "Operation" }, "id": "compute.regionInstanceGroupManagers.resizeAdvanced", "request": { "$ref": "RegionInstanceGroupManagersResizeAdvancedRequest" }, "httpMethod": "POST", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "description": "Resizes the regional managed instance group with advanced configuration options like disabling creation retries. This is an extended version of the resize method. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes one or more instances. The resize operation is marked DONE if the resize request is successful. The underlying actions take additional time. You must separately verify the status of the creating or deleting actions with the get or listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.", "parameters": { "region": { "location": "path", "description": "Name of the region scoping this request. It must be a string that meets the requirements in RFC1035.", "required": true, "type": "string" }, "instanceGroupManager": { "location": "path", "type": "string", "description": "The name of the managed instance group. It must be a string that meets the requirements in RFC1035.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resizeAdvanced", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resizeAdvanced" }, "recreateInstances": { "id": "compute.regionInstanceGroupManagers.recreateInstances", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "instanceGroupManager": { "location": "path", "type": "string", "description": "Name of the managed instance group.", "required": true }, "region": { "type": "string", "required": true, "description": "Name of the region scoping this request.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "description": "Flags the specified VM instances in the managed instance group to be immediately recreated. Each instance is recreated using the group's current configuration. This operation is marked as DONE when the flag is set even if the instances have not yet been recreated. You must separately verify the status of each instance by checking its currentAction field; for more information, see Checking the status of managed instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "request": { "$ref": "RegionInstanceGroupManagersRecreateRequest" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "instanceGroupManager" ], "id": "compute.regionInstanceGroupManagers.get", "parameters": { "region": { "required": true, "description": "Name of the region scoping this request.", "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "instanceGroupManager": { "type": "string", "description": "Name of the managed instance group to return.", "location": "path", "required": true } }, "httpMethod": "GET", "description": "Returns all of the details about the specified managed instance group.", "response": { "$ref": "InstanceGroupManager" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}" }, "stopInstances": { "id": "compute.regionInstanceGroupManagers.stopInstances", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/stopInstances", "httpMethod": "POST", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "parameters": { "region": { "type": "string", "location": "path", "required": true, "description": "Name of the region scoping this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "instanceGroupManager": { "type": "string", "description": "The name of the managed instance group.", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/stopInstances", "request": { "$ref": "RegionInstanceGroupManagersStopInstancesRequest" }, "description": "Flags the specified instances in the managed instance group to be immediately stopped. You can only specify instances that are running in this request. This method reduces the targetSize and increases the targetStoppedSize of the managed instance group by the number of instances that you stop. The stopInstances operation is marked DONE if the stopInstances request is successful. The underlying actions take additional time. You must separately verify the status of the STOPPING action with the listmanagedinstances method. If the standbyPolicy.initialDelaySec field is set, the group delays stopping the instances until initialDelaySec have passed from instance.creationTimestamp (that is, when the instance was created). This delay gives your application time to set itself up and initialize on the instance. If more than initialDelaySec seconds have passed since instance.creationTimestamp when this method is called, there will be zero delay. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is stopped. Stopped instances can be started using the startInstances method. You can specify a maximum of 1000 instances with this method per request." }, "suspendInstances": { "id": "compute.regionInstanceGroupManagers.suspendInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "instanceGroupManager": { "description": "Name of the managed instance group.", "type": "string", "required": true, "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "location": "path", "type": "string", "description": "Name of the region scoping this request." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." } }, "request": { "$ref": "RegionInstanceGroupManagersSuspendInstancesRequest" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/suspendInstances", "response": { "$ref": "Operation" }, "description": "Flags the specified instances in the managed instance group to be immediately suspended. You can only specify instances that are running in this request. This method reduces the targetSize and increases the targetSuspendedSize of the managed instance group by the number of instances that you suspend. The suspendInstances operation is marked DONE if the suspendInstances request is successful. The underlying actions take additional time. You must separately verify the status of the SUSPENDING action with the listmanagedinstances method. If the standbyPolicy.initialDelaySec field is set, the group delays suspension of the instances until initialDelaySec have passed from instance.creationTimestamp (that is, when the instance was created). This delay gives your application time to set itself up and initialize on the instance. If more than initialDelaySec seconds have passed since instance.creationTimestamp when this method is called, there will be zero delay. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is suspended. Suspended instances can be resumed using the resumeInstances method. You can specify a maximum of 1000 instances with this method per request.", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/suspendInstances", "parameterOrder": [ "project", "region", "instanceGroupManager" ] }, "createInstances": { "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/createInstances", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/createInstances", "id": "compute.regionInstanceGroupManagers.createInstances", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "region": { "description": "The name of the region where the managed instance group is located. It should conform to RFC1035.", "location": "path", "required": true, "type": "string" }, "instanceGroupManager": { "required": true, "type": "string", "location": "path", "description": "The name of the managed instance group. It should conform to RFC1035." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "request": { "$ref": "RegionInstanceGroupManagersCreateInstancesRequest" }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "description": "Creates instances with per-instance configurations in this regional managed instance group. Instances are created using the current instance template. The create instances operation is marked DONE if the createInstances request is successful. The underlying actions take additional time. You must separately verify the status of the creating or actions with the listmanagedinstances method.", "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "update": { "id": "compute.regionInstanceGroupManagers.update", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "instanceGroupManager": { "description": "The name of the instance group manager.", "location": "path", "type": "string", "required": true }, "region": { "location": "path", "description": "Name of the region scoping this request.", "required": true, "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "request": { "$ref": "InstanceGroupManager" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PUT", "description": "Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is updated even if the instances in the group have not yet been updated. You must separately verify the status of the individual instances with the listmanagedinstances method. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG." }, "updatePerInstanceConfigs": { "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "location": "path", "description": "Name of the region scoping this request, should conform to RFC1035.", "required": true, "type": "string" }, "instanceGroupManager": { "required": true, "location": "path", "description": "The name of the managed instance group. It should conform to RFC1035.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Inserts or updates per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.", "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "compute.regionInstanceGroupManagers.updatePerInstanceConfigs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "request": { "$ref": "RegionInstanceGroupManagerUpdateInstanceConfigReq" } }, "resumeInstances": { "id": "compute.regionInstanceGroupManagers.resumeInstances", "description": "Flags the specified instances in the managed instance group to be resumed. This method increases the targetSize and decreases the targetSuspendedSize of the managed instance group by the number of instances that you resume. The resumeInstances operation is marked DONE if the resumeInstances request is successful. The underlying actions take additional time. You must separately verify the status of the RESUMING action with the listmanagedinstances method. In this request, you can only specify instances that are suspended. For example, if an instance was previously suspended using the suspendInstances method, it can be resumed using the resumeInstances method. If a health check is attached to the managed instance group, the specified instances will be verified as healthy after they are resumed. You can specify a maximum of 1000 instances with this method per request.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "request": { "$ref": "RegionInstanceGroupManagersResumeInstancesRequest" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resumeInstances", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resumeInstances", "parameters": { "instanceGroupManager": { "required": true, "type": "string", "description": "Name of the managed instance group.", "location": "path" }, "region": { "type": "string", "location": "path", "required": true, "description": "Name of the region scoping this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "setTargetPools": { "id": "compute.regionInstanceGroupManagers.setTargetPools", "description": "Modifies the target pools to which all new instances in this group are assigned. Existing instances in the group are not affected.", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setTargetPools", "request": { "$ref": "RegionInstanceGroupManagersSetTargetPoolsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true }, "instanceGroupManager": { "required": true, "type": "string", "description": "Name of the managed instance group.", "location": "path" }, "region": { "location": "path", "description": "Name of the region scoping this request.", "required": true, "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setTargetPools" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "id": "compute.regionInstanceGroupManagers.insert", "description": "Creates a managed instance group using the information that you specify in the request. After the group is created, instances in the group are created using the specified instance template. This operation is marked as DONE when the group is created even if the instances in the group have not yet been created. You must separately verify the status of the individual instances with the listmanagedinstances method. A regional managed instance group can contain up to 2000 instances.", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers", "request": { "$ref": "InstanceGroupManager" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers", "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "location": "path", "required": true } } }, "setAutoHealingPolicies": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionInstanceGroupManagers.setAutoHealingPolicies", "request": { "$ref": "RegionInstanceGroupManagersSetAutoHealingRequest" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setAutoHealingPolicies", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setAutoHealingPolicies", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "description": "Modifies the autohealing policy for the instances in this managed instance group. [Deprecated] This method is deprecated. Use regionInstanceGroupManagers.patch instead.", "response": { "$ref": "Operation" }, "parameters": { "region": { "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "instanceGroupManager": { "required": true, "type": "string", "description": "Name of the managed instance group.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "httpMethod": "POST" }, "patch": { "httpMethod": "PATCH", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "location": "path", "required": true, "type": "string", "description": "Name of the region scoping this request." }, "instanceGroupManager": { "description": "The name of the instance group manager.", "required": true, "location": "path", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "request": { "$ref": "InstanceGroupManager" }, "description": "Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is patched even if the instances in the group are still in the process of being patched. You must separately verify the status of the individual instances with the listmanagedinstances method. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.", "id": "compute.regionInstanceGroupManagers.patch", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "instanceGroupManager" ], "response": { "$ref": "Operation" } }, "delete": { "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request." }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "instanceGroupManager": { "type": "string", "required": true, "location": "path", "description": "Name of the managed instance group to delete." } }, "description": "Deletes the specified managed instance group and all of the instances in that group.", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionInstanceGroupManagers.delete", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}" }, "abandonInstances": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "request": { "$ref": "RegionInstanceGroupManagersAbandonInstancesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "location": "path", "type": "string", "required": true, "description": "Name of the managed instance group." }, "region": { "type": "string", "required": true, "description": "Name of the region scoping this request.", "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "description": "Flags the specified instances to be immediately removed from the managed instance group. Abandoning an instance does not delete the instance, but it does remove the instance from any target pools that are applied by the managed instance group. This method reduces the targetSize of the managed instance group by the number of instances that you abandon. This operation is marked as DONE when the action is scheduled even if the instances have not yet been removed from the group. You must separately verify the status of the abandoning action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "id": "compute.regionInstanceGroupManagers.abandonInstances" }, "applyUpdatesToInstances": { "id": "compute.regionInstanceGroupManagers.applyUpdatesToInstances", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "instanceGroupManager": { "required": true, "type": "string", "location": "path", "description": "The name of the managed instance group, should conform to RFC1035." }, "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request, should conform to RFC1035." }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "httpMethod": "POST", "request": { "$ref": "RegionInstanceGroupManagersApplyUpdatesRequest" }, "description": "Apply updates to selected instances the managed instance group." }, "deleteInstances": { "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "httpMethod": "POST", "parameters": { "region": { "type": "string", "description": "Name of the region scoping this request.", "location": "path", "required": true }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "instanceGroupManager": { "required": true, "location": "path", "description": "Name of the managed instance group.", "type": "string" } }, "id": "compute.regionInstanceGroupManagers.deleteInstances", "response": { "$ref": "Operation" }, "description": "Flags the specified instances in the managed instance group to be immediately deleted. The instances are also removed from any target pools of which they were a member. This method reduces the targetSize of the managed instance group by the number of instances that you delete. The deleteInstances operation is marked DONE if the deleteInstances request is successful. The underlying actions take additional time. You must separately verify the status of the deleting action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "request": { "$ref": "RegionInstanceGroupManagersDeleteInstancesRequest" } }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{resource}/testIamPermissions", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "id": "compute.regionInstanceGroupManagers.testIamPermissions", "parameters": { "resource": { "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "required": true, "type": "string", "location": "path" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" } }, "startInstances": { "parameterOrder": [ "project", "region", "instanceGroupManager" ], "parameters": { "region": { "description": "Name of the region scoping this request.", "type": "string", "required": true, "location": "path" }, "instanceGroupManager": { "description": "Name of the managed instance group.", "required": true, "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "RegionInstanceGroupManagersStartInstancesRequest" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/startInstances", "response": { "$ref": "Operation" }, "id": "compute.regionInstanceGroupManagers.startInstances", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/startInstances", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Flags the specified instances in the managed instance group to be started. This method increases the targetSize and decreases the targetStoppedSize of the managed instance group by the number of instances that you start. The startInstances operation is marked DONE if the startInstances request is successful. The underlying actions take additional time. You must separately verify the status of the STARTING action with the listmanagedinstances method. In this request, you can only specify instances that are stopped. For example, if an instance was previously stopped using the stopInstances method, it can be started using the startInstances method. If a health check is attached to the managed instance group, the specified instances will be verified as healthy after they are started. You can specify a maximum of 1000 instances with this method per request." }, "setInstanceTemplate": { "description": "Sets the instance template to use when creating new instances or recreating instances in this group. Existing instances are not affected.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "required": true, "description": "Name of the region scoping this request.", "type": "string", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "type": "string", "description": "The name of the managed instance group.", "required": true, "location": "path" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" } }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "response": { "$ref": "Operation" }, "request": { "$ref": "RegionInstanceGroupManagersSetTemplateRequest" }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "httpMethod": "POST", "id": "compute.regionInstanceGroupManagers.setInstanceTemplate" }, "listErrors": { "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "region": { "required": true, "description": "Name of the region scoping this request. This should conform to RFC1035.", "type": "string", "location": "path" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "instanceGroupManager": { "description": "The name of the managed instance group. It must be a string that meets the requirements in RFC1035, or an unsigned long integer: must match regexp pattern: (?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?)|1-9{0,19}.", "location": "path", "required": true, "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "minimum": "0", "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "httpMethod": "GET", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listErrors", "description": "Lists all errors thrown by actions on instances for a given regional managed instance group. The filter and orderBy query parameters are not supported.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionInstanceGroupManagers.listErrors", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listErrors", "response": { "$ref": "RegionInstanceGroupManagersListErrorsResponse" }, "parameterOrder": [ "project", "region", "instanceGroupManager" ] }, "deletePerInstanceConfigs": { "description": "Deletes selected per-instance configurations for the managed instance group.", "request": { "$ref": "RegionInstanceGroupManagerDeleteInstanceConfigReq" }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "httpMethod": "POST", "parameters": { "instanceGroupManager": { "required": true, "location": "path", "type": "string", "description": "The name of the managed instance group. It should conform to RFC1035." }, "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request, should conform to RFC1035.", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionInstanceGroupManagers.deletePerInstanceConfigs" }, "patchPerInstanceConfigs": { "id": "compute.regionInstanceGroupManagers.patchPerInstanceConfigs", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "parameters": { "instanceGroupManager": { "location": "path", "description": "The name of the managed instance group. It should conform to RFC1035.", "required": true, "type": "string" }, "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request, should conform to RFC1035." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "request": { "$ref": "RegionInstanceGroupManagerPatchInstanceConfigReq" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "description": "Inserts or patches per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch." } } }, "diskTypes": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified disk type. Gets a list of available disk types by making a list() request.", "flatPath": "projects/{project}/zones/{zone}/diskTypes/{diskType}", "parameters": { "diskType": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the disk type to return." }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "The name of the zone for this request." } }, "httpMethod": "GET", "id": "compute.diskTypes.get", "response": { "$ref": "DiskType" }, "parameterOrder": [ "project", "zone", "diskType" ], "path": "projects/{project}/zones/{zone}/diskTypes/{diskType}" }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/diskTypes", "id": "compute.diskTypes.aggregatedList", "response": { "$ref": "DiskTypeAggregatedList" }, "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "minimum": "0", "type": "integer", "format": "uint32" } }, "httpMethod": "GET", "description": "Retrieves an aggregated list of disk types.", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/diskTypes" }, "list": { "path": "projects/{project}/zones/{zone}/diskTypes", "description": "Retrieves a list of disk types available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.diskTypes.list", "flatPath": "projects/{project}/zones/{zone}/diskTypes", "parameters": { "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path", "description": "The name of the zone for this request." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "type": "integer", "default": "500", "format": "uint32" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "response": { "$ref": "DiskTypeList" }, "parameterOrder": [ "project", "zone" ], "httpMethod": "GET" } } }, "httpHealthChecks": { "methods": { "update": { "parameterOrder": [ "project", "httpHealthCheck" ], "request": { "$ref": "HttpHealthCheck" }, "id": "compute.httpHealthChecks.update", "response": { "$ref": "Operation" }, "description": "Updates a HttpHealthCheck resource in the specified project using the data included in the request.", "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "httpMethod": "PUT", "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "httpHealthCheck": { "type": "string", "location": "path", "description": "Name of the HttpHealthCheck resource to update.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } }, "insert": { "parameterOrder": [ "project" ], "path": "projects/{project}/global/httpHealthChecks", "httpMethod": "POST", "id": "compute.httpHealthChecks.insert", "flatPath": "projects/{project}/global/httpHealthChecks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "HttpHealthCheck" }, "response": { "$ref": "Operation" }, "description": "Creates a HttpHealthCheck resource in the specified project using the data included in the request.", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } } }, "testIamPermissions": { "id": "compute.httpHealthChecks.testIamPermissions", "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name or id of the resource for this request.", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/global/httpHealthChecks/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/httpHealthChecks/{resource}/testIamPermissions" }, "patch": { "parameterOrder": [ "project", "httpHealthCheck" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Updates a HttpHealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "httpHealthCheck": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the HttpHealthCheck resource to patch.", "required": true }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "httpMethod": "PATCH", "request": { "$ref": "HttpHealthCheck" }, "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "id": "compute.httpHealthChecks.patch" }, "list": { "id": "compute.httpHealthChecks.list", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "format": "uint32" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "path": "projects/{project}/global/httpHealthChecks", "description": "Retrieves the list of HttpHealthCheck resources available to the specified project.", "flatPath": "projects/{project}/global/httpHealthChecks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "httpMethod": "GET", "response": { "$ref": "HttpHealthCheckList" } }, "delete": { "parameterOrder": [ "project", "httpHealthCheck" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "id": "compute.httpHealthChecks.delete", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "httpHealthCheck": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the HttpHealthCheck resource to delete.", "type": "string" } }, "description": "Deletes the specified HttpHealthCheck resource." }, "get": { "parameterOrder": [ "project", "httpHealthCheck" ], "httpMethod": "GET", "response": { "$ref": "HttpHealthCheck" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "httpHealthCheck": { "location": "path", "description": "Name of the HttpHealthCheck resource to return.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.httpHealthChecks.get", "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "description": "Returns the specified HttpHealthCheck resource. Gets a list of available HTTP health checks by making a list() request.", "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}" } } }, "targetSslProxies": { "methods": { "insert": { "request": { "$ref": "TargetSslProxy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/targetSslProxies", "flatPath": "projects/{project}/global/targetSslProxies", "description": "Creates a TargetSslProxy resource in the specified project using the data included in the request.", "id": "compute.targetSslProxies.insert", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "project" ] }, "setSslCertificates": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetSslProxies.setSslCertificates", "description": "Changes SslCertificates for TargetSslProxy.", "response": { "$ref": "Operation" }, "parameters": { "targetSslProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the TargetSslProxy resource whose SslCertificate resource is to be set.", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "parameterOrder": [ "project", "targetSslProxy" ], "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslCertificates", "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslCertificates", "request": { "$ref": "TargetSslProxiesSetSslCertificatesRequest" } }, "testIamPermissions": { "path": "projects/{project}/global/targetSslProxies/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/targetSslProxies/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "id": "compute.targetSslProxies.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string", "description": "Name or id of the resource for this request." } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.targetSslProxies.list", "path": "projects/{project}/global/targetSslProxies", "flatPath": "projects/{project}/global/targetSslProxies", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "maxResults": { "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "type": "integer" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "parameterOrder": [ "project" ], "response": { "$ref": "TargetSslProxyList" }, "httpMethod": "GET", "description": "Retrieves the list of TargetSslProxy resources available to the specified project." }, "setProxyHeader": { "description": "Changes the ProxyHeaderType for TargetSslProxy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetSslProxies.setProxyHeader", "httpMethod": "POST", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setProxyHeader", "parameterOrder": [ "project", "targetSslProxy" ], "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "targetSslProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true, "description": "Name of the TargetSslProxy resource whose ProxyHeader is to be set." } }, "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setProxyHeader", "request": { "$ref": "TargetSslProxiesSetProxyHeaderRequest" }, "response": { "$ref": "Operation" } }, "setCertificateMap": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "targetSslProxy": { "location": "path", "description": "Name of the TargetSslProxy resource whose CertificateMap is to be set. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "description": "Changes the Certificate Map for TargetSslProxy.", "id": "compute.targetSslProxies.setCertificateMap", "httpMethod": "POST", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setCertificateMap", "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setCertificateMap", "request": { "$ref": "TargetSslProxiesSetCertificateMapRequest" }, "parameterOrder": [ "project", "targetSslProxy" ] }, "get": { "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "description": "Returns the specified TargetSslProxy resource. Gets a list of available target SSL proxies by making a list() request.", "response": { "$ref": "TargetSslProxy" }, "id": "compute.targetSslProxies.get", "parameterOrder": [ "project", "targetSslProxy" ], "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "parameters": { "targetSslProxy": { "location": "path", "required": true, "description": "Name of the TargetSslProxy resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET" }, "delete": { "httpMethod": "DELETE", "parameters": { "targetSslProxy": { "location": "path", "description": "Name of the TargetSslProxy resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "description": "Deletes the specified TargetSslProxy resource.", "id": "compute.targetSslProxies.delete", "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "targetSslProxy" ], "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setSslPolicy": { "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslPolicy", "httpMethod": "POST", "request": { "$ref": "SslPolicyReference" }, "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslPolicy", "description": "Sets the SSL policy for TargetSslProxy. The SSL policy specifies the server-side support for SSL features. This affects connections between clients and the SSL proxy load balancer. They do not affect the connection between the load balancer and the backends.", "parameters": { "targetSslProxy": { "description": "Name of the TargetSslProxy resource whose SSL policy is to be set. The name must be 1-63 characters long, and comply with RFC1035.", "required": true, "location": "path", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "id": "compute.targetSslProxies.setSslPolicy", "parameterOrder": [ "project", "targetSslProxy" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setBackendService": { "httpMethod": "POST", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setBackendService", "description": "Changes the BackendService for TargetSslProxy.", "response": { "$ref": "Operation" }, "request": { "$ref": "TargetSslProxiesSetBackendServiceRequest" }, "parameterOrder": [ "project", "targetSslProxy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "targetSslProxy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetSslProxy resource whose BackendService resource is to be set.", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "id": "compute.targetSslProxies.setBackendService", "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setBackendService" } } }, "futureReservations": { "methods": { "list": { "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "zone": { "type": "string", "required": true, "location": "path", "description": "Name of the zone for this request. Name should conform to RFC1035." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "minimum": "0", "default": "500" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "flatPath": "projects/{project}/zones/{zone}/futureReservations", "httpMethod": "GET", "description": "A list of all the future reservations that have been configured for the specified project in specified zone.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.futureReservations.list", "response": { "$ref": "FutureReservationsListResponse" }, "path": "projects/{project}/zones/{zone}/futureReservations", "parameterOrder": [ "project", "zone" ] }, "get": { "response": { "$ref": "FutureReservation" }, "id": "compute.futureReservations.get", "description": "Retrieves information about the specified future reservation.", "parameterOrder": [ "project", "zone", "futureReservation" ], "path": "projects/{project}/zones/{zone}/futureReservations/{futureReservation}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "zone": { "description": "Name of the zone for this request. Name should conform to RFC1035.", "location": "path", "type": "string", "required": true }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "futureReservation": { "required": true, "type": "string", "location": "path", "description": "Name of the future reservation to retrieve. Name should conform to RFC1035." } }, "flatPath": "projects/{project}/zones/{zone}/futureReservations/{futureReservation}" }, "cancel": { "parameterOrder": [ "project", "zone", "futureReservation" ], "description": "Cancel the specified future reservation.", "httpMethod": "POST", "id": "compute.futureReservations.cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/futureReservations/{futureReservation}/cancel", "parameters": { "futureReservation": { "location": "path", "required": true, "description": "Name of the future reservation to retrieve. Name should conform to RFC1035.", "type": "string" }, "zone": { "location": "path", "type": "string", "required": true, "description": "Name of the zone for this request. Name should conform to RFC1035." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/futureReservations/{futureReservation}/cancel" }, "update": { "httpMethod": "PATCH", "description": "Updates the specified future reservation.", "path": "projects/{project}/zones/{zone}/futureReservations/{futureReservation}", "id": "compute.futureReservations.update", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "futureReservation": { "description": "Name of the reservation to update. Name should conform to RFC1035.", "type": "string", "required": true, "location": "path" }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "update_mask indicates fields to be updated as part of this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "paths": { "type": "string", "repeated": true, "location": "query" }, "zone": { "location": "path", "description": "Name of the zone for this request. Name should conform to RFC1035.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/futureReservations/{futureReservation}", "parameterOrder": [ "project", "zone", "futureReservation" ], "request": { "$ref": "FutureReservation" }, "response": { "$ref": "Operation" } }, "delete": { "httpMethod": "DELETE", "path": "projects/{project}/zones/{zone}/futureReservations/{futureReservation}", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/futureReservations/{futureReservation}", "description": "Deletes the specified future reservation.", "parameters": { "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "futureReservation": { "type": "string", "required": true, "description": "Name of the future reservation to retrieve. Name should conform to RFC1035.", "location": "path" }, "zone": { "required": true, "type": "string", "location": "path", "description": "Name of the zone for this request. Name should conform to RFC1035." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "futureReservation" ], "id": "compute.futureReservations.delete" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.futureReservations.insert", "description": "Creates a new Future Reservation.", "request": { "$ref": "FutureReservation" }, "parameterOrder": [ "project", "zone" ], "path": "projects/{project}/zones/{zone}/futureReservations", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/futureReservations", "parameters": { "zone": { "description": "Name of the zone for this request. Name should conform to RFC1035.", "location": "path", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" } }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "FutureReservationsAggregatedListResponse" }, "path": "projects/{project}/aggregated/futureReservations", "description": "Retrieves an aggregated list of future reservations.", "parameters": { "maxResults": { "format": "uint32", "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" } }, "flatPath": "projects/{project}/aggregated/futureReservations", "httpMethod": "GET", "id": "compute.futureReservations.aggregatedList", "parameterOrder": [ "project" ] } } }, "networks": { "methods": { "patch": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Network" }, "description": "Patches the specified network with the data included in the request. Only the following fields can be modified: routingConfig.routingMode.", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "network": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the network to update.", "required": true }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "network" ], "id": "compute.networks.patch", "path": "projects/{project}/global/networks/{network}", "flatPath": "projects/{project}/global/networks/{network}", "httpMethod": "PATCH" }, "insert": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.networks.insert", "path": "projects/{project}/global/networks", "flatPath": "projects/{project}/global/networks", "request": { "$ref": "Network" }, "description": "Creates a network in the specified project using the data included in the request.", "parameterOrder": [ "project" ], "httpMethod": "POST", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } } }, "removePeering": { "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "network": { "required": true, "location": "path", "type": "string", "description": "Name of the network resource to remove peering from.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "network" ], "request": { "$ref": "NetworksRemovePeeringRequest" }, "httpMethod": "POST", "id": "compute.networks.removePeering", "path": "projects/{project}/global/networks/{network}/removePeering", "flatPath": "projects/{project}/global/networks/{network}/removePeering", "description": "Removes a peering from the specified network.", "response": { "$ref": "Operation" } }, "switchToCustomMode": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.networks.switchToCustomMode", "parameterOrder": [ "project", "network" ], "description": "Switches the network mode from auto subnet mode to custom subnet mode.", "path": "projects/{project}/global/networks/{network}/switchToCustomMode", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "network": { "type": "string", "description": "Name of the network to be updated.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." } }, "flatPath": "projects/{project}/global/networks/{network}/switchToCustomMode" }, "listPeeringRoutes": { "parameterOrder": [ "project", "network" ], "response": { "$ref": "ExchangedPeeringRoutesList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/networks/{network}/listPeeringRoutes", "id": "compute.networks.listPeeringRoutes", "httpMethod": "GET", "parameters": { "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query", "format": "uint32", "default": "500", "minimum": "0" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "direction": { "description": "The direction of the exchanged routes.", "enumDescriptions": [ "For routes exported from peer network.", "For routes exported from local network." ], "location": "query", "enum": [ "INCOMING", "OUTGOING" ], "type": "string" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "region": { "type": "string", "description": "The region of the request. The response will include all subnet routes, static routes and dynamic routes in the region.", "location": "query" }, "network": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "type": "string", "description": "Name of the network for this request." }, "peeringName": { "type": "string", "location": "query", "description": "The response will show routes exchanged over the given peering connection." } }, "description": "Lists the peering routes exchanged over peering connection.", "path": "projects/{project}/global/networks/{network}/listPeeringRoutes" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.networks.list", "flatPath": "projects/{project}/global/networks", "description": "Retrieves the list of networks available to the specified project.", "parameterOrder": [ "project" ], "path": "projects/{project}/global/networks", "httpMethod": "GET", "response": { "$ref": "NetworkList" }, "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" }, "maxResults": { "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32", "default": "500" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } } }, "updatePeering": { "flatPath": "projects/{project}/global/networks/{network}/updatePeering", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "network": { "type": "string", "description": "Name of the network resource which the updated peering is belonging to.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/global/networks/{network}/updatePeering", "id": "compute.networks.updatePeering", "description": "Updates the specified network peering with the data included in the request. You can only modify the NetworkPeering.export_custom_routes field and the NetworkPeering.import_custom_routes field.", "parameterOrder": [ "project", "network" ], "httpMethod": "PATCH", "request": { "$ref": "NetworksUpdatePeeringRequest" } }, "delete": { "httpMethod": "DELETE", "id": "compute.networks.delete", "description": "Deletes the specified network.", "path": "projects/{project}/global/networks/{network}", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "network": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the network to delete." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "network" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/networks/{network}" }, "testIamPermissions": { "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/networks/{resource}/testIamPermissions", "parameters": { "resource": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.networks.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/global/networks/{resource}/testIamPermissions", "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" } }, "listIpAddresses": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.networks.listIpAddresses", "flatPath": "projects/{project}/global/networks/{network}/listIpAddresses", "path": "projects/{project}/global/networks/{network}/listIpAddresses", "httpMethod": "GET", "description": "Lists the internal IP addresses in the specified network.", "response": { "$ref": "IpAddressesList" }, "parameters": { "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32", "type": "integer", "minimum": "0", "default": "500" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "network": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the network for this request." }, "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "types": { "description": "(Optional) types filter separate by comma, valid values are: SUBNETWORK, RESERVED, PEER_USED, PEER_RESERVED, REMOTE_USED, REMOTE_RESERVED.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "parameterOrder": [ "project", "network" ] }, "get": { "httpMethod": "GET", "flatPath": "projects/{project}/global/networks/{network}", "description": "Returns the specified network. Gets a list of available networks by making a list() request.", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "network": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the network to return.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "network" ], "path": "projects/{project}/global/networks/{network}", "id": "compute.networks.get", "response": { "$ref": "Network" } }, "getEffectiveFirewalls": { "id": "compute.networks.getEffectiveFirewalls", "description": "Returns the effective firewalls on a given network.", "flatPath": "projects/{project}/global/networks/{network}/getEffectiveFirewalls", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "network": { "description": "Name of the network for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" } }, "response": { "$ref": "NetworksGetEffectiveFirewallsResponse" }, "httpMethod": "GET", "path": "projects/{project}/global/networks/{network}/getEffectiveFirewalls", "parameterOrder": [ "project", "network" ] }, "addPeering": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/networks/{network}/addPeering", "parameterOrder": [ "project", "network" ], "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "network": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string", "description": "Name of the network resource to add peering to." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "NetworksAddPeeringRequest" }, "description": "Adds a peering to the specified network.", "id": "compute.networks.addPeering", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/networks/{network}/addPeering", "httpMethod": "POST" }, "listIpOwners": { "flatPath": "projects/{project}/global/networks/{network}/listIpOwners", "httpMethod": "GET", "path": "projects/{project}/global/networks/{network}/listIpOwners", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "ipCidrRange": { "type": "string", "location": "query", "description": "(Optional) IP CIDR range filter, example: \"10.128.10.0/30\"." }, "ownerProjects": { "description": "(Optional) Project IDs filter, example: \"project-1,project-2\".", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "subnetName": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "(Optional) Subnetwork name filter.", "location": "query", "type": "string" }, "subnetRegion": { "description": "(Optional) Subnetwork region filter.", "location": "query", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "ownerTypes": { "type": "string", "description": "(Optional) Owner types filter, example: \"instance,forwardingRule\".", "location": "query" }, "maxResults": { "minimum": "0", "location": "query", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "network": { "location": "path", "description": "Name of the network to return.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "description": "Lists the internal IP owners in the specified network.", "response": { "$ref": "IpOwnerList" }, "parameterOrder": [ "project", "network" ], "id": "compute.networks.listIpOwners" } } }, "urlMaps": { "methods": { "list": { "httpMethod": "GET", "path": "projects/{project}/global/urlMaps", "parameterOrder": [ "project" ], "parameters": { "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32", "minimum": "0" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "description": "Retrieves the list of UrlMap resources available to the specified project.", "id": "compute.urlMaps.list", "response": { "$ref": "UrlMapList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/urlMaps" }, "update": { "description": "Updates the specified UrlMap resource with the data included in the request.", "id": "compute.urlMaps.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "urlMap" ], "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "response": { "$ref": "Operation" }, "httpMethod": "PUT", "path": "projects/{project}/global/urlMaps/{urlMap}", "request": { "$ref": "UrlMap" }, "parameters": { "urlMap": { "type": "string", "required": true, "description": "Name of the UrlMap resource to update.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "insert": { "request": { "$ref": "UrlMap" }, "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/global/urlMaps", "httpMethod": "POST", "flatPath": "projects/{project}/global/urlMaps", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "id": "compute.urlMaps.insert", "description": "Creates a UrlMap resource in the specified project using the data included in the request." }, "validate": { "flatPath": "projects/{project}/global/urlMaps/{urlMap}/validate", "description": "Runs static validation for the UrlMap. In particular, the tests of the provided UrlMap will be run. Calling this method does NOT create the UrlMap.", "path": "projects/{project}/global/urlMaps/{urlMap}/validate", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "urlMap": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the UrlMap resource to be validated as.", "type": "string", "required": true } }, "httpMethod": "POST", "request": { "$ref": "UrlMapsValidateRequest" }, "response": { "$ref": "UrlMapsValidateResponse" }, "parameterOrder": [ "project", "urlMap" ], "id": "compute.urlMaps.validate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "invalidateCache": { "id": "compute.urlMaps.invalidateCache", "parameterOrder": [ "project", "urlMap" ], "flatPath": "projects/{project}/global/urlMaps/{urlMap}/invalidateCache", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "request": { "$ref": "CacheInvalidationRule" }, "httpMethod": "POST", "path": "projects/{project}/global/urlMaps/{urlMap}/invalidateCache", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "urlMap": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the UrlMap scoping this request.", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "description": "Initiates a cache invalidation operation, invalidating the specified path, scoped to the specified UrlMap. For more information, see [Invalidating cached content](/cdn/docs/invalidating-cached-content)." }, "get": { "response": { "$ref": "UrlMap" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "urlMap" ], "httpMethod": "GET", "description": "Returns the specified UrlMap resource. Gets a list of available URL maps by making a list() request.", "parameters": { "urlMap": { "location": "path", "type": "string", "description": "Name of the UrlMap resource to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true } }, "id": "compute.urlMaps.get", "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "path": "projects/{project}/global/urlMaps/{urlMap}" }, "patch": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "urlMap": { "description": "Name of the UrlMap resource to patch.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "parameterOrder": [ "project", "urlMap" ], "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "httpMethod": "PATCH", "path": "projects/{project}/global/urlMaps/{urlMap}", "request": { "$ref": "UrlMap" }, "response": { "$ref": "Operation" }, "description": "Patches the specified UrlMap resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "id": "compute.urlMaps.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "testIamPermissions": { "id": "compute.urlMaps.testIamPermissions", "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/urlMaps/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/global/urlMaps/{resource}/testIamPermissions", "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } } }, "aggregatedList": { "description": "Retrieves the list of all UrlMap resources, regional and global, available to the specified project.", "parameterOrder": [ "project" ], "id": "compute.urlMaps.aggregatedList", "response": { "$ref": "UrlMapsAggregatedList" }, "path": "projects/{project}/aggregated/urlMaps", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "maxResults": { "default": "500", "minimum": "0", "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "description": "Name of the project scoping this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "flatPath": "projects/{project}/aggregated/urlMaps" }, "delete": { "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "description": "Deletes the specified UrlMap resource.", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "urlMap": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the UrlMap resource to delete.", "required": true } }, "id": "compute.urlMaps.delete", "parameterOrder": [ "project", "urlMap" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/urlMaps/{urlMap}", "httpMethod": "DELETE" } } }, "regionTargetHttpsProxies": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/targetHttpsProxies", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "maxResults": { "format": "uint32", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer" }, "region": { "description": "Name of the region scoping this request.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "httpMethod": "GET", "description": "Retrieves the list of TargetHttpsProxy resources available to the specified project in the specified region.", "response": { "$ref": "TargetHttpsProxyList" }, "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies", "id": "compute.regionTargetHttpsProxies.list" }, "delete": { "parameters": { "targetHttpsProxy": { "type": "string", "description": "Name of the TargetHttpsProxy resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "region": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" } }, "description": "Deletes the specified TargetHttpsProxy resource.", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionTargetHttpsProxies.delete", "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "httpMethod": "DELETE" }, "get": { "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "description": "Returns the specified TargetHttpsProxy resource in the specified region. Gets a list of available target HTTP proxies by making a list() request.", "response": { "$ref": "TargetHttpsProxy" }, "id": "compute.regionTargetHttpsProxies.get", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "Name of the region scoping this request.", "type": "string" }, "targetHttpsProxy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the TargetHttpsProxy resource to return." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" } }, "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}" }, "setSslCertificates": { "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "response": { "$ref": "Operation" }, "parameters": { "targetHttpsProxy": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy resource to set an SslCertificates resource for." }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region scoping this request." } }, "id": "compute.regionTargetHttpsProxies.setSslCertificates", "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "description": "Replaces SslCertificates for TargetHttpsProxy.", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "httpMethod": "POST", "request": { "$ref": "RegionTargetHttpsProxiesSetSslCertificatesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setUrlMap": { "id": "compute.regionTargetHttpsProxies.setUrlMap", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request." }, "targetHttpsProxy": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy to set a URL map for.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Changes the URL map for TargetHttpsProxy.", "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "request": { "$ref": "UrlMapReference" }, "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap" }, "testIamPermissions": { "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionTargetHttpsProxies.testIamPermissions", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{resource}/testIamPermissions", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/targetHttpsProxies/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "resource": { "description": "Name or id of the resource for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "region": { "required": true, "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" } }, "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource." }, "patch": { "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Patches the specified regional TargetHttpsProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "id": "compute.regionTargetHttpsProxies.patch", "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "region": { "type": "string", "required": true, "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetHttpsProxy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the TargetHttpsProxy resource to patch." } }, "request": { "$ref": "TargetHttpsProxy" } }, "insert": { "parameterOrder": [ "project", "region" ], "description": "Creates a TargetHttpsProxy resource in the specified project and region using the data included in the request.", "id": "compute.regionTargetHttpsProxies.insert", "request": { "$ref": "TargetHttpsProxy" }, "response": { "$ref": "Operation" }, "parameters": { "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/regions/{region}/targetHttpsProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies" } } }, "interconnectRemoteLocations": { "methods": { "list": { "flatPath": "projects/{project}/global/interconnectRemoteLocations", "description": "Retrieves the list of interconnect remote locations available to the specified project.", "id": "compute.interconnectRemoteLocations.list", "path": "projects/{project}/global/interconnectRemoteLocations", "httpMethod": "GET", "parameterOrder": [ "project" ], "response": { "$ref": "InterconnectRemoteLocationList" }, "parameters": { "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "type": "integer" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "httpMethod": "GET", "id": "compute.interconnectRemoteLocations.get", "description": "Returns the details for the specified interconnect remote location. Gets a list of available interconnect remote locations by making a list() request.", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" }, "interconnectRemoteLocation": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the interconnect remote location to return.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/interconnectRemoteLocations/{interconnectRemoteLocation}", "path": "projects/{project}/global/interconnectRemoteLocations/{interconnectRemoteLocation}", "parameterOrder": [ "project", "interconnectRemoteLocation" ], "response": { "$ref": "InterconnectRemoteLocation" } }, "testIamPermissions": { "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.interconnectRemoteLocations.testIamPermissions", "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true, "description": "Name or id of the resource for this request." }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/interconnectRemoteLocations/{resource}/testIamPermissions", "path": "projects/{project}/global/interconnectRemoteLocations/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "resource" ], "response": { "$ref": "TestPermissionsResponse" } } } }, "regionCommitments": { "methods": { "insert": { "description": "Creates a commitment in the specified project using the data included in the request.", "parameters": { "region": { "description": "Name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "request": { "$ref": "Commitment" }, "id": "compute.regionCommitments.insert", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/commitments", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/commitments" }, "list": { "path": "projects/{project}/regions/{region}/commitments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/commitments", "httpMethod": "GET", "parameterOrder": [ "project", "region" ], "parameters": { "maxResults": { "default": "500", "location": "query", "type": "integer", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "region": { "required": true, "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "id": "compute.regionCommitments.list", "response": { "$ref": "CommitmentList" }, "description": "Retrieves a list of commitments contained within the specified region." }, "updateReservations": { "httpMethod": "POST", "description": "Transfers GPUs or local SSDs between reservations within commitments.", "flatPath": "projects/{project}/regions/{region}/commitments/{commitment}/updateReservations", "request": { "$ref": "RegionCommitmentsUpdateReservationsRequest" }, "path": "projects/{project}/regions/{region}/commitments/{commitment}/updateReservations", "id": "compute.regionCommitments.updateReservations", "parameterOrder": [ "project", "region", "commitment" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "commitment": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the commitment for which the reservation is being updated." }, "region": { "description": "Name of the region for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" } }, "response": { "$ref": "Operation" } }, "testIamPermissions": { "id": "compute.regionCommitments.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/regions/{region}/commitments/{resource}/testIamPermissions", "parameters": { "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the region for this request." } }, "flatPath": "projects/{project}/regions/{region}/commitments/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST" }, "get": { "parameterOrder": [ "project", "region", "commitment" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Commitment" }, "parameters": { "commitment": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the commitment to return.", "required": true, "type": "string", "location": "path" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "type": "string", "location": "path" } }, "description": "Returns the specified commitment resource. Gets a list of available commitments by making a list() request.", "httpMethod": "GET", "path": "projects/{project}/regions/{region}/commitments/{commitment}", "id": "compute.regionCommitments.get", "flatPath": "projects/{project}/regions/{region}/commitments/{commitment}" }, "update": { "description": "Updates the specified commitment with the data included in the request. Update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: auto_renew.", "flatPath": "projects/{project}/regions/{region}/commitments/{commitment}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/commitments/{commitment}", "parameterOrder": [ "project", "region", "commitment" ], "id": "compute.regionCommitments.update", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "commitment": { "description": "Name of the commitment for which auto renew is being updated.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region for this request." }, "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "update_mask indicates fields to be updated as part of this request." }, "paths": { "location": "query", "type": "string", "repeated": true } }, "request": { "$ref": "Commitment" } }, "aggregatedList": { "httpMethod": "GET", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/commitments", "response": { "$ref": "CommitmentAggregatedList" }, "id": "compute.regionCommitments.aggregatedList", "path": "projects/{project}/aggregated/commitments", "parameters": { "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "format": "uint32", "minimum": "0", "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } }, "description": "Retrieves an aggregated list of commitments by region.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "networkFirewallPolicies": { "methods": { "insert": { "description": "Creates a new policy in the specified project using the data included in the request.", "id": "compute.networkFirewallPolicies.insert", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/firewallPolicies", "parameterOrder": [ "project" ], "request": { "$ref": "FirewallPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST", "path": "projects/{project}/global/firewallPolicies" }, "addAssociation": { "httpMethod": "POST", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "replaceExistingAssociation": { "description": "Indicates whether or not to replace it if an association of the attachment already exists. This is false by default, in which case an error will be returned if an association already exists.", "location": "query", "type": "boolean" }, "firewallPolicy": { "description": "Name of the firewall policy to update.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "description": "Inserts an association for the specified firewall policy.", "request": { "$ref": "FirewallPolicyAssociation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "firewallPolicy" ], "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addAssociation", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addAssociation", "response": { "$ref": "Operation" }, "id": "compute.networkFirewallPolicies.addAssociation" }, "removeAssociation": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeAssociation", "parameterOrder": [ "project", "firewallPolicy" ], "id": "compute.networkFirewallPolicies.removeAssociation", "parameters": { "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the firewall policy to update.", "required": true }, "name": { "location": "query", "type": "string", "description": "Name for the attachment that will be removed." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "httpMethod": "POST", "description": "Removes an association for the specified firewall policy.", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeAssociation" }, "getRule": { "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getRule", "response": { "$ref": "FirewallPolicyRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "firewallPolicy" ], "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getRule", "httpMethod": "GET", "parameters": { "firewallPolicy": { "type": "string", "location": "path", "description": "Name of the firewall policy to which the queried rule belongs.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "priority": { "description": "The priority of the rule to get from the firewall policy.", "format": "int32", "location": "query", "type": "integer" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" } }, "description": "Gets a rule of the specified priority.", "id": "compute.networkFirewallPolicies.getRule" }, "get": { "httpMethod": "GET", "response": { "$ref": "FirewallPolicy" }, "parameterOrder": [ "project", "firewallPolicy" ], "id": "compute.networkFirewallPolicies.get", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "firewallPolicy": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the firewall policy to get." } }, "description": "Returns the specified network firewall policy." }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "required": true, "description": "Name or id of the resource for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." } }, "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/global/firewallPolicies/{resource}/testIamPermissions", "id": "compute.networkFirewallPolicies.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/global/firewallPolicies/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ] }, "delete": { "parameters": { "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to delete.", "type": "string", "required": true, "location": "path" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "httpMethod": "DELETE", "parameterOrder": [ "project", "firewallPolicy" ], "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.networkFirewallPolicies.delete", "description": "Deletes the specified policy." }, "getIamPolicy": { "path": "projects/{project}/global/firewallPolicies/{resource}/getIamPolicy", "flatPath": "projects/{project}/global/firewallPolicies/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name or id of the resource for this request." }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "location": "query", "format": "int32" } }, "httpMethod": "GET", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.networkFirewallPolicies.getIamPolicy" }, "addRule": { "id": "compute.networkFirewallPolicies.addRule", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addRule", "response": { "$ref": "Operation" }, "parameters": { "firewallPolicy": { "type": "string", "description": "Name of the firewall policy to update.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "maxPriority": { "type": "integer", "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "format": "int32", "location": "query" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "minPriority": { "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "location": "query", "format": "int32", "type": "integer" } }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addRule", "request": { "$ref": "FirewallPolicyRule" }, "parameterOrder": [ "project", "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Inserts a rule into a firewall policy." }, "list": { "parameterOrder": [ "project" ], "parameters": { "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer", "format": "uint32", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "description": "Lists all the policies that have been configured for the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/global/firewallPolicies", "response": { "$ref": "FirewallPolicyList" }, "path": "projects/{project}/global/firewallPolicies", "id": "compute.networkFirewallPolicies.list" }, "patchRule": { "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/patchRule", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "id": "compute.networkFirewallPolicies.patchRule", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "firewallPolicy": { "description": "Name of the firewall policy to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" }, "priority": { "format": "int32", "type": "integer", "description": "The priority of the rule to patch.", "location": "query" } }, "request": { "$ref": "FirewallPolicyRule" }, "response": { "$ref": "Operation" }, "description": "Patches a rule of the specified priority.", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/patchRule", "parameterOrder": [ "project", "firewallPolicy" ] }, "cloneRules": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.networkFirewallPolicies.cloneRules", "description": "Copies rules to the specified firewall policy.", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/cloneRules", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "sourceFirewallPolicy": { "location": "query", "type": "string", "description": "The firewall policy from which to copy rules." }, "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to update.", "required": true, "type": "string", "location": "path" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/cloneRules", "parameterOrder": [ "project", "firewallPolicy" ] }, "getAssociation": { "id": "compute.networkFirewallPolicies.getAssociation", "httpMethod": "GET", "response": { "$ref": "FirewallPolicyAssociation" }, "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "name": { "description": "The name of the association to get from the firewall policy.", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "firewallPolicy": { "type": "string", "description": "Name of the firewall policy to which the queried association belongs.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "description": "Gets an association with the specified name.", "parameterOrder": [ "project", "firewallPolicy" ], "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getAssociation" }, "setIamPolicy": { "request": { "$ref": "GlobalSetPolicyRequest" }, "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "id": "compute.networkFirewallPolicies.setIamPolicy", "flatPath": "projects/{project}/global/firewallPolicies/{resource}/setIamPolicy", "parameterOrder": [ "project", "resource" ], "parameters": { "resource": { "required": true, "description": "Name or id of the resource for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Policy" }, "path": "projects/{project}/global/firewallPolicies/{resource}/setIamPolicy" }, "removeRule": { "description": "Deletes a rule of the specified priority.", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeRule", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "priority": { "description": "The priority of the rule to remove from the firewall policy.", "format": "int32", "type": "integer", "location": "query" }, "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the firewall policy to update.", "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeRule", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "project", "firewallPolicy" ], "id": "compute.networkFirewallPolicies.removeRule" }, "patch": { "description": "Patches the specified policy with the data included in the request.", "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "request": { "$ref": "FirewallPolicy" }, "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "firewallPolicy" ], "id": "compute.networkFirewallPolicies.patch", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" }, "firewallPolicy": { "location": "path", "required": true, "type": "string", "description": "Name of the firewall policy to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } } } }, "instanceGroupManagers": { "methods": { "deletePerInstanceConfigs": { "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "id": "compute.instanceGroupManagers.deletePerInstanceConfigs", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "description": "Deletes selected per-instance configurations for the managed instance group.", "request": { "$ref": "InstanceGroupManagersDeletePerInstanceConfigsReq" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "zone": { "required": true, "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "type": "string", "location": "path" }, "instanceGroupManager": { "location": "path", "description": "The name of the managed instance group. It should conform to RFC1035.", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" } } }, "list": { "description": "Retrieves a list of managed instance groups that are contained within the specified project and zone.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers", "id": "compute.instanceGroupManagers.list", "path": "projects/{project}/zones/{zone}/instanceGroupManagers", "httpMethod": "GET", "response": { "$ref": "InstanceGroupManagerList" }, "parameters": { "maxResults": { "type": "integer", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "zone": { "type": "string", "location": "path", "required": true, "description": "The name of the zone where the managed instance group is located." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "parameterOrder": [ "project", "zone" ] }, "startInstances": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstanceGroupManagersStartInstancesRequest" }, "parameters": { "zone": { "required": true, "description": "The name of the zone where the managed instance group is located.", "location": "path", "type": "string" }, "instanceGroupManager": { "location": "path", "type": "string", "description": "The name of the managed instance group.", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "Operation" }, "description": "Flags the specified instances in the managed instance group to be started. This method increases the targetSize and decreases the targetStoppedSize of the managed instance group by the number of instances that you start. The startInstances operation is marked DONE if the startInstances request is successful. The underlying actions take additional time. You must separately verify the status of the STARTING action with the listmanagedinstances method. In this request, you can only specify instances that are stopped. For example, if an instance was previously stopped using the stopInstances method, it can be started using the startInstances method. If a health check is attached to the managed instance group, the specified instances will be verified as healthy after they are started. You can specify a maximum of 1000 instances with this method per request.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/startInstances", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/startInstances", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "id": "compute.instanceGroupManagers.startInstances", "httpMethod": "POST" }, "aggregatedList": { "path": "projects/{project}/aggregated/instanceGroupManagers", "id": "compute.instanceGroupManagers.aggregatedList", "httpMethod": "GET", "flatPath": "projects/{project}/aggregated/instanceGroupManagers", "description": "Retrieves the list of managed instance groups and groups them by zone.", "response": { "$ref": "InstanceGroupManagerAggregatedList" }, "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query", "default": "500", "minimum": "0", "format": "uint32" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "stopInstances": { "httpMethod": "POST", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "zone": { "location": "path", "required": true, "type": "string", "description": "The name of the zone where the managed instance group is located." }, "instanceGroupManager": { "description": "The name of the managed instance group.", "type": "string", "required": true, "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/stopInstances", "request": { "$ref": "InstanceGroupManagersStopInstancesRequest" }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "description": "Flags the specified instances in the managed instance group to be immediately stopped. You can only specify instances that are running in this request. This method reduces the targetSize and increases the targetStoppedSize of the managed instance group by the number of instances that you stop. The stopInstances operation is marked DONE if the stopInstances request is successful. The underlying actions take additional time. You must separately verify the status of the STOPPING action with the listmanagedinstances method. If the standbyPolicy.initialDelaySec field is set, the group delays stopping the instances until initialDelaySec have passed from instance.creationTimestamp (that is, when the instance was created). This delay gives your application time to set itself up and initialize on the instance. If more than initialDelaySec seconds have passed since instance.creationTimestamp when this method is called, there will be zero delay. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is stopped. Stopped instances can be started using the startInstances method. You can specify a maximum of 1000 instances with this method per request.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instanceGroupManagers.stopInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/stopInstances" }, "resumeInstances": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resumeInstances", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "request": { "$ref": "InstanceGroupManagersResumeInstancesRequest" }, "parameters": { "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "zone": { "required": true, "type": "string", "description": "The name of the zone where the managed instance group is located.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "instanceGroupManager": { "location": "path", "description": "The name of the managed instance group.", "type": "string", "required": true } }, "id": "compute.instanceGroupManagers.resumeInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resumeInstances", "description": "Flags the specified instances in the managed instance group to be resumed. This method increases the targetSize and decreases the targetSuspendedSize of the managed instance group by the number of instances that you resume. The resumeInstances operation is marked DONE if the resumeInstances request is successful. The underlying actions take additional time. You must separately verify the status of the RESUMING action with the listmanagedinstances method. In this request, you can only specify instances that are suspended. For example, if an instance was previously suspended using the suspendInstances method, it can be resumed using the resumeInstances method. If a health check is attached to the managed instance group, the specified instances will be verified as healthy after they are resumed. You can specify a maximum of 1000 instances with this method per request.", "response": { "$ref": "Operation" } }, "listErrors": { "description": "Lists all errors thrown by actions on instances for a given managed instance group. The filter and orderBy query parameters are not supported.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "InstanceGroupManagersListErrorsResponse" }, "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "maxResults": { "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "type": "integer" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "zone": { "required": true, "location": "path", "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "instanceGroupManager": { "required": true, "location": "path", "description": "The name of the managed instance group. It must be a string that meets the requirements in RFC1035, or an unsigned long integer: must match regexp pattern: (?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?)|1-9{0,19}.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" } }, "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listErrors", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listErrors", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "id": "compute.instanceGroupManagers.listErrors" }, "listManagedInstances": { "response": { "$ref": "InstanceGroupManagersListManagedInstancesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "description": "Lists all of the instances in the managed instance group. Each instance in the list has a currentAction, which indicates the action that the managed instance group is performing on the instance. For example, if the group is still creating an instance, the currentAction is CREATING. If a previous action failed, the list displays the errors for that failed action. The orderBy query parameter is not supported. The `pageToken` query parameter is supported only in the alpha and beta API and only if the group's `listManagedInstancesResults` field is set to `PAGINATED`.", "id": "compute.instanceGroupManagers.listManagedInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "instanceGroupManager": { "location": "path", "required": true, "type": "string", "description": "The name of the managed instance group." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "default": "500" }, "zone": { "required": true, "description": "The name of the zone where the managed instance group is located.", "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" } }, "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances" }, "createInstances": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "required": true, "location": "path", "type": "string", "description": "The name of the managed instance group. It should conform to RFC1035." }, "zone": { "type": "string", "required": true, "location": "path", "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035." }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" } }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/createInstances", "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.instanceGroupManagers.createInstances", "description": "Creates instances with per-instance configurations in this managed instance group. Instances are created using the current instance template. The create instances operation is marked DONE if the createInstances request is successful. The underlying actions take additional time. You must separately verify the status of the creating or actions with the listmanagedinstances method.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/createInstances", "request": { "$ref": "InstanceGroupManagersCreateInstancesRequest" } }, "resizeAdvanced": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true }, "zone": { "description": "The name of the zone where the managed instance group is located.", "required": true, "location": "path", "type": "string" }, "instanceGroupManager": { "required": true, "location": "path", "type": "string", "description": "The name of the managed instance group." } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeAdvanced", "id": "compute.instanceGroupManagers.resizeAdvanced", "description": "Resizes the managed instance group with advanced configuration options like disabling creation retries. This is an extended version of the resize method. If you increase the size of the instance group, the group creates new instances using the current instance template. If you decrease the size, the group deletes instances. The resize operation is marked DONE when the resize actions are scheduled even if the group has not yet added or deleted any instances. You must separately verify the status of the creating, creatingWithoutRetries, or deleting actions with the get or listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeAdvanced", "request": { "$ref": "InstanceGroupManagersResizeAdvancedRequest" } }, "suspendInstances": { "id": "compute.instanceGroupManagers.suspendInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/suspendInstances", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "location": "path", "type": "string", "description": "The name of the managed instance group.", "required": true }, "zone": { "type": "string", "description": "The name of the zone where the managed instance group is located.", "location": "path", "required": true } }, "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/suspendInstances", "description": "Flags the specified instances in the managed instance group to be immediately suspended. You can only specify instances that are running in this request. This method reduces the targetSize and increases the targetSuspendedSize of the managed instance group by the number of instances that you suspend. The suspendInstances operation is marked DONE if the suspendInstances request is successful. The underlying actions take additional time. You must separately verify the status of the SUSPENDING action with the listmanagedinstances method. If the standbyPolicy.initialDelaySec field is set, the group delays suspension of the instances until initialDelaySec have passed from instance.creationTimestamp (that is, when the instance was created). This delay gives your application time to set itself up and initialize on the instance. If more than initialDelaySec seconds have passed since instance.creationTimestamp when this method is called, there will be zero delay. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is suspended. Suspended instances can be resumed using the resumeInstances method. You can specify a maximum of 1000 instances with this method per request.", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "request": { "$ref": "InstanceGroupManagersSuspendInstancesRequest" } }, "delete": { "description": "Deletes the specified managed instance group and all of the instances in that group. Note that the instance group must not belong to a backend service. Read Deleting an instance group for more information.", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "httpMethod": "DELETE", "parameters": { "zone": { "type": "string", "location": "path", "required": true, "description": "The name of the zone where the managed instance group is located." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" }, "instanceGroupManager": { "description": "The name of the managed instance group to delete.", "location": "path", "type": "string", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "id": "compute.instanceGroupManagers.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" } }, "deleteInstances": { "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "description": "Flags the specified instances in the managed instance group for immediate deletion. The instances are also removed from any target pools of which they were a member. This method reduces the targetSize of the managed instance group by the number of instances that you delete. This operation is marked as DONE when the action is scheduled even if the instances are still being deleted. You must separately verify the status of the deleting action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "request": { "$ref": "InstanceGroupManagersDeleteInstancesRequest" }, "parameters": { "zone": { "description": "The name of the zone where the managed instance group is located.", "type": "string", "required": true, "location": "path" }, "instanceGroupManager": { "required": true, "type": "string", "description": "The name of the managed instance group.", "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "id": "compute.instanceGroupManagers.deleteInstances" }, "recreateInstances": { "httpMethod": "POST", "parameters": { "zone": { "required": true, "location": "path", "description": "The name of the zone where the managed instance group is located.", "type": "string" }, "instanceGroupManager": { "location": "path", "type": "string", "required": true, "description": "The name of the managed instance group." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" } }, "id": "compute.instanceGroupManagers.recreateInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "request": { "$ref": "InstanceGroupManagersRecreateInstancesRequest" }, "description": "Flags the specified VM instances in the managed instance group to be immediately recreated. Each instance is recreated using the group's current configuration. This operation is marked as DONE when the flag is set even if the instances have not yet been recreated. You must separately verify the status of each instance by checking its currentAction field; for more information, see Checking the status of managed instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "response": { "$ref": "Operation" } }, "update": { "parameters": { "instanceGroupManager": { "description": "The name of the instance group manager.", "type": "string", "location": "path", "required": true }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "zone": { "description": "The name of the zone where you want to create the managed instance group.", "location": "path", "required": true, "type": "string" } }, "request": { "$ref": "InstanceGroupManager" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PUT", "id": "compute.instanceGroupManagers.update", "description": "Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is updated even if the instances in the group have not yet been updated. You must separately verify the status of the individual instances with the listManagedInstances method. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}" }, "resize": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instanceGroupManager", "size" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resize", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resize", "id": "compute.instanceGroupManagers.resize", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "zone": { "description": "The name of the zone where the managed instance group is located.", "required": true, "location": "path", "type": "string" }, "instanceGroupManager": { "description": "The name of the managed instance group.", "type": "string", "location": "path", "required": true }, "size": { "description": "The number of running instances that the managed instance group should maintain at any given time. The group automatically adds or removes instances to maintain the number of instances specified by this parameter.", "required": true, "location": "query", "format": "int32", "type": "integer" } }, "description": "Resizes the managed instance group. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes instances. The resize operation is marked DONE when the resize actions are scheduled even if the group has not yet added or deleted any instances. You must separately verify the status of the creating or deleting actions with the listmanagedinstances method. When resizing down, the instance group arbitrarily chooses the order in which VMs are deleted. The group takes into account some VM attributes when making the selection including: + The status of the VM instance. + The health of the VM instance. + The instance template version the VM is based on. + For regional managed instance groups, the location of the VM instance. This list is subject to change. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.", "httpMethod": "POST" }, "setTargetPools": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setTargetPools", "request": { "$ref": "InstanceGroupManagersSetTargetPoolsRequest" }, "id": "compute.instanceGroupManagers.setTargetPools", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setTargetPools", "parameters": { "instanceGroupManager": { "description": "The name of the managed instance group.", "location": "path", "required": true, "type": "string" }, "zone": { "description": "The name of the zone where the managed instance group is located.", "type": "string", "location": "path", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Modifies the target pools to which all instances in this managed instance group are assigned. The target pools automatically apply to all of the instances in the managed instance group. This operation is marked DONE when you make the request even if the instances have not yet been added to their target pools. The change might take some time to apply to all of the instances in the group depending on the size of the group.", "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager" ] }, "applyUpdatesToInstances": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstanceGroupManagersApplyUpdatesRequest" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "instanceGroupManager": { "required": true, "type": "string", "description": "The name of the managed instance group, should conform to RFC1035.", "location": "path" }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone where the managed instance group is located. Should conform to RFC1035." }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "id": "compute.instanceGroupManagers.applyUpdatesToInstances", "description": "Applies changes to selected instances on the managed instance group. This method can be used to apply new overrides and/or new versions.", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances" }, "setAutoHealingPolicies": { "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setAutoHealingPolicies", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "description": "The name of the instance group manager.", "location": "path", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "location": "path", "required": true, "description": "The name of the zone where the managed instance group is located.", "type": "string" } }, "request": { "$ref": "InstanceGroupManagersSetAutoHealingRequest" }, "response": { "$ref": "Operation" }, "description": "Motifies the autohealing policy for the instances in this managed instance group. [Deprecated] This method is deprecated. Use instanceGroupManagers.patch instead.", "id": "compute.instanceGroupManagers.setAutoHealingPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setAutoHealingPolicies" }, "abandonInstances": { "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "zone": { "required": true, "description": "The name of the zone where the managed instance group is located.", "location": "path", "type": "string" }, "instanceGroupManager": { "description": "The name of the managed instance group.", "type": "string", "location": "path", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "id": "compute.instanceGroupManagers.abandonInstances", "request": { "$ref": "InstanceGroupManagersAbandonInstancesRequest" }, "description": "Flags the specified instances to be removed from the managed instance group. Abandoning an instance does not delete the instance, but it does remove the instance from any target pools that are applied by the managed instance group. This method reduces the targetSize of the managed instance group by the number of instances that you abandon. This operation is marked as DONE when the action is scheduled even if the instances have not yet been removed from the group. You must separately verify the status of the abandoning action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instanceGroupManagers.insert", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers", "parameterOrder": [ "project", "zone" ], "description": "Creates a managed instance group using the information that you specify in the request. After the group is created, instances in the group are created using the specified instance template. This operation is marked as DONE when the group is created even if the instances in the group have not yet been created. You must separately verify the status of the individual instances with the listmanagedinstances method. A managed instance group can have up to 1000 VM instances per group. Please contact Cloud Support if you need an increase in this limit.", "request": { "$ref": "InstanceGroupManager" }, "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "description": "The name of the zone where you want to create the managed instance group.", "required": true, "type": "string", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers" }, "listPerInstanceConfigs": { "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "id": "compute.instanceGroupManagers.listPerInstanceConfigs", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "description": "Lists all of the per-instance configurations defined for the managed instance group. The orderBy query parameter is not supported.", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "type": "integer", "location": "query", "format": "uint32" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "zone": { "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "type": "string", "location": "path", "required": true }, "instanceGroupManager": { "description": "The name of the managed instance group. It should conform to RFC1035.", "location": "path", "required": true, "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "response": { "$ref": "InstanceGroupManagersListPerInstanceConfigsResp" } }, "get": { "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "id": "compute.instanceGroupManagers.get", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "zone": { "location": "path", "description": "The name of the zone where the managed instance group is located.", "required": true, "type": "string" }, "instanceGroupManager": { "type": "string", "location": "path", "description": "The name of the managed instance group.", "required": true } }, "description": "Returns all of the details about the specified managed instance group. Gets a list of available managed instance groups by making a list() request.", "response": { "$ref": "InstanceGroupManager" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}" }, "patchPerInstanceConfigs": { "request": { "$ref": "InstanceGroupManagersPatchPerInstanceConfigsReq" }, "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "zone": { "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "type": "string", "required": true, "location": "path" }, "instanceGroupManager": { "description": "The name of the managed instance group. It should conform to RFC1035.", "location": "path", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "response": { "$ref": "Operation" }, "id": "compute.instanceGroupManagers.patchPerInstanceConfigs", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "description": "Inserts or patches per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch." }, "setInstanceTemplate": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instanceGroupManagers.setInstanceTemplate", "description": "Specifies the instance template to use when creating new instances in this group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE.", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "request": { "$ref": "InstanceGroupManagersSetInstanceTemplateRequest" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "instanceGroupManager": { "required": true, "type": "string", "description": "The name of the managed instance group.", "location": "path" }, "zone": { "required": true, "description": "The name of the zone where the managed instance group is located.", "location": "path", "type": "string" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "testIamPermissions": { "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{resource}/testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "resource": { "type": "string", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string", "location": "path", "required": true } }, "parameterOrder": [ "project", "zone", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instanceGroupManagers.testIamPermissions" }, "patch": { "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "instanceGroupManager": { "description": "The name of the instance group manager.", "type": "string", "location": "path", "required": true }, "zone": { "description": "The name of the zone where you want to create the managed instance group.", "location": "path", "type": "string", "required": true }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "request": { "$ref": "InstanceGroupManager" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instanceGroupManagers.patch", "description": "Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is patched even if the instances in the group are still in the process of being patched. You must separately verify the status of the individual instances with the listManagedInstances method. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.", "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ] }, "updatePerInstanceConfigs": { "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "id": "compute.instanceGroupManagers.updatePerInstanceConfigs", "request": { "$ref": "InstanceGroupManagersUpdatePerInstanceConfigsReq" }, "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "instanceGroupManager": { "type": "string", "description": "The name of the managed instance group. It should conform to RFC1035.", "required": true, "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true }, "zone": { "location": "path", "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "response": { "$ref": "Operation" }, "description": "Inserts or updates per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch." } } }, "targetGrpcProxies": { "methods": { "insert": { "response": { "$ref": "Operation" }, "id": "compute.targetGrpcProxies.insert", "httpMethod": "POST", "path": "projects/{project}/global/targetGrpcProxies", "flatPath": "projects/{project}/global/targetGrpcProxies", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "description": "Creates a TargetGrpcProxy in the specified project in the given scope using the parameters that are included in the request.", "request": { "$ref": "TargetGrpcProxy" } }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified TargetGrpcProxy in the given scope", "flatPath": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "path": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "parameterOrder": [ "project", "targetGrpcProxy" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "targetGrpcProxy": { "description": "Name of the TargetGrpcProxy resource to delete.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true } }, "response": { "$ref": "Operation" }, "id": "compute.targetGrpcProxies.delete" }, "testIamPermissions": { "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "type": "string", "location": "path", "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.targetGrpcProxies.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/global/targetGrpcProxies/{resource}/testIamPermissions", "httpMethod": "POST", "flatPath": "projects/{project}/global/targetGrpcProxies/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource." }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "response": { "$ref": "TargetGrpcProxy" }, "httpMethod": "GET", "description": "Returns the specified TargetGrpcProxy resource in the given scope.", "flatPath": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "parameterOrder": [ "project", "targetGrpcProxy" ], "parameters": { "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "targetGrpcProxy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetGrpcProxy resource to return.", "required": true, "location": "path" } }, "id": "compute.targetGrpcProxies.get" }, "patch": { "id": "compute.targetGrpcProxies.patch", "description": "Patches the specified TargetGrpcProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "parameterOrder": [ "project", "targetGrpcProxy" ], "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "targetGrpcProxy": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetGrpcProxy resource to patch.", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "path": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "request": { "$ref": "TargetGrpcProxy" } }, "list": { "path": "projects/{project}/global/targetGrpcProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.targetGrpcProxies.list", "flatPath": "projects/{project}/global/targetGrpcProxies", "description": "Lists the TargetGrpcProxies for a project in the given scope.", "response": { "$ref": "TargetGrpcProxyList" }, "parameters": { "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "maxResults": { "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "type": "integer" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "parameterOrder": [ "project" ], "httpMethod": "GET" } } }, "regionNetworkEndpointGroups": { "methods": { "delete": { "parameters": { "networkEndpointGroup": { "required": true, "location": "path", "description": "The name of the network endpoint group to delete. It should comply with RFC1035.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "type": "string", "required": true, "location": "path", "description": "The name of the region where the network endpoint group is located. It should comply with RFC1035." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." } }, "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionNetworkEndpointGroups.delete", "path": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}", "parameterOrder": [ "project", "region", "networkEndpointGroup" ], "description": "Deletes the specified network endpoint group. Note that the NEG cannot be deleted if it is configured as a backend of a backend service.", "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "NetworkEndpointGroup" }, "path": "projects/{project}/regions/{region}/networkEndpointGroups", "response": { "$ref": "Operation" }, "description": "Creates a network endpoint group in the specified project using the parameters that are included in the request.", "parameterOrder": [ "project", "region" ], "id": "compute.regionNetworkEndpointGroups.insert", "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups", "httpMethod": "POST", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "region": { "description": "The name of the region where you want to create the network endpoint group. It should comply with RFC1035.", "location": "path", "type": "string", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } } }, "get": { "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}", "httpMethod": "GET", "parameterOrder": [ "project", "region", "networkEndpointGroup" ], "id": "compute.regionNetworkEndpointGroups.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified network endpoint group. Gets a list of available network endpoint groups by making a list() request.", "response": { "$ref": "NetworkEndpointGroup" }, "path": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}", "parameters": { "networkEndpointGroup": { "description": "The name of the network endpoint group. It should comply with RFC1035.", "required": true, "type": "string", "location": "path" }, "region": { "description": "The name of the region where the network endpoint group is located. It should comply with RFC1035.", "required": true, "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } } }, "list": { "description": "Retrieves the list of regional network endpoint groups available to the specified project in the given region.", "httpMethod": "GET", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups", "response": { "$ref": "NetworkEndpointGroupList" }, "id": "compute.regionNetworkEndpointGroups.list", "parameters": { "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500", "format": "uint32", "location": "query", "type": "integer" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "region": { "type": "string", "description": "The name of the region where the network endpoint group is located. It should comply with RFC1035.", "required": true, "location": "path" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "path": "projects/{project}/regions/{region}/networkEndpointGroups" } } }, "backendBuckets": { "methods": { "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "BackendBucket" }, "httpMethod": "PATCH", "id": "compute.backendBuckets.patch", "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "parameterOrder": [ "project", "backendBucket" ], "description": "Updates the specified BackendBucket resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "backendBucket": { "type": "string", "required": true, "description": "Name of the BackendBucket resource to patch.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" } }, "path": "projects/{project}/global/backendBuckets/{backendBucket}", "response": { "$ref": "Operation" } }, "delete": { "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.backendBuckets.delete", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "backendBucket": { "type": "string", "location": "path", "description": "Name of the BackendBucket resource to delete.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "backendBucket" ], "path": "projects/{project}/global/backendBuckets/{backendBucket}", "httpMethod": "DELETE", "description": "Deletes the specified BackendBucket resource." }, "list": { "parameterOrder": [ "project" ], "response": { "$ref": "BackendBucketList" }, "flatPath": "projects/{project}/global/backendBuckets", "description": "Retrieves the list of BackendBucket resources available to the specified project.", "httpMethod": "GET", "path": "projects/{project}/global/backendBuckets", "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "format": "uint32", "default": "500", "location": "query", "type": "integer", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.backendBuckets.list" }, "insert": { "id": "compute.backendBuckets.insert", "description": "Creates a BackendBucket resource in the specified project using the data included in the request.", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." } }, "flatPath": "projects/{project}/global/backendBuckets", "request": { "$ref": "BackendBucket" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "path": "projects/{project}/global/backendBuckets" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.backendBuckets.testIamPermissions", "path": "projects/{project}/global/backendBuckets/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/global/backendBuckets/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST" }, "setEdgeSecurityPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SecurityPolicyReference" }, "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "backendBucket": { "location": "path", "description": "Name of the BackendService resource to which the security policy should be set. The name should conform to RFC1035.", "required": true, "type": "string" } }, "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}/setEdgeSecurityPolicy", "id": "compute.backendBuckets.setEdgeSecurityPolicy", "path": "projects/{project}/global/backendBuckets/{backendBucket}/setEdgeSecurityPolicy", "parameterOrder": [ "project", "backendBucket" ], "description": "Sets the edge security policy for the specified backend bucket.", "httpMethod": "POST" }, "getIamPolicy": { "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "location": "query", "format": "int32" }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "id": "compute.backendBuckets.getIamPolicy", "path": "projects/{project}/global/backendBuckets/{resource}/getIamPolicy", "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/backendBuckets/{resource}/getIamPolicy" }, "update": { "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "backendBucket": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true, "description": "Name of the BackendBucket resource to update." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "backendBucket" ], "response": { "$ref": "Operation" }, "request": { "$ref": "BackendBucket" }, "path": "projects/{project}/global/backendBuckets/{backendBucket}", "description": "Updates the specified BackendBucket resource with the data included in the request.", "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "id": "compute.backendBuckets.update", "httpMethod": "PUT" }, "addSignedUrlKey": { "parameterOrder": [ "project", "backendBucket" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}/addSignedUrlKey", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "backendBucket": { "location": "path", "required": true, "type": "string", "description": "Name of the BackendBucket resource to which the Signed URL Key should be added. The name should conform to RFC1035." } }, "id": "compute.backendBuckets.addSignedUrlKey", "path": "projects/{project}/global/backendBuckets/{backendBucket}/addSignedUrlKey", "request": { "$ref": "SignedUrlKey" }, "description": "Adds a key for validating requests with signed URLs for this backend bucket.", "httpMethod": "POST" }, "deleteSignedUrlKey": { "id": "compute.backendBuckets.deleteSignedUrlKey", "parameterOrder": [ "project", "backendBucket", "keyName" ], "path": "projects/{project}/global/backendBuckets/{backendBucket}/deleteSignedUrlKey", "description": "Deletes a key for validating requests with signed URLs for this backend bucket.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "keyName": { "location": "query", "type": "string", "required": true, "description": "The name of the Signed URL Key to delete." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "backendBucket": { "type": "string", "location": "path", "required": true, "description": "Name of the BackendBucket resource to which the Signed URL Key should be added. The name should conform to RFC1035." } }, "httpMethod": "POST", "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}/deleteSignedUrlKey" }, "get": { "description": "Returns the specified BackendBucket resource. Gets a list of available backend buckets by making a list() request.", "path": "projects/{project}/global/backendBuckets/{backendBucket}", "parameters": { "backendBucket": { "type": "string", "required": true, "location": "path", "description": "Name of the BackendBucket resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "BackendBucket" }, "id": "compute.backendBuckets.get", "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "parameterOrder": [ "project", "backendBucket" ], "httpMethod": "GET" }, "setIamPolicy": { "response": { "$ref": "Policy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "httpMethod": "POST", "path": "projects/{project}/global/backendBuckets/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "GlobalSetPolicyRequest" }, "flatPath": "projects/{project}/global/backendBuckets/{resource}/setIamPolicy", "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name or id of the resource for this request.", "required": true }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "id": "compute.backendBuckets.setIamPolicy", "parameterOrder": [ "project", "resource" ] } } }, "zoneOperations": { "methods": { "wait": { "id": "compute.zoneOperations.wait", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/operations/{operation}/wait", "parameterOrder": [ "project", "zone", "operation" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "operation": { "location": "path", "required": true, "type": "string", "description": "Name of the Operations resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone for this request." } }, "description": "Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method waits for no more than the 2 minutes and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`. ", "path": "projects/{project}/zones/{zone}/operations/{operation}/wait", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST" }, "delete": { "description": "Deletes the specified zone-specific Operations resource.", "id": "compute.zoneOperations.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/operations/{operation}", "httpMethod": "DELETE", "parameterOrder": [ "project", "zone", "operation" ], "parameters": { "operation": { "location": "path", "required": true, "description": "Name of the Operations resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the zone for this request.", "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/operations/{operation}" }, "list": { "flatPath": "projects/{project}/zones/{zone}/operations", "response": { "$ref": "OperationList" }, "description": "Retrieves a list of Operation resources contained within the specified zone.", "httpMethod": "GET", "id": "compute.zoneOperations.list", "parameterOrder": [ "project", "zone" ], "parameters": { "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32", "type": "integer", "minimum": "0", "default": "500" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "Name of the zone for request.", "location": "path" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "path": "projects/{project}/zones/{zone}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "parameters": { "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the zone for this request.", "location": "path", "type": "string" }, "operation": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name of the Operations resource to return." } }, "description": "Retrieves the specified zone-specific Operations resource.", "id": "compute.zoneOperations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "operation" ], "response": { "$ref": "Operation" }, "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/operations/{operation}", "flatPath": "projects/{project}/zones/{zone}/operations/{operation}" } } }, "firewalls": { "methods": { "testIamPermissions": { "parameters": { "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "httpMethod": "POST", "flatPath": "projects/{project}/global/firewalls/{resource}/testIamPermissions", "path": "projects/{project}/global/firewalls/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.firewalls.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource." }, "get": { "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "firewall": { "location": "path", "description": "Name of the firewall rule to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "response": { "$ref": "Firewall" }, "description": "Returns the specified firewall.", "id": "compute.firewalls.get", "flatPath": "projects/{project}/global/firewalls/{firewall}", "path": "projects/{project}/global/firewalls/{firewall}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "firewall" ], "httpMethod": "GET" }, "patch": { "path": "projects/{project}/global/firewalls/{firewall}", "parameters": { "firewall": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall rule to patch." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "httpMethod": "PATCH", "id": "compute.firewalls.patch", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Updates the specified firewall rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "request": { "$ref": "Firewall" }, "flatPath": "projects/{project}/global/firewalls/{firewall}", "parameterOrder": [ "project", "firewall" ] }, "update": { "parameters": { "firewall": { "type": "string", "location": "path", "description": "Name of the firewall rule to update.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" } }, "httpMethod": "PUT", "path": "projects/{project}/global/firewalls/{firewall}", "request": { "$ref": "Firewall" }, "description": "Updates the specified firewall rule with the data included in the request. Note that all fields will be updated if using PUT, even fields that are not specified. To update individual fields, please use PATCH instead.", "parameterOrder": [ "project", "firewall" ], "flatPath": "projects/{project}/global/firewalls/{firewall}", "id": "compute.firewalls.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" } }, "delete": { "path": "projects/{project}/global/firewalls/{firewall}", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/firewalls/{firewall}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified firewall.", "parameterOrder": [ "project", "firewall" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "firewall": { "description": "Name of the firewall rule to delete.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "httpMethod": "DELETE", "id": "compute.firewalls.delete" }, "list": { "flatPath": "projects/{project}/global/firewalls", "httpMethod": "GET", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "maxResults": { "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query", "format": "uint32" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "id": "compute.firewalls.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/firewalls", "parameterOrder": [ "project" ], "response": { "$ref": "FirewallList" }, "description": "Retrieves the list of firewall rules available to the specified project." }, "insert": { "path": "projects/{project}/global/firewalls", "flatPath": "projects/{project}/global/firewalls", "parameterOrder": [ "project" ], "id": "compute.firewalls.insert", "description": "Creates a firewall rule in the specified project using the data included in the request.", "request": { "$ref": "Firewall" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" } } } } }, "publicAdvertisedPrefixes": { "methods": { "patch": { "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "id": "compute.publicAdvertisedPrefixes.patch", "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "parameters": { "publicAdvertisedPrefix": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the PublicAdvertisedPrefix resource to patch.", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "request": { "$ref": "PublicAdvertisedPrefix" }, "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "description": "Patches the specified Router resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "response": { "$ref": "PublicAdvertisedPrefix" }, "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "description": "Returns the specified PublicAdvertisedPrefix resource.", "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.publicAdvertisedPrefixes.get", "httpMethod": "GET", "parameters": { "publicAdvertisedPrefix": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the PublicAdvertisedPrefix resource to return.", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } } }, "insert": { "response": { "$ref": "Operation" }, "path": "projects/{project}/global/publicAdvertisedPrefixes", "httpMethod": "POST", "request": { "$ref": "PublicAdvertisedPrefix" }, "description": "Creates a PublicAdvertisedPrefix in the specified project using the parameters that are included in the request.", "parameterOrder": [ "project" ], "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "flatPath": "projects/{project}/global/publicAdvertisedPrefixes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.publicAdvertisedPrefixes.insert" }, "list": { "path": "projects/{project}/global/publicAdvertisedPrefixes", "description": "Lists the PublicAdvertisedPrefixes for a project.", "httpMethod": "GET", "flatPath": "projects/{project}/global/publicAdvertisedPrefixes", "response": { "$ref": "PublicAdvertisedPrefixList" }, "parameterOrder": [ "project" ], "id": "compute.publicAdvertisedPrefixes.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "format": "uint32", "type": "integer" } } }, "delete": { "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." }, "publicAdvertisedPrefix": { "required": true, "location": "path", "type": "string", "description": "Name of the PublicAdvertisedPrefix resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.publicAdvertisedPrefixes.delete", "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "description": "Deletes the specified PublicAdvertisedPrefix", "response": { "$ref": "Operation" } }, "announce": { "response": { "$ref": "Operation" }, "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}/announce", "httpMethod": "POST", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "publicAdvertisedPrefix": { "required": true, "location": "path", "description": "The name of the public advertised prefix. It should comply with RFC1035.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" } }, "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}/announce", "id": "compute.publicAdvertisedPrefixes.announce", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "description": "Announces the specified PublicAdvertisedPrefix" }, "withdraw": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}/withdraw", "description": "Withdraws the specified PublicAdvertisedPrefix", "httpMethod": "POST", "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}/withdraw", "id": "compute.publicAdvertisedPrefixes.withdraw", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "publicAdvertisedPrefix": { "required": true, "location": "path", "type": "string", "description": "The name of the public advertised prefix. It should comply with RFC1035." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." } } } } }, "regionBackendServices": { "methods": { "get": { "parameterOrder": [ "project", "region", "backendService" ], "id": "compute.regionBackendServices.get", "description": "Returns the specified regional BackendService resource.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "backendService": { "type": "string", "description": "Name of the BackendService resource to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "region": { "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "BackendService" }, "httpMethod": "GET", "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}" }, "getHealth": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "backendService" ], "description": "Gets the most recent health check results for this regional BackendService.", "path": "projects/{project}/regions/{region}/backendServices/{backendService}/getHealth", "id": "compute.regionBackendServices.getHealth", "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}/getHealth", "request": { "$ref": "ResourceGroupReference" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true }, "backendService": { "location": "path", "type": "string", "description": "Name of the BackendService resource for which to get health.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "response": { "$ref": "BackendServiceGroupHealth" }, "httpMethod": "POST" }, "insert": { "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "id": "compute.regionBackendServices.insert", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request.", "location": "path", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/regions/{region}/backendServices", "flatPath": "projects/{project}/regions/{region}/backendServices", "request": { "$ref": "BackendService" }, "description": "Creates a regional BackendService resource in the specified project using the data included in the request. For more information, see Backend services overview." }, "patch": { "id": "compute.regionBackendServices.patch", "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "backendService": { "type": "string", "location": "path", "description": "Name of the BackendService resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region scoping this request." }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "description": "Updates the specified regional BackendService resource with the data included in the request. For more information, see Understanding backend services This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "backendService" ], "request": { "$ref": "BackendService" }, "httpMethod": "PATCH", "response": { "$ref": "Operation" } }, "list": { "path": "projects/{project}/regions/{region}/backendServices", "description": "Retrieves the list of regional BackendService resources available to the specified project in the given region.", "parameters": { "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path" }, "maxResults": { "default": "500", "location": "query", "minimum": "0", "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "response": { "$ref": "BackendServiceList" }, "id": "compute.regionBackendServices.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/backendServices" }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/regions/{region}/backendServices/{resource}/testIamPermissions", "id": "compute.regionBackendServices.testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "parameters": { "resource": { "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "region": { "location": "path", "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" } }, "path": "projects/{project}/regions/{region}/backendServices/{resource}/testIamPermissions", "httpMethod": "POST" }, "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "projects/{project}/regions/{region}/backendServices/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/backendServices/{resource}/getIamPolicy", "id": "compute.regionBackendServices.getIamPolicy", "parameters": { "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "type": "string" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "location": "path", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "optionsRequestedPolicyVersion": { "format": "int32", "description": "Requested IAM Policy version.", "location": "query", "type": "integer" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "update": { "request": { "$ref": "BackendService" }, "httpMethod": "PUT", "description": "Updates the specified regional BackendService resource with the data included in the request. For more information, see Backend services overview .", "id": "compute.regionBackendServices.update", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "backendService" ], "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "backendService": { "type": "string", "required": true, "location": "path", "description": "Name of the BackendService resource to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "required": true, "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } } }, "setIamPolicy": { "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/backendServices/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "required": true, "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" } }, "parameterOrder": [ "project", "region", "resource" ], "id": "compute.regionBackendServices.setIamPolicy", "path": "projects/{project}/regions/{region}/backendServices/{resource}/setIamPolicy", "request": { "$ref": "RegionSetPolicyRequest" }, "response": { "$ref": "Policy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy." }, "setSecurityPolicy": { "request": { "$ref": "SecurityPolicyReference" }, "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}/setSecurityPolicy", "parameterOrder": [ "project", "region", "backendService" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "backendService": { "description": "Name of the BackendService resource to which the security policy should be set. The name should conform to RFC1035.", "location": "path", "type": "string", "required": true } }, "path": "projects/{project}/regions/{region}/backendServices/{backendService}/setSecurityPolicy", "description": "Sets the Google Cloud Armor security policy for the specified backend service. For more information, see Google Cloud Armor Overview", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionBackendServices.setSecurityPolicy" }, "delete": { "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.regionBackendServices.delete", "description": "Deletes the specified regional BackendService resource.", "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "parameterOrder": [ "project", "region", "backendService" ], "parameters": { "backendService": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the BackendService resource to delete.", "type": "string", "required": true }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "httpMethod": "DELETE" } } }, "instances": { "methods": { "setServiceAccount": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setServiceAccount", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the service account on the instance. For more information, read Changing the service account and access scopes for an instance.", "request": { "$ref": "InstancesSetServiceAccountRequest" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setServiceAccount", "id": "compute.instances.setServiceAccount", "parameters": { "zone": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instance": { "description": "Name of the instance resource to start.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" } } }, "setMachineType": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/setMachineType", "description": "Changes the machine type for a stopped instance to the machine type specified in the request.", "id": "compute.instances.setMachineType", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the instance scoping this request.", "type": "string", "location": "path" }, "zone": { "type": "string", "location": "path", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "parameterOrder": [ "project", "zone", "instance" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMachineType", "request": { "$ref": "InstancesSetMachineTypeRequest" } }, "setMetadata": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMetadata", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "instance": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance scoping this request.", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "zone": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." } }, "request": { "$ref": "Metadata" }, "description": "Sets metadata for the specified instance to the data included in the request.", "id": "compute.instances.setMetadata", "path": "projects/{project}/zones/{zone}/instances/{instance}/setMetadata" }, "setMachineResources": { "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/setMachineResources", "request": { "$ref": "InstancesSetMachineResourcesRequest" }, "id": "compute.instances.setMachineResources", "description": "Changes the number and/or type of accelerator for a stopped instance to the values specified in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "zone": { "description": "The name of the zone for this request.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance scoping this request.", "type": "string", "location": "path", "required": true } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMachineResources", "parameterOrder": [ "project", "zone", "instance" ] }, "delete": { "parameters": { "zone": { "type": "string", "location": "path", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "instance": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance resource to delete.", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}", "id": "compute.instances.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified Instance resource. For more information, see Deleting an instance.", "httpMethod": "DELETE", "response": { "$ref": "Operation" } }, "setLabels": { "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setLabels", "description": "Sets labels on an instance. To learn more about labels, read the Labeling Resources documentation.", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/setLabels", "request": { "$ref": "InstancesSetLabelsRequest" }, "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instance": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance scoping this request.", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "zone": { "description": "The name of the zone for this request.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instances.setLabels" }, "deleteAccessConfig": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes an access config from an instance's network interface.", "id": "compute.instances.deleteAccessConfig", "httpMethod": "POST", "parameters": { "networkInterface": { "description": "The name of the network interface.", "type": "string", "location": "query", "required": true }, "accessConfig": { "description": "The name of the access config to delete.", "type": "string", "required": true, "location": "query" }, "instance": { "type": "string", "description": "The instance name for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request.", "location": "path" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/deleteAccessConfig", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/deleteAccessConfig", "parameterOrder": [ "project", "zone", "instance", "accessConfig", "networkInterface" ], "response": { "$ref": "Operation" } }, "addAccessConfig": { "description": "Adds an access config to an instance's network interface.", "request": { "$ref": "AccessConfig" }, "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/addAccessConfig", "path": "projects/{project}/zones/{zone}/instances/{instance}/addAccessConfig", "parameters": { "networkInterface": { "type": "string", "description": "The name of the network interface to add to this instance.", "location": "query", "required": true }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true }, "instance": { "required": true, "location": "path", "description": "The instance name for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "id": "compute.instances.addAccessConfig" }, "list": { "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "location": "query", "format": "uint32", "minimum": "0" }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "The name of the zone for this request." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "parameterOrder": [ "project", "zone" ], "description": "Retrieves the list of instances contained within the specified zone.", "path": "projects/{project}/zones/{zone}/instances", "flatPath": "projects/{project}/zones/{zone}/instances", "response": { "$ref": "InstanceList" }, "httpMethod": "GET", "id": "compute.instances.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "sendDiagnosticInterrupt": { "path": "projects/{project}/zones/{zone}/instances/{instance}/sendDiagnosticInterrupt", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/sendDiagnosticInterrupt", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path", "description": "The name of the zone for this request." }, "instance": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance scoping this request.", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" } }, "httpMethod": "POST", "id": "compute.instances.sendDiagnosticInterrupt", "description": "Sends diagnostic interrupt to the instance.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instance" ] }, "setMinCpuPlatform": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string" }, "instance": { "description": "Name of the instance scoping this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true } }, "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMinCpuPlatform", "request": { "$ref": "InstancesSetMinCpuPlatformRequest" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setMinCpuPlatform", "id": "compute.instances.setMinCpuPlatform", "parameterOrder": [ "project", "zone", "instance" ], "description": "Changes the minimum CPU platform that this instance should use. This method can only be called on a stopped instance. For more information, read Specifying a Minimum CPU Platform.", "response": { "$ref": "Operation" } }, "updateShieldedVmConfig": { "httpMethod": "PATCH", "request": { "$ref": "ShieldedVmConfig" }, "id": "compute.instances.updateShieldedVmConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Updates the Shielded VM config for a VM instance. You can only use this method on a stopped VM instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/updateShieldedVmConfig", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the instance scoping this request.", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "description": "The name of the zone for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateShieldedVmConfig", "response": { "$ref": "Operation" } }, "setTags": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "description": "Sets network tags for the specified instance to the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instances.setTags", "request": { "$ref": "Tags" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setTags", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setTags", "parameters": { "instance": { "description": "Name of the instance scoping this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "zone": { "type": "string", "description": "The name of the zone for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "parameterOrder": [ "project", "zone", "instance" ] }, "stop": { "path": "projects/{project}/zones/{zone}/instances/{instance}/stop", "parameters": { "instance": { "type": "string", "description": "Name of the instance resource to stop.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "description": "The name of the zone for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "discardLocalSsd": { "type": "boolean", "location": "query", "description": "If true, discard the contents of any attached localSSD partitions. Default value is false (== preserve localSSD data)." } }, "description": "Stops a running instance, shutting it down cleanly, and allows you to restart the instance at a later time. Stopped instances do not incur VM usage charges while they are stopped. However, resources that the VM is using, such as persistent disks and static IP addresses, will continue to be charged until they are deleted. For more information, see Stopping an instance.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/stop", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instance" ], "id": "compute.instances.stop", "response": { "$ref": "Operation" } }, "setIamPolicy": { "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/setIamPolicy", "id": "compute.instances.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "request": { "$ref": "ZoneSetPolicyRequest" }, "path": "projects/{project}/zones/{zone}/instances/{resource}/setIamPolicy", "parameterOrder": [ "project", "zone", "resource" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "type": "string" }, "resource": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string" } } }, "setName": { "request": { "$ref": "InstancesSetNameRequest" }, "httpMethod": "POST", "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "instance": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "The instance name for this request.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "zone": { "description": "The name of the zone for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/setName", "id": "compute.instances.setName", "parameterOrder": [ "project", "zone", "instance" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setName", "description": "Sets name of an instance." }, "getSerialPortOutput": { "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "port": { "description": "Specifies which COM or serial port to retrieve data from.", "minimum": "1", "format": "int32", "default": "1", "location": "query", "type": "integer", "maximum": "4" }, "zone": { "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "instance": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance for this request.", "location": "path" }, "start": { "type": "string", "format": "int64", "description": "Specifies the starting byte position of the output to return. To start with the first byte of output to the specified port, omit this field or set it to `0`. If the output for that byte position is available, this field matches the `start` parameter sent with the request. If the amount of serial console output exceeds the size of the buffer (1 MB), the oldest output is discarded and is no longer available. If the requested start position refers to discarded output, the start position is adjusted to the oldest output still available, and the adjusted start position is returned as the `start` property value. You can also provide a negative start position, which translates to the most recent number of bytes written to the serial port. For example, -3 is interpreted as the most recent 3 bytes written to the serial console.", "location": "query" } }, "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/serialPort", "description": "Returns the last 1 MB of serial port output from the specified instance.", "id": "compute.instances.getSerialPortOutput", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/serialPort", "response": { "$ref": "SerialPortOutput" } }, "setDiskAutoDelete": { "parameterOrder": [ "project", "zone", "instance", "autoDelete", "deviceName" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setDiskAutoDelete", "id": "compute.instances.setDiskAutoDelete", "parameters": { "autoDelete": { "type": "boolean", "location": "query", "description": "Whether to auto-delete the disk when the instance is deleted.", "required": true }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "The instance name for this request.", "type": "string", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "The name of the zone for this request." }, "deviceName": { "required": true, "pattern": "\\w[\\w.-]{0,254}", "type": "string", "description": "The device name of the disk to modify. Make a get() request on the instance to view currently attached disks and device names.", "location": "query" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/setDiskAutoDelete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the auto-delete flag for a disk attached to an instance." }, "updateAccessConfig": { "path": "projects/{project}/zones/{zone}/instances/{instance}/updateAccessConfig", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateAccessConfig", "parameters": { "networkInterface": { "location": "query", "description": "The name of the network interface where the access config is attached.", "type": "string", "required": true }, "zone": { "required": true, "location": "path", "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "instance": { "type": "string", "location": "path", "required": true, "description": "The instance name for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.instances.updateAccessConfig", "request": { "$ref": "AccessConfig" }, "description": "Updates the specified access config from an instance's network interface with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "response": { "$ref": "Operation" } }, "simulateMaintenanceEvent": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/simulateMaintenanceEvent", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instance": { "description": "Name of the instance scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/simulateMaintenanceEvent", "id": "compute.instances.simulateMaintenanceEvent", "description": "Simulates a host maintenance event on a VM. For more information, see Simulate a host maintenance event.", "httpMethod": "POST" }, "getShieldedVmIdentity": { "httpMethod": "GET", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "type": "string", "required": true }, "instance": { "description": "Name of the instance scoping this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the Shielded VM Identity of an instance", "id": "compute.instances.getShieldedVmIdentity", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getShieldedVmIdentity", "path": "projects/{project}/zones/{zone}/instances/{instance}/getShieldedVmIdentity", "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "ShieldedVmIdentity" } }, "suspend": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/suspend", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/suspend", "parameterOrder": [ "project", "zone", "instance" ], "id": "compute.instances.suspend", "description": "This method suspends a running instance, saving its state to persistent storage, and allows you to resume the instance at a later time. Suspended instances have no compute costs (cores or RAM), and incur only storage charges for the saved VM memory and localSSD data. Any charged resources the virtual machine was using, such as persistent disks and static IP addresses, will continue to be charged while the instance is suspended. For more information, see Suspending and resuming an instance.", "parameters": { "discardLocalSsd": { "location": "query", "type": "boolean", "description": "If true, discard the contents of any attached localSSD partitions. Default value is false (== preserve localSSD data)." }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name of the instance resource to suspend." }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the zone for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setShieldedVmIntegrityPolicy": { "path": "projects/{project}/zones/{zone}/instances/{instance}/setShieldedVmIntegrityPolicy", "description": "Sets the Shielded VM integrity policy for a VM instance. You can only use this method on a running VM instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setShieldedVmIntegrityPolicy", "request": { "$ref": "ShieldedVmIntegrityPolicy" }, "id": "compute.instances.setShieldedVmIntegrityPolicy", "parameterOrder": [ "project", "zone", "instance" ], "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "required": true, "type": "string" }, "instance": { "required": true, "description": "Name of the instance scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "response": { "$ref": "Operation" } }, "detachDisk": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Detaches a disk from an instance.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/detachDisk", "id": "compute.instances.detachDisk", "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "deviceName": { "location": "query", "type": "string", "description": "The device name of the disk to detach. Make a get() request on the instance to view currently attached disks and device names.", "required": true }, "instance": { "type": "string", "required": true, "location": "path", "description": "Instance name for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "description": "The name of the zone for this request.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/detachDisk", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance", "deviceName" ] }, "startWithEncryptionKey": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Starts an instance that was stopped using the instances().stop method. For more information, see Restart an instance.", "request": { "$ref": "InstancesStartWithEncryptionKeyRequest" }, "parameterOrder": [ "project", "zone", "instance" ], "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "instance": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance resource to start." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/startWithEncryptionKey", "path": "projects/{project}/zones/{zone}/instances/{instance}/startWithEncryptionKey", "id": "compute.instances.startWithEncryptionKey", "httpMethod": "POST" }, "getScreenshot": { "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/screenshot", "description": "Returns the screenshot from the specified instance.", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/screenshot", "parameters": { "zone": { "type": "string", "location": "path", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the instance scoping this request.", "type": "string", "location": "path" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Screenshot" }, "id": "compute.instances.getScreenshot" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "description": "The name of the zone for this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "sourceMachineImage": { "location": "query", "description": "Specifies the machine image to use to create the instance. This field is optional. It can be a full or partial URL. For example, the following are all valid URLs to a machine image: - https://www.googleapis.com/compute/v1/projects/project/global/global /machineImages/machineImage - projects/project/global/global/machineImages/machineImage - global/machineImages/machineImage ", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "sourceInstanceTemplate": { "description": "Specifies instance template to create the instance. This field is optional. It can be a full or partial URL. For example, the following are all valid URLs to an instance template: - https://www.googleapis.com/compute/v1/projects/project /global/instanceTemplates/instanceTemplate - projects/project/global/instanceTemplates/instanceTemplate - global/instanceTemplates/instanceTemplate ", "location": "query", "type": "string" } }, "description": "Creates an instance resource in the specified project using the data included in the request.", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances", "id": "compute.instances.insert", "request": { "$ref": "Instance" }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances", "parameterOrder": [ "project", "zone" ] }, "get": { "path": "projects/{project}/zones/{zone}/instances/{instance}", "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}", "description": "Returns the specified Instance resource. Gets a list of available instances by making a list() request.", "id": "compute.instances.get", "parameterOrder": [ "project", "zone", "instance" ], "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true }, "zone": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string" }, "instance": { "type": "string", "description": "Name of the instance resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Instance" } }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/instances", "description": "Retrieves an aggregated list of all of the instances in your project across all regions and zones. The performance of this method degrades when a filter is specified on a project that has a very large number of instances.", "httpMethod": "GET", "response": { "$ref": "InstanceAggregatedList" }, "parameterOrder": [ "project" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "default": "500", "format": "uint32", "location": "query", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "id": "compute.instances.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/instances" }, "addResourcePolicies": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Adds existing resource policies to an instance. You can only add one policy right now which will be applied to this instance for scheduling live migrations.", "id": "compute.instances.addResourcePolicies", "request": { "$ref": "InstancesAddResourcePoliciesRequest" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/addResourcePolicies", "path": "projects/{project}/zones/{zone}/instances/{instance}/addResourcePolicies", "parameters": { "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "instance": { "required": true, "location": "path", "description": "The instance name for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the zone for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "POST" }, "updateDisplayDevice": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateDisplayDevice", "parameterOrder": [ "project", "zone", "instance" ], "description": "Updates the Display config for a VM instance. You can only use this method on a stopped VM instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameters": { "instance": { "description": "Name of the instance scoping this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "location": "path", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "path": "projects/{project}/zones/{zone}/instances/{instance}/updateDisplayDevice", "response": { "$ref": "Operation" }, "request": { "$ref": "DisplayDevice" }, "id": "compute.instances.updateDisplayDevice" }, "bulkInsert": { "request": { "$ref": "BulkInsertInstanceResource" }, "description": "Creates multiple instances. Count specifies the number of instances to create.", "parameters": { "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "zone": { "description": "The name of the zone for this request.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "POST", "id": "compute.instances.bulkInsert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances/bulkInsert", "path": "projects/{project}/zones/{zone}/instances/bulkInsert" }, "testIamPermissions": { "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/zones/{zone}/instances/{resource}/testIamPermissions", "id": "compute.instances.testIamPermissions", "parameterOrder": [ "project", "zone", "resource" ], "parameters": { "zone": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." } }, "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" } }, "performMaintenance": { "description": "Perform a manual maintenance on the instance.", "httpMethod": "POST", "id": "compute.instances.performMaintenance", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/performMaintenance", "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/performMaintenance", "parameterOrder": [ "project", "zone", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "zone": { "type": "string", "location": "path", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance scoping this request.", "location": "path", "type": "string", "required": true } } }, "setScheduling": { "parameterOrder": [ "project", "zone", "instance" ], "request": { "$ref": "Scheduling" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setScheduling", "description": "Sets an instance's scheduling options. You can only call this method on a stopped instance, that is, a VM instance that is in a `TERMINATED` state. See Instance Life Cycle for more information on the possible instance states. For more information about setting scheduling options for a VM, see Set VM host maintenance policy.", "id": "compute.instances.setScheduling", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" }, "instance": { "description": "Instance name for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setScheduling", "response": { "$ref": "Operation" } }, "attachDisk": { "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/attachDisk", "request": { "$ref": "AttachedDisk" }, "parameters": { "forceAttach": { "description": "Whether to force attach the regional disk even if it's currently attached to another instance. If you try to force attach a zonal disk to an instance, you will receive an error.", "type": "boolean", "location": "query" }, "zone": { "location": "path", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The instance name for this request.", "location": "path", "type": "string", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "description": "Attaches an existing Disk resource to an instance. You must first create the disk before you can attach it. It is not possible to create and attach a disk at the same time. For more information, read Adding a persistent disk to your instance.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/attachDisk", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instances.attachDisk", "httpMethod": "POST" }, "setDeletionProtection": { "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "deletionProtection": { "location": "query", "default": "true", "type": "boolean", "description": "Whether the resource should be protected against deletion." } }, "path": "projects/{project}/zones/{zone}/instances/{resource}/setDeletionProtection", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "resource" ], "description": "Sets deletion protection on the instance.", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/setDeletionProtection", "id": "compute.instances.setDeletionProtection", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "getEffectiveFirewalls": { "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "description": "Returns effective firewalls applied to an interface of the instance.", "id": "compute.instances.getEffectiveFirewalls", "httpMethod": "GET", "response": { "$ref": "InstancesGetEffectiveFirewallsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "zone": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "networkInterface": { "required": true, "type": "string", "location": "query", "description": "The name of the network interface to get the effective firewalls." }, "instance": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the instance scoping this request." } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getEffectiveFirewalls", "path": "projects/{project}/zones/{zone}/instances/{instance}/getEffectiveFirewalls" }, "listReferrers": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves a list of resources that refer to the VM instance specified in the request. For example, if the VM instance is part of a managed or unmanaged instance group, the referrers list includes the instance group. For more information, read Viewing referrers to VM instances.", "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/referrers", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the zone for this request.", "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "instance": { "description": "Name of the target instance scoping this request, or '-' if the request should span over all instances in the container.", "location": "path", "type": "string", "pattern": "-|[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "maxResults": { "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500", "type": "integer" } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/referrers", "response": { "$ref": "InstanceListReferrers" }, "parameterOrder": [ "project", "zone", "instance" ], "id": "compute.instances.listReferrers" }, "updateShieldedInstanceConfig": { "httpMethod": "PATCH", "parameterOrder": [ "project", "zone", "instance" ], "id": "compute.instances.updateShieldedInstanceConfig", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateShieldedInstanceConfig", "parameters": { "instance": { "description": "Name or id of the instance scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true }, "zone": { "required": true, "description": "The name of the zone for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/updateShieldedInstanceConfig", "response": { "$ref": "Operation" }, "description": "Updates the Shielded Instance config for an instance. You can only use this method on a stopped instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ShieldedInstanceConfig" } }, "start": { "parameters": { "instance": { "description": "Name of the instance resource to start.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "The name of the zone for this request.", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "id": "compute.instances.start", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/start", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/start", "description": "Starts an instance that was stopped using the instances().stop method. For more information, see Restart an instance." }, "getGuestAttributes": { "parameters": { "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the zone for this request." }, "instance": { "description": "Name of the instance scoping this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "variableKey": { "description": "Specifies the key for the guest attributes entry.", "location": "query", "type": "string" }, "queryPath": { "type": "string", "description": "Specifies the guest attributes path to be queried.", "location": "query" } }, "id": "compute.instances.getGuestAttributes", "path": "projects/{project}/zones/{zone}/instances/{instance}/getGuestAttributes", "httpMethod": "GET", "response": { "$ref": "GuestAttributes" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getGuestAttributes", "parameterOrder": [ "project", "zone", "instance" ], "description": "Returns the specified guest attributes entry.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "resume": { "request": { "$ref": "InstancesResumeRequest" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/resume", "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/resume", "id": "compute.instances.resume", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Resumes an instance that was suspended using the instances().suspend method.", "parameters": { "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name of the instance resource to resume." }, "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST" }, "getShieldedInstanceIdentity": { "parameters": { "instance": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the instance scoping this request.", "required": true, "location": "path" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "zone": { "description": "The name of the zone for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "id": "compute.instances.getShieldedInstanceIdentity", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "ShieldedInstanceIdentity" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getShieldedInstanceIdentity", "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/instances/{instance}/getShieldedInstanceIdentity", "description": "Returns the Shielded Instance Identity of an instance", "parameterOrder": [ "project", "zone", "instance" ] }, "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "id": "compute.instances.getIamPolicy", "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "path": "projects/{project}/zones/{zone}/instances/{resource}/getIamPolicy", "parameters": { "optionsRequestedPolicyVersion": { "format": "int32", "type": "integer", "location": "query", "description": "Requested IAM Policy version." }, "zone": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "resource": { "type": "string", "location": "path", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "resource" ] }, "updateNetworkInterface": { "path": "projects/{project}/zones/{zone}/instances/{instance}/updateNetworkInterface", "id": "compute.instances.updateNetworkInterface", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateNetworkInterface", "parameters": { "networkInterface": { "type": "string", "description": "The name of the network interface to update.", "required": true, "location": "query" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string", "description": "The instance name for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request.", "required": true } }, "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "request": { "$ref": "NetworkInterface" }, "response": { "$ref": "Operation" }, "description": "Updates an instance's network interface. This method can only update an interface's alias IP range and attached network. See Modifying alias IP ranges for an existing instance for instructions on changing alias IP ranges. See Migrating a VM between networks for instructions on migrating an interface. This method follows PATCH semantics.", "httpMethod": "PATCH" }, "reset": { "path": "projects/{project}/zones/{zone}/instances/{instance}/reset", "parameterOrder": [ "project", "zone", "instance" ], "description": "Performs a reset on the instance. This is a hard reset. The VM does not do a graceful shutdown. For more information, see Resetting an instance.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/reset", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the instance scoping this request.", "location": "path", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string", "required": true, "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true } }, "httpMethod": "POST", "id": "compute.instances.reset", "response": { "$ref": "Operation" } }, "setShieldedInstanceIntegrityPolicy": { "path": "projects/{project}/zones/{zone}/instances/{instance}/setShieldedInstanceIntegrityPolicy", "description": "Sets the Shielded Instance integrity policy for an instance. You can only use this method on a running instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setShieldedInstanceIntegrityPolicy", "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "Operation" }, "id": "compute.instances.setShieldedInstanceIntegrityPolicy", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ShieldedInstanceIntegrityPolicy" }, "parameters": { "instance": { "description": "Name or id of the instance scoping this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "zone": { "type": "string", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } } }, "removeResourcePolicies": { "request": { "$ref": "InstancesRemoveResourcePoliciesRequest" }, "description": "Removes resource policies from an instance.", "parameterOrder": [ "project", "zone", "instance" ], "id": "compute.instances.removeResourcePolicies", "parameters": { "instance": { "description": "The instance name for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "zone": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/removeResourcePolicies", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/removeResourcePolicies" }, "update": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ], "description": "Updates an instance only if the necessary resources are available. This method can update only a specific set of instance properties. See Updating a running instance for a list of updatable instance properties.", "path": "projects/{project}/zones/{zone}/instances/{instance}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Instance" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}", "parameters": { "minimalAction": { "type": "string", "description": "Specifies the action to take when updating an instance even if the updated properties do not require it. If not specified, then Compute Engine acts based on the minimum action that the updated properties require.", "enum": [ "INVALID", "NO_EFFECT", "REFRESH", "RESTART" ], "enumDescriptions": [ "", "No changes can be made to the instance.", "The instance will not restart.", "The instance will restart." ], "location": "query" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request.", "required": true }, "mostDisruptiveAllowedAction": { "location": "query", "enumDescriptions": [ "", "No changes can be made to the instance.", "The instance will not restart.", "The instance will restart." ], "description": "Specifies the most disruptive action that can be taken on the instance as part of the update. Compute Engine returns an error if the instance properties require a more disruptive action as part of the instance update. Valid options from lowest to highest are NO_EFFECT, REFRESH, and RESTART.", "enum": [ "INVALID", "NO_EFFECT", "REFRESH", "RESTART" ], "type": "string" }, "clearSecureTag": { "type": "boolean", "location": "query", "description": "Whether to clear secure tags from the instance. This property if set to true will clear secure tags regardless of the resource.secure_tags." }, "instance": { "location": "path", "required": true, "type": "string", "description": "Name of the instance resource to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "PUT", "id": "compute.instances.update" } } }, "interconnects": { "methods": { "list": { "parameterOrder": [ "project" ], "httpMethod": "GET", "path": "projects/{project}/global/interconnects", "id": "compute.interconnects.list", "response": { "$ref": "InterconnectList" }, "flatPath": "projects/{project}/global/interconnects", "description": "Retrieves the list of interconnect available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32", "type": "integer", "default": "500" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } } }, "getDiagnostics": { "response": { "$ref": "InterconnectsGetDiagnosticsResponse" }, "description": "Returns the interconnectDiagnostics for the specified interconnect.", "id": "compute.interconnects.getDiagnostics", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "path": "projects/{project}/global/interconnects/{interconnect}/getDiagnostics", "parameterOrder": [ "project", "interconnect" ], "parameters": { "interconnect": { "description": "Name of the interconnect resource to query.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" } }, "flatPath": "projects/{project}/global/interconnects/{interconnect}/getDiagnostics" }, "setIamPolicy": { "parameters": { "resource": { "description": "Name or id of the resource for this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "flatPath": "projects/{project}/global/interconnects/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "response": { "$ref": "Policy" }, "path": "projects/{project}/global/interconnects/{resource}/setIamPolicy", "request": { "$ref": "GlobalSetPolicyRequest" }, "id": "compute.interconnects.setIamPolicy", "parameterOrder": [ "project", "resource" ] }, "get": { "response": { "$ref": "Interconnect" }, "id": "compute.interconnects.get", "httpMethod": "GET", "description": "Returns the specified interconnect. Get a list of available interconnects by making a list() request.", "parameterOrder": [ "project", "interconnect" ], "path": "projects/{project}/global/interconnects/{interconnect}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "interconnect": { "description": "Name of the interconnect to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" } }, "flatPath": "projects/{project}/global/interconnects/{interconnect}" }, "setLabels": { "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" }, "resource": { "location": "path", "type": "string", "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "path": "projects/{project}/global/interconnects/{resource}/setLabels", "request": { "$ref": "GlobalSetLabelsRequest" }, "description": "Sets the labels on an Interconnect. To learn more about labels, read the Labeling Resources documentation.", "id": "compute.interconnects.setLabels", "flatPath": "projects/{project}/global/interconnects/{resource}/setLabels", "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "resource" ] }, "patch": { "request": { "$ref": "Interconnect" }, "id": "compute.interconnects.patch", "description": "Updates the specified interconnect with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "flatPath": "projects/{project}/global/interconnects/{interconnect}", "path": "projects/{project}/global/interconnects/{interconnect}", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." }, "interconnect": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the interconnect to update." } }, "parameterOrder": [ "project", "interconnect" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "getIamPolicy": { "parameterOrder": [ "project", "resource" ], "id": "compute.interconnects.getIamPolicy", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true }, "optionsRequestedPolicyVersion": { "type": "integer", "description": "Requested IAM Policy version.", "location": "query", "format": "int32" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "response": { "$ref": "Policy" }, "path": "projects/{project}/global/interconnects/{resource}/getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "flatPath": "projects/{project}/global/interconnects/{resource}/getIamPolicy" }, "delete": { "flatPath": "projects/{project}/global/interconnects/{interconnect}", "response": { "$ref": "Operation" }, "parameters": { "interconnect": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the interconnect to delete.", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "description": "Deletes the specified interconnect.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.interconnects.delete", "parameterOrder": [ "project", "interconnect" ], "path": "projects/{project}/global/interconnects/{interconnect}", "httpMethod": "DELETE" }, "testIamPermissions": { "id": "compute.interconnects.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/global/interconnects/{resource}/testIamPermissions", "path": "projects/{project}/global/interconnects/{resource}/testIamPermissions", "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string", "required": true, "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" } } }, "insert": { "path": "projects/{project}/global/interconnects", "description": "Creates a Interconnect in the specified project using the data included in the request.", "id": "compute.interconnects.insert", "request": { "$ref": "Interconnect" }, "flatPath": "projects/{project}/global/interconnects", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameterOrder": [ "project" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." } }, "response": { "$ref": "Operation" } }, "getMacsecConfig": { "response": { "$ref": "InterconnectsGetMacsecConfigResponse" }, "flatPath": "projects/{project}/global/interconnects/{interconnect}/getMacsecConfig", "description": "Returns the interconnectMacsecConfig for the specified interconnect.", "httpMethod": "GET", "parameterOrder": [ "project", "interconnect" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/interconnects/{interconnect}/getMacsecConfig", "id": "compute.interconnects.getMacsecConfig", "parameters": { "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "interconnect": { "description": "Name of the interconnect resource to query.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string" } } } } }, "licenses": { "methods": { "delete": { "flatPath": "projects/{project}/global/licenses/{license}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "license" ], "description": "Deletes the specified license. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "id": "compute.licenses.delete", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "license": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the license resource to delete.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/global/licenses/{license}", "httpMethod": "DELETE", "response": { "$ref": "Operation" } }, "get": { "flatPath": "projects/{project}/global/licenses/{license}", "path": "projects/{project}/global/licenses/{license}", "id": "compute.licenses.get", "response": { "$ref": "License" }, "parameterOrder": [ "project", "license" ], "description": "Returns the specified License resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "license": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the License resource to return.", "location": "path" }, "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "httpMethod": "GET" }, "getIamPolicy": { "id": "compute.licenses.getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "resource": { "description": "Name or id of the resource for this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "format": "int32", "location": "query" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "flatPath": "projects/{project}/global/licenses/{resource}/getIamPolicy", "parameterOrder": [ "project", "resource" ], "httpMethod": "GET", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "path": "projects/{project}/global/licenses/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "insert": { "parameters": { "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "License" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/devstorage.full_control", "https://www.googleapis.com/auth/devstorage.read_only", "https://www.googleapis.com/auth/devstorage.read_write" ], "id": "compute.licenses.insert", "response": { "$ref": "Operation" }, "description": "Create a License resource in the specified project. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "path": "projects/{project}/global/licenses", "httpMethod": "POST", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/licenses" }, "testIamPermissions": { "flatPath": "projects/{project}/global/licenses/{resource}/testIamPermissions", "parameters": { "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "resource": { "type": "string", "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "description": "Returns permissions that a caller has on the specified resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "path": "projects/{project}/global/licenses/{resource}/testIamPermissions", "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.licenses.testIamPermissions" }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/licenses/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.licenses.setIamPolicy", "flatPath": "projects/{project}/global/licenses/{resource}/setIamPolicy", "parameters": { "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true } }, "httpMethod": "POST", "request": { "$ref": "GlobalSetPolicyRequest" }, "response": { "$ref": "Policy" } }, "list": { "parameterOrder": [ "project" ], "id": "compute.licenses.list", "flatPath": "projects/{project}/global/licenses", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/licenses", "httpMethod": "GET", "response": { "$ref": "LicensesListResponse" }, "description": "Retrieves the list of licenses available in the specified project. This method does not get any licenses that belong to other projects, including licenses attached to publicly-available images, like Debian 9. If you want to get a list of publicly-available licenses, use this method to make a request to the respective image project, such as debian-cloud or windows-cloud. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "maxResults": { "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "default": "500" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } } } }, "zones": { "methods": { "list": { "id": "compute.zones.list", "description": "Retrieves the list of Zone resources available to the specified project.", "httpMethod": "GET", "parameterOrder": [ "project" ], "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "maxResults": { "default": "500", "location": "query", "format": "uint32", "type": "integer", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "path": "projects/{project}/zones", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones", "response": { "$ref": "ZoneList" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}", "httpMethod": "GET", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "zone": { "description": "Name of the zone resource to return.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "description": "Returns the specified Zone resource. Gets a list of available zones by making a list() request.", "flatPath": "projects/{project}/zones/{zone}", "response": { "$ref": "Zone" }, "parameterOrder": [ "project", "zone" ], "id": "compute.zones.get" } } }, "interconnectLocations": { "methods": { "list": { "id": "compute.interconnectLocations.list", "description": "Retrieves the list of interconnect locations available to the specified project.", "flatPath": "projects/{project}/global/interconnectLocations", "parameterOrder": [ "project" ], "response": { "$ref": "InterconnectLocationList" }, "path": "projects/{project}/global/interconnectLocations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "default": "500", "type": "integer" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } } }, "testIamPermissions": { "httpMethod": "POST", "flatPath": "projects/{project}/global/interconnectLocations/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/interconnectLocations/{resource}/testIamPermissions", "id": "compute.interconnectLocations.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true } }, "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "response": { "$ref": "InterconnectLocation" }, "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "interconnectLocation": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the interconnect location to return.", "type": "string" } }, "path": "projects/{project}/global/interconnectLocations/{interconnectLocation}", "id": "compute.interconnectLocations.get", "flatPath": "projects/{project}/global/interconnectLocations/{interconnectLocation}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Returns the details for the specified interconnect location. Gets a list of available interconnect locations by making a list() request.", "parameterOrder": [ "project", "interconnectLocation" ] } } }, "backendServices": { "methods": { "deleteSignedUrlKey": { "id": "compute.backendServices.deleteSignedUrlKey", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "keyName": { "location": "query", "type": "string", "required": true, "description": "The name of the Signed URL Key to delete." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "backendService": { "required": true, "type": "string", "location": "path", "description": "Name of the BackendService resource to which the Signed URL Key should be added. The name should conform to RFC1035." } }, "parameterOrder": [ "project", "backendService", "keyName" ], "path": "projects/{project}/global/backendServices/{backendService}/deleteSignedUrlKey", "flatPath": "projects/{project}/global/backendServices/{backendService}/deleteSignedUrlKey", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes a key for validating requests with signed URLs for this backend service.", "response": { "$ref": "Operation" }, "httpMethod": "POST" }, "addSignedUrlKey": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.backendServices.addSignedUrlKey", "description": "Adds a key for validating requests with signed URLs for this backend service.", "parameterOrder": [ "project", "backendService" ], "path": "projects/{project}/global/backendServices/{backendService}/addSignedUrlKey", "parameters": { "backendService": { "description": "Name of the BackendService resource to which the Signed URL Key should be added. The name should conform to RFC1035.", "type": "string", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "flatPath": "projects/{project}/global/backendServices/{backendService}/addSignedUrlKey", "httpMethod": "POST", "response": { "$ref": "Operation" }, "request": { "$ref": "SignedUrlKey" } }, "patch": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/backendServices/{backendService}", "path": "projects/{project}/global/backendServices/{backendService}", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "backendService": { "location": "path", "type": "string", "description": "Name of the BackendService resource to patch.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Patches the specified BackendService resource with the data included in the request. For more information, see Backend services overview. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "backendService" ], "id": "compute.backendServices.patch", "request": { "$ref": "BackendService" }, "httpMethod": "PATCH" }, "list": { "response": { "$ref": "BackendServiceList" }, "path": "projects/{project}/global/backendServices", "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32", "minimum": "0", "type": "integer" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/backendServices", "description": "Retrieves the list of BackendService resources available to the specified project.", "httpMethod": "GET", "id": "compute.backendServices.list" }, "getIamPolicy": { "parameters": { "optionsRequestedPolicyVersion": { "location": "query", "type": "integer", "format": "int32", "description": "Requested IAM Policy version." }, "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name or id of the resource for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" } }, "id": "compute.backendServices.getIamPolicy", "response": { "$ref": "Policy" }, "path": "projects/{project}/global/backendServices/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/backendServices/{resource}/getIamPolicy", "parameterOrder": [ "project", "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "httpMethod": "GET" }, "getHealth": { "request": { "$ref": "ResourceGroupReference" }, "flatPath": "projects/{project}/global/backendServices/{backendService}/getHealth", "id": "compute.backendServices.getHealth", "parameterOrder": [ "project", "backendService" ], "path": "projects/{project}/global/backendServices/{backendService}/getHealth", "description": "Gets the most recent health check results for this BackendService. Example request body: { \"group\": \"/zones/us-east1-b/instanceGroups/lb-backend-example\" }", "httpMethod": "POST", "response": { "$ref": "BackendServiceGroupHealth" }, "parameters": { "backendService": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the BackendService resource to which the queried instance belongs." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "flatPath": "projects/{project}/global/backendServices/{backendService}", "id": "compute.backendServices.get", "path": "projects/{project}/global/backendServices/{backendService}", "httpMethod": "GET", "parameters": { "backendService": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the BackendService resource to return.", "location": "path", "type": "string" }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Returns the specified BackendService resource. Gets a list of available backend services.", "response": { "$ref": "BackendService" }, "parameterOrder": [ "project", "backendService" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "aggregatedList": { "description": "Retrieves the list of all BackendService resources, regional and global, available to the specified project.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/backendServices", "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/backendServices", "response": { "$ref": "BackendServiceAggregatedList" }, "parameters": { "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Name of the project scoping this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "maxResults": { "default": "500", "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." } }, "id": "compute.backendServices.aggregatedList" }, "update": { "request": { "$ref": "BackendService" }, "description": "Updates the specified BackendService resource with the data included in the request. For more information, see Backend services overview.", "flatPath": "projects/{project}/global/backendServices/{backendService}", "httpMethod": "PUT", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/backendServices/{backendService}", "id": "compute.backendServices.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "backendService" ], "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "backendService": { "location": "path", "description": "Name of the BackendService resource to update.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } } }, "setIamPolicy": { "path": "projects/{project}/global/backendServices/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request.", "required": true } }, "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "request": { "$ref": "GlobalSetPolicyRequest" }, "id": "compute.backendServices.setIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "projects/{project}/global/backendServices/{resource}/setIamPolicy", "parameterOrder": [ "project", "resource" ] }, "setEdgeSecurityPolicy": { "request": { "$ref": "SecurityPolicyReference" }, "description": "Sets the edge security policy for the specified backend service.", "path": "projects/{project}/global/backendServices/{backendService}/setEdgeSecurityPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.backendServices.setEdgeSecurityPolicy", "parameters": { "backendService": { "description": "Name of the BackendService resource to which the edge security policy should be set. The name should conform to RFC1035.", "location": "path", "type": "string", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/global/backendServices/{backendService}/setEdgeSecurityPolicy", "httpMethod": "POST", "parameterOrder": [ "project", "backendService" ] }, "delete": { "parameters": { "backendService": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the BackendService resource to delete.", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "backendService" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/backendServices/{backendService}", "path": "projects/{project}/global/backendServices/{backendService}", "description": "Deletes the specified BackendService resource.", "httpMethod": "DELETE", "id": "compute.backendServices.delete" }, "setSecurityPolicy": { "description": "Sets the Google Cloud Armor security policy for the specified backend service. For more information, see Google Cloud Armor Overview", "request": { "$ref": "SecurityPolicyReference" }, "path": "projects/{project}/global/backendServices/{backendService}/setSecurityPolicy", "response": { "$ref": "Operation" }, "parameters": { "backendService": { "type": "string", "location": "path", "description": "Name of the BackendService resource to which the security policy should be set. The name should conform to RFC1035.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/backendServices/{backendService}/setSecurityPolicy", "parameterOrder": [ "project", "backendService" ], "id": "compute.backendServices.setSecurityPolicy" }, "testIamPermissions": { "id": "compute.backendServices.testIamPermissions", "parameters": { "resource": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "path": "projects/{project}/global/backendServices/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/backendServices/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource." }, "insert": { "flatPath": "projects/{project}/global/backendServices", "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "description": "Creates a BackendService resource in the specified project using the data included in the request. For more information, see Backend services overview .", "path": "projects/{project}/global/backendServices", "httpMethod": "POST", "id": "compute.backendServices.insert", "request": { "$ref": "BackendService" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." } } } } }, "instantSnapshots": { "methods": { "setLabels": { "id": "compute.instantSnapshots.setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instantSnapshots/{resource}/setLabels", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instantSnapshots/{resource}/setLabels", "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "location": "path", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request.", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "description": "Sets the labels on a instantSnapshot in the given zone. To learn more about labels, read the Labeling Resources documentation.", "request": { "$ref": "ZoneSetLabelsRequest" }, "parameterOrder": [ "project", "zone", "resource" ] }, "aggregatedList": { "id": "compute.instantSnapshots.aggregatedList", "flatPath": "projects/{project}/aggregated/instantSnapshots", "description": "Retrieves an aggregated list of instantSnapshots.", "path": "projects/{project}/aggregated/instantSnapshots", "parameters": { "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true }, "maxResults": { "type": "integer", "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "InstantSnapshotAggregatedList" } }, "getIamPolicy": { "flatPath": "projects/{project}/zones/{zone}/instantSnapshots/{resource}/getIamPolicy", "httpMethod": "GET", "id": "compute.instantSnapshots.getIamPolicy", "parameters": { "zone": { "location": "path", "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "optionsRequestedPolicyVersion": { "location": "query", "type": "integer", "description": "Requested IAM Policy version.", "format": "int32" }, "resource": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." } }, "parameterOrder": [ "project", "zone", "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "projects/{project}/zones/{zone}/instantSnapshots/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Policy" } }, "list": { "flatPath": "projects/{project}/zones/{zone}/instantSnapshots", "parameterOrder": [ "project", "zone" ], "id": "compute.instantSnapshots.list", "path": "projects/{project}/zones/{zone}/instantSnapshots", "response": { "$ref": "InstantSnapshotList" }, "httpMethod": "GET", "description": "Retrieves the list of InstantSnapshot resources contained within the specified zone.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "zone": { "type": "string", "description": "The name of the zone for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" }, "maxResults": { "minimum": "0", "location": "query", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" } } }, "insert": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone for this request.", "location": "path", "required": true, "type": "string" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "request": { "$ref": "InstantSnapshot" }, "id": "compute.instantSnapshots.insert", "path": "projects/{project}/zones/{zone}/instantSnapshots", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "project", "zone" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates an instant snapshot in the specified zone.", "flatPath": "projects/{project}/zones/{zone}/instantSnapshots" }, "get": { "description": "Returns the specified InstantSnapshot resource in the specified zone.", "response": { "$ref": "InstantSnapshot" }, "parameterOrder": [ "project", "zone", "instantSnapshot" ], "parameters": { "zone": { "required": true, "location": "path", "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "instantSnapshot": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the InstantSnapshot resource to return." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/zones/{zone}/instantSnapshots/{instantSnapshot}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/instantSnapshots/{instantSnapshot}", "httpMethod": "GET", "id": "compute.instantSnapshots.get" }, "export": { "id": "compute.instantSnapshots.export", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instantSnapshots/{instantSnapshot}/export", "parameterOrder": [ "project", "zone", "instantSnapshot" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instantSnapshots/{instantSnapshot}/export", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "zone": { "required": true, "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "instantSnapshot": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the instant snapshot to export.", "required": true, "location": "path" } }, "request": { "$ref": "InstantSnapshotsExportRequest" }, "description": "Export the changed blocks between two instant snapshots to a customer's bucket in the user specified format.", "response": { "$ref": "Operation" } }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instantSnapshots/{instantSnapshot}", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string" }, "instantSnapshot": { "description": "Name of the InstantSnapshot resource to delete.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "id": "compute.instantSnapshots.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instantSnapshot" ], "flatPath": "projects/{project}/zones/{zone}/instantSnapshots/{instantSnapshot}", "description": "Deletes the specified InstantSnapshot resource. Keep in mind that deleting a single instantSnapshot might not necessarily delete all the data on that instantSnapshot. If any data on the instantSnapshot that is marked for deletion is needed for subsequent instantSnapshots, the data will be moved to the next corresponding instantSnapshot. For more information, see Deleting instantSnapshots." }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "path": "projects/{project}/zones/{zone}/instantSnapshots/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST", "request": { "$ref": "ZoneSetPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "resource" ], "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "Name or id of the resource for this request." }, "zone": { "type": "string", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "flatPath": "projects/{project}/zones/{zone}/instantSnapshots/{resource}/setIamPolicy", "id": "compute.instantSnapshots.setIamPolicy" }, "testIamPermissions": { "parameterOrder": [ "project", "zone", "resource" ], "flatPath": "projects/{project}/zones/{zone}/instantSnapshots/{resource}/testIamPermissions", "id": "compute.instantSnapshots.testIamPermissions", "path": "projects/{project}/zones/{zone}/instantSnapshots/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "location": "path", "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "networkEndpointGroups": { "methods": { "testIamPermissions": { "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "description": "Name or id of the resource for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "zone": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." } }, "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.networkEndpointGroups.testIamPermissions", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "zone", "resource" ], "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{resource}/testIamPermissions" }, "insert": { "httpMethod": "POST", "id": "compute.networkEndpointGroups.insert", "parameterOrder": [ "project", "zone" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "zone": { "type": "string", "location": "path", "description": "The name of the zone where you want to create the network endpoint group. It should comply with RFC1035.", "required": true }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "description": "Creates a network endpoint group in the specified project using the parameters that are included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/networkEndpointGroups", "request": { "$ref": "NetworkEndpointGroup" }, "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups" }, "delete": { "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "networkEndpointGroup": { "required": true, "location": "path", "type": "string", "description": "The name of the network endpoint group to delete. It should comply with RFC1035." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "required": true, "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "type": "string", "location": "path" } }, "id": "compute.networkEndpointGroups.delete", "description": "Deletes the specified network endpoint group. The network endpoints in the NEG and the VM instances they belong to are not terminated when the NEG is deleted. Note that the NEG cannot be deleted if there are backend services referencing it.", "httpMethod": "DELETE" }, "detachNetworkEndpoints": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "id": "compute.networkEndpointGroups.detachNetworkEndpoints", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "parameters": { "zone": { "location": "path", "required": true, "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "type": "string" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "networkEndpointGroup": { "required": true, "location": "path", "type": "string", "description": "The name of the network endpoint group where you are removing network endpoints. It should comply with RFC1035." } }, "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "request": { "$ref": "NetworkEndpointGroupsDetachEndpointsRequest" }, "description": "Detach a list of network endpoints from the specified network endpoint group.", "response": { "$ref": "Operation" } }, "list": { "parameters": { "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32", "minimum": "0", "type": "integer" }, "zone": { "type": "string", "location": "path", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "required": true }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "id": "compute.networkEndpointGroups.list", "httpMethod": "GET", "description": "Retrieves the list of network endpoint groups that are located in the specified project and zone.", "path": "projects/{project}/zones/{zone}/networkEndpointGroups", "response": { "$ref": "NetworkEndpointGroupList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone" ], "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups" }, "attachNetworkEndpoints": { "id": "compute.networkEndpointGroups.attachNetworkEndpoints", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "required": true, "type": "string", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "location": "path" }, "networkEndpointGroup": { "location": "path", "description": "The name of the network endpoint group where you are attaching network endpoints to. It should comply with RFC1035.", "required": true, "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Attach a list of network endpoints to the specified network endpoint group.", "request": { "$ref": "NetworkEndpointGroupsAttachEndpointsRequest" }, "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "parameterOrder": [ "project", "zone", "networkEndpointGroup" ] }, "get": { "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "response": { "$ref": "NetworkEndpointGroup" }, "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "description": "Returns the specified network endpoint group. Gets a list of available network endpoint groups by making a list() request.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "networkEndpointGroup": { "location": "path", "type": "string", "description": "The name of the network endpoint group. It should comply with RFC1035.", "required": true }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.networkEndpointGroups.get", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}" }, "listNetworkEndpoints": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "NetworkEndpointGroupsListNetworkEndpoints" }, "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "httpMethod": "POST", "request": { "$ref": "NetworkEndpointGroupsListEndpointsRequest" }, "id": "compute.networkEndpointGroups.listNetworkEndpoints", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints", "description": "Lists the network endpoints in the specified network endpoint group.", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints", "parameters": { "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "networkEndpointGroup": { "location": "path", "description": "The name of the network endpoint group from which you want to generate a list of included network endpoints. It should comply with RFC1035.", "required": true, "type": "string" }, "zone": { "type": "string", "location": "path", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "required": true }, "maxResults": { "default": "500", "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } } }, "aggregatedList": { "path": "projects/{project}/aggregated/networkEndpointGroups", "id": "compute.networkEndpointGroups.aggregatedList", "description": "Retrieves the list of network endpoint groups and sorts them by zone.", "response": { "$ref": "NetworkEndpointGroupAggregatedList" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "type": "integer", "default": "500", "format": "uint32" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "flatPath": "projects/{project}/aggregated/networkEndpointGroups" } } }, "targetInstances": { "methods": { "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "zone": { "description": "The name of the zone for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/zones/{zone}/targetInstances/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.targetInstances.testIamPermissions", "flatPath": "projects/{project}/zones/{zone}/targetInstances/{resource}/testIamPermissions" }, "delete": { "parameterOrder": [ "project", "zone", "targetInstance" ], "flatPath": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "path": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "parameters": { "zone": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone scoping this request." }, "targetInstance": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetInstance resource to delete.", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." } }, "description": "Deletes the specified TargetInstance resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "id": "compute.targetInstances.delete" }, "list": { "flatPath": "projects/{project}/zones/{zone}/targetInstances", "id": "compute.targetInstances.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "zone": { "description": "Name of the zone scoping this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32", "minimum": "0", "default": "500" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" } }, "response": { "$ref": "TargetInstanceList" }, "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/targetInstances", "description": "Retrieves a list of TargetInstance resources available to the specified project and zone.", "parameterOrder": [ "project", "zone" ] }, "aggregatedList": { "description": "Retrieves an aggregated list of target instances.", "path": "projects/{project}/aggregated/targetInstances", "parameters": { "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "type": "integer" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "TargetInstanceAggregatedList" }, "flatPath": "projects/{project}/aggregated/targetInstances", "id": "compute.targetInstances.aggregatedList", "parameterOrder": [ "project" ] }, "insert": { "path": "projects/{project}/zones/{zone}/targetInstances", "flatPath": "projects/{project}/zones/{zone}/targetInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameterOrder": [ "project", "zone" ], "response": { "$ref": "Operation" }, "request": { "$ref": "TargetInstance" }, "id": "compute.targetInstances.insert", "description": "Creates a TargetInstance resource in the specified project and zone using the data included in the request.", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "zone": { "description": "Name of the zone scoping this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } } }, "get": { "flatPath": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "id": "compute.targetInstances.get", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "Name of the zone scoping this request.", "type": "string" }, "targetInstance": { "required": true, "description": "Name of the TargetInstance resource to return.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } }, "path": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "httpMethod": "GET", "description": "Returns the specified TargetInstance resource. Gets a list of available target instances by making a list() request.", "parameterOrder": [ "project", "zone", "targetInstance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetInstance" } } } }, "regionDiskTypes": { "methods": { "get": { "description": "Returns the specified regional disk type. Gets a list of available disk types by making a list() request.", "response": { "$ref": "DiskType" }, "parameters": { "region": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "diskType": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the disk type to return." } }, "flatPath": "projects/{project}/regions/{region}/diskTypes/{diskType}", "parameterOrder": [ "project", "region", "diskType" ], "path": "projects/{project}/regions/{region}/diskTypes/{diskType}", "id": "compute.regionDiskTypes.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET" }, "list": { "httpMethod": "GET", "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/diskTypes", "path": "projects/{project}/regions/{region}/diskTypes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "RegionDiskTypeList" }, "id": "compute.regionDiskTypes.list", "description": "Retrieves a list of regional disk types available to the specified project.", "parameters": { "region": { "required": true, "type": "string", "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "location": "query", "minimum": "0", "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } } } } }, "networkEdgeSecurityServices": { "methods": { "patch": { "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "description": "Patches the specified policy with the data included in the request.", "parameters": { "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request.", "type": "string" }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Indicates fields to be updated as part of this request.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "paths": { "repeated": true, "location": "query", "type": "string" }, "networkEdgeSecurityService": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the network edge security service to update.", "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "parameterOrder": [ "project", "region", "networkEdgeSecurityService" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "NetworkEdgeSecurityService" }, "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "id": "compute.networkEdgeSecurityServices.patch" }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/networkEdgeSecurityServices", "parameterOrder": [ "project" ], "response": { "$ref": "NetworkEdgeSecurityServiceAggregatedList" }, "httpMethod": "GET", "path": "projects/{project}/aggregated/networkEdgeSecurityServices", "description": "Retrieves the list of all NetworkEdgeSecurityService resources available to the specified project.", "parameters": { "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500", "type": "integer", "location": "query", "minimum": "0" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Name of the project scoping this request.", "required": true, "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "id": "compute.networkEdgeSecurityServices.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "insert": { "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "validateOnly": { "location": "query", "type": "boolean", "description": "If true, the request will not be committed." } }, "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices", "id": "compute.networkEdgeSecurityServices.insert", "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices", "response": { "$ref": "Operation" }, "request": { "$ref": "NetworkEdgeSecurityService" }, "description": "Creates a new service in the specified project using the data included in the request.", "httpMethod": "POST" }, "get": { "response": { "$ref": "NetworkEdgeSecurityService" }, "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "description": "Gets a specified NetworkEdgeSecurityService.", "parameterOrder": [ "project", "region", "networkEdgeSecurityService" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "networkEdgeSecurityService": { "location": "path", "description": "Name of the network edge security service to get.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "httpMethod": "GET", "id": "compute.networkEdgeSecurityServices.get" }, "delete": { "description": "Deletes the specified service.", "parameterOrder": [ "project", "region", "networkEdgeSecurityService" ], "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "parameters": { "networkEdgeSecurityService": { "required": true, "description": "Name of the network edge security service to delete.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "region": { "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "id": "compute.networkEdgeSecurityServices.delete" } } }, "regionSslCertificates": { "methods": { "insert": { "request": { "$ref": "SslCertificate" }, "flatPath": "projects/{project}/regions/{region}/sslCertificates", "id": "compute.regionSslCertificates.insert", "description": "Creates a SslCertificate resource in the specified project and region using the data included in the request", "path": "projects/{project}/regions/{region}/sslCertificates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "required": true, "description": "Name of the region scoping this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "httpMethod": "POST" }, "testIamPermissions": { "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.regionSslCertificates.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "resource" ], "parameters": { "resource": { "description": "Name or id of the resource for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "required": true } }, "path": "projects/{project}/regions/{region}/sslCertificates/{resource}/testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource and region.", "flatPath": "projects/{project}/regions/{region}/sslCertificates/{resource}/testIamPermissions" }, "get": { "httpMethod": "GET", "id": "compute.regionSslCertificates.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "sslCertificate": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the SslCertificate resource to return.", "required": true }, "region": { "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true } }, "path": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "parameterOrder": [ "project", "region", "sslCertificate" ], "response": { "$ref": "SslCertificate" }, "flatPath": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "description": "Returns the specified SslCertificate resource in the specified region. Get a list of available SSL certificates by making a list() request." }, "delete": { "response": { "$ref": "Operation" }, "parameters": { "sslCertificate": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the SslCertificate resource to delete.", "location": "path" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." } }, "description": "Deletes the specified SslCertificate resource in the region.", "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "sslCertificate" ], "flatPath": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "path": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionSslCertificates.delete" }, "list": { "parameters": { "region": { "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "maxResults": { "default": "500", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "httpMethod": "GET", "description": "Retrieves the list of SslCertificate resources available to the specified project in the specified region.", "path": "projects/{project}/regions/{region}/sslCertificates", "id": "compute.regionSslCertificates.list", "response": { "$ref": "SslCertificateList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/sslCertificates" } } }, "regionTargetHttpProxies": { "methods": { "setUrlMap": { "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "path": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "targetHttpProxy": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the TargetHttpProxy to set a URL map for." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "type": "string", "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "parameterOrder": [ "project", "region", "targetHttpProxy" ], "response": { "$ref": "Operation" }, "id": "compute.regionTargetHttpProxies.setUrlMap", "request": { "$ref": "UrlMapReference" }, "description": "Changes the URL map for TargetHttpProxy." }, "list": { "response": { "$ref": "TargetHttpProxyList" }, "parameterOrder": [ "project", "region" ], "httpMethod": "GET", "description": "Retrieves the list of TargetHttpProxy resources available to the specified project in the specified region.", "flatPath": "projects/{project}/regions/{region}/targetHttpProxies", "id": "compute.regionTargetHttpProxies.list", "path": "projects/{project}/regions/{region}/targetHttpProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500", "minimum": "0", "format": "uint32", "type": "integer" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } } }, "get": { "parameterOrder": [ "project", "region", "targetHttpProxy" ], "id": "compute.regionTargetHttpProxies.get", "parameters": { "region": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "targetHttpProxy": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpProxy resource to return." } }, "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "httpMethod": "GET", "path": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetHttpProxy" }, "description": "Returns the specified TargetHttpProxy resource in the specified region. Gets a list of available target HTTP proxies by making a list() request." }, "delete": { "id": "compute.regionTargetHttpProxies.delete", "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "parameterOrder": [ "project", "region", "targetHttpProxy" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "httpMethod": "DELETE", "parameters": { "targetHttpProxy": { "description": "Name of the TargetHttpProxy resource to delete.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified TargetHttpProxy resource." }, "insert": { "path": "projects/{project}/regions/{region}/targetHttpProxies", "httpMethod": "POST", "parameterOrder": [ "project", "region" ], "id": "compute.regionTargetHttpProxies.insert", "description": "Creates a TargetHttpProxy resource in the specified project and region using the data included in the request.", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "region": { "location": "path", "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetHttpProxy" }, "flatPath": "projects/{project}/regions/{region}/targetHttpProxies" }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/regions/{region}/targetHttpProxies/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "location": "path", "type": "string" } }, "httpMethod": "POST", "id": "compute.regionTargetHttpProxies.testIamPermissions" } } }, "serviceAttachments": { "methods": { "patch": { "parameterOrder": [ "project", "region", "serviceAttachment" ], "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "request": { "$ref": "ServiceAttachment" }, "description": "Patches the specified ServiceAttachment resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "id": "compute.serviceAttachments.patch", "path": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "type": "string", "location": "path", "required": true, "description": "The region scoping this request and should conform to RFC1035." }, "serviceAttachment": { "required": true, "type": "string", "description": "The resource id of the ServiceAttachment to patch. It should conform to RFC1035 resource name or be a string form on an unsigned long number.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/serviceAttachments", "description": "Lists the ServiceAttachments for a project in the given scope.", "flatPath": "projects/{project}/regions/{region}/serviceAttachments", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "region": { "location": "path", "description": "Name of the region of this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "maxResults": { "location": "query", "format": "uint32", "minimum": "0", "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } }, "id": "compute.serviceAttachments.list", "httpMethod": "GET", "response": { "$ref": "ServiceAttachmentList" } }, "delete": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "httpMethod": "DELETE", "id": "compute.serviceAttachments.delete", "parameterOrder": [ "project", "region", "serviceAttachment" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "serviceAttachment": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the ServiceAttachment resource to delete." }, "region": { "required": true, "description": "Name of the region of this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "path": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "description": "Deletes the specified ServiceAttachment in the given scope" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/serviceAttachments", "description": "Creates a ServiceAttachment in the specified project in the given scope using the parameters that are included in the request.", "parameterOrder": [ "project", "region" ], "request": { "$ref": "ServiceAttachment" }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region of this request.", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } }, "id": "compute.serviceAttachments.insert" }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.serviceAttachments.getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "region": { "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "resource": { "location": "path", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "optionsRequestedPolicyVersion": { "format": "int32", "location": "query", "type": "integer", "description": "Requested IAM Policy version." } }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{resource}/getIamPolicy", "path": "projects/{project}/regions/{region}/serviceAttachments/{resource}/getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists." }, "testIamPermissions": { "path": "projects/{project}/regions/{region}/serviceAttachments/{resource}/testIamPermissions", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name or id of the resource for this request." }, "region": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the region for this request." } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.serviceAttachments.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "region", "resource" ], "description": "Returns permissions that a caller has on the specified resource." }, "get": { "description": "Returns the specified ServiceAttachment resource in the given scope.", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region of this request.", "location": "path" }, "serviceAttachment": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the ServiceAttachment resource to return." } }, "parameterOrder": [ "project", "region", "serviceAttachment" ], "httpMethod": "GET", "response": { "$ref": "ServiceAttachment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "id": "compute.serviceAttachments.get", "path": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}" }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/serviceAttachments", "description": "Retrieves the list of all ServiceAttachment resources, regional and global, available to the specified project.", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "ServiceAttachmentAggregatedList" }, "httpMethod": "GET", "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Name of the project scoping this request." }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0", "location": "query", "default": "500" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" } }, "id": "compute.serviceAttachments.aggregatedList", "path": "projects/{project}/aggregated/serviceAttachments" }, "setIamPolicy": { "parameters": { "region": { "type": "string", "location": "path", "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name or id of the resource for this request.", "required": true } }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{resource}/setIamPolicy", "request": { "$ref": "RegionSetPolicyRequest" }, "path": "projects/{project}/regions/{region}/serviceAttachments/{resource}/setIamPolicy", "httpMethod": "POST", "id": "compute.serviceAttachments.setIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "regionUrlMaps": { "methods": { "insert": { "response": { "$ref": "Operation" }, "description": "Creates a UrlMap resource in the specified project using the data included in the request.", "path": "projects/{project}/regions/{region}/urlMaps", "id": "compute.regionUrlMaps.insert", "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/urlMaps", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "requestId": { "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.", "location": "query", "type": "string" } }, "request": { "$ref": "UrlMap" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "validate": { "request": { "$ref": "RegionUrlMapsValidateRequest" }, "description": "Runs static validation for the UrlMap. In particular, the tests of the provided UrlMap will be run. Calling this method does NOT create the UrlMap.", "response": { "$ref": "UrlMapsValidateResponse" }, "parameterOrder": [ "project", "region", "urlMap" ], "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}/validate", "parameters": { "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "urlMap": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the UrlMap resource to be validated as." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "location": "path" } }, "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}/validate", "id": "compute.regionUrlMaps.validate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "delete": { "id": "compute.regionUrlMaps.delete", "parameterOrder": [ "project", "region", "urlMap" ], "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "httpMethod": "DELETE", "description": "Deletes the specified UrlMap resource.", "parameters": { "urlMap": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the UrlMap resource to delete.", "location": "path" }, "requestId": { "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "update": { "parameterOrder": [ "project", "region", "urlMap" ], "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "httpMethod": "PUT", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "UrlMap" }, "id": "compute.regionUrlMaps.update", "parameters": { "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true }, "urlMap": { "description": "Name of the UrlMap resource to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency." } }, "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "description": "Updates the specified UrlMap resource with the data included in the request." }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "region": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the region for this request." } }, "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/regions/{region}/urlMaps/{resource}/testIamPermissions", "id": "compute.regionUrlMaps.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/urlMaps/{resource}/testIamPermissions" }, "invalidateCache": { "id": "compute.regionUrlMaps.invalidateCache", "response": { "$ref": "Operation" }, "description": "Initiates a cache invalidation operation, invalidating the specified path, scoped to the specified UrlMap. For more information, see [Invalidating cached content](/cdn/docs/invalidating-cached-content).", "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}/invalidateCache", "request": { "$ref": "CacheInvalidationRule" }, "parameters": { "urlMap": { "type": "string", "description": "Name of the UrlMap scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "requestId": { "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.", "location": "query", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region scoping this request.", "location": "path" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}/invalidateCache", "parameterOrder": [ "project", "region", "urlMap" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "list": { "id": "compute.regionUrlMaps.list", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "UrlMapList" }, "parameters": { "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "location": "query", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region scoping this request." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } }, "path": "projects/{project}/regions/{region}/urlMaps", "flatPath": "projects/{project}/regions/{region}/urlMaps", "description": "Retrieves the list of UrlMap resources available to the specified project in the specified region." }, "patch": { "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "id": "compute.regionUrlMaps.patch", "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "urlMap": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the UrlMap resource to patch.", "location": "path", "required": true }, "requestId": { "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.", "type": "string", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true } }, "parameterOrder": [ "project", "region", "urlMap" ], "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "description": "Patches the specified UrlMap resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "UrlMap" }, "httpMethod": "PATCH" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "UrlMap" }, "id": "compute.regionUrlMaps.get", "parameters": { "urlMap": { "description": "Name of the UrlMap resource to return.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path" } }, "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "parameterOrder": [ "project", "region", "urlMap" ], "description": "Returns the specified UrlMap resource. Gets a list of available URL maps by making a list() request.", "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}" } } }, "vpnTunnels": { "methods": { "list": { "flatPath": "projects/{project}/regions/{region}/vpnTunnels", "parameterOrder": [ "project", "region" ], "id": "compute.vpnTunnels.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves a list of VpnTunnel resources contained in the specified project and region.", "response": { "$ref": "VpnTunnelList" }, "httpMethod": "GET", "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "minimum": "0", "default": "500", "location": "query" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "path": "projects/{project}/regions/{region}/vpnTunnels" }, "testIamPermissions": { "id": "compute.vpnTunnels.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/regions/{region}/vpnTunnels/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "region": { "location": "path", "description": "The name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "required": true, "location": "path", "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/vpnTunnels/{resource}/testIamPermissions", "httpMethod": "POST" }, "setLabels": { "description": "Sets the labels on a VpnTunnel. To learn more about labels, read the Labeling Resources documentation.", "httpMethod": "POST", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "resource": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The region for this request.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.vpnTunnels.setLabels", "path": "projects/{project}/regions/{region}/vpnTunnels/{resource}/setLabels", "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/vpnTunnels/{resource}/setLabels", "request": { "$ref": "RegionSetLabelsRequest" } }, "aggregatedList": { "id": "compute.vpnTunnels.aggregatedList", "flatPath": "projects/{project}/aggregated/vpnTunnels", "httpMethod": "GET", "path": "projects/{project}/aggregated/vpnTunnels", "description": "Retrieves an aggregated list of VPN tunnels.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "VpnTunnelAggregatedList" }, "parameterOrder": [ "project" ], "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "format": "uint32", "type": "integer", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0" } } }, "get": { "response": { "$ref": "VpnTunnel" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Returns the specified VpnTunnel resource. Gets a list of available VPN tunnels by making a list() request.", "id": "compute.vpnTunnels.get", "parameterOrder": [ "project", "region", "vpnTunnel" ], "path": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}", "flatPath": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "vpnTunnel": { "description": "Name of the VpnTunnel resource to return.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "Name of the region for this request." } } }, "delete": { "parameterOrder": [ "project", "region", "vpnTunnel" ], "httpMethod": "DELETE", "description": "Deletes the specified VpnTunnel resource.", "path": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}", "id": "compute.vpnTunnels.delete", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "Name of the region for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "vpnTunnel": { "description": "Name of the VpnTunnel resource to delete.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}" }, "insert": { "path": "projects/{project}/regions/{region}/vpnTunnels", "description": "Creates a VpnTunnel resource in the specified project and region using the data included in the request.", "request": { "$ref": "VpnTunnel" }, "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/vpnTunnels", "response": { "$ref": "Operation" }, "id": "compute.vpnTunnels.insert", "parameters": { "region": { "type": "string", "location": "path", "description": "Name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "POST" } } }, "routes": { "methods": { "list": { "description": "Retrieves the list of Route resources available to the specified project.", "response": { "$ref": "RouteList" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.routes.list", "flatPath": "projects/{project}/global/routes", "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "default": "500" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project" ], "path": "projects/{project}/global/routes" }, "get": { "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "route": { "required": true, "description": "Name of the Route resource to return.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "httpMethod": "GET", "flatPath": "projects/{project}/global/routes/{route}", "parameterOrder": [ "project", "route" ], "description": "Returns the specified Route resource. Gets a list of available routes by making a list() request.", "path": "projects/{project}/global/routes/{route}", "id": "compute.routes.get", "response": { "$ref": "Route" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "route": { "type": "string", "required": true, "description": "Name of the Route resource to delete.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "path": "projects/{project}/global/routes/{route}", "description": "Deletes the specified Route resource.", "flatPath": "projects/{project}/global/routes/{route}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.routes.delete", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "route" ] }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.routes.testIamPermissions", "flatPath": "projects/{project}/global/routes/{resource}/testIamPermissions", "parameters": { "resource": { "required": true, "type": "string", "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/routes/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "parameterOrder": [ "project", "resource" ], "httpMethod": "POST" }, "insert": { "parameterOrder": [ "project" ], "id": "compute.routes.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "description": "Creates a Route resource in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/global/routes", "request": { "$ref": "Route" }, "flatPath": "projects/{project}/global/routes" } } }, "globalForwardingRules": { "methods": { "setTarget": { "response": { "$ref": "Operation" }, "id": "compute.globalForwardingRules.setTarget", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/forwardingRules/{forwardingRule}/setTarget", "description": "Changes target URL for the GlobalForwardingRule resource. The new target should be of the same type as the old target.", "request": { "$ref": "TargetReference" }, "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}/setTarget", "parameterOrder": [ "project", "forwardingRule" ], "httpMethod": "POST", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "forwardingRule": { "location": "path", "required": true, "description": "Name of the ForwardingRule resource in which target is to be set.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } }, "patch": { "parameterOrder": [ "project", "forwardingRule" ], "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "forwardingRule": { "description": "Name of the ForwardingRule resource to patch.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true } }, "path": "projects/{project}/global/forwardingRules/{forwardingRule}", "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}", "id": "compute.globalForwardingRules.patch", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ForwardingRule" }, "description": "Updates the specified forwarding rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. Currently, you can only patch the network_tier field.", "httpMethod": "PATCH" }, "setLabels": { "description": "Sets the labels on the specified resource. To learn more about labels, read the Labeling resources documentation.", "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/forwardingRules/{resource}/setLabels", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "flatPath": "projects/{project}/global/forwardingRules/{resource}/setLabels", "request": { "$ref": "GlobalSetLabelsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.globalForwardingRules.setLabels", "response": { "$ref": "Operation" }, "httpMethod": "POST" }, "insert": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.globalForwardingRules.insert", "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "description": "Creates a GlobalForwardingRule resource in the specified project using the data included in the request.", "flatPath": "projects/{project}/global/forwardingRules", "request": { "$ref": "ForwardingRule" }, "path": "projects/{project}/global/forwardingRules", "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } } }, "list": { "path": "projects/{project}/global/forwardingRules", "parameters": { "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "format": "uint32", "default": "500", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" } }, "description": "Retrieves a list of GlobalForwardingRule resources available to the specified project.", "response": { "$ref": "ForwardingRuleList" }, "flatPath": "projects/{project}/global/forwardingRules", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "id": "compute.globalForwardingRules.list", "parameterOrder": [ "project" ] }, "get": { "parameterOrder": [ "project", "forwardingRule" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}", "id": "compute.globalForwardingRules.get", "response": { "$ref": "ForwardingRule" }, "description": "Returns the specified GlobalForwardingRule resource. Gets a list of available forwarding rules by making a list() request.", "httpMethod": "GET", "path": "projects/{project}/global/forwardingRules/{forwardingRule}", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "forwardingRule": { "required": true, "description": "Name of the ForwardingRule resource to return.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } }, "delete": { "httpMethod": "DELETE", "id": "compute.globalForwardingRules.delete", "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}", "description": "Deletes the specified GlobalForwardingRule resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "forwardingRule" ], "parameters": { "forwardingRule": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the ForwardingRule resource to delete.", "required": true, "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/global/forwardingRules/{forwardingRule}" }, "testIamPermissions": { "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/global/forwardingRules/{resource}/testIamPermissions", "id": "compute.globalForwardingRules.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/forwardingRules/{resource}/testIamPermissions", "parameters": { "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "resource": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request." } }, "description": "Returns permissions that a caller has on the specified resource." } } }, "imageFamilyViews": { "methods": { "get": { "httpMethod": "GET", "parameterOrder": [ "project", "zone", "family" ], "response": { "$ref": "ImageFamilyView" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the latest image that is part of an image family, is not deprecated and is rolled out in the specified zone.", "flatPath": "projects/{project}/zones/{zone}/imageFamilyViews/{family}", "parameters": { "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request.", "type": "string" }, "family": { "location": "path", "description": "Name of the image family to search for.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "id": "compute.imageFamilyViews.get", "path": "projects/{project}/zones/{zone}/imageFamilyViews/{family}" } } }, "machineTypes": { "methods": { "aggregatedList": { "description": "Retrieves an aggregated list of machine types.", "flatPath": "projects/{project}/aggregated/machineTypes", "id": "compute.machineTypes.aggregatedList", "path": "projects/{project}/aggregated/machineTypes", "parameters": { "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "maxResults": { "default": "500", "format": "uint32", "minimum": "0", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "httpMethod": "GET", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "MachineTypeAggregatedList" } }, "list": { "parameterOrder": [ "project", "zone" ], "flatPath": "projects/{project}/zones/{zone}/machineTypes", "httpMethod": "GET", "description": "Retrieves a list of machine types available to the specified project.", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "zone": { "location": "path", "description": "The name of the zone for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "minimum": "0", "format": "uint32", "type": "integer" } }, "id": "compute.machineTypes.list", "path": "projects/{project}/zones/{zone}/machineTypes", "response": { "$ref": "MachineTypeList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "parameterOrder": [ "project", "zone", "machineType" ], "description": "Returns the specified machine type. Gets a list of available machine types by making a list() request.", "response": { "$ref": "MachineType" }, "flatPath": "projects/{project}/zones/{zone}/machineTypes/{machineType}", "httpMethod": "GET", "id": "compute.machineTypes.get", "path": "projects/{project}/zones/{zone}/machineTypes/{machineType}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "machineType": { "location": "path", "description": "Name of the machine type to return.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "type": "string", "location": "path", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } } } } }, "globalOrganizationOperations": { "methods": { "delete": { "parameterOrder": [ "operation" ], "flatPath": "locations/global/operations/{operation}", "parameters": { "operation": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Operations resource to delete.", "type": "string", "location": "path", "required": true }, "parentId": { "location": "query", "description": "Parent ID for this request.", "type": "string" } }, "path": "locations/global/operations/{operation}", "id": "compute.globalOrganizationOperations.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified Operations resource." }, "get": { "flatPath": "locations/global/operations/{operation}", "httpMethod": "GET", "path": "locations/global/operations/{operation}", "response": { "$ref": "Operation" }, "parameters": { "parentId": { "location": "query", "description": "Parent ID for this request.", "type": "string" }, "operation": { "type": "string", "description": "Name of the Operations resource to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "parameterOrder": [ "operation" ], "description": "Retrieves the specified Operations resource. Gets a list of operations by making a `list()` request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.globalOrganizationOperations.get" }, "list": { "path": "locations/global/operations", "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "location": "query", "format": "uint32" }, "parentId": { "type": "string", "description": "Parent ID for this request.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "id": "compute.globalOrganizationOperations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "locations/global/operations", "response": { "$ref": "OperationList" }, "description": "Retrieves a list of Operation resources contained within the specified organization." } } }, "regionInstantSnapshots": { "methods": { "setLabels": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/instantSnapshots/{resource}/setLabels", "path": "projects/{project}/regions/{region}/instantSnapshots/{resource}/setLabels", "id": "compute.regionInstantSnapshots.setLabels", "description": "Sets the labels on a instantSnapshot in the given region. To learn more about labels, read the Labeling Resources documentation.", "request": { "$ref": "RegionSetLabelsRequest" }, "parameterOrder": [ "project", "region", "resource" ], "parameters": { "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "The region for this request." }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name or id of the resource for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } } }, "get": { "id": "compute.regionInstantSnapshots.get", "flatPath": "projects/{project}/regions/{region}/instantSnapshots/{instantSnapshot}", "description": "Returns the specified InstantSnapshot resource in the specified region.", "response": { "$ref": "InstantSnapshot" }, "parameterOrder": [ "project", "region", "instantSnapshot" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "location": "path", "type": "string", "required": true }, "instantSnapshot": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the InstantSnapshot resource to return.", "required": true, "location": "path" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/regions/{region}/instantSnapshots/{instantSnapshot}" }, "getIamPolicy": { "parameterOrder": [ "project", "region", "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameters": { "optionsRequestedPolicyVersion": { "location": "query", "type": "integer", "description": "Requested IAM Policy version.", "format": "int32" }, "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request.", "required": true }, "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the region for this request." }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } }, "path": "projects/{project}/regions/{region}/instantSnapshots/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Policy" }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/instantSnapshots/{resource}/getIamPolicy", "id": "compute.regionInstantSnapshots.getIamPolicy" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.regionInstantSnapshots.testIamPermissions", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "region": { "type": "string", "location": "path", "required": true, "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "location": "path", "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/regions/{region}/instantSnapshots/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/instantSnapshots/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ] }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "path": "projects/{project}/regions/{region}/instantSnapshots/{resource}/setIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/instantSnapshots/{resource}/setIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "resource": { "type": "string", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "location": "path" } }, "response": { "$ref": "Policy" }, "request": { "$ref": "RegionSetPolicyRequest" }, "id": "compute.regionInstantSnapshots.setIamPolicy" }, "delete": { "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "region": { "description": "The name of the region for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "instantSnapshot": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the InstantSnapshot resource to delete." } }, "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/instantSnapshots/{instantSnapshot}", "description": "Deletes the specified InstantSnapshot resource. Keep in mind that deleting a single instantSnapshot might not necessarily delete all the data on that instantSnapshot. If any data on the instantSnapshot that is marked for deletion is needed for subsequent instantSnapshots, the data will be moved to the next corresponding instantSnapshot. For more information, see Deleting instantSnapshots.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionInstantSnapshots.delete", "parameterOrder": [ "project", "region", "instantSnapshot" ], "path": "projects/{project}/regions/{region}/instantSnapshots/{instantSnapshot}" }, "insert": { "request": { "$ref": "InstantSnapshot" }, "description": "Creates an instant snapshot in the specified region.", "id": "compute.regionInstantSnapshots.insert", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region for this request.", "required": true }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/instantSnapshots", "flatPath": "projects/{project}/regions/{region}/instantSnapshots", "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "flatPath": "projects/{project}/regions/{region}/instantSnapshots", "parameters": { "maxResults": { "type": "integer", "format": "uint32", "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path", "description": "The name of the region for this request." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" } }, "path": "projects/{project}/regions/{region}/instantSnapshots", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ], "description": "Retrieves the list of InstantSnapshot resources contained within the specified region.", "httpMethod": "GET", "id": "compute.regionInstantSnapshots.list", "response": { "$ref": "InstantSnapshotList" } }, "export": { "flatPath": "projects/{project}/regions/{region}/instantSnapshots/{instantSnapshot}/export", "parameterOrder": [ "project", "region", "instantSnapshot" ], "response": { "$ref": "Operation" }, "parameters": { "instantSnapshot": { "required": true, "type": "string", "location": "path", "description": "Name of the instant snapshot to export.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "The name of the zone for this request.", "location": "path" }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "httpMethod": "POST", "id": "compute.regionInstantSnapshots.export", "request": { "$ref": "RegionInstantSnapshotsExportRequest" }, "path": "projects/{project}/regions/{region}/instantSnapshots/{instantSnapshot}/export", "description": "Export the changed blocks between two instant snapshots to a customer's bucket in the user specified format.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "regionOperations": { "methods": { "wait": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/operations/{operation}/wait", "id": "compute.regionOperations.wait", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method differs from the `GET` method in that it waits for no more than the default deadline (2 minutes) and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`. ", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/operations/{operation}/wait", "parameterOrder": [ "project", "region", "operation" ], "parameters": { "region": { "location": "path", "description": "Name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "operation": { "description": "Name of the Operations resource to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" } } }, "delete": { "parameterOrder": [ "project", "region", "operation" ], "httpMethod": "DELETE", "parameters": { "operation": { "type": "string", "description": "Name of the Operations resource to delete.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "type": "string" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." } }, "id": "compute.regionOperations.delete", "flatPath": "projects/{project}/regions/{region}/operations/{operation}", "path": "projects/{project}/regions/{region}/operations/{operation}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified region-specific Operations resource." }, "get": { "parameters": { "region": { "description": "Name of the region for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "operation": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string", "description": "Name of the Operations resource to return." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/operations/{operation}", "description": "Retrieves the specified region-specific Operations resource.", "id": "compute.regionOperations.get", "parameterOrder": [ "project", "region", "operation" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/operations/{operation}", "httpMethod": "GET" }, "list": { "path": "projects/{project}/regions/{region}/operations", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ], "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "region": { "type": "string", "description": "Name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "maxResults": { "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "format": "uint32" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "description": "Retrieves a list of Operation resources contained within the specified region.", "response": { "$ref": "OperationList" }, "id": "compute.regionOperations.list" } } }, "routers": { "methods": { "list": { "response": { "$ref": "RouterList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.routers.list", "parameters": { "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path", "type": "string" }, "maxResults": { "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "description": "Retrieves a list of Router resources available to the specified project.", "path": "projects/{project}/regions/{region}/routers", "flatPath": "projects/{project}/regions/{region}/routers", "httpMethod": "GET", "parameterOrder": [ "project", "region" ] }, "getNatMappingInfo": { "flatPath": "projects/{project}/regions/{region}/routers/{router}/getNatMappingInfo", "httpMethod": "GET", "description": "Retrieves runtime Nat mapping information of VM endpoints.", "path": "projects/{project}/regions/{region}/routers/{router}/getNatMappingInfo", "parameterOrder": [ "project", "region", "router" ], "response": { "$ref": "VmEndpointNatMappingsList" }, "id": "compute.routers.getNatMappingInfo", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true }, "maxResults": { "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer", "default": "500" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "natName": { "location": "query", "type": "string", "description": "Name of the nat service to filter the Nat Mapping information. If it is omitted, all nats for this router will be returned. Name should conform to RFC1035." }, "router": { "location": "path", "description": "Name of the Router resource to query for Nat Mapping information of VM endpoints.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "region": { "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "getRouterStatus": { "flatPath": "projects/{project}/regions/{region}/routers/{router}/getRouterStatus", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves runtime information of the specified router.", "httpMethod": "GET", "path": "projects/{project}/regions/{region}/routers/{router}/getRouterStatus", "id": "compute.routers.getRouterStatus", "parameterOrder": [ "project", "region", "router" ], "parameters": { "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "router": { "type": "string", "description": "Name of the Router resource to query.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region for this request." } }, "response": { "$ref": "RouterStatusResponse" } }, "insert": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "parameters": { "region": { "description": "Name of the region for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "id": "compute.routers.insert", "path": "projects/{project}/regions/{region}/routers", "description": "Creates a Router resource in the specified project and region using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/routers", "request": { "$ref": "Router" }, "httpMethod": "POST" }, "testIamPermissions": { "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.routers.testIamPermissions", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the region for this request.", "required": true }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "path": "projects/{project}/regions/{region}/routers/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/routers/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "update": { "flatPath": "projects/{project}/regions/{region}/routers/{router}", "description": "Updates the specified Router resource with the data included in the request. This method conforms to PUT semantics, which requests that the state of the target resource be created or replaced with the state defined by the representation enclosed in the request message payload.", "id": "compute.routers.update", "parameters": { "router": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the Router resource to update.", "required": true }, "region": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true } }, "path": "projects/{project}/regions/{region}/routers/{router}", "request": { "$ref": "Router" }, "parameterOrder": [ "project", "region", "router" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PUT" }, "get": { "response": { "$ref": "Router" }, "id": "compute.routers.get", "parameters": { "router": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Router resource to return.", "required": true, "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "required": true, "type": "string" } }, "parameterOrder": [ "project", "region", "router" ], "httpMethod": "GET", "path": "projects/{project}/regions/{region}/routers/{router}", "description": "Returns the specified Router resource. Gets a list of available routers by making a list() request.", "flatPath": "projects/{project}/regions/{region}/routers/{router}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "aggregatedList": { "parameterOrder": [ "project" ], "id": "compute.routers.aggregatedList", "flatPath": "projects/{project}/aggregated/routers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "location": "query", "minimum": "0", "format": "uint32" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "path": "projects/{project}/aggregated/routers", "description": "Retrieves an aggregated list of routers.", "httpMethod": "GET", "response": { "$ref": "RouterAggregatedList" } }, "patch": { "parameterOrder": [ "project", "region", "router" ], "path": "projects/{project}/regions/{region}/routers/{router}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "id": "compute.routers.patch", "flatPath": "projects/{project}/regions/{region}/routers/{router}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Patches the specified Router resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "request": { "$ref": "Router" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "location": "path", "type": "string", "required": true, "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "router": { "type": "string", "description": "Name of the Router resource to patch.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } } }, "delete": { "response": { "$ref": "Operation" }, "description": "Deletes the specified Router resource.", "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "type": "string", "required": true, "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "router": { "location": "path", "description": "Name of the Router resource to delete.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "parameterOrder": [ "project", "region", "router" ], "path": "projects/{project}/regions/{region}/routers/{router}", "flatPath": "projects/{project}/regions/{region}/routers/{router}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "id": "compute.routers.delete" }, "preview": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.routers.preview", "request": { "$ref": "Router" }, "flatPath": "projects/{project}/regions/{region}/routers/{router}/preview", "parameterOrder": [ "project", "region", "router" ], "path": "projects/{project}/regions/{region}/routers/{router}/preview", "description": "Preview fields auto-generated during router create and update operations. Calling this method does NOT create or update the router.", "response": { "$ref": "RoutersPreviewResponse" }, "httpMethod": "POST", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "router": { "type": "string", "description": "Name of the Router resource to query.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "region": { "type": "string", "required": true, "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } } } } }, "globalPublicDelegatedPrefixes": { "methods": { "list": { "response": { "$ref": "PublicDelegatedPrefixList" }, "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "type": "integer" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } }, "description": "Lists the global PublicDelegatedPrefixes for a project.", "httpMethod": "GET", "parameterOrder": [ "project" ], "path": "projects/{project}/global/publicDelegatedPrefixes", "id": "compute.globalPublicDelegatedPrefixes.list", "flatPath": "projects/{project}/global/publicDelegatedPrefixes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "insert": { "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.globalPublicDelegatedPrefixes.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a global PublicDelegatedPrefix in the specified project using the parameters that are included in the request.", "flatPath": "projects/{project}/global/publicDelegatedPrefixes", "request": { "$ref": "PublicDelegatedPrefix" }, "parameterOrder": [ "project" ], "path": "projects/{project}/global/publicDelegatedPrefixes" }, "patch": { "id": "compute.globalPublicDelegatedPrefixes.patch", "parameterOrder": [ "project", "publicDelegatedPrefix" ], "request": { "$ref": "PublicDelegatedPrefix" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "publicDelegatedPrefix": { "description": "Name of the PublicDelegatedPrefix resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "description": "Patches the specified global PublicDelegatedPrefix resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}" }, "get": { "response": { "$ref": "PublicDelegatedPrefix" }, "flatPath": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified global PublicDelegatedPrefix resource.", "parameterOrder": [ "project", "publicDelegatedPrefix" ], "path": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "id": "compute.globalPublicDelegatedPrefixes.get", "httpMethod": "GET", "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "publicDelegatedPrefix": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the PublicDelegatedPrefix resource to return.", "location": "path" } } }, "delete": { "parameters": { "publicDelegatedPrefix": { "required": true, "type": "string", "location": "path", "description": "Name of the PublicDelegatedPrefix resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "description": "Deletes the specified global PublicDelegatedPrefix.", "id": "compute.globalPublicDelegatedPrefixes.delete", "httpMethod": "DELETE", "parameterOrder": [ "project", "publicDelegatedPrefix" ] } } }, "regionNetworkFirewallPolicies": { "methods": { "insert": { "path": "projects/{project}/regions/{region}/firewallPolicies", "id": "compute.regionNetworkFirewallPolicies.insert", "httpMethod": "POST", "description": "Creates a new network firewall policy in the specified project and region.", "flatPath": "projects/{project}/regions/{region}/firewallPolicies", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "FirewallPolicy" }, "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } } }, "cloneRules": { "parameters": { "sourceFirewallPolicy": { "description": "The firewall policy from which to copy rules.", "type": "string", "location": "query" }, "firewallPolicy": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to update.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/cloneRules", "description": "Copies rules to the specified network firewall policy.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionNetworkFirewallPolicies.cloneRules", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/cloneRules", "httpMethod": "POST", "parameterOrder": [ "project", "region", "firewallPolicy" ] }, "setIamPolicy": { "path": "projects/{project}/regions/{region}/firewallPolicies/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "RegionSetPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{resource}/setIamPolicy", "httpMethod": "POST", "response": { "$ref": "Policy" }, "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "region": { "required": true, "type": "string", "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "id": "compute.regionNetworkFirewallPolicies.setIamPolicy" }, "get": { "httpMethod": "GET", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "id": "compute.regionNetworkFirewallPolicies.get", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "parameterOrder": [ "project", "region", "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "FirewallPolicy" }, "parameters": { "firewallPolicy": { "required": true, "type": "string", "description": "Name of the firewall policy to get.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "region": { "required": true, "location": "path", "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "description": "Returns the specified network firewall policy." }, "getAssociation": { "response": { "$ref": "FirewallPolicyAssociation" }, "id": "compute.regionNetworkFirewallPolicies.getAssociation", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getAssociation", "httpMethod": "GET", "description": "Gets an association with the specified name.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "name": { "description": "The name of the association to get from the firewall policy.", "type": "string", "location": "query" }, "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the firewall policy to which the queried association belongs.", "type": "string", "required": true } }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getAssociation", "parameterOrder": [ "project", "region", "firewallPolicy" ] }, "addAssociation": { "description": "Inserts an association for the specified network firewall policy.", "request": { "$ref": "FirewallPolicyAssociation" }, "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "firewallPolicy": { "required": true, "description": "Name of the firewall policy to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string" }, "replaceExistingAssociation": { "type": "boolean", "location": "query", "description": "Indicates whether or not to replace it if an association already exists. This is false by default, in which case an error will be returned if an association already exists." } }, "id": "compute.regionNetworkFirewallPolicies.addAssociation", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addAssociation", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "firewallPolicy" ], "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "removeRule": { "id": "compute.regionNetworkFirewallPolicies.removeRule", "parameters": { "firewallPolicy": { "description": "Name of the firewall policy to update.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "description": "Name of the region scoping this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "priority": { "format": "int32", "type": "integer", "description": "The priority of the rule to remove from the firewall policy.", "location": "query" } }, "httpMethod": "POST", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeRule", "parameterOrder": [ "project", "region", "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeRule", "description": "Deletes a rule of the specified priority." }, "list": { "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/firewallPolicies", "parameterOrder": [ "project", "region" ], "response": { "$ref": "FirewallPolicyList" }, "id": "compute.regionNetworkFirewallPolicies.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/firewallPolicies", "parameters": { "region": { "description": "Name of the region scoping this request.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "maxResults": { "location": "query", "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } }, "description": "Lists all the network firewall policies that have been configured for the specified project in the given region." }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{resource}/testIamPermissions", "path": "projects/{project}/regions/{region}/firewallPolicies/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "id": "compute.regionNetworkFirewallPolicies.testIamPermissions", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "region": { "location": "path", "description": "The name of the region for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "Name or id of the resource for this request." } } }, "getEffectiveFirewalls": { "parameterOrder": [ "project", "region", "network" ], "path": "projects/{project}/regions/{region}/firewallPolicies/getEffectiveFirewalls", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse" }, "httpMethod": "GET", "description": "Returns the effective firewalls on a given network.", "id": "compute.regionNetworkFirewallPolicies.getEffectiveFirewalls", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "region": { "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" }, "network": { "description": "Network reference", "location": "query", "type": "string", "required": true } }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/getEffectiveFirewalls" }, "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Policy" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "location": "query", "format": "int32" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name or id of the resource for this request." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "The name of the region for this request.", "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{resource}/getIamPolicy", "id": "compute.regionNetworkFirewallPolicies.getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/firewallPolicies/{resource}/getIamPolicy" }, "patch": { "id": "compute.regionNetworkFirewallPolicies.patch", "parameterOrder": [ "project", "region", "firewallPolicy" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "type": "string", "description": "Name of the region scoping this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the firewall policy to update.", "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "response": { "$ref": "Operation" }, "description": "Patches the specified network firewall policy.", "request": { "$ref": "FirewallPolicy" } }, "delete": { "parameterOrder": [ "project", "region", "firewallPolicy" ], "id": "compute.regionNetworkFirewallPolicies.delete", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "description": "Deletes the specified network firewall policy.", "parameters": { "firewallPolicy": { "description": "Name of the firewall policy to delete.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "region": { "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "response": { "$ref": "Operation" } }, "patchRule": { "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/patchRule", "description": "Patches a rule of the specified priority.", "id": "compute.regionNetworkFirewallPolicies.patchRule", "parameterOrder": [ "project", "region", "firewallPolicy" ], "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/patchRule", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request." }, "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the firewall policy to update.", "type": "string" }, "priority": { "type": "integer", "format": "int32", "location": "query", "description": "The priority of the rule to patch." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "response": { "$ref": "Operation" }, "request": { "$ref": "FirewallPolicyRule" } }, "removeAssociation": { "id": "compute.regionNetworkFirewallPolicies.removeAssociation", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "firewallPolicy" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeAssociation", "description": "Removes an association for the specified network firewall policy.", "parameters": { "region": { "location": "path", "description": "Name of the region scoping this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "firewallPolicy": { "description": "Name of the firewall policy to update.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "name": { "type": "string", "location": "query", "description": "Name for the association that will be removed." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "getRule": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getRule", "response": { "$ref": "FirewallPolicyRule" }, "parameterOrder": [ "project", "region", "firewallPolicy" ], "parameters": { "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to which the queried rule belongs.", "type": "string", "location": "path", "required": true }, "priority": { "format": "int32", "location": "query", "description": "The priority of the rule to get from the firewall policy.", "type": "integer" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" } }, "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getRule", "httpMethod": "GET", "description": "Gets a rule of the specified priority.", "id": "compute.regionNetworkFirewallPolicies.getRule" }, "addRule": { "id": "compute.regionNetworkFirewallPolicies.addRule", "httpMethod": "POST", "parameterOrder": [ "project", "region", "firewallPolicy" ], "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addRule", "request": { "$ref": "FirewallPolicyRule" }, "parameters": { "maxPriority": { "type": "integer", "location": "query", "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "format": "int32" }, "firewallPolicy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the firewall policy to update." }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "minPriority": { "type": "integer", "location": "query", "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "format": "int32" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addRule", "description": "Inserts a rule into a network firewall policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "machineImages": { "methods": { "getIamPolicy": { "id": "compute.machineImages.getIamPolicy", "httpMethod": "GET", "response": { "$ref": "Policy" }, "path": "projects/{project}/global/machineImages/{resource}/getIamPolicy", "parameterOrder": [ "project", "resource" ], "parameters": { "resource": { "type": "string", "location": "path", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "optionsRequestedPolicyVersion": { "type": "integer", "location": "query", "format": "int32", "description": "Requested IAM Policy version." } }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/machineImages/{resource}/getIamPolicy" }, "get": { "description": "Returns the specified machine image. Gets a list of available machine images by making a list() request.", "httpMethod": "GET", "path": "projects/{project}/global/machineImages/{machineImage}", "parameters": { "machineImage": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "The name of the machine image.", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "machineImage" ], "id": "compute.machineImages.get", "response": { "$ref": "MachineImage" }, "flatPath": "projects/{project}/global/machineImages/{machineImage}" }, "testIamPermissions": { "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/global/machineImages/{resource}/testIamPermissions", "id": "compute.machineImages.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "path": "projects/{project}/global/machineImages/{resource}/testIamPermissions", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } } }, "insert": { "description": "Creates a machine image in the specified project using the data that is included in the request. If you are creating a new machine image to update an existing instance, your new machine image should use the same network or, if applicable, the same subnetwork as the original instance.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/machineImages", "request": { "$ref": "MachineImage" }, "path": "projects/{project}/global/machineImages", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "sourceInstance": { "description": "Required. Source instance that is used to create the machine image from.", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "id": "compute.machineImages.insert" }, "setIamPolicy": { "parameterOrder": [ "project", "resource" ], "request": { "$ref": "GlobalSetPolicyRequest" }, "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.machineImages.setIamPolicy", "flatPath": "projects/{project}/global/machineImages/{resource}/setIamPolicy", "path": "projects/{project}/global/machineImages/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy." }, "delete": { "parameterOrder": [ "project", "machineImage" ], "id": "compute.machineImages.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/machineImages/{machineImage}", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "machineImage": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The name of the machine image to delete.", "location": "path", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "description": "Deletes the specified machine image. Deleting a machine image is permanent and cannot be undone.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/machineImages/{machineImage}" }, "list": { "path": "projects/{project}/global/machineImages", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "id": "compute.machineImages.list", "httpMethod": "GET", "response": { "$ref": "MachineImageList" }, "flatPath": "projects/{project}/global/machineImages", "description": "Retrieves a list of machine images that are contained within the specified project.", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "minimum": "0", "location": "query", "default": "500" } } } } }, "snapshots": { "methods": { "setLabels": { "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/snapshots/{resource}/setLabels", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "location": "path" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "request": { "$ref": "GlobalSetLabelsRequest" }, "description": "Sets the labels on a snapshot. To learn more about labels, read the Labeling Resources documentation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/snapshots/{resource}/setLabels", "id": "compute.snapshots.setLabels" }, "insert": { "response": { "$ref": "Operation" }, "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" } }, "parameterOrder": [ "project" ], "description": "Creates a snapshot in the specified project using the data included in the request. For regular snapshot creation, consider using this method instead of disks.createSnapshot, as this method supports more features, such as creating snapshots in a project different from the source disk project.", "flatPath": "projects/{project}/global/snapshots", "id": "compute.snapshots.insert", "path": "projects/{project}/global/snapshots", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Snapshot" }, "httpMethod": "POST" }, "testIamPermissions": { "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/global/snapshots/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/snapshots/{resource}/testIamPermissions", "id": "compute.snapshots.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "parameters": { "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "parameterOrder": [ "project", "resource" ] }, "getIamPolicy": { "httpMethod": "GET", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "response": { "$ref": "Policy" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "resource": { "description": "Name or id of the resource for this request.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "optionsRequestedPolicyVersion": { "location": "query", "type": "integer", "description": "Requested IAM Policy version.", "format": "int32" } }, "flatPath": "projects/{project}/global/snapshots/{resource}/getIamPolicy", "id": "compute.snapshots.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/snapshots/{resource}/getIamPolicy" }, "get": { "response": { "$ref": "Snapshot" }, "parameterOrder": [ "project", "snapshot" ], "path": "projects/{project}/global/snapshots/{snapshot}", "id": "compute.snapshots.get", "parameters": { "snapshot": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name of the Snapshot resource to return." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "description": "Returns the specified Snapshot resource. Gets a list of available snapshots by making a list() request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/global/snapshots/{snapshot}" }, "list": { "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "minimum": "0", "location": "query", "type": "integer", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } }, "httpMethod": "GET", "path": "projects/{project}/global/snapshots", "description": "Retrieves the list of Snapshot resources contained within the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SnapshotList" }, "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/snapshots", "id": "compute.snapshots.list" }, "delete": { "id": "compute.snapshots.delete", "path": "projects/{project}/global/snapshots/{snapshot}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "snapshot" ], "httpMethod": "DELETE", "description": "Deletes the specified Snapshot resource. Keep in mind that deleting a single snapshot might not necessarily delete all the data on that snapshot. If any data on the snapshot that is marked for deletion is needed for subsequent snapshots, the data will be moved to the next corresponding snapshot. For more information, see Deleting snapshots.", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "snapshot": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the Snapshot resource to delete.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/snapshots/{snapshot}" }, "setIamPolicy": { "parameterOrder": [ "project", "resource" ], "response": { "$ref": "Policy" }, "id": "compute.snapshots.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "GlobalSetPolicyRequest" }, "parameters": { "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request.", "type": "string" } }, "httpMethod": "POST", "path": "projects/{project}/global/snapshots/{resource}/setIamPolicy", "flatPath": "projects/{project}/global/snapshots/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy." } } }, "regionAutoscalers": { "methods": { "update": { "request": { "$ref": "Autoscaler" }, "description": "Updates an autoscaler in the specified project using the data included in the request.", "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/autoscalers", "path": "projects/{project}/regions/{region}/autoscalers", "httpMethod": "PUT", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "autoscaler": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "query", "description": "Name of the autoscaler to update." }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request." } }, "id": "compute.regionAutoscalers.update" }, "delete": { "flatPath": "projects/{project}/regions/{region}/autoscalers/{autoscaler}", "description": "Deletes the specified autoscaler.", "id": "compute.regionAutoscalers.delete", "httpMethod": "DELETE", "path": "projects/{project}/regions/{region}/autoscalers/{autoscaler}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "autoscaler" ], "response": { "$ref": "Operation" }, "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region scoping this request.", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "autoscaler": { "location": "path", "type": "string", "required": true, "description": "Name of the autoscaler to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." } } }, "testIamPermissions": { "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "path": "projects/{project}/regions/{region}/autoscalers/{resource}/testIamPermissions", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "region": { "location": "path", "type": "string", "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "flatPath": "projects/{project}/regions/{region}/autoscalers/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionAutoscalers.testIamPermissions" }, "list": { "path": "projects/{project}/regions/{region}/autoscalers", "flatPath": "projects/{project}/regions/{region}/autoscalers", "httpMethod": "GET", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionAutoscalers.list", "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "maxResults": { "format": "uint32", "type": "integer", "minimum": "0", "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } }, "response": { "$ref": "RegionAutoscalerList" }, "description": "Retrieves a list of autoscalers contained within the specified region." }, "insert": { "id": "compute.regionAutoscalers.insert", "request": { "$ref": "Autoscaler" }, "description": "Creates an autoscaler in the specified project using the data included in the request.", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/autoscalers", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/autoscalers", "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true } }, "httpMethod": "POST" }, "get": { "httpMethod": "GET", "parameters": { "autoscaler": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the autoscaler to return.", "required": true }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/autoscalers/{autoscaler}", "id": "compute.regionAutoscalers.get", "parameterOrder": [ "project", "region", "autoscaler" ], "path": "projects/{project}/regions/{region}/autoscalers/{autoscaler}", "response": { "$ref": "Autoscaler" }, "description": "Returns the specified autoscaler.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "patch": { "id": "compute.regionAutoscalers.patch", "flatPath": "projects/{project}/regions/{region}/autoscalers", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "autoscaler": { "type": "string", "location": "query", "description": "Name of the autoscaler to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "region": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." } }, "path": "projects/{project}/regions/{region}/autoscalers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "request": { "$ref": "Autoscaler" }, "description": "Updates an autoscaler in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "region" ] } } }, "autoscalers": { "methods": { "get": { "id": "compute.autoscalers.get", "path": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the zone for this request.", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "autoscaler": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the autoscaler to return.", "required": true } }, "httpMethod": "GET", "parameterOrder": [ "project", "zone", "autoscaler" ], "response": { "$ref": "Autoscaler" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}", "description": "Returns the specified autoscaler resource. Gets a list of available autoscalers by making a list() request." }, "insert": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "compute.autoscalers.insert", "path": "projects/{project}/zones/{zone}/autoscalers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone" ], "description": "Creates an autoscaler in the specified project using the data included in the request.", "request": { "$ref": "Autoscaler" }, "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone for this request.", "location": "path" } }, "flatPath": "projects/{project}/zones/{zone}/autoscalers" }, "delete": { "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "autoscaler": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the autoscaler to delete." }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the zone for this request.", "location": "path" } }, "parameterOrder": [ "project", "zone", "autoscaler" ], "flatPath": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}", "response": { "$ref": "Operation" }, "id": "compute.autoscalers.delete", "description": "Deletes the specified autoscaler.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}", "httpMethod": "DELETE" }, "list": { "flatPath": "projects/{project}/zones/{zone}/autoscalers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.autoscalers.list", "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "minimum": "0", "default": "500" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "Name of the zone for this request.", "type": "string" } }, "description": "Retrieves a list of autoscalers contained within the specified zone.", "response": { "$ref": "AutoscalerList" }, "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/autoscalers", "parameterOrder": [ "project", "zone" ] }, "testIamPermissions": { "parameterOrder": [ "project", "zone", "resource" ], "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "location": "path", "type": "string" }, "resource": { "location": "path", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/zones/{zone}/autoscalers/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/zones/{zone}/autoscalers/{resource}/testIamPermissions", "httpMethod": "POST", "id": "compute.autoscalers.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource." }, "patch": { "response": { "$ref": "Operation" }, "parameters": { "autoscaler": { "type": "string", "location": "query", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the autoscaler to patch." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "zone": { "required": true, "location": "path", "type": "string", "description": "Name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" } }, "path": "projects/{project}/zones/{zone}/autoscalers", "httpMethod": "PATCH", "request": { "$ref": "Autoscaler" }, "flatPath": "projects/{project}/zones/{zone}/autoscalers", "id": "compute.autoscalers.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Updates an autoscaler in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "zone" ] }, "update": { "parameterOrder": [ "project", "zone" ], "flatPath": "projects/{project}/zones/{zone}/autoscalers", "id": "compute.autoscalers.update", "description": "Updates an autoscaler in the specified project using the data included in the request.", "request": { "$ref": "Autoscaler" }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PUT", "path": "projects/{project}/zones/{zone}/autoscalers", "parameters": { "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone for this request.", "required": true, "location": "path" }, "autoscaler": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the autoscaler to update.", "location": "query", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "aggregatedList": { "path": "projects/{project}/aggregated/autoscalers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.autoscalers.aggregatedList", "response": { "$ref": "AutoscalerAggregatedList" }, "flatPath": "projects/{project}/aggregated/autoscalers", "description": "Retrieves an aggregated list of autoscalers.", "httpMethod": "GET", "parameterOrder": [ "project" ], "parameters": { "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "maxResults": { "format": "uint32", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true } } } } }, "securityPolicies": { "methods": { "get": { "httpMethod": "GET", "description": "List all of the ordered rules present in a single specified policy.", "id": "compute.securityPolicies.get", "response": { "$ref": "SecurityPolicy" }, "parameterOrder": [ "project", "securityPolicy" ], "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}", "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "securityPolicy": { "required": true, "description": "Name of the security policy to get.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/securityPolicies/{securityPolicy}" }, "testIamPermissions": { "path": "projects/{project}/global/securityPolicies/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "resource": { "location": "path", "type": "string", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "flatPath": "projects/{project}/global/securityPolicies/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.securityPolicies.testIamPermissions", "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "patchRule": { "parameterOrder": [ "project", "securityPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/securityPolicies/{securityPolicy}/patchRule", "description": "Patches a rule at the specified priority.", "id": "compute.securityPolicies.patchRule", "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/patchRule", "parameters": { "priority": { "description": "The priority of the rule to patch.", "type": "integer", "format": "int32", "location": "query" }, "validateOnly": { "type": "boolean", "location": "query", "description": "If true, the request will not be committed." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true }, "securityPolicy": { "description": "Name of the security policy to update.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "request": { "$ref": "SecurityPolicyRule" } }, "listPreconfiguredExpressionSets": { "response": { "$ref": "SecurityPoliciesListPreconfiguredExpressionSetsResponse" }, "description": "Gets the current list of preconfigured Web Application Firewall (WAF) expressions.", "httpMethod": "GET", "id": "compute.securityPolicies.listPreconfiguredExpressionSets", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/securityPolicies/listPreconfiguredExpressionSets", "path": "projects/{project}/global/securityPolicies/listPreconfiguredExpressionSets", "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "type": "integer", "format": "uint32" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } } }, "getRule": { "response": { "$ref": "SecurityPolicyRule" }, "description": "Gets a rule at the specified priority.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/securityPolicies/{securityPolicy}/getRule", "parameterOrder": [ "project", "securityPolicy" ], "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/getRule", "id": "compute.securityPolicies.getRule", "httpMethod": "GET", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "securityPolicy": { "description": "Name of the security policy to which the queried rule belongs.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true }, "priority": { "description": "The priority of the rule to get from the security policy.", "format": "int32", "location": "query", "type": "integer" } } }, "insert": { "id": "compute.securityPolicies.insert", "request": { "$ref": "SecurityPolicy" }, "parameterOrder": [ "project" ], "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "validateOnly": { "location": "query", "description": "If true, the request will not be committed.", "type": "boolean" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "description": "Creates a new policy in the specified project using the data included in the request.", "path": "projects/{project}/global/securityPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/securityPolicies" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/securityPolicies", "id": "compute.securityPolicies.list", "path": "projects/{project}/global/securityPolicies", "response": { "$ref": "SecurityPolicyList" }, "parameters": { "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "maxResults": { "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0", "default": "500" }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "httpMethod": "GET", "description": "List all the policies that have been configured for the specified project.", "parameterOrder": [ "project" ] }, "delete": { "description": "Deletes the specified policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "id": "compute.securityPolicies.delete", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "securityPolicy": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the security policy to delete.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "parameterOrder": [ "project", "securityPolicy" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/global/securityPolicies/{securityPolicy}", "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}" }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.securityPolicies.patch", "request": { "$ref": "SecurityPolicy" }, "path": "projects/{project}/global/securityPolicies/{securityPolicy}", "parameterOrder": [ "project", "securityPolicy" ], "description": "Patches the specified policy with the data included in the request. This cannot be used to be update the rules in the policy. Please use the per rule methods like addRule, patchRule, and removeRule instead.", "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}", "parameters": { "securityPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the security policy to update.", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" } }, "addRule": { "httpMethod": "POST", "id": "compute.securityPolicies.addRule", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/addRule", "parameters": { "validateOnly": { "type": "boolean", "description": "If true, the request will not be committed.", "location": "query" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "securityPolicy": { "location": "path", "description": "Name of the security policy to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" } }, "path": "projects/{project}/global/securityPolicies/{securityPolicy}/addRule", "request": { "$ref": "SecurityPolicyRule" }, "parameterOrder": [ "project", "securityPolicy" ], "description": "Inserts a rule into a security policy." }, "aggregatedList": { "id": "compute.securityPolicies.aggregatedList", "description": "Retrieves the list of all SecurityPolicy resources, regional and global, available to the specified project.", "flatPath": "projects/{project}/aggregated/securityPolicies", "httpMethod": "GET", "path": "projects/{project}/aggregated/securityPolicies", "response": { "$ref": "SecurityPoliciesAggregatedList" }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "maxResults": { "type": "integer", "default": "500", "minimum": "0", "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Name of the project scoping this request.", "required": true }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } } }, "removeRule": { "path": "projects/{project}/global/securityPolicies/{securityPolicy}/removeRule", "parameterOrder": [ "project", "securityPolicy" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.securityPolicies.removeRule", "parameters": { "securityPolicy": { "required": true, "location": "path", "description": "Name of the security policy to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "priority": { "format": "int32", "description": "The priority of the rule to remove from the security policy.", "location": "query", "type": "integer" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true } }, "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/removeRule", "description": "Deletes a rule at the specified priority.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setLabels": { "flatPath": "projects/{project}/global/securityPolicies/{resource}/setLabels", "request": { "$ref": "GlobalSetLabelsRequest" }, "description": "Sets the labels on a security policy. To learn more about labels, read the Labeling Resources documentation.", "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "resource": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request." } }, "parameterOrder": [ "project", "resource" ], "id": "compute.securityPolicies.setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/securityPolicies/{resource}/setLabels", "httpMethod": "POST" } } }, "disks": { "methods": { "addResourcePolicies": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/disks/{disk}/addResourcePolicies", "description": "Adds existing resource policies to a disk. You can only add one policy which will be applied to this disk for scheduling snapshot creation.", "httpMethod": "POST", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "disk": { "description": "The disk name for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" }, "zone": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request." } }, "parameterOrder": [ "project", "zone", "disk" ], "request": { "$ref": "DisksAddResourcePoliciesRequest" }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/addResourcePolicies", "id": "compute.disks.addResourcePolicies" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.disks.insert", "parameterOrder": [ "project", "zone" ], "parameters": { "sourceImage": { "type": "string", "location": "query", "description": "Source image to restore onto a disk. This field is optional." }, "zone": { "required": true, "description": "The name of the zone for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Creates a persistent disk in the specified project using the data in the request. You can create a disk from a source (sourceImage, sourceSnapshot, or sourceDisk) or create an empty 500 GB data disk by omitting all properties. You can also create a disk that is larger than the default size by specifying the sizeGb property.", "path": "projects/{project}/zones/{zone}/disks", "request": { "$ref": "Disk" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/disks" }, "aggregatedList": { "path": "projects/{project}/aggregated/disks", "flatPath": "projects/{project}/aggregated/disks", "parameters": { "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "maxResults": { "default": "500", "location": "query", "type": "integer", "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "response": { "$ref": "DiskAggregatedList" }, "id": "compute.disks.aggregatedList", "parameterOrder": [ "project" ], "httpMethod": "GET", "description": "Retrieves an aggregated list of persistent disks.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "removeResourcePolicies": { "description": "Removes resource policies from a disk.", "id": "compute.disks.removeResourcePolicies", "request": { "$ref": "DisksRemoveResourcePoliciesRequest" }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/removeResourcePolicies", "path": "projects/{project}/zones/{zone}/disks/{disk}/removeResourcePolicies", "httpMethod": "POST", "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "type": "string", "description": "The name of the zone for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "disk": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The disk name for this request.", "location": "path", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "disk" ] }, "get": { "parameters": { "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "The name of the zone for this request." }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "disk": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the persistent disk to return." } }, "path": "projects/{project}/zones/{zone}/disks/{disk}", "parameterOrder": [ "project", "zone", "disk" ], "id": "compute.disks.get", "description": "Returns a specified persistent disk. Gets a list of available persistent disks by making a list() request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Disk" }, "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/disks/{disk}" }, "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/disks/{disk}", "request": { "$ref": "Disk" }, "parameterOrder": [ "project", "zone", "disk" ], "parameters": { "disk": { "location": "path", "type": "string", "description": "The disk name for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "paths": { "type": "string", "repeated": true, "location": "query" }, "zone": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "update_mask indicates fields to be updated as part of this request.", "location": "query" } }, "id": "compute.disks.update", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}", "description": "Updates the specified disk with the data included in the request. The update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: user_license.", "httpMethod": "PATCH" }, "stopGroupAsyncReplication": { "parameterOrder": [ "project", "zone" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Stops asynchronous replication for a consistency group of disks. Can be invoked either in the primary or secondary scope.", "id": "compute.disks.stopGroupAsyncReplication", "request": { "$ref": "DisksStopGroupAsyncReplicationRequest" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request. This must be the zone of the primary or secondary disks in the consistency group.", "type": "string", "required": true, "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/zones/{zone}/disks/stopGroupAsyncReplication", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/disks/stopGroupAsyncReplication" }, "setLabels": { "description": "Sets the labels on a disk. To learn more about labels, read the Labeling Resources documentation.", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "required": true, "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "request": { "$ref": "ZoneSetLabelsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/setLabels", "parameterOrder": [ "project", "zone", "resource" ], "httpMethod": "POST", "id": "compute.disks.setLabels", "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/disks/{resource}/setLabels" }, "resize": { "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/resize", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Resizes the specified persistent disk. You can only increase the size of the disk.", "httpMethod": "POST", "id": "compute.disks.resize", "parameterOrder": [ "project", "zone", "disk" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "disk": { "location": "path", "description": "The name of the persistent disk.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "location": "path", "type": "string" } }, "request": { "$ref": "DisksResizeRequest" }, "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/disks/{disk}/resize" }, "createSnapshot": { "httpMethod": "POST", "description": "Creates a snapshot of a specified persistent disk. For regular snapshot creation, consider using snapshots.insert instead, as that method supports more features, such as creating snapshots in a project different from the source disk project.", "id": "compute.disks.createSnapshot", "response": { "$ref": "Operation" }, "request": { "$ref": "Snapshot" }, "parameterOrder": [ "project", "zone", "disk" ], "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/createSnapshot", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/disks/{disk}/createSnapshot", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "guestFlush": { "description": "[Input Only] Whether to attempt an application consistent snapshot by informing the OS to prepare for the snapshot process.", "location": "query", "type": "boolean" }, "zone": { "description": "The name of the zone for this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "disk": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the persistent disk to snapshot.", "required": true } } }, "startAsyncReplication": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/startAsyncReplication", "request": { "$ref": "DisksStartAsyncReplicationRequest" }, "parameterOrder": [ "project", "zone", "disk" ], "path": "projects/{project}/zones/{zone}/disks/{disk}/startAsyncReplication", "description": "Starts asynchronous replication. Must be invoked on the primary disk.", "id": "compute.disks.startAsyncReplication", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "disk": { "description": "The name of the persistent disk.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "The name of the zone for this request." } } }, "getIamPolicy": { "parameters": { "optionsRequestedPolicyVersion": { "type": "integer", "format": "int32", "location": "query", "description": "Requested IAM Policy version." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "The name of the zone for this request.", "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "resource": { "required": true, "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "httpMethod": "GET", "response": { "$ref": "Policy" }, "id": "compute.disks.getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "projects/{project}/zones/{zone}/disks/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/getIamPolicy", "parameterOrder": [ "project", "zone", "resource" ] }, "list": { "httpMethod": "GET", "description": "Retrieves a list of persistent disks contained within the specified zone.", "path": "projects/{project}/zones/{zone}/disks", "parameters": { "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500", "format": "uint32", "location": "query", "type": "integer" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "required": true, "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" } }, "flatPath": "projects/{project}/zones/{zone}/disks", "id": "compute.disks.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone" ], "response": { "$ref": "DiskList" } }, "delete": { "response": { "$ref": "Operation" }, "parameters": { "disk": { "required": true, "description": "Name of the persistent disk to delete.", "type": "string", "location": "path" }, "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "path": "projects/{project}/zones/{zone}/disks/{disk}", "parameterOrder": [ "project", "zone", "disk" ], "flatPath": "projects/{project}/zones/{zone}/disks/{disk}", "httpMethod": "DELETE", "description": "Deletes the specified persistent disk. Deleting a disk removes its data permanently and is irreversible. However, deleting a disk does not delete any snapshots previously made from the disk. You must separately delete snapshots.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.disks.delete" }, "setIamPolicy": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request.", "required": true, "location": "path" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the zone for this request.", "type": "string" } }, "id": "compute.disks.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Policy" }, "request": { "$ref": "ZoneSetPolicyRequest" }, "parameterOrder": [ "project", "zone", "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/setIamPolicy", "path": "projects/{project}/zones/{zone}/disks/{resource}/setIamPolicy" }, "stopAsyncReplication": { "parameterOrder": [ "project", "zone", "disk" ], "path": "projects/{project}/zones/{zone}/disks/{disk}/stopAsyncReplication", "httpMethod": "POST", "description": "Stops asynchronous replication. Can be invoked either on the primary or on the secondary disk.", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "disk": { "location": "path", "description": "The name of the persistent disk.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "required": true } }, "request": { "$ref": "DisksStopAsyncReplicationRequest" }, "id": "compute.disks.stopAsyncReplication", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/stopAsyncReplication" }, "testIamPermissions": { "path": "projects/{project}/zones/{zone}/disks/{resource}/testIamPermissions", "id": "compute.disks.testIamPermissions", "parameters": { "zone": { "type": "string", "description": "The name of the zone for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "required": true, "type": "string", "location": "path" } }, "httpMethod": "POST", "parameterOrder": [ "project", "zone", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" } } } }, "targetPools": { "methods": { "setBackup": { "id": "compute.targetPools.setBackup", "description": "Changes a backup target pool's configurations.", "parameters": { "targetPool": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetPool resource to set a backup pool for.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request." }, "failoverRatio": { "location": "query", "description": "New failoverRatio value for the target pool.", "format": "float", "type": "number" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "response": { "$ref": "Operation" }, "request": { "$ref": "TargetReference" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "targetPool" ], "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/setBackup", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/setBackup" }, "addHealthCheck": { "parameterOrder": [ "project", "region", "targetPool" ], "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/addHealthCheck", "parameters": { "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "region": { "description": "Name of the region scoping this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "targetPool": { "required": true, "description": "Name of the target pool to add a health check to.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Adds health check URLs to a target pool.", "response": { "$ref": "Operation" }, "id": "compute.targetPools.addHealthCheck", "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/addHealthCheck", "httpMethod": "POST", "request": { "$ref": "TargetPoolsAddHealthCheckRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetPools.delete", "parameters": { "region": { "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "targetPool": { "location": "path", "required": true, "type": "string", "description": "Name of the TargetPool resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "path": "projects/{project}/regions/{region}/targetPools/{targetPool}", "description": "Deletes the specified target pool.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}", "parameterOrder": [ "project", "region", "targetPool" ] }, "getHealth": { "httpMethod": "POST", "response": { "$ref": "TargetPoolInstanceHealth" }, "id": "compute.targetPools.getHealth", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/getHealth", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets the most recent health check results for each IP for the instance that is referenced by the given target pool.", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true }, "targetPool": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetPool resource to which the queried instance belongs.", "required": true, "type": "string", "location": "path" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true } }, "request": { "$ref": "InstanceReference" }, "parameterOrder": [ "project", "region", "targetPool" ], "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/getHealth" }, "testIamPermissions": { "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "required": true, "type": "string", "location": "path" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the region for this request.", "location": "path" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "parameterOrder": [ "project", "region", "resource" ], "id": "compute.targetPools.testIamPermissions", "flatPath": "projects/{project}/regions/{region}/targetPools/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/targetPools/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST" }, "aggregatedList": { "parameterOrder": [ "project" ], "parameters": { "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "maxResults": { "type": "integer", "format": "uint32", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "path": "projects/{project}/aggregated/targetPools", "httpMethod": "GET", "id": "compute.targetPools.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetPoolAggregatedList" }, "flatPath": "projects/{project}/aggregated/targetPools", "description": "Retrieves an aggregated list of target pools." }, "removeHealthCheck": { "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeHealthCheck", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetPoolsRemoveHealthCheckRequest" }, "parameters": { "targetPool": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the target pool to remove health checks from." }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "Name of the region for this request." } }, "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeHealthCheck", "id": "compute.targetPools.removeHealthCheck", "parameterOrder": [ "project", "region", "targetPool" ], "description": "Removes health check URL from a target pool.", "response": { "$ref": "Operation" } }, "insert": { "description": "Creates a target pool in the specified project and region using the data included in the request.", "flatPath": "projects/{project}/regions/{region}/targetPools", "response": { "$ref": "Operation" }, "id": "compute.targetPools.insert", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/targetPools", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetPool" }, "parameterOrder": [ "project", "region" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path" } } }, "removeInstance": { "id": "compute.targetPools.removeInstance", "httpMethod": "POST", "request": { "$ref": "TargetPoolsRemoveInstanceRequest" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "targetPool": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path", "description": "Name of the TargetPool resource to remove instances from." }, "region": { "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true } }, "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeInstance", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeInstance", "parameterOrder": [ "project", "region", "targetPool" ], "response": { "$ref": "Operation" }, "description": "Removes instance URL from a target pool.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "type": "integer", "location": "query" } }, "path": "projects/{project}/regions/{region}/targetPools", "response": { "$ref": "TargetPoolList" }, "parameterOrder": [ "project", "region" ], "id": "compute.targetPools.list", "flatPath": "projects/{project}/regions/{region}/targetPools", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves a list of target pools available to the specified project and region." }, "addInstance": { "response": { "$ref": "Operation" }, "description": "Adds an instance to a target pool.", "parameterOrder": [ "project", "region", "targetPool" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/addInstance", "id": "compute.targetPools.addInstance", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetPool": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetPool resource to add instances to." }, "region": { "required": true, "location": "path", "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/addInstance", "request": { "$ref": "TargetPoolsAddInstanceRequest" } }, "get": { "description": "Returns the specified target pool. Gets a list of available target pools by making a list() request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetPool" }, "id": "compute.targetPools.get", "httpMethod": "GET", "parameters": { "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "Name of the region scoping this request." }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "targetPool": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the TargetPool resource to return." } }, "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}", "parameterOrder": [ "project", "region", "targetPool" ], "path": "projects/{project}/regions/{region}/targetPools/{targetPool}" } } }, "sslPolicies": { "methods": { "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.sslPolicies.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/sslPolicies/{resource}/testIamPermissions", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name or id of the resource for this request." } }, "httpMethod": "POST", "flatPath": "projects/{project}/global/sslPolicies/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ] }, "aggregatedList": { "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Name of the project scoping this request." }, "maxResults": { "minimum": "0", "location": "query", "type": "integer", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } }, "flatPath": "projects/{project}/aggregated/sslPolicies", "description": "Retrieves the list of all SslPolicy resources, regional and global, available to the specified project.", "path": "projects/{project}/aggregated/sslPolicies", "parameterOrder": [ "project" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SslPoliciesAggregatedList" }, "id": "compute.sslPolicies.aggregatedList" }, "get": { "path": "projects/{project}/global/sslPolicies/{sslPolicy}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "sslPolicy": { "description": "Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path", "required": true, "type": "string" } }, "flatPath": "projects/{project}/global/sslPolicies/{sslPolicy}", "httpMethod": "GET", "id": "compute.sslPolicies.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "sslPolicy" ], "description": "Lists all of the ordered rules present in a single specified policy.", "response": { "$ref": "SslPolicy" } }, "list": { "id": "compute.sslPolicies.list", "httpMethod": "GET", "parameters": { "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "maxResults": { "minimum": "0", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "parameterOrder": [ "project" ], "path": "projects/{project}/global/sslPolicies", "flatPath": "projects/{project}/global/sslPolicies", "description": "Lists all the SSL policies that have been configured for the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SslPoliciesList" } }, "delete": { "flatPath": "projects/{project}/global/sslPolicies/{sslPolicy}", "parameterOrder": [ "project", "sslPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.sslPolicies.delete", "response": { "$ref": "Operation" }, "description": "Deletes the specified SSL policy. The SSL policy resource can be deleted only if it is not in use by any TargetHttpsProxy or TargetSslProxy resources.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "sslPolicy": { "required": true, "type": "string", "description": "Name of the SSL policy to delete. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "path": "projects/{project}/global/sslPolicies/{sslPolicy}", "httpMethod": "DELETE" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Returns the specified SSL policy resource. Gets a list of available SSL policies by making a list() request.", "flatPath": "projects/{project}/global/sslPolicies", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "project" ], "path": "projects/{project}/global/sslPolicies", "request": { "$ref": "SslPolicy" }, "id": "compute.sslPolicies.insert", "httpMethod": "POST" }, "patch": { "path": "projects/{project}/global/sslPolicies/{sslPolicy}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "sslPolicy": { "type": "string", "description": "Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "parameterOrder": [ "project", "sslPolicy" ], "id": "compute.sslPolicies.patch", "description": "Patches the specified SSL policy with the data included in the request.", "request": { "$ref": "SslPolicy" }, "flatPath": "projects/{project}/global/sslPolicies/{sslPolicy}" }, "listAvailableFeatures": { "description": "Lists all features that can be specified in the SSL policy when using custom profile.", "id": "compute.sslPolicies.listAvailableFeatures", "parameters": { "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "location": "query", "format": "uint32", "minimum": "0" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "SslPoliciesListAvailableFeaturesResponse" }, "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/sslPolicies/listAvailableFeatures", "path": "projects/{project}/global/sslPolicies/listAvailableFeatures" } } }, "regionSslPolicies": { "methods": { "delete": { "httpMethod": "DELETE", "id": "compute.regionSslPolicies.delete", "path": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "sslPolicy" ], "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "sslPolicy": { "description": "Name of the SSL policy to delete. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path", "type": "string", "required": true } }, "description": "Deletes the specified SSL policy. The SSL policy resource can be deleted only if it is not in use by any TargetHttpsProxy or TargetSslProxy resources.", "flatPath": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}" }, "testIamPermissions": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/sslPolicies/{resource}/testIamPermissions", "parameters": { "region": { "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.regionSslPolicies.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/regions/{region}/sslPolicies/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" } }, "list": { "flatPath": "projects/{project}/regions/{region}/sslPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/sslPolicies", "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "maxResults": { "format": "uint32", "minimum": "0", "type": "integer", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" } }, "id": "compute.regionSslPolicies.list", "description": "Lists all the SSL policies that have been configured for the specified project and region.", "response": { "$ref": "SslPoliciesList" }, "httpMethod": "GET", "parameterOrder": [ "project", "region" ] }, "listAvailableFeatures": { "id": "compute.regionSslPolicies.listAvailableFeatures", "path": "projects/{project}/regions/{region}/sslPolicies/listAvailableFeatures", "parameters": { "region": { "type": "string", "description": "Name of the region scoping this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "minimum": "0", "format": "uint32", "default": "500", "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "parameterOrder": [ "project", "region" ], "response": { "$ref": "SslPoliciesListAvailableFeaturesResponse" }, "description": "Lists all features that can be specified in the SSL policy when using custom profile.", "flatPath": "projects/{project}/regions/{region}/sslPolicies/listAvailableFeatures", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET" }, "patch": { "description": "Patches the specified SSL policy with the data included in the request.", "id": "compute.regionSslPolicies.patch", "parameters": { "region": { "required": true, "type": "string", "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "sslPolicy": { "location": "path", "description": "Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string", "required": true } }, "path": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "flatPath": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "parameterOrder": [ "project", "region", "sslPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "request": { "$ref": "SslPolicy" }, "httpMethod": "PATCH" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a new policy in the specified project and region using the data included in the request.", "id": "compute.regionSslPolicies.insert", "parameterOrder": [ "project", "region" ], "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/sslPolicies", "request": { "$ref": "SslPolicy" }, "path": "projects/{project}/regions/{region}/sslPolicies", "response": { "$ref": "Operation" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists all of the ordered rules present in a single specified policy.", "id": "compute.regionSslPolicies.get", "flatPath": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "response": { "$ref": "SslPolicy" }, "httpMethod": "GET", "path": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "sslPolicy": { "description": "Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string", "location": "path", "required": true }, "region": { "description": "Name of the region scoping this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "parameterOrder": [ "project", "region", "sslPolicy" ] } } }, "httpsHealthChecks": { "methods": { "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PUT", "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "parameterOrder": [ "project", "httpsHealthCheck" ], "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "httpsHealthCheck": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the HttpsHealthCheck resource to update.", "location": "path" }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Updates a HttpsHealthCheck resource in the specified project using the data included in the request.", "request": { "$ref": "HttpsHealthCheck" }, "id": "compute.httpsHealthChecks.update" }, "list": { "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "maxResults": { "minimum": "0", "type": "integer", "default": "500", "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/global/httpsHealthChecks", "path": "projects/{project}/global/httpsHealthChecks", "description": "Retrieves the list of HttpsHealthCheck resources available to the specified project.", "httpMethod": "GET", "response": { "$ref": "HttpsHealthCheckList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.httpsHealthChecks.list", "parameterOrder": [ "project" ] }, "testIamPermissions": { "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/global/httpsHealthChecks/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.httpsHealthChecks.testIamPermissions", "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "type": "string" }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "httpMethod": "POST", "path": "projects/{project}/global/httpsHealthChecks/{resource}/testIamPermissions" }, "patch": { "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "parameterOrder": [ "project", "httpsHealthCheck" ], "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "httpsHealthCheck": { "description": "Name of the HttpsHealthCheck resource to patch.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "response": { "$ref": "Operation" }, "id": "compute.httpsHealthChecks.patch", "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "description": "Updates a HttpsHealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "request": { "$ref": "HttpsHealthCheck" } }, "get": { "httpMethod": "GET", "parameterOrder": [ "project", "httpsHealthCheck" ], "parameters": { "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "httpsHealthCheck": { "required": true, "location": "path", "description": "Name of the HttpsHealthCheck resource to return.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.httpsHealthChecks.get", "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "description": "Returns the specified HttpsHealthCheck resource. Gets a list of available HTTPS health checks by making a list() request.", "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "HttpsHealthCheck" } }, "delete": { "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.httpsHealthChecks.delete", "description": "Deletes the specified HttpsHealthCheck resource.", "parameterOrder": [ "project", "httpsHealthCheck" ], "httpMethod": "DELETE", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "httpsHealthCheck": { "description": "Name of the HttpsHealthCheck resource to delete.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}" }, "insert": { "description": "Creates a HttpsHealthCheck resource in the specified project using the data included in the request.", "id": "compute.httpsHealthChecks.insert", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/global/httpsHealthChecks", "request": { "$ref": "HttpsHealthCheck" }, "httpMethod": "POST", "flatPath": "projects/{project}/global/httpsHealthChecks" } } }, "regionHealthChecks": { "methods": { "list": { "response": { "$ref": "HealthCheckList" }, "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/healthChecks", "flatPath": "projects/{project}/regions/{region}/healthChecks", "description": "Retrieves the list of HealthCheck resources available to the specified project.", "httpMethod": "GET", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "region": { "location": "path", "required": true, "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "minimum": "0", "type": "integer" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionHealthChecks.list" }, "insert": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "region": { "required": true, "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/healthChecks", "description": "Creates a HealthCheck resource in the specified project using the data included in the request.", "path": "projects/{project}/regions/{region}/healthChecks", "id": "compute.regionHealthChecks.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "HealthCheck" }, "parameterOrder": [ "project", "region" ] }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/regions/{region}/healthChecks/{resource}/testIamPermissions", "id": "compute.regionHealthChecks.testIamPermissions", "path": "projects/{project}/regions/{region}/healthChecks/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "parameters": { "resource": { "description": "Name or id of the resource for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the region for this request.", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" } }, "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" } }, "get": { "response": { "$ref": "HealthCheck" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "healthCheck" ], "description": "Returns the specified HealthCheck resource. Gets a list of available health checks by making a list() request.", "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true, "description": "Name of the region scoping this request." }, "healthCheck": { "type": "string", "location": "path", "description": "Name of the HealthCheck resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "id": "compute.regionHealthChecks.get", "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "httpMethod": "GET" }, "patch": { "request": { "$ref": "HealthCheck" }, "response": { "$ref": "Operation" }, "id": "compute.regionHealthChecks.patch", "description": "Updates a HealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameters": { "healthCheck": { "description": "Name of the HealthCheck resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "region": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "healthCheck" ], "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "httpMethod": "PATCH" }, "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "HealthCheck" }, "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "response": { "$ref": "Operation" }, "description": "Updates a HealthCheck resource in the specified project using the data included in the request.", "parameters": { "healthCheck": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the HealthCheck resource to update.", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true, "description": "Name of the region scoping this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "PUT", "parameterOrder": [ "project", "region", "healthCheck" ], "id": "compute.regionHealthChecks.update" }, "delete": { "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "httpMethod": "DELETE", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "region": { "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" }, "healthCheck": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the HealthCheck resource to delete." } }, "description": "Deletes the specified HealthCheck resource.", "parameterOrder": [ "project", "region", "healthCheck" ], "response": { "$ref": "Operation" }, "id": "compute.regionHealthChecks.delete", "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "regionSecurityPolicies": { "methods": { "list": { "parameters": { "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "location": "query", "type": "integer" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region scoping this request." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/securityPolicies", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/securityPolicies", "response": { "$ref": "SecurityPolicyList" }, "description": "List all the policies that have been configured for the specified project and region.", "id": "compute.regionSecurityPolicies.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "path": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "response": { "$ref": "Operation" }, "description": "Deletes the specified policy.", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "region": { "type": "string", "required": true, "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "securityPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true, "description": "Name of the security policy to delete." } }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionSecurityPolicies.delete", "flatPath": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "parameterOrder": [ "project", "region", "securityPolicy" ] }, "patch": { "path": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "response": { "$ref": "Operation" }, "request": { "$ref": "SecurityPolicy" }, "id": "compute.regionSecurityPolicies.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "flatPath": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "parameters": { "region": { "description": "Name of the region scoping this request.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "securityPolicy": { "type": "string", "description": "Name of the security policy to update.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "region", "securityPolicy" ], "description": "Patches the specified policy with the data included in the request." }, "get": { "id": "compute.regionSecurityPolicies.get", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "path": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "securityPolicy" ], "description": "List all of the ordered rules present in a single specified policy.", "response": { "$ref": "SecurityPolicy" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path" }, "securityPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the security policy to get." } } }, "insert": { "flatPath": "projects/{project}/regions/{region}/securityPolicies", "parameterOrder": [ "project", "region" ], "request": { "$ref": "SecurityPolicy" }, "description": "Creates a new policy in the specified project using the data included in the request.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/securityPolicies", "response": { "$ref": "Operation" }, "id": "compute.regionSecurityPolicies.insert", "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "region": { "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "validateOnly": { "description": "If true, the request will not be committed.", "location": "query", "type": "boolean" } } } } }, "globalOperations": { "methods": { "list": { "httpMethod": "GET", "parameters": { "maxResults": { "minimum": "0", "format": "uint32", "location": "query", "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } }, "path": "projects/{project}/global/operations", "response": { "$ref": "OperationList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.globalOperations.list", "description": "Retrieves a list of Operation resources contained within the specified project.", "flatPath": "projects/{project}/global/operations", "parameterOrder": [ "project" ] }, "get": { "flatPath": "projects/{project}/global/operations/{operation}", "parameterOrder": [ "project", "operation" ], "response": { "$ref": "Operation" }, "description": "Retrieves the specified Operations resource.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.globalOperations.get", "path": "projects/{project}/global/operations/{operation}", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "operation": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Operations resource to return.", "type": "string" } } }, "aggregatedList": { "id": "compute.globalOperations.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/operations", "parameterOrder": [ "project" ], "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "default": "500", "format": "uint32" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "httpMethod": "GET", "description": "Retrieves an aggregated list of all operations.", "response": { "$ref": "OperationAggregatedList" }, "flatPath": "projects/{project}/aggregated/operations" }, "delete": { "id": "compute.globalOperations.delete", "description": "Deletes the specified Operations resource.", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "operation": { "description": "Name of the Operations resource to delete.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/global/operations/{operation}", "flatPath": "projects/{project}/global/operations/{operation}", "parameterOrder": [ "project", "operation" ] }, "wait": { "flatPath": "projects/{project}/global/operations/{operation}/wait", "parameters": { "operation": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "Name of the Operations resource to return.", "required": true }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" } }, "parameterOrder": [ "project", "operation" ], "response": { "$ref": "Operation" }, "id": "compute.globalOperations.wait", "description": "Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method differs from the `GET` method in that it waits for no more than the default deadline (2 minutes) and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`. ", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/operations/{operation}/wait" } } }, "regionInstanceTemplates": { "methods": { "list": { "flatPath": "projects/{project}/regions/{region}/instanceTemplates", "httpMethod": "GET", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "region": { "description": "The name of the regions for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "maxResults": { "minimum": "0", "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/instanceTemplates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "InstanceTemplateList" }, "id": "compute.regionInstanceTemplates.list", "description": "Retrieves a list of instance templates that are contained within the specified project and region." }, "get": { "flatPath": "projects/{project}/regions/{region}/instanceTemplates/{instanceTemplate}", "response": { "$ref": "InstanceTemplate" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionInstanceTemplates.get", "parameters": { "instanceTemplate": { "type": "string", "description": "The name of the instance template.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "description": "The name of the region for this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "region", "instanceTemplate" ], "description": "Returns the specified instance template. Gets a list of available instance templates by making a list() request.", "httpMethod": "GET", "path": "projects/{project}/regions/{region}/instanceTemplates/{instanceTemplate}" }, "insert": { "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/instanceTemplates", "id": "compute.regionInstanceTemplates.insert", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "The name of the region for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Creates an instance template in the specified project and region using the global instance template whose URL is included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "request": { "$ref": "InstanceTemplate" }, "path": "projects/{project}/regions/{region}/instanceTemplates" }, "delete": { "description": "Deletes the specified instance template. Deleting an instance template is permanent and cannot be undone.", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/instanceTemplates/{instanceTemplate}", "flatPath": "projects/{project}/regions/{region}/instanceTemplates/{instanceTemplate}", "id": "compute.regionInstanceTemplates.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "instanceTemplate" ], "parameters": { "region": { "required": true, "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "instanceTemplate": { "location": "path", "description": "The name of the instance template to delete.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "httpMethod": "DELETE" } } }, "targetTcpProxies": { "methods": { "list": { "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "type": "integer", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "id": "compute.targetTcpProxies.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "httpMethod": "GET", "response": { "$ref": "TargetTcpProxyList" }, "flatPath": "projects/{project}/global/targetTcpProxies", "path": "projects/{project}/global/targetTcpProxies", "description": "Retrieves the list of TargetTcpProxy resources available to the specified project." }, "get": { "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "targetTcpProxy": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetTcpProxy resource to return.", "location": "path" } }, "parameterOrder": [ "project", "targetTcpProxy" ], "description": "Returns the specified TargetTcpProxy resource. Gets a list of available target TCP proxies by making a list() request.", "id": "compute.targetTcpProxies.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetTcpProxy" }, "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}", "httpMethod": "GET", "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/global/targetTcpProxies/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "resource": { "required": true, "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/global/targetTcpProxies/{resource}/testIamPermissions", "id": "compute.targetTcpProxies.testIamPermissions", "parameterOrder": [ "project", "resource" ] }, "setBackendService": { "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setBackendService", "parameterOrder": [ "project", "targetTcpProxy" ], "parameters": { "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetTcpProxy": { "description": "Name of the TargetTcpProxy resource whose BackendService resource is to be set.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "POST", "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setBackendService", "id": "compute.targetTcpProxies.setBackendService", "description": "Changes the BackendService for TargetTcpProxy.", "request": { "$ref": "TargetTcpProxiesSetBackendServiceRequest" }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setProxyHeader": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setProxyHeader", "response": { "$ref": "Operation" }, "request": { "$ref": "TargetTcpProxiesSetProxyHeaderRequest" }, "parameterOrder": [ "project", "targetTcpProxy" ], "parameters": { "targetTcpProxy": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetTcpProxy resource whose ProxyHeader is to be set." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "description": "Changes the ProxyHeaderType for TargetTcpProxy.", "httpMethod": "POST", "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setProxyHeader", "id": "compute.targetTcpProxies.setProxyHeader" }, "insert": { "httpMethod": "POST", "flatPath": "projects/{project}/global/targetTcpProxies", "request": { "$ref": "TargetTcpProxy" }, "id": "compute.targetTcpProxies.insert", "path": "projects/{project}/global/targetTcpProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Creates a TargetTcpProxy resource in the specified project using the data included in the request.", "parameterOrder": [ "project" ], "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } } }, "delete": { "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}", "id": "compute.targetTcpProxies.delete", "parameterOrder": [ "project", "targetTcpProxy" ], "parameters": { "targetTcpProxy": { "type": "string", "required": true, "description": "Name of the TargetTcpProxy resource to delete.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified TargetTcpProxy resource.", "response": { "$ref": "Operation" } } } }, "vpnGateways": { "methods": { "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "VpnGateway" }, "parameterOrder": [ "project", "region", "vpnGateway" ], "flatPath": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}", "parameters": { "vpnGateway": { "description": "Name of the VPN gateway to return.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true } }, "description": "Returns the specified VPN gateway. Gets a list of available VPN gateways by making a list() request.", "path": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}", "id": "compute.vpnGateways.get" }, "list": { "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "default": "500", "format": "uint32", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "region": { "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "path": "projects/{project}/regions/{region}/vpnGateways", "httpMethod": "GET", "description": "Retrieves a list of VPN gateways available to the specified project and region.", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.vpnGateways.list", "response": { "$ref": "VpnGatewayList" }, "flatPath": "projects/{project}/regions/{region}/vpnGateways" }, "testIamPermissions": { "httpMethod": "POST", "id": "compute.vpnGateways.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/regions/{region}/vpnGateways/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "region", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/regions/{region}/vpnGateways/{resource}/testIamPermissions", "parameters": { "resource": { "location": "path", "type": "string", "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "location": "path", "type": "string", "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "getStatus": { "parameterOrder": [ "project", "region", "vpnGateway" ], "flatPath": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}/getStatus", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "vpnGateway": { "required": true, "description": "Name of the VPN gateway to return.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "region": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request." } }, "description": "Returns the status for the specified VPN gateway.", "path": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}/getStatus", "response": { "$ref": "VpnGatewaysGetStatusResponse" }, "httpMethod": "GET", "id": "compute.vpnGateways.getStatus", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.vpnGateways.aggregatedList", "parameters": { "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "format": "uint32", "default": "500", "type": "integer", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" } }, "path": "projects/{project}/aggregated/vpnGateways", "description": "Retrieves an aggregated list of VPN gateways.", "httpMethod": "GET", "response": { "$ref": "VpnGatewayAggregatedList" }, "flatPath": "projects/{project}/aggregated/vpnGateways", "parameterOrder": [ "project" ] }, "delete": { "id": "compute.vpnGateways.delete", "parameterOrder": [ "project", "region", "vpnGateway" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified VPN gateway.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "Name of the region for this request.", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "vpnGateway": { "description": "Name of the VPN gateway to delete.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "path": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}" }, "setLabels": { "flatPath": "projects/{project}/regions/{region}/vpnGateways/{resource}/setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "RegionSetLabelsRequest" }, "id": "compute.vpnGateways.setLabels", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "The region for this request.", "required": true }, "resource": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "response": { "$ref": "Operation" }, "description": "Sets the labels on a VpnGateway. To learn more about labels, read the Labeling Resources documentation.", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/vpnGateways/{resource}/setLabels", "parameterOrder": [ "project", "region", "resource" ] }, "insert": { "request": { "$ref": "VpnGateway" }, "flatPath": "projects/{project}/regions/{region}/vpnGateways", "id": "compute.vpnGateways.insert", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request.", "location": "path", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "description": "Creates a VPN gateway in the specified project and region using the data included in the request.", "path": "projects/{project}/regions/{region}/vpnGateways", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "targetHttpProxies": { "methods": { "patch": { "flatPath": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "description": "Patches the specified TargetHttpProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "id": "compute.targetHttpProxies.patch", "parameters": { "targetHttpProxy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the TargetHttpProxy resource to patch.", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "path": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "parameterOrder": [ "project", "targetHttpProxy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetHttpProxy" } }, "delete": { "id": "compute.targetHttpProxies.delete", "httpMethod": "DELETE", "parameterOrder": [ "project", "targetHttpProxy" ], "description": "Deletes the specified TargetHttpProxy resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetHttpProxy": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the TargetHttpProxy resource to delete." } }, "path": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "flatPath": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "response": { "$ref": "Operation" } }, "insert": { "parameterOrder": [ "project" ], "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "path": "projects/{project}/global/targetHttpProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "request": { "$ref": "TargetHttpProxy" }, "flatPath": "projects/{project}/global/targetHttpProxies", "id": "compute.targetHttpProxies.insert", "description": "Creates a TargetHttpProxy resource in the specified project using the data included in the request.", "httpMethod": "POST" }, "get": { "parameters": { "targetHttpProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpProxy resource to return.", "location": "path", "required": true, "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "response": { "$ref": "TargetHttpProxy" }, "parameterOrder": [ "project", "targetHttpProxy" ], "path": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "description": "Returns the specified TargetHttpProxy resource. Gets a list of available target HTTP proxies by making a list() request.", "id": "compute.targetHttpProxies.get", "httpMethod": "GET" }, "testIamPermissions": { "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.targetHttpProxies.testIamPermissions", "flatPath": "projects/{project}/global/targetHttpProxies/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/targetHttpProxies/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request." }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "list": { "response": { "$ref": "TargetHttpProxyList" }, "path": "projects/{project}/global/targetHttpProxies", "flatPath": "projects/{project}/global/targetHttpProxies", "parameterOrder": [ "project" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.targetHttpProxies.list", "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "type": "integer", "location": "query", "default": "500", "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "description": "Retrieves the list of TargetHttpProxy resources available to the specified project." }, "setUrlMap": { "response": { "$ref": "Operation" }, "id": "compute.targetHttpProxies.setUrlMap", "parameterOrder": [ "project", "targetHttpProxy" ], "request": { "$ref": "UrlMapReference" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Changes the URL map for TargetHttpProxy.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "targetHttpProxy": { "location": "path", "description": "Name of the TargetHttpProxy to set a URL map for.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true } }, "flatPath": "projects/{project}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "path": "projects/{project}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "httpMethod": "POST" }, "aggregatedList": { "id": "compute.targetHttpProxies.aggregatedList", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of all TargetHttpProxy resources, regional and global, available to the specified project.", "flatPath": "projects/{project}/aggregated/targetHttpProxies", "response": { "$ref": "TargetHttpProxyAggregatedList" }, "path": "projects/{project}/aggregated/targetHttpProxies", "httpMethod": "GET", "parameters": { "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Name of the project scoping this request.", "required": true }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "default": "500", "type": "integer" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } } } } }, "globalNetworkEndpointGroups": { "methods": { "listNetworkEndpoints": { "id": "compute.globalNetworkEndpointGroups.listNetworkEndpoints", "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints", "httpMethod": "POST", "response": { "$ref": "NetworkEndpointGroupsListNetworkEndpoints" }, "parameters": { "networkEndpointGroup": { "required": true, "type": "string", "description": "The name of the network endpoint group from which you want to generate a list of included network endpoints. It should comply with RFC1035.", "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "location": "query", "format": "uint32", "type": "integer" } }, "parameterOrder": [ "project", "networkEndpointGroup" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists the network endpoints in the specified network endpoint group.", "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints" }, "delete": { "httpMethod": "DELETE", "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "networkEndpointGroup": { "required": true, "type": "string", "description": "The name of the network endpoint group to delete. It should comply with RFC1035.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Deletes the specified network endpoint group.Note that the NEG cannot be deleted if there are backend services referencing it.", "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "id": "compute.globalNetworkEndpointGroups.delete", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "networkEndpointGroup" ] }, "get": { "parameters": { "networkEndpointGroup": { "description": "The name of the network endpoint group. It should comply with RFC1035.", "type": "string", "required": true, "location": "path" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" } }, "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "id": "compute.globalNetworkEndpointGroups.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Returns the specified network endpoint group. Gets a list of available network endpoint groups by making a list() request.", "response": { "$ref": "NetworkEndpointGroup" }, "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "parameterOrder": [ "project", "networkEndpointGroup" ] }, "attachNetworkEndpoints": { "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "networkEndpointGroup": { "required": true, "location": "path", "type": "string", "description": "The name of the network endpoint group where you are attaching network endpoints to. It should comply with RFC1035." } }, "description": "Attach a network endpoint to the specified network endpoint group.", "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "networkEndpointGroup" ], "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "response": { "$ref": "Operation" }, "request": { "$ref": "GlobalNetworkEndpointGroupsAttachEndpointsRequest" }, "id": "compute.globalNetworkEndpointGroups.attachNetworkEndpoints" }, "detachNetworkEndpoints": { "request": { "$ref": "GlobalNetworkEndpointGroupsDetachEndpointsRequest" }, "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "parameterOrder": [ "project", "networkEndpointGroup" ], "response": { "$ref": "Operation" }, "id": "compute.globalNetworkEndpointGroups.detachNetworkEndpoints", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Detach the network endpoint from the specified network endpoint group.", "parameters": { "networkEndpointGroup": { "description": "The name of the network endpoint group where you are removing network endpoints. It should comply with RFC1035.", "type": "string", "location": "path", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST" }, "insert": { "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "description": "Creates a network endpoint group in the specified project using the parameters that are included in the request.", "httpMethod": "POST", "request": { "$ref": "NetworkEndpointGroup" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.globalNetworkEndpointGroups.insert", "flatPath": "projects/{project}/global/networkEndpointGroups", "path": "projects/{project}/global/networkEndpointGroups" }, "list": { "id": "compute.globalNetworkEndpointGroups.list", "response": { "$ref": "NetworkEndpointGroupList" }, "path": "projects/{project}/global/networkEndpointGroups", "parameterOrder": [ "project" ], "parameters": { "maxResults": { "default": "500", "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Retrieves the list of network endpoint groups that are located in the specified project.", "flatPath": "projects/{project}/global/networkEndpointGroups" } } }, "targetHttpsProxies": { "methods": { "patch": { "id": "compute.targetHttpsProxies.patch", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "targetHttpsProxy": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy resource to patch.", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "project", "targetHttpsProxy" ], "description": "Patches the specified TargetHttpsProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "request": { "$ref": "TargetHttpsProxy" }, "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "httpMethod": "PATCH" }, "setSslPolicy": { "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "targetHttpsProxy": { "type": "string", "location": "path", "required": true, "description": "Name of the TargetHttpsProxy resource whose SSL policy is to be set. The name must be 1-63 characters long, and comply with RFC1035." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "parameterOrder": [ "project", "targetHttpsProxy" ], "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setSslPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Sets the SSL policy for TargetHttpsProxy. The SSL policy specifies the server-side support for SSL features. This affects connections between clients and the HTTPS proxy load balancer. They do not affect the connection between the load balancer and the backends.", "request": { "$ref": "SslPolicyReference" }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setSslPolicy", "id": "compute.targetHttpsProxies.setSslPolicy" }, "get": { "id": "compute.targetHttpsProxies.get", "httpMethod": "GET", "parameterOrder": [ "project", "targetHttpsProxy" ], "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "response": { "$ref": "TargetHttpsProxy" }, "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "parameters": { "targetHttpsProxy": { "description": "Name of the TargetHttpsProxy resource to return.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified TargetHttpsProxy resource. Gets a list of available target HTTPS proxies by making a list() request." }, "testIamPermissions": { "httpMethod": "POST", "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string", "required": true, "location": "path" }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/global/targetHttpsProxies/{resource}/testIamPermissions", "path": "projects/{project}/global/targetHttpsProxies/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "resource" ], "id": "compute.targetHttpsProxies.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource." }, "setCertificateMap": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetHttpsProxies.setCertificateMap", "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setCertificateMap", "description": "Changes the Certificate Map for TargetHttpsProxy.", "request": { "$ref": "TargetHttpsProxiesSetCertificateMapRequest" }, "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setCertificateMap", "httpMethod": "POST", "parameterOrder": [ "project", "targetHttpsProxy" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetHttpsProxy": { "description": "Name of the TargetHttpsProxy resource whose CertificateMap is to be set. The name must be 1-63 characters long, and comply with RFC1035.", "required": true, "location": "path", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } } }, "aggregatedList": { "path": "projects/{project}/aggregated/targetHttpsProxies", "description": "Retrieves the list of all TargetHttpsProxy resources, regional and global, available to the specified project.", "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Name of the project scoping this request." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32", "location": "query", "type": "integer" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/targetHttpsProxies", "id": "compute.targetHttpsProxies.aggregatedList", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetHttpsProxyAggregatedList" } }, "setUrlMap": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "request": { "$ref": "UrlMapReference" }, "id": "compute.targetHttpsProxies.setUrlMap", "flatPath": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap", "description": "Changes the URL map for TargetHttpsProxy.", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "targetHttpsProxy": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the TargetHttpsProxy resource whose URL map is to be set." }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "parameterOrder": [ "project", "targetHttpsProxy" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap" }, "setQuicOverride": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setQuicOverride", "id": "compute.targetHttpsProxies.setQuicOverride", "request": { "$ref": "TargetHttpsProxiesSetQuicOverrideRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setQuicOverride", "parameters": { "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "targetHttpsProxy": { "required": true, "type": "string", "description": "Name of the TargetHttpsProxy resource to set the QUIC override policy for. The name should conform to RFC1035.", "location": "path" } }, "description": "Sets the QUIC override policy for TargetHttpsProxy.", "parameterOrder": [ "project", "targetHttpsProxy" ] }, "insert": { "flatPath": "projects/{project}/global/targetHttpsProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "id": "compute.targetHttpsProxies.insert", "parameterOrder": [ "project" ], "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "response": { "$ref": "Operation" }, "request": { "$ref": "TargetHttpsProxy" }, "description": "Creates a TargetHttpsProxy resource in the specified project using the data included in the request.", "path": "projects/{project}/global/targetHttpsProxies" }, "delete": { "parameters": { "targetHttpsProxy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the TargetHttpsProxy resource to delete." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } }, "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "id": "compute.targetHttpsProxies.delete", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "targetHttpsProxy" ], "httpMethod": "DELETE", "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified TargetHttpsProxy resource." }, "setSslCertificates": { "parameterOrder": [ "project", "targetHttpsProxy" ], "id": "compute.targetHttpsProxies.setSslCertificates", "description": "Replaces SslCertificates for TargetHttpsProxy.", "request": { "$ref": "TargetHttpsProxiesSetSslCertificatesRequest" }, "flatPath": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "parameters": { "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the TargetHttpsProxy resource to set an SslCertificates resource for.", "type": "string" } }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "httpMethod": "GET", "flatPath": "projects/{project}/global/targetHttpsProxies", "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "format": "uint32" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "path": "projects/{project}/global/targetHttpsProxies", "description": "Retrieves the list of TargetHttpsProxy resources available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.targetHttpsProxies.list", "response": { "$ref": "TargetHttpsProxyList" }, "parameterOrder": [ "project" ] } } }, "externalVpnGateways": { "methods": { "get": { "response": { "$ref": "ExternalVpnGateway" }, "flatPath": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "id": "compute.externalVpnGateways.get", "description": "Returns the specified externalVpnGateway. Get a list of available externalVpnGateways by making a list() request.", "parameterOrder": [ "project", "externalVpnGateway" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "httpMethod": "GET", "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "externalVpnGateway": { "location": "path", "description": "Name of the externalVpnGateway to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" } } }, "setLabels": { "path": "projects/{project}/global/externalVpnGateways/{resource}/setLabels", "httpMethod": "POST", "request": { "$ref": "GlobalSetLabelsRequest" }, "flatPath": "projects/{project}/global/externalVpnGateways/{resource}/setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "resource": { "description": "Name or id of the resource for this request.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" } }, "id": "compute.externalVpnGateways.setLabels", "parameterOrder": [ "project", "resource" ], "description": "Sets the labels on an ExternalVpnGateway. To learn more about labels, read the Labeling Resources documentation.", "response": { "$ref": "Operation" } }, "testIamPermissions": { "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/externalVpnGateways/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "parameterOrder": [ "project", "resource" ], "id": "compute.externalVpnGateways.testIamPermissions", "parameters": { "resource": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "path": "projects/{project}/global/externalVpnGateways/{resource}/testIamPermissions" }, "list": { "response": { "$ref": "ExternalVpnGatewayList" }, "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/externalVpnGateways", "httpMethod": "GET", "id": "compute.externalVpnGateways.list", "path": "projects/{project}/global/externalVpnGateways", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "maxResults": { "default": "500", "location": "query", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "description": "Retrieves the list of ExternalVpnGateway available to the specified project." }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." } }, "httpMethod": "POST", "parameterOrder": [ "project" ], "path": "projects/{project}/global/externalVpnGateways", "id": "compute.externalVpnGateways.insert", "description": "Creates a ExternalVpnGateway in the specified project using the data included in the request.", "request": { "$ref": "ExternalVpnGateway" }, "flatPath": "projects/{project}/global/externalVpnGateways" }, "delete": { "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "externalVpnGateway": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the externalVpnGateways to delete.", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" } }, "flatPath": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "description": "Deletes the specified externalVpnGateway.", "id": "compute.externalVpnGateways.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "parameterOrder": [ "project", "externalVpnGateway" ], "httpMethod": "DELETE" } } }, "publicDelegatedPrefixes": { "methods": { "aggregatedList": { "httpMethod": "GET", "id": "compute.publicDelegatedPrefixes.aggregatedList", "response": { "$ref": "PublicDelegatedPrefixAggregatedList" }, "path": "projects/{project}/aggregated/publicDelegatedPrefixes", "flatPath": "projects/{project}/aggregated/publicDelegatedPrefixes", "parameters": { "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "maxResults": { "location": "query", "minimum": "0", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Name of the project scoping this request." } }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists all PublicDelegatedPrefix resources owned by the specific project across all scopes." }, "withdraw": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "location": "path", "description": "The name of the region where the public delegated prefix is located. It should comply with RFC1035.", "required": true, "type": "string" }, "publicDelegatedPrefix": { "description": "The name of the public delegated prefix. It should comply with RFC1035.", "type": "string", "location": "path", "required": true }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Withdraws the specified PublicDelegatedPrefix in the given region.", "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}/withdraw", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ], "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}/withdraw", "id": "compute.publicDelegatedPrefixes.withdraw" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "publicDelegatedPrefix": { "description": "Name of the PublicDelegatedPrefix resource to delete.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region of this request.", "required": true }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" } }, "description": "Deletes the specified PublicDelegatedPrefix in the given region.", "httpMethod": "DELETE", "id": "compute.publicDelegatedPrefixes.delete", "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ], "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "response": { "$ref": "Operation" } }, "insert": { "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes", "request": { "$ref": "PublicDelegatedPrefix" }, "id": "compute.publicDelegatedPrefixes.insert", "description": "Creates a PublicDelegatedPrefix in the specified project in the given region using the parameters that are included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes", "response": { "$ref": "Operation" }, "parameters": { "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region of this request.", "required": true }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "announce": { "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}/announce", "id": "compute.publicDelegatedPrefixes.announce", "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}/announce", "description": "Announces the specified PublicDelegatedPrefix in the given region.", "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ], "httpMethod": "POST", "parameters": { "publicDelegatedPrefix": { "required": true, "location": "path", "type": "string", "description": "The name of the public delegated prefix. It should comply with RFC1035." }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "location": "path", "description": "The name of the region where the public delegated prefix is located. It should comply with RFC1035.", "required": true, "type": "string" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "description": "Returns the specified PublicDelegatedPrefix resource in the given region.", "id": "compute.publicDelegatedPrefixes.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "httpMethod": "GET", "parameters": { "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "region": { "required": true, "location": "path", "type": "string", "description": "Name of the region of this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "publicDelegatedPrefix": { "required": true, "description": "Name of the PublicDelegatedPrefix resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" } }, "response": { "$ref": "PublicDelegatedPrefix" }, "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ] }, "list": { "response": { "$ref": "PublicDelegatedPrefixList" }, "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes", "description": "Lists the PublicDelegatedPrefixes for a project in the given region.", "id": "compute.publicDelegatedPrefixes.list", "httpMethod": "GET", "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "region": { "description": "Name of the region of this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path" }, "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0", "type": "integer", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "publicDelegatedPrefix": { "description": "Name of the PublicDelegatedPrefix resource to patch.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true }, "region": { "type": "string", "required": true, "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "description": "Patches the specified PublicDelegatedPrefix resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "response": { "$ref": "Operation" }, "request": { "$ref": "PublicDelegatedPrefix" }, "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "id": "compute.publicDelegatedPrefixes.patch", "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ] } } }, "licenseCodes": { "methods": { "testIamPermissions": { "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name or id of the resource for this request.", "type": "string" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/global/licenseCodes/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "httpMethod": "POST", "id": "compute.licenseCodes.testIamPermissions", "parameterOrder": [ "project", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/licenseCodes/{resource}/testIamPermissions" }, "get": { "parameterOrder": [ "project", "licenseCode" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/global/licenseCodes/{licenseCode}", "id": "compute.licenseCodes.get", "path": "projects/{project}/global/licenseCodes/{licenseCode}", "response": { "$ref": "LicenseCode" }, "description": "Return a specified license code. License codes are mirrored across all projects that have permissions to read the License Code. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "licenseCode": { "required": true, "description": "Number corresponding to the License code resource to return.", "location": "path", "pattern": "[0-9]{0,61}?", "type": "string" } } }, "getIamPolicy": { "id": "compute.licenseCodes.getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "parameterOrder": [ "project", "resource" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/licenseCodes/{resource}/getIamPolicy", "flatPath": "projects/{project}/global/licenseCodes/{resource}/getIamPolicy", "parameters": { "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "format": "int32", "location": "query" }, "resource": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request." }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } } }, "setIamPolicy": { "request": { "$ref": "GlobalSetPolicyRequest" }, "httpMethod": "POST", "parameters": { "resource": { "required": true, "location": "path", "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "id": "compute.licenseCodes.setIamPolicy", "flatPath": "projects/{project}/global/licenseCodes/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "path": "projects/{project}/global/licenseCodes/{resource}/setIamPolicy" } } }, "healthChecks": { "methods": { "update": { "path": "projects/{project}/global/healthChecks/{healthCheck}", "parameterOrder": [ "project", "healthCheck" ], "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.healthChecks.update", "request": { "$ref": "HealthCheck" }, "httpMethod": "PUT", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "healthCheck": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name of the HealthCheck resource to update." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "response": { "$ref": "Operation" }, "description": "Updates a HealthCheck resource in the specified project using the data included in the request." }, "list": { "id": "compute.healthChecks.list", "description": "Retrieves the list of HealthCheck resources available to the specified project.", "path": "projects/{project}/global/healthChecks", "parameterOrder": [ "project" ], "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "minimum": "0", "default": "500", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "HealthCheckList" }, "flatPath": "projects/{project}/global/healthChecks", "httpMethod": "GET" }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "HealthChecksAggregatedList" }, "parameters": { "maxResults": { "location": "query", "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "project": { "location": "path", "required": true, "description": "Name of the project scoping this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/healthChecks", "id": "compute.healthChecks.aggregatedList", "httpMethod": "GET", "description": "Retrieves the list of all HealthCheck resources, regional and global, available to the specified project.", "path": "projects/{project}/aggregated/healthChecks" }, "patch": { "request": { "$ref": "HealthCheck" }, "description": "Updates a HealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "id": "compute.healthChecks.patch", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "parameters": { "healthCheck": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the HealthCheck resource to patch.", "location": "path", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "healthCheck" ], "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "path": "projects/{project}/global/healthChecks/{healthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "delete": { "parameterOrder": [ "project", "healthCheck" ], "response": { "$ref": "Operation" }, "description": "Deletes the specified HealthCheck resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/healthChecks/{healthCheck}", "httpMethod": "DELETE", "parameters": { "healthCheck": { "type": "string", "description": "Name of the HealthCheck resource to delete.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "id": "compute.healthChecks.delete" }, "insert": { "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/healthChecks", "request": { "$ref": "HealthCheck" }, "id": "compute.healthChecks.insert", "flatPath": "projects/{project}/global/healthChecks", "description": "Creates a HealthCheck resource in the specified project using the data included in the request." }, "get": { "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "id": "compute.healthChecks.get", "description": "Returns the specified HealthCheck resource. Gets a list of available health checks by making a list() request.", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "healthCheck": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the HealthCheck resource to return." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/healthChecks/{healthCheck}", "parameterOrder": [ "project", "healthCheck" ], "httpMethod": "GET", "response": { "$ref": "HealthCheck" } }, "testIamPermissions": { "flatPath": "projects/{project}/global/healthChecks/{resource}/testIamPermissions", "id": "compute.healthChecks.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/global/healthChecks/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true } }, "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource." } } }, "subnetworks": { "methods": { "expandIpCidrRange": { "description": "Expands the IP CIDR range of the subnetwork to a specified value.", "id": "compute.subnetworks.expandIpCidrRange", "parameterOrder": [ "project", "region", "subnetwork" ], "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/expandIpCidrRange", "response": { "$ref": "Operation" }, "parameters": { "subnetwork": { "description": "Name of the Subnetwork resource to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "Name of the region scoping this request.", "location": "path" } }, "request": { "$ref": "SubnetworksExpandIpCidrRangeRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/expandIpCidrRange" }, "setIamPolicy": { "path": "projects/{project}/regions/{region}/subnetworks/{resource}/setIamPolicy", "request": { "$ref": "RegionSetPolicyRequest" }, "flatPath": "projects/{project}/regions/{region}/subnetworks/{resource}/setIamPolicy", "httpMethod": "POST", "id": "compute.subnetworks.setIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "response": { "$ref": "Policy" }, "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "The name of the region for this request.", "required": true }, "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "getIamPolicy": { "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/subnetworks/{resource}/getIamPolicy", "id": "compute.subnetworks.getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/subnetworks/{resource}/getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameters": { "optionsRequestedPolicyVersion": { "format": "int32", "location": "query", "description": "Requested IAM Policy version.", "type": "integer" }, "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the region for this request." }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } } }, "aggregatedList": { "parameters": { "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "default": "500", "minimum": "0", "location": "query" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "response": { "$ref": "SubnetworkAggregatedList" }, "id": "compute.subnetworks.aggregatedList", "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/subnetworks", "flatPath": "projects/{project}/aggregated/subnetworks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Retrieves an aggregated list of subnetworks." }, "get": { "id": "compute.subnetworks.get", "description": "Returns the specified subnetwork. Gets a list of available subnetworks list() request.", "httpMethod": "GET", "response": { "$ref": "Subnetwork" }, "parameterOrder": [ "project", "region", "subnetwork" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "parameters": { "subnetwork": { "required": true, "type": "string", "description": "Name of the Subnetwork resource to return.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}" }, "delete": { "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "subnetwork" ], "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "id": "compute.subnetworks.delete", "httpMethod": "DELETE", "description": "Deletes the specified subnetwork.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "subnetwork": { "required": true, "description": "Name of the Subnetwork resource to delete.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "region": { "location": "path", "description": "Name of the region scoping this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "subnetwork" ], "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "request": { "$ref": "Subnetwork" }, "httpMethod": "PATCH", "description": "Patches the specified subnetwork with the data included in the request. Only certain fields can be updated with a patch request as indicated in the field descriptions. You must specify the current fingerprint of the subnetwork resource being patched.", "id": "compute.subnetworks.patch", "parameters": { "subnetwork": { "required": true, "description": "Name of the Subnetwork resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "drainTimeoutSeconds": { "location": "query", "format": "int32", "type": "integer", "description": "The drain timeout specifies the upper bound in seconds on the amount of time allowed to drain connections from the current ACTIVE subnetwork to the current BACKUP subnetwork. The drain timeout is only applicable when the following conditions are true: - the subnetwork being patched has purpose = INTERNAL_HTTPS_LOAD_BALANCER - the subnetwork being patched has role = BACKUP - the patch request is setting the role to ACTIVE. Note that after this patch operation the roles of the ACTIVE and BACKUP subnetworks will be swapped." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } } }, "listUsable": { "parameterOrder": [ "project" ], "response": { "$ref": "UsableSubnetworksAggregatedList" }, "flatPath": "projects/{project}/aggregated/subnetworks/listUsable", "description": "Retrieves an aggregated list of all usable subnetworks in the project.", "parameters": { "serviceProject": { "type": "string", "description": "The project id or project number in which the subnetwork is intended to be used. Only applied for Shared VPC. See [Shared VPC documentation](https://cloud.google.com/vpc/docs/shared-vpc/)", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "minimum": "0", "location": "query" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "httpMethod": "GET", "path": "projects/{project}/aggregated/subnetworks/listUsable", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.subnetworks.listUsable" }, "insert": { "id": "compute.subnetworks.insert", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/subnetworks", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/subnetworks", "description": "Creates a subnetwork in the specified project using the data included in the request.", "parameterOrder": [ "project", "region" ], "parameters": { "region": { "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Subnetwork" } }, "setPrivateIpGoogleAccess": { "parameterOrder": [ "project", "region", "subnetwork" ], "id": "compute.subnetworks.setPrivateIpGoogleAccess", "parameters": { "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "subnetwork": { "required": true, "description": "Name of the Subnetwork resource.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" } }, "description": "Set whether VMs in this subnet can access Google services without assigning external IP addresses through Private Google Access.", "response": { "$ref": "Operation" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/setPrivateIpGoogleAccess", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SubnetworksSetPrivateIpGoogleAccessRequest" }, "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/setPrivateIpGoogleAccess" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/regions/{region}/subnetworks/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "id": "compute.subnetworks.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/regions/{region}/subnetworks/{resource}/testIamPermissions", "parameters": { "resource": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "region": { "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true } }, "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" } }, "list": { "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "location": "query", "default": "500" }, "region": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "httpMethod": "GET", "path": "projects/{project}/regions/{region}/subnetworks", "description": "Retrieves a list of subnetworks available to the specified project.", "response": { "$ref": "SubnetworkList" }, "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/subnetworks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.subnetworks.list" } } }, "targetVpnGateways": { "methods": { "delete": { "description": "Deletes the specified target VPN gateway.", "path": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetVpnGateways.delete", "response": { "$ref": "Operation" }, "parameters": { "targetVpnGateway": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the target VPN gateway to delete.", "required": true, "location": "path" }, "region": { "description": "Name of the region for this request.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true } }, "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "targetVpnGateway" ], "flatPath": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}" }, "list": { "response": { "$ref": "TargetVpnGatewayList" }, "parameterOrder": [ "project", "region" ], "id": "compute.targetVpnGateways.list", "path": "projects/{project}/regions/{region}/targetVpnGateways", "flatPath": "projects/{project}/regions/{region}/targetVpnGateways", "httpMethod": "GET", "description": "Retrieves a list of target VPN gateways available to the specified project and region.", "parameters": { "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region for this request." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500", "type": "integer" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "setLabels": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The region for this request." }, "resource": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request." } }, "path": "projects/{project}/regions/{region}/targetVpnGateways/{resource}/setLabels", "flatPath": "projects/{project}/regions/{region}/targetVpnGateways/{resource}/setLabels", "id": "compute.targetVpnGateways.setLabels", "description": "Sets the labels on a TargetVpnGateway. To learn more about labels, read the Labeling Resources documentation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "RegionSetLabelsRequest" } }, "testIamPermissions": { "flatPath": "projects/{project}/regions/{region}/targetVpnGateways/{resource}/testIamPermissions", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "location": "path", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/regions/{region}/targetVpnGateways/{resource}/testIamPermissions", "id": "compute.targetVpnGateways.testIamPermissions" }, "get": { "description": "Returns the specified target VPN gateway. Gets a list of available target VPN gateways by making a list() request.", "parameterOrder": [ "project", "region", "targetVpnGateway" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}", "httpMethod": "GET", "parameters": { "region": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request." }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "targetVpnGateway": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the target VPN gateway to return." } }, "id": "compute.targetVpnGateways.get", "path": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}", "response": { "$ref": "TargetVpnGateway" } }, "aggregatedList": { "path": "projects/{project}/aggregated/targetVpnGateways", "id": "compute.targetVpnGateways.aggregatedList", "response": { "$ref": "TargetVpnGatewayAggregatedList" }, "parameters": { "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500", "location": "query", "type": "integer" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" } }, "flatPath": "projects/{project}/aggregated/targetVpnGateways", "httpMethod": "GET", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves an aggregated list of target VPN gateways." }, "insert": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "region": { "description": "Name of the region for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "httpMethod": "POST", "request": { "$ref": "TargetVpnGateway" }, "flatPath": "projects/{project}/regions/{region}/targetVpnGateways", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region" ], "description": "Creates a target VPN gateway in the specified project and region using the data included in the request.", "id": "compute.targetVpnGateways.insert", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/targetVpnGateways" } } }, "regionInstanceGroups": { "methods": { "list": { "path": "projects/{project}/regions/{region}/instanceGroups", "response": { "$ref": "RegionInstanceGroupList" }, "description": "Retrieves the list of instance group resources contained within the specified region.", "id": "compute.regionInstanceGroups.list", "flatPath": "projects/{project}/regions/{region}/instanceGroups", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "location": "path", "required": true }, "maxResults": { "default": "500", "type": "integer", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ] }, "get": { "id": "compute.regionInstanceGroups.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "path": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}", "parameterOrder": [ "project", "region", "instanceGroup" ], "parameters": { "instanceGroup": { "description": "Name of the instance group resource to return.", "required": true, "type": "string", "location": "path" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "location": "path", "description": "Name of the region scoping this request.", "required": true, "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}", "response": { "$ref": "InstanceGroup" }, "description": "Returns the specified instance group resource." }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/regions/{region}/instanceGroups/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.regionInstanceGroups.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/instanceGroups/{resource}/testIamPermissions", "parameters": { "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the region for this request.", "location": "path" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" } }, "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ] }, "listInstances": { "flatPath": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/listInstances", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists the instances in the specified instance group and displays information about the named ports. Depending on the specified options, this method can list all instances or only the instances that are running. The orderBy query parameter is not supported.", "request": { "$ref": "RegionInstanceGroupsListInstancesRequest" }, "path": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/listInstances", "parameterOrder": [ "project", "region", "instanceGroup" ], "parameters": { "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "region": { "required": true, "type": "string", "description": "Name of the region scoping this request.", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "instanceGroup": { "type": "string", "required": true, "description": "Name of the regional instance group for which we want to list the instances.", "location": "path" }, "maxResults": { "minimum": "0", "location": "query", "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" } }, "response": { "$ref": "RegionInstanceGroupsListInstances" }, "id": "compute.regionInstanceGroups.listInstances" }, "setNamedPorts": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.regionInstanceGroups.setNamedPorts", "parameterOrder": [ "project", "region", "instanceGroup" ], "flatPath": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/setNamedPorts", "description": "Sets the named ports for the specified regional instance group.", "request": { "$ref": "RegionInstanceGroupsSetNamedPortsRequest" }, "parameters": { "instanceGroup": { "required": true, "location": "path", "description": "The name of the regional instance group where the named ports are updated.", "type": "string" }, "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/setNamedPorts" } } }, "regionDisks": { "methods": { "addResourcePolicies": { "request": { "$ref": "RegionDisksAddResourcePoliciesRequest" }, "httpMethod": "POST", "parameters": { "disk": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string", "description": "The disk name for this request." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "required": true, "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionDisks.addResourcePolicies", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/disks/{disk}/addResourcePolicies", "path": "projects/{project}/regions/{region}/disks/{disk}/addResourcePolicies", "parameterOrder": [ "project", "region", "disk" ], "description": "Adds existing resource policies to a regional disk. You can only add one policy which will be applied to this disk for scheduling snapshot creation." }, "getIamPolicy": { "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/disks/{resource}/getIamPolicy", "id": "compute.regionDisks.getIamPolicy", "httpMethod": "GET", "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "projects/{project}/regions/{region}/disks/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "optionsRequestedPolicyVersion": { "type": "integer", "location": "query", "description": "Requested IAM Policy version.", "format": "int32" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "location": "path", "type": "string" }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true } } }, "delete": { "id": "compute.regionDisks.delete", "httpMethod": "DELETE", "parameters": { "region": { "type": "string", "description": "Name of the region for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "disk": { "location": "path", "description": "Name of the regional persistent disk to delete.", "type": "string", "required": true } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/disks/{disk}", "description": "Deletes the specified regional persistent disk. Deleting a regional disk removes all the replicas of its data permanently and is irreversible. However, deleting a disk does not delete any snapshots previously made from the disk. You must separately delete snapshots.", "parameterOrder": [ "project", "region", "disk" ], "path": "projects/{project}/regions/{region}/disks/{disk}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "path": "projects/{project}/regions/{region}/disks", "id": "compute.regionDisks.list", "httpMethod": "GET", "response": { "$ref": "DiskList" }, "flatPath": "projects/{project}/regions/{region}/disks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ], "description": "Retrieves the list of persistent disks contained within the specified region.", "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region for this request.", "type": "string", "location": "path" }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "format": "uint32", "type": "integer" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } } }, "insert": { "id": "compute.regionDisks.insert", "description": "Creates a persistent regional disk in the specified project using the data included in the request.", "request": { "$ref": "Disk" }, "path": "projects/{project}/regions/{region}/disks", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/disks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request." }, "sourceImage": { "location": "query", "type": "string", "description": "Source image to restore onto a disk. This field is optional." } } }, "resize": { "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "required": true, "type": "string", "location": "path" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request." }, "disk": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the regional persistent disk." } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "disk" ], "id": "compute.regionDisks.resize", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Resizes the specified regional persistent disk.", "request": { "$ref": "RegionDisksResizeRequest" }, "flatPath": "projects/{project}/regions/{region}/disks/{disk}/resize", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/disks/{disk}/resize" }, "removeResourcePolicies": { "request": { "$ref": "RegionDisksRemoveResourcePoliciesRequest" }, "httpMethod": "POST", "id": "compute.regionDisks.removeResourcePolicies", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/disks/{disk}/removeResourcePolicies", "parameterOrder": [ "project", "region", "disk" ], "description": "Removes resource policies from a regional disk.", "parameters": { "region": { "location": "path", "description": "The name of the region for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "disk": { "required": true, "description": "The disk name for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "path": "projects/{project}/regions/{region}/disks/{disk}/removeResourcePolicies" }, "get": { "id": "compute.regionDisks.get", "flatPath": "projects/{project}/regions/{region}/disks/{disk}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "disk": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the regional persistent disk to return." }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "type": "string", "required": true, "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "parameterOrder": [ "project", "region", "disk" ], "description": "Returns a specified regional persistent disk.", "path": "projects/{project}/regions/{region}/disks/{disk}", "response": { "$ref": "Disk" } }, "createSnapshot": { "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/disks/{disk}/createSnapshot", "request": { "$ref": "Snapshot" }, "description": "Creates a snapshot of a specified persistent disk. For regular snapshot creation, consider using snapshots.insert instead, as that method supports more features, such as creating snapshots in a project different from the source disk project.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "disk" ], "id": "compute.regionDisks.createSnapshot", "path": "projects/{project}/regions/{region}/disks/{disk}/createSnapshot", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "description": "Name of the region for this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "guestFlush": { "type": "boolean", "description": "[Input Only] Specifies to create an application consistent snapshot by informing the OS to prepare for the snapshot process.", "location": "query" }, "disk": { "description": "Name of the regional persistent disk to snapshot.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "path": "projects/{project}/regions/{region}/disks/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "The name of the region for this request.", "required": true }, "resource": { "location": "path", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/disks/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.regionDisks.testIamPermissions", "parameterOrder": [ "project", "region", "resource" ] }, "setLabels": { "description": "Sets the labels on the target regional disk.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "region": { "description": "The region for this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." } }, "httpMethod": "POST", "id": "compute.regionDisks.setLabels", "response": { "$ref": "Operation" }, "request": { "$ref": "RegionSetLabelsRequest" }, "flatPath": "projects/{project}/regions/{region}/disks/{resource}/setLabels", "path": "projects/{project}/regions/{region}/disks/{resource}/setLabels", "parameterOrder": [ "project", "region", "resource" ] }, "setIamPolicy": { "httpMethod": "POST", "parameters": { "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name or id of the resource for this request." }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "The name of the region for this request.", "location": "path" } }, "request": { "$ref": "RegionSetPolicyRequest" }, "path": "projects/{project}/regions/{region}/disks/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/disks/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "parameterOrder": [ "project", "region", "resource" ], "id": "compute.regionDisks.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy." }, "stopAsyncReplication": { "response": { "$ref": "Operation" }, "id": "compute.regionDisks.stopAsyncReplication", "request": { "$ref": "RegionDisksStopAsyncReplicationRequest" }, "path": "projects/{project}/regions/{region}/disks/{disk}/stopAsyncReplication", "description": "Stops asynchronous replication. Can be invoked either on the primary or on the secondary disk.", "parameters": { "disk": { "type": "string", "location": "path", "description": "The name of the persistent disk.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "The name of the region for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/disks/{disk}/stopAsyncReplication", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "disk" ] }, "startAsyncReplication": { "flatPath": "projects/{project}/regions/{region}/disks/{disk}/startAsyncReplication", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "RegionDisksStartAsyncReplicationRequest" }, "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/disks/{disk}/startAsyncReplication", "id": "compute.regionDisks.startAsyncReplication", "httpMethod": "POST", "parameterOrder": [ "project", "region", "disk" ], "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "disk": { "description": "The name of the persistent disk.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the region for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "description": "Starts asynchronous replication. Must be invoked on the primary disk." }, "update": { "httpMethod": "PATCH", "id": "compute.regionDisks.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/disks/{disk}", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "updateMask": { "description": "update_mask indicates fields to be updated as part of this request.", "type": "string", "location": "query", "format": "google-fieldmask" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" }, "paths": { "location": "query", "type": "string", "repeated": true }, "disk": { "required": true, "type": "string", "description": "The disk name for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "region": { "location": "path", "description": "The name of the region for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "parameterOrder": [ "project", "region", "disk" ], "path": "projects/{project}/regions/{region}/disks/{disk}", "request": { "$ref": "Disk" }, "response": { "$ref": "Operation" }, "description": "Update the specified disk with the data included in the request. Update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: user_license." }, "stopGroupAsyncReplication": { "request": { "$ref": "RegionDisksStopGroupAsyncReplicationRequest" }, "path": "projects/{project}/regions/{region}/disks/stopGroupAsyncReplication", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "description": "The name of the region for this request. This must be the region of the primary or secondary disks in the consistency group.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Stops asynchronous replication for a consistency group of disks. Can be invoked either in the primary or secondary scope.", "parameterOrder": [ "project", "region" ], "id": "compute.regionDisks.stopGroupAsyncReplication", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/disks/stopGroupAsyncReplication" } } }, "reservations": { "methods": { "insert": { "flatPath": "projects/{project}/zones/{zone}/reservations", "path": "projects/{project}/zones/{zone}/reservations", "parameters": { "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone for this request.", "required": true, "location": "path" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Creates a new reservation. For more information, read Reserving zonal resources.", "httpMethod": "POST", "request": { "$ref": "Reservation" }, "response": { "$ref": "Operation" }, "id": "compute.reservations.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone" ] }, "testIamPermissions": { "parameterOrder": [ "project", "zone", "resource" ], "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "zone": { "location": "path", "description": "The name of the zone for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "id": "compute.reservations.testIamPermissions", "path": "projects/{project}/zones/{zone}/reservations/{resource}/testIamPermissions", "flatPath": "projects/{project}/zones/{zone}/reservations/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" } }, "getIamPolicy": { "httpMethod": "GET", "response": { "$ref": "Policy" }, "parameters": { "resource": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "optionsRequestedPolicyVersion": { "location": "query", "format": "int32", "type": "integer", "description": "Requested IAM Policy version." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request.", "location": "path", "required": true } }, "path": "projects/{project}/zones/{zone}/reservations/{resource}/getIamPolicy", "flatPath": "projects/{project}/zones/{zone}/reservations/{resource}/getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameterOrder": [ "project", "zone", "resource" ], "id": "compute.reservations.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "update": { "description": "Update share settings of the reservation.", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "paths": { "type": "string", "location": "query", "repeated": true }, "reservation": { "type": "string", "description": "Name of the reservation to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "zone": { "required": true, "type": "string", "description": "Name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" }, "updateMask": { "format": "google-fieldmask", "description": "Update_mask indicates fields to be updated as part of this request.", "location": "query", "type": "string" } }, "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}", "parameterOrder": [ "project", "zone", "reservation" ], "id": "compute.reservations.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Reservation" }, "path": "projects/{project}/zones/{zone}/reservations/{reservation}" }, "get": { "description": "Retrieves information about the specified reservation.", "path": "projects/{project}/zones/{zone}/reservations/{reservation}", "id": "compute.reservations.get", "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}", "httpMethod": "GET", "parameterOrder": [ "project", "zone", "reservation" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "zone": { "description": "Name of the zone for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "reservation": { "description": "Name of the reservation to retrieve.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "response": { "$ref": "Reservation" } }, "aggregatedList": { "parameterOrder": [ "project" ], "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "maxResults": { "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "type": "integer" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "ReservationAggregatedList" }, "flatPath": "projects/{project}/aggregated/reservations", "id": "compute.reservations.aggregatedList", "httpMethod": "GET", "path": "projects/{project}/aggregated/reservations", "description": "Retrieves an aggregated list of reservations." }, "list": { "response": { "$ref": "ReservationList" }, "path": "projects/{project}/zones/{zone}/reservations", "parameterOrder": [ "project", "zone" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "maxResults": { "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "default": "500" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "zone": { "required": true, "type": "string", "description": "Name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "description": "A list of all the reservations that have been configured for the specified project in specified zone.", "id": "compute.reservations.list", "flatPath": "projects/{project}/zones/{zone}/reservations" }, "resize": { "id": "compute.reservations.resize", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/reservations/{reservation}/resize", "parameterOrder": [ "project", "zone", "reservation" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "required": true, "location": "path", "description": "Name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "reservation": { "description": "Name of the reservation to update.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "request": { "$ref": "ReservationsResizeRequest" }, "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}/resize", "description": "Resizes the reservation (applicable to standalone reservations only). For more information, read Modifying reservations.", "response": { "$ref": "Operation" } }, "setIamPolicy": { "request": { "$ref": "ZoneSetPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/reservations/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "id": "compute.reservations.setIamPolicy", "parameters": { "resource": { "location": "path", "description": "Name or id of the resource for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "description": "The name of the zone for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameterOrder": [ "project", "zone", "resource" ], "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/reservations/{resource}/setIamPolicy" }, "delete": { "description": "Deletes the specified reservation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.reservations.delete", "parameterOrder": [ "project", "zone", "reservation" ], "path": "projects/{project}/zones/{zone}/reservations/{reservation}", "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "reservation": { "location": "path", "required": true, "type": "string", "description": "Name of the reservation to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "zone": { "location": "path", "description": "Name of the zone for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } } } } }, "regionNetworks": { "methods": { "list": { "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/networks", "response": { "$ref": "NetworkList" }, "id": "compute.regionNetworks.list", "path": "projects/{project}/regions/{region}/networks", "description": "Retrieves the list of networks available to the specified project in the given region.", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request." }, "maxResults": { "default": "500", "type": "integer", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } } }, "insert": { "parameterOrder": [ "project", "region" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "description": "Creates a network in the specified project and region using the data included in the request.", "path": "projects/{project}/regions/{region}/networks", "request": { "$ref": "Network" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.regionNetworks.insert", "flatPath": "projects/{project}/regions/{region}/networks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "delete": { "description": "Deletes the specified network.", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/networks/{network}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "network" ], "id": "compute.regionNetworks.delete", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true }, "network": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the network to delete." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "httpMethod": "DELETE", "flatPath": "projects/{project}/regions/{region}/networks/{network}" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "required": true, "description": "The name of the region for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "Name or id of the resource for this request." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } }, "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/networks/{resource}/setIamPolicy", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/networks/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "request": { "$ref": "RegionSetPolicyRequest" }, "response": { "$ref": "Policy" }, "id": "compute.regionNetworks.setIamPolicy" }, "get": { "path": "projects/{project}/regions/{region}/networks/{network}", "response": { "$ref": "Network" }, "flatPath": "projects/{project}/regions/{region}/networks/{network}", "parameterOrder": [ "project", "region", "network" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Returns the specified network.", "id": "compute.regionNetworks.get", "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "network": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the network to return.", "location": "path", "required": true } } }, "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/networks/{resource}/getIamPolicy", "parameters": { "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "format": "int32", "location": "query", "type": "integer" }, "resource": { "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "region": { "type": "string", "location": "path", "required": true, "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Policy" }, "httpMethod": "GET", "path": "projects/{project}/regions/{region}/networks/{resource}/getIamPolicy", "id": "compute.regionNetworks.getIamPolicy" }, "testIamPermissions": { "httpMethod": "POST", "id": "compute.regionNetworks.testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/networks/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/regions/{region}/networks/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "type": "string", "location": "path" }, "resource": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request." }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } } } }, "instanceTemplates": { "methods": { "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instanceTemplates.getIamPolicy", "httpMethod": "GET", "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request.", "type": "string" }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "location": "query", "format": "int32", "type": "integer" } }, "flatPath": "projects/{project}/global/instanceTemplates/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "path": "projects/{project}/global/instanceTemplates/{resource}/getIamPolicy", "parameterOrder": [ "project", "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists." }, "delete": { "path": "projects/{project}/global/instanceTemplates/{instanceTemplate}", "flatPath": "projects/{project}/global/instanceTemplates/{instanceTemplate}", "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "description": "Deletes the specified instance template. Deleting an instance template is permanent and cannot be undone. It is not possible to delete templates that are already in use by a managed instance group.", "parameterOrder": [ "project", "instanceTemplate" ], "id": "compute.instanceTemplates.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true }, "instanceTemplate": { "description": "The name of the instance template to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } } }, "testIamPermissions": { "httpMethod": "POST", "id": "compute.instanceTemplates.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/global/instanceTemplates/{resource}/testIamPermissions", "path": "projects/{project}/global/instanceTemplates/{resource}/testIamPermissions", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" } }, "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource." }, "get": { "parameters": { "instanceTemplate": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "The name of the instance template.", "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "flatPath": "projects/{project}/global/instanceTemplates/{instanceTemplate}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "id": "compute.instanceTemplates.get", "response": { "$ref": "InstanceTemplate" }, "description": "Returns the specified instance template. Gets a list of available instance templates by making a list() request.", "parameterOrder": [ "project", "instanceTemplate" ], "path": "projects/{project}/global/instanceTemplates/{instanceTemplate}" }, "insert": { "id": "compute.instanceTemplates.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates an instance template in the specified project using the data that is included in the request. If you are creating a new template to update an existing instance group, your new instance template must use the same network or, if applicable, the same subnetwork as the original template.", "request": { "$ref": "InstanceTemplate" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "flatPath": "projects/{project}/global/instanceTemplates", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "project" ], "path": "projects/{project}/global/instanceTemplates" }, "setIamPolicy": { "response": { "$ref": "Policy" }, "parameters": { "resource": { "description": "Name or id of the resource for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true } }, "flatPath": "projects/{project}/global/instanceTemplates/{resource}/setIamPolicy", "request": { "$ref": "GlobalSetPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/instanceTemplates/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "id": "compute.instanceTemplates.setIamPolicy" }, "list": { "parameterOrder": [ "project" ], "response": { "$ref": "InstanceTemplateList" }, "description": "Retrieves a list of instance templates that are contained within the specified project.", "path": "projects/{project}/global/instanceTemplates", "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "location": "query", "type": "integer", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "httpMethod": "GET", "flatPath": "projects/{project}/global/instanceTemplates", "id": "compute.instanceTemplates.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "instanceGroupManagerResizeRequests": { "methods": { "delete": { "id": "compute.instanceGroupManagerResizeRequests.delete", "description": "Deletes the specified resize request.", "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeRequests/{resizeRequest}", "parameters": { "resizeRequest": { "type": "string", "description": "The name of the resize request to delete. The name should conform to RFC1035 or be a resource ID.", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "type": "string", "description": "The name of the zone where the managed instance group is located. The name should conform to RFC1035.", "location": "path", "required": true }, "instanceGroupManager": { "description": "The name of the managed instance group. The name should conform to RFC1035 or be a resource ID.", "required": true, "location": "path", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeRequests/{resizeRequest}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instanceGroupManager", "resizeRequest" ], "httpMethod": "DELETE" }, "get": { "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeRequests/{resizeRequest}", "parameters": { "instanceGroupManager": { "type": "string", "required": true, "description": "The name of the managed instance group. Name should conform to RFC1035 or be a resource ID.", "location": "path" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "zone": { "required": true, "location": "path", "description": "The name of the zone where the managed instance group and the resize request are located. Name should conform to RFC1035.", "type": "string" }, "resizeRequest": { "description": "The name of the resize request. Name should conform to RFC1035 or be a resource ID.", "type": "string", "location": "path", "required": true } }, "httpMethod": "GET", "description": "Returns all of the details about the specified resize request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "InstanceGroupManagerResizeRequest" }, "id": "compute.instanceGroupManagerResizeRequests.get", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeRequests/{resizeRequest}", "parameterOrder": [ "project", "zone", "instanceGroupManager", "resizeRequest" ] }, "insert": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "description": "Creates a new resize request that starts provisioning VMs immediately or queues VM creation.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeRequests", "id": "compute.instanceGroupManagerResizeRequests.insert", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeRequests", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "type": "string", "location": "path", "required": true, "description": "The name of the zone where the managed instance group is located and where the resize request will be created. Name should conform to RFC1035." }, "instanceGroupManager": { "description": "The name of the managed instance group to which the resize request will be added. Name should conform to RFC1035 or be a resource ID.", "required": true, "location": "path", "type": "string" } }, "httpMethod": "POST", "request": { "$ref": "InstanceGroupManagerResizeRequest" } }, "list": { "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeRequests", "response": { "$ref": "InstanceGroupManagerResizeRequestsListResponse" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeRequests", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "httpMethod": "GET", "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "zone": { "description": "The name of the zone where the managed instance group is located. The name should conform to RFC1035.", "type": "string", "location": "path", "required": true }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "instanceGroupManager": { "type": "string", "description": "The name of the managed instance group. The name should conform to RFC1035.", "required": true, "location": "path" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "minimum": "0", "type": "integer", "location": "query", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" } }, "description": "Retrieves a list of resize requests that are contained in the managed instance group.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instanceGroupManagerResizeRequests.list" } } }, "projects": { "methods": { "setDefaultNetworkTier": { "parameterOrder": [ "project" ], "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "request": { "$ref": "ProjectsSetDefaultNetworkTierRequest" }, "id": "compute.projects.setDefaultNetworkTier", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/setDefaultNetworkTier", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the default network tier of the project. The default network tier is used when an address/forwardingRule/instance is created without specifying the network tier field.", "path": "projects/{project}/setDefaultNetworkTier" }, "enableXpnResource": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ProjectsEnableXpnResourceRequest" }, "path": "projects/{project}/enableXpnResource", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/enableXpnResource", "description": "Enable service resource (a.k.a service project) for a host project, so that subnets in the host project can be used by instances in the service project.", "parameters": { "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "id": "compute.projects.enableXpnResource" }, "setDefaultServiceAccount": { "id": "compute.projects.setDefaultServiceAccount", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "flatPath": "projects/{project}/setDefaultServiceAccount", "description": "Sets the default service account of the project. The default service account is used when a VM instance is created with the service account email address set to \"default\".", "path": "projects/{project}/setDefaultServiceAccount", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ProjectsSetDefaultServiceAccountRequest" } }, "listXpnHosts": { "flatPath": "projects/{project}/listXpnHosts", "parameterOrder": [ "project" ], "path": "projects/{project}/listXpnHosts", "response": { "$ref": "XpnHostList" }, "description": "Lists all shared VPC host projects visible to the user in an organization.", "request": { "$ref": "ProjectsListXpnHostsRequest" }, "id": "compute.projects.listXpnHosts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "maxResults": { "format": "uint32", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "httpMethod": "POST" }, "disableXpnResource": { "parameterOrder": [ "project" ], "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/disableXpnResource", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ProjectsDisableXpnResourceRequest" }, "id": "compute.projects.disableXpnResource", "httpMethod": "POST", "path": "projects/{project}/disableXpnResource", "description": "Disable a service resource (also known as service project) associated with this host project." }, "get": { "path": "projects/{project}", "flatPath": "projects/{project}", "response": { "$ref": "Project" }, "id": "compute.projects.get", "description": "Returns the specified Project resource. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request.", "parameterOrder": [ "project" ], "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "setCommonInstanceMetadata": { "flatPath": "projects/{project}/setCommonInstanceMetadata", "request": { "$ref": "Metadata" }, "httpMethod": "POST", "id": "compute.projects.setCommonInstanceMetadata", "description": "Sets metadata common to all instances within the specified project using the data included in the request.", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/setCommonInstanceMetadata", "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ] }, "moveDisk": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/moveDisk", "description": "Moves a persistent disk from one zone to another.", "httpMethod": "POST", "request": { "$ref": "DiskMoveRequest" }, "flatPath": "projects/{project}/moveDisk", "parameterOrder": [ "project" ], "id": "compute.projects.moveDisk", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } } }, "enableXpnHost": { "parameterOrder": [ "project" ], "httpMethod": "POST", "description": "Enable this project as a shared VPC host project.", "path": "projects/{project}/enableXpnHost", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/enableXpnHost", "id": "compute.projects.enableXpnHost", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "response": { "$ref": "Operation" } }, "setUsageExportBucket": { "request": { "$ref": "UsageExportLocation" }, "description": "Enables the usage export feature and sets the usage export bucket where reports are stored. If you provide an empty request body using this method, the usage export feature will be disabled.", "response": { "$ref": "Operation" }, "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "path": "projects/{project}/setUsageExportBucket", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/devstorage.full_control", "https://www.googleapis.com/auth/devstorage.read_only", "https://www.googleapis.com/auth/devstorage.read_write" ], "id": "compute.projects.setUsageExportBucket", "flatPath": "projects/{project}/setUsageExportBucket", "parameterOrder": [ "project" ] }, "getXpnResources": { "description": "Gets service resources (a.k.a service project) associated with this host project.", "httpMethod": "GET", "parameterOrder": [ "project" ], "response": { "$ref": "ProjectsGetXpnResources" }, "flatPath": "projects/{project}/getXpnResources", "path": "projects/{project}/getXpnResources", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "maxResults": { "type": "integer", "default": "500", "minimum": "0", "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" } }, "id": "compute.projects.getXpnResources" }, "getXpnHost": { "response": { "$ref": "Project" }, "path": "projects/{project}/getXpnHost", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Gets the shared VPC host project that this project links to. May be empty if no link exists.", "httpMethod": "GET", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/getXpnHost", "id": "compute.projects.getXpnHost" }, "disableXpnHost": { "path": "projects/{project}/disableXpnHost", "flatPath": "projects/{project}/disableXpnHost", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Disable this project as a shared VPC host project.", "id": "compute.projects.disableXpnHost", "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "parameterOrder": [ "project" ], "httpMethod": "POST" }, "moveInstance": { "request": { "$ref": "InstanceMoveRequest" }, "description": "Moves an instance and its attached persistent disks from one zone to another. *Note*: Moving VMs or disks by using this method might cause unexpected behavior. For more information, see the [known issue](/compute/docs/troubleshooting/known-issues#moving_vms_or_disks_using_the_moveinstance_api_or_the_causes_unexpected_behavior).", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "id": "compute.projects.moveInstance", "flatPath": "projects/{project}/moveInstance", "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "projects/{project}/moveInstance", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "acceleratorTypes": { "methods": { "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "AcceleratorTypeAggregatedList" }, "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500", "type": "integer", "minimum": "0" }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "path": "projects/{project}/aggregated/acceleratorTypes", "parameterOrder": [ "project" ], "description": "Retrieves an aggregated list of accelerator types.", "id": "compute.acceleratorTypes.aggregatedList", "flatPath": "projects/{project}/aggregated/acceleratorTypes" }, "get": { "path": "projects/{project}/zones/{zone}/acceleratorTypes/{acceleratorType}", "flatPath": "projects/{project}/zones/{zone}/acceleratorTypes/{acceleratorType}", "parameters": { "acceleratorType": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the accelerator type to return." }, "zone": { "location": "path", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "description": "Returns the specified accelerator type.", "id": "compute.acceleratorTypes.get", "httpMethod": "GET", "parameterOrder": [ "project", "zone", "acceleratorType" ], "response": { "$ref": "AcceleratorType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "list": { "parameterOrder": [ "project", "zone" ], "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/acceleratorTypes", "description": "Retrieves a list of accelerator types that are available to the specified project.", "response": { "$ref": "AcceleratorTypeList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/acceleratorTypes", "parameters": { "zone": { "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "maxResults": { "format": "uint32", "type": "integer", "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "id": "compute.acceleratorTypes.list" } } }, "firewallPolicies": { "methods": { "list": { "flatPath": "locations/global/firewallPolicies", "response": { "$ref": "FirewallPolicyList" }, "id": "compute.firewallPolicies.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists all the policies that have been configured for the specified folder or organization.", "httpMethod": "GET", "path": "locations/global/firewallPolicies", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "parentId": { "description": "Parent ID for this request.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "format": "uint32", "default": "500" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } } }, "patch": { "httpMethod": "PATCH", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}", "description": "Patches the specified policy with the data included in the request.", "request": { "$ref": "FirewallPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "firewallPolicy": { "type": "string", "description": "Name of the firewall policy to update.", "required": true, "pattern": "(firewallPolicies/)?[0-9]{0,20}", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "parameterOrder": [ "firewallPolicy" ], "path": "locations/global/firewallPolicies/{firewallPolicy}", "id": "compute.firewallPolicies.patch", "response": { "$ref": "Operation" } }, "getAssociation": { "description": "Gets an association with the specified name.", "response": { "$ref": "FirewallPolicyAssociation" }, "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/getAssociation", "path": "locations/global/firewallPolicies/{firewallPolicy}/getAssociation", "parameters": { "name": { "location": "query", "description": "The name of the association to get from the firewall policy.", "type": "string" }, "firewallPolicy": { "location": "path", "type": "string", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true, "description": "Name of the firewall policy to which the queried rule belongs." } }, "httpMethod": "GET", "id": "compute.firewallPolicies.getAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "firewallPolicy" ] }, "setIamPolicy": { "httpMethod": "POST", "parameters": { "resource": { "required": true, "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name or id of the resource for this request.", "type": "string", "location": "path" } }, "flatPath": "locations/global/firewallPolicies/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "path": "locations/global/firewallPolicies/{resource}/setIamPolicy", "request": { "$ref": "GlobalOrganizationSetPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "id": "compute.firewallPolicies.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "addRule": { "response": { "$ref": "Operation" }, "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/addRule", "id": "compute.firewallPolicies.addRule", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true, "location": "path", "type": "string", "description": "Name of the firewall policy to update." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "request": { "$ref": "FirewallPolicyRule" }, "parameterOrder": [ "firewallPolicy" ], "httpMethod": "POST", "path": "locations/global/firewallPolicies/{firewallPolicy}/addRule", "description": "Inserts a rule into a firewall policy." }, "insert": { "request": { "$ref": "FirewallPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "locations/global/firewallPolicies", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "parentId": { "description": "Parent ID for this request. The ID can be either be \"folders/[FOLDER_ID]\" if the parent is a folder or \"organizations/[ORGANIZATION_ID]\" if the parent is an organization.", "location": "query", "type": "string" } }, "response": { "$ref": "Operation" }, "description": "Creates a new policy in the specified project using the data included in the request.", "id": "compute.firewallPolicies.insert", "httpMethod": "POST", "path": "locations/global/firewallPolicies" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "path": "locations/global/firewallPolicies/{resource}/testIamPermissions", "parameters": { "resource": { "required": true, "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name or id of the resource for this request.", "type": "string", "location": "path" } }, "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.firewallPolicies.testIamPermissions", "parameterOrder": [ "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "locations/global/firewallPolicies/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" } }, "addAssociation": { "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/addAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "request": { "$ref": "FirewallPolicyAssociation" }, "path": "locations/global/firewallPolicies/{firewallPolicy}/addAssociation", "description": "Inserts an association for the specified firewall policy.", "id": "compute.firewallPolicies.addAssociation", "httpMethod": "POST", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to update.", "required": true, "type": "string", "location": "path" }, "replaceExistingAssociation": { "description": "Indicates whether or not to replace it if an association of the attachment already exists. This is false by default, in which case an error will be returned if an association already exists.", "type": "boolean", "location": "query" } }, "parameterOrder": [ "firewallPolicy" ] }, "patchRule": { "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/patchRule", "path": "locations/global/firewallPolicies/{firewallPolicy}/patchRule", "id": "compute.firewallPolicies.patchRule", "parameterOrder": [ "firewallPolicy" ], "parameters": { "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "type": "string", "location": "path", "description": "Name of the firewall policy to update.", "required": true }, "priority": { "location": "query", "description": "The priority of the rule to patch.", "type": "integer", "format": "int32" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Patches a rule of the specified priority.", "request": { "$ref": "FirewallPolicyRule" }, "httpMethod": "POST" }, "listAssociations": { "parameters": { "targetResource": { "type": "string", "description": "The target resource to list associations. It is an organization, or a folder.", "location": "query" } }, "response": { "$ref": "FirewallPoliciesListAssociationsResponse" }, "httpMethod": "GET", "description": "Lists associations of a specified target, i.e., organization or folder.", "path": "locations/global/firewallPolicies/listAssociations", "id": "compute.firewallPolicies.listAssociations", "flatPath": "locations/global/firewallPolicies/listAssociations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "removeRule": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.firewallPolicies.removeRule", "path": "locations/global/firewallPolicies/{firewallPolicy}/removeRule", "response": { "$ref": "Operation" }, "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/removeRule", "parameterOrder": [ "firewallPolicy" ], "description": "Deletes a rule of the specified priority.", "parameters": { "priority": { "description": "The priority of the rule to remove from the firewall policy.", "type": "integer", "location": "query", "format": "int32" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to update.", "type": "string", "required": true, "location": "path" } } }, "delete": { "flatPath": "locations/global/firewallPolicies/{firewallPolicy}", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "firewallPolicy": { "location": "path", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to delete.", "type": "string", "required": true } }, "path": "locations/global/firewallPolicies/{firewallPolicy}", "id": "compute.firewallPolicies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "firewallPolicy" ], "httpMethod": "DELETE", "description": "Deletes the specified policy." }, "getRule": { "response": { "$ref": "FirewallPolicyRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "location": "path", "description": "Name of the firewall policy to which the queried rule belongs.", "required": true, "type": "string" }, "priority": { "type": "integer", "location": "query", "description": "The priority of the rule to get from the firewall policy.", "format": "int32" } }, "id": "compute.firewallPolicies.getRule", "parameterOrder": [ "firewallPolicy" ], "path": "locations/global/firewallPolicies/{firewallPolicy}/getRule", "httpMethod": "GET", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/getRule", "description": "Gets a rule of the specified priority." }, "removeAssociation": { "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/removeAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "locations/global/firewallPolicies/{firewallPolicy}/removeAssociation", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "name": { "description": "Name for the attachment that will be removed.", "type": "string", "location": "query" }, "firewallPolicy": { "type": "string", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to update.", "required": true, "location": "path" } }, "id": "compute.firewallPolicies.removeAssociation", "description": "Removes an association for the specified firewall policy.", "httpMethod": "POST", "parameterOrder": [ "firewallPolicy" ], "response": { "$ref": "Operation" } }, "get": { "path": "locations/global/firewallPolicies/{firewallPolicy}", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}", "response": { "$ref": "FirewallPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "firewallPolicy": { "type": "string", "required": true, "location": "path", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to get." } }, "parameterOrder": [ "firewallPolicy" ], "description": "Returns the specified firewall policy.", "id": "compute.firewallPolicies.get" }, "cloneRules": { "parameters": { "sourceFirewallPolicy": { "location": "query", "type": "string", "description": "The firewall policy from which to copy rules." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "firewallPolicy": { "location": "path", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true, "type": "string", "description": "Name of the firewall policy to update." } }, "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/cloneRules", "parameterOrder": [ "firewallPolicy" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "path": "locations/global/firewallPolicies/{firewallPolicy}/cloneRules", "description": "Copies rules to the specified firewall policy.", "id": "compute.firewallPolicies.cloneRules" }, "getIamPolicy": { "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "locations/global/firewallPolicies/{resource}/getIamPolicy", "httpMethod": "GET", "flatPath": "locations/global/firewallPolicies/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.firewallPolicies.getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "optionsRequestedPolicyVersion": { "format": "int32", "description": "Requested IAM Policy version.", "location": "query", "type": "integer" }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "type": "string", "required": true } } }, "move": { "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/move", "parameterOrder": [ "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "locations/global/firewallPolicies/{firewallPolicy}/move", "id": "compute.firewallPolicies.move", "parameters": { "firewallPolicy": { "type": "string", "required": true, "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to update.", "location": "path" }, "parentId": { "location": "query", "type": "string", "description": "The new parent of the firewall policy." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "description": "Moves the specified firewall policy.", "httpMethod": "POST" } } }, "packetMirrorings": { "methods": { "testIamPermissions": { "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "required": true, "type": "string" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "type": "string" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "path": "projects/{project}/regions/{region}/packetMirrorings/{resource}/testIamPermissions", "id": "compute.packetMirrorings.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource." }, "aggregatedList": { "description": "Retrieves an aggregated list of packetMirrorings.", "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "default": "500", "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/packetMirrorings", "id": "compute.packetMirrorings.aggregatedList", "path": "projects/{project}/aggregated/packetMirrorings", "parameterOrder": [ "project" ], "response": { "$ref": "PacketMirroringAggregatedList" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "packetMirroring": { "type": "string", "description": "Name of the PacketMirroring resource to return.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region for this request." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "description": "Returns the specified PacketMirroring resource.", "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "path": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "httpMethod": "GET", "response": { "$ref": "PacketMirroring" }, "id": "compute.packetMirrorings.get", "parameterOrder": [ "project", "region", "packetMirroring" ] }, "list": { "flatPath": "projects/{project}/regions/{region}/packetMirrorings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Retrieves a list of PacketMirroring resources available to the specified project and region.", "parameterOrder": [ "project", "region" ], "parameters": { "maxResults": { "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer", "minimum": "0" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "region": { "required": true, "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } }, "response": { "$ref": "PacketMirroringList" }, "id": "compute.packetMirrorings.list", "path": "projects/{project}/regions/{region}/packetMirrorings" }, "patch": { "parameters": { "region": { "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "packetMirroring": { "description": "Name of the PacketMirroring resource to patch.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "request": { "$ref": "PacketMirroring" }, "description": "Patches the specified PacketMirroring resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "httpMethod": "PATCH", "parameterOrder": [ "project", "region", "packetMirroring" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.packetMirrorings.patch", "path": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}" }, "insert": { "id": "compute.packetMirrorings.insert", "path": "projects/{project}/regions/{region}/packetMirrorings", "request": { "$ref": "PacketMirroring" }, "parameters": { "region": { "location": "path", "description": "Name of the region for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a PacketMirroring resource in the specified project and region using the data included in the request.", "flatPath": "projects/{project}/regions/{region}/packetMirrorings", "httpMethod": "POST" }, "delete": { "parameterOrder": [ "project", "region", "packetMirroring" ], "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "response": { "$ref": "Operation" }, "description": "Deletes the specified PacketMirroring resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.packetMirrorings.delete", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "region": { "required": true, "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "packetMirroring": { "description": "Name of the PacketMirroring resource to delete.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" } }, "httpMethod": "DELETE", "path": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}" } } }, "sslCertificates": { "methods": { "get": { "response": { "$ref": "SslCertificate" }, "description": "Returns the specified SslCertificate resource. Gets a list of available SSL certificates by making a list() request.", "id": "compute.sslCertificates.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "sslCertificate" ], "httpMethod": "GET", "parameters": { "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "sslCertificate": { "description": "Name of the SslCertificate resource to return.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "path": "projects/{project}/global/sslCertificates/{sslCertificate}", "flatPath": "projects/{project}/global/sslCertificates/{sslCertificate}" }, "list": { "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "format": "uint32", "default": "500", "type": "integer", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "description": "Retrieves the list of SslCertificate resources available to the specified project.", "flatPath": "projects/{project}/global/sslCertificates", "httpMethod": "GET", "id": "compute.sslCertificates.list", "path": "projects/{project}/global/sslCertificates", "response": { "$ref": "SslCertificateList" }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "testIamPermissions": { "httpMethod": "POST", "id": "compute.sslCertificates.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "parameters": { "resource": { "description": "Name or id of the resource for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/global/sslCertificates/{resource}/testIamPermissions", "flatPath": "projects/{project}/global/sslCertificates/{resource}/testIamPermissions" }, "insert": { "request": { "$ref": "SslCertificate" }, "id": "compute.sslCertificates.insert", "path": "projects/{project}/global/sslCertificates", "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/sslCertificates", "description": "Creates a SslCertificate resource in the specified project using the data included in the request.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "aggregatedList": { "httpMethod": "GET", "path": "projects/{project}/aggregated/sslCertificates", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/sslCertificates", "description": "Retrieves the list of all SslCertificate resources, regional and global, available to the specified project.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Name of the project scoping this request.", "type": "string", "location": "path" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500", "format": "uint32", "type": "integer", "minimum": "0" }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "id": "compute.sslCertificates.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SslCertificateAggregatedList" } }, "delete": { "path": "projects/{project}/global/sslCertificates/{sslCertificate}", "parameterOrder": [ "project", "sslCertificate" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/sslCertificates/{sslCertificate}", "id": "compute.sslCertificates.delete", "httpMethod": "DELETE", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "sslCertificate": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the SslCertificate resource to delete.", "required": true } }, "description": "Deletes the specified SslCertificate resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "forwardingRules": { "methods": { "get": { "httpMethod": "GET", "description": "Returns the specified ForwardingRule resource.", "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "id": "compute.forwardingRules.get", "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "ForwardingRule" }, "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "forwardingRule": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the ForwardingRule resource to return.", "location": "path", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "project", "region", "forwardingRule" ] }, "list": { "id": "compute.forwardingRules.list", "path": "projects/{project}/regions/{region}/forwardingRules", "description": "Retrieves a list of ForwardingRule resources available to the specified project and region.", "flatPath": "projects/{project}/regions/{region}/forwardingRules", "httpMethod": "GET", "parameters": { "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500", "location": "query", "format": "uint32" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region scoping this request.", "location": "path" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } }, "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "ForwardingRuleList" } }, "setLabels": { "flatPath": "projects/{project}/regions/{region}/forwardingRules/{resource}/setLabels", "id": "compute.forwardingRules.setLabels", "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/regions/{region}/forwardingRules/{resource}/setLabels", "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "RegionSetLabelsRequest" }, "parameters": { "resource": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The region for this request.", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the labels on the specified resource. To learn more about labels, read the Labeling Resources documentation." }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/forwardingRules/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "region": { "type": "string", "required": true, "location": "path", "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name or id of the resource for this request." } }, "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/regions/{region}/forwardingRules/{resource}/testIamPermissions", "id": "compute.forwardingRules.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "parameters": { "region": { "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "forwardingRule": { "description": "Name of the ForwardingRule resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "description": "Deletes the specified ForwardingRule resource.", "parameterOrder": [ "project", "region", "forwardingRule" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.forwardingRules.delete" }, "patch": { "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "response": { "$ref": "Operation" }, "request": { "$ref": "ForwardingRule" }, "parameterOrder": [ "project", "region", "forwardingRule" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "forwardingRule": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the ForwardingRule resource to patch.", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "httpMethod": "PATCH", "id": "compute.forwardingRules.patch", "description": "Updates the specified forwarding rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. Currently, you can only patch the network_tier field.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setTarget": { "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}/setTarget", "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}/setTarget", "response": { "$ref": "Operation" }, "httpMethod": "POST", "description": "Changes target URL for forwarding rule. The new target should be of the same type as the old target.", "parameterOrder": [ "project", "region", "forwardingRule" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetReference" }, "parameters": { "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "forwardingRule": { "description": "Name of the ForwardingRule resource in which target is to be set.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string" } }, "id": "compute.forwardingRules.setTarget" }, "aggregatedList": { "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/forwardingRules", "description": "Retrieves an aggregated list of forwarding rules.", "response": { "$ref": "ForwardingRuleAggregatedList" }, "parameters": { "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "format": "uint32", "location": "query", "default": "500" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" } }, "id": "compute.forwardingRules.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/aggregated/forwardingRules" }, "insert": { "request": { "$ref": "ForwardingRule" }, "path": "projects/{project}/regions/{region}/forwardingRules", "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.forwardingRules.insert", "description": "Creates a ForwardingRule resource in the specified project and region using the data included in the request.", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/forwardingRules" } } }, "regions": { "methods": { "list": { "flatPath": "projects/{project}/regions", "description": "Retrieves the list of region resources available to the specified project. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `items.quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request.", "httpMethod": "GET", "response": { "$ref": "RegionList" }, "path": "projects/{project}/regions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "format": "uint32", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "id": "compute.regions.list" }, "get": { "response": { "$ref": "Region" }, "id": "compute.regions.get", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}", "parameterOrder": [ "project", "region" ], "description": "Returns the specified Region resource. Gets a list of available regions by making a list() request. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request.", "path": "projects/{project}/regions/{region}", "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the region resource to return.", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true } } } } }, "addresses": { "methods": { "aggregatedList": { "response": { "$ref": "AddressAggregatedList" }, "description": "Retrieves an aggregated list of addresses.", "parameterOrder": [ "project" ], "id": "compute.addresses.aggregatedList", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "maxResults": { "default": "500", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "path": "projects/{project}/aggregated/addresses", "flatPath": "projects/{project}/aggregated/addresses" }, "setLabels": { "request": { "$ref": "RegionSetLabelsRequest" }, "flatPath": "projects/{project}/regions/{region}/addresses/{resource}/setLabels", "path": "projects/{project}/regions/{region}/addresses/{resource}/setLabels", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "resource": { "description": "Name or id of the resource for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "location": "path", "required": true, "type": "string", "description": "The region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "id": "compute.addresses.setLabels", "response": { "$ref": "Operation" }, "description": "Sets the labels on an Address. To learn more about labels, read the Labeling Resources documentation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "resource" ], "httpMethod": "POST" }, "get": { "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/addresses/{address}", "parameters": { "address": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the address resource to return.", "type": "string", "required": true, "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region for this request." } }, "id": "compute.addresses.get", "description": "Returns the specified address resource.", "response": { "$ref": "Address" }, "path": "projects/{project}/regions/{region}/addresses/{address}", "parameterOrder": [ "project", "region", "address" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "testIamPermissions": { "parameters": { "resource": { "location": "path", "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "type": "string", "location": "path" } }, "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.addresses.testIamPermissions", "flatPath": "projects/{project}/regions/{region}/addresses/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/addresses/{resource}/testIamPermissions" }, "delete": { "parameterOrder": [ "project", "region", "address" ], "path": "projects/{project}/regions/{region}/addresses/{address}", "flatPath": "projects/{project}/regions/{region}/addresses/{address}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "id": "compute.addresses.delete", "parameters": { "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request." }, "address": { "description": "Name of the address resource to delete.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "response": { "$ref": "Operation" }, "description": "Deletes the specified address resource." }, "insert": { "id": "compute.addresses.insert", "response": { "$ref": "Operation" }, "parameters": { "region": { "location": "path", "type": "string", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "projects/{project}/regions/{region}/addresses", "description": "Creates an address resource in the specified project by using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/addresses", "request": { "$ref": "Address" }, "parameterOrder": [ "project", "region" ], "httpMethod": "POST" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/addresses", "flatPath": "projects/{project}/regions/{region}/addresses", "parameterOrder": [ "project", "region" ], "id": "compute.addresses.list", "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region for this request." }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer", "default": "500", "format": "uint32" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "httpMethod": "GET", "description": "Retrieves a list of addresses contained within the specified region.", "response": { "$ref": "AddressList" } }, "move": { "flatPath": "projects/{project}/regions/{region}/addresses/{address}/move", "parameterOrder": [ "project", "region", "address" ], "description": "Moves the specified address resource.", "httpMethod": "POST", "request": { "$ref": "RegionAddressesMoveRequest" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "type": "string", "required": true, "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Source project ID which the Address is moved from.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "address": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the address resource to move.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/addresses/{address}/move", "id": "compute.addresses.move" } } }, "organizationSecurityPolicies": { "methods": { "patchRule": { "parameterOrder": [ "securityPolicy" ], "parameters": { "priority": { "location": "query", "description": "The priority of the rule to patch.", "type": "integer", "format": "int32" }, "securityPolicy": { "location": "path", "pattern": "(securityPolicies/)?[0-9]{0,20}", "description": "Name of the security policy to update.", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "description": "Patches a rule at the specified priority.", "request": { "$ref": "SecurityPolicyRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.organizationSecurityPolicies.patchRule", "httpMethod": "POST", "flatPath": "locations/global/securityPolicies/{securityPolicy}/patchRule", "path": "locations/global/securityPolicies/{securityPolicy}/patchRule" }, "getAssociation": { "flatPath": "locations/global/securityPolicies/{securityPolicy}/getAssociation", "path": "locations/global/securityPolicies/{securityPolicy}/getAssociation", "parameterOrder": [ "securityPolicy" ], "description": "Gets an association with the specified name.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.organizationSecurityPolicies.getAssociation", "response": { "$ref": "SecurityPolicyAssociation" }, "parameters": { "securityPolicy": { "location": "path", "required": true, "description": "Name of the security policy to which the queried rule belongs.", "type": "string", "pattern": "(securityPolicies/)?[0-9]{0,20}" }, "name": { "location": "query", "description": "The name of the association to get from the security policy.", "type": "string" } } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SecurityPolicy" }, "response": { "$ref": "Operation" }, "path": "locations/global/securityPolicies/{securityPolicy}", "description": "Patches the specified policy with the data included in the request.", "flatPath": "locations/global/securityPolicies/{securityPolicy}", "id": "compute.organizationSecurityPolicies.patch", "httpMethod": "PATCH", "parameters": { "securityPolicy": { "type": "string", "location": "path", "description": "Name of the security policy to update.", "pattern": "(securityPolicies/)?[0-9]{0,20}", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "parameterOrder": [ "securityPolicy" ] }, "getRule": { "id": "compute.organizationSecurityPolicies.getRule", "response": { "$ref": "SecurityPolicyRule" }, "parameters": { "securityPolicy": { "required": true, "pattern": "(securityPolicies/)?[0-9]{0,20}", "location": "path", "type": "string", "description": "Name of the security policy to which the queried rule belongs." }, "priority": { "description": "The priority of the rule to get from the security policy.", "format": "int32", "type": "integer", "location": "query" } }, "flatPath": "locations/global/securityPolicies/{securityPolicy}/getRule", "parameterOrder": [ "securityPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets a rule at the specified priority.", "httpMethod": "GET", "path": "locations/global/securityPolicies/{securityPolicy}/getRule" }, "addAssociation": { "id": "compute.organizationSecurityPolicies.addAssociation", "description": "Inserts an association for the specified security policy.", "parameterOrder": [ "securityPolicy" ], "request": { "$ref": "SecurityPolicyAssociation" }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "locations/global/securityPolicies/{securityPolicy}/addAssociation", "httpMethod": "POST", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "securityPolicy": { "required": true, "description": "Name of the security policy to update.", "pattern": "(securityPolicies/)?[0-9]{0,20}", "location": "path", "type": "string" }, "replaceExistingAssociation": { "type": "boolean", "location": "query", "description": "Indicates whether or not to replace it if an association of the attachment already exists. This is false by default, in which case an error will be returned if an association already exists." } }, "path": "locations/global/securityPolicies/{securityPolicy}/addAssociation" }, "copyRules": { "id": "compute.organizationSecurityPolicies.copyRules", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "securityPolicy": { "required": true, "location": "path", "description": "Name of the security policy to update.", "pattern": "(securityPolicies/)?[0-9]{0,20}", "type": "string" }, "sourceSecurityPolicy": { "location": "query", "type": "string", "description": "The security policy from which to copy rules." } }, "flatPath": "locations/global/securityPolicies/{securityPolicy}/copyRules", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "securityPolicy" ], "httpMethod": "POST", "description": "Copies rules to the specified security policy.", "path": "locations/global/securityPolicies/{securityPolicy}/copyRules" }, "removeAssociation": { "flatPath": "locations/global/securityPolicies/{securityPolicy}/removeAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "id": "compute.organizationSecurityPolicies.removeAssociation", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "securityPolicy": { "pattern": "(securityPolicies/)?[0-9]{0,20}", "type": "string", "location": "path", "required": true, "description": "Name of the security policy to update." }, "name": { "type": "string", "description": "Name for the attachment that will be removed.", "location": "query" } }, "path": "locations/global/securityPolicies/{securityPolicy}/removeAssociation", "parameterOrder": [ "securityPolicy" ], "description": "Removes an association for the specified security policy." }, "addRule": { "path": "locations/global/securityPolicies/{securityPolicy}/addRule", "response": { "$ref": "Operation" }, "description": "Inserts a rule into a security policy.", "httpMethod": "POST", "parameterOrder": [ "securityPolicy" ], "flatPath": "locations/global/securityPolicies/{securityPolicy}/addRule", "id": "compute.organizationSecurityPolicies.addRule", "request": { "$ref": "SecurityPolicyRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "securityPolicy": { "type": "string", "required": true, "description": "Name of the security policy to update.", "pattern": "(securityPolicies/)?[0-9]{0,20}", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "insert": { "response": { "$ref": "Operation" }, "id": "compute.organizationSecurityPolicies.insert", "parameters": { "parentId": { "description": "Parent ID for this request. The ID can be either be \"folders/[FOLDER_ID]\" if the parent is a folder or \"organizations/[ORGANIZATION_ID]\" if the parent is an organization.", "location": "query", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "locations/global/securityPolicies", "request": { "$ref": "SecurityPolicy" }, "description": "Creates a new policy in the specified project using the data included in the request.", "httpMethod": "POST", "flatPath": "locations/global/securityPolicies" }, "delete": { "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "securityPolicy": { "pattern": "(securityPolicies/)?[0-9]{0,20}", "type": "string", "required": true, "description": "Name of the security policy to delete.", "location": "path" } }, "id": "compute.organizationSecurityPolicies.delete", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "locations/global/securityPolicies/{securityPolicy}", "description": "Deletes the specified policy.", "flatPath": "locations/global/securityPolicies/{securityPolicy}", "parameterOrder": [ "securityPolicy" ] }, "removeRule": { "description": "Deletes a rule at the specified priority.", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "priority": { "format": "int32", "type": "integer", "location": "query", "description": "The priority of the rule to remove from the security policy." }, "securityPolicy": { "required": true, "type": "string", "pattern": "(securityPolicies/)?[0-9]{0,20}", "description": "Name of the security policy to update.", "location": "path" } }, "httpMethod": "POST", "path": "locations/global/securityPolicies/{securityPolicy}/removeRule", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.organizationSecurityPolicies.removeRule", "flatPath": "locations/global/securityPolicies/{securityPolicy}/removeRule", "parameterOrder": [ "securityPolicy" ] }, "get": { "parameterOrder": [ "securityPolicy" ], "description": "List all of the ordered rules present in a single specified policy.", "path": "locations/global/securityPolicies/{securityPolicy}", "id": "compute.organizationSecurityPolicies.get", "flatPath": "locations/global/securityPolicies/{securityPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SecurityPolicy" }, "httpMethod": "GET", "parameters": { "securityPolicy": { "location": "path", "pattern": "(securityPolicies/)?[0-9]{0,20}", "required": true, "type": "string", "description": "Name of the security policy to get." } } }, "listAssociations": { "description": "Lists associations of a specified target, i.e., organization or folder.", "httpMethod": "GET", "response": { "$ref": "OrganizationSecurityPoliciesListAssociationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "targetResource": { "description": "The target resource to list associations. It is an organization, or a folder.", "type": "string", "location": "query" } }, "flatPath": "locations/global/securityPolicies/listAssociations", "id": "compute.organizationSecurityPolicies.listAssociations", "path": "locations/global/securityPolicies/listAssociations" }, "move": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "securityPolicy" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "parentId": { "description": "The new parent of the security policy.", "location": "query", "type": "string" }, "securityPolicy": { "required": true, "description": "Name of the security policy to update.", "pattern": "(securityPolicies/)?[0-9]{0,20}", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.organizationSecurityPolicies.move", "path": "locations/global/securityPolicies/{securityPolicy}/move", "flatPath": "locations/global/securityPolicies/{securityPolicy}/move", "description": "Moves the specified security policy." }, "list": { "response": { "$ref": "SecurityPolicyList" }, "id": "compute.organizationSecurityPolicies.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "locations/global/securityPolicies", "parameters": { "maxResults": { "location": "query", "format": "uint32", "type": "integer", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "parentId": { "location": "query", "description": "Parent ID for this request.", "type": "string" } }, "path": "locations/global/securityPolicies", "httpMethod": "GET", "description": "List all the policies that have been configured for the specified project." } } }, "regionTargetTcpProxies": { "methods": { "insert": { "id": "compute.regionTargetTcpProxies.insert", "parameterOrder": [ "project", "region" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" } }, "path": "projects/{project}/regions/{region}/targetTcpProxies", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/targetTcpProxies", "httpMethod": "POST", "request": { "$ref": "TargetTcpProxy" }, "description": "Creates a TargetTcpProxy resource in the specified project and region using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "testIamPermissions": { "parameters": { "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request.", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "The name of the region for this request.", "location": "path" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "path": "projects/{project}/regions/{region}/targetTcpProxies/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.regionTargetTcpProxies.testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/targetTcpProxies/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" } }, "get": { "httpMethod": "GET", "path": "projects/{project}/regions/{region}/targetTcpProxies/{targetTcpProxy}", "parameters": { "targetTcpProxy": { "required": true, "description": "Name of the TargetTcpProxy resource to return.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request.", "location": "path", "type": "string" } }, "response": { "$ref": "TargetTcpProxy" }, "id": "compute.regionTargetTcpProxies.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "targetTcpProxy" ], "description": "Returns the specified TargetTcpProxy resource.", "flatPath": "projects/{project}/regions/{region}/targetTcpProxies/{targetTcpProxy}" }, "list": { "parameters": { "maxResults": { "format": "uint32", "minimum": "0", "type": "integer", "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "required": true, "location": "path" } }, "description": "Retrieves a list of TargetTcpProxy resources available to the specified project in a given region.", "id": "compute.regionTargetTcpProxies.list", "path": "projects/{project}/regions/{region}/targetTcpProxies", "flatPath": "projects/{project}/regions/{region}/targetTcpProxies", "parameterOrder": [ "project", "region" ], "response": { "$ref": "TargetTcpProxyList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET" }, "delete": { "description": "Deletes the specified TargetTcpProxy resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionTargetTcpProxies.delete", "flatPath": "projects/{project}/regions/{region}/targetTcpProxies/{targetTcpProxy}", "httpMethod": "DELETE", "parameters": { "targetTcpProxy": { "description": "Name of the TargetTcpProxy resource to delete.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "parameterOrder": [ "project", "region", "targetTcpProxy" ], "path": "projects/{project}/regions/{region}/targetTcpProxies/{targetTcpProxy}", "response": { "$ref": "Operation" } } } }, "resourcePolicies": { "methods": { "list": { "flatPath": "projects/{project}/regions/{region}/resourcePolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/resourcePolicies", "description": "A list all the resource policies that have been configured for the specified project in specified region.", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request.", "required": true }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "format": "uint32", "type": "integer", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "id": "compute.resourcePolicies.list", "parameterOrder": [ "project", "region" ], "response": { "$ref": "ResourcePolicyList" }, "httpMethod": "GET" }, "getIamPolicy": { "path": "projects/{project}/regions/{region}/resourcePolicies/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "id": "compute.resourcePolicies.getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "type": "string", "required": true, "location": "path", "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "optionsRequestedPolicyVersion": { "format": "int32", "description": "Requested IAM Policy version.", "location": "query", "type": "integer" }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "parameterOrder": [ "project", "region", "resource" ], "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resource}/getIamPolicy" }, "insert": { "flatPath": "projects/{project}/regions/{region}/resourcePolicies", "parameters": { "region": { "type": "string", "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } }, "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "request": { "$ref": "ResourcePolicy" }, "description": "Creates a new resource policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.resourcePolicies.insert", "path": "projects/{project}/regions/{region}/resourcePolicies" }, "get": { "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "ResourcePolicy" }, "description": "Retrieves all information of the specified resource policy.", "httpMethod": "GET", "parameterOrder": [ "project", "region", "resourcePolicy" ], "path": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}", "id": "compute.resourcePolicies.get", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "region": { "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" }, "resourcePolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the resource policy to retrieve.", "required": true, "location": "path" } } }, "aggregatedList": { "response": { "$ref": "ResourcePolicyAggregatedList" }, "flatPath": "projects/{project}/aggregated/resourcePolicies", "httpMethod": "GET", "parameterOrder": [ "project" ], "description": "Retrieves an aggregated list of resource policies.", "path": "projects/{project}/aggregated/resourcePolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.resourcePolicies.aggregatedList", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500", "location": "query", "minimum": "0" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } } }, "testIamPermissions": { "parameterOrder": [ "project", "region", "resource" ], "parameters": { "resource": { "required": true, "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "region": { "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.resourcePolicies.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/regions/{region}/resourcePolicies/{resource}/testIamPermissions", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource." }, "delete": { "parameterOrder": [ "project", "region", "resourcePolicy" ], "description": "Deletes the specified resource policy.", "parameters": { "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request.", "required": true, "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "resourcePolicy": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the resource policy to delete." } }, "id": "compute.resourcePolicies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}", "path": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}", "httpMethod": "DELETE", "response": { "$ref": "Operation" } }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "id": "compute.resourcePolicies.setIamPolicy", "request": { "$ref": "RegionSetPolicyRequest" }, "response": { "$ref": "Policy" }, "parameters": { "resource": { "location": "path", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "region": { "type": "string", "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "httpMethod": "POST", "path": "projects/{project}/regions/{region}/resourcePolicies/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resource}/setIamPolicy", "parameterOrder": [ "project", "region", "resource" ] } } }, "regionInstances": { "methods": { "bulkInsert": { "path": "projects/{project}/regions/{region}/instances/bulkInsert", "httpMethod": "POST", "request": { "$ref": "BulkInsertInstanceResource" }, "id": "compute.regionInstances.bulkInsert", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "location": "path", "type": "string", "required": true, "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/instances/bulkInsert", "description": "Creates multiple instances in a given region. Count specifies the number of instances to create.", "response": { "$ref": "Operation" } } } }, "globalAddresses": { "methods": { "move": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Source project ID which the Address is moved from.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "address": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name of the address resource to move." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Moves the specified address resource from one project to another project.", "id": "compute.globalAddresses.move", "parameterOrder": [ "project", "address" ], "path": "projects/{project}/global/addresses/{address}/move", "request": { "$ref": "GlobalAddressesMoveRequest" }, "flatPath": "projects/{project}/global/addresses/{address}/move" }, "list": { "response": { "$ref": "AddressList" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "maxResults": { "minimum": "0", "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true } }, "parameterOrder": [ "project" ], "path": "projects/{project}/global/addresses", "id": "compute.globalAddresses.list", "description": "Retrieves a list of global addresses.", "flatPath": "projects/{project}/global/addresses" }, "setLabels": { "request": { "$ref": "GlobalSetLabelsRequest" }, "parameterOrder": [ "project", "resource" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/addresses/{resource}/setLabels", "parameters": { "resource": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the labels on a GlobalAddress. To learn more about labels, read the Labeling Resources documentation.", "httpMethod": "POST", "id": "compute.globalAddresses.setLabels", "path": "projects/{project}/global/addresses/{resource}/setLabels" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.globalAddresses.delete", "path": "projects/{project}/global/addresses/{address}", "httpMethod": "DELETE", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "address": { "type": "string", "required": true, "description": "Name of the address resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." } }, "flatPath": "projects/{project}/global/addresses/{address}", "parameterOrder": [ "project", "address" ], "description": "Deletes the specified address resource.", "response": { "$ref": "Operation" } }, "get": { "response": { "$ref": "Address" }, "parameterOrder": [ "project", "address" ], "path": "projects/{project}/global/addresses/{address}", "parameters": { "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "address": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the address resource to return." } }, "flatPath": "projects/{project}/global/addresses/{address}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "id": "compute.globalAddresses.get", "description": "Returns the specified address resource. Gets a list of available addresses by making a list() request." }, "getOwnerInstance": { "flatPath": "projects/{project}/global/addresses/getOwnerInstance", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." }, "ipAddress": { "location": "query", "type": "string", "description": "The ip_address could be external IPv4, or internal IPv4 within IPv6 form of virtual_network_id with internal IPv4. IPv6 is not supported yet." } }, "response": { "$ref": "GetOwnerInstanceResponse" }, "parameterOrder": [ "project" ], "id": "compute.globalAddresses.getOwnerInstance", "description": "Find owner instance from given ip address", "path": "projects/{project}/global/addresses/getOwnerInstance" }, "testIamPermissions": { "id": "compute.globalAddresses.testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/addresses/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/global/addresses/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "parameters": { "resource": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true } } }, "insert": { "path": "projects/{project}/global/addresses", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "description": "Creates an address resource in the specified project by using the data included in the request.", "flatPath": "projects/{project}/global/addresses", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Address" }, "id": "compute.globalAddresses.insert", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "project" ] } } }, "images": { "methods": { "delete": { "path": "projects/{project}/global/images/{image}", "parameters": { "image": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the image resource to delete.", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "description": "Deletes the specified image.", "id": "compute.images.delete", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "image" ], "flatPath": "projects/{project}/global/images/{image}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "getFromFamily": { "path": "projects/{project}/global/images/family/{family}", "response": { "$ref": "Image" }, "parameterOrder": [ "project", "family" ], "id": "compute.images.getFromFamily", "description": "Returns the latest image that is part of an image family and is not deprecated.", "parameters": { "family": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the image family to search for." }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/global/images/family/{family}" }, "get": { "httpMethod": "GET", "parameters": { "image": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the image resource to return.", "location": "path", "type": "string" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "description": "Returns the specified image. Gets a list of available images by making a list() request.", "id": "compute.images.get", "response": { "$ref": "Image" }, "parameterOrder": [ "project", "image" ], "path": "projects/{project}/global/images/{image}", "flatPath": "projects/{project}/global/images/{image}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/images", "httpMethod": "GET", "response": { "$ref": "ImageList" }, "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/images", "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "query", "description": "The zone query parameter." }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "maxResults": { "type": "integer", "minimum": "0", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "description": "Retrieves the list of custom images available to the specified project. Custom images are images you create that belong to your project. This method does not get any images that belong to other projects, including publicly-available images, like Debian 8. If you want to get a list of publicly-available images, use this method to make a request to the respective image project, such as debian-cloud or windows-cloud.", "id": "compute.images.list" }, "deprecate": { "id": "compute.images.deprecate", "parameterOrder": [ "project", "image" ], "response": { "$ref": "Operation" }, "description": "Sets the deprecation status of an image. If an empty request body is given, clears the deprecation status instead.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "image": { "description": "Image name.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" } }, "request": { "$ref": "DeprecationStatus" }, "path": "projects/{project}/global/images/{image}/deprecate", "httpMethod": "POST", "flatPath": "projects/{project}/global/images/{image}/deprecate" }, "getIamPolicy": { "id": "compute.images.getIamPolicy", "httpMethod": "GET", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "format": "int32", "type": "integer", "location": "query" }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/images/{resource}/getIamPolicy", "flatPath": "projects/{project}/global/images/{resource}/getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists." }, "setIamPolicy": { "path": "projects/{project}/global/images/{resource}/setIamPolicy", "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/images/{resource}/setIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "request": { "$ref": "GlobalSetPolicyRequest" }, "response": { "$ref": "Policy" }, "id": "compute.images.setIamPolicy", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } } }, "setLabels": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "id": "compute.images.setLabels", "request": { "$ref": "GlobalSetLabelsRequest" }, "response": { "$ref": "Operation" }, "parameters": { "resource": { "description": "Name or id of the resource for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "resource" ], "description": "Sets the labels on an image. To learn more about labels, read the Labeling Resources documentation.", "flatPath": "projects/{project}/global/images/{resource}/setLabels", "path": "projects/{project}/global/images/{resource}/setLabels" }, "testIamPermissions": { "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "location": "path" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/global/images/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "path": "projects/{project}/global/images/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.images.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "resource" ] }, "patch": { "flatPath": "projects/{project}/global/images/{image}", "parameterOrder": [ "project", "image" ], "description": "Patches the specified image with the data included in the request. Only the following fields can be modified: family, description, deprecation status.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "image": { "description": "Name of the image resource to patch.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "id": "compute.images.patch", "request": { "$ref": "Image" }, "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "path": "projects/{project}/global/images/{image}" }, "insert": { "id": "compute.images.insert", "response": { "$ref": "Operation" }, "description": "Creates an image in the specified project using the data included in the request.", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/images", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/devstorage.full_control", "https://www.googleapis.com/auth/devstorage.read_only", "https://www.googleapis.com/auth/devstorage.read_write" ], "httpMethod": "POST", "request": { "$ref": "Image" }, "path": "projects/{project}/global/images", "parameters": { "forceCreate": { "description": "Force image creation if true.", "type": "boolean", "location": "query" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } } } } }, "nodeTemplates": { "methods": { "testIamPermissions": { "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{resource}/testIamPermissions", "id": "compute.nodeTemplates.testIamPermissions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "region": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request." }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name or id of the resource for this request.", "required": true } }, "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/regions/{region}/nodeTemplates/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "TestPermissionsResponse" } }, "getIamPolicy": { "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/nodeTemplates/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameters": { "optionsRequestedPolicyVersion": { "location": "query", "format": "int32", "type": "integer", "description": "Requested IAM Policy version." }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the region for this request.", "required": true } }, "id": "compute.nodeTemplates.getIamPolicy", "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{resource}/getIamPolicy" }, "get": { "parameterOrder": [ "project", "region", "nodeTemplate" ], "description": "Returns the specified node template. Gets a list of available node templates by making a list() request.", "id": "compute.nodeTemplates.get", "parameters": { "nodeTemplate": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the node template to return.", "location": "path" }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true } }, "response": { "$ref": "NodeTemplate" }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}" }, "aggregatedList": { "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/nodeTemplates", "response": { "$ref": "NodeTemplateAggregatedList" }, "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "default": "500", "format": "uint32", "type": "integer", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "path": "projects/{project}/aggregated/nodeTemplates", "id": "compute.nodeTemplates.aggregatedList", "description": "Retrieves an aggregated list of node templates.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET" }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "path": "projects/{project}/regions/{region}/nodeTemplates/{resource}/setIamPolicy", "request": { "$ref": "RegionSetPolicyRequest" }, "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.nodeTemplates.setIamPolicy", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{resource}/setIamPolicy", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "region": { "required": true, "type": "string", "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "description": "Name or id of the resource for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } }, "list": { "id": "compute.nodeTemplates.list", "flatPath": "projects/{project}/regions/{region}/nodeTemplates", "httpMethod": "GET", "response": { "$ref": "NodeTemplateList" }, "path": "projects/{project}/regions/{region}/nodeTemplates", "description": "Retrieves a list of node templates available to the specified project.", "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "region": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request." }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer", "format": "uint32", "default": "500" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "nodeTemplate" ], "path": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "parameters": { "nodeTemplate": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the NodeTemplate resource to delete.", "location": "path", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "location": "path", "required": true, "description": "The name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Deletes the specified NodeTemplate resource.", "id": "compute.nodeTemplates.delete", "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "parameters": { "region": { "type": "string", "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a NodeTemplate resource in the specified project using the data included in the request.", "parameterOrder": [ "project", "region" ], "id": "compute.nodeTemplates.insert", "path": "projects/{project}/regions/{region}/nodeTemplates", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/nodeTemplates", "request": { "$ref": "NodeTemplate" } } } }, "nodeTypes": { "methods": { "list": { "parameters": { "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer", "format": "uint32", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "zone": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." } }, "parameterOrder": [ "project", "zone" ], "id": "compute.nodeTypes.list", "description": "Retrieves a list of node types available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/nodeTypes", "path": "projects/{project}/zones/{zone}/nodeTypes", "httpMethod": "GET", "response": { "$ref": "NodeTypeList" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "NodeType" }, "id": "compute.nodeTypes.get", "flatPath": "projects/{project}/zones/{zone}/nodeTypes/{nodeType}", "path": "projects/{project}/zones/{zone}/nodeTypes/{nodeType}", "parameterOrder": [ "project", "zone", "nodeType" ], "description": "Returns the specified node type. Gets a list of available node types by making a list() request.", "httpMethod": "GET", "parameters": { "zone": { "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true }, "nodeType": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "Name of the node type to return.", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" } } }, "aggregatedList": { "response": { "$ref": "NodeTypeAggregatedList" }, "flatPath": "projects/{project}/aggregated/nodeTypes", "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/nodeTypes", "httpMethod": "GET", "id": "compute.nodeTypes.aggregatedList", "parameters": { "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "maxResults": { "minimum": "0", "type": "integer", "default": "500", "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "description": "Retrieves an aggregated list of node types.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "nodeGroups": { "methods": { "list": { "flatPath": "projects/{project}/zones/{zone}/nodeGroups", "id": "compute.nodeGroups.list", "path": "projects/{project}/zones/{zone}/nodeGroups", "description": "Retrieves a list of node groups available to the specified project. Note: use nodeGroups.listNodes for more details about each group.", "parameterOrder": [ "project", "zone" ], "parameters": { "maxResults": { "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "type": "integer" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "zone": { "type": "string", "description": "The name of the zone for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" } }, "response": { "$ref": "NodeGroupList" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "setIamPolicy": { "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "request": { "$ref": "ZoneSetPolicyRequest" }, "parameters": { "resource": { "location": "path", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." }, "zone": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "path": "projects/{project}/zones/{zone}/nodeGroups/{resource}/setIamPolicy", "parameterOrder": [ "project", "zone", "resource" ], "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{resource}/setIamPolicy", "id": "compute.nodeGroups.setIamPolicy" }, "setNodeTemplate": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "nodeGroup" ], "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/setNodeTemplate", "id": "compute.nodeGroups.setNodeTemplate", "request": { "$ref": "NodeGroupsSetNodeTemplateRequest" }, "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/setNodeTemplate", "description": "Updates the node template of the node group.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "zone": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "nodeGroup": { "type": "string", "location": "path", "required": true, "description": "Name of the NodeGroup resource to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "nodeGroup" ], "request": { "$ref": "NodeGroup" }, "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." }, "nodeGroup": { "type": "string", "required": true, "location": "path", "description": "Name of the NodeGroup resource to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "description": "The name of the zone for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "PATCH", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "description": "Updates the specified node group.", "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "id": "compute.nodeGroups.patch", "response": { "$ref": "Operation" } }, "insert": { "path": "projects/{project}/zones/{zone}/nodeGroups", "flatPath": "projects/{project}/zones/{zone}/nodeGroups", "id": "compute.nodeGroups.insert", "parameters": { "zone": { "required": true, "type": "string", "description": "The name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "initialNodeCount": { "required": true, "type": "integer", "location": "query", "description": "Initial count of nodes in the node group.", "format": "int32" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "initialNodeCount" ], "description": "Creates a NodeGroup resource in the specified project using the data included in the request.", "request": { "$ref": "NodeGroup" }, "response": { "$ref": "Operation" }, "httpMethod": "POST" }, "listNodes": { "httpMethod": "POST", "parameterOrder": [ "project", "zone", "nodeGroup" ], "parameters": { "nodeGroup": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name of the NodeGroup resource whose nodes you want to list." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string", "required": true }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "type": "integer", "minimum": "0", "location": "query", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.nodeGroups.listNodes", "response": { "$ref": "NodeGroupsListNodes" }, "description": "Lists nodes in the node group.", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/listNodes", "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/listNodes" }, "get": { "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "httpMethod": "GET", "description": "Returns the specified NodeGroup. Get a list of available NodeGroups by making a list() request. Note: the \"nodes\" field should not be used. Use nodeGroups.listNodes instead.", "parameterOrder": [ "project", "zone", "nodeGroup" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "NodeGroup" }, "id": "compute.nodeGroups.get", "parameters": { "nodeGroup": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the node group to return.", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request.", "required": true, "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}" }, "delete": { "httpMethod": "DELETE", "description": "Deletes the specified NodeGroup resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.nodeGroups.delete", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "nodeGroup": { "location": "path", "type": "string", "description": "Name of the NodeGroup resource to delete.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "zone": { "description": "The name of the zone for this request.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "nodeGroup" ] }, "deleteNodes": { "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/deleteNodes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "nodeGroup": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the NodeGroup resource whose nodes will be deleted.", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "zone": { "type": "string", "location": "path", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "response": { "$ref": "Operation" }, "id": "compute.nodeGroups.deleteNodes", "description": "Deletes specified nodes from the node group.", "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/deleteNodes", "parameterOrder": [ "project", "zone", "nodeGroup" ], "request": { "$ref": "NodeGroupsDeleteNodesRequest" } }, "getIamPolicy": { "parameterOrder": [ "project", "zone", "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "type": "string" }, "optionsRequestedPolicyVersion": { "format": "int32", "type": "integer", "description": "Requested IAM Policy version.", "location": "query" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "location": "path" } }, "path": "projects/{project}/zones/{zone}/nodeGroups/{resource}/getIamPolicy", "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Policy" }, "id": "compute.nodeGroups.getIamPolicy" }, "testIamPermissions": { "parameters": { "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request.", "required": true, "type": "string" } }, "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "zone", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.nodeGroups.testIamPermissions", "path": "projects/{project}/zones/{zone}/nodeGroups/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST" }, "aggregatedList": { "httpMethod": "GET", "response": { "$ref": "NodeGroupAggregatedList" }, "parameterOrder": [ "project" ], "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "type": "integer", "location": "query", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "flatPath": "projects/{project}/aggregated/nodeGroups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/nodeGroups", "description": "Retrieves an aggregated list of node groups. Note: use nodeGroups.listNodes for more details about each group.", "id": "compute.nodeGroups.aggregatedList" }, "addNodes": { "request": { "$ref": "NodeGroupsAddNodesRequest" }, "id": "compute.nodeGroups.addNodes", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request.", "type": "string", "required": true }, "nodeGroup": { "description": "Name of the NodeGroup resource.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/addNodes", "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "nodeGroup" ], "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/addNodes", "description": "Adds specified number of nodes to the node group." } } }, "interconnectAttachments": { "methods": { "delete": { "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "path": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "httpMethod": "DELETE", "description": "Deletes the specified interconnect attachment.", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "interconnectAttachment": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the interconnect attachment to delete.", "required": true }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "region": { "description": "Name of the region for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "id": "compute.interconnectAttachments.delete", "parameterOrder": [ "project", "region", "interconnectAttachment" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "response": { "$ref": "InterconnectAttachmentList" }, "parameterOrder": [ "project", "region" ], "description": "Retrieves the list of interconnect attachments contained within the specified region.", "flatPath": "projects/{project}/regions/{region}/interconnectAttachments", "path": "projects/{project}/regions/{region}/interconnectAttachments", "parameters": { "region": { "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer", "format": "uint32" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.interconnectAttachments.list", "httpMethod": "GET" }, "patch": { "parameterOrder": [ "project", "region", "interconnectAttachment" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "interconnectAttachment": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the interconnect attachment to patch.", "type": "string" }, "region": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string" }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "id": "compute.interconnectAttachments.patch", "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "request": { "$ref": "InterconnectAttachment" }, "path": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "description": "Updates the specified interconnect attachment with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "response": { "$ref": "Operation" } }, "setIamPolicy": { "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Policy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "request": { "$ref": "RegionSetPolicyRequest" }, "path": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/setIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "id": "compute.interconnectAttachments.setIamPolicy", "httpMethod": "POST", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "type": "string" }, "region": { "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path" } } }, "insert": { "parameters": { "validateOnly": { "description": "If true, the request will not be committed.", "location": "query", "type": "boolean" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path", "required": true, "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates an InterconnectAttachment in the specified project using the data included in the request.", "path": "projects/{project}/regions/{region}/interconnectAttachments", "id": "compute.interconnectAttachments.insert", "request": { "$ref": "InterconnectAttachment" }, "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/interconnectAttachments" }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.interconnectAttachments.getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "response": { "$ref": "Policy" }, "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name or id of the resource for this request.", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" }, "region": { "description": "The name of the region for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "optionsRequestedPolicyVersion": { "format": "int32", "description": "Requested IAM Policy version.", "type": "integer", "location": "query" } }, "path": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/getIamPolicy", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/getIamPolicy" }, "aggregatedList": { "response": { "$ref": "InterconnectAttachmentAggregatedList" }, "parameters": { "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "type": "integer", "default": "500", "format": "uint32" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/interconnectAttachments", "httpMethod": "GET", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/interconnectAttachments", "description": "Retrieves an aggregated list of interconnect attachments.", "id": "compute.interconnectAttachments.aggregatedList" }, "setLabels": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/setLabels", "parameters": { "region": { "location": "path", "type": "string", "description": "The region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "resource": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request." } }, "response": { "$ref": "Operation" }, "request": { "$ref": "RegionSetLabelsRequest" }, "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/setLabels", "parameterOrder": [ "project", "region", "resource" ], "httpMethod": "POST", "id": "compute.interconnectAttachments.setLabels", "description": "Sets the labels on an InterconnectAttachment. To learn more about labels, read the Labeling Resources documentation." }, "get": { "parameterOrder": [ "project", "region", "interconnectAttachment" ], "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "response": { "$ref": "InterconnectAttachment" }, "path": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "description": "Returns the specified interconnect attachment.", "id": "compute.interconnectAttachments.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "description": "Name of the region for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "interconnectAttachment": { "type": "string", "location": "path", "description": "Name of the interconnect attachment to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "GET" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.interconnectAttachments.testIamPermissions", "path": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "resource": { "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "region": { "location": "path", "required": true, "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } } } } }, "regionNotificationEndpoints": { "methods": { "testIamPermissions": { "path": "projects/{project}/regions/{region}/notificationEndpoints/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "type": "string", "location": "path" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name or id of the resource for this request.", "location": "path" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" } }, "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.regionNotificationEndpoints.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/notificationEndpoints/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "parameterOrder": [ "project", "region", "resource" ] }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}", "parameterOrder": [ "project", "region", "notificationEndpoint" ], "id": "compute.regionNotificationEndpoints.get", "flatPath": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}", "response": { "$ref": "NotificationEndpoint" }, "parameters": { "notificationEndpoint": { "location": "path", "description": "Name of the NotificationEndpoint resource to return.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request.", "required": true }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "description": "Returns the specified NotificationEndpoint resource in the given region." }, "aggregatedList": { "parameters": { "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Name of the project scoping this request." }, "maxResults": { "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500", "format": "uint32" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "id": "compute.regionNotificationEndpoints.aggregatedList", "response": { "$ref": "NotificationEndpointAggregatedList" }, "path": "projects/{project}/aggregated/notificationEndpoints", "flatPath": "projects/{project}/aggregated/notificationEndpoints", "description": "Retrieves the list of all NotificationEndpoint resources, regional and global, available to the specified project." }, "delete": { "httpMethod": "DELETE", "path": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}", "parameters": { "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path" }, "notificationEndpoint": { "description": "Name of the NotificationEndpoint resource to delete.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" } }, "description": "Deletes the specified NotificationEndpoint in the given region", "flatPath": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionNotificationEndpoints.delete", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "notificationEndpoint" ] }, "insert": { "request": { "$ref": "NotificationEndpoint" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "description": "Create a NotificationEndpoint in the specified project in the given region using the parameters that are included in the request.", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/notificationEndpoints", "path": "projects/{project}/regions/{region}/notificationEndpoints", "id": "compute.regionNotificationEndpoints.insert", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region scoping this request." } } }, "list": { "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/notificationEndpoints", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/notificationEndpoints", "id": "compute.regionNotificationEndpoints.list", "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "region": { "required": true, "description": "Name of the region scoping this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "maxResults": { "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "type": "integer" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists the NotificationEndpoints for a project in the given region.", "response": { "$ref": "NotificationEndpointList" } } } }, "instanceGroups": { "methods": { "delete": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified instance group. The instances in the group are not deleted. Note that instance group must not belong to a backend service. Read Deleting an instance group for more information.", "httpMethod": "DELETE", "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "parameterOrder": [ "project", "zone", "instanceGroup" ], "parameters": { "instanceGroup": { "required": true, "description": "The name of the instance group to delete.", "location": "path", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "required": true, "description": "The name of the zone where the instance group is located.", "location": "path", "type": "string" } }, "id": "compute.instanceGroups.delete" }, "testIamPermissions": { "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/zones/{zone}/instanceGroups/{resource}/testIamPermissions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "resource" ], "parameters": { "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "Name or id of the resource for this request.", "required": true }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "id": "compute.instanceGroups.testIamPermissions" }, "addInstances": { "id": "compute.instanceGroups.addInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/addInstances", "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/addInstances", "description": "Adds a list of instances to the specified instance group. All of the instances in the instance group must be in the same network/subnetwork. Read Adding instances for more information.", "request": { "$ref": "InstanceGroupsAddInstancesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "type": "string", "required": true, "location": "path", "description": "The name of the zone where the instance group is located." }, "instanceGroup": { "location": "path", "required": true, "description": "The name of the instance group where you are adding instances.", "type": "string" } }, "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroup" ] }, "removeInstances": { "description": "Removes one or more instances from the specified instance group, but does not delete those instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration before the VM instance is removed or deleted.", "id": "compute.instanceGroups.removeInstances", "request": { "$ref": "InstanceGroupsRemoveInstancesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/removeInstances", "parameters": { "instanceGroup": { "type": "string", "location": "path", "description": "The name of the instance group where the specified instances will be removed.", "required": true }, "zone": { "location": "path", "description": "The name of the zone where the instance group is located.", "type": "string", "required": true }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/removeInstances", "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroup" ], "response": { "$ref": "Operation" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "zone": { "location": "path", "required": true, "description": "The name of the zone where the instance group is located.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0", "default": "500" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/instanceGroups", "httpMethod": "GET", "description": "Retrieves the list of zonal instance group resources contained within the specified zone. For managed instance groups, use the instanceGroupManagers or regionInstanceGroupManagers methods instead.", "response": { "$ref": "InstanceGroupList" }, "id": "compute.instanceGroups.list", "parameterOrder": [ "project", "zone" ], "path": "projects/{project}/zones/{zone}/instanceGroups" }, "get": { "parameterOrder": [ "project", "zone", "instanceGroup" ], "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "description": "Returns the specified zonal instance group. Get a list of available zonal instance groups by making a list() request. For managed instance groups, use the instanceGroupManagers or regionInstanceGroupManagers methods instead.", "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "instanceGroup": { "required": true, "description": "The name of the instance group.", "location": "path", "type": "string" }, "zone": { "required": true, "location": "path", "type": "string", "description": "The name of the zone where the instance group is located." } }, "id": "compute.instanceGroups.get", "response": { "$ref": "InstanceGroup" } }, "insert": { "parameterOrder": [ "project", "zone" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "zone": { "required": true, "location": "path", "type": "string", "description": "The name of the zone where you want to create the instance group." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "id": "compute.instanceGroups.insert", "path": "projects/{project}/zones/{zone}/instanceGroups", "description": "Creates an instance group in the specified project using the parameters that are included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroups", "request": { "$ref": "InstanceGroup" }, "httpMethod": "POST" }, "listInstances": { "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/listInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "instanceGroup": { "required": true, "type": "string", "description": "The name of the instance group from which you want to generate a list of included instances.", "location": "path" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "maxResults": { "minimum": "0", "default": "500", "type": "integer", "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "zone": { "description": "The name of the zone where the instance group is located.", "required": true, "location": "path", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "response": { "$ref": "InstanceGroupsListInstances" }, "description": "Lists the instances in the specified instance group. The orderBy query parameter is not supported. The filter query parameter is supported, but only for expressions that use `eq` (equal) or `ne` (not equal) operators.", "httpMethod": "POST", "request": { "$ref": "InstanceGroupsListInstancesRequest" }, "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/listInstances", "parameterOrder": [ "project", "zone", "instanceGroup" ], "id": "compute.instanceGroups.listInstances" }, "setNamedPorts": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "instanceGroup": { "description": "The name of the instance group where the named ports are updated.", "required": true, "location": "path", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "required": true, "type": "string", "description": "The name of the zone where the instance group is located.", "location": "path" } }, "parameterOrder": [ "project", "zone", "instanceGroup" ], "id": "compute.instanceGroups.setNamedPorts", "request": { "$ref": "InstanceGroupsSetNamedPortsRequest" }, "response": { "$ref": "Operation" }, "description": "Sets the named ports for the specified instance group.", "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/setNamedPorts", "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/setNamedPorts" }, "aggregatedList": { "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "type": "integer", "format": "uint32", "default": "500" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" } }, "flatPath": "projects/{project}/aggregated/instanceGroups", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instanceGroups.aggregatedList", "description": "Retrieves the list of instance groups and sorts them by zone.", "path": "projects/{project}/aggregated/instanceGroups", "response": { "$ref": "InstanceGroupAggregatedList" }, "httpMethod": "GET" } } }, "regionHealthCheckServices": { "methods": { "insert": { "httpMethod": "POST", "parameters": { "region": { "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "flatPath": "projects/{project}/regions/{region}/healthCheckServices", "description": "Creates a regional HealthCheckService resource in the specified project and region using the data included in the request.", "id": "compute.regionHealthCheckServices.insert", "parameterOrder": [ "project", "region" ], "request": { "$ref": "HealthCheckService" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/healthCheckServices", "response": { "$ref": "Operation" } }, "aggregatedList": { "parameterOrder": [ "project" ], "response": { "$ref": "HealthCheckServiceAggregatedList" }, "path": "projects/{project}/aggregated/healthCheckServices", "parameters": { "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Name of the project scoping this request.", "type": "string", "location": "path" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "location": "query", "format": "uint32" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "description": "Retrieves the list of all HealthCheckService resources, regional and global, available to the specified project.", "httpMethod": "GET", "id": "compute.regionHealthCheckServices.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/healthCheckServices" }, "get": { "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request." }, "healthCheckService": { "location": "path", "description": "Name of the HealthCheckService to update. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string", "required": true } }, "response": { "$ref": "HealthCheckService" }, "httpMethod": "GET", "id": "compute.regionHealthCheckServices.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "healthCheckService" ], "description": "Returns the specified regional HealthCheckService resource.", "path": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists all the HealthCheckService resources that have been configured for the specified project in the given region.", "path": "projects/{project}/regions/{region}/healthCheckServices", "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "maxResults": { "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "type": "integer" } }, "flatPath": "projects/{project}/regions/{region}/healthCheckServices", "id": "compute.regionHealthCheckServices.list", "response": { "$ref": "HealthCheckServicesList" }, "parameterOrder": [ "project", "region" ], "httpMethod": "GET" }, "patch": { "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "healthCheckService" ], "description": "Updates the specified regional HealthCheckService resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameters": { "healthCheckService": { "location": "path", "type": "string", "description": "Name of the HealthCheckService to update. The name must be 1-63 characters long, and comply with RFC1035.", "required": true }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "request": { "$ref": "HealthCheckService" }, "id": "compute.regionHealthCheckServices.patch" }, "delete": { "httpMethod": "DELETE", "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "healthCheckService": { "type": "string", "location": "path", "description": "Name of the HealthCheckService to delete. The name must be 1-63 characters long, and comply with RFC1035.", "required": true }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "id": "compute.regionHealthCheckServices.delete", "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "description": "Deletes the specified regional HealthCheckService.", "path": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "healthCheckService" ], "response": { "$ref": "Operation" } }, "testIamPermissions": { "parameterOrder": [ "project", "region", "resource" ], "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "region": { "location": "path", "description": "The name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request.", "location": "path" } }, "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{resource}/testIamPermissions", "id": "compute.regionHealthCheckServices.testIamPermissions", "path": "projects/{project}/regions/{region}/healthCheckServices/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" } } } } }, "kind": "discovery#restDescription", "mtlsRootUrl": "https://compute.mtls.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/compute.readonly": { "description": "View your Google Compute Engine resources" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/compute": { "description": "View and manage your Google Compute Engine resources" }, "https://www.googleapis.com/auth/devstorage.read_only": { "description": "View your data in Google Cloud Storage" }, "https://www.googleapis.com/auth/devstorage.read_write": { "description": "Manage your data in Cloud Storage and see the email address of your Google Account" }, "https://www.googleapis.com/auth/devstorage.full_control": { "description": "Manage your data and permissions in Cloud Storage and see the email address for your Google Account" } } } }, "name": "compute", "servicePath": "compute/alpha/", "discoveryVersion": "v1", "documentationLink": "https://cloud.google.com/compute/", "revision": "20220621", "icons": { "x16": "https://www.google.com/images/icons/product/compute_engine-16.png", "x32": "https://www.google.com/images/icons/product/compute_engine-32.png" }, "ownerName": "Google", "version": "alpha", "description": "Creates and runs virtual machines on Google Cloud Platform. ", "baseUrl": "https://compute.googleapis.com/compute/alpha/", "schemas": { "LocationPolicy": { "description": "Configuration for location policy among multiple possible locations (e.g. preferences for zone selection among zones in a single region).", "properties": { "targetShape": { "type": "string", "description": "Strategy for distributing VMs across zones in a region.", "enumDescriptions": [ "GCE picks zones for creating VM instances to fulfill the requested number of VMs within present resource constraints and to maximize utilization of unused zonal reservations. Recommended for batch workloads that do not require high availability.", "GCE always selects a single zone for all the VMs, optimizing for resource quotas, available reservations and general capacity. Recommended for batch workloads that cannot tollerate distribution over multiple zones. This the default shape in Bulk Insert and Capacity Advisor APIs.", "GCE prioritizes acquisition of resources, scheduling VMs in zones where resources are available while distributing VMs as evenly as possible across allowed zones to minimize the impact of zonal failure. Recommended for highly available serving workloads." ], "enum": [ "ANY", "ANY_SINGLE_ZONE", "BALANCED" ] }, "locations": { "type": "object", "description": "Location configurations mapped by location name. Currently only zone names are supported and must be represented as valid internal URLs, such as zones/us-central1-a.", "additionalProperties": { "$ref": "LocationPolicyLocation" } } }, "type": "object", "id": "LocationPolicy" }, "PacketMirroringMirroredResourceInfoInstanceInfo": { "id": "PacketMirroringMirroredResourceInfoInstanceInfo", "type": "object", "properties": { "url": { "type": "string", "description": "Resource URL to the virtual machine instance which is being mirrored." }, "canonicalUrl": { "type": "string", "description": "[Output Only] Unique identifier for the instance; defined by the server." } } }, "TargetVpnGatewayList": { "description": "Contains a list of TargetVpnGateway resources.", "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.", "default": "compute#targetVpnGatewayList", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "type": "array", "description": "A list of TargetVpnGateway resources.", "items": { "$ref": "TargetVpnGateway" } }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "id": "TargetVpnGatewayList" }, "Subsetting": { "id": "Subsetting", "type": "object", "description": "Subsetting configuration for this BackendService. Currently this is applicable only for Internal TCP/UDP load balancing, Internal HTTP(S) load balancing and Traffic Director.", "properties": { "subsetSize": { "type": "integer", "description": "The number of backends per backend group assigned to each proxy instance or each service mesh client. An input parameter to the `CONSISTENT_HASH_SUBSETTING` algorithm. Can only be set if `policy` is set to `CONSISTENT_HASH_SUBSETTING`. Can only be set if load balancing scheme is `INTERNAL_MANAGED` or `INTERNAL_SELF_MANAGED`. `subset_size` is optional for Internal HTTP(S) load balancing and required for Traffic Director. If you do not provide this value, Cloud Load Balancing will calculate it dynamically to optimize the number of proxies/clients visible to each backend and vice versa. Must be greater than 0. If `subset_size` is larger than the number of backends/endpoints, then subsetting is disabled.", "format": "int32" }, "policy": { "enum": [ "CONSISTENT_HASH_SUBSETTING", "NONE" ], "type": "string", "enumDescriptions": [ "Subsetting based on consistent hashing. For Traffic Director, the number of backends per backend group (the subset size) is based on the `subset_size` parameter. For Internal HTTP(S) load balancing, the number of backends per backend group (the subset size) is dynamically adjusted in two cases: - As the number of proxy instances participating in Internal HTTP(S) load balancing increases, the subset size decreases. - When the total number of backends in a network exceeds the capacity of a single proxy instance, subset sizes are reduced automatically for each service that has backend subsetting enabled.", "No Subsetting. Clients may open connections and send traffic to all backends of this backend service. This can lead to performance issues if there is substantial imbalance in the count of clients and backends." ] } } }, "NodeTypesScopedList": { "type": "object", "id": "NodeTypesScopedList", "properties": { "warning": { "description": "[Output Only] An informational warning that appears when the node types list is empty.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object" }, "nodeTypes": { "items": { "$ref": "NodeType" }, "description": "[Output Only] A list of node types contained in this scope.", "type": "array" } } }, "SecurityPolicyRuleRateLimitOptionsThreshold": { "type": "object", "properties": { "intervalSec": { "description": "Interval over which the threshold is computed.", "type": "integer", "format": "int32" }, "count": { "description": "Number of HTTP(S) requests for calculating the threshold.", "type": "integer", "format": "int32" } }, "id": "SecurityPolicyRuleRateLimitOptionsThreshold" }, "InstanceAggregatedList": { "id": "InstanceAggregatedList", "properties": { "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "items": { "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of instances.", "$ref": "InstancesScopedList" }, "description": "An object that contains a list of instances scoped by zone.", "type": "object" }, "kind": { "description": "[Output Only] Type of resource. Always compute#instanceAggregatedList for aggregated lists of Instance resources.", "type": "string", "default": "compute#instanceAggregatedList" } }, "type": "object" }, "SecurityPolicyRuleRateLimitOptionsRpcStatus": { "id": "SecurityPolicyRuleRateLimitOptionsRpcStatus", "description": "Simplified google.rpc.Status type (omitting details).", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English." }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" } }, "type": "object" }, "SecurityPoliciesScopedList": { "type": "object", "properties": { "warning": { "description": "Informational warning which replaces the list of security policies when the list is empty.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } }, "type": "object" }, "securityPolicies": { "items": { "$ref": "SecurityPolicy" }, "description": "A list of SecurityPolicies contained in this scope.", "type": "array" } }, "id": "SecurityPoliciesScopedList" }, "InterconnectDiagnosticsMacsecStatus": { "properties": { "ckn": { "description": "Indicates the Connectivity Association Key Name (CKN) currently being used if MACsec is operational.", "type": "string" }, "operational": { "description": "Indicates whether or not MACsec is operational on this link.", "type": "boolean" } }, "type": "object", "description": "Describes the status of MACsec encryption on the link.", "id": "InterconnectDiagnosticsMacsecStatus" }, "UpcomingMaintenance": { "type": "object", "description": "Upcoming Maintenance notification information. TODO(b/196881882) Deprecate this proto once it's fully migrated to be under proto ResourceStatus.UpcomingMaintenance.", "id": "UpcomingMaintenance", "properties": { "type": { "enumDescriptions": [ "Scheduled maintenance (e.g. maintenance after uptime guarantee is complete).", "No type specified. Do not use this value.", "Unscheduled maintenance (e.g. emergency maintenance during uptime guarantee)." ], "type": "string", "description": "Defines the type of maintenance.", "enum": [ "SCHEDULED", "UNKNOWN_TYPE", "UNSCHEDULED" ] }, "date": { "type": "string", "description": "[Output Only] The date when the maintenance will take place. This value is in RFC3339 text format. DEPRECATED: Use start_time_window instead." }, "canReschedule": { "description": "Indicates if the maintenance can be customer triggered. From more detail, see go/sf-ctm-design.", "type": "boolean" }, "startTimeWindow": { "description": "[Output Only] The start time window of the maintenance disruption.", "$ref": "UpcomingMaintenanceTimeWindow" }, "time": { "description": "[Output Only] The time when the maintenance will take place. This value is in RFC3339 text format. DEPRECATED: Use start_time_window instead.", "type": "string" } } }, "ResourcePolicyVmMaintenancePolicy": { "properties": { "concurrencyControlGroup": { "$ref": "ResourcePolicyVmMaintenancePolicyConcurrencyControl" }, "maintenanceWindow": { "$ref": "ResourcePolicyVmMaintenancePolicyMaintenanceWindow", "description": "Maintenance windows that are applied to VMs covered by this policy." } }, "type": "object", "id": "ResourcePolicyVmMaintenancePolicy" }, "AddressList": { "description": "Contains a list of addresses.", "id": "AddressList", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "items": { "$ref": "Address" }, "type": "array", "description": "A list of Address resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "kind": { "default": "compute#addressList", "type": "string", "description": "[Output Only] Type of resource. Always compute#addressList for lists of addresses." } }, "type": "object" }, "AutoscalingPolicyScaleDownControl": { "description": "Configuration that allows for slower scale in so that even if Autoscaler recommends an abrupt scale in of a MIG, it will be throttled as specified by the parameters below.", "id": "AutoscalingPolicyScaleDownControl", "type": "object", "properties": { "maxScaledDownReplicas": { "$ref": "FixedOrPercent", "description": "Maximum allowed number (or %) of VMs that can be deducted from the peak recommendation during the window autoscaler looks at when computing recommendations. Possibly all these VMs can be deleted at once so user service needs to be prepared to lose that many VMs in one step." }, "timeWindowSec": { "format": "int32", "description": "How far back autoscaling looks when computing recommendations to include directives regarding slower scale in, as described above.", "type": "integer" } } }, "RegionInstanceGroupManagersSetTemplateRequest": { "type": "object", "properties": { "instanceTemplate": { "description": "URL of the InstanceTemplate resource from which all new instances will be created.", "type": "string" } }, "id": "RegionInstanceGroupManagersSetTemplateRequest" }, "BfdStatus": { "description": "Next free: 15", "id": "BfdStatus", "properties": { "localDiagnostic": { "type": "string", "enum": [ "ADMINISTRATIVELY_DOWN", "CONCATENATED_PATH_DOWN", "CONTROL_DETECTION_TIME_EXPIRED", "DIAGNOSTIC_UNSPECIFIED", "ECHO_FUNCTION_FAILED", "FORWARDING_PLANE_RESET", "NEIGHBOR_SIGNALED_SESSION_DOWN", "NO_DIAGNOSTIC", "PATH_DOWN", "REVERSE_CONCATENATED_PATH_DOWN" ], "description": "The diagnostic code specifies the local system's reason for the last change in session state. This allows remote systems to determine the reason that the previous session failed, for example. These diagnostic codes are specified in section 4.1 of RFC5880", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ] }, "negotiatedLocalControlTxIntervalMs": { "type": "integer", "description": "Negotiated transmit interval for control packets.", "format": "uint32" }, "txPacket": { "$ref": "BfdPacket", "description": "The most recent Tx control packet for this BFD session." }, "usingEchoMode": { "type": "boolean", "description": "Indicates if echo mode is currently being used." }, "echoPacketCounts": { "$ref": "BfdStatusPacketCounts", "description": "Echo packet counts for the current BFD session." }, "localState": { "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "ADMIN_DOWN", "DOWN", "INIT", "STATE_UNSPECIFIED", "UP" ], "description": "The current BFD session state as seen by the transmitting system. These states are specified in section 4.1 of RFC5880", "type": "string" }, "echoPacketIntervals": { "items": { "$ref": "PacketIntervals" }, "description": "Inter-packet time interval statistics for echo packets.", "type": "array" }, "negotiatedLocalEchoTxIntervalMs": { "type": "integer", "description": "Negotiated transmit interval for echo packets.", "format": "uint32" }, "uptimeMs": { "type": "string", "description": "Session uptime in milliseconds. Value will be 0 if session is not up.", "format": "int64" }, "configUpdateTimestampMicros": { "format": "int64", "type": "string", "description": "Unix timestamp of the most recent config update." }, "controlPacketIntervals": { "description": "Inter-packet time interval statistics for control packets.", "items": { "$ref": "PacketIntervals" }, "type": "array" }, "bfdSessionInitializationMode": { "description": "The BFD session initialization mode for this BGP peer. If set to ACTIVE, the Cloud Router will initiate the BFD session for this BGP peer. If set to PASSIVE, the Cloud Router will wait for the peer router to initiate the BFD session for this BGP peer. If set to DISABLED, BFD is disabled for this BGP peer.", "enum": [ "ACTIVE", "DISABLED", "PASSIVE" ], "type": "string", "enumDescriptions": [ "", "", "" ] }, "controlPacketCounts": { "description": "Control packet counts for the current BFD session.", "$ref": "BfdStatusPacketCounts" }, "rxPacket": { "description": "The most recent Rx control packet for this BFD session.", "$ref": "BfdPacket" } }, "type": "object" }, "OriginAuthenticationMethod": { "properties": { "jwt": { "$ref": "Jwt" } }, "description": "[Deprecated] Configuration for the origin authentication method. Configuration for the origin authentication method.", "id": "OriginAuthenticationMethod", "type": "object" }, "PacketMirroringsScopedList": { "id": "PacketMirroringsScopedList", "properties": { "packetMirrorings": { "type": "array", "description": "A list of packetMirrorings contained in this scope.", "items": { "$ref": "PacketMirroring" } }, "warning": { "type": "object", "description": "Informational warning which replaces the list of packetMirrorings when the list is empty.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array" } } } }, "type": "object" }, "ReservationAggregatedList": { "id": "ReservationAggregatedList", "description": "Contains a list of reservations.", "type": "object", "properties": { "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "kind": { "type": "string", "default": "compute#reservationAggregatedList", "description": "Type of resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of reservations.", "$ref": "ReservationsScopedList" }, "description": "A list of Allocation resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } } }, "RegionTargetHttpsProxiesSetSslCertificatesRequest": { "id": "RegionTargetHttpsProxiesSetSslCertificatesRequest", "type": "object", "properties": { "sslCertificates": { "type": "array", "items": { "type": "string" }, "description": "New set of SslCertificate resources to associate with this TargetHttpsProxy resource. Currently exactly one SslCertificate resource must be specified." } } }, "FirewallPoliciesListAssociationsResponse": { "properties": { "associations": { "description": "A list of associations.", "items": { "$ref": "FirewallPolicyAssociation" }, "type": "array" }, "kind": { "type": "string", "description": "[Output Only] Type of firewallPolicy associations. Always compute#FirewallPoliciesListAssociations for lists of firewallPolicy associations.", "default": "compute#firewallPoliciesListAssociationsResponse" } }, "id": "FirewallPoliciesListAssociationsResponse", "type": "object" }, "FirewallPolicy": { "id": "FirewallPolicy", "properties": { "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "shortName": { "description": "User-provided name of the Organization firewall plicy. The name should be unique in the organization in which the firewall policy is created. This name must be set on creation and cannot be changed. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "associations": { "type": "array", "description": "A list of associations that belong to this firewall policy.", "items": { "$ref": "FirewallPolicyAssociation" } }, "rules": { "description": "A list of rules that belong to this policy. There must always be a default rule (rule with priority 2147483647 and match \"*\"). If no rules are provided when creating a firewall policy, a default rule with action \"allow\" will be added.", "type": "array", "items": { "$ref": "FirewallPolicyRule" } }, "kind": { "description": "[Output only] Type of the resource. Always compute#firewallPolicyfor firewall policies", "default": "compute#firewallPolicy", "type": "string" }, "parent": { "type": "string", "description": "[Output Only] The parent of the firewall policy." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional firewall policy resides. This field is not applicable to global firewall policies. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "fingerprint": { "description": "Specifies a fingerprint for this resource, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make get() request to the firewall policy.", "format": "byte", "type": "string" }, "displayName": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Deprecated, please use short name instead. User-provided name of the Organization firewall policy. The name should be unique in the organization in which the firewall policy is created. This name must be set on creation and cannot be changed. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "ruleTupleCount": { "format": "int32", "description": "[Output Only] Total count of all firewall policy rule tuples. A firewall policy can not exceed a set number of tuples.", "type": "integer" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "name": { "type": "string", "description": "[Output Only] Name of the resource. It is a numeric ID allocated by GCP which uniquely identifies the Firewall Policy." }, "vpcNetworkScope": { "type": "string", "enumDescriptions": [ "The firewall policy is allowed to be attached only to global networks.", "The firewall policy is allowed to be attached only to regional networks in the same scope as the firewall policy. This option is applicable only to regional firewall policies." ], "enum": [ "GLOBAL_VPC_NETWORK", "REGIONAL_VPC_NETWORK" ], "description": "The scope of networks allowed to be associated with the firewall policy. This field can be either GLOBAL_VPC_NETWORK or REGIONAL_VPC_NETWORK. A firewall policy with the VPC scope set to GLOBAL_VPC_NETWORK is allowed to be attached only to global networks. When the VPC scope is set to REGIONAL_VPC_NETWORK the firewall policy is allowed to be attached only to regional networks in the same scope as the firewall policy. Note: if not specified then GLOBAL_VPC_NETWORK will be used." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." } }, "type": "object", "description": "Represents a Firewall Policy resource." }, "InstanceGroupsScopedList": { "type": "object", "properties": { "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array" } }, "description": "[Output Only] An informational warning that replaces the list of instance groups when the list is empty.", "type": "object" }, "instanceGroups": { "items": { "$ref": "InstanceGroup" }, "description": "[Output Only] The list of instance groups that are contained in this scope.", "type": "array" } }, "id": "InstanceGroupsScopedList" }, "NetworkEdgeSecurityServicesScopedList": { "type": "object", "id": "NetworkEdgeSecurityServicesScopedList", "properties": { "warning": { "type": "object", "properties": { "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "Informational warning which replaces the list of security policies when the list is empty." }, "networkEdgeSecurityServices": { "description": "A list of NetworkEdgeSecurityServices contained in this scope.", "items": { "$ref": "NetworkEdgeSecurityService" }, "type": "array" } } }, "SecurityPolicyCloudArmorConfig": { "properties": { "enableMl": { "type": "boolean", "description": "If set to true, enables Cloud Armor Machine Learning." } }, "description": "Configuration options for Cloud Armor.", "id": "SecurityPolicyCloudArmorConfig", "type": "object" }, "NodeGroupMaintenanceWindow": { "type": "object", "properties": { "startTime": { "description": "Start time of the window. This must be in UTC format that resolves to one of 00:00, 04:00, 08:00, 12:00, 16:00, or 20:00. For example, both 13:00-5 and 08:00 are valid.", "type": "string" }, "duration": { "type": "string", "description": "[Output only] A predetermined duration for the window, automatically chosen to be the smallest possible in the given scenario." }, "maintenanceDuration": { "description": "[Output only] A predetermined duration for the window, automatically chosen to be the smallest possible in the given scenario.", "$ref": "Duration" } }, "id": "NodeGroupMaintenanceWindow", "description": "Time window specified for daily maintenance operations. GCE's internal maintenance will be performed within this window." }, "QueuingPolicy": { "properties": { "validUntilDuration": { "description": "Relative deadline for waiting for capacity.", "$ref": "Duration" }, "validUntilTime": { "type": "string", "description": "Absolute deadline for waiting for capacity in RFC3339 text format." } }, "type": "object", "id": "QueuingPolicy", "description": "Queuing parameters for the requested deferred capacity." }, "MachineImageList": { "description": "A list of machine images.", "id": "MachineImageList", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "description": "[Output Only] The resource type, which is always compute#machineImagesListResponse for machine image lists.", "default": "compute#machineImageList", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" } } }, "items": { "type": "array", "items": { "$ref": "MachineImage" }, "description": "A list of MachineImage resources." } }, "type": "object" }, "InterconnectRemoteLocationList": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#interconnectRemoteLocationList for lists of interconnect remote locations.", "default": "compute#interconnectRemoteLocationList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message." }, "items": { "type": "array", "items": { "$ref": "InterconnectRemoteLocation" }, "description": "A list of InterconnectRemoteLocation resources." } }, "id": "InterconnectRemoteLocationList", "description": "Response to the list request, and contains a list of interconnect remote locations.", "type": "object" }, "HttpQueryParameterMatch": { "description": "HttpRouteRuleMatch criteria for a request's query parameter.", "properties": { "regexMatch": { "description": "The queryParameterMatch matches if the value of the parameter matches the regular expression specified by regexMatch. For more information about regular expression syntax, see Syntax. Only one of presentMatch, exactMatch, or regexMatch must be set. regexMatch only applies when the loadBalancingScheme is set to INTERNAL_SELF_MANAGED. ", "type": "string" }, "presentMatch": { "description": "Specifies that the queryParameterMatch matches if the request contains the query parameter, irrespective of whether the parameter has a value or not. Only one of presentMatch, exactMatch, or regexMatch must be set. ", "type": "boolean" }, "exactMatch": { "type": "string", "description": "The queryParameterMatch matches if the value of the parameter exactly matches the contents of exactMatch. Only one of presentMatch, exactMatch, or regexMatch must be set. " }, "name": { "type": "string", "description": "The name of the query parameter to match. The query parameter must exist in the request, in the absence of which the request match fails." } }, "type": "object", "id": "HttpQueryParameterMatch" }, "NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy": { "type": "object", "id": "NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy", "properties": { "displayName": { "type": "string", "description": "[Output Only] Deprecated, please use short name instead. The display name of the firewall policy." }, "rules": { "type": "array", "description": "The rules that apply to the network.", "items": { "$ref": "FirewallPolicyRule" } }, "shortName": { "type": "string", "description": "[Output Only] The short name of the firewall policy." }, "type": { "type": "string", "description": "[Output Only] The type of the firewall policy.", "enumDescriptions": [ "", "", "" ], "enum": [ "HIERARCHY", "NETWORK", "UNSPECIFIED" ] }, "name": { "description": "[Output Only] The name of the firewall policy.", "type": "string" } } }, "GlobalNetworkEndpointGroupsDetachEndpointsRequest": { "type": "object", "id": "GlobalNetworkEndpointGroupsDetachEndpointsRequest", "properties": { "networkEndpoints": { "description": "The list of network endpoints to be detached.", "type": "array", "items": { "$ref": "NetworkEndpoint" } } } }, "DisksStopGroupAsyncReplicationRequest": { "type": "object", "properties": { "resourcePolicy": { "description": "The URL of the DiskConsistencyGroupPolicy for the group of disks to stop. This may be a full or partial URL, such as: - https://www.googleapis.com/compute/v1/projects/project/regions/region /resourcePolicies/resourcePolicy - projects/project/regions/region/resourcePolicies/resourcePolicy - regions/region/resourcePolicies/resourcePolicy ", "type": "string" } }, "id": "DisksStopGroupAsyncReplicationRequest" }, "ExternalVpnGatewayInterface": { "id": "ExternalVpnGatewayInterface", "properties": { "id": { "description": "The numeric ID of this interface. The allowed input values for this id for different redundancy types of external VPN gateway: - SINGLE_IP_INTERNALLY_REDUNDANT - 0 - TWO_IPS_REDUNDANCY - 0, 1 - FOUR_IPS_REDUNDANCY - 0, 1, 2, 3 ", "type": "integer", "format": "uint32" }, "ipAddress": { "type": "string", "description": "IP address of the interface in the external VPN gateway. Only IPv4 is supported. This IP address can be either from your on-premise gateway or another Cloud provider's VPN gateway, it cannot be an IP address from Google Compute Engine." } }, "description": "The interface for the external VPN gateway.", "type": "object" }, "InstanceMoveRequest": { "properties": { "targetInstance": { "description": "The URL of the target instance to move. This can be a full or partial URL. For example, the following are all valid URLs to an instance: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance - zones/zone/instances/instance ", "type": "string" }, "destinationZone": { "type": "string", "description": "The URL of the destination zone to move the instance. This can be a full or partial URL. For example, the following are all valid URLs to a zone: - https://www.googleapis.com/compute/v1/projects/project/zones/zone - projects/project/zones/zone - zones/zone " } }, "type": "object", "id": "InstanceMoveRequest" }, "ForwardingRuleList": { "description": "Contains a list of ForwardingRule resources.", "id": "ForwardingRuleList", "properties": { "kind": { "description": "Type of resource.", "default": "compute#forwardingRuleList", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "items": { "$ref": "ForwardingRule" }, "type": "array", "description": "A list of ForwardingRule resources." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "type": "object" }, "LocationPolicyLocation": { "id": "LocationPolicyLocation", "type": "object", "properties": { "constraints": { "description": "Constraints that the caller requires on the result distribution in this zone.", "$ref": "LocationPolicyLocationConstraints" }, "preference": { "type": "string", "enum": [ "ALLOW", "DENY", "PREFERENCE_UNSPECIFIED" ], "enumDescriptions": [ "Location is allowed for use.", "Location is prohibited.", "Default value, unused." ], "description": "Preference for a given location." } } }, "InterconnectAttachmentPartnerMetadata": { "type": "object", "description": "Informational metadata about Partner attachments from Partners to display to customers. These fields are propagated from PARTNER_PROVIDER attachments to their corresponding PARTNER attachments.", "id": "InterconnectAttachmentPartnerMetadata", "properties": { "portalUrl": { "description": "URL of the Partner's portal for this Attachment. Partners may customise this to be a deep link to the specific resource on the Partner portal. This value may be validated to match approved Partner values.", "type": "string" }, "interconnectName": { "description": "Plain text name of the Interconnect this attachment is connected to, as displayed in the Partner's portal. For instance \"Chicago 1\". This value may be validated to match approved Partner values.", "type": "string" }, "partnerName": { "description": "Plain text name of the Partner providing this attachment. This value may be validated to match approved Partner values.", "type": "string" } } }, "AllocationSpecificSKUAllocationReservedInstanceProperties": { "type": "object", "id": "AllocationSpecificSKUAllocationReservedInstanceProperties", "description": "Properties of the SKU instances being reserved. Next ID: 9", "properties": { "maintenanceFreezeDurationHours": { "description": "Specifies the number of hours after reservation creation where instances using the reservation won't be scheduled for maintenance.", "format": "int32", "type": "integer" }, "machineType": { "description": "Specifies type of machine (name only) which has fixed number of vCPUs and fixed amount of memory. This also includes specifying custom machine type following custom-NUMBER_OF_CPUS-AMOUNT_OF_MEMORY pattern.", "type": "string" }, "locationHint": { "type": "string", "description": "An opaque location hint used to place the allocation close to other resources. This field is for use by internal tools that use the public API." }, "localSsds": { "type": "array", "description": "Specifies amount of local ssd to reserve with each instance. The type of disk is local-ssd.", "items": { "$ref": "AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk" } }, "minCpuPlatform": { "description": "Minimum cpu platform the reservation.", "type": "string" }, "guestAccelerators": { "description": "Specifies accelerator type and count.", "type": "array", "items": { "$ref": "AcceleratorConfig" } }, "maintenanceInterval": { "description": "For more information about maintenance intervals, see Setting maintenance intervals.", "enum": [ "PERIODIC" ], "enumDescriptions": [ "VMs receive infrastructure and hypervisor updates on a periodic basis, minimizing the number of maintenance operations (live migrations or terminations) on an individual VM. This may mean a VM will take longer to receive an update than if it was configured for AS_NEEDED. Security updates will still be applied as soon as they are available." ], "type": "string" } } }, "OperationAggregatedList": { "type": "object", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "default": "compute#operationAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always `compute#operationAggregatedList` for aggregated lists of operations." }, "items": { "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of operations.", "$ref": "OperationsScopedList" }, "description": "[Output Only] A map of scoped operation lists.", "type": "object" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } } } }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than `maxResults`, use the `nextPageToken` as a value for the query parameter `pageToken` in the next list request. Subsequent list requests will have their own `nextPageToken` to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." } }, "id": "OperationAggregatedList" }, "AuthorizationLoggingOptions": { "id": "AuthorizationLoggingOptions", "description": "This is deprecated and has no effect. Do not use.", "type": "object", "properties": { "permissionType": { "type": "string", "enum": [ "ADMIN_READ", "ADMIN_WRITE", "DATA_READ", "DATA_WRITE", "PERMISSION_TYPE_UNSPECIFIED" ], "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "description": "This is deprecated and has no effect. Do not use." } } }, "ResourcePolicyVmMaintenancePolicyConcurrencyControl": { "type": "object", "description": "A concurrency control configuration. Defines a group config that, when attached to an instance, recognizes that instance as part of a group of instances where only up the concurrency_limit of instances in that group can undergo simultaneous maintenance. For more information: go/concurrency-control-design-doc", "id": "ResourcePolicyVmMaintenancePolicyConcurrencyControl", "properties": { "concurrencyLimit": { "type": "integer", "format": "int32" } } }, "BackendBucketList": { "id": "BackendBucketList", "type": "object", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "items": { "$ref": "BackendBucket" }, "type": "array", "description": "A list of BackendBucket resources." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#backendBucketList" } }, "description": "Contains a list of BackendBucket resources." }, "AutoscalingPolicyCpuUtilization": { "id": "AutoscalingPolicyCpuUtilization", "description": "CPU utilization policy.", "properties": { "utilizationTarget": { "format": "double", "description": "The target CPU utilization that the autoscaler maintains. Must be a float value in the range (0, 1]. If not specified, the default is 0.6. If the CPU level is below the target utilization, the autoscaler scales in the number of instances until it reaches the minimum number of instances you specified or until the average CPU of your instances reaches the target utilization. If the average CPU is above the target utilization, the autoscaler scales out until it reaches the maximum number of instances you specified or until the average utilization reaches the target utilization.", "type": "number" }, "predictiveMethod": { "enum": [ "NONE", "OPTIMIZE_AVAILABILITY", "PREDICTIVE_METHOD_UNSPECIFIED", "STANDARD" ], "type": "string", "description": "Indicates whether predictive autoscaling based on CPU metric is enabled. Valid values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NONE (default). No predictive method is used. The autoscaler scales the group to meet current demand based on real-time metrics. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh OPTIMIZE_AVAILABILITY. Predictive autoscaling improves availability by monitoring daily and weekly load patterns and scaling out ahead of anticipated demand.", "enumDescriptions": [ "No predictive method is used. The autoscaler scales the group to meet current demand based on real-time metrics", "Predictive autoscaling improves availability by monitoring daily and weekly load patterns and scaling out ahead of anticipated demand.", "", "Predictive autoscaling improves availability by monitoring daily and weekly load patterns and scaling out ahead of anticipated demand. This value is being DEPRECATED - it won't be promoted to beta and v1. Use OPTIMIZE_AVAILABILITY instead." ] } }, "type": "object" }, "SecurityPoliciesAggregatedList": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of SecurityPoliciesScopedList resources.", "additionalProperties": { "$ref": "SecurityPoliciesScopedList", "description": "Name of the scope containing this set of security policies." }, "type": "object" }, "kind": { "default": "compute#securityPoliciesAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always compute#securityPolicyAggregatedList for lists of Security Policies." }, "etag": { "type": "string" }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object", "description": "[Output Only] Informational warning message." } }, "type": "object", "id": "SecurityPoliciesAggregatedList" }, "DisksScopedList": { "properties": { "warning": { "description": "[Output Only] Informational warning which replaces the list of disks when the list is empty.", "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "disks": { "description": "[Output Only] A list of disks contained in this scope.", "type": "array", "items": { "$ref": "Disk" } } }, "type": "object", "id": "DisksScopedList" }, "RegionInstanceGroupManagersRecreateRequest": { "type": "object", "properties": { "instances": { "type": "array", "description": "The URLs of one or more instances to recreate. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "items": { "type": "string" } } }, "id": "RegionInstanceGroupManagersRecreateRequest" }, "RegionCommitmentsUpdateReservationsRequest": { "properties": { "reservations": { "description": "A list of two reservations to transfer GPUs and local SSD between.", "items": { "$ref": "Reservation" }, "type": "array" } }, "type": "object", "id": "RegionCommitmentsUpdateReservationsRequest" }, "GuestAttributes": { "id": "GuestAttributes", "properties": { "variableKey": { "type": "string", "description": "The key to search for." }, "queryPath": { "description": "The path to be queried. This can be the default namespace ('') or a nested namespace ('\\/') or a specified key ('\\/\\').", "type": "string" }, "variableValue": { "description": "[Output Only] The value found for the requested key.", "type": "string" }, "queryValue": { "description": "[Output Only] The value of the requested queried path.", "$ref": "GuestAttributesValue" }, "kind": { "type": "string", "default": "compute#guestAttributes", "description": "[Output Only] Type of the resource. Always compute#guestAttributes for guest attributes entry." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "description": "A guest attributes entry.", "type": "object" }, "ShieldedVmConfig": { "type": "object", "properties": { "enableVtpm": { "type": "boolean", "description": "Defines whether the instance has the vTPM enabled." }, "enableSecureBoot": { "description": "Defines whether the instance has Secure Boot enabled.", "type": "boolean" }, "enableIntegrityMonitoring": { "type": "boolean", "description": "Defines whether the instance has integrity monitoring enabled." } }, "id": "ShieldedVmConfig", "description": "A set of Shielded VM options." }, "InterconnectOutageNotification": { "description": "Description of a planned outage on this Interconnect.", "id": "InterconnectOutageNotification", "properties": { "source": { "enumDescriptions": [ "This notification was generated by Google.", "[Deprecated] This notification was generated by Google." ], "enum": [ "GOOGLE", "NSRC_GOOGLE" ], "type": "string", "description": "The party that generated this notification, which can take the following value: - GOOGLE: this notification as generated by Google. Note that the value of NSRC_GOOGLE has been deprecated in favor of GOOGLE." }, "affectedCircuits": { "items": { "type": "string" }, "description": "If issue_type is IT_PARTIAL_OUTAGE, a list of the Google-side circuit IDs that will be affected.", "type": "array" }, "state": { "type": "string", "enum": [ "ACTIVE", "CANCELLED", "COMPLETED", "NS_ACTIVE", "NS_CANCELED" ], "description": "State of this notification, which can take one of the following values: - ACTIVE: This outage notification is active. The event could be in the past, present, or future. See start_time and end_time for scheduling. - CANCELLED: The outage associated with this notification was cancelled before the outage was due to start. - COMPLETED: The outage associated with this notification is complete. Note that the versions of this enum prefixed with \"NS_\" have been deprecated in favor of the unprefixed values.", "enumDescriptions": [ "This outage notification is active. The event could be in the future, present, or past. See start_time and end_time for scheduling.", "The outage associated with this notification was cancelled before the outage was due to start.", "The outage associated with this notification is complete.", "[Deprecated] This outage notification is active. The event could be in the future, present, or past. See start_time and end_time for scheduling.", "[Deprecated] The outage associated with this notification was canceled before the outage was due to start." ] }, "name": { "description": "Unique identifier for this outage notification.", "type": "string" }, "endTime": { "type": "string", "description": "Scheduled end time for the outage (milliseconds since Unix epoch).", "format": "int64" }, "startTime": { "format": "int64", "description": "Scheduled start time for the outage (milliseconds since Unix epoch).", "type": "string" }, "description": { "type": "string", "description": "A description about the purpose of the outage." }, "issueType": { "enum": [ "IT_OUTAGE", "IT_PARTIAL_OUTAGE", "OUTAGE", "PARTIAL_OUTAGE" ], "enumDescriptions": [ "[Deprecated] The Interconnect may be completely out of service for some or all of the specified window.", "[Deprecated] Some circuits comprising the Interconnect will be out of service during the expected window. The interconnect as a whole should remain up, albeit with reduced bandwidth.", "The Interconnect may be completely out of service for some or all of the specified window.", "Some circuits comprising the Interconnect will be out of service during the expected window. The interconnect as a whole should remain up, albeit with reduced bandwidth." ], "description": "Form this outage is expected to take, which can take one of the following values: - OUTAGE: The Interconnect may be completely out of service for some or all of the specified window. - PARTIAL_OUTAGE: Some circuits comprising the Interconnect as a whole should remain up, but with reduced bandwidth. Note that the versions of this enum prefixed with \"IT_\" have been deprecated in favor of the unprefixed values.", "type": "string" } }, "type": "object" }, "TargetVpnGateway": { "description": "Represents a Target VPN Gateway resource. The target VPN gateway resource represents a Classic Cloud VPN gateway. For more information, read the the Cloud VPN Overview.", "id": "TargetVpnGateway", "type": "object", "properties": { "tunnels": { "description": "[Output Only] A list of URLs to VpnTunnel resources. VpnTunnels are created using the compute.vpntunnels.insert method and associated with a VPN gateway.", "type": "array", "items": { "type": "string" } }, "labels": { "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "additionalProperties": { "type": "string" }, "type": "object" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.targetVpnGateways.insert" ] }, "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "forwardingRules": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] A list of URLs to the ForwardingRule resources. ForwardingRules are created using compute.forwardingRules.insert and associated with a VPN gateway." }, "network": { "description": "URL of the network to which this VPN gateway is attached. Provided by the client when the VPN gateway is created.", "type": "string", "annotations": { "required": [ "compute.targetVpnGateways.insert" ] } }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "kind": { "default": "compute#targetVpnGateway", "description": "[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.", "type": "string" }, "status": { "enumDescriptions": [ "", "", "", "" ], "description": "[Output Only] The status of the VPN gateway, which can be one of the following: CREATING, READY, FAILED, or DELETING.", "enum": [ "CREATING", "DELETING", "FAILED", "READY" ], "type": "string" }, "labelFingerprint": { "format": "byte", "type": "string", "description": "A fingerprint for the labels being applied to this TargetVpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a TargetVpnGateway." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the target VPN gateway resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" } } }, "ShareSettingsProjectConfig": { "description": "Config for each project in the share settings.", "properties": { "projectId": { "type": "string", "description": "The project ID, should be same as the key of this project config in the parent map." } }, "id": "ShareSettingsProjectConfig", "type": "object" }, "NodeTypeAggregatedList": { "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of node types.", "$ref": "NodeTypesScopedList" }, "description": "A list of NodeTypesScopedList resources." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of resource.Always compute#nodeTypeAggregatedList for aggregated lists of node types.", "default": "compute#nodeTypeAggregatedList" } }, "id": "NodeTypeAggregatedList", "type": "object" }, "TargetHttpProxy": { "properties": { "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "region": { "description": "[Output Only] URL of the region where the regional Target HTTP Proxy resides. This field is not applicable to global Target HTTP Proxies.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "urlMap": { "type": "string", "description": "URL to the UrlMap resource that defines the mapping from URL to the BackendService." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetHttpProxy for target HTTP proxies.", "default": "compute#targetHttpProxy", "type": "string" }, "proxyBind": { "type": "boolean", "description": "This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetHttpProxy. An up-to-date fingerprint must be provided in order to patch/update the TargetHttpProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetHttpProxy.", "format": "byte", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "httpFilters": { "items": { "type": "string" }, "type": "array", "description": "URLs to networkservices.HttpFilter resources enabled for xDS clients using this configuration. For example, https://networkservices.googleapis.com/v1alpha1/projects/project/locations/ locationhttpFilters/httpFilter Only filters that handle outbound connection and stream events may be specified. These filters work in conjunction with a default set of HTTP filters that may already be configured by Traffic Director. Traffic Director will determine the final location of these filters within xDS configuration based on the name of the HTTP filter. If Traffic Director positions multiple filters at the same location, those filters will be in the same order as specified in this list. httpFilters only applies for loadbalancers with loadBalancingScheme set to INTERNAL_SELF_MANAGED. See ForwardingRule for more details." }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." } }, "id": "TargetHttpProxy", "type": "object", "description": "Represents a Target HTTP Proxy resource. Google Compute Engine has two Target HTTP Proxy resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/alpha/targetHttpProxies) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/alpha/regionTargetHttpProxies) A target HTTP proxy is a component of GCP HTTP load balancers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh targetHttpProxies are used by external HTTP load balancers and Traffic Director. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh regionTargetHttpProxies are used by internal HTTP load balancers. Forwarding rules reference a target HTTP proxy, and the target proxy then references a URL map. For more information, read Using Target Proxies and Forwarding rule concepts." }, "InstanceGroupManagersScopedList": { "id": "InstanceGroupManagersScopedList", "properties": { "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] The warning that replaces the list of managed instance groups when the list is empty." }, "instanceGroupManagers": { "items": { "$ref": "InstanceGroupManager" }, "description": "[Output Only] The list of managed instance groups that are contained in the specified project and zone.", "type": "array" } }, "type": "object" }, "NodeGroupsAddNodesRequest": { "id": "NodeGroupsAddNodesRequest", "properties": { "additionalNodeCount": { "type": "integer", "format": "int32", "description": "Count of additional nodes to be added to the node group." } }, "type": "object" }, "NetworkEdgeSecurityService": { "properties": { "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "kind": { "type": "string", "default": "compute#networkEdgeSecurityService", "description": "[Output only] Type of the resource. Always compute#networkEdgeSecurityService for NetworkEdgeSecurityServices" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "region": { "description": "[Output Only] URL of the region where the resource resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "securityPolicy": { "type": "string", "description": "The resource URL for the network edge security service associated with this network edge security service." }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a NetworkEdgeSecurityService. An up-to-date fingerprint must be provided in order to update the NetworkEdgeSecurityService, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a NetworkEdgeSecurityService.", "format": "byte", "type": "string" } }, "type": "object", "id": "NetworkEdgeSecurityService", "description": "Represents a Google Cloud Armor network edge security service resource." }, "SubnetworksExpandIpCidrRangeRequest": { "id": "SubnetworksExpandIpCidrRangeRequest", "type": "object", "properties": { "ipCidrRange": { "type": "string", "description": "The IP (in CIDR format or netmask) of internal addresses that are legal on this Subnetwork. This range should be disjoint from other subnetworks within this network. This range can only be larger than (i.e. a superset of) the range previously defined before the update." } } }, "RegionInstantSnapshotsExportRequest": { "id": "RegionInstantSnapshotsExportRequest", "type": "object", "properties": { "exportParams": { "description": "Parameters to export the changed blocks.", "$ref": "InstantSnapshotExportParams" } } }, "RegionDisksStopAsyncReplicationRequest": { "type": "object", "id": "RegionDisksStopAsyncReplicationRequest", "properties": { "asyncSecondaryDisk": { "description": "The secondary disk to stop asynchronous replication to. Supplied if and only if the target disk is a primary disk in an asynchronously replicated pair. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk ", "type": "string" } } }, "InterconnectsGetDiagnosticsResponse": { "type": "object", "description": "Response for the InterconnectsGetDiagnosticsRequest.", "properties": { "result": { "$ref": "InterconnectDiagnostics" } }, "id": "InterconnectsGetDiagnosticsResponse" }, "SslCertificateManagedSslCertificate": { "type": "object", "description": "Configuration and status of a managed SSL certificate.", "properties": { "domainStatus": { "type": "object", "additionalProperties": { "type": "string", "enum": [ "ACTIVE", "DOMAIN_STATUS_UNSPECIFIED", "FAILED_CAA_CHECKING", "FAILED_CAA_FORBIDDEN", "FAILED_NOT_VISIBLE", "FAILED_RATE_LIMITED", "PROVISIONING" ], "enumDescriptions": [ "A managed certificate can be provisioned, no issues for this domain.", "", "Failed to check CAA records for the domain.", "Certificate issuance forbidden by an explicit CAA record for the domain.", "There seems to be problem with the user's DNS or load balancer configuration for this domain.", "Reached rate-limit for certificates per top-level private domain.", "Certificate provisioning for this domain is under way. GCP will attempt to provision the first certificate." ] }, "description": "[Output only] Detailed statuses of the domains specified for managed certificate resource." }, "domains": { "description": "The domains for which a managed SSL certificate will be generated. Each Google-managed SSL certificate supports up to the [maximum number of domains per Google-managed SSL certificate](/load-balancing/docs/quotas#ssl_certificates).", "items": { "type": "string" }, "type": "array" }, "status": { "enumDescriptions": [ "The certificate management is working, and a certificate has been provisioned.", "", "The certificate management is working. GCP will attempt to provision the first certificate.", "Certificate provisioning failed due to an issue with the DNS or load balancing configuration. For details of which domain failed, consult domain_status field.", "Certificate provisioning failed due to an issue with the DNS or load balancing configuration. It won't be retried. To try again delete and create a new managed SslCertificate resource. For details of which domain failed, consult domain_status field.", "Renewal of the certificate has failed due to an issue with the DNS or load balancing configuration. The existing cert is still serving; however, it will expire shortly. To provision a renewed certificate, delete and create a new managed SslCertificate resource. For details on which domain failed, consult domain_status field." ], "type": "string", "description": "[Output only] Status of the managed certificate resource.", "enum": [ "ACTIVE", "MANAGED_CERTIFICATE_STATUS_UNSPECIFIED", "PROVISIONING", "PROVISIONING_FAILED", "PROVISIONING_FAILED_PERMANENTLY", "RENEWAL_FAILED" ] } }, "id": "SslCertificateManagedSslCertificate" }, "RegionUrlMapsValidateRequest": { "id": "RegionUrlMapsValidateRequest", "type": "object", "properties": { "resource": { "$ref": "UrlMap", "description": "Content of the UrlMap to be validated." } } }, "HealthCheckLogConfig": { "id": "HealthCheckLogConfig", "properties": { "enable": { "type": "boolean", "description": "Indicates whether or not to export logs. This is false by default, which means no health check logging will be done." } }, "description": "Configuration of logging on a health check. If logging is enabled, logs will be exported to Stackdriver.", "type": "object" }, "SslCertificateSelfManagedSslCertificate": { "type": "object", "id": "SslCertificateSelfManagedSslCertificate", "description": "Configuration and status of a self-managed SSL certificate.", "properties": { "privateKey": { "description": "A write-only private key in PEM format. Only insert requests will include this field.", "type": "string" }, "certificate": { "type": "string", "description": "A local certificate file. The certificate must be in PEM format. The certificate chain must be no greater than 5 certs long. The chain must include at least one intermediate cert." } } }, "PublicDelegatedPrefixPublicDelegatedSubPrefix": { "id": "PublicDelegatedPrefixPublicDelegatedSubPrefix", "type": "object", "properties": { "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "status": { "description": "[Output Only] The status of the sub public delegated prefix.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ACTIVE", "INACTIVE" ] }, "region": { "description": "[Output Only] The region of the sub public delegated prefix if it is regional. If absent, the sub prefix is global.", "type": "string" }, "delegateeProject": { "description": "Name of the project scoping this PublicDelegatedSubPrefix.", "type": "string" }, "isAddress": { "description": "Whether the sub prefix is delegated to create Address resources in the delegatee project.", "type": "boolean" }, "name": { "type": "string", "description": "The name of the sub public delegated prefix." }, "ipCidrRange": { "description": "The IPv4 address range, in CIDR format, represented by this sub public delegated prefix.", "type": "string" } }, "description": "Represents a sub PublicDelegatedPrefix." }, "FirewallPolicyRule": { "description": "Represents a rule that describes one or more match conditions along with the action to be taken when traffic matches this condition (allow or deny).", "type": "object", "id": "FirewallPolicyRule", "properties": { "ruleName": { "type": "string", "description": "An optional name for the rule. This field is not a unique identifier and can be updated." }, "action": { "type": "string", "description": "The Action to perform when the client connection triggers the rule. Can currently be either \"allow\" or \"deny()\" where valid values for status are 403, 404, and 502." }, "direction": { "description": "The direction in which this rule applies.", "enum": [ "EGRESS", "INGRESS" ], "enumDescriptions": [ "", "" ], "type": "string" }, "ruleTupleCount": { "format": "int32", "description": "[Output Only] Calculation of the complexity of a single firewall policy rule.", "type": "integer" }, "targetResources": { "items": { "type": "string" }, "type": "array", "description": "A list of network resource URLs to which this rule applies. This field allows you to control which network's VMs get this rule. If this field is left blank, all VMs within the organization will receive the rule." }, "disabled": { "type": "boolean", "description": "Denotes whether the firewall policy rule is disabled. When set to true, the firewall policy rule is not enforced and traffic behaves as if it did not exist. If this is unspecified, the firewall policy rule will be enabled." }, "enableLogging": { "description": "Denotes whether to enable logging for a particular rule. If logging is enabled, logs will be exported to the configured export destination in Stackdriver. Logs may be exported to BigQuery or Pub/Sub. Note: you cannot enable logging on \"goto_next\" rules.", "type": "boolean" }, "description": { "type": "string", "description": "An optional description for this resource." }, "targetSecureTags": { "type": "array", "description": "A list of secure tags that controls which instances the firewall rule applies to. If targetSecureTag are specified, then the firewall rule applies only to instances in the VPC network that have one of those EFFECTIVE secure tags, if all the target_secure_tag are in INEFFECTIVE state, then this rule will be ignored. targetSecureTag may not be set at the same time as targetServiceAccounts. If neither targetServiceAccounts nor targetSecureTag are specified, the firewall rule applies to all instances on the specified network. Maximum number of target label tags allowed is 256.", "items": { "$ref": "FirewallPolicyRuleSecureTag" } }, "securityProfileGroup": { "description": "A fully-qualified URL of a SecurityProfile resource instance. Example: https://networksecurity.googleapis.com/v1/projects/{project}/locations/{location}/securityProfileGroups/my-security-profile-group Must be specified if action = 'apply_profile_group' and cannot be specified for other actions.", "type": "string" }, "targetServiceAccounts": { "type": "array", "description": "A list of service accounts indicating the sets of instances that are applied with this rule.", "items": { "type": "string" } }, "match": { "description": "A match condition that incoming traffic is evaluated against. If it evaluates to true, the corresponding 'action' is enforced.", "$ref": "FirewallPolicyRuleMatcher" }, "kind": { "description": "[Output only] Type of the resource. Always compute#firewallPolicyRule for firewall policy rules", "default": "compute#firewallPolicyRule", "type": "string" }, "priority": { "description": "An integer indicating the priority of a rule in the list. The priority must be a positive value between 0 and 2147483647. Rules are evaluated from highest to lowest priority where 0 is the highest priority and 2147483647 is the lowest prority.", "type": "integer", "format": "int32" } } }, "NetworkEndpoint": { "type": "object", "properties": { "instance": { "description": "The name for a specific VM instance that the IP address belongs to. This is required for network endpoints of type GCE_VM_IP_PORT. The instance must be in the same zone of network endpoint group. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string" }, "port": { "format": "int32", "description": "Optional port number of network endpoint. If not specified, the defaultPort for the network endpoint group will be used.", "type": "integer" }, "fqdn": { "description": "Optional fully qualified domain name of network endpoint. This can only be specified when NetworkEndpointGroup.network_endpoint_type is NON_GCP_FQDN_PORT.", "type": "string" }, "ipAddress": { "type": "string", "description": "Optional IPv4 address of network endpoint. The IP address must belong to a VM in Compute Engine (either the primary IP or as part of an aliased IP range). If the IP address is not specified, then the primary IP address for the VM instance in the network that the network endpoint group belongs to will be used." }, "annotations": { "additionalProperties": { "type": "string" }, "description": "Metadata defined as annotations on the network endpoint.", "type": "object" } }, "id": "NetworkEndpoint", "description": "The network endpoint." }, "SecurityPolicyAdaptiveProtectionConfig": { "id": "SecurityPolicyAdaptiveProtectionConfig", "properties": { "autoDeployConfig": { "$ref": "SecurityPolicyAdaptiveProtectionConfigAutoDeployConfig" }, "layer7DdosDefenseConfig": { "description": "If set to true, enables Cloud Armor Machine Learning.", "$ref": "SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig" } }, "description": "Configuration options for Cloud Armor Adaptive Protection (CAAP).", "type": "object" }, "Rule": { "properties": { "ins": { "items": { "type": "string" }, "type": "array", "description": "This is deprecated and has no effect. Do not use." }, "action": { "description": "This is deprecated and has no effect. Do not use.", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "type": "string", "enum": [ "ALLOW", "ALLOW_WITH_LOG", "DENY", "DENY_WITH_LOG", "LOG", "NO_ACTION" ] }, "conditions": { "type": "array", "description": "This is deprecated and has no effect. Do not use.", "items": { "$ref": "Condition" } }, "logConfigs": { "type": "array", "items": { "$ref": "LogConfig" }, "description": "This is deprecated and has no effect. Do not use." }, "permissions": { "items": { "type": "string" }, "description": "This is deprecated and has no effect. Do not use.", "type": "array" }, "description": { "type": "string", "description": "This is deprecated and has no effect. Do not use." }, "notIns": { "items": { "type": "string" }, "type": "array", "description": "This is deprecated and has no effect. Do not use." } }, "id": "Rule", "description": "This is deprecated and has no effect. Do not use.", "type": "object" }, "ProjectsEnableXpnResourceRequest": { "type": "object", "properties": { "xpnResource": { "description": "Service resource (a.k.a service project) ID.", "$ref": "XpnResourceId" } }, "id": "ProjectsEnableXpnResourceRequest" }, "DiskList": { "id": "DiskList", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "default": "compute#diskList", "description": "[Output Only] Type of resource. Always compute#diskList for lists of disks." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object", "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "description": "A list of Disk resources.", "type": "array", "items": { "$ref": "Disk" } } }, "description": "A list of Disk resources.", "type": "object" }, "SecuritySettings": { "description": "The authentication and authorization settings for a BackendService.", "type": "object", "properties": { "authorizationConfig": { "description": "[Deprecated] Authorization config defines the Role Based Access Control (RBAC) config. Authorization config defines the Role Based Access Control (RBAC) config.", "$ref": "AuthorizationConfig" }, "clientTlsPolicy": { "description": "Optional. A URL referring to a networksecurity.ClientTlsPolicy resource that describes how clients should authenticate with this service's backends. clientTlsPolicy only applies to a global BackendService with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. If left blank, communications are not encrypted. Note: This field currently has no impact.", "type": "string" }, "subjectAltNames": { "description": "Optional. A list of Subject Alternative Names (SANs) that the client verifies during a mutual TLS handshake with an server/endpoint for this BackendService. When the server presents its X.509 certificate to the client, the client inspects the certificate's subjectAltName field. If the field contains one of the specified values, the communication continues. Otherwise, it fails. This additional check enables the client to verify that the server is authorized to run the requested service. Note that the contents of the server certificate's subjectAltName field are configured by the Public Key Infrastructure which provisions server identities. Only applies to a global BackendService with loadBalancingScheme set to INTERNAL_SELF_MANAGED. Only applies when BackendService has an attached clientTlsPolicy with clientCertificate (mTLS mode). Note: This field currently has no impact.", "items": { "type": "string" }, "type": "array" }, "authenticationPolicy": { "description": "[Deprecated] Authentication policy defines what authentication methods can be accepted on backends, and if authenticated, which method/certificate will set the request principal. request principal.", "$ref": "AuthenticationPolicy" }, "authentication": { "description": "[Deprecated] Use clientTlsPolicy instead.", "type": "string" }, "clientTlsSettings": { "description": "[Deprecated] TLS Settings for the backend service.", "$ref": "ClientTlsSettings" } }, "id": "SecuritySettings" }, "HttpHealthCheck": { "description": "Represents a legacy HTTP Health Check resource. Legacy HTTP health checks are now only required by target pool-based network load balancers. For all other load balancers, including backend service-based network load balancers, and for managed instance group auto-healing, you must use modern (non-legacy) health checks. For more information, see Health checks overview .", "properties": { "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#httpHealthCheck for HTTP health checks.", "default": "compute#httpHealthCheck", "type": "string" }, "port": { "format": "int32", "description": "The TCP port number for the HTTP health check request. The default value is 80.", "type": "integer" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "host": { "type": "string", "description": "The value of the host header in the HTTP health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used." }, "timeoutSec": { "description": "How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec.", "type": "integer", "format": "int32" }, "checkIntervalSec": { "format": "int32", "description": "How often (in seconds) to send a health check. The default value is 5 seconds.", "type": "integer" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "unhealthyThreshold": { "description": "A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.", "format": "int32", "type": "integer" }, "healthyThreshold": { "type": "integer", "format": "int32", "description": "A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2." }, "requestPath": { "description": "The request path of the HTTP health check request. The default value is /. This field does not support query parameters.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" } }, "id": "HttpHealthCheck", "type": "object" }, "SchedulingNodeAffinity": { "type": "object", "description": "Node Affinity: the configuration of desired nodes onto which this Instance could be scheduled.", "id": "SchedulingNodeAffinity", "properties": { "operator": { "enum": [ "IN", "NOT_IN", "OPERATOR_UNSPECIFIED" ], "type": "string", "enumDescriptions": [ "Requires Compute Engine to seek for matched nodes.", "Requires Compute Engine to avoid certain nodes.", "" ], "description": "Defines the operation of node selection. Valid operators are IN for affinity and NOT_IN for anti-affinity." }, "values": { "items": { "type": "string" }, "type": "array", "description": "Corresponds to the label values of Node resource." }, "key": { "type": "string", "description": "Corresponds to the label key of Node resource." } } }, "ResourcePolicySnapshotSchedulePolicyRetentionPolicy": { "description": "Policy for retention of scheduled snapshots.", "id": "ResourcePolicySnapshotSchedulePolicyRetentionPolicy", "type": "object", "properties": { "onPolicySwitch": { "type": "string", "enum": [ "DO_NOT_RETROACTIVELY_APPLY", "RETROACTIVELY_APPLY", "UNSPECIFIED_ON_POLICY_SWITCH" ], "enumDescriptions": [ "", "", "" ] }, "maxRetentionDays": { "description": "Maximum age of the snapshot that is allowed to be kept.", "format": "int32", "type": "integer" }, "onSourceDiskDelete": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "APPLY_RETENTION_POLICY", "KEEP_AUTO_SNAPSHOTS", "UNSPECIFIED_ON_SOURCE_DISK_DELETE" ], "description": "Specifies the behavior to apply to scheduled snapshots when the source disk is deleted." } } }, "DiskMoveRequest": { "id": "DiskMoveRequest", "type": "object", "properties": { "destinationZone": { "description": "The URL of the destination zone to move the disk. This can be a full or partial URL. For example, the following are all valid URLs to a zone: - https://www.googleapis.com/compute/v1/projects/project/zones/zone - projects/project/zones/zone - zones/zone ", "type": "string" }, "targetDisk": { "description": "The URL of the target disk to move. This can be a full or partial URL. For example, the following are all valid URLs to a disk: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk ", "type": "string" } } }, "Reference": { "type": "object", "id": "Reference", "description": "Represents a reference to a resource.", "properties": { "referrer": { "description": "URL of the resource which refers to the target.", "type": "string" }, "target": { "description": "URL of the resource to which this reference points.", "type": "string" }, "referenceType": { "description": "A description of the reference type with no implied semantics. Possible values include: 1. MEMBER_OF ", "type": "string" }, "kind": { "default": "compute#reference", "description": "[Output Only] Type of the resource. Always compute#reference for references.", "type": "string" } } }, "DiskResourceStatusAsyncReplicationStatus": { "properties": { "state": { "type": "string", "enumDescriptions": [ "Replication is active.", "Secondary disk is created and is waiting for replication to start.", "Replication is starting.", "", "Replication is stopped.", "Replication is stopping." ], "enum": [ "ACTIVE", "CREATED", "STARTING", "STATE_UNSPECIFIED", "STOPPED", "STOPPING" ] } }, "type": "object", "id": "DiskResourceStatusAsyncReplicationStatus" }, "InternalIpOwner": { "type": "object", "properties": { "systemOwned": { "type": "boolean", "description": "Whether this IP CIDR range is reserved for system use." }, "owners": { "description": "URLs of the IP owners of the IP CIDR range.", "type": "array", "items": { "type": "string" } }, "ipCidrRange": { "type": "string", "description": "IP CIDR range being owned." } }, "id": "InternalIpOwner" }, "ScalingScheduleStatus": { "properties": { "nextStartTime": { "type": "string", "description": "[Output Only] The next time the scaling schedule is to become active. Note: this is a timestamp when a schedule is planned to run, but the actual time might be slightly different. The timestamp is in RFC3339 text format." }, "state": { "enum": [ "ACTIVE", "DISABLED", "OBSOLETE", "READY" ], "description": "[Output Only] The current state of a scaling schedule.", "enumDescriptions": [ "The current autoscaling recommendation is influenced by this scaling schedule.", "This scaling schedule has been disabled by the user.", "This scaling schedule will never become active again.", "The current autoscaling recommendation is not influenced by this scaling schedule." ], "type": "string" }, "lastStartTime": { "type": "string", "description": "[Output Only] The last time the scaling schedule became active. Note: this is a timestamp when a schedule actually became active, not when it was planned to do so. The timestamp is in RFC3339 text format." } }, "type": "object", "id": "ScalingScheduleStatus" }, "RegionInstanceGroupManagersSuspendInstancesRequest": { "id": "RegionInstanceGroupManagersSuspendInstancesRequest", "type": "object", "properties": { "forceSuspend": { "description": "If this flag is set to true, the Instance Group Manager will proceed to suspend the instances, skipping initialization on them.", "type": "boolean" }, "instances": { "type": "array", "description": "The URLs of one or more instances to suspend. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "items": { "type": "string" } } } }, "LogConfigCounterOptionsCustomField": { "type": "object", "description": "This is deprecated and has no effect. Do not use.", "id": "LogConfigCounterOptionsCustomField", "properties": { "value": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" }, "name": { "type": "string", "description": "This is deprecated and has no effect. Do not use." } } }, "GlobalSetPolicyRequest": { "type": "object", "id": "GlobalSetPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them.", "$ref": "Policy" }, "bindings": { "type": "array", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings.", "items": { "$ref": "Binding" } }, "etag": { "format": "byte", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.", "type": "string" } } }, "TargetHttpProxyAggregatedList": { "properties": { "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "default": "compute#targetHttpProxyAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always compute#targetHttpProxyAggregatedList for lists of Target HTTP Proxies." }, "items": { "additionalProperties": { "description": "Name of the scope containing this set of TargetHttpProxies.", "$ref": "TargetHttpProxiesScopedList" }, "description": "A list of TargetHttpProxiesScopedList resources.", "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "id": "TargetHttpProxyAggregatedList", "type": "object" }, "HttpRedirectAction": { "type": "object", "id": "HttpRedirectAction", "properties": { "prefixRedirect": { "type": "string", "description": "The prefix that replaces the prefixMatch specified in the HttpRouteRuleMatch, retaining the remaining portion of the URL before redirecting the request. prefixRedirect cannot be supplied together with pathRedirect. Supply one alone or neither. If neither is supplied, the path of the original request is used for the redirect. The value must be from 1 to 1024 characters." }, "redirectResponseCode": { "description": "The HTTP Status code to use for this RedirectAction. Supported values are: - MOVED_PERMANENTLY_DEFAULT, which is the default value and corresponds to 301. - FOUND, which corresponds to 302. - SEE_OTHER which corresponds to 303. - TEMPORARY_REDIRECT, which corresponds to 307. In this case, the request method is retained. - PERMANENT_REDIRECT, which corresponds to 308. In this case, the request method is retained. ", "type": "string", "enumDescriptions": [ "Http Status Code 302 - Found.", "Http Status Code 301 - Moved Permanently.", "Http Status Code 308 - Permanent Redirect maintaining HTTP method.", "Http Status Code 303 - See Other.", "Http Status Code 307 - Temporary Redirect maintaining HTTP method." ], "enum": [ "FOUND", "MOVED_PERMANENTLY_DEFAULT", "PERMANENT_REDIRECT", "SEE_OTHER", "TEMPORARY_REDIRECT" ] }, "stripQuery": { "type": "boolean", "description": "If set to true, any accompanying query portion of the original URL is removed before redirecting the request. If set to false, the query portion of the original URL is retained. The default is set to false. " }, "httpsRedirect": { "type": "boolean", "description": "If set to true, the URL scheme in the redirected request is set to HTTPS. If set to false, the URL scheme of the redirected request remains the same as that of the request. This must only be set for URL maps used in TargetHttpProxys. Setting this true for TargetHttpsProxy is not permitted. The default is set to false." }, "hostRedirect": { "type": "string", "description": "The host that is used in the redirect response instead of the one that was supplied in the request. The value must be from 1 to 255 characters." }, "pathRedirect": { "description": "The path that is used in the redirect response instead of the one that was supplied in the request. pathRedirect cannot be supplied together with prefixRedirect. Supply one alone or neither. If neither is supplied, the path of the original request is used for the redirect. The value must be from 1 to 1024 characters.", "type": "string" } }, "description": "Specifies settings for an HTTP redirect." }, "ProjectsSetDefaultNetworkTierRequest": { "type": "object", "properties": { "networkTier": { "type": "string", "enum": [ "FIXED_STANDARD", "PREMIUM", "SELECT", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Price competitive network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "description": "Default network tier to be set." } }, "id": "ProjectsSetDefaultNetworkTierRequest" }, "ServiceAttachmentConsumerProjectLimit": { "type": "object", "properties": { "projectIdOrNum": { "type": "string", "description": "The project id or number for the project to set the limit for." }, "connectionLimit": { "description": "The value of the limit to set.", "type": "integer", "format": "uint32" } }, "id": "ServiceAttachmentConsumerProjectLimit" }, "PeerAuthenticationMethod": { "properties": { "mtls": { "description": "Set if mTLS is used for peer authentication.", "$ref": "MutualTls" } }, "description": "[Deprecated] Configuration for the peer authentication method. Configuration for the peer authentication method.", "type": "object", "id": "PeerAuthenticationMethod" }, "InstanceGroupManagerActionsSummary": { "type": "object", "id": "InstanceGroupManagerActionsSummary", "properties": { "none": { "description": "[Output Only] The number of instances in the managed instance group that are running and have no scheduled actions.", "type": "integer", "format": "int32" }, "creatingAtomically": { "type": "integer", "description": "[Output Only] The number of instances that the managed instance group will attempt to create atomically, in a batch mode. If the desired count of instances can not be created, entire batch will be deleted and the group will decrease its targetSize value accordingly.", "format": "int32" }, "stopping": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be stopped or are currently being stopped.", "type": "integer" }, "verifying": { "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are being verified. See the managedInstances[].currentAction property in the listManagedInstances method documentation.", "format": "int32" }, "recreating": { "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be recreated or are currently being being recreated. Recreating an instance deletes the existing root persistent disk and creates a new disk from the image that is defined in the instance template.", "format": "int32" }, "deleting": { "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be deleted or are currently being deleted.", "format": "int32" }, "creating": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be created or are currently being created. If the group fails to create any of these instances, it tries again until it creates the instance successfully. If you have disabled creation retries, this field will not be populated; instead, the creatingWithoutRetries field will be populated.", "type": "integer" }, "starting": { "format": "int32", "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be started or are currently being started." }, "creatingWithoutRetries": { "type": "integer", "description": "[Output Only] The number of instances that the managed instance group will attempt to create. The group attempts to create each instance only once. If the group fails to create any of these instances, it decreases the group's targetSize value accordingly.", "format": "int32" }, "restarting": { "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be restarted or are currently being restarted.", "type": "integer", "format": "int32" }, "abandoning": { "format": "int32", "description": "[Output Only] The total number of instances in the managed instance group that are scheduled to be abandoned. Abandoning an instance removes it from the managed instance group without deleting it.", "type": "integer" }, "refreshing": { "description": "[Output Only] The number of instances in the managed instance group that are being reconfigured with properties that do not require a restart or a recreate action. For example, setting or removing target pools for the instance.", "type": "integer", "format": "int32" }, "resuming": { "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be resumed or are currently being resumed.", "format": "int32", "type": "integer" }, "suspending": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be suspended or are currently being suspended.", "type": "integer" } } }, "InstantSnapshotResourceStatus": { "type": "object", "properties": { "storageSizeBytes": { "type": "string", "format": "int64", "description": "[Output Only] The storage size of this instant snapshot." } }, "id": "InstantSnapshotResourceStatus" }, "DisplayDevice": { "properties": { "enableDisplay": { "type": "boolean", "description": "Defines whether the instance has Display enabled." } }, "id": "DisplayDevice", "description": "A set of Display Device options", "type": "object" }, "NodeTemplate": { "id": "NodeTemplate", "description": "Represent a sole-tenant Node Template resource. You can use a template to define properties for nodes in a node group. For more information, read Creating node groups and instances.", "type": "object", "properties": { "statusMessage": { "description": "[Output Only] An optional, human-readable explanation of the status.", "type": "string" }, "name": { "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "serverBinding": { "description": "Sets the binding properties for the physical server. Valid values include: - Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec upload.sh RESTART_NODE_ON_ANY_SERVER: Restarts VMs on any available physical server - RESTART_NODE_ON_MINIMAL_SERVER: Restarts VMs on the same physical server whenever possible See Sole-tenant node options for more information.", "$ref": "ServerBinding" }, "disks": { "items": { "$ref": "LocalDisk" }, "type": "array" }, "cpuOvercommitType": { "enumDescriptions": [ "", "", "" ], "enum": [ "CPU_OVERCOMMIT_TYPE_UNSPECIFIED", "ENABLED", "NONE" ], "type": "string", "description": "CPU overcommit." }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "kind": { "description": "[Output Only] The type of the resource. Always compute#nodeTemplate for node templates.", "default": "compute#nodeTemplate", "type": "string" }, "status": { "type": "string", "enum": [ "CREATING", "DELETING", "INVALID", "READY" ], "description": "[Output Only] The status of the node template. One of the following values: CREATING, READY, and DELETING.", "enumDescriptions": [ "Resources are being allocated.", "The node template is currently being deleted.", "Invalid status.", "The node template is ready." ] }, "region": { "type": "string", "description": "[Output Only] The name of the region where the node template resides, such as us-central1." }, "accelerators": { "type": "array", "items": { "$ref": "AcceleratorConfig" } }, "nodeAffinityLabels": { "type": "object", "description": "Labels to use for node affinity, which will be used in instance scheduling.", "additionalProperties": { "type": "string" } }, "nodeType": { "description": "The node type to use for nodes group that are created from this template.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "nodeTypeFlexibility": { "description": "The flexible properties of the desired node type. Node groups that use this node template will create nodes of a type that matches these properties. This field is mutually exclusive with the node_type property; you can only define one or the other, but not both.", "$ref": "NodeTemplateNodeTypeFlexibility" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." } } }, "CommitmentList": { "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "properties": { "data": { "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "items": { "$ref": "Commitment" }, "description": "A list of Commitment resources.", "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#commitmentList", "description": "[Output Only] Type of resource. Always compute#commitmentList for lists of commitments." } }, "description": "Contains a list of Commitment resources.", "type": "object", "id": "CommitmentList" }, "BackendServiceIAPOAuth2ClientInfo": { "type": "object", "properties": { "developerEmailAddress": { "description": "Developer's information to be used in OAuth consent screen.", "type": "string" }, "clientName": { "description": "Name of the client to be generated. Optional - If not provided, the name will be autogenerated by the backend.", "type": "string" }, "applicationName": { "description": "Application name to be used in OAuth consent screen.", "type": "string" } }, "id": "BackendServiceIAPOAuth2ClientInfo" }, "ZoneSetPolicyRequest": { "id": "ZoneSetPolicyRequest", "type": "object", "properties": { "etag": { "format": "byte", "type": "string", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag." }, "bindings": { "items": { "$ref": "Binding" }, "description": "Flatten Policy to create a backwacd compatible wire-format. Deprecated. Use 'policy' to specify bindings.", "type": "array" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them.", "$ref": "Policy" } } }, "NetworkEndpointGroupAppEngine": { "description": "Configuration for an App Engine network endpoint group (NEG). The service is optional, may be provided explicitly or in the URL mask. The version is optional and can only be provided explicitly or in the URL mask when service is present. Note: App Engine service must be in the same project and located in the same region as the Serverless NEG.", "properties": { "urlMask": { "description": "A template to parse service and version fields from a request URL. URL mask allows for routing to multiple App Engine services without having to create multiple Network Endpoint Groups and backend services. For example, the request URLs \"foo1-dot-appname.appspot.com/v1\" and \"foo1-dot-appname.appspot.com/v2\" can be backed by the same Serverless NEG with URL mask \"-dot-appname.appspot.com/\". The URL mask will parse them to { service = \"foo1\", version = \"v1\" } and { service = \"foo1\", version = \"v2\" } respectively.", "type": "string" }, "version": { "description": "Optional serving version. The version name is case-sensitive and must be 1-100 characters long. Example value: \"v1\", \"v2\".", "type": "string" }, "service": { "description": "Optional serving service. The service name is case-sensitive and must be 1-63 characters long. Example value: \"default\", \"my-service\".", "type": "string" } }, "type": "object", "id": "NetworkEndpointGroupAppEngine" }, "ResourcePolicyInstanceSchedulePolicySchedule": { "type": "object", "description": "Schedule for an instance operation.", "properties": { "schedule": { "description": "Specifies the frequency for the operation, using the unix-cron format.", "type": "string" } }, "id": "ResourcePolicyInstanceSchedulePolicySchedule" }, "PermissionConstraint": { "properties": { "values": { "description": "A list of allowed values.", "items": { "type": "string" }, "type": "array" }, "key": { "description": "Key of the constraint.", "type": "string" } }, "type": "object", "id": "PermissionConstraint", "description": "Custom constraint that specifies a key and a list of allowed values for Istio attributes." }, "PacketMirroringList": { "description": "Contains a list of PacketMirroring resources.", "id": "PacketMirroringList", "type": "object", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "type": "string", "default": "compute#packetMirroringList", "description": "[Output Only] Type of resource. Always compute#packetMirroring for packetMirrorings." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "description": "[Output Only] Informational warning message." }, "items": { "items": { "$ref": "PacketMirroring" }, "description": "A list of PacketMirroring resources.", "type": "array" } } }, "InstantSnapshotExportParams": { "type": "object", "id": "InstantSnapshotExportParams", "properties": { "bucketName": { "description": "The name of an existing bucket in Cloud Storage where the changed blocks will be stored. The Google Service Account must have read and write access to this bucket. The bucket has to be in the same region as this resource.", "type": "string" }, "baseInstantSnapshot": { "type": "string", "description": "An optional base instant snapshot that this resource is compared against. If not specified, all blocks of this resource are exported. The base instant snapshot and this resource must be created from the same disk. The base instant snapshot must be created earlier in time than this resource." }, "encryptionKey": { "description": "Encryption key used to encrypt the instant snapshot.", "$ref": "CustomerEncryptionKey" }, "outputType": { "type": "string", "description": "The format of the output file.", "enum": [ "INVALID", "METADATA_AND_DATA", "METADATA_ONLY" ], "enumDescriptions": [ "", "", "" ] }, "objectName": { "description": "Name of the output Bigstore object storing the changed blocks. Object name must be less than 1024 bytes in length.", "type": "string" } } }, "HTTPSHealthCheck": { "id": "HTTPSHealthCheck", "properties": { "host": { "type": "string", "description": "The value of the host header in the HTTPS health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used." }, "requestPath": { "description": "The request path of the HTTPS health check request. The default value is /.", "type": "string" }, "portSpecification": { "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ], "type": "string", "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, HTTPS health check follows behavior specified in port and portName fields.", "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ] }, "weightReportMode": { "description": "Weight report mode. used for weighted Load Balancing.", "enum": [ "DISABLE", "DRY_RUN", "ENABLE" ], "enumDescriptions": [ "Health Checker will not parse the header field.", "Health Checker will parse and report the weight in the header field, but load balancing will not be based on the weights and will use equal weights.", "Health Checker will try to parse and report the weight in the header field, and load balancing will be based on the weights as long as all backends have a valid weight or only a subset of backends has the UNAVAILABLE_WEIGHT WeightError. The latter case is to continue the weighted load balancing while some backends are in TIMEOUT or UNKNOWN health status." ], "type": "string" }, "proxyHeader": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "NONE", "PROXY_V1" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE." }, "port": { "type": "integer", "description": "The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535.", "format": "int32" }, "response": { "description": "The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII.", "type": "string" }, "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence." } }, "type": "object" }, "VmEndpointNatMappings": { "type": "object", "properties": { "instanceName": { "type": "string", "description": "Name of the VM instance which the endpoint belongs to" }, "interfaceNatMappings": { "type": "array", "items": { "$ref": "VmEndpointNatMappingsInterfaceNatMappings" } } }, "id": "VmEndpointNatMappings", "description": "Contain information of Nat mapping for a VM endpoint (i.e., NIC)." }, "CorsPolicy": { "id": "CorsPolicy", "type": "object", "description": "The specification for allowing client-side cross-origin requests. For more information about the W3C recommendation for cross-origin resource sharing (CORS), see Fetch API Living Standard.", "properties": { "allowMethods": { "items": { "type": "string" }, "description": "Specifies the content for the Access-Control-Allow-Methods header.", "type": "array" }, "allowOriginRegexes": { "type": "array", "description": "Specifies a regular expression that matches allowed origins. For more information about the regular expression syntax, see Syntax. An origin is allowed if it matches either an item in allowOrigins or an item in allowOriginRegexes.", "items": { "type": "string" } }, "allowCredentials": { "description": "In response to a preflight request, setting this to true indicates that the actual request can include user credentials. This field translates to the Access-Control-Allow-Credentials header. Default is false.", "type": "boolean" }, "maxAge": { "description": "Specifies how long results of a preflight request can be cached in seconds. This field translates to the Access-Control-Max-Age header.", "type": "integer", "format": "int32" }, "allowHeaders": { "description": "Specifies the content for the Access-Control-Allow-Headers header.", "items": { "type": "string" }, "type": "array" }, "allowOrigins": { "items": { "type": "string" }, "description": "Specifies the list of origins that is allowed to do CORS requests. An origin is allowed if it matches either an item in allowOrigins or an item in allowOriginRegexes.", "type": "array" }, "exposeHeaders": { "type": "array", "description": "Specifies the content for the Access-Control-Expose-Headers header.", "items": { "type": "string" } }, "disabled": { "description": "If true, the setting specifies the CORS policy is disabled. The default value of false, which indicates that the CORS policy is in effect.", "type": "boolean" } } }, "AcceleratorTypeList": { "type": "object", "description": "Contains a list of accelerator types.", "id": "AcceleratorTypeList", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } } }, "description": "[Output Only] Informational warning message." }, "kind": { "default": "compute#acceleratorTypeList", "type": "string", "description": "[Output Only] Type of resource. Always compute#acceleratorTypeList for lists of accelerator types." }, "items": { "items": { "$ref": "AcceleratorType" }, "type": "array", "description": "A list of AcceleratorType resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "TargetHttpProxyList": { "id": "TargetHttpProxyList", "description": "A list of TargetHttpProxy resources.", "properties": { "items": { "type": "array", "description": "A list of TargetHttpProxy resources.", "items": { "$ref": "TargetHttpProxy" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#targetHttpProxyList", "description": "Type of resource. Always compute#targetHttpProxyList for lists of target HTTP proxies." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } } } } }, "type": "object" }, "DiskTypeList": { "type": "object", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "type": "array", "items": { "$ref": "DiskType" }, "description": "A list of DiskType resources." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "default": "compute#diskTypeList", "description": "[Output Only] Type of resource. Always compute#diskTypeList for disk types.", "type": "string" } }, "id": "DiskTypeList", "description": "Contains a list of disk types." }, "XpnResourceId": { "description": "Service resource (a.k.a service project) ID.", "id": "XpnResourceId", "properties": { "id": { "description": "The ID of the service resource. In the case of projects, this field supports project id (e.g., my-project-123) and project number (e.g. 12345678).", "type": "string" }, "type": { "enum": [ "PROJECT", "XPN_RESOURCE_TYPE_UNSPECIFIED" ], "enumDescriptions": [ "", "" ], "type": "string", "description": "The type of the service resource." } }, "type": "object" }, "ResourcePolicyAggregatedList": { "description": "Contains a list of resourcePolicies.", "type": "object", "id": "ResourcePolicyAggregatedList", "properties": { "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "etag": { "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "description": "A list of ResourcePolicy resources.", "additionalProperties": { "$ref": "ResourcePoliciesScopedList", "description": "Name of the scope containing this set of resourcePolicies." }, "type": "object" }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#resourcePolicyAggregatedList" } } }, "SecurityPolicyAssociation": { "id": "SecurityPolicyAssociation", "type": "object", "properties": { "attachmentId": { "description": "The resource that the security policy is attached to.", "type": "string" }, "securityPolicyId": { "type": "string", "description": "[Output Only] The security policy ID of the association." }, "name": { "type": "string", "description": "The name for an association." }, "displayName": { "description": "[Output Only] The display name of the security policy of the association.", "type": "string" } } }, "Subnetwork": { "type": "object", "id": "Subnetwork", "properties": { "ipv6AccessType": { "enum": [ "EXTERNAL", "INTERNAL" ], "description": "The access type of IPv6 address this subnet holds. It's immutable and can only be specified during creation or the first time the subnet is updated into IPV4_IPV6 dual stack.", "type": "string", "enumDescriptions": [ "VMs on this subnet will be assigned IPv6 addresses that are accessible via the Internet, as well as the VPC network.", "VMs on this subnet will be assigned IPv6 addresses that are only accessible over the VPC network." ] }, "flowSampling": { "type": "number", "format": "float", "description": "Can only be specified if VPC flow logging for this subnetwork is enabled. The value of the field must be in [0, 1]. Set the sampling rate of VPC flow logs within the subnetwork where 1.0 means all collected logs are reported and 0.0 means no logs are reported. Default is 0.5 unless otherwise specified by the org policy, which means half of all collected logs are reported." }, "enablePrivateV6Access": { "type": "boolean", "description": "Deprecated in favor of enable in PrivateIpv6GoogleAccess. Whether the VMs in this subnet can directly access Google services via internal IPv6 addresses. This field can be both set at resource creation time and updated using patch." }, "enableL2": { "description": "Enables Layer2 communication on the subnetwork.", "type": "boolean" }, "ipCidrRange": { "description": "The range of internal addresses that are owned by this subnetwork. Provide this property when you create the subnetwork. For example, 10.0.0.0/8 or 100.64.0.0/10. Ranges must be unique and non-overlapping within a network. Only IPv4 is supported. This field is set at resource creation time. The range can be any range listed in the Valid ranges list. The range can be expanded after creation using expandIpCidrRange.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a Subnetwork. An up-to-date fingerprint must be provided in order to update the Subnetwork, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a Subnetwork.", "type": "string", "format": "byte" }, "secondaryIpRanges": { "description": "An array of configurations for secondary IP ranges for VM instances contained in this subnetwork. The primary IP of such VM must belong to the primary ipCidrRange of the subnetwork. The alias IPs may belong to either primary or secondary ranges. This field can be updated with a patch request.", "type": "array", "items": { "$ref": "SubnetworkSecondaryRange" } }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource. This field can be set only at resource creation time.", "type": "string" }, "purpose": { "description": "The purpose of the resource. This field can be either PRIVATE_RFC_1918 or INTERNAL_HTTPS_LOAD_BALANCER. A subnetwork with purpose set to INTERNAL_HTTPS_LOAD_BALANCER is a user-created subnetwork that is reserved for Internal HTTP(S) Load Balancing. If unspecified, the purpose defaults to PRIVATE_RFC_1918. The enableFlowLogs field isn't supported with the purpose field set to INTERNAL_HTTPS_LOAD_BALANCER.", "enum": [ "AGGREGATE", "CLOUD_EXTENSION", "GLOBAL_MANAGED_PROXY", "INTERNAL_HTTPS_LOAD_BALANCER", "PRIVATE", "PRIVATE_NAT", "PRIVATE_RFC_1918", "PRIVATE_SERVICE_CONNECT", "REGIONAL_MANAGED_PROXY" ], "enumDescriptions": [ "Subnetwork used to aggregate multiple private subnetworks.", "Subnetworks created for Cloud Extension Machines.", "Subnet reserved for Global Internal HTTP(S) Load Balancing.", "Subnet reserved for Internal HTTP(S) Load Balancing.", "Regular user created or automatically created subnet.", "Subnetwork used as source range for Private NAT Gateways.", "Regular user created or automatically created subnet.", "Subnetworks created for Private Service Connect in the producer network.", "Subnetwork used for Regional Internal/External HTTP(S) Load Balancing." ], "type": "string" }, "vlans": { "description": "A repeated field indicating the VLAN IDs supported on this subnetwork. During Subnet creation, specifying vlan is valid only if enable_l2 is true. During Subnet Update, specifying vlan is allowed only for l2 enabled subnets. Restricted to only one VLAN.", "type": "array", "items": { "type": "integer", "format": "int32" } }, "externalIpv6Prefix": { "description": "[Output Only] The external IPv6 address range that is assigned to this subnetwork.", "type": "string" }, "enableFlowLogs": { "type": "boolean", "description": "Whether to enable flow logging for this subnetwork. If this field is not explicitly set, it will not appear in get listings. If not set the default behavior is determined by the org policy, if there is no org policy specified, then it will default to disabled. This field isn't supported with the purpose field set to INTERNAL_HTTPS_LOAD_BALANCER." }, "stackType": { "enumDescriptions": [ "New VMs in this subnet can have both IPv4 and IPv6 addresses.", "New VMs in this subnet will only be assigned IPv4 addresses." ], "type": "string", "description": "The stack type for the subnet. If set to IPV4_ONLY, new VMs in the subnet are assigned IPv4 addresses only. If set to IPV4_IPV6, new VMs in the subnet can be assigned both IPv4 and IPv6 addresses. If not specified, IPV4_ONLY is used. This field can be both set at resource creation time and updated using patch.", "enum": [ "IPV4_IPV6", "IPV4_ONLY" ] }, "aggregationInterval": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "" ], "description": "Can only be specified if VPC flow logging for this subnetwork is enabled. Sets the aggregation interval for collecting flow logs. Increasing the interval time reduces the amount of generated flow logs for long-lasting connections. Default is an interval of 5 seconds per connection. Valid values: INTERVAL_5_SEC, INTERVAL_30_SEC, INTERVAL_1_MIN, INTERVAL_5_MIN, INTERVAL_10_MIN, INTERVAL_15_MIN.", "enum": [ "INTERVAL_10_MIN", "INTERVAL_15_MIN", "INTERVAL_1_MIN", "INTERVAL_30_SEC", "INTERVAL_5_MIN", "INTERVAL_5_SEC" ] }, "gatewayAddress": { "description": "[Output Only] The gateway address for default routes to reach destination addresses outside this subnetwork.", "type": "string" }, "state": { "enumDescriptions": [ "Subnetwork is being drained.", "Subnetwork is ready for use." ], "type": "string", "enum": [ "DRAINING", "READY" ], "description": "[Output Only] The state of the subnetwork, which can be one of the following values: READY: Subnetwork is created and ready to use DRAINING: only applicable to subnetworks that have the purpose set to INTERNAL_HTTPS_LOAD_BALANCER and indicates that connections to the load balancer are being drained. A subnetwork that is draining cannot be used or modified until it reaches a status of READY" }, "internalIpv6Prefix": { "description": "[Output Only] The internal IPv6 address range that is assigned to this subnetwork.", "type": "string" }, "privateIpv6GoogleAccess": { "description": "This field is for internal use. This field can be both set at resource creation time and updated using patch.", "type": "string", "enumDescriptions": [ "Disable private IPv6 access to/from Google services.", "Bidirectional private IPv6 access to/from Google services.", "Outbound private IPv6 access from VMs in this subnet to Google services." ], "enum": [ "DISABLE_GOOGLE_ACCESS", "ENABLE_BIDIRECTIONAL_ACCESS_TO_GOOGLE", "ENABLE_OUTBOUND_VM_ACCESS_TO_GOOGLE" ] }, "logConfig": { "$ref": "SubnetworkLogConfig", "description": "This field denotes the VPC flow logging options for this subnetwork. If logging is enabled, logs are exported to Cloud Logging." }, "privateIpGoogleAccess": { "description": "Whether the VMs in this subnet can access Google services without assigned external IP addresses. This field can be both set at resource creation time and updated using setPrivateIpGoogleAccess.", "type": "boolean" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "region": { "description": "URL of the region where the Subnetwork resides. This field can be set only at resource creation time.", "type": "string" }, "reservedInternalRange": { "type": "string", "description": "The URL of the reserved internal range." }, "role": { "enum": [ "ACTIVE", "BACKUP" ], "description": "The role of subnetwork. Currently, this field is only used when purpose = INTERNAL_HTTPS_LOAD_BALANCER. The value can be set to ACTIVE or BACKUP. An ACTIVE subnetwork is one that is currently being used for Internal HTTP(S) Load Balancing. A BACKUP subnetwork is one that is ready to be promoted to ACTIVE or is currently draining. This field can be updated with a patch request.", "type": "string", "enumDescriptions": [ "The ACTIVE subnet that is currently used.", "The BACKUP subnet that could be promoted to ACTIVE." ] }, "ipv6CidrRange": { "type": "string", "description": "[Output Only] This field is for internal use." }, "network": { "description": "The URL of the network to which this subnetwork belongs, provided by the client when initially creating the subnetwork. This field can be set only at resource creation time.", "type": "string" }, "allowSubnetCidrRoutesOverlap": { "type": "boolean", "description": "Whether this subnetwork's ranges can conflict with existing static routes. Setting this to true allows this subnetwork's primary and secondary ranges to overlap with (and contain) static routes that have already been configured on the corresponding network. For example if a static route has range 10.1.0.0/16, a subnet range 10.0.0.0/8 could only be created if allow_conflicting_routes=true. Overlapping is only allowed on subnetwork operations; routes whose ranges conflict with this subnetwork's ranges won't be allowed unless route.allow_conflicting_subnetworks is set to true. Typically packets destined to IPs within the subnetwork (which may contain private/sensitive data) are prevented from leaving the virtual network. Setting this field to true will disable this feature. The default value is false and applies to all existing subnetworks and automatically created subnetworks. This field cannot be set to true at resource creation time." }, "kind": { "default": "compute#subnetwork", "description": "[Output Only] Type of the resource. Always compute#subnetwork for Subnetwork resources.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the resource, provided by the client when initially creating the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "metadata": { "type": "string", "enum": [ "EXCLUDE_ALL_METADATA", "INCLUDE_ALL_METADATA" ], "description": "Can only be specified if VPC flow logging for this subnetwork is enabled. Configures whether metadata fields should be added to the reported VPC flow logs. Options are INCLUDE_ALL_METADATA, EXCLUDE_ALL_METADATA, and CUSTOM_METADATA. Default is EXCLUDE_ALL_METADATA.", "enumDescriptions": [ "", "" ] } }, "description": "Represents a Subnetwork resource. A subnetwork (also known as a subnet) is a logical partition of a Virtual Private Cloud network with one primary IP range and zero or more secondary IP ranges. For more information, read Virtual Private Cloud (VPC) Network." }, "InstanceGroupManagersDeleteInstancesRequest": { "type": "object", "id": "InstanceGroupManagersDeleteInstancesRequest", "properties": { "instances": { "items": { "type": "string" }, "description": "The URLs of one or more instances to delete. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "type": "array" }, "skipInstancesOnValidationError": { "description": "Specifies whether the request should proceed despite the inclusion of instances that are not members of the group or that are already in the process of being deleted or abandoned. If this field is set to `false` and such an instance is specified in the request, the operation fails. The operation always fails if the request contains a malformed instance URL or a reference to an instance that exists in a zone or region other than the group's zone or region.", "type": "boolean" } } }, "InstanceGroupManagerAutoHealingPolicy": { "properties": { "autoHealingTriggers": { "description": "Restricts what triggers autohealing.", "$ref": "InstanceGroupManagerAutoHealingPolicyAutoHealingTriggers" }, "initialDelaySec": { "type": "integer", "description": "The number of seconds that the managed instance group waits before it applies autohealing policies to new instances or recently recreated instances. This initial delay allows instances to initialize and run their startup scripts before the instance group determines that they are UNHEALTHY. This prevents the managed instance group from recreating its instances prematurely. This value must be from range [0, 3600].", "format": "int32" }, "healthCheck": { "description": "The URL for the health check that signals autohealing.", "type": "string" }, "maxUnavailable": { "$ref": "FixedOrPercent", "description": "Maximum number of instances that can be unavailable when autohealing. When 'percent' is used, the value is rounded if necessary. The instance is considered available if all of the following conditions are satisfied: 1. Instance's status is RUNNING. 2. Instance's currentAction is NONE (in particular its liveness health check result was observed to be HEALTHY at least once as it passed VERIFYING). 3. There is no outgoing action on an instance triggered by IGM. By default, number of concurrently autohealed instances is smaller than the managed instance group target size. However, if a zonal managed instance group has only one instance, or a regional managed instance group has only one instance per zone, autohealing will recreate these instances when they become unhealthy." } }, "id": "InstanceGroupManagerAutoHealingPolicy", "type": "object" }, "MachineTypesScopedList": { "type": "object", "id": "MachineTypesScopedList", "properties": { "machineTypes": { "description": "[Output Only] A list of machine types contained in this scope.", "items": { "$ref": "MachineType" }, "type": "array" }, "warning": { "description": "[Output Only] An informational warning that appears when the machine types list is empty.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } } } }, "HttpsHealthCheckList": { "description": "Contains a list of HttpsHealthCheck resources.", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "default": "compute#httpsHealthCheckList", "description": "Type of resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "items": { "description": "A list of HttpsHealthCheck resources.", "type": "array", "items": { "$ref": "HttpsHealthCheck" } } }, "id": "HttpsHealthCheckList", "type": "object" }, "UrlMapsValidateResponse": { "properties": { "result": { "$ref": "UrlMapValidationResult" } }, "type": "object", "id": "UrlMapsValidateResponse" }, "NamedPort": { "type": "object", "description": "The named port. For example: \u003c\"http\", 80\u003e.", "properties": { "port": { "type": "integer", "description": "The port number, which can be a value between 1 and 65535.", "format": "int32" }, "name": { "description": "The name for this named port. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string" } }, "id": "NamedPort" }, "SecurityPolicyRuleHttpHeaderActionHttpHeaderOption": { "type": "object", "id": "SecurityPolicyRuleHttpHeaderActionHttpHeaderOption", "properties": { "headerValue": { "description": "The value to set the named header to.", "type": "string" }, "headerName": { "description": "The name of the header to set.", "type": "string" } } }, "InstanceGroupManagersApplyUpdatesRequest": { "description": "InstanceGroupManagers.applyUpdatesToInstances", "id": "InstanceGroupManagersApplyUpdatesRequest", "type": "object", "properties": { "allInstances": { "type": "boolean", "description": "Flag to update all instances instead of specified list of “instances”. If the flag is set to true then the instances may not be specified in the request." }, "mostDisruptiveAllowedAction": { "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "description": "The most disruptive action that you want to perform on each instance during the update: - REPLACE: Delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the most disruptive allowed action is REPLACE. If your update requires a more disruptive action than you set with this flag, the update request will fail.", "type": "string", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ] }, "maximalAction": { "type": "string", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "description": "The maximal action that should be performed on the instances. By default REPLACE. This field is deprecated, please use most_disruptive_allowed_action.", "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ] }, "minimalAction": { "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "description": "The minimal action that you want to perform on each instance during the update: - REPLACE: At minimum, delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the minimum action is NONE. If your update requires a more disruptive action than you set with this flag, the necessary action is performed to execute the update.", "type": "string", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ] }, "instances": { "description": "The list of URLs of one or more instances for which you want to apply updates. Each URL can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "type": "array", "items": { "type": "string" } } } }, "ShieldedInstanceIntegrityPolicy": { "id": "ShieldedInstanceIntegrityPolicy", "properties": { "updateAutoLearnPolicy": { "type": "boolean", "description": "Updates the integrity policy baseline using the measurements from the VM instance's most recent boot." } }, "type": "object", "description": "The policy describes the baseline against which Instance boot integrity is measured." }, "NetworkEndpointGroupLbNetworkEndpointGroup": { "properties": { "subnetwork": { "description": "Optional URL of the subnetwork to which all network endpoints in the NEG belong. [Deprecated] This field is deprecated.", "type": "string" }, "defaultPort": { "format": "int32", "description": "The default port used if the port number is not specified in the network endpoint. [Deprecated] This field is deprecated.", "type": "integer" }, "network": { "type": "string", "description": "The URL of the network to which all network endpoints in the NEG belong. Uses \"default\" project network if unspecified. [Deprecated] This field is deprecated." }, "zone": { "description": "[Output Only] The URL of the zone where the network endpoint group is located. [Deprecated] This field is deprecated.", "type": "string" } }, "type": "object", "id": "NetworkEndpointGroupLbNetworkEndpointGroup", "description": "Load balancing specific fields for network endpoint group." }, "InterconnectDiagnosticsLinkLACPStatus": { "properties": { "state": { "enum": [ "ACTIVE", "DETACHED" ], "enumDescriptions": [ "The link is configured and active within the bundle.", "The link is not configured within the bundle, this means the rest of the object should be empty." ], "type": "string", "description": "The state of a LACP link, which can take one of the following values: - ACTIVE: The link is configured and active within the bundle. - DETACHED: The link is not configured within the bundle. This means that the rest of the object should be empty. " }, "googleSystemId": { "type": "string", "description": "System ID of the port on Google's side of the LACP exchange." }, "neighborSystemId": { "type": "string", "description": "System ID of the port on the neighbor's side of the LACP exchange." } }, "type": "object", "id": "InterconnectDiagnosticsLinkLACPStatus" }, "InstanceGroupManagersSetInstanceTemplateRequest": { "type": "object", "properties": { "instanceTemplate": { "description": "The URL of the instance template that is specified for this managed instance group. The group uses this template to create all new instances in the managed instance group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE.", "type": "string" } }, "id": "InstanceGroupManagersSetInstanceTemplateRequest" }, "TargetInstanceList": { "type": "object", "id": "TargetInstanceList", "description": "Contains a list of TargetInstance resources.", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#targetInstanceList" }, "warning": { "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of TargetInstance resources.", "items": { "$ref": "TargetInstance" }, "type": "array" } } }, "CommitmentsScopedList": { "properties": { "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } } }, "type": "object", "description": "[Output Only] Informational warning which replaces the list of commitments when the list is empty." }, "commitments": { "items": { "$ref": "Commitment" }, "type": "array", "description": "[Output Only] A list of commitments contained in this scope." } }, "type": "object", "id": "CommitmentsScopedList" }, "InstancesAddResourcePoliciesRequest": { "type": "object", "id": "InstancesAddResourcePoliciesRequest", "properties": { "resourcePolicies": { "type": "array", "items": { "type": "string" }, "description": "Resource policies to be added to this instance." } } }, "TargetTcpProxyList": { "type": "object", "description": "Contains a list of TargetTcpProxy resources.", "id": "TargetTcpProxyList", "properties": { "kind": { "default": "compute#targetTcpProxyList", "type": "string", "description": "Type of resource." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "type": "array", "description": "A list of TargetTcpProxy resources.", "items": { "$ref": "TargetTcpProxy" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } } } } }, "TargetSslProxiesSetCertificateMapRequest": { "id": "TargetSslProxiesSetCertificateMapRequest", "properties": { "certificateMap": { "type": "string", "description": "URL of the Certificate Map to associate with this TargetSslProxy." } }, "type": "object" }, "FirewallPolicyRuleMatcherLayer4Config": { "properties": { "ports": { "type": "array", "description": "An optional list of ports to which this rule applies. This field is only applicable for UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].", "items": { "type": "string" } }, "ipProtocol": { "type": "string", "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp), or the IP protocol number." } }, "type": "object", "id": "FirewallPolicyRuleMatcherLayer4Config" }, "ManagedInstanceInstanceHealth": { "type": "object", "properties": { "healthCheck": { "description": "[Output Only] The URL for the health check that verifies whether the instance is healthy.", "type": "string" }, "healthState": { "enum": [ "HEALTHY", "UNHEALTHY" ], "type": "string", "enumDescriptions": [ "The instance is reachable i.e. a connection to the application health checking endpoint can be established, and conforms to the requirements defined by the health check.", "The instance is reachable, but does not conform to the requirements defined by the health check." ], "description": "[Output Only] The current instance health state. This field will not get promoted to beta/GA and might be removed from alpha APIs after 01/12/2019. Please use detailed_health_state field instead." }, "detailedHealthState": { "type": "string", "description": "[Output Only] The current detailed instance health state.", "enum": [ "DRAINING", "HEALTHY", "TIMEOUT", "UNHEALTHY", "UNKNOWN" ], "enumDescriptions": [ "The instance is being drained. The existing connections to the instance have time to complete, but the new ones are being refused.", "The instance is reachable i.e. a connection to the application health checking endpoint can be established, and conforms to the requirements defined by the health check.", "The instance is unreachable i.e. a connection to the application health checking endpoint cannot be established, or the server does not respond within the specified timeout.", "The instance is reachable, but does not conform to the requirements defined by the health check.", "The health checking system is aware of the instance but its health is not known at the moment." ] } }, "id": "ManagedInstanceInstanceHealth" }, "ZoneSetLabelsRequest": { "id": "ZoneSetLabelsRequest", "properties": { "labelFingerprint": { "description": "The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. Make a get() request to the resource to get the latest fingerprint.", "format": "byte", "type": "string" }, "labels": { "type": "object", "description": "The labels to set for this resource.", "additionalProperties": { "type": "string" } } }, "type": "object" }, "RegionInstanceGroupsListInstances": { "id": "RegionInstanceGroupsListInstances", "type": "object", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "kind": { "description": "The resource type.", "type": "string", "default": "compute#regionInstanceGroupsListInstances" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "description": "A list of InstanceWithNamedPorts resources.", "type": "array", "items": { "$ref": "InstanceWithNamedPorts" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "Instance": { "properties": { "preservedStateSizeGb": { "description": "Total amount of preserved state for SUSPENDED instances. Read-only in the api.", "type": "string", "format": "int64" }, "hostname": { "description": "Specifies the hostname of the instance. The specified hostname must be RFC1035 compliant. If hostname is not specified, the default hostname is [INSTANCE_NAME].c.[PROJECT_ID].internal when using the global DNS, and [INSTANCE_NAME].[ZONE].c.[PROJECT_ID].internal when using zonal DNS.", "type": "string" }, "shieldedInstanceIntegrityPolicy": { "$ref": "ShieldedInstanceIntegrityPolicy" }, "kind": { "type": "string", "default": "compute#instance", "description": "[Output Only] Type of the resource. Always compute#instance for instances." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "shieldedInstanceConfig": { "$ref": "ShieldedInstanceConfig" }, "statusMessage": { "type": "string", "description": "[Output Only] An optional, human-readable explanation of the status." }, "lastStopTimestamp": { "type": "string", "description": "[Output Only] Last stop timestamp in RFC3339 text format." }, "machineType": { "type": "string", "description": "Full or partial URL of the machine type resource to use for this instance, in the format: zones/zone/machineTypes/machine-type. This is provided by the client when the instance is created. For example, the following is a valid partial url to a predefined machine type: zones/us-central1-f/machineTypes/n1-standard-1 To create a custom machine type, provide a URL to a machine type in the following format, where CPUS is 1 or an even number up to 32 (2, 4, 6, ... 24, etc), and MEMORY is the total memory for this instance. Memory must be a multiple of 256 MB and must be supplied in MB (e.g. 5 GB of memory is 5120 MB): zones/zone/machineTypes/custom-CPUS-MEMORY For example: zones/us-central1-f/machineTypes/custom-4-5120 For a full list of restrictions, read the Specifications for custom machine types.", "annotations": { "required": [ "compute.instances.insert" ] } }, "guestAccelerators": { "type": "array", "description": "A list of the type and count of accelerator cards attached to the instance.", "items": { "$ref": "AcceleratorConfig" } }, "name": { "type": "string", "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.instances.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "resourcePolicies": { "description": "Resource policies applied to this instance.", "type": "array", "items": { "type": "string" } }, "keyRevocationActionType": { "enum": [ "KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "NONE", "STOP" ], "enumDescriptions": [ "Default value. This value is unused.", "Indicates user chose no operation.", "Indicates user chose to opt for VM shutdown on key revocation." ], "description": "KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified.", "type": "string" }, "status": { "type": "string", "enumDescriptions": [ "The Nanny is halted and we are performing tear down tasks like network deprogramming, releasing quota, IP, tearing down disks etc.", "Resources are being allocated for the instance.", "The instance is in repair.", "The instance is running.", "All required resources have been allocated and the instance is being started.", "The instance has stopped successfully.", "The instance is currently stopping (either being deleted or killed).", "The instance has suspended.", "The instance is suspending.", "The instance has stopped (either by explicit action or underlying failure)." ], "description": "[Output Only] The status of the instance. One of the following values: PROVISIONING, STAGING, RUNNING, STOPPING, SUSPENDING, SUSPENDED, REPAIRING, and TERMINATED. For more information about the status of the instance, see Instance life cycle.", "enum": [ "DEPROVISIONING", "PROVISIONING", "REPAIRING", "RUNNING", "STAGING", "STOPPED", "STOPPING", "SUSPENDED", "SUSPENDING", "TERMINATED" ] }, "displayDevice": { "$ref": "DisplayDevice", "description": "Enables display device for the instance." }, "postKeyRevocationActionType": { "description": "PostKeyRevocationActionType of the instance.", "type": "string", "enum": [ "NOOP", "POST_KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "SHUTDOWN" ], "enumDescriptions": [ "Indicates user chose no operation.", "Default value. This value is unused.", "Indicates user chose to opt for VM shutdown on key revocation." ] }, "upcomingMaintenance": { "description": "[Output Only] Specifies upcoming maintenance for the instance.", "$ref": "UpcomingMaintenance" }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the instance resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "sourceMachineImageEncryptionKey": { "description": "Source machine image encryption key when creating an instance from a machine image.", "$ref": "CustomerEncryptionKey" }, "labels": { "description": "Labels to apply to this instance. These can be later modified by the setLabels method.", "type": "object", "additionalProperties": { "type": "string" } }, "eraseWindowsVssSignature": { "description": "Specifies whether the disks restored from source snapshots or source machine image should erase Windows specific VSS signature.", "type": "boolean" }, "disks": { "items": { "$ref": "AttachedDisk" }, "type": "array", "description": "Array of disks associated with this instance. Persistent disks must be created before you can assign them." }, "networkInterfaces": { "type": "array", "description": "An array of network configurations for this instance. These specify how interfaces are configured to interact with other network services, such as connecting to the internet. Multiple interfaces are supported per instance.", "items": { "$ref": "NetworkInterface" } }, "deletionProtection": { "description": "Whether the resource should be protected against deletion.", "type": "boolean" }, "confidentialInstanceConfig": { "$ref": "ConfidentialInstanceConfig" }, "params": { "$ref": "InstanceParams", "description": "Input only. [Input Only] Additional params passed with the request, but not persisted as part of resource payload." }, "networkPerformanceConfig": { "$ref": "NetworkPerformanceConfig" }, "labelFingerprint": { "format": "byte", "description": "A fingerprint for this request, which is essentially a hash of the label's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. To see the latest fingerprint, make get() request to the instance.", "type": "string" }, "shieldedVmConfig": { "$ref": "ShieldedVmConfig", "description": "Deprecating, please use shielded_instance_config." }, "instanceEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Encrypts or decrypts data for an instance with a customer-supplied encryption key. If you are creating a new instance, this field encrypts the local SSD and in-memory contents of the instance using a key that you provide. If you are restarting an instance protected with a customer-supplied encryption key, you must provide the correct key in order to successfully restart the instance. If you do not provide an encryption key when creating the instance, then the local SSD and in-memory contents will be encrypted using an automatically generated key and you do not need to provide a key to start the instance later. Instance templates do not store customer-supplied encryption keys, so you cannot use your own keys to encrypt local SSDs and in-memory content in a managed instance group." }, "resourceStatus": { "description": "[Output Only] Specifies values set for instance attributes as compared to the values requested by user in the corresponding input only field.", "$ref": "ResourceStatus" }, "privateIpv6GoogleAccess": { "enumDescriptions": [ "Bidirectional private IPv6 access to/from Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Outbound private IPv6 access from VMs in this subnet to Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Each network interface inherits PrivateIpv6GoogleAccess from its subnetwork." ], "enum": [ "ENABLE_BIDIRECTIONAL_ACCESS_TO_GOOGLE", "ENABLE_OUTBOUND_VM_ACCESS_TO_GOOGLE", "INHERIT_FROM_SUBNETWORK" ], "description": "The private IPv6 google access type for the VM. If not specified, use INHERIT_FROM_SUBNETWORK as default.", "type": "string" }, "scheduling": { "description": "Sets the scheduling options for this instance.", "$ref": "Scheduling" }, "tags": { "$ref": "Tags", "description": "Tags to apply to this instance. Tags are used to identify valid sources or targets for network firewalls and are specified by the client during instance creation. The tags can be later modified by the setTags method. Each tag within the list must comply with RFC1035. Multiple tags can be specified via the 'tags.items' field." }, "startRestricted": { "description": "[Output Only] Whether a VM has been restricted for start because Compute Engine has detected suspicious activity.", "type": "boolean" }, "cpuPlatform": { "type": "string", "description": "[Output Only] The CPU platform used by this instance." }, "shieldedVmIntegrityPolicy": { "$ref": "ShieldedVmIntegrityPolicy", "description": "Deprecating, please use shielded_instance_integrity_policy." }, "reservationAffinity": { "$ref": "ReservationAffinity", "description": "Specifies the reservations that this instance can consume from." }, "fingerprint": { "type": "string", "description": "Specifies a fingerprint for this resource, which is essentially a hash of the instance's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update the instance. You must always provide an up-to-date fingerprint hash in order to update the instance. To see the latest fingerprint, make get() request to the instance.", "format": "byte" }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "lastSuspendedTimestamp": { "description": "[Output Only] Last suspended timestamp in RFC3339 text format.", "type": "string" }, "advancedMachineFeatures": { "$ref": "AdvancedMachineFeatures", "description": "Controls for advanced machine-related behavior features." }, "serviceAccounts": { "description": "A list of service accounts, with their specified scopes, authorized for this instance. Only one service account per VM instance is supported. Service accounts generate access tokens that can be accessed through the metadata server and used to authenticate applications on the instance. See Service Accounts for more information.", "type": "array", "items": { "$ref": "ServiceAccount" } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "minCpuPlatform": { "type": "string", "description": "Specifies a minimum CPU platform for the VM instance. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\"." }, "metadata": { "$ref": "Metadata", "description": "The metadata key/value pairs assigned to this instance. This includes custom metadata and predefined keys." }, "sourceMachineImage": { "type": "string", "description": "Source machine image" }, "canIpForward": { "description": "Allows this instance to send and receive packets with non-matching destination or source IPs. This is required if you plan to use this instance to forward routes. For more information, see Enabling IP Forwarding .", "type": "boolean" }, "lastStartTimestamp": { "description": "[Output Only] Last start timestamp in RFC3339 text format.", "type": "string" }, "secureTags": { "items": { "type": "string" }, "description": "[Input Only] Secure tags to apply to this instance. These can be later modified by the update method. Maximum number of secure tags allowed is 50.", "type": "array" } }, "description": "Represents an Instance resource. An instance is a virtual machine that is hosted on Google Cloud Platform. For more information, read Virtual Machine Instances.", "type": "object", "id": "Instance" }, "MetadataFilterLabelMatch": { "id": "MetadataFilterLabelMatch", "description": "MetadataFilter label name value pairs that are expected to match corresponding labels presented as metadata to the load balancer.", "type": "object", "properties": { "name": { "type": "string", "description": "Name of metadata label. The name can have a maximum length of 1024 characters and must be at least 1 character long." }, "value": { "type": "string", "description": "The value of the label must match the specified value. value can have a maximum length of 1024 characters." } } }, "ExternalVpnGatewayList": { "id": "ExternalVpnGatewayList", "description": "Response to the list request, and contains a list of externalVpnGateways.", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "default": "compute#externalVpnGatewayList", "type": "string", "description": "[Output Only] Type of resource. Always compute#externalVpnGatewayList for lists of externalVpnGateways." }, "items": { "description": "A list of ExternalVpnGateway resources.", "items": { "$ref": "ExternalVpnGateway" }, "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "etag": { "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "type": "object" }, "InstanceGroupManagerAutoHealingPolicyAutoHealingTriggers": { "id": "InstanceGroupManagerAutoHealingPolicyAutoHealingTriggers", "properties": { "onHealthCheck": { "description": "If you have configured an application-based health check for the group, this field controls whether to trigger VM autohealing based on a failed health check. Valid values are: - ON (default): The group recreates running VMs that fail the application-based health check. - OFF: When set to OFF, you can still observe instance health state, but the group does not recreate VMs that fail the application-based health check. This is useful for troubleshooting and setting up your health check configuration. ", "type": "string", "enumDescriptions": [ "When set to OFF, you can still observe instance health state, but the group does not recreate VMs that fail the application-based health check. This is useful for troubleshooting and setting up your health check configuration.", "(Default) The group recreates running VMs that fail the group's application-based health check." ], "enum": [ "OFF", "ON" ] } }, "type": "object" }, "VpnGateway": { "type": "object", "description": "Represents a HA VPN gateway. HA VPN is a high-availability (HA) Cloud VPN solution that lets you securely connect your on-premises network to your Google Cloud Virtual Private Cloud network through an IPsec VPN connection in a single region. For more information about Cloud HA VPN solutions, see Cloud VPN topologies .", "properties": { "network": { "annotations": { "required": [ "compute.vpnGateways.insert" ] }, "description": "URL of the network to which this VPN gateway is attached. Provided by the client when the VPN gateway is created.", "type": "string" }, "stackType": { "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "enumDescriptions": [ "Enable VPN gateway with both IPv4 and IPv6 protocols.", "Enable VPN gateway with only IPv4 protocol." ], "description": "The stack type for this VPN gateway to identify the IP protocols that are enabled. If not specified, IPV4_ONLY will be used.", "type": "string" }, "labelFingerprint": { "description": "A fingerprint for the labels being applied to this VpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an VpnGateway.", "format": "byte", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "annotations": { "required": [ "compute.vpnGateways.insert" ] }, "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "kind": { "default": "compute#vpnGateway", "description": "[Output Only] Type of resource. Always compute#vpnGateway for VPN gateways.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the VPN gateway resides." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "vpnInterfaces": { "items": { "$ref": "VpnGatewayVpnGatewayInterface" }, "type": "array", "description": "The list of VPN interfaces associated with this VPN gateway." } }, "id": "VpnGateway" }, "UDPHealthCheck": { "properties": { "response": { "type": "string", "description": "The bytes to match against the beginning of the response data. It is an error if this is empty. The response data can only be ASCII." }, "request": { "type": "string", "description": "Raw data of request to send in payload of UDP packet. It is an error if this is empty. The request data can only be ASCII." }, "port": { "format": "int32", "type": "integer", "description": "The UDP port number for the health check request. Valid values are 1 through 65535." }, "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence." } }, "type": "object", "id": "UDPHealthCheck" }, "FirewallPolicyRuleSecureTag": { "type": "object", "id": "FirewallPolicyRuleSecureTag", "properties": { "state": { "enum": [ "EFFECTIVE", "INEFFECTIVE" ], "type": "string", "description": "[Output Only] State of the secure tag, either `EFFECTIVE` or `INEFFECTIVE`. A secure tag is `INEFFECTIVE` when it is deleted or its network is deleted.", "enumDescriptions": [ "", "" ] }, "name": { "description": "Name of the secure tag, created with TagManager's TagValue API.", "pattern": "tagValues/[0-9]+", "type": "string" } } }, "RegionInstanceGroupManagersApplyUpdatesRequest": { "type": "object", "description": "RegionInstanceGroupManagers.applyUpdatesToInstances", "id": "RegionInstanceGroupManagersApplyUpdatesRequest", "properties": { "instances": { "type": "array", "items": { "type": "string" }, "description": "The list of URLs of one or more instances for which you want to apply updates. Each URL can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." }, "maximalAction": { "type": "string", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "description": "The maximal action that should be performed on the instances. By default REPLACE. This field is deprecated, please use most_disruptive_allowed_action." }, "minimalAction": { "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "type": "string", "description": "The minimal action that you want to perform on each instance during the update: - REPLACE: At minimum, delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the minimum action is NONE. If your update requires a more disruptive action than you set with this flag, the necessary action is performed to execute the update.", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ] }, "allInstances": { "description": "Flag to update all instances instead of specified list of “instances”. If the flag is set to true then the instances may not be specified in the request.", "type": "boolean" }, "mostDisruptiveAllowedAction": { "description": "The most disruptive action that you want to perform on each instance during the update: - REPLACE: Delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the most disruptive allowed action is REPLACE. If your update requires a more disruptive action than you set with this flag, the update request will fail.", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "type": "string" } } }, "TargetGrpcProxy": { "properties": { "selfLinkWithId": { "description": "[Output Only] Server-defined URL with id for the resource.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "urlMap": { "type": "string", "description": "URL to the UrlMap resource that defines the mapping from URL to the BackendService. The protocol field in the BackendService must be set to GRPC." }, "id": { "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "type": "string", "format": "uint64" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#targetGrpcProxy for target grpc proxies.", "default": "compute#targetGrpcProxy", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "validateForProxyless": { "description": "If true, indicates that the BackendServices referenced by the urlMap may be accessed by gRPC applications without using a sidecar proxy. This will enable configuration checks on urlMap and its referenced BackendServices to not allow unsupported features. A gRPC application must use \"xds:///\" scheme in the target URI of the service it is connecting to. If false, indicates that the BackendServices referenced by the urlMap will be accessed by gRPC applications via a sidecar proxy. In this case, a gRPC application must not use \"xds:///\" scheme in the target URI of the service it is connecting to", "type": "boolean" }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetGrpcProxy. An up-to-date fingerprint must be provided in order to patch/update the TargetGrpcProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetGrpcProxy." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "name": { "annotations": { "required": [ "compute.targetGrpcProxies.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." } }, "id": "TargetGrpcProxy", "description": "Represents a Target gRPC Proxy resource. A target gRPC proxy is a component of load balancers intended for load balancing gRPC traffic. Only global forwarding rules with load balancing scheme INTERNAL_SELF_MANAGED can reference a target gRPC proxy. The target gRPC Proxy references a URL map that specifies how traffic is routed to gRPC backend services.", "type": "object" }, "BackendServiceLocalityLoadBalancingPolicyConfig": { "type": "object", "properties": { "customPolicy": { "$ref": "BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy" }, "policy": { "$ref": "BackendServiceLocalityLoadBalancingPolicyConfigPolicy" } }, "id": "BackendServiceLocalityLoadBalancingPolicyConfig", "description": "Container for either a built-in LB policy supported by gRPC or Envoy or a custom one implemented by the end user." }, "RouterNatRule": { "properties": { "match": { "type": "string", "description": "CEL expression that specifies the match condition that egress traffic from a VM is evaluated against. If it evaluates to true, the corresponding `action` is enforced. The following examples are valid match expressions for public NAT: \"inIpRange(destination.ip, '1.1.0.0/16') || inIpRange(destination.ip, '2.2.0.0/16')\" \"destination.ip == '1.1.0.1' || destination.ip == '8.8.8.8'\" The following example is a valid match expression for private NAT: \"nexthop.hub == 'https://networkconnectivity.googleapis.com/v1alpha1/projects/my-project/global/hub/hub-1'\"" }, "description": { "type": "string", "description": "An optional description of this rule." }, "ruleNumber": { "description": "An integer uniquely identifying a rule in the list. The rule number must be a positive value between 0 and 65000, and must be unique among rules within a NAT.", "type": "integer", "format": "uint32" }, "action": { "description": "The action to be enforced for traffic that matches this rule.", "$ref": "RouterNatRuleAction" } }, "id": "RouterNatRule", "type": "object" }, "PreservedState": { "id": "PreservedState", "type": "object", "properties": { "externalIPs": { "description": "Preserved external IPs defined for this instance. This map is keyed with the name of the network interface.", "additionalProperties": { "$ref": "PreservedStatePreservedNetworkIp" }, "type": "object" }, "disks": { "description": "Preserved disks defined for this instance. This map is keyed with the device names of the disks.", "additionalProperties": { "$ref": "PreservedStatePreservedDisk" }, "type": "object" }, "internalIPs": { "type": "object", "additionalProperties": { "$ref": "PreservedStatePreservedNetworkIp" }, "description": "Preserved internal IPs defined for this instance. This map is keyed with the name of the network interface." }, "metadata": { "type": "object", "description": "Preserved metadata defined for this instance.", "additionalProperties": { "type": "string" } } }, "description": "Preserved state for a given instance." }, "BulkInsertInstanceResource": { "id": "BulkInsertInstanceResource", "properties": { "instanceProperties": { "description": "The instance properties defining the VM instances to be created. Required if sourceInstanceTemplate is not provided.", "$ref": "InstanceProperties" }, "count": { "format": "int64", "description": "The maximum number of instances to create.", "type": "string" }, "locationPolicy": { "description": "Policy for chosing target zone.", "$ref": "LocationPolicy" }, "instance": { "description": "DEPRECATED: Please use instance_properties instead.", "$ref": "Instance" }, "minCount": { "description": "The minimum number of instances to create. If no min_count is specified then count is used as the default value. If min_count instances cannot be created, then no instances will be created and instances already created will be deleted.", "type": "string", "format": "int64" }, "perInstanceProperties": { "type": "object", "additionalProperties": { "$ref": "BulkInsertInstanceResourcePerInstanceProperties" }, "description": "Per-instance properties to be set on individual instances. Keys of this map specify requested instance names. Can be empty if name_pattern is used." }, "namePattern": { "description": "The string pattern used for the names of the VMs. Either name_pattern or per_instance_properties must be set. The pattern must contain one continuous sequence of placeholder hash characters (#) with each character corresponding to one digit of the generated instance name. Example: a name_pattern of inst-#### generates instance names such as inst-0001 and inst-0002. If existing instances in the same project and zone have names that match the name pattern then the generated instance numbers start after the biggest existing number. For example, if there exists an instance with name inst-0050, then instance names generated using the pattern inst-#### begin with inst-0051. The name pattern placeholder #...# can contain up to 18 characters.", "type": "string" }, "sourceInstanceTemplate": { "description": "Specifies the instance template from which to create instances. You may combine sourceInstanceTemplate with instanceProperties to override specific values from an existing instance template. Bulk API follows the semantics of JSON Merge Patch described by RFC 7396. It can be a full or partial URL. For example, the following are all valid URLs to an instance template: - https://www.googleapis.com/compute/v1/projects/project /global/instanceTemplates/instanceTemplate - projects/project/global/instanceTemplates/instanceTemplate - global/instanceTemplates/instanceTemplate This field is optional.", "type": "string" } }, "type": "object", "description": "A transient resource used in compute.instances.bulkInsert and compute.regionInstances.bulkInsert . This resource is not persisted anywhere, it is used only for processing the requests." }, "HealthStatus": { "type": "object", "properties": { "port": { "type": "integer", "format": "int32", "description": "The named port of the instance group, not necessarily the port that is health-checked." }, "healthState": { "enum": [ "HEALTHY", "UNHEALTHY" ], "description": "Health state of the instance.", "type": "string", "enumDescriptions": [ "", "" ] }, "forwardingRuleIp": { "description": "A forwarding rule IP address assigned to this instance.", "type": "string" }, "annotations": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Metadata defined as annotations for network endpoint." }, "weightError": { "type": "string", "enumDescriptions": [ "The response to a Health Check probe had the HTTP response header field X-Load-Balancing-Endpoint-Weight, but its content was invalid (i.e., not a non-negative single-precision floating-point number in decimal string representation).", "The response to a Health Check probe did not have the HTTP response header field X-Load-Balancing-Endpoint-Weight.", "This is the value when the accompanied health status is either TIMEOUT (i.e.,the Health Check probe was not able to get a response in time) or UNKNOWN. For the latter, it should be typically because there has not been sufficient time to parse and report the weight for a new backend (which is with 0.0.0.0 ip address). However, it can be also due to an outage case for which the health status is explicitly reset to UNKNOWN.", "This is the default value when WeightReportMode is DISABLE, and is also the initial value when WeightReportMode has just updated to ENABLE or DRY_RUN and there has not been sufficient time to parse and report the backend weight." ], "enum": [ "INVALID_WEIGHT", "MISSING_WEIGHT", "UNAVAILABLE_WEIGHT", "WEIGHT_NONE" ] }, "ipAddress": { "type": "string", "description": "For target pool based Network Load Balancing, it indicates the forwarding rule's IP address assigned to this instance. For other types of load balancing, the field indicates VM internal ip." }, "weight": { "type": "string" }, "instance": { "description": "URL of the instance resource.", "type": "string" }, "forwardingRule": { "description": "URL of the forwarding rule associated with the health status of the instance.", "type": "string" } }, "id": "HealthStatus" }, "Region": { "type": "object", "description": "Represents a Region resource. A region is a geographical area where a resource is located. For more information, read Regions and Zones.", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "quotas": { "items": { "$ref": "Quota" }, "type": "array", "description": "[Output Only] Quotas assigned to this region." }, "zones": { "description": "[Output Only] A list of zones available in this region, in the form of resource URLs.", "type": "array", "items": { "type": "string" } }, "description": { "description": "[Output Only] Textual description of the resource.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "status": { "enum": [ "DOWN", "UP" ], "enumDescriptions": [ "", "" ], "description": "[Output Only] Status of the region, either UP or DOWN.", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "deprecated": { "$ref": "DeprecationStatus", "description": "[Output Only] The deprecation status associated with this region." }, "name": { "type": "string", "description": "[Output Only] Name of the resource." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#region for regions.", "default": "compute#region" }, "supportsPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" } }, "id": "Region" }, "NodeTypeList": { "id": "NodeTypeList", "description": "Contains a list of node types.", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "default": "compute#nodeTypeList", "description": "[Output Only] Type of resource.Always compute#nodeTypeList for lists of node types.", "type": "string" }, "items": { "items": { "$ref": "NodeType" }, "description": "A list of NodeType resources.", "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "type": "object" }, "BackendServiceGroupHealth": { "type": "object", "properties": { "kind": { "default": "compute#backendServiceGroupHealth", "description": "[Output Only] Type of resource. Always compute#backendServiceGroupHealth for the health of backend services.", "type": "string" }, "annotations": { "type": "object", "description": "Metadata defined as annotations on the network endpoint group.", "additionalProperties": { "type": "string" } }, "healthStatus": { "items": { "$ref": "HealthStatus" }, "description": "Health state of the backend instances or endpoints in requested instance or network endpoint group, determined based on configured health checks.", "type": "array" } }, "id": "BackendServiceGroupHealth" }, "InstanceGroupsListInstancesRequest": { "id": "InstanceGroupsListInstancesRequest", "properties": { "instanceState": { "enumDescriptions": [ "Includes all instances in the generated list regardless of their state.", "Includes instances in the generated list only if they have a RUNNING state." ], "description": "A filter for the state of the instances in the instance group. Valid options are ALL or RUNNING. If you do not specify this parameter the list includes all instances regardless of their state.", "type": "string", "enum": [ "ALL", "RUNNING" ] } }, "type": "object" }, "TargetReference": { "properties": { "target": { "type": "string" } }, "id": "TargetReference", "type": "object" }, "SerialPortOutput": { "description": "An instance serial console output.", "id": "SerialPortOutput", "type": "object", "properties": { "contents": { "type": "string", "description": "[Output Only] The contents of the console output." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "next": { "description": "[Output Only] The position of the next byte of content, regardless of whether the content exists, following the output returned in the `contents` property. Use this value in the next request as the start parameter.", "type": "string", "format": "int64" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#serialPortOutput for serial port output.", "type": "string", "default": "compute#serialPortOutput" }, "start": { "description": "The starting byte position of the output that was returned. This should match the start parameter sent with the request. If the serial console output exceeds the size of the buffer (1 MB), older output is overwritten by newer content. The output start value will indicate the byte position of the output that was returned, which might be different than the `start` value that was specified in the request.", "type": "string", "format": "int64" } } }, "SecurityPolicyRuleRedirectOptions": { "id": "SecurityPolicyRuleRedirectOptions", "properties": { "type": { "description": "Type of the redirect action.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "EXTERNAL_302", "GOOGLE_RECAPTCHA" ] }, "target": { "type": "string", "description": "Target for the redirect action. This is required if the type is EXTERNAL_302 and cannot be specified for GOOGLE_RECAPTCHA." } }, "type": "object" }, "RouterInterface": { "id": "RouterInterface", "type": "object", "properties": { "name": { "annotations": { "required": [ "compute.routers.insert" ] }, "type": "string", "description": "Name of this interface entry. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "redundantInterface": { "description": "Name of the interface that will be redundant with the current interface you are creating. The redundantInterface must belong to the same Cloud Router as the interface here. To establish the BGP session to a Router Appliance VM, you must create two BGP peers. The two BGP peers must be attached to two separate interfaces that are redundant with each other. The redundant_interface must be 1-63 characters long, and comply with RFC1035. Specifically, the redundant_interface must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "managementType": { "enumDescriptions": [ "The interface is automatically created for PARTNER type InterconnectAttachment, Google will automatically create/update/delete this interface when the PARTNER InterconnectAttachment is created/provisioned/deleted. This type of interface cannot be manually managed by user.", "Default value, the interface is manually created and managed by user." ], "type": "string", "enum": [ "MANAGED_BY_ATTACHMENT", "MANAGED_BY_USER" ], "description": "[Output Only] The resource that configures and manages this interface. - MANAGED_BY_USER is the default value and can be managed directly by users. - MANAGED_BY_ATTACHMENT is an interface that is configured and managed by Cloud Interconnect, specifically, by an InterconnectAttachment of type PARTNER. Google automatically creates, updates, and deletes this type of interface when the PARTNER InterconnectAttachment is created, updated, or deleted. " }, "linkedVpnTunnel": { "description": "URI of the linked VPN tunnel, which must be in the same region as the router. Each interface can have one linked resource, which can be a VPN tunnel, an Interconnect attachment, or a virtual machine instance.", "type": "string" }, "subnetwork": { "description": "The URI of the subnetwork resource that this interface belongs to, which must be in the same region as the Cloud Router. When you establish a BGP session to a VM instance using this interface, the VM instance must belong to the same subnetwork as the subnetwork specified here.", "type": "string" }, "ipRange": { "description": "IP address and range of the interface. The IP range must be in the RFC3927 link-local IP address space. The value must be a CIDR-formatted string, for example: 169.254.0.1/30. NOTE: Do not truncate the address as it represents the IP address of the interface.", "type": "string" }, "privateIpAddress": { "description": "The regional private internal IP address that is used to establish BGP sessions to a VM instance acting as a third-party Router Appliance, such as a Next Gen Firewall, a Virtual Router, or an SD-WAN VM.", "type": "string" }, "linkedInterconnectAttachment": { "description": "URI of the linked Interconnect attachment. It must be in the same region as the router. Each interface can have one linked resource, which can be a VPN tunnel, an Interconnect attachment, or a virtual machine instance.", "type": "string" } } }, "RegionList": { "id": "RegionList", "description": "Contains a list of region resources.", "type": "object", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#regionList for lists of regions.", "default": "compute#regionList", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" } }, "description": "[Output Only] Informational warning message." }, "items": { "items": { "$ref": "Region" }, "type": "array", "description": "A list of Region resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "BackendServiceCdnPolicyNegativeCachingPolicy": { "type": "object", "id": "BackendServiceCdnPolicyNegativeCachingPolicy", "description": "Specify CDN TTLs for response error codes.", "properties": { "ttl": { "description": "The TTL (in seconds) for which to cache responses with the corresponding status code. The maximum allowed value is 1800s (30 minutes), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "type": "integer", "format": "int32" }, "code": { "description": "The HTTP status code to define a TTL against. Only HTTP status codes 300, 301, 302, 307, 308, 404, 405, 410, 421, 451 and 501 are can be specified as values, and you cannot specify a status code more than once.", "format": "int32", "type": "integer" } } }, "FutureReservationsListResponse": { "properties": { "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object" }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "default": "compute#futureReservationsListResponse", "type": "string", "description": "[Output Only] Type of resource.Always compute#FutureReservationsListResponse for lists of reservations" }, "items": { "description": "[Output Only] A list of future reservation resources.", "items": { "$ref": "FutureReservation" }, "type": "array" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "etag": { "type": "string" } }, "type": "object", "id": "FutureReservationsListResponse" }, "AutoscalerList": { "description": "Contains a list of Autoscaler resources.", "properties": { "items": { "type": "array", "description": "A list of Autoscaler resources.", "items": { "$ref": "Autoscaler" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#autoscalerList for lists of autoscalers.", "default": "compute#autoscalerList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "id": "AutoscalerList", "type": "object" }, "BackendBucketCdnPolicy": { "properties": { "defaultTtl": { "description": "Specifies the default TTL for cached content served by this origin for responses that do not have an existing valid TTL (max-age or s-max-age). Setting a TTL of \"0\" means \"always revalidate\". The value of defaultTTL cannot be set to a value greater than that of maxTTL, but can be equal. When the cacheMode is set to FORCE_CACHE_ALL, the defaultTTL will overwrite the TTL set in all responses. The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "type": "integer", "format": "int32" }, "requestCoalescing": { "type": "boolean", "description": "If true then Cloud CDN will combine multiple concurrent cache fill requests into a small number of requests to the origin." }, "bypassCacheOnRequestHeaders": { "type": "array", "items": { "$ref": "BackendBucketCdnPolicyBypassCacheOnRequestHeader" }, "description": "Bypass the cache when the specified request headers are matched - e.g. Pragma or Authorization headers. Up to 5 headers can be specified. The cache is bypassed for all cdnPolicy.cacheMode settings." }, "cacheMode": { "type": "string", "description": "Specifies the cache setting for all responses from this backend. The possible values are: USE_ORIGIN_HEADERS Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server. FORCE_CACHE_ALL Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content. CACHE_ALL_STATIC Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "enum": [ "CACHE_ALL_STATIC", "FORCE_CACHE_ALL", "INVALID_CACHE_MODE", "USE_ORIGIN_HEADERS" ], "enumDescriptions": [ "Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content.", "", "Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server." ] }, "negativeCachingPolicy": { "type": "array", "items": { "$ref": "BackendBucketCdnPolicyNegativeCachingPolicy" }, "description": "Sets a cache TTL for the specified HTTP status code. negative_caching must be enabled to configure negative_caching_policy. Omitting the policy and leaving negative_caching enabled will use Cloud CDN's default cache TTLs. Note that when specifying an explicit negative_caching_policy, you should take care to specify a cache TTL for all response codes that you wish to cache. Cloud CDN will not apply any default negative caching when a policy exists." }, "clientTtl": { "type": "integer", "format": "int32", "description": "Specifies a separate client (e.g. browser client) maximum TTL. This is used to clamp the max-age (or Expires) value sent to the client. With FORCE_CACHE_ALL, the lesser of client_ttl and default_ttl is used for the response max-age directive, along with a \"public\" directive. For cacheable content in CACHE_ALL_STATIC mode, client_ttl clamps the max-age from the origin (if specified), or else sets the response max-age directive to the lesser of the client_ttl and default_ttl, and also ensures a \"public\" cache-control directive is present. If a client TTL is not specified, a default value (1 hour) will be used. The maximum allowed value is 31,622,400s (1 year)." }, "serveWhileStale": { "format": "int32", "type": "integer", "description": "Serve existing content from the cache (if available) when revalidating content with the origin, or when an error is encountered when refreshing the cache. This setting defines the default \"max-stale\" duration for any cached responses that do not specify a max-stale directive. Stale responses that exceed the TTL configured here will not be served. The default limit (max-stale) is 86400s (1 day), which will allow stale content to be served up to this limit beyond the max-age (or s-max-age) of a cached response. The maximum allowed value is 604800 (1 week). Set this to zero (0) to disable serve-while-stale." }, "signedUrlCacheMaxAgeSec": { "format": "int64", "description": "Maximum number of seconds the response to a signed URL request will be considered fresh. After this time period, the response will be revalidated before being served. Defaults to 1hr (3600s). When serving responses to signed URL requests, Cloud CDN will internally behave as though all responses from this backend had a \"Cache-Control: public, max-age=[TTL]\" header, regardless of any existing Cache-Control header. The actual headers served in responses will not be altered.", "type": "string" }, "cacheKeyPolicy": { "description": "The CacheKeyPolicy for this CdnPolicy.", "$ref": "BackendBucketCdnPolicyCacheKeyPolicy" }, "signedUrlKeyNames": { "type": "array", "description": "[Output Only] Names of the keys for signing request URLs.", "items": { "type": "string" } }, "negativeCaching": { "description": "Negative caching allows per-status code TTLs to be set, in order to apply fine-grained caching for common errors or redirects. This can reduce the load on your origin and improve end-user experience by reducing response latency. When the cache mode is set to CACHE_ALL_STATIC or USE_ORIGIN_HEADERS, negative caching applies to responses with the specified response code that lack any Cache-Control, Expires, or Pragma: no-cache directives. When the cache mode is set to FORCE_CACHE_ALL, negative caching applies to all responses with the specified response code, and override any caching headers. By default, Cloud CDN will apply the following default TTLs to these status codes: HTTP 300 (Multiple Choice), 301, 308 (Permanent Redirects): 10m HTTP 404 (Not Found), 410 (Gone), 451 (Unavailable For Legal Reasons): 120s HTTP 405 (Method Not Found), 421 (Misdirected Request), 501 (Not Implemented): 60s. These defaults can be overridden in negative_caching_policy.", "type": "boolean" }, "maxTtl": { "description": "Specifies the maximum allowed TTL for cached content served by this origin. Cache directives that attempt to set a max-age or s-maxage higher than this, or an Expires header more than maxTTL seconds in the future will be capped at the value of maxTTL, as if it were the value of an s-maxage Cache-Control directive. Headers sent to the client will not be modified. Setting a TTL of \"0\" means \"always revalidate\". The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "format": "int32", "type": "integer" } }, "description": "Message containing Cloud CDN configuration for a backend bucket.", "id": "BackendBucketCdnPolicy", "type": "object" }, "RoutersPreviewResponse": { "properties": { "resource": { "$ref": "Router", "description": "Preview of given router." } }, "type": "object", "id": "RoutersPreviewResponse" }, "BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy": { "properties": { "name": { "type": "string", "description": "Identifies the custom policy. The value should match the type the custom implementation is registered with on the gRPC clients. It should follow protocol buffer message naming conventions and include the full path (e.g. myorg.CustomLbPolicy). The maximum length is 256 characters. Note that specifying the same custom policy more than once for a backend is not a valid configuration and will be rejected." }, "data": { "description": "An optional, arbitrary JSON object with configuration data, understood by a locally installed custom policy implementation.", "type": "string" } }, "description": "The configuration for a custom policy implemented by the user and deployed with the client.", "id": "BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy", "type": "object" }, "HealthCheckService": { "type": "object", "description": "Represents a Health-Check as a Service resource.", "id": "HealthCheckService", "properties": { "notificationEndpoints": { "type": "array", "description": "A list of URLs to the NotificationEndpoint resources. Must not have more than 10. A list of endpoints for receiving notifications of change in health status. For regional HealthCheckService, NotificationEndpoint must be regional and in the same region. For global HealthCheckService, NotificationEndpoint must be global.", "items": { "type": "string" } }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthCheckService. An up-to-date fingerprint must be provided in order to patch/update the HealthCheckService; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthCheckService." }, "networkEndpointGroups": { "description": "A list of URLs to the NetworkEndpointGroup resources. Must not have more than 100. For regional HealthCheckService, NEGs must be in zones in the region of the HealthCheckService.", "type": "array", "items": { "type": "string" } }, "healthChecks": { "items": { "type": "string" }, "description": "A list of URLs to the HealthCheck resources. Must have at least one HealthCheck, and not more than 10. HealthCheck resources must have portSpecification=USE_SERVING_PORT or portSpecification=USE_FIXED_PORT. For regional HealthCheckService, the HealthCheck must be regional and in the same region. For global HealthCheckService, HealthCheck must be global. Mix of regional and global HealthChecks is not supported. Multiple regional HealthChecks must belong to the same region. Regional HealthChecks must belong to the same region as zones of NEGs.", "type": "array" }, "healthStatusAggregationStrategy": { "enum": [ "AND", "NO_AGGREGATION" ], "enumDescriptions": [ "This is deprecated. Use health_status_aggregation_policy instead. If any backend's health check reports UNHEALTHY, then UNHEALTHY is the HealthState of the entire health check service. If all backend's are healthy, the HealthState of the health check service is HEALTHY.", "This is deprecated. Use health_status_aggregation_policy instead. An EndpointHealth message is returned for each backend in the health check service." ], "description": "This field is deprecated. Use health_status_aggregation_policy instead. Policy for how the results from multiple health checks for the same endpoint are aggregated. - NO_AGGREGATION. An EndpointHealth message is returned for each backend in the health check service. - AND. If any backend's health check reports UNHEALTHY, then UNHEALTHY is the HealthState of the entire health check service. If all backend's are healthy, the HealthState of the health check service is HEALTHY. .", "type": "string" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL with id for the resource.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "kind": { "default": "compute#healthCheckService", "description": "[Output only] Type of the resource. Always compute#healthCheckServicefor health check services.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the health check service resides. This field is not applicable to global health check services. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "healthStatusAggregationPolicy": { "enumDescriptions": [ "If any backend's health check reports UNHEALTHY, then UNHEALTHY is the HealthState of the entire health check service. If all backend's are healthy, the HealthState of the health check service is HEALTHY.", "An EndpointHealth message is returned for each backend in the health check service." ], "type": "string", "enum": [ "AND", "NO_AGGREGATION" ], "description": "Optional. Policy for how the results from multiple health checks for the same endpoint are aggregated. Defaults to NO_AGGREGATION if unspecified. - NO_AGGREGATION. An EndpointHealth message is returned for each pair in the health check service. - AND. If any health check of an endpoint reports UNHEALTHY, then UNHEALTHY is the HealthState of the endpoint. If all health checks report HEALTHY, the HealthState of the endpoint is HEALTHY. ." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" } } }, "BackendServiceLocalityLoadBalancingPolicyConfigPolicy": { "id": "BackendServiceLocalityLoadBalancingPolicyConfigPolicy", "type": "object", "properties": { "name": { "description": "The name of a locality load balancer policy to be used. The value should be one of the predefined ones as supported by localityLbPolicy, although at the moment only ROUND_ROBIN is supported. This field should only be populated when the customPolicy field is not used. Note that specifying the same policy more than once for a backend is not a valid configuration and will be rejected.", "type": "string", "enum": [ "INVALID_LB_POLICY", "LEAST_REQUEST", "MAGLEV", "ORIGINAL_DESTINATION", "RANDOM", "RING_HASH", "ROUND_ROBIN", "WEIGHTED_MAGLEV" ], "enumDescriptions": [ "", "An O(1) algorithm which selects two random healthy hosts and picks the host which has fewer active requests.", "This algorithm implements consistent hashing to backends. Maglev can be used as a drop in replacement for the ring hash load balancer. Maglev is not as stable as ring hash but has faster table lookup build times and host selection times. For more information about Maglev, see https://ai.google/research/pubs/pub44824", "Backend host is selected based on the client connection metadata, i.e., connections are opened to the same address as the destination address of the incoming connection before the connection was redirected to the load balancer.", "The load balancer selects a random healthy host.", "The ring/modulo hash load balancer implements consistent hashing to backends. The algorithm has the property that the addition/removal of a host from a set of N hosts only affects 1/N of the requests.", "This is a simple policy in which each healthy backend is selected in round robin order. This is the default.", "Per-instance weighted Load Balancing via health check reported weights. If set, the Backend Service must configure a non legacy HTTP-based Health Check, and health check replies are expected to contain non-standard HTTP response header field X-Load-Balancing-Endpoint-Weight to specify the per-instance weights. If set, Load Balancing is weighted based on the per-instance weights reported in the last processed health check replies, as long as every instance either reported a valid weight or had UNAVAILABLE_WEIGHT. Otherwise, Load Balancing remains equal-weight. This option is only supported in Network Load Balancing." ] } }, "description": "The configuration for a built-in load balancing policy." }, "AutoscalingPolicyScaleInControl": { "type": "object", "id": "AutoscalingPolicyScaleInControl", "properties": { "timeWindowSec": { "type": "integer", "format": "int32", "description": "How far back autoscaling looks when computing recommendations to include directives regarding slower scale in, as described above." }, "maxScaledInReplicas": { "$ref": "FixedOrPercent", "description": "Maximum allowed number (or %) of VMs that can be deducted from the peak recommendation during the window autoscaler looks at when computing recommendations. Possibly all these VMs can be deleted at once so user service needs to be prepared to lose that many VMs in one step." } }, "description": "Configuration that allows for slower scale in so that even if Autoscaler recommends an abrupt scale in of a MIG, it will be throttled as specified by the parameters below." }, "SdsConfig": { "properties": { "grpcServiceConfig": { "$ref": "GrpcServiceConfig", "description": "The configuration to access the SDS server over GRPC." } }, "type": "object", "description": "[Deprecated] The configuration to access the SDS server. The configuration to access the SDS server.", "id": "SdsConfig" }, "AutoscalingPolicyScalingSchedule": { "type": "object", "description": "Scaling based on user-defined schedule. The message describes a single scaling schedule. A scaling schedule changes the minimum number of VM instances an autoscaler can recommend, which can trigger scaling out.", "properties": { "durationSec": { "format": "int32", "description": "The duration of time intervals, in seconds, for which this scaling schedule is to run. The minimum allowed value is 300. This field is required.", "type": "integer" }, "description": { "type": "string", "description": "A description of a scaling schedule." }, "disabled": { "description": "A boolean value that specifies whether a scaling schedule can influence autoscaler recommendations. If set to true, then a scaling schedule has no effect. This field is optional, and its value is false by default.", "type": "boolean" }, "timeZone": { "type": "string", "description": "The time zone to use when interpreting the schedule. The value of this field must be a time zone name from the tz database: http://en.wikipedia.org/wiki/Tz_database. This field is assigned a default value of “UTC” if left empty." }, "minRequiredReplicas": { "type": "integer", "format": "int32", "description": "The minimum number of VM instances that the autoscaler will recommend in time intervals starting according to schedule. This field is required." }, "schedule": { "description": "The start timestamps of time intervals when this scaling schedule is to provide a scaling signal. This field uses the extended cron format (with an optional year field). The expression can describe a single timestamp if the optional year is set, in which case the scaling schedule runs once. The schedule is interpreted with respect to time_zone. This field is required. Note: These timestamps only describe when autoscaler starts providing the scaling signal. The VMs need additional time to become serving.", "type": "string" } }, "id": "AutoscalingPolicyScalingSchedule" }, "ShieldedInstanceConfig": { "description": "A set of Shielded Instance options.", "type": "object", "id": "ShieldedInstanceConfig", "properties": { "enableVtpm": { "description": "Defines whether the instance has the vTPM enabled. Enabled by default.", "type": "boolean" }, "enableSecureBoot": { "type": "boolean", "description": "Defines whether the instance has Secure Boot enabled. Disabled by default." }, "enableIntegrityMonitoring": { "description": "Defines whether the instance has integrity monitoring enabled. Enabled by default.", "type": "boolean" } } }, "TargetHttpProxiesScopedList": { "type": "object", "properties": { "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "Informational warning which replaces the list of backend services when the list is empty." }, "targetHttpProxies": { "type": "array", "description": "A list of TargetHttpProxies contained in this scope.", "items": { "$ref": "TargetHttpProxy" } } }, "id": "TargetHttpProxiesScopedList" }, "ProjectsGetXpnResources": { "type": "object", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#projectsGetXpnResources for lists of service resources (a.k.a service projects)", "type": "string", "default": "compute#projectsGetXpnResources" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "resources": { "type": "array", "description": "Service resources (a.k.a service projects) attached to this project as their shared VPC host.", "items": { "$ref": "XpnResourceId" } } }, "id": "ProjectsGetXpnResources" }, "VpnTunnelAggregatedList": { "id": "VpnTunnelAggregatedList", "type": "object", "properties": { "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." }, "items": { "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of VPN tunnels.", "$ref": "VpnTunnelsScopedList" }, "description": "A list of VpnTunnelsScopedList resources." }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.", "default": "compute#vpnTunnelAggregatedList" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } } }, "SecurityPolicyRuleMatcherConfig": { "properties": { "destIpRanges": { "description": "CIDR IP address range. This field may only be specified when versioned_expr is set to FIREWALL.", "type": "array", "items": { "type": "string" } }, "destPorts": { "type": "array", "items": { "$ref": "SecurityPolicyRuleMatcherConfigDestinationPort" }, "description": "Pairs of IP protocols and ports that the rule should match. This field may only be specified when versioned_expr is set to FIREWALL." }, "layer4Configs": { "type": "array", "description": "Pairs of IP protocols and ports that the rule should match. This field may only be specified when versioned_expr is set to FIREWALL.", "items": { "$ref": "SecurityPolicyRuleMatcherConfigLayer4Config" } }, "srcIpRanges": { "type": "array", "description": "CIDR IP address range. Maximum number of src_ip_ranges allowed is 10.", "items": { "type": "string" } } }, "id": "SecurityPolicyRuleMatcherConfig", "type": "object" }, "InstanceGroupManagerVersion": { "id": "InstanceGroupManagerVersion", "properties": { "targetSize": { "description": "Specifies the intended number of instances to be created from the instanceTemplate. The final number of instances created from the template will be equal to: - If expressed as a fixed number, the minimum of either targetSize.fixed or instanceGroupManager.targetSize is used. - if expressed as a percent, the targetSize would be (targetSize.percent/100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh InstanceGroupManager.targetSize) If there is a remainder, the number is rounded. If unset, this version will update any remaining instances not updated by another version. Read Starting a canary update for more information.", "$ref": "FixedOrPercent" }, "name": { "type": "string", "description": "Name of the version. Unique among all versions in the scope of this managed instance group." }, "tag": { "description": "Tag describing the version. Used to trigger rollout of a target version even if instance_template remains unchanged. Deprecated in favor of 'name'.", "type": "string" }, "instanceTemplate": { "description": "The URL of the instance template that is specified for this managed instance group. The group uses this template to create new instances in the managed instance group until the `targetSize` for this version is reached. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE; in those cases, existing instances are updated until the `targetSize` for this version is reached.", "type": "string" } }, "type": "object" }, "TargetTcpProxiesSetProxyHeaderRequest": { "id": "TargetTcpProxiesSetProxyHeaderRequest", "type": "object", "properties": { "proxyHeader": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "NONE", "PROXY_V1" ], "description": "The new type of proxy header to append before sending data to the backend. NONE or PROXY_V1 are allowed." } } }, "XpnHostList": { "id": "XpnHostList", "type": "object", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "items": { "type": "array", "description": "[Output Only] A list of shared VPC host project URLs.", "items": { "$ref": "Project" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "default": "compute#xpnHostList", "type": "string", "description": "[Output Only] Type of resource. Always compute#xpnHostList for lists of shared VPC hosts." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } } }, "NodeType": { "id": "NodeType", "type": "object", "properties": { "localSsdGb": { "format": "int32", "description": "[Output Only] Local SSD available to the node type, defined in GB.", "type": "integer" }, "guestCpus": { "type": "integer", "format": "int32", "description": "[Output Only] The number of virtual CPUs that are available to the node type." }, "deprecated": { "description": "[Output Only] The deprecation status associated with this node type.", "$ref": "DeprecationStatus" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "kind": { "default": "compute#nodeType", "type": "string", "description": "[Output Only] The type of the resource. Always compute#nodeType for node types." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "memoryMb": { "format": "int32", "description": "[Output Only] The amount of physical memory available to the node type, defined in MB.", "type": "integer" }, "cpuPlatform": { "description": "[Output Only] The CPU platform used by this node type.", "type": "string" }, "description": { "description": "[Output Only] An optional textual description of the resource.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "[Output Only] Name of the resource.", "type": "string" }, "zone": { "description": "[Output Only] The name of the zone where the node type resides, such as us-central1-a.", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." } }, "description": "Represent a sole-tenant Node Type resource. Each node within a node group must have a node type. A node type specifies the total amount of cores and memory for that node. Currently, the only available node type is n1-node-96-624 node type that has 96 vCPUs and 624 GB of memory, available in multiple zones. For more information read Node types." }, "Help": { "description": "Provides links to documentation or for performing an out of band action. For example, if a quota check failed with an error indicating the calling project hasn't enabled the accessed service, this can contain a URL pointing directly to the right place in the developer console to flip the bit.", "id": "Help", "type": "object", "properties": { "links": { "description": "URL(s) pointing to additional information on handling the current error.", "type": "array", "items": { "$ref": "HelpLink" } } } }, "TestPermissionsResponse": { "id": "TestPermissionsResponse", "type": "object", "properties": { "permissions": { "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" } } } }, "OperationsScopedList": { "id": "OperationsScopedList", "properties": { "warning": { "description": "[Output Only] Informational warning which replaces the list of operations when the list is empty.", "properties": { "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "[Output Only] A list of operations contained in this scope." } }, "type": "object" }, "HealthCheckServicesList": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "items": { "$ref": "HealthCheckService" }, "description": "A list of HealthCheckService resources.", "type": "array" }, "warning": { "type": "object", "properties": { "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message." }, "kind": { "default": "compute#healthCheckServicesList", "type": "string", "description": "[Output Only] Type of the resource. Always compute#healthCheckServicesList for lists of HealthCheckServices." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "id": "HealthCheckServicesList", "type": "object" }, "ManagedInstanceLastAttempt": { "properties": { "errors": { "description": "[Output Only] Encountered errors during the last attempt to create or delete the instance.", "properties": { "errors": { "description": "[Output Only] The array of errors encountered while processing this operation.", "type": "array", "items": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] An optional, human-readable error message." }, "code": { "description": "[Output Only] The error type identifier for this error.", "type": "string" }, "location": { "description": "[Output Only] Indicates the field in the request that caused the error. This property is optional.", "type": "string" }, "errorDetails": { "description": "[Output Only] An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED.", "type": "array", "items": { "properties": { "errorInfo": { "$ref": "ErrorInfo" }, "help": { "$ref": "Help" }, "quotaInfo": { "$ref": "QuotaExceededInfo" }, "localizedMessage": { "$ref": "LocalizedMessage" } }, "type": "object" } } } } } }, "type": "object" } }, "id": "ManagedInstanceLastAttempt", "type": "object" }, "RegionInstanceGroupManagerUpdateInstanceConfigReq": { "properties": { "perInstanceConfigs": { "description": "The list of per-instance configurations to insert or patch on this managed instance group.", "items": { "$ref": "PerInstanceConfig" }, "type": "array" } }, "description": "RegionInstanceGroupManagers.updatePerInstanceConfigs", "type": "object", "id": "RegionInstanceGroupManagerUpdateInstanceConfigReq" }, "Int64RangeMatch": { "properties": { "rangeStart": { "type": "string", "description": "The start of the range (inclusive) in signed long integer format.", "format": "int64" }, "rangeEnd": { "format": "int64", "type": "string", "description": "The end of the range (exclusive) in signed long integer format." } }, "type": "object", "id": "Int64RangeMatch", "description": "HttpRouteRuleMatch criteria for field values that must stay within the specified integer range." }, "InstanceGroupManagerInstanceLifecyclePolicy": { "properties": { "forceUpdateOnRepair": { "enum": [ "NO", "YES" ], "description": "A bit indicating whether to forcefully apply the group's latest configuration when repairing a VM. Valid options are: - NO (default): If configuration updates are available, they are not forcefully applied during repair. However, if you've set up a proactive type of update policy, then configuration updates are applied as usual. - YES: If configuration updates are available, they are applied during repair. ", "enumDescriptions": [ "", "" ], "type": "string" }, "metadataBasedReadinessSignal": { "$ref": "InstanceGroupManagerInstanceLifecyclePolicyMetadataBasedReadinessSignal", "description": "The configuration for metadata based readiness signal sent by the instance during initialization when stopping / suspending an instance. The Instance Group Manager will wait for a signal that indicates successful initialization before stopping / suspending an instance. If a successful readiness signal is not sent before timeout, the corresponding instance will not be stopped / suspended. Instead, an error will be visible in the lastAttempt.errors field of the managed instance in the listmanagedinstances method. If metadataBasedReadinessSignal.timeoutSec is unset, the Instance Group Manager will directly proceed to suspend / stop instances, skipping initialization on them." } }, "type": "object", "id": "InstanceGroupManagerInstanceLifecyclePolicy" }, "Permission": { "description": "[Deprecated] All fields defined in a permission are ANDed.", "properties": { "constraints": { "type": "array", "description": "Extra custom constraints. The constraints are ANDed together.", "items": { "$ref": "PermissionConstraint" } }, "notHosts": { "description": "Negate of hosts. Specifies exclusions.", "type": "array", "items": { "type": "string" } }, "paths": { "type": "array", "description": "HTTP request paths or gRPC methods. Exact match, prefix match, and suffix match are supported.", "items": { "type": "string" } }, "hosts": { "description": "Used in Ingress or Egress Gateway cases to specify hosts that the policy applies to. Exact match, prefix match, and suffix match are supported.", "type": "array", "items": { "type": "string" } }, "ports": { "type": "array", "description": "Port names or numbers.", "items": { "type": "string" } }, "notPaths": { "items": { "type": "string" }, "description": "Negate of paths. Specifies exclusions.", "type": "array" }, "notMethods": { "items": { "type": "string" }, "type": "array", "description": "Negate of methods. Specifies exclusions." }, "methods": { "type": "array", "description": "HTTP method.", "items": { "type": "string" } }, "notPorts": { "description": "Negate of ports. Specifies exclusions.", "type": "array", "items": { "type": "string" } } }, "id": "Permission", "type": "object" }, "AuditLogConfig": { "type": "object", "id": "AuditLogConfig", "properties": { "ignoreChildExemptions": { "type": "boolean", "description": "This is deprecated and has no effect. Do not use." }, "exemptedMembers": { "items": { "type": "string" }, "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." }, "logType": { "type": "string", "description": "The log type that this config enables.", "enum": [ "ADMIN_READ", "DATA_READ", "DATA_WRITE", "LOG_TYPE_UNSPECIFIED" ], "enumDescriptions": [ "Admin reads. Example: CloudIAM getIamPolicy", "Data reads. Example: CloudSQL Users list", "Data writes. Example: CloudSQL Users create", "Default case. Should never be this." ] } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging." }, "VpnTunnel": { "id": "VpnTunnel", "description": "Represents a Cloud VPN Tunnel resource. For more information about VPN, read the the Cloud VPN Overview.", "properties": { "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "peerExternalGateway": { "description": "URL of the peer side external VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created. This field is exclusive with the field peerGcpGateway.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.", "type": "string", "default": "compute#vpnTunnel" }, "peerIp": { "type": "string", "description": "IP address of the peer VPN gateway. Only IPv4 is supported." }, "vpnGateway": { "description": "URL of the VPN gateway with which this VPN tunnel is associated. Provided by the client when the VPN tunnel is created. This must be used (instead of target_vpn_gateway) if a High Availability VPN gateway resource is created.", "type": "string" }, "region": { "description": "[Output Only] URL of the region where the VPN tunnel resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "localTrafficSelector": { "type": "array", "description": "Local traffic selector to use when establishing the VPN tunnel with the peer VPN gateway. The value should be a CIDR formatted string, for example: 192.168.0.0/16. The ranges must be disjoint. Only IPv4 is supported.", "items": { "type": "string" } }, "labelFingerprint": { "description": "A fingerprint for the labels being applied to this VpnTunnel, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a VpnTunnel.", "format": "byte", "type": "string" }, "peerGcpGateway": { "description": "URL of the peer side HA GCP VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created. This field can be used when creating highly available VPN from VPC network to VPC network, the field is exclusive with the field peerExternalGateway. If provided, the VPN tunnel will automatically use the same vpnGatewayInterface ID in the peer GCP VPN gateway.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "detailedStatus": { "description": "[Output Only] Detailed status message for the VPN tunnel.", "type": "string" }, "vpnGatewayInterface": { "format": "int32", "type": "integer", "description": "The interface ID of the VPN gateway with which this VPN tunnel is associated." }, "ikeVersion": { "type": "integer", "format": "int32", "description": "IKE protocol version to use when establishing the VPN tunnel with the peer VPN gateway. Acceptable IKE versions are 1 or 2. The default version is 2." }, "status": { "enumDescriptions": [ "Cloud VPN is in the process of allocating all required resources (specifically, a borg task).", "Auth error (e.g. bad shared secret).", "Resources is being deallocated for the VPN tunnel.", "Secure session is successfully established with peer VPN.", "Tunnel creation has failed and the tunnel is not ready to be used.", "Successful first handshake with peer VPN.", "Handshake failed.", "Deprecated, replaced by NO_INCOMING_PACKETS", "No incoming packets from peer", "Resource is being allocated for the VPN tunnel.", "Tunnel configuration was rejected, can be result of being denylisted.", "Tunnel is stopped due to its Forwarding Rules being deleted.", "Waiting to receive all VPN-related configs from user. Network, TargetVpnGateway, VpnTunnel, ForwardingRule and Route resources are needed to setup VPN tunnel." ], "type": "string", "enum": [ "ALLOCATING_RESOURCES", "AUTHORIZATION_ERROR", "DEPROVISIONING", "ESTABLISHED", "FAILED", "FIRST_HANDSHAKE", "NEGOTIATION_FAILURE", "NETWORK_ERROR", "NO_INCOMING_PACKETS", "PROVISIONING", "REJECTED", "STOPPED", "WAITING_FOR_FULL_CONFIG" ], "description": "[Output Only] The status of the VPN tunnel, which can be one of the following: - PROVISIONING: Resource is being allocated for the VPN tunnel. - WAITING_FOR_FULL_CONFIG: Waiting to receive all VPN-related configs from the user. Network, TargetVpnGateway, VpnTunnel, ForwardingRule, and Route resources are needed to setup the VPN tunnel. - FIRST_HANDSHAKE: Successful first handshake with the peer VPN. - ESTABLISHED: Secure session is successfully established with the peer VPN. - NETWORK_ERROR: Deprecated, replaced by NO_INCOMING_PACKETS - AUTHORIZATION_ERROR: Auth error (for example, bad shared secret). - NEGOTIATION_FAILURE: Handshake failed. - DEPROVISIONING: Resources are being deallocated for the VPN tunnel. - FAILED: Tunnel creation has failed and the tunnel is not ready to be used. - NO_INCOMING_PACKETS: No incoming packets from peer. - REJECTED: Tunnel configuration was rejected, can be result of being denied access. - ALLOCATING_RESOURCES: Cloud VPN is in the process of allocating all required resources. - STOPPED: Tunnel is stopped due to its Forwarding Rules being deleted for Classic VPN tunnels or the project is in frozen state. - PEER_IDENTITY_MISMATCH: Peer identity does not match peer IP, probably behind NAT. - TS_NARROWING_NOT_ALLOWED: Traffic selector narrowing not allowed for an HA-VPN tunnel. " }, "router": { "description": "URL of the router resource to be used for dynamic routing.", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "remoteTrafficSelector": { "description": "Remote traffic selectors to use when establishing the VPN tunnel with the peer VPN gateway. The value should be a CIDR formatted string, for example: 192.168.0.0/16. The ranges should be disjoint. Only IPv4 is supported.", "type": "array", "items": { "type": "string" } }, "peerExternalGatewayInterface": { "format": "int32", "type": "integer", "description": "The interface ID of the external VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created." }, "sharedSecretHash": { "type": "string", "description": "Hash of the shared secret." }, "targetVpnGateway": { "description": "URL of the Target VPN gateway with which this VPN tunnel is associated. Provided by the client when the VPN tunnel is created.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "annotations": { "required": [ "compute.vpnTunnels.insert" ] }, "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "sharedSecret": { "type": "string", "description": "Shared secret used to set the secure session between the Cloud VPN gateway and the peer VPN gateway." } }, "type": "object" }, "FirewallPolicyList": { "type": "object", "id": "FirewallPolicyList", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object" }, "kind": { "default": "compute#firewallPolicyList", "description": "[Output Only] Type of resource. Always compute#firewallPolicyList for listsof FirewallPolicies", "type": "string" }, "items": { "type": "array", "description": "A list of FirewallPolicy resources.", "items": { "$ref": "FirewallPolicy" } } } }, "TargetPoolList": { "id": "TargetPoolList", "description": "Contains a list of TargetPool resources.", "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetPoolList for lists of target pools.", "default": "compute#targetPoolList", "type": "string" }, "items": { "type": "array", "items": { "$ref": "TargetPool" }, "description": "A list of TargetPool resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" } } }, "NetworkList": { "properties": { "items": { "type": "array", "description": "A list of Network resources.", "items": { "$ref": "Network" } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "default": "compute#networkList", "description": "[Output Only] Type of resource. Always compute#networkList for lists of networks." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "description": "[Output Only] Informational warning message." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "description": "Contains a list of networks.", "type": "object", "id": "NetworkList" }, "SslCertificatesScopedList": { "properties": { "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "Informational warning which replaces the list of backend services when the list is empty." }, "sslCertificates": { "items": { "$ref": "SslCertificate" }, "description": "List of SslCertificates contained in this scope.", "type": "array" } }, "type": "object", "id": "SslCertificatesScopedList" }, "InstanceManagedByIgmError": { "properties": { "error": { "$ref": "InstanceManagedByIgmErrorManagedInstanceError", "description": "[Output Only] Contents of the error." }, "instanceActionDetails": { "$ref": "InstanceManagedByIgmErrorInstanceActionDetails", "description": "[Output Only] Details of the instance action that triggered this error. May be null, if the error was not caused by an action on an instance. This field is optional." }, "timestamp": { "description": "[Output Only] The time that this error occurred. This value is in RFC3339 text format.", "type": "string" } }, "id": "InstanceManagedByIgmError", "type": "object" }, "DiskAsyncReplication": { "properties": { "disk": { "type": "string", "description": "The other disk asynchronously replicated to or from the current disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk " }, "diskId": { "type": "string", "description": "[Output Only] The unique ID of the other disk asynchronously replicated to or from the current disk. This value identifies the exact disk that was used to create this replication. For example, if you started replicating the persistent disk from a disk that was later deleted and recreated under the same name, the disk ID would identify the exact version of the disk that was used." } }, "id": "DiskAsyncReplication", "type": "object" }, "NetworkEdgeSecurityServiceAggregatedList": { "id": "NetworkEdgeSecurityServiceAggregatedList", "type": "object", "properties": { "warning": { "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "description": "[Output Only] Informational warning message." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "type": "string", "default": "compute#networkEdgeSecurityServiceAggregatedList", "description": "[Output Only] Type of resource. Always compute#networkEdgeSecurityServiceAggregatedList for lists of Network Edge Security Services." }, "items": { "description": "A list of NetworkEdgeSecurityServicesScopedList resources.", "additionalProperties": { "$ref": "NetworkEdgeSecurityServicesScopedList", "description": "Name of the scope containing this set of security policies." }, "type": "object" }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "etag": { "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "GlobalAddressesMoveRequest": { "type": "object", "id": "GlobalAddressesMoveRequest", "properties": { "destinationAddress": { "type": "string", "description": "The URL of the destination address to move to. This can be a full or partial URL. For example, the following are all valid URLs to a address: - https://www.googleapis.com/compute/v1/projects/project /global/addresses/address - projects/project/global/addresses/address Note that destination project must be different from the source project. So /global/addresses/address is not valid partial url." }, "description": { "type": "string", "description": "An optional destination address description if intended to be different from the source." } } }, "SslPoliciesScopedList": { "id": "SslPoliciesScopedList", "properties": { "sslPolicies": { "items": { "$ref": "SslPolicy" }, "description": "A list of SslPolicies contained in this scope.", "type": "array" }, "warning": { "type": "object", "properties": { "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "description": "Informational warning which replaces the list of SSL policies when the list is empty." } }, "type": "object" }, "Snapshot": { "properties": { "sourceSnapshotSchedulePolicy": { "description": "[Output Only] URL of the resource policy which created this scheduled snapshot.", "type": "string" }, "sourceInstantSnapshot": { "description": "The source instant snapshot used to create this snapshot. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instantSnapshots/instantSnapshot - projects/project/zones/zone/instantSnapshots/instantSnapshot - zones/zone/instantSnapshots/instantSnapshot ", "type": "string" }, "userLicenses": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] A list of user provided licenses represented by a list of URLs to the license resource." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource's resource id.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "downloadBytes": { "format": "int64", "type": "string", "description": "[Output Only] Number of bytes downloaded to restore a snapshot to a disk." }, "labels": { "type": "object", "description": "Labels to apply to this snapshot. These can be later modified by the setLabels method. Label values may be empty.", "additionalProperties": { "type": "string" } }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "chainName": { "description": "Creates the new snapshot in the snapshot chain labeled with the specified name. The chain name must be 1-63 characters long and comply with RFC1035. This is an uncommon option only for advanced service owners who needs to create separate snapshot chains, for example, for chargeback tracking. When you describe your snapshot resource, this field is visible only if it has a non-empty value.", "type": "string" }, "autoCreated": { "description": "[Output Only] Set to true if snapshots are automatically created by applying resource policy on the target disk.", "type": "boolean" }, "storageBytes": { "description": "[Output Only] A size of the storage used by the snapshot. As snapshots share storage, this number is expected to change with snapshot creation/deletion.", "format": "int64", "type": "string" }, "architecture": { "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "type": "string", "description": "[Output Only] The architecture of the snapshot. Valid values are ARM64 or X86_64." }, "storageLocations": { "items": { "type": "string" }, "description": "Cloud Storage bucket storage location of the snapshot (regional or multi-regional).", "type": "array" }, "sourceDiskId": { "type": "string", "description": "[Output Only] The ID value of the disk used to create this snapshot. This value may be used to determine whether the snapshot was taken from the current or a previous instance of a given disk name." }, "sourceDiskEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key." }, "snapshotType": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "ARCHIVE", "STANDARD" ], "description": "Indicates the type of the snapshot." }, "snapshotEncryptionKey": { "description": "Encrypts the snapshot using a customer-supplied encryption key. After you encrypt a snapshot using a customer-supplied key, you must provide the same key if you use the snapshot later. For example, you must provide the encryption key when you create a disk from the encrypted snapshot in a future request. Customer-supplied encryption keys do not protect access to metadata of the snapshot. If you do not provide an encryption key when creating the snapshot, then the snapshot will be encrypted using an automatically generated key and you do not need to provide a key to use the snapshot later.", "$ref": "CustomerEncryptionKey" }, "creationSizeBytes": { "description": "[Output Only] Size in bytes of the snapshot at creation time.", "type": "string", "format": "int64" }, "sourceDisk": { "type": "string", "description": "The source disk used to create this snapshot." }, "kind": { "type": "string", "default": "compute#snapshot", "description": "[Output Only] Type of the resource. Always compute#snapshot for Snapshot resources." }, "sourceInstantSnapshotId": { "description": "[Output Only] The unique ID of the instant snapshot used to create this snapshot. This value identifies the exact instant snapshot that was used to create this persistent disk. For example, if you created the persistent disk from an instant snapshot that was later deleted and recreated under the same name, the source instant snapshot ID would identify the exact instant snapshot that was used.", "type": "string" }, "licenses": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] A list of public visible licenses that apply to this snapshot. This can be because the original image had licenses attached (such as a Windows image)." }, "guestFlush": { "type": "boolean", "description": "[Input Only] Whether to attempt an application consistent snapshot by informing the OS to prepare for the snapshot process." }, "diskSizeGb": { "type": "string", "format": "int64", "description": "[Output Only] Size of the source disk, specified in GB." }, "labelFingerprint": { "description": "A fingerprint for the labels being applied to this snapshot, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a snapshot.", "format": "byte", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "annotations": { "required": [ "compute.snapshots.insert" ] } }, "storageBytesStatus": { "type": "string", "enum": [ "UPDATING", "UP_TO_DATE" ], "description": "[Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.", "enumDescriptions": [ "", "" ] }, "guestOsFeatures": { "type": "array", "items": { "$ref": "GuestOsFeature" }, "description": "[Output Only] A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options." }, "locationHint": { "type": "string", "description": "An opaque location hint used to place the snapshot close to other resources. This field is for use by internal tools that use the public API." }, "sourceSnapshotSchedulePolicyId": { "type": "string", "description": "[Output Only] ID of the resource policy which created this scheduled snapshot." }, "licenseCodes": { "items": { "format": "int64", "type": "string" }, "description": "[Output Only] Integer license codes indicating which licenses are attached to this snapshot.", "type": "array" }, "status": { "type": "string", "description": "[Output Only] The status of the snapshot. This can be CREATING, DELETING, FAILED, READY, or UPLOADING.", "enum": [ "CREATING", "DELETING", "FAILED", "READY", "UPLOADING" ], "enumDescriptions": [ "Snapshot creation is in progress.", "Snapshot is currently being deleted.", "Snapshot creation failed.", "Snapshot has been created successfully.", "Snapshot is being uploaded." ] } }, "id": "Snapshot", "description": "Represents a Persistent Disk Snapshot resource. You can use snapshots to back up data on a regular interval. For more information, read Creating persistent disk snapshots.", "type": "object" }, "ReservationAffinity": { "description": "Specifies the reservations that this instance can consume from.", "properties": { "key": { "type": "string", "description": "Corresponds to the label key of a reservation resource. To target a SPECIFIC_RESERVATION by name, specify googleapis.com/reservation-name as the key and specify the name of your reservation as its value." }, "consumeReservationType": { "enum": [ "ANY_RESERVATION", "NO_RESERVATION", "SPECIFIC_RESERVATION", "SPECIFIC_THEN_ANY_RESERVATION", "UNSPECIFIED" ], "description": "Specifies the type of reservation from which this instance can consume resources: ANY_RESERVATION (default), SPECIFIC_RESERVATION, or NO_RESERVATION. See Consuming reserved instances for examples.", "enumDescriptions": [ "Consume any allocation available.", "Do not consume from any allocated capacity.", "Must consume from a specific reservation. Must specify key value fields for specifying the reservations.", "Prefer to consume from a specific reservation, but still consume any reservation available if the specified reservation is not available or exhausted. Must specify key value fields for specifying the reservations.", "" ], "type": "string" }, "values": { "type": "array", "description": "Corresponds to the label values of a reservation resource. This can be either a name to a reservation in the same project or \"projects/different-project/reservations/some-reservation-name\" to target a shared reservation in the same zone but in a different project.", "items": { "type": "string" } } }, "id": "ReservationAffinity", "type": "object" }, "ExternalVpnGateway": { "properties": { "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "labelFingerprint": { "format": "byte", "description": "A fingerprint for the labels being applied to this ExternalVpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an ExternalVpnGateway.", "type": "string" }, "redundancyType": { "enumDescriptions": [ "The external VPN gateway has four public IP addresses; at the time of writing this API, the AWS virtual private gateway is an example which has four public IP addresses for high availability connections; there should be two VPN connections in the AWS virtual private gateway , each AWS VPN connection has two public IP addresses; please make sure to put two public IP addresses from one AWS VPN connection into interfaces 0 and 1 of this external VPN gateway, and put the other two public IP addresses from another AWS VPN connection into interfaces 2 and 3 of this external VPN gateway. When displaying highly available configuration status for the VPN tunnels connected to FOUR_IPS_REDUNDANCY external VPN gateway, Google will always detect whether interfaces 0 and 1 are connected on one interface of HA Cloud VPN gateway, and detect whether interfaces 2 and 3 are connected to another interface of the HA Cloud VPN gateway.", "The external VPN gateway has only one public IP address which internally provide redundancy or failover.", "The external VPN gateway has two public IP addresses which are redundant with each other, the following two types of setup on your on-premises side would have this type of redundancy: (1) Two separate on-premises gateways, each with one public IP address, the two on-premises gateways are redundant with each other. (2) A single on-premise gateway with two public IP addresses that are redundant with eatch other." ], "enum": [ "FOUR_IPS_REDUNDANCY", "SINGLE_IP_INTERNALLY_REDUNDANT", "TWO_IPS_REDUNDANCY" ], "type": "string", "description": "Indicates the user-supplied redundancy type of this external VPN gateway." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "interfaces": { "description": "A list of interfaces for this external VPN gateway. If your peer-side gateway is an on-premises gateway and non-AWS cloud providers' gateway, at most two interfaces can be provided for an external VPN gateway. If your peer side is an AWS virtual private gateway, four interfaces should be provided for an external VPN gateway.", "items": { "$ref": "ExternalVpnGatewayInterface" }, "type": "array" }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.externalVpnGateways.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "labels": { "additionalProperties": { "type": "string" }, "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "type": "object" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#externalVpnGateway for externalVpnGateways.", "default": "compute#externalVpnGateway" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" } }, "description": "Represents an external VPN gateway. External VPN gateway is the on-premises VPN gateway(s) or another cloud provider's VPN gateway that connects to your Google Cloud VPN gateway. To create a highly available VPN from Google Cloud Platform to your VPN gateway or another cloud provider's VPN gateway, you must create a external VPN gateway resource with information about the other gateway. For more information about using external VPN gateways, see Creating an HA VPN gateway and tunnel pair to a peer VPN.", "id": "ExternalVpnGateway", "type": "object" }, "RegionInstanceGroupsSetNamedPortsRequest": { "properties": { "fingerprint": { "format": "byte", "type": "string", "description": "The fingerprint of the named ports information for this instance group. Use this optional property to prevent conflicts when multiple users change the named ports settings concurrently. Obtain the fingerprint with the instanceGroups.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request." }, "namedPorts": { "description": "The list of named ports to set for this instance group.", "items": { "$ref": "NamedPort" }, "type": "array" } }, "type": "object", "id": "RegionInstanceGroupsSetNamedPortsRequest" }, "NetworkEndpointGroupsScopedList": { "id": "NetworkEndpointGroupsScopedList", "type": "object", "properties": { "warning": { "properties": { "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] An informational warning that replaces the list of network endpoint groups when the list is empty.", "type": "object" }, "networkEndpointGroups": { "items": { "$ref": "NetworkEndpointGroup" }, "description": "[Output Only] The list of network endpoint groups that are contained in this scope.", "type": "array" } } }, "HttpRouteAction": { "type": "object", "properties": { "requestMirrorPolicy": { "description": "Specifies the policy on how requests intended for the route's backends are shadowed to a separate mirrored backend service. The load balancer does not wait for responses from the shadow service. Before sending traffic to the shadow service, the host / authority header is suffixed with -shadow. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.", "$ref": "RequestMirrorPolicy" }, "faultInjectionPolicy": { "$ref": "HttpFaultInjection", "description": "The specification for fault injection introduced into traffic to test the resiliency of clients to backend service failure. As part of fault injection, when clients send requests to a backend service, delays can be introduced by a load balancer on a percentage of requests before sending those requests to the backend service. Similarly requests from clients can be aborted by the load balancer for a percentage of requests. timeout and retry_policy is ignored by clients that are configured with a fault_injection_policy if: 1. The traffic is generated by fault injection AND 2. The fault injection is not a delay fault injection. Fault injection is not supported with the global external HTTP(S) load balancer (classic). To see which load balancers support fault injection, see Load balancing: Routing and traffic management features." }, "timeout": { "$ref": "Duration", "description": "Specifies the timeout for the selected route. Timeout is computed from the time the request has been fully processed (known as *end-of-stream*) up until the response has been processed. Timeout includes all retries. If not specified, this field uses the largest timeout among all backend services associated with the route. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "corsPolicy": { "description": "The specification for allowing client-side cross-origin requests. For more information about the W3C recommendation for cross-origin resource sharing (CORS), see Fetch API Living Standard. Not supported when the URL map is bound to a target gRPC proxy.", "$ref": "CorsPolicy" }, "weightedBackendServices": { "items": { "$ref": "WeightedBackendService" }, "type": "array", "description": "A list of weighted backend services to send traffic to when a route match occurs. The weights determine the fraction of traffic that flows to their corresponding backend service. If all traffic needs to go to a single backend service, there must be one weightedBackendService with weight set to a non-zero number. After a backend service is identified and before forwarding the request to the backend service, advanced routing actions such as URL rewrites and header transformations are applied depending on additional settings specified in this HttpRouteAction." }, "maxStreamDuration": { "$ref": "Duration", "description": "Specifies the maximum duration (timeout) for streams on the selected route. Unlike the timeout field where the timeout duration starts from the time the request has been fully processed (known as *end-of-stream*), the duration in this field is computed from the beginning of the stream until the response has been processed, including all retries. A stream that does not complete in this duration is closed. If not specified, this field uses the maximum maxStreamDuration value among all backend services associated with the route. This field is only allowed if the Url map is used with backend services with loadBalancingScheme set to INTERNAL_SELF_MANAGED." }, "retryPolicy": { "$ref": "HttpRetryPolicy", "description": "Specifies the retry policy associated with this route." }, "urlRewrite": { "description": "The spec to modify the URL of the request, before forwarding the request to the matched service. urlRewrite is the only action supported in UrlMaps for external HTTP(S) load balancers. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.", "$ref": "UrlRewrite" } }, "id": "HttpRouteAction" }, "TargetSslProxiesSetBackendServiceRequest": { "id": "TargetSslProxiesSetBackendServiceRequest", "properties": { "service": { "type": "string", "description": "The URL of the new BackendService resource for the targetSslProxy." } }, "type": "object" }, "InstancesRemoveResourcePoliciesRequest": { "type": "object", "id": "InstancesRemoveResourcePoliciesRequest", "properties": { "resourcePolicies": { "type": "array", "items": { "type": "string" }, "description": "Resource policies to be removed from this instance." } } }, "NotificationEndpointGrpcSettings": { "properties": { "authority": { "type": "string", "description": "Optional. If specified, this field is used to set the authority header by the sender of notifications. See https://tools.ietf.org/html/rfc7540#section-8.1.2.3" }, "retryDurationSec": { "type": "integer", "format": "uint32", "description": "How much time (in seconds) is spent attempting notification retries until a successful response is received. Default is 30s. Limit is 20m (1200s). Must be a positive number." }, "payloadName": { "type": "string", "description": "Optional. If specified, this field is used to populate the \"name\" field in gRPC requests." }, "resendInterval": { "$ref": "Duration", "description": "Optional. This field is used to configure how often to send a full update of all non-healthy backends. If unspecified, full updates are not sent. If specified, must be in the range between 600 seconds to 3600 seconds. Nanos are disallowed." }, "endpoint": { "description": "Endpoint to which gRPC notifications are sent. This must be a valid gRPCLB DNS name.", "type": "string" } }, "type": "object", "description": "Represents a gRPC setting that describes one gRPC notification endpoint and the retry duration attempting to send notification to this endpoint.", "id": "NotificationEndpointGrpcSettings" }, "PathRule": { "description": "A path-matching rule for a URL. If matched, will use the specified BackendService to handle the traffic arriving at this URL.", "properties": { "service": { "description": "The full or partial URL of the backend service resource to which traffic is directed if this rule is matched. If routeAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if service is specified, routeAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of urlRedirect, service or routeAction.weightedBackendService must be set.", "type": "string" }, "paths": { "items": { "type": "string" }, "description": "The list of path patterns to match. Each must start with / and the only place a LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh is allowed is at the end following a /. The string fed to the path matcher does not include any text after the first ? or #, and those chars are not allowed here.", "type": "array" }, "routeAction": { "description": "In response to a matching path, the load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If routeAction specifies any weightedBackendServices, service must not be set. Conversely if service is set, routeAction cannot contain any weightedBackendServices. Only one of routeAction or urlRedirect must be set. URL maps for external HTTP(S) load balancers support only the urlRewrite action within a path rule's routeAction.", "$ref": "HttpRouteAction" }, "urlRedirect": { "$ref": "HttpRedirectAction", "description": "When a path pattern is matched, the request is redirected to a URL specified by urlRedirect. If urlRedirect is specified, service or routeAction must not be set. Not supported when the URL map is bound to a target gRPC proxy." } }, "type": "object", "id": "PathRule" }, "RegionAddressesMoveRequest": { "properties": { "destinationAddress": { "type": "string", "description": "The URL of the destination address to move to. This can be a full or partial URL. For example, the following are all valid URLs to a address: - https://www.googleapis.com/compute/v1/projects/project/regions/region /addresses/address - projects/project/regions/region/addresses/address Note that destination project must be different from the source project. So /regions/region/addresses/address is not valid partial url." }, "description": { "type": "string", "description": "An optional destination address description if intended to be different from the source." } }, "type": "object", "id": "RegionAddressesMoveRequest" }, "Interconnect": { "properties": { "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "annotations": { "required": [ "compute.interconnects.insert" ] } }, "kind": { "default": "compute#interconnect", "description": "[Output Only] Type of the resource. Always compute#interconnect for interconnects.", "type": "string" }, "macsecEnabled": { "type": "boolean", "description": "Enable or disable MACsec on this Interconnect. MACsec enablement will fail if the macsec object is not specified." }, "requestedLinkCount": { "description": "Target number of physical links in the link bundle, as requested by the customer.", "format": "int32", "type": "integer" }, "operationalStatus": { "enumDescriptions": [ "The interconnect is valid, turned up, and ready to use. Attachments may be provisioned on this interconnect.", "The interconnect has not completed turnup. No attachments may be provisioned on this interconnect." ], "enum": [ "OS_ACTIVE", "OS_UNPROVISIONED" ], "type": "string", "description": "[Output Only] The current status of this Interconnect's functionality, which can take one of the following values: - OS_ACTIVE: A valid Interconnect, which is turned up and is ready to use. Attachments may be provisioned on this Interconnect. - OS_UNPROVISIONED: An Interconnect that has not completed turnup. No attachments may be provisioned on this Interconnect. - OS_UNDER_MAINTENANCE: An Interconnect that is undergoing internal maintenance. No attachments may be provisioned or updated on this Interconnect. " }, "location": { "type": "string", "description": "URL of the InterconnectLocation object that represents where this connection is to be provisioned." }, "expectedOutages": { "items": { "$ref": "InterconnectOutageNotification" }, "description": "[Output Only] A list of outages expected for this Interconnect.", "type": "array" }, "linkType": { "description": "Type of link requested, which can take one of the following values: - LINK_TYPE_ETHERNET_10G_LR: A 10G Ethernet with LR optics - LINK_TYPE_ETHERNET_100G_LR: A 100G Ethernet with LR optics. Note that this field indicates the speed of each of the links in the bundle, not the speed of the entire bundle.", "enumDescriptions": [ "100G Ethernet, LR Optics.", "10G Ethernet, LR Optics. [(rate_bps) = 10000000000];" ], "type": "string", "enum": [ "LINK_TYPE_ETHERNET_100G_LR", "LINK_TYPE_ETHERNET_10G_LR" ] }, "remoteLocation": { "type": "string", "description": "Indicates that this is a Cross-Cloud Interconnect. This field specifies the location outside of Google's network that the interconnect is connected to." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Set to true if the resource satisfies the zone separation organization policy constraints and false otherwise. Defaults to false if the field is not present." }, "circuitInfos": { "items": { "$ref": "InterconnectCircuitInfo" }, "description": "[Output Only] A list of CircuitInfo objects, that describe the individual circuits in this LAG.", "type": "array" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "state": { "enumDescriptions": [ "The interconnect is valid, turned up, and ready to use. Attachments may be provisioned on this interconnect.", "The interconnect has not completed turnup. No attachments may be provisioned on this interconnect." ], "type": "string", "description": "[Output Only] The current state of Interconnect functionality, which can take one of the following values: - ACTIVE: The Interconnect is valid, turned up and ready to use. Attachments may be provisioned on this Interconnect. - UNPROVISIONED: The Interconnect has not completed turnup. No attachments may be provisioned on this Interconnect. - UNDER_MAINTENANCE: The Interconnect is undergoing internal maintenance. No attachments may be provisioned or updated on this Interconnect. ", "enum": [ "ACTIVE", "UNPROVISIONED" ] }, "nocContactEmail": { "description": "Email address to contact the customer NOC for operations and maintenance notifications regarding this Interconnect. If specified, this will be used for notifications in addition to all other forms described, such as Stackdriver logs alerting and Cloud Notifications.", "type": "string" }, "adminEnabled": { "description": "Administrative status of the interconnect. When this is set to true, the Interconnect is functional and can carry traffic. When set to false, no packets can be carried over the interconnect and no BGP routes are exchanged over it. By default, the status is set to true.", "type": "boolean" }, "googleReferenceId": { "description": "[Output Only] Google reference ID to be used when raising support tickets with Google or otherwise to debug backend connectivity issues.", "type": "string" }, "customerName": { "description": "Customer name, to put in the Letter of Authorization as the party authorized to request a crossconnect.", "type": "string" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "labelFingerprint": { "description": "A fingerprint for the labels being applied to this Interconnect, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an Interconnect.", "type": "string", "format": "byte" }, "provisionedLinkCount": { "type": "integer", "format": "int32", "description": "[Output Only] Number of links actually provisioned in this interconnect." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty." }, "peerIpAddress": { "type": "string", "description": "[Output Only] IP address configured on the customer side of the Interconnect link. The customer should configure this IP address during turnup when prompted by Google NOC. This can be used only for ping tests." }, "interconnectAttachments": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] A list of the URLs of all InterconnectAttachments configured to use this Interconnect." }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "googleIpAddress": { "description": "[Output Only] IP address configured on the Google side of the Interconnect link. This can be used only for ping tests.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "macsec": { "description": "Configuration to enable Media Access Control security (MACsec) on the Interconnect between Google and your on-premises router.", "$ref": "InterconnectMacsec" }, "interconnectType": { "enumDescriptions": [ "A dedicated physical interconnection with the customer.", "[Deprecated] A private, physical interconnection with the customer.", "A partner-managed interconnection shared between customers via partner." ], "enum": [ "DEDICATED", "IT_PRIVATE", "PARTNER" ], "type": "string", "description": "Type of interconnect, which can take one of the following values: - PARTNER: A partner-managed interconnection shared between customers though a partner. - DEDICATED: A dedicated physical interconnection with the customer. Note that a value IT_PRIVATE has been deprecated in favor of DEDICATED." } }, "type": "object", "description": "Represents an Interconnect resource. An Interconnect resource is a dedicated connection between the GCP network and your on-premises network. For more information, read the Dedicated Interconnect Overview.", "id": "Interconnect" }, "SecurityPolicyRuleRateLimitOptions": { "id": "SecurityPolicyRuleRateLimitOptions", "type": "object", "properties": { "exceedActionRpcStatus": { "$ref": "SecurityPolicyRuleRateLimitOptionsRpcStatus", "description": "Specified gRPC response status for proxyless gRPC requests that are above the configured rate limit threshold" }, "enforceOnKeyName": { "type": "string", "description": "Rate limit key name applicable only for the following key types: HTTP_HEADER -- Name of the HTTP header whose value is taken as the key value. HTTP_COOKIE -- Name of the HTTP cookie whose value is taken as the key value." }, "conformAction": { "type": "string", "description": "Action to take for requests that are under the configured rate limit threshold. Valid option is \"allow\" only." }, "exceedAction": { "description": "Action to take for requests that are above the configured rate limit threshold, to either deny with a specified HTTP response code, or redirect to a different endpoint. Valid options are \"deny(status)\", where valid values for status are 403, 404, 429, and 502, and \"redirect\" where the redirect parameters come from exceedRedirectOptions below.", "type": "string" }, "banThreshold": { "$ref": "SecurityPolicyRuleRateLimitOptionsThreshold", "description": "Can only be specified if the action for the rule is \"rate_based_ban\". If specified, the key will be banned for the configured 'ban_duration_sec' when the number of requests that exceed the 'rate_limit_threshold' also exceed this 'ban_threshold'." }, "enforceOnKey": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "ALL", "ALL_IPS", "HTTP_COOKIE", "HTTP_HEADER", "IP", "XFF_IP" ], "description": "Determines the key to enforce the rate_limit_threshold on. Possible values are: - ALL: A single rate limit threshold is applied to all the requests matching this rule. This is the default value if this field 'enforce_on_key' is not configured. - IP: The source IP address of the request is the key. Each IP has this limit enforced separately. - HTTP_HEADER: The value of the HTTP header whose name is configured under \"enforce_on_key_name\". The key value is truncated to the first 128 bytes of the header value. If no such header is present in the request, the key type defaults to ALL. - XFF_IP: The first IP address (i.e. the originating client IP address) specified in the list of IPs under X-Forwarded-For HTTP header. If no such header is present or the value is not a valid IP, the key defaults to the source IP address of the request i.e. key type IP. - HTTP_COOKIE: The value of the HTTP cookie whose name is configured under \"enforce_on_key_name\". The key value is truncated to the first 128 bytes of the cookie value. If no such cookie is present in the request, the key type defaults to ALL. " }, "banDurationSec": { "type": "integer", "format": "int32", "description": "Can only be specified if the action for the rule is \"rate_based_ban\". If specified, determines the time (in seconds) the traffic will continue to be banned by the rate limit after the rate falls below the threshold." }, "exceedRedirectOptions": { "description": "Parameters defining the redirect action that is used as the exceed action. Cannot be specified if the exceed action is not redirect.", "$ref": "SecurityPolicyRuleRedirectOptions" }, "rateLimitThreshold": { "description": "Threshold at which to begin ratelimiting.", "$ref": "SecurityPolicyRuleRateLimitOptionsThreshold" } } }, "ServerBinding": { "type": "object", "id": "ServerBinding", "properties": { "type": { "enum": [ "RESTART_NODE_ON_ANY_SERVER", "RESTART_NODE_ON_MINIMAL_SERVERS", "SERVER_BINDING_TYPE_UNSPECIFIED" ], "enumDescriptions": [ "Node may associate with any physical server over its lifetime.", "Node may associate with minimal physical servers over its lifetime.", "" ], "type": "string" } } }, "VpnGatewayVpnGatewayInterface": { "description": "A VPN gateway interface.", "type": "object", "id": "VpnGatewayVpnGatewayInterface", "properties": { "interconnectAttachment": { "description": "URL of the VLAN attachment (interconnectAttachment) resource for this VPN gateway interface. When the value of this field is present, the VPN gateway is used for IPsec-encrypted Cloud Interconnect; all egress or ingress traffic for this VPN gateway interface goes through the specified VLAN attachment resource. Not currently available publicly. ", "type": "string" }, "id": { "description": "[Output Only] Numeric identifier for this VPN interface associated with the VPN gateway.", "type": "integer", "format": "uint32" }, "ipAddress": { "description": "[Output Only] IP address for this VPN interface associated with the VPN gateway. The IP address could be either a regional external IP address or a regional internal IP address. The two IP addresses for a VPN gateway must be all regional external or regional internal IP addresses. There cannot be a mix of regional external IP addresses and regional internal IP addresses. For IPsec-encrypted Cloud Interconnect, the IP addresses for both interfaces could either be regional internal IP addresses or regional external IP addresses. For regular (non IPsec-encrypted Cloud Interconnect) HA VPN tunnels, the IP address must be a regional external IP address.", "type": "string" } } }, "NetworksGetEffectiveFirewallsResponseOrganizationFirewallPolicy": { "id": "NetworksGetEffectiveFirewallsResponseOrganizationFirewallPolicy", "description": "A pruned SecurityPolicy containing ID and any applicable firewall rules.", "properties": { "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the security policy. This identifier is defined by the server." }, "rules": { "type": "array", "items": { "$ref": "SecurityPolicyRule" }, "description": "The rules that apply to the network." } }, "type": "object" }, "NetworkInterface": { "type": "object", "properties": { "accessConfigs": { "items": { "$ref": "AccessConfig" }, "type": "array", "description": "An array of configurations for this interface. Currently, only one access config, ONE_TO_ONE_NAT, is supported. If there are no accessConfigs specified, then this instance will have no external internet access." }, "networkIP": { "description": "An IPv4 internal IP address to assign to the instance for this network interface. If not specified by the user, an unused internal IP is assigned by the system.", "type": "string" }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint hash of contents stored in this network interface. This field will be ignored when inserting an Instance or adding a NetworkInterface. An up-to-date fingerprint must be provided in order to update the NetworkInterface. The request will fail with error 400 Bad Request if the fingerprint is not provided, or 412 Precondition Failed if the fingerprint is out of date." }, "queueCount": { "type": "integer", "description": "The networking queue count that's specified by users for the network interface. Both Rx and Tx queues will be set to this number. It'll be empty if not specified by the users.", "format": "int32" }, "stackType": { "type": "string", "enumDescriptions": [ "The network interface can have both IPv4 and IPv6 addresses.", "The network interface will be assigned IPv4 address." ], "description": "The stack type for this network interface to identify whether the IPv6 feature is enabled or not. If not specified, IPV4_ONLY will be used. This field can be both set at instance creation and update network interface operations.", "enum": [ "IPV4_IPV6", "IPV4_ONLY" ] }, "ipv6Address": { "type": "string", "description": "An IPv6 internal network address for this network interface." }, "nicType": { "enumDescriptions": [ "GVNIC", "No type specified.", "VIRTIO" ], "type": "string", "description": "The type of vNIC to be used on this interface. This may be gVNIC or VirtioNet.", "enum": [ "GVNIC", "UNSPECIFIED_NIC_TYPE", "VIRTIO_NET" ] }, "name": { "description": "[Output Only] The name of the network interface, which is generated by the server. For a VM, the network interface uses the nicN naming format. Where N is a value between 0 and 7. The default interface value is nic0.", "type": "string" }, "kind": { "default": "compute#networkInterface", "description": "[Output Only] Type of the resource. Always compute#networkInterface for network interfaces.", "type": "string" }, "subnetwork": { "description": "The URL of the Subnetwork resource for this instance. If the network resource is in legacy mode, do not specify this field. If the network is in auto subnet mode, specifying the subnetwork is optional. If the network is in custom subnet mode, specifying the subnetwork is required. If you specify this field, you can specify the subnetwork as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/regions/region /subnetworks/subnetwork - regions/region/subnetworks/subnetwork ", "type": "string" }, "ipv6AccessConfigs": { "type": "array", "description": "An array of IPv6 access configurations for this interface. Currently, only one IPv6 access config, DIRECT_IPV6, is supported. If there is no ipv6AccessConfig specified, then this instance will have no external IPv6 Internet access.", "items": { "$ref": "AccessConfig" } }, "aliasIpRanges": { "items": { "$ref": "AliasIpRange" }, "description": "An array of alias IP ranges for this network interface. You can only specify this field for network interfaces in VPC networks.", "type": "array" }, "internalIpv6PrefixLength": { "format": "int32", "description": "The prefix length of the primary internal IPv6 range.", "type": "integer" }, "ipv6AccessType": { "description": "[Output Only] One of EXTERNAL, INTERNAL to indicate whether the IP can be accessed from the Internet. This field is always inherited from its subnetwork. Valid only if stackType is IPV4_IPV6.", "type": "string", "enumDescriptions": [ "This network interface can have external IPv6.", "This network interface can have internal IPv6." ], "enum": [ "EXTERNAL", "INTERNAL" ] }, "network": { "type": "string", "description": "URL of the VPC network resource for this instance. When creating an instance, if neither the network nor the subnetwork is specified, the default network global/networks/default is used. If the selected project doesn't have the default network, you must specify a network or subnet. If the network is not specified but the subnetwork is specified, the network is inferred. If you specify this property, you can specify the network as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/global/networks/ network - projects/project/global/networks/network - global/networks/default " }, "subinterfaces": { "items": { "$ref": "NetworkInterfaceSubInterface" }, "description": "SubInterfaces help enable L2 communication for the instance over subnetworks that support L2. Every network interface will get a default untagged (vlan not specified) subinterface. Users can specify additional tagged subinterfaces which are sub-fields to the Network Interface.", "type": "array" } }, "description": "A network interface resource attached to an instance.", "id": "NetworkInterface" }, "RegionInstanceGroupManagersListInstanceConfigsResp": { "type": "object", "properties": { "items": { "items": { "$ref": "PerInstanceConfig" }, "description": "[Output Only] The list of PerInstanceConfig.", "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object", "description": "[Output Only] Informational warning message." } }, "id": "RegionInstanceGroupManagersListInstanceConfigsResp" }, "ProjectsSetDefaultServiceAccountRequest": { "properties": { "email": { "description": "Email address of the service account.", "type": "string" } }, "type": "object", "id": "ProjectsSetDefaultServiceAccountRequest" }, "RouterBgp": { "type": "object", "properties": { "advertisedGroups": { "items": { "type": "string", "enumDescriptions": [ "Advertise peer subnets of the router's VPC.", "Advertise all available subnets (including peer VPC subnets).", "Advertise the router's own VPC subnets." ], "enum": [ "ALL_PEER_VPC_SUBNETS", "ALL_SUBNETS", "ALL_VPC_SUBNETS" ] }, "description": "User-specified list of prefix groups to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and is advertised to all peers of the router. These groups will be advertised in addition to any specified prefixes. Leave this field blank to advertise no custom groups.", "type": "array" }, "advertisedIpRanges": { "type": "array", "items": { "$ref": "RouterAdvertisedIpRange" }, "description": "User-specified list of individual IP ranges to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and is advertised to all peers of the router. These IP ranges will be advertised in addition to any specified groups. Leave this field blank to advertise no custom IP ranges." }, "keepaliveInterval": { "format": "uint32", "description": "The interval in seconds between BGP keepalive messages that are sent to the peer. Hold time is three times the interval at which keepalive messages are sent, and the hold time is the maximum number of seconds allowed to elapse between successive keepalive messages that BGP receives from a peer. BGP will use the smaller of either the local hold time value or the peer's hold time value as the hold time for the BGP connection between the two peers. If set, this value must be between 20 and 60. The default is 20.", "type": "integer" }, "asn": { "description": "Local BGP Autonomous System Number (ASN). Must be an RFC6996 private ASN, either 16-bit or 32-bit. The value will be fixed for this router resource. All VPN tunnels that link to this router will have the same local ASN.", "type": "integer", "format": "uint32" }, "advertiseMode": { "description": "User-specified flag to indicate which mode to use for advertisement. The options are DEFAULT or CUSTOM.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "CUSTOM", "DEFAULT" ] } }, "id": "RouterBgp" }, "Image": { "properties": { "architecture": { "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "description": "The architecture of the image. Valid values are ARM64 or X86_64.", "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "type": "string" }, "satisfiesPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" }, "shieldedInstanceInitialState": { "description": "Set the secure boot keys of shielded instance.", "$ref": "InitialStateConfig" }, "sourceImage": { "description": "URL of the source image used to create this image. The following are valid formats for the URL: - https://www.googleapis.com/compute/v1/projects/project_id/global/ images/image_name - projects/project_id/global/images/image_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL ", "type": "string" }, "family": { "description": "The name of the image family to which this image belongs. You can create disks by specifying an image family instead of a specific image name. The image family always returns its latest image that is not deprecated. The name of the image family must comply with RFC1035.", "type": "string" }, "sourceDiskEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.images.insert" ] }, "type": "string" }, "sourceDisk": { "type": "string", "description": "URL of the source disk used to create this image. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL " }, "sourceType": { "default": "RAW", "type": "string", "enum": [ "RAW" ], "description": "The type of the image used to create this disk. The default and only valid value is RAW.", "enumDescriptions": [ "" ] }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "guestOsFeatures": { "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. To see a list of available options, see the guestOSfeatures[].type parameter.", "items": { "$ref": "GuestOsFeature" }, "type": "array" }, "rolloutOverride": { "description": "A rollout policy to apply to this image. When specified, the rollout policy overrides per-zone references to the image via the associated image family. The rollout policy restricts the zones where this image is accessible when using a zonal image family reference. When the rollout policy does not include the user specified zone, or if the zone is rolled out, this image is accessible. The rollout policy for this image is read-only, except for allowlisted users. This field might not be configured. To view the latest non-deprecated image in a specific zone, use the imageFamilyViews.get method.", "$ref": "RolloutPolicy" }, "status": { "type": "string", "enum": [ "DELETING", "FAILED", "PENDING", "READY" ], "description": "[Output Only] The status of the image. An image can be used to create other resources, such as instances, only after the image has been successfully created and the status is set to READY. Possible values are FAILED, PENDING, or READY.", "enumDescriptions": [ "Image is deleting.", "Image creation failed due to an error.", "Image hasn't been created as yet.", "Image has been successfully created." ] }, "kind": { "description": "[Output Only] Type of the resource. Always compute#image for images.", "default": "compute#image", "type": "string" }, "sourceSnapshot": { "description": "URL of the source snapshot used to create this image. The following are valid formats for the URL: - https://www.googleapis.com/compute/v1/projects/project_id/global/ snapshots/snapshot_name - projects/project_id/global/snapshots/snapshot_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL ", "type": "string" }, "diskSizeGb": { "type": "string", "description": "Size of the image when restored onto a persistent disk (in GB).", "format": "int64" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "sourceDiskId": { "type": "string", "description": "[Output Only] The ID value of the disk used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given disk name." }, "licenses": { "type": "array", "items": { "type": "string" }, "description": "Any applicable license URI." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "sourceImageEncryptionKey": { "description": "The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" }, "labelFingerprint": { "format": "byte", "type": "string", "description": "A fingerprint for the labels being applied to this image, which is essentially a hash of the labels used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an image." }, "deprecated": { "$ref": "DeprecationStatus", "description": "The deprecation status associated with this image." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels to apply to this image. These can be later modified by the setLabels method." }, "sourceImageId": { "description": "[Output Only] The ID value of the image used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given image name.", "type": "string" }, "userLicenses": { "items": { "type": "string" }, "description": "A list of publicly visible user-licenses. Unlike regular licenses, user provided licenses can be modified after the disk is created. This includes a list of URLs to the license resource. For example, to provide a debian license: https://www.googleapis.com/compute/v1/projects/debian-cloud/global/licenses/debian-9-stretch ", "type": "array" }, "sourceSnapshotId": { "type": "string", "description": "[Output Only] The ID value of the snapshot used to create this image. This value may be used to determine whether the snapshot was taken from the current or a previous instance of a given snapshot name." }, "licenseCodes": { "type": "array", "items": { "type": "string", "format": "int64" }, "description": "Integer license codes indicating which licenses are attached to this image." }, "storageLocations": { "description": "Cloud Storage bucket storage location of the image (regional or multi-regional).", "type": "array", "items": { "type": "string" } }, "archiveSizeBytes": { "type": "string", "description": "Size of the image tar.gz archive stored in Google Cloud Storage (in bytes).", "format": "int64" }, "locked": { "description": "A flag for marketplace VM disk created from the image, which is designed for marketplace VM disk to prevent the proprietary data on the disk from being accessed unwantedly. The flag will be inherited by the disk created from the image. The disk with locked flag set to true will be prohibited from performing the operations below: - R/W or R/O disk attach - Disk detach, if disk is created via create-on-create - Create images - Create snapshots - Create disk clone (create disk from the current disk) The image with the locked field set to true will be prohibited from performing the operations below: - Create images from the current image - Update the locked field for the current image The instance with at least one disk with locked flag set to true will be prohibited from performing the operations below: - Secondary disk attach - Create instant snapshot - Create machine images - Create instance template - Delete the instance with --keep-disk parameter set to true ", "type": "boolean" }, "rawDisk": { "type": "object", "properties": { "containerType": { "enum": [ "TAR" ], "description": "The format used to encode and transmit the block device, which should be TAR. This is just a container and transmission format and not a runtime format. Provided by the client when the disk image is created.", "type": "string", "enumDescriptions": [ "" ] }, "source": { "type": "string", "description": "The full Google Cloud Storage URL where the raw disk image archive is stored. The following are valid formats for the URL: - https://storage.googleapis.com/bucket_name/image_archive_name - https://storage.googleapis.com/bucket_name/folder_name/ image_archive_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL " }, "sha1Checksum": { "pattern": "[a-f0-9]{40}", "description": "[Deprecated] This field is deprecated. An optional SHA1 checksum of the disk image before unpackaging provided by the client when the disk image is created.", "type": "string" } }, "description": "The parameters of the raw disk image." }, "sourceSnapshotEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source snapshot. Required if the source snapshot is protected by a customer-supplied encryption key." }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource's resource id.", "type": "string" }, "imageEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Encrypts the image using a customer-supplied encryption key. After you encrypt an image with a customer-supplied key, you must provide the same key if you use the image later (e.g. to create a disk from the image). Customer-supplied encryption keys do not protect access to metadata of the disk. If you do not provide an encryption key when creating the image, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the image later." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." } }, "description": "Represents an Image resource. You can use images to create boot disks for your VM instances. For more information, read Images.", "id": "Image", "type": "object" }, "RouterNat": { "id": "RouterNat", "properties": { "sourceSubnetworkIpRangesToNat": { "enum": [ "ALL_SUBNETWORKS_ALL_IP_RANGES", "ALL_SUBNETWORKS_ALL_PRIMARY_IP_RANGES", "LIST_OF_SUBNETWORKS" ], "description": "Specify the Nat option, which can take one of the following values: - ALL_SUBNETWORKS_ALL_IP_RANGES: All of the IP ranges in every Subnetwork are allowed to Nat. - ALL_SUBNETWORKS_ALL_PRIMARY_IP_RANGES: All of the primary IP ranges in every Subnetwork are allowed to Nat. - LIST_OF_SUBNETWORKS: A list of Subnetworks are allowed to Nat (specified in the field subnetwork below) The default is SUBNETWORK_IP_RANGE_TO_NAT_OPTION_UNSPECIFIED. Note that if this field contains ALL_SUBNETWORKS_ALL_IP_RANGES or ALL_SUBNETWORKS_ALL_PRIMARY_IP_RANGES, then there should not be any other Router.Nat section in any Router for this network in this region.", "enumDescriptions": [ "All the IP ranges in every Subnetwork are allowed to Nat.", "All the primary IP ranges in every Subnetwork are allowed to Nat.", "A list of Subnetworks are allowed to Nat (specified in the field subnetwork below)" ], "type": "string" }, "rules": { "description": "A list of rules associated with this NAT.", "type": "array", "items": { "$ref": "RouterNatRule" } }, "tcpTransitoryIdleTimeoutSec": { "format": "int32", "description": "Timeout (in seconds) for TCP transitory connections. Defaults to 30s if not set.", "type": "integer" }, "endpointTypes": { "description": "List of NAT-ted endpoint types supported by the Nat Gateway. If the list is empty, then it will be equivalent to include ENDPOINT_TYPE_VM", "type": "array", "items": { "enumDescriptions": [ "This is used for Secure Web Gateway endpoints.", "This is the default." ], "enum": [ "ENDPOINT_TYPE_SWG", "ENDPOINT_TYPE_VM" ], "type": "string" } }, "natIpAllocateOption": { "enumDescriptions": [ "Nat IPs are allocated by GCP; customers can not specify any Nat IPs.", "Only use Nat IPs provided by customers. When specified Nat IPs are not enough then the Nat service fails for new VMs." ], "type": "string", "enum": [ "AUTO_ONLY", "MANUAL_ONLY" ], "description": "Specify the NatIpAllocateOption, which can take one of the following values: - MANUAL_ONLY: Uses only Nat IP addresses provided by customers. When there are not enough specified Nat IPs, the Nat service fails for new VMs. - AUTO_ONLY: Nat IPs are allocated by Google Cloud Platform; customers can't specify any Nat IPs. When choosing AUTO_ONLY, then nat_ip should be empty. " }, "enableDynamicPortAllocation": { "description": "Enable Dynamic Port Allocation. If not specified, it is disabled by default. If set to true, - Dynamic Port Allocation will be enabled on this NAT config. - enableEndpointIndependentMapping cannot be set to true. - If minPorts is set, minPortsPerVm must be set to a power of two greater than or equal to 32. If minPortsPerVm is not set, a minimum of 32 ports will be allocated to a VM from this NAT config. ", "type": "boolean" }, "tcpTimeWaitTimeoutSec": { "type": "integer", "format": "int32", "description": "Timeout (in seconds) for TCP connections that are in TIME_WAIT state. Defaults to 120s if not set." }, "type": { "enum": [ "PRIVATE", "PUBLIC" ], "type": "string", "description": "Indicates whether this NAT is used for public or private IP translation. If unspecified, it defaults to PUBLIC.", "enumDescriptions": [ "NAT used for private IP translation.", "NAT used for public IP translation. This is the default." ] }, "maxPortsPerVm": { "description": "Maximum number of ports allocated to a VM from this NAT config when Dynamic Port Allocation is enabled. If Dynamic Port Allocation is not enabled, this field has no effect. If Dynamic Port Allocation is enabled, and this field is set, it must be set to a power of two greater than minPortsPerVm, or 64 if minPortsPerVm is not set. If Dynamic Port Allocation is enabled and this field is not set, a maximum of 65536 ports will be allocated to a VM from this NAT config.", "type": "integer", "format": "int32" }, "natIps": { "items": { "type": "string" }, "type": "array", "description": "A list of URLs of the IP resources used for this Nat service. These IP addresses must be valid static external IP addresses assigned to the project." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Unique name of this Nat service. The name must be 1-63 characters long and comply with RFC1035." }, "udpIdleTimeoutSec": { "description": "Timeout (in seconds) for UDP connections. Defaults to 30s if not set.", "type": "integer", "format": "int32" }, "enableEndpointIndependentMapping": { "type": "boolean" }, "tcpEstablishedIdleTimeoutSec": { "type": "integer", "format": "int32", "description": "Timeout (in seconds) for TCP established connections. Defaults to 1200s if not set." }, "icmpIdleTimeoutSec": { "description": "Timeout (in seconds) for ICMP connections. Defaults to 30s if not set.", "format": "int32", "type": "integer" }, "minPortsPerVm": { "format": "int32", "description": "Minimum number of ports allocated to a VM from this NAT config. If not set, a default number of ports is allocated to a VM. This is rounded up to the nearest power of 2. For example, if the value of this field is 50, at least 64 ports are allocated to a VM.", "type": "integer" }, "subnetworks": { "description": "A list of Subnetwork resources whose traffic should be translated by NAT Gateway. It is used only when LIST_OF_SUBNETWORKS is selected for the SubnetworkIpRangeToNatOption above.", "items": { "$ref": "RouterNatSubnetworkToNat" }, "type": "array" }, "drainNatIps": { "items": { "type": "string" }, "description": "A list of URLs of the IP resources to be drained. These IPs must be valid static external IPs that have been assigned to the NAT. These IPs should be used for updating/patching a NAT only.", "type": "array" }, "logConfig": { "$ref": "RouterNatLogConfig", "description": "Configure logging on this NAT." } }, "type": "object", "description": "Represents a Nat resource. It enables the VMs within the specified subnetworks to access Internet without external IP addresses. It specifies a list of subnetworks (and the ranges within) that want to use NAT. Customers can also provide the external IPs that would be used for NAT. GCP would auto-allocate ephemeral IPs if no external IPs are provided." }, "ResourcePolicyHourlyCycle": { "type": "object", "id": "ResourcePolicyHourlyCycle", "description": "Time window specified for hourly operations.", "properties": { "duration": { "type": "string", "description": "[Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario." }, "hoursInCycle": { "type": "integer", "description": "Defines a schedule with units measured in hours. The value determines how many hours pass between the start of each cycle.", "format": "int32" }, "startTime": { "description": "Time within the window to start the operations. It must be in format \"HH:MM\", where HH : [00-23] and MM : [00-00] GMT.", "type": "string" } } }, "NetworksRemovePeeringRequest": { "id": "NetworksRemovePeeringRequest", "properties": { "name": { "description": "Name of the peering, which should conform to RFC1035.", "type": "string" } }, "type": "object" }, "InterconnectAttachmentAggregatedList": { "properties": { "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#interconnectAttachmentAggregatedList for aggregated lists of interconnect attachments.", "default": "compute#interconnectAttachmentAggregatedList" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "items": { "type": "object", "additionalProperties": { "$ref": "InterconnectAttachmentsScopedList", "description": "Name of the scope containing this set of interconnect attachments." }, "description": "A list of InterconnectAttachmentsScopedList resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "id": "InterconnectAttachmentAggregatedList", "type": "object" }, "RegionInstanceGroupList": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of InstanceGroup resources.", "items": { "$ref": "InstanceGroup" }, "type": "array" }, "kind": { "type": "string", "description": "The resource type.", "default": "compute#regionInstanceGroupList" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "id": "RegionInstanceGroupList", "description": "Contains a list of InstanceGroup resources.", "type": "object" }, "ConsistentHashLoadBalancerSettings": { "description": "This message defines settings for a consistent hash style load balancer.", "properties": { "httpCookie": { "description": "Hash is based on HTTP Cookie. This field describes a HTTP cookie that will be used as the hash key for the consistent hash load balancer. If the cookie is not present, it will be generated. This field is applicable if the sessionAffinity is set to HTTP_COOKIE. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "$ref": "ConsistentHashLoadBalancerSettingsHttpCookie" }, "httpHeaderName": { "description": "The hash based on the value of the specified header field. This field is applicable if the sessionAffinity is set to HEADER_FIELD.", "type": "string" }, "minimumRingSize": { "type": "string", "description": "The minimum number of virtual nodes to use for the hash ring. Defaults to 1024. Larger ring sizes result in more granular load distributions. If the number of hosts in the load balancing pool is larger than the ring size, each host will be assigned a single virtual node.", "format": "int64" } }, "type": "object", "id": "ConsistentHashLoadBalancerSettings" }, "HelpLink": { "description": "Describes a URL link.", "properties": { "url": { "type": "string", "description": "The URL of the link." }, "description": { "type": "string", "description": "Describes what the link offers." } }, "id": "HelpLink", "type": "object" }, "AccessConfig": { "properties": { "setPublicPtr": { "type": "boolean", "description": "Specifies whether a public DNS 'PTR' record should be created to map the external IP address of the instance to a DNS domain name. This field is not used in ipv6AccessConfig. A default PTR record will be created if the VM has external IPv6 range associated." }, "externalIpv6": { "type": "string", "description": "The first IPv6 address of the external IPv6 range associated with this instance, prefix length is stored in externalIpv6PrefixLength in ipv6AccessConfig. The field is output only, an IPv6 address from a subnetwork associated with the instance will be allocated dynamically." }, "type": { "enumDescriptions": [ "", "" ], "description": "The type of configuration. The default and only option is ONE_TO_ONE_NAT.", "enum": [ "DIRECT_IPV6", "ONE_TO_ONE_NAT" ], "default": "ONE_TO_ONE_NAT", "type": "string" }, "networkTier": { "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Price competitive network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "type": "string", "description": "This signifies the networking tier used for configuring this access configuration and can only take the following values: PREMIUM, STANDARD. If an AccessConfig is specified without a valid external IP address, an ephemeral IP will be created with this networkTier. If an AccessConfig with a valid external IP address is specified, it must match that of the networkTier associated with the Address resource owning that IP.", "enum": [ "FIXED_STANDARD", "PREMIUM", "SELECT", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ] }, "setPublicDns": { "type": "boolean", "description": "Specifies whether a public DNS 'A' record should be created for the external IP address of this access configuration." }, "name": { "description": "The name of this access configuration. The default and recommended name is External NAT, but you can use any arbitrary string, such as My external IP or Network Access.", "type": "string" }, "externalIpv6PrefixLength": { "type": "integer", "description": "The prefix length of the external IPv6 range.", "format": "int32" }, "natIP": { "description": "An external IP address associated with this instance. Specify an unused static external IP address available to the project or leave this field undefined to use an IP from a shared ephemeral IP address pool. If you specify a static external IP address, it must live in the same region as the zone of the instance.", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#accessConfig for access configs.", "default": "compute#accessConfig", "type": "string" }, "publicPtrDomainName": { "type": "string", "description": "The DNS domain name for the public PTR record. You can set this field only if the `setPublicPtr` field is enabled in accessConfig. If this field is unspecified in ipv6AccessConfig, a default PTR record will be createc for first IP in associated external IPv6 range." }, "publicDnsName": { "type": "string", "description": "[Output Only] The public DNS domain name for the instance." } }, "description": "An access configuration attached to an instance's network interface. Only one access config per instance is supported.", "type": "object", "id": "AccessConfig" }, "PublicAdvertisedPrefix": { "type": "object", "properties": { "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "annotations": { "required": [ "compute.publicAdvertisedPrefixes.insert" ] }, "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL with id for the resource." }, "sharedSecret": { "type": "string", "description": "[Output Only] The shared secret to be used for reverse DNS verification." }, "publicDelegatedPrefixs": { "description": "[Output Only] The list of public delegated prefixes that exist for this public advertised prefix.", "items": { "$ref": "PublicAdvertisedPrefixPublicDelegatedPrefix" }, "type": "array" }, "status": { "type": "string", "description": "The status of the public advertised prefix. Possible values include: - `INITIAL`: RPKI validation is complete. - `PTR_CONFIGURED`: User has configured the PTR. - `VALIDATED`: Reverse DNS lookup is successful. - `REVERSE_DNS_LOOKUP_FAILED`: Reverse DNS lookup failed. - `PREFIX_CONFIGURATION_IN_PROGRESS`: The prefix is being configured. - `PREFIX_CONFIGURATION_COMPLETE`: The prefix is fully configured. - `PREFIX_REMOVAL_IN_PROGRESS`: The prefix is being removed. ", "enumDescriptions": [ "The prefix is announced to Internet.", "RPKI validation is complete.", "The prefix is fully configured.", "The prefix is being configured.", "The prefix is being removed.", "User has configured the PTR.", "The prefix is currently withdrawn but ready to be announced.", "Reverse DNS lookup failed.", "Reverse DNS lookup is successful." ], "enum": [ "ANNOUNCED_TO_INTERNET", "INITIAL", "PREFIX_CONFIGURATION_COMPLETE", "PREFIX_CONFIGURATION_IN_PROGRESS", "PREFIX_REMOVAL_IN_PROGRESS", "PTR_CONFIGURED", "READY_TO_ANNOUNCE", "REVERSE_DNS_LOOKUP_FAILED", "VALIDATED" ] }, "fingerprint": { "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a new PublicAdvertisedPrefix. An up-to-date fingerprint must be provided in order to update the PublicAdvertisedPrefix, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a PublicAdvertisedPrefix.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "pdpScope": { "enum": [ "GLOBAL", "GLOBAL_AND_REGIONAL", "REGIONAL" ], "type": "string", "description": "Specifies how child public delegated prefix will be scoped. It could be one of following values: - `REGIONAL`: The public delegated prefix is regional only. The provisioning will take a few minutes. - `GLOBAL`: The public delegated prefix is global only. The provisioning will take ~4 weeks. - `GLOBAL_AND_REGIONAL` [output only]: The public delegated prefixes is BYOIP V1 legacy prefix. This is output only value and no longer supported in BYOIP V2. ", "enumDescriptions": [ "The public delegated prefix is global only. The provisioning will take ~4 weeks.", "The public delegated prefixes is BYOIP V1 legacy prefix. This is output only value and no longer supported in BYOIP V2.", "The public delegated prefix is regional only. The provisioning will take a few minutes." ] }, "dnsVerificationIp": { "type": "string", "description": "The IPv4 address to be used for reverse DNS verification." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "kind": { "default": "compute#publicAdvertisedPrefix", "type": "string", "description": "[Output Only] Type of the resource. Always compute#publicAdvertisedPrefix for public advertised prefixes." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "format": "uint64" }, "ipCidrRange": { "type": "string", "description": "The IPv4 address range, in CIDR format, represented by this public advertised prefix." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." } }, "description": "A public advertised prefix represents an aggregated IP prefix or netblock which customers bring to cloud. The IP prefix is a single unit of route advertisement and is announced globally to the internet.", "id": "PublicAdvertisedPrefix" }, "ResourcePolicyDailyCycle": { "id": "ResourcePolicyDailyCycle", "properties": { "startTime": { "description": "Start time of the window. This must be in UTC format that resolves to one of 00:00, 04:00, 08:00, 12:00, 16:00, or 20:00. For example, both 13:00-5 and 08:00 are valid.", "type": "string" }, "daysInCycle": { "description": "Defines a schedule with units measured in days. The value determines how many days pass between the start of each cycle.", "format": "int32", "type": "integer" }, "duration": { "description": "[Output only] A predetermined duration for the window, automatically chosen to be the smallest possible in the given scenario.", "type": "string" } }, "description": "Time window specified for daily operations.", "type": "object" }, "InstanceGroupManagersListErrorsResponse": { "properties": { "items": { "items": { "$ref": "InstanceManagedByIgmError" }, "description": "[Output Only] The list of errors of the managed instance group.", "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "type": "object", "id": "InstanceGroupManagersListErrorsResponse" }, "InstanceGroupManagerUpdatePolicy": { "type": "object", "properties": { "maxSurge": { "description": "The maximum number of instances that can be created above the specified targetSize during the update process. This value can be either a fixed number or, if the group has 10 or more instances, a percentage. If you set a percentage, the number of instances is rounded if necessary. The default value for maxSurge is a fixed value equal to the number of zones in which the managed instance group operates. At least one of either maxSurge or maxUnavailable must be greater than 0. Learn more about maxSurge.", "$ref": "FixedOrPercent" }, "minimalAction": { "description": "Minimal action to be taken on an instance. Use this option to minimize disruption as much as possible or to apply a more disruptive action than is necessary. - To limit disruption as much as possible, set the minimal action to REFRESH. If your update requires a more disruptive action, Compute Engine performs the necessary action to execute the update. - To apply a more disruptive action than is strictly necessary, set the minimal action to RESTART or REPLACE. For example, Compute Engine does not need to restart a VM to change its metadata. But if your application reads instance metadata only when a VM is restarted, you can set the minimal action to RESTART in order to pick up metadata changes. ", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "type": "string", "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ] }, "instanceRedistributionType": { "enumDescriptions": [ "No action is being proactively performed in order to bring this IGM to its target instance distribution.", "This IGM will actively converge to its target instance distribution." ], "enum": [ "NONE", "PROACTIVE" ], "type": "string", "description": "The instance redistribution policy for regional managed instance groups. Valid values are: - PROACTIVE (default): The group attempts to maintain an even distribution of VM instances across zones in the region. - NONE: For non-autoscaled groups, proactive redistribution is disabled. " }, "type": { "enum": [ "OPPORTUNISTIC", "PROACTIVE" ], "description": "The type of update process. You can specify either PROACTIVE so that the instance group manager proactively executes actions in order to bring instances to their target versions or OPPORTUNISTIC so that no action is proactively executed but the update will be performed as part of other actions (for example, resizes or recreateInstances calls).", "enumDescriptions": [ "No action is being proactively performed in order to bring this IGM to its target version distribution (regardless of whether this distribution is expressed using instanceTemplate or versions field).", "This IGM will actively converge to its target version distribution (regardless of whether this distribution is expressed using instanceTemplate or versions field)." ], "type": "string" }, "minReadySec": { "description": "Minimum number of seconds to wait for after a newly created instance becomes available. This value must be from range [0, 3600].", "format": "int32", "type": "integer" }, "replacementMethod": { "type": "string", "description": "What action should be used to replace instances. See minimal_action.REPLACE", "enum": [ "RECREATE", "SUBSTITUTE" ], "enumDescriptions": [ "Instances will be recreated (with the same name)", "Default option: instances will be deleted and created (with a new name)" ] }, "mostDisruptiveAllowedAction": { "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "type": "string", "description": "Most disruptive action that is allowed to be taken on an instance. You can specify either NONE to forbid any actions, REFRESH to allow actions that do not need instance restart, RESTART to allow actions that can be applied without instance replacing or REPLACE to allow all possible actions. If the Updater determines that the minimal update action needed is more disruptive than most disruptive allowed action you specify it will not perform the update at all." }, "maxUnavailable": { "$ref": "FixedOrPercent", "description": "The maximum number of instances that can be unavailable during the update process. An instance is considered available if all of the following conditions are satisfied: - The instance's status is RUNNING. - If there is a health check on the instance group, the instance's health check status must be HEALTHY at least once. If there is no health check on the group, then the instance only needs to have a status of RUNNING to be considered available. This value can be either a fixed number or, if the group has 10 or more instances, a percentage. If you set a percentage, the number of instances is rounded if necessary. The default value for maxUnavailable is a fixed value equal to the number of zones in which the managed instance group operates. At least one of either maxSurge or maxUnavailable must be greater than 0. Learn more about maxUnavailable." } }, "id": "InstanceGroupManagerUpdatePolicy" }, "VpnGatewayStatus": { "type": "object", "properties": { "vpnConnections": { "type": "array", "description": "List of VPN connection for this VpnGateway.", "items": { "$ref": "VpnGatewayStatusVpnConnection" } } }, "id": "VpnGatewayStatus" }, "InternalIpAddress": { "properties": { "owner": { "description": "The owner of the internal IP address.", "type": "string" }, "purpose": { "type": "string", "description": "The purpose of the internal IP address if applicable." }, "type": { "description": "The type of the internal IP address.", "enumDescriptions": [ "Reserved IP ranges on peer networks.", "Used IP ranges on peer networks, including peer subnetwork IP ranges.", "Reserved IP ranges on peer networks of peer networks.", "Used IP ranges on peer networks of peer networks.", "Reserved IP ranges on local network.", "Subnetwork IP ranges on local network.", "" ], "enum": [ "PEER_RESERVED", "PEER_USED", "REMOTE_RESERVED", "REMOTE_USED", "RESERVED", "SUBNETWORK", "TYPE_UNSPECIFIED" ], "type": "string" }, "cidr": { "type": "string", "description": "IP CIDR address or range." }, "region": { "type": "string", "description": "The region of the internal IP address if applicable." } }, "type": "object", "id": "InternalIpAddress" }, "InstanceGroupManagerResizeRequestsListResponse": { "description": "[Output Only] A list of resize requests.", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "items": { "description": "A list of resize request resources.", "items": { "$ref": "InstanceGroupManagerResizeRequest" }, "type": "array" }, "kind": { "type": "string", "default": "compute#instanceGroupManagerResizeRequestList", "description": "[Output Only] Type of the resource. Always compute#instanceGroupManagerResizeRequestList for a list of resize requests." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "id": "InstanceGroupManagerResizeRequestsListResponse", "type": "object" }, "InstanceGroup": { "description": "Represents an Instance Group resource. Instance Groups can be used to configure a target for load balancing. Instance groups can either be managed or unmanaged. To create managed instance groups, use the instanceGroupManager or regionInstanceGroupManager resource instead. Use zonal unmanaged instance groups if you need to apply load balancing to groups of heterogeneous instances or if you need to manage the instances yourself. You cannot create regional unmanaged instance groups. For more information, read Instance groups.", "type": "object", "properties": { "name": { "type": "string", "description": "The name of the instance group. The name must be 1-63 characters long, and comply with RFC1035.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.instanceGroups.insert" ] } }, "fingerprint": { "description": "[Output Only] The fingerprint of the named ports. The system uses this fingerprint to detect conflicts when multiple users change the named ports concurrently.", "type": "string", "format": "byte" }, "selfLink": { "description": "[Output Only] The URL for this instance group. The server generates this URL.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "namedPorts": { "items": { "$ref": "NamedPort" }, "description": " Assigns a name to a port number. For example: {name: \"http\", port: 80} This allows the system to reference ports by the assigned name instead of a port number. Named ports can also contain multiple ports. For example: [{name: \"app1\", port: 8080}, {name: \"app1\", port: 8081}, {name: \"app2\", port: 8082}] Named ports apply to all instances in this instance group. ", "type": "array" }, "region": { "description": "[Output Only] The URL of the region where the instance group is located (for regional resources).", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "zone": { "description": "[Output Only] The URL of the zone where the instance group is located (for zonal resources).", "type": "string" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] A unique identifier for this instance group, generated by the server." }, "subnetwork": { "description": "[Output Only] The URL of the subnetwork to which all instances in the instance group belong. If your instance has multiple network interfaces, then the network and subnetwork fields only refer to the network and subnet used by your primary interface (nic0).", "type": "string" }, "size": { "type": "integer", "description": "[Output Only] The total number of instances in the instance group.", "format": "int32" }, "kind": { "default": "compute#instanceGroup", "type": "string", "description": "[Output Only] The resource type, which is always compute#instanceGroup for instance groups." }, "network": { "type": "string", "description": "[Output Only] The URL of the network to which all instances in the instance group belong. If your instance has multiple network interfaces, then the network and subnetwork fields only refer to the network and subnet used by your primary interface (nic0)." }, "creationTimestamp": { "type": "string", "description": "[Output Only] The creation timestamp for this instance group in RFC3339 text format." } }, "id": "InstanceGroup" }, "TargetPoolInstanceHealth": { "id": "TargetPoolInstanceHealth", "properties": { "healthStatus": { "items": { "$ref": "HealthStatus" }, "type": "array" }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetPoolInstanceHealth when checking the health of an instance.", "type": "string", "default": "compute#targetPoolInstanceHealth" } }, "type": "object" }, "ManagedInstance": { "properties": { "preservedStateFromConfig": { "$ref": "PreservedState", "description": "[Output Only] Preserved state applied from per-instance config for this instance." }, "instanceStatus": { "enum": [ "DEPROVISIONING", "PROVISIONING", "REPAIRING", "RUNNING", "STAGING", "STOPPED", "STOPPING", "SUSPENDED", "SUSPENDING", "TERMINATED" ], "description": "[Output Only] The status of the instance. This field is empty when the instance does not exist.", "type": "string", "enumDescriptions": [ "The Nanny is halted and we are performing tear down tasks like network deprogramming, releasing quota, IP, tearing down disks etc.", "Resources are being allocated for the instance.", "The instance is in repair.", "The instance is running.", "All required resources have been allocated and the instance is being started.", "The instance has stopped successfully.", "The instance is currently stopping (either being deleted or killed).", "The instance has suspended.", "The instance is suspending.", "The instance has stopped (either by explicit action or underlying failure)." ] }, "instanceHealth": { "description": "[Output Only] Health state of the instance per health-check.", "items": { "$ref": "ManagedInstanceInstanceHealth" }, "type": "array" }, "preservedStateFromPolicy": { "description": "[Output Only] Preserved state generated based on stateful policy for this instance.", "$ref": "PreservedState" }, "lastAttempt": { "description": "[Output Only] Information about the last attempt to create or delete the instance.", "$ref": "ManagedInstanceLastAttempt" }, "tag": { "type": "string", "description": "[Output Only] Tag describing the version." }, "instance": { "type": "string", "description": "[Output Only] The URL of the instance. The URL can exist even if the instance has not yet been created." }, "currentAction": { "description": "[Output Only] The current action that the managed instance group has scheduled for the instance. Possible values: - NONE The instance is running, and the managed instance group does not have any scheduled actions for this instance. - CREATING The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful. - CREATING_WITHOUT_RETRIES The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased instead. - RECREATING The managed instance group is recreating this instance. - DELETING The managed instance group is permanently deleting this instance. - ABANDONING The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group. - RESTARTING The managed instance group is restarting the instance. - REFRESHING The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance. - VERIFYING The managed instance group has created the instance and it is in the process of being verified. ", "enumDescriptions": [ "The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group.", "The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful.", "The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased.", "The managed instance group is permanently deleting this instance.", "The managed instance group has not scheduled any actions for this instance.", "The managed instance group is recreating this instance.", "The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance.", "The managed instance group is restarting this instance.", "The managed instance group is resuming this instance.", "The managed instance group is starting this instance.", "The managed instance group is stopping this instance.", "The managed instance group is suspending this instance.", "The managed instance group is verifying this already created instance. Verification happens every time the instance is (re)created or restarted and consists of: 1. Waiting until health check specified as part of this managed instance group's autohealing policy reports HEALTHY. Note: Applies only if autohealing policy has a health check specified 2. Waiting for addition verification steps performed as post-instance creation (subject to future extensions)." ], "enum": [ "ABANDONING", "CREATING", "CREATING_WITHOUT_RETRIES", "DELETING", "NONE", "RECREATING", "REFRESHING", "RESTARTING", "RESUMING", "STARTING", "STOPPING", "SUSPENDING", "VERIFYING" ], "type": "string" }, "allInstancesConfig": { "description": "[Output Only] Current all-instances configuration revision applied to this instance.", "$ref": "ManagedInstanceAllInstancesConfig" }, "id": { "type": "string", "description": "[Output only] The unique identifier for this resource. This field is empty when instance does not exist.", "format": "uint64" }, "instanceTemplate": { "description": "[Output Only] The intended template of the instance. This field is empty when current_action is one of { DELETING, ABANDONING }.", "type": "string" }, "targetStatus": { "description": "[Output Only] The eventual status of the instance. The instance group manager will not be identified as stable till each managed instance reaches its targetStatus.", "type": "string", "enum": [ "ABANDONED", "DELETED", "RUNNING", "STOPPED", "SUSPENDED" ], "enumDescriptions": [ "The managed instance will eventually be ABANDONED, i.e. dissociated from the managed instance group.", "The managed instance will eventually be DELETED.", "The managed instance will eventually reach status RUNNING.", "The managed instance will eventually reach status TERMINATED.", "The managed instance will eventually reach status SUSPENDED." ] }, "version": { "description": "[Output Only] Intended version of this instance.", "$ref": "ManagedInstanceVersion" } }, "type": "object", "id": "ManagedInstance", "description": "A Managed Instance resource." }, "VpnGatewayStatusHighAvailabilityRequirementState": { "type": "object", "description": "Describes the high availability requirement state for the VPN connection between this Cloud VPN gateway and a peer gateway.", "id": "VpnGatewayStatusHighAvailabilityRequirementState", "properties": { "state": { "description": "Indicates the high availability requirement state for the VPN connection. Valid values are CONNECTION_REDUNDANCY_MET, CONNECTION_REDUNDANCY_NOT_MET.", "type": "string", "enum": [ "CONNECTION_REDUNDANCY_MET", "CONNECTION_REDUNDANCY_NOT_MET" ], "enumDescriptions": [ "VPN tunnels are configured with adequate redundancy from Cloud VPN gateway to the peer VPN gateway. For both GCP-to-non-GCP and GCP-to-GCP connections, the adequate redundancy is a pre-requirement for users to get 99.99% availability on GCP side; please note that for any connection, end-to-end 99.99% availability is subject to proper configuration on the peer VPN gateway.", "VPN tunnels are not configured with adequate redundancy from the Cloud VPN gateway to the peer gateway" ] }, "unsatisfiedReason": { "type": "string", "enumDescriptions": [ "" ], "enum": [ "INCOMPLETE_TUNNELS_COVERAGE" ], "description": "Indicates the reason why the VPN connection does not meet the high availability redundancy criteria/requirement. Valid values is INCOMPLETE_TUNNELS_COVERAGE." } } }, "NodeGroupAutoscalingPolicy": { "properties": { "minNodes": { "type": "integer", "description": "The minimum number of nodes that the group should have.", "format": "int32" }, "maxNodes": { "type": "integer", "description": "The maximum number of nodes that the group should have. Must be set if autoscaling is enabled. Maximum value allowed is 100.", "format": "int32" }, "mode": { "enum": [ "MODE_UNSPECIFIED", "OFF", "ON", "ONLY_SCALE_OUT" ], "enumDescriptions": [ "", "Autoscaling is disabled.", "Autocaling is fully enabled.", "Autoscaling will only scale out and will not remove nodes." ], "description": "The autoscaling mode. Set to one of: ON, OFF, or ONLY_SCALE_OUT. For more information, see Autoscaler modes.", "type": "string" } }, "id": "NodeGroupAutoscalingPolicy", "type": "object" }, "WafExpressionSetExpression": { "type": "object", "properties": { "id": { "type": "string", "description": "Expression ID should uniquely identify the origin of the expression. E.g. owasp-crs-v020901-id973337 identifies Owasp core rule set version 2.9.1 rule id 973337. The ID could be used to determine the individual attack definition that has been detected. It could also be used to exclude it from the policy in case of false positive. required" } }, "id": "WafExpressionSetExpression" }, "TargetHttpsProxyList": { "description": "Contains a list of TargetHttpsProxy resources.", "type": "object", "id": "TargetHttpsProxyList", "properties": { "warning": { "properties": { "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "default": "compute#targetHttpsProxyList", "description": "Type of resource. Always compute#targetHttpsProxyList for lists of target HTTPS proxies.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "description": "A list of TargetHttpsProxy resources.", "items": { "$ref": "TargetHttpsProxy" }, "type": "array" } } }, "HttpRouteRule": { "id": "HttpRouteRule", "description": "The HttpRouteRule setting specifies how to match an HTTP request and the corresponding routing action that load balancing proxies perform.", "properties": { "httpFilterMetadata": { "type": "array", "description": "Outbound route specific metadata supplied to networkservices.HttpFilter resources enabled by Traffic Director. httpFilterMetadata only applies for load balancers with loadBalancingScheme set to INTERNAL_SELF_MANAGED. See ForwardingRule for more details. The only configTypeUrl supported is type.googleapis.com/google.protobuf.Struct Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "items": { "$ref": "HttpFilterConfig" } }, "service": { "description": "The full or partial URL of the backend service resource to which traffic is directed if this rule is matched. If routeAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if service is specified, routeAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of urlRedirect, service or routeAction.weightedBackendService must be set.", "type": "string" }, "description": { "description": "The short description conveying the intent of this routeRule. The description can have a maximum length of 1024 characters.", "type": "string" }, "urlRedirect": { "$ref": "HttpRedirectAction", "description": "When this rule is matched, the request is redirected to a URL specified by urlRedirect. If urlRedirect is specified, service or routeAction must not be set. Not supported when the URL map is bound to a target gRPC proxy." }, "headerAction": { "$ref": "HttpHeaderAction", "description": "Specifies changes to request and response headers that need to take effect for the selected backendService. The headerAction value specified here is applied before the matching pathMatchers[].headerAction and after pathMatchers[].routeRules[].routeAction.weightedBackendService.backendServiceWeightAction[].headerAction HeaderAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "matchRules": { "items": { "$ref": "HttpRouteRuleMatch" }, "description": "The list of criteria for matching attributes of a request to this routeRule. This list has OR semantics: the request matches this routeRule when any of the matchRules are satisfied. However predicates within a given matchRule have AND semantics. All predicates within a matchRule must match for the request to match the rule.", "type": "array" }, "routeAction": { "description": "In response to a matching matchRule, the load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If routeAction specifies any weightedBackendServices, service must not be set. Conversely if service is set, routeAction cannot contain any weightedBackendServices. Only one of urlRedirect, service or routeAction.weightedBackendService must be set. UrlMaps for external HTTP(S) load balancers support only the urlRewrite action within a route rule's routeAction.", "$ref": "HttpRouteAction" }, "priority": { "description": "For routeRules within a given pathMatcher, priority determines the order in which a load balancer interprets routeRules. RouteRules are evaluated in order of priority, from the lowest to highest number. The priority of a rule decreases as its number increases (1, 2, 3, N+1). The first rule that matches the request is applied. You cannot configure two or more routeRules with the same priority. Priority for each rule must be set to a number from 0 to 2147483647 inclusive. Priority numbers can have gaps, which enable you to add or remove rules in the future without affecting the rest of the rules. For example, 1, 2, 3, 4, 5, 9, 12, 16 is a valid series of priority numbers to which you could add rules numbered from 6 to 8, 10 to 11, and 13 to 15 in the future without any impact on existing rules.", "type": "integer", "format": "int32" }, "httpFilterConfigs": { "type": "array", "items": { "$ref": "HttpFilterConfig" }, "description": "Outbound route specific configuration for networkservices.HttpFilter resources enabled by Traffic Director. httpFilterConfigs only applies for load balancers with loadBalancingScheme set to INTERNAL_SELF_MANAGED. See ForwardingRule for more details. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." } }, "type": "object" }, "TargetPoolAggregatedList": { "type": "object", "properties": { "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "items": { "type": "object", "description": "A list of TargetPool resources.", "additionalProperties": { "description": "Name of the scope containing this set of target pools.", "$ref": "TargetPoolsScopedList" } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetPoolAggregatedList for aggregated lists of target pools.", "type": "string", "default": "compute#targetPoolAggregatedList" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "TargetPoolAggregatedList" }, "BackendBucketCdnPolicyBypassCacheOnRequestHeader": { "description": "Bypass the cache when the specified request headers are present, e.g. Pragma or Authorization headers. Values are case insensitive. The presence of such a header overrides the cache_mode setting.", "type": "object", "properties": { "headerName": { "description": "The header field name to match on when bypassing cache. Values are case-insensitive.", "type": "string" } }, "id": "BackendBucketCdnPolicyBypassCacheOnRequestHeader" }, "PublicAdvertisedPrefixPublicDelegatedPrefix": { "description": "Represents a CIDR range which can be used to assign addresses.", "properties": { "status": { "description": "The status of the public delegated prefix. Possible values are: INITIALIZING: The public delegated prefix is being initialized and addresses cannot be created yet. ANNOUNCED: The public delegated prefix is active.", "type": "string" }, "project": { "type": "string", "description": "The project number of the public delegated prefix" }, "name": { "type": "string", "description": "The name of the public delegated prefix" }, "ipRange": { "type": "string", "description": "The IP address range of the public delegated prefix" }, "region": { "description": "The region of the public delegated prefix if it is regional. If absent, the prefix is global.", "type": "string" } }, "id": "PublicAdvertisedPrefixPublicDelegatedPrefix", "type": "object" }, "NodeGroupsScopedList": { "type": "object", "properties": { "nodeGroups": { "items": { "$ref": "NodeGroup" }, "description": "[Output Only] A list of node groups contained in this scope.", "type": "array" }, "warning": { "type": "object", "description": "[Output Only] An informational warning that appears when the nodeGroup list is empty.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } } }, "id": "NodeGroupsScopedList" }, "PacketMirroring": { "id": "PacketMirroring", "type": "object", "properties": { "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "enable": { "description": "Indicates whether or not this packet mirroring takes effect. If set to FALSE, this packet mirroring policy will not be enforced on the network. The default is TRUE.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "FALSE", "TRUE" ] }, "name": { "annotations": { "required": [ "compute.packetMirrorings.insert" ] }, "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "network": { "description": "Specifies the mirrored VPC network. Only packets in this network will be mirrored. All mirrored VMs should have a NIC in the given network. All mirrored subnetworks should belong to the given network.", "$ref": "PacketMirroringNetworkInfo", "annotations": { "required": [ "compute.packetMirrorings.insert" ] } }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "mirroredResources": { "description": "PacketMirroring mirroredResourceInfos. MirroredResourceInfo specifies a set of mirrored VM instances, subnetworks and/or tags for which traffic from/to all VM instances will be mirrored.", "$ref": "PacketMirroringMirroredResourceInfo" }, "region": { "type": "string", "description": "[Output Only] URI of the region where the packetMirroring resides." }, "collectorIlb": { "$ref": "PacketMirroringForwardingRuleInfo", "description": "The Forwarding Rule resource of type loadBalancingScheme=INTERNAL that will be used as collector for mirrored traffic. The specified forwarding rule must have isMirroringCollector set to true." }, "kind": { "type": "string", "default": "compute#packetMirroring", "description": "[Output Only] Type of the resource. Always compute#packetMirroring for packet mirrorings." }, "priority": { "description": "The priority of applying this configuration. Priority is used to break ties in cases where there is more than one matching rule. In the case of two rules that apply for a given Instance, the one with the lowest-numbered priority value wins. Default value is 1000. Valid range is 0 through 65535.", "type": "integer", "format": "uint32" }, "filter": { "description": "Filter for mirrored traffic. If unspecified, all traffic is mirrored.", "$ref": "PacketMirroringFilter" } }, "description": "Represents a Packet Mirroring resource. Packet Mirroring clones the traffic of specified instances in your Virtual Private Cloud (VPC) network and forwards it to a collector destination, such as an instance group of an internal TCP/UDP load balancer, for analysis or examination. For more information about setting up Packet Mirroring, see Using Packet Mirroring." }, "SslCertificateAggregatedList": { "properties": { "items": { "description": "A list of SslCertificatesScopedList resources.", "additionalProperties": { "description": "Name of the scope containing this set of SslCertificates.", "$ref": "SslCertificatesScopedList" }, "type": "object" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "default": "compute#sslCertificateAggregatedList", "description": "[Output Only] Type of resource. Always compute#sslCertificateAggregatedList for lists of SSL Certificates.", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "id": "SslCertificateAggregatedList", "type": "object" }, "GlobalNetworkEndpointGroupsAttachEndpointsRequest": { "type": "object", "properties": { "networkEndpoints": { "description": "The list of network endpoints to be attached.", "type": "array", "items": { "$ref": "NetworkEndpoint" } } }, "id": "GlobalNetworkEndpointGroupsAttachEndpointsRequest" }, "RbacPolicy": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of the RbacPolicy." }, "permissions": { "items": { "$ref": "Permission" }, "type": "array", "description": "The list of permissions." }, "principals": { "description": "The list of principals.", "type": "array", "items": { "$ref": "Principal" } } }, "id": "RbacPolicy" }, "HTTPHealthCheck": { "id": "HTTPHealthCheck", "properties": { "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence." }, "requestPath": { "description": "The request path of the HTTP health check request. The default value is /.", "type": "string" }, "weightReportMode": { "description": "Weight report mode. used for weighted Load Balancing.", "enum": [ "DISABLE", "DRY_RUN", "ENABLE" ], "type": "string", "enumDescriptions": [ "Health Checker will not parse the header field.", "Health Checker will parse and report the weight in the header field, but load balancing will not be based on the weights and will use equal weights.", "Health Checker will try to parse and report the weight in the header field, and load balancing will be based on the weights as long as all backends have a valid weight or only a subset of backends has the UNAVAILABLE_WEIGHT WeightError. The latter case is to continue the weighted load balancing while some backends are in TIMEOUT or UNKNOWN health status." ] }, "host": { "type": "string", "description": "The value of the host header in the HTTP health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used." }, "response": { "description": "The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII.", "type": "string" }, "proxyHeader": { "enumDescriptions": [ "", "" ], "enum": [ "NONE", "PROXY_V1" ], "type": "string", "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE." }, "port": { "description": "The TCP port number for the health check request. The default value is 80. Valid values are 1 through 65535.", "type": "integer", "format": "int32" }, "portSpecification": { "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, HTTP health check follows behavior specified in port and portName fields.", "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ], "type": "string", "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ] } }, "type": "object" }, "VpnGatewayStatusVpnConnection": { "description": "A VPN connection contains all VPN tunnels connected from this VpnGateway to the same peer gateway. The peer gateway could either be a external VPN gateway or GCP VPN gateway.", "id": "VpnGatewayStatusVpnConnection", "type": "object", "properties": { "peerExternalGateway": { "type": "string", "description": "URL reference to the peer external VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peer_gcp_gateway." }, "state": { "$ref": "VpnGatewayStatusHighAvailabilityRequirementState", "description": "HighAvailabilityRequirementState for the VPN connection." }, "tunnels": { "items": { "$ref": "VpnGatewayStatusTunnel" }, "description": "List of VPN tunnels that are in this VPN connection.", "type": "array" }, "peerGcpGateway": { "type": "string", "description": "URL reference to the peer side VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peer_gcp_gateway." } } }, "AdvancedMachineFeatures": { "id": "AdvancedMachineFeatures", "description": "Specifies options for controlling advanced machine features. Options that would traditionally be configured in a BIOS belong here. Features that require operating system support may have corresponding entries in the GuestOsFeatures of an Image (e.g., whether or not the OS in the Image supports nested virtualization being enabled or disabled).", "properties": { "visibleCoreCount": { "description": "The number of physical cores to expose to an instance. Multiply by the number of threads per core to compute the total number of virtual CPUs to expose to the instance. If unset, the number of cores is inferred from the instance's nominal CPU count and the underlying platform's SMT width.", "type": "integer", "format": "int32" }, "numaNodeCount": { "type": "integer", "format": "int32", "description": "The number of vNUMA nodes." }, "enableNestedVirtualization": { "type": "boolean", "description": "Whether to enable nested virtualization or not (default is false)." }, "enableUefiNetworking": { "description": "Whether to enable UEFI networking for instance creation.", "type": "boolean" }, "threadsPerCore": { "type": "integer", "format": "int32", "description": "The number of threads per physical core. To disable simultaneous multithreading (SMT) set this to 1. If unset, the maximum number of threads supported per core by the underlying processor is assumed." } }, "type": "object" }, "SecurityPolicy": { "properties": { "displayName": { "description": "User-provided name of the Organization security plicy. The name should be unique in the organization in which the security policy is created. This should only be used when SecurityPolicyType is FIREWALL. The name must be 1-63 characters long, and comply with https://www.ietf.org/rfc/rfc1035.txt. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "advancedOptionsConfig": { "$ref": "SecurityPolicyAdvancedOptionsConfig" }, "adaptiveProtectionConfig": { "$ref": "SecurityPolicyAdaptiveProtectionConfig" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "type": { "enumDescriptions": [ "", "", "", "", "" ], "description": "The type indicates the intended use of the security policy. - CLOUD_ARMOR: Cloud Armor backend security policies can be configured to filter incoming HTTP requests targeting backend services. They filter requests before they hit the origin servers. - CLOUD_ARMOR_EDGE: Cloud Armor edge security policies can be configured to filter incoming HTTP requests targeting backend services (including Cloud CDN-enabled) as well as backend buckets (Cloud Storage). They filter requests before the request is served from Google's cache. - CLOUD_ARMOR_INTERNAL_SERVICE: Cloud Armor internal service policies can be configured to filter HTTP requests targeting services managed by Traffic Director in a service mesh. They filter requests before the request is served from the application. This field can be set only at resource creation time.", "type": "string", "enum": [ "CLOUD_ARMOR", "CLOUD_ARMOR_EDGE", "CLOUD_ARMOR_INTERNAL_SERVICE", "CLOUD_ARMOR_NETWORK", "FIREWALL" ] }, "region": { "description": "[Output Only] URL of the region where the regional security policy resides. This field is not applicable to global security policies.", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "associations": { "type": "array", "description": "A list of associations that belong to this policy.", "items": { "$ref": "SecurityPolicyAssociation" } }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "labels": { "type": "object", "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "additionalProperties": { "type": "string" } }, "fingerprint": { "description": "Specifies a fingerprint for this resource, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make get() request to the security policy.", "format": "byte", "type": "string" }, "kind": { "description": "[Output only] Type of the resource. Always compute#securityPolicyfor security policies", "default": "compute#securityPolicy", "type": "string" }, "cloudArmorConfig": { "$ref": "SecurityPolicyCloudArmorConfig" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "labelFingerprint": { "format": "byte", "description": "A fingerprint for the labels being applied to this security policy, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. To see the latest fingerprint, make get() request to the security policy.", "type": "string" }, "recaptchaOptionsConfig": { "$ref": "SecurityPolicyRecaptchaOptionsConfig" }, "ruleTupleCount": { "format": "int32", "description": "[Output Only] Total count of all security policy rule tuples. A security policy can not exceed a set number of tuples.", "type": "integer" }, "ddosProtectionConfig": { "$ref": "SecurityPolicyDdosProtectionConfig" }, "rules": { "items": { "$ref": "SecurityPolicyRule" }, "description": "A list of rules that belong to this policy. There must always be a default rule (rule with priority 2147483647 and match \"*\"). If no rules are provided when creating a security policy, a default rule with action \"allow\" will be added.", "type": "array" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "parent": { "description": "[Output Only] The parent of the security policy.", "type": "string" } }, "type": "object", "id": "SecurityPolicy", "description": "Represents a Google Cloud Armor security policy resource. Only external backend services that use load balancers can reference a security policy. For more information, see Google Cloud Armor security policy overview." }, "AcceleratorConfig": { "id": "AcceleratorConfig", "description": "A specification of the type and number of accelerator cards attached to the instance.", "type": "object", "properties": { "acceleratorType": { "type": "string", "description": "Full or partial URL of the accelerator type resource to attach to this instance. For example: projects/my-project/zones/us-central1-c/acceleratorTypes/nvidia-tesla-p100 If you are creating an instance template, specify only the accelerator name. See GPUs on Compute Engine for a full list of accelerator types." }, "acceleratorCount": { "format": "int32", "type": "integer", "description": "The number of the guest accelerator cards exposed to this instance." } } }, "Commitment": { "type": "object", "properties": { "kind": { "type": "string", "default": "compute#commitment", "description": "[Output Only] Type of the resource. Always compute#commitment for commitments." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "region": { "description": "[Output Only] URL of the region where this commitment may be used.", "type": "string" }, "licenseResource": { "description": "The license specification required as part of a license commitment.", "$ref": "LicenseResourceCommitment" }, "category": { "enumDescriptions": [ "", "", "" ], "description": "The category of the commitment. Category MACHINE specifies commitments composed of machine resources such as VCPU or MEMORY, listed in resources. Category LICENSE specifies commitments composed of software licenses, listed in licenseResources. Note that only MACHINE commitments should have a Type specified.", "enum": [ "CATEGORY_UNSPECIFIED", "LICENSE", "MACHINE" ], "type": "string" }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "type": { "description": "The type of commitment, which affects the discount rate and the eligible resources. Type MEMORY_OPTIMIZED specifies a commitment that will only apply to memory optimized machines. Type ACCELERATOR_OPTIMIZED specifies a commitment that will only apply to accelerator optimized machines.", "enum": [ "ACCELERATOR_OPTIMIZED", "COMPUTE_OPTIMIZED", "COMPUTE_OPTIMIZED_C2D", "GENERAL_PURPOSE", "GENERAL_PURPOSE_E2", "GENERAL_PURPOSE_N2", "GENERAL_PURPOSE_N2D", "GENERAL_PURPOSE_T2D", "MEMORY_OPTIMIZED", "MEMORY_OPTIMIZED_M3", "TYPE_UNSPECIFIED" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ] }, "status": { "type": "string", "enum": [ "ACTIVE", "CANCELLED", "CREATING", "EXPIRED", "NOT_YET_ACTIVE" ], "enumDescriptions": [ "", "", "", "", "" ], "description": "[Output Only] Status of the commitment with regards to eventual expiration (each commitment has an end date defined). One of the following values: NOT_YET_ACTIVE, ACTIVE, EXPIRED." }, "startTimestamp": { "description": "[Output Only] Commitment start time in RFC3339 text format.", "type": "string" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "mergeSourceCommitments": { "items": { "type": "string" }, "description": "List of source commitments to be merged into a new commitment.", "type": "array" }, "endTimestamp": { "description": "[Output Only] Commitment end time in RFC3339 text format.", "type": "string" }, "statusMessage": { "type": "string", "description": "[Output Only] An optional, human-readable explanation of the status." }, "splitSourceCommitment": { "description": "Source commitment to be splitted into a new commitment.", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "plan": { "enum": [ "INVALID", "THIRTY_SIX_MONTH", "TWELVE_MONTH" ], "enumDescriptions": [ "", "", "" ], "description": "The plan for this commitment, which determines duration and discount rate. The currently supported plans are TWELVE_MONTH (1 year), and THIRTY_SIX_MONTH (3 years).", "type": "string" }, "resources": { "items": { "$ref": "ResourceCommitment" }, "type": "array", "description": "A list of commitment amounts for particular resources. Note that VCPU and MEMORY resource commitments must occur together." }, "autoRenew": { "type": "boolean", "description": "Specifies whether to enable automatic renewal for the commitment. The default value is false if not specified. The field can be updated until the day of the commitment expiration at 12:00am PST. If the field is set to true, the commitment will be automatically renewed for either one or three years according to the terms of the existing commitment." }, "reservations": { "type": "array", "description": "List of reservations in this commitment.", "items": { "$ref": "Reservation" } }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" } }, "description": "Represents a regional Commitment resource. Creating a commitment resource means that you are purchasing a committed use contract with an explicit start and end time. You can create commitments based on vCPUs and memory usage and receive discounted rates. For full details, read Signing Up for Committed Use Discounts.", "id": "Commitment" }, "InstanceGroupManagersRecreateInstancesRequest": { "type": "object", "properties": { "instances": { "items": { "type": "string" }, "description": "The URLs of one or more instances to recreate. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "type": "array" } }, "id": "InstanceGroupManagersRecreateInstancesRequest" }, "SavedAttachedDisk": { "type": "object", "description": "DEPRECATED: Please use compute#savedDisk instead. An instance-attached disk resource.", "properties": { "mode": { "enumDescriptions": [ "Attaches this disk in read-only mode. Multiple virtual machines can use a disk in read-only mode at a time.", "*[Default]* Attaches this disk in read-write mode. Only one virtual machine at a time can be attached to a disk in read-write mode." ], "enum": [ "READ_ONLY", "READ_WRITE" ], "type": "string", "description": "The mode in which this disk is attached to the source instance, either READ_WRITE or READ_ONLY." }, "deviceName": { "type": "string", "description": "Specifies the name of the disk attached to the source instance." }, "type": { "enumDescriptions": [ "", "" ], "type": "string", "description": "Specifies the type of the attached disk, either SCRATCH or PERSISTENT.", "enum": [ "PERSISTENT", "SCRATCH" ] }, "diskSizeGb": { "format": "int64", "description": "The size of the disk in base-2 GB.", "type": "string" }, "source": { "type": "string", "description": "Specifies a URL of the disk attached to the source instance." }, "diskEncryptionKey": { "description": "The encryption key for the disk.", "$ref": "CustomerEncryptionKey" }, "storageBytes": { "type": "string", "description": "[Output Only] A size of the storage used by the disk's snapshot by this machine image.", "format": "int64" }, "diskType": { "description": "[Output Only] URL of the disk type resource. For example: projects/project /zones/zone/diskTypes/pd-standard or pd-ssd", "type": "string" }, "licenses": { "items": { "type": "string" }, "description": "[Output Only] Any valid publicly visible licenses.", "type": "array" }, "index": { "format": "int32", "description": "Specifies zero-based index of the disk that is attached to the source instance.", "type": "integer" }, "boot": { "type": "boolean", "description": "Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem." }, "autoDelete": { "type": "boolean", "description": "Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance)." }, "interface": { "enumDescriptions": [ "", "", "" ], "description": "Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME.", "enum": [ "NVDIMM", "NVME", "SCSI" ], "type": "string" }, "guestOsFeatures": { "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options.", "items": { "$ref": "GuestOsFeature" }, "type": "array" }, "storageBytesStatus": { "enum": [ "UPDATING", "UP_TO_DATE" ], "type": "string", "enumDescriptions": [ "", "" ], "description": "[Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#attachedDisk for attached disks.", "default": "compute#savedAttachedDisk", "type": "string" } }, "id": "SavedAttachedDisk" }, "DistributionPolicy": { "properties": { "targetShape": { "enumDescriptions": [ "The group picks zones for creating VM instances to fulfill the requested number of VMs within present resource constraints and to maximize utilization of unused zonal reservations. Recommended for batch workloads that do not require high availability.", "The group creates all VM instances within a single zone. The zone is selected based on the present resource constraints and to maximize utilization of unused zonal reservations. Recommended for batch workloads with heavy interprocess communication.", "The group prioritizes acquisition of resources, scheduling VMs in zones where resources are available while distributing VMs as evenly as possible across selected zones to minimize the impact of zonal failure. Recommended for highly available serving workloads.", "The group schedules VM instance creation and deletion to achieve and maintain an even number of managed instances across the selected zones. The distribution is even when the number of managed instances does not differ by more than 1 between any two zones. Recommended for highly available serving workloads." ], "description": "The distribution shape to which the group converges either proactively or on resize events (depending on the value set in updatePolicy.instanceRedistributionType).", "type": "string", "enum": [ "ANY", "ANY_SINGLE_ZONE", "BALANCED", "EVEN" ] }, "zones": { "type": "array", "description": "Zones where the regional managed instance group will create and manage its instances.", "items": { "$ref": "DistributionPolicyZoneConfiguration" } } }, "type": "object", "id": "DistributionPolicy" }, "RoutersScopedList": { "properties": { "routers": { "description": "A list of routers contained in this scope.", "items": { "$ref": "Router" }, "type": "array" }, "warning": { "description": "Informational warning which replaces the list of routers when the list is empty.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } } } } }, "id": "RoutersScopedList", "type": "object" }, "ResourcePolicyDiskConsistencyGroupPolicy": { "properties": {}, "id": "ResourcePolicyDiskConsistencyGroupPolicy", "type": "object", "description": "Resource policy for disk consistency groups." }, "InstanceGroupManager": { "id": "InstanceGroupManager", "description": "Represents a Managed Instance Group resource. An instance group is a collection of VM instances that you can manage as a single entity. For more information, read Instance groups. For zonal Managed Instance Group, use the instanceGroupManagers resource. For regional Managed Instance Group, use the regionInstanceGroupManagers resource.", "properties": { "versions": { "type": "array", "items": { "$ref": "InstanceGroupManagerVersion" }, "description": "Specifies the instance templates used by this managed instance group to create instances. Each version is defined by an instanceTemplate and a name. Every version can appear at most once per instance group. This field overrides the top-level instanceTemplate field. Read more about the relationships between these fields. Exactly one version must leave the targetSize field unset. That version will be applied to all remaining instances. For more information, read about canary updates." }, "baseInstanceName": { "description": "The base instance name to use for instances in this group. The value must be 1-58 characters long. Instances are named by appending a hyphen and a random four-character string to the base instance name. The base instance name must comply with RFC1035.", "annotations": { "required": [ "compute.instanceGroupManagers.insert" ] }, "pattern": "[a-z][-a-z0-9]{0,57}", "type": "string" }, "failoverAction": { "enum": [ "NO_FAILOVER", "UNKNOWN" ], "type": "string", "description": "The action to perform in case of zone failure. Only one value is supported, NO_FAILOVER. The default is NO_FAILOVER.", "enumDescriptions": [ "", "" ] }, "zone": { "type": "string", "description": "[Output Only] The URL of a zone where the managed instance group is located (for zonal resources)." }, "namedPorts": { "description": "Named ports configured for the Instance Groups complementary to this Instance Group Manager.", "items": { "$ref": "NamedPort" }, "type": "array" }, "targetPools": { "description": "The URLs for all TargetPool resources to which instances in the instanceGroup field are added. The target pools automatically apply to all of the instances in the managed instance group.", "type": "array", "items": { "type": "string" } }, "selfLink": { "type": "string", "description": "[Output Only] The URL for this managed instance group. The server defines this URL." }, "fingerprint": { "description": "Fingerprint of this resource. This field may be used in optimistic locking. It will be ignored when inserting an InstanceGroupManager. An up-to-date fingerprint must be provided in order to update the InstanceGroupManager, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an InstanceGroupManager.", "format": "byte", "type": "string" }, "kind": { "default": "compute#instanceGroupManager", "type": "string", "description": "[Output Only] The resource type, which is always compute#instanceGroupManager for managed instance groups." }, "allInstancesConfig": { "description": "Specifies configuration that overrides the instance template configuration for the group.", "$ref": "InstanceGroupManagerAllInstancesConfig" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "name": { "annotations": { "required": [ "compute.instanceGroupManagers.insert", "compute.regionInstanceGroupManagers.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the managed instance group. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string" }, "updatePolicy": { "$ref": "InstanceGroupManagerUpdatePolicy", "description": "The update policy for this managed instance group." }, "targetStoppedSize": { "format": "int32", "type": "integer", "description": "The target number of stopped instances for this managed instance group. This number changes when you: - Stop instance using the stopInstances method or start instances using the startInstances method. - Manually change the targetStoppedSize using the update method. " }, "targetSize": { "type": "integer", "format": "int32", "annotations": { "required": [ "compute.instanceGroupManagers.insert", "compute.regionInstanceGroupManagers.insert" ] }, "description": "The target number of running instances for this managed instance group. You can reduce this number by using the instanceGroupManager deleteInstances or abandonInstances methods. Resizing the group also changes this number." }, "standbyPolicy": { "$ref": "InstanceGroupManagerStandbyPolicy", "description": "Standby policy for stopped and suspended instances." }, "serviceAccount": { "type": "string", "description": "The service account to be used as credentials for all operations performed by the managed instance group on instances. The service accounts needs all permissions required to create and delete instances. By default, the service account {projectNumber}@cloudservices.gserviceaccount.com is used." }, "region": { "type": "string", "description": "[Output Only] The URL of the region where the managed instance group resides (for regional resources)." }, "statefulPolicy": { "$ref": "StatefulPolicy", "description": "Stateful configuration for this Instanced Group Manager" }, "listManagedInstancesResults": { "enumDescriptions": [ "(Default) Pagination is disabled for the group's listManagedInstances API method. maxResults and pageToken query parameters are ignored and all instances are returned in a single response.", "Pagination is enabled for the group's listManagedInstances API method. maxResults and pageToken query parameters are respected." ], "description": "Pagination behavior of the listManagedInstances API method for this managed instance group.", "enum": [ "PAGELESS", "PAGINATED" ], "type": "string" }, "instanceGroup": { "description": "[Output Only] The URL of the Instance Group resource.", "type": "string" }, "instanceLifecyclePolicy": { "$ref": "InstanceGroupManagerInstanceLifecyclePolicy", "description": "The repair policy for this managed instance group." }, "autoHealingPolicies": { "description": "The autohealing policy for this managed instance group. You can specify only one value.", "items": { "$ref": "InstanceGroupManagerAutoHealingPolicy" }, "type": "array" }, "instanceTemplate": { "description": "The URL of the instance template that is specified for this managed instance group. The group uses this template to create all new instances in the managed instance group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE.", "type": "string" }, "targetSuspendedSize": { "description": "The target number of suspended instances for this managed instance group. This number changes when you: - Suspend instance using the suspendInstances method or resume instances using the resumeInstances method. - Manually change the targetSuspendedSize using the update method. ", "type": "integer", "format": "int32" }, "id": { "type": "string", "description": "[Output Only] A unique identifier for this resource type. The server generates this identifier.", "format": "uint64" }, "creationTimestamp": { "type": "string", "description": "[Output Only] The creation timestamp for this managed instance group in RFC3339 text format." }, "description": { "type": "string", "description": "An optional description of this resource." }, "status": { "description": "[Output Only] The status of this managed instance group.", "$ref": "InstanceGroupManagerStatus" }, "distributionPolicy": { "$ref": "DistributionPolicy", "description": "Policy specifying the intended distribution of managed instances across zones in a regional managed instance group." }, "currentActions": { "$ref": "InstanceGroupManagerActionsSummary", "description": "[Output Only] The list of instance actions and the number of instances in this managed instance group that are scheduled for each of those actions." } }, "type": "object" }, "FirewallLogConfig": { "properties": { "enable": { "type": "boolean", "description": "This field denotes whether to enable logging for a particular firewall rule." }, "metadata": { "description": "This field can only be specified for a particular firewall rule if logging is enabled for that rule. This field denotes whether to include or exclude metadata for firewall logs.", "enum": [ "EXCLUDE_ALL_METADATA", "INCLUDE_ALL_METADATA" ], "enumDescriptions": [ "", "" ], "type": "string" } }, "id": "FirewallLogConfig", "description": "The available logging options for a firewall rule.", "type": "object" }, "InstanceGroupManagersAbandonInstancesRequest": { "properties": { "instances": { "items": { "type": "string" }, "description": "The URLs of one or more instances to abandon. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "type": "array" } }, "id": "InstanceGroupManagersAbandonInstancesRequest", "type": "object" }, "InterconnectCircuitInfo": { "id": "InterconnectCircuitInfo", "description": "Describes a single physical circuit between the Customer and Google. CircuitInfo objects are created by Google, so all fields are output only.", "properties": { "googleCircuitId": { "description": "Google-assigned unique ID for this circuit. Assigned at circuit turn-up.", "type": "string" }, "googleDemarcId": { "description": "Google-side demarc ID for this circuit. Assigned at circuit turn-up and provided by Google to the customer in the LOA.", "type": "string" }, "customerDemarcId": { "type": "string", "description": "Customer-side demarc ID for this circuit." } }, "type": "object" }, "Project": { "description": "Represents a Project resource. A project is used to organize resources in a Google Cloud Platform environment. For more information, read about the Resource Hierarchy.", "properties": { "commonInstanceMetadata": { "$ref": "Metadata", "description": "Metadata key/value pairs available to all instances contained in this project. See Custom metadata for more information." }, "xpnProjectStatus": { "enumDescriptions": [ "", "" ], "enum": [ "HOST", "UNSPECIFIED_XPN_PROJECT_STATUS" ], "description": "[Output Only] The role this project has in a shared VPC configuration. Currently, only projects with the host role, which is specified by the value HOST, are differentiated.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "quotas": { "type": "array", "items": { "$ref": "Quota" }, "description": "[Output Only] Quotas assigned to this project." }, "defaultServiceAccount": { "type": "string", "description": "[Output Only] Default service account used by VMs running in this project." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "enabledFeatures": { "description": "Restricted features enabled for use on this project.", "items": { "type": "string" }, "type": "array" }, "description": { "type": "string", "description": "An optional textual description of the resource." }, "name": { "type": "string", "description": "The project ID. For example: my-example-project. Use the project ID to make requests to Compute Engine." }, "defaultNetworkTier": { "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Price competitive network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "enum": [ "FIXED_STANDARD", "PREMIUM", "SELECT", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "type": "string", "description": "This signifies the default network tier used for configuring resources of the project and can only take the following values: PREMIUM, STANDARD. Initially the default network tier is PREMIUM." }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server. This is *not* the project ID, and is just a unique ID used by Compute Engine to identify resources.", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#project for projects.", "default": "compute#project", "type": "string" }, "usageExportLocation": { "$ref": "UsageExportLocation", "description": "The naming prefix for daily usage reports and the Google Cloud Storage bucket where they are stored." } }, "id": "Project", "type": "object" }, "HttpRetryPolicy": { "id": "HttpRetryPolicy", "description": "The retry policy associates with HttpRouteRule", "properties": { "numRetries": { "description": "Specifies the allowed number retries. This number must be \u003e 0. If not specified, defaults to 1.", "format": "uint32", "type": "integer" }, "perTryTimeout": { "$ref": "Duration", "description": "Specifies a non-zero timeout per retry attempt. If not specified, will use the timeout set in the HttpRouteAction field. If timeout in the HttpRouteAction field is not set, this field uses the largest timeout among all backend services associated with the route. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true." }, "retryConditions": { "items": { "type": "string" }, "description": "Specifies one or more conditions when this retry policy applies. Valid values are: - 5xx: retry is attempted if the instance or endpoint responds with any 5xx response code, or if the instance or endpoint does not respond at all. For example, disconnects, reset, read timeout, connection failure, and refused streams. - gateway-error: Similar to 5xx, but only applies to response codes 502, 503 or 504. - connect-failure: a retry is attempted on failures connecting to the instance or endpoint. For example, connection timeouts. - retriable-4xx: a retry is attempted if the instance or endpoint responds with a 4xx response code. The only error that you can retry is error code 409. - refused-stream: a retry is attempted if the instance or endpoint resets the stream with a REFUSED_STREAM error code. This reset type indicates that it is safe to retry. - cancelled: a retry is attempted if the gRPC status code in the response header is set to cancelled. - deadline-exceeded: a retry is attempted if the gRPC status code in the response header is set to deadline-exceeded. - internal: a retry is attempted if the gRPC status code in the response header is set to internal. - resource-exhausted: a retry is attempted if the gRPC status code in the response header is set to resource-exhausted. - unavailable: a retry is attempted if the gRPC status code in the response header is set to unavailable. Only the following codes are supported when the URL map is bound to target gRPC proxy that has validateForProxyless field set to true. - cancelled - deadline-exceeded - internal - resource-exhausted - unavailable ", "type": "array" } }, "type": "object" }, "CallCredentials": { "description": "[Deprecated] gRPC call credentials to access the SDS server. gRPC call credentials to access the SDS server.", "id": "CallCredentials", "type": "object", "properties": { "callCredentialType": { "type": "string", "enum": [ "FROM_PLUGIN", "GCE_VM", "INVALID" ], "enumDescriptions": [ "Custom authenticator credentials are used to access the SDS server.", "The local GCE VM service account credentials are used to access the SDS server.", "" ], "description": "The type of call credentials to use for GRPC requests to the SDS server. This field can be set to one of the following: - GCE_VM: The local GCE VM service account credentials are used to access the SDS server. - FROM_PLUGIN: Custom authenticator credentials are used to access the SDS server." }, "fromPlugin": { "$ref": "MetadataCredentialsFromPlugin", "description": "Custom authenticator credentials. Valid if callCredentialType is FROM_PLUGIN." } } }, "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy": { "id": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy", "properties": { "rules": { "items": { "$ref": "FirewallPolicyRule" }, "description": "The rules that apply to the network.", "type": "array" }, "type": { "type": "string", "enum": [ "HIERARCHY", "NETWORK", "NETWORK_REGIONAL", "UNSPECIFIED" ], "enumDescriptions": [ "", "", "", "" ], "description": "[Output Only] The type of the firewall policy. Can be one of HIERARCHY, NETWORK, NETWORK_REGIONAL." }, "name": { "type": "string", "description": "[Output Only] The name of the firewall policy." }, "displayName": { "description": "[Output Only] The display name of the firewall policy.", "type": "string" } }, "type": "object" }, "SslPoliciesAggregatedList": { "type": "object", "id": "SslPoliciesAggregatedList", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#sslPolicyAggregatedList for lists of SSL Policies.", "type": "string", "default": "compute#sslPoliciesAggregatedList" }, "etag": { "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "type": "object", "additionalProperties": { "$ref": "SslPoliciesScopedList", "description": "Name of the scope containing this set of SSL policies." }, "description": "A list of SslPoliciesScopedList resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object", "description": "[Output Only] Informational warning message." }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } } } }, "InstanceGroupsListInstances": { "type": "object", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "items": { "$ref": "InstanceWithNamedPorts" }, "type": "array", "description": "A list of InstanceWithNamedPorts resources." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } }, "kind": { "default": "compute#instanceGroupsListInstances", "description": "[Output Only] The resource type, which is always compute#instanceGroupsListInstances for the list of instances in the specified instance group.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "InstanceGroupsListInstances" }, "CacheKeyPolicy": { "id": "CacheKeyPolicy", "description": "Message containing what to include in the cache key for a request for Cloud CDN.", "properties": { "includeProtocol": { "description": "If true, http and https requests will be cached separately.", "type": "boolean" }, "queryStringBlacklist": { "type": "array", "items": { "type": "string" }, "description": "Names of query string parameters to exclude in cache keys. All other parameters will be included. Either specify query_string_whitelist or query_string_blacklist, not both. '&' and '=' will be percent encoded and not treated as delimiters." }, "includeHost": { "description": "If true, requests to different hosts will be cached separately.", "type": "boolean" }, "includeNamedCookies": { "description": "Allows HTTP cookies (by name) to be used in the cache key. The name=value pair will be used in the cache key Cloud CDN generates.", "items": { "type": "string" }, "type": "array" }, "queryStringWhitelist": { "type": "array", "items": { "type": "string" }, "description": "Names of query string parameters to include in cache keys. All other parameters will be excluded. Either specify query_string_whitelist or query_string_blacklist, not both. '&' and '=' will be percent encoded and not treated as delimiters." }, "includeQueryString": { "description": "If true, include query string parameters in the cache key according to query_string_whitelist and query_string_blacklist. If neither is set, the entire query string will be included. If false, the query string will be excluded from the cache key entirely.", "type": "boolean" }, "includeHttpHeaders": { "type": "array", "items": { "type": "string" }, "description": "Allows HTTP request headers (by name) to be used in the cache key." } }, "type": "object" }, "AliasIpRange": { "id": "AliasIpRange", "description": "An alias IP range attached to an instance's network interface.", "properties": { "ipCidrRange": { "type": "string", "description": "The IP alias ranges to allocate for this interface. This IP CIDR range must belong to the specified subnetwork and cannot contain IP addresses reserved by system or used by other network interfaces. This range may be a single IP address (such as 10.2.3.4), a netmask (such as /24) or a CIDR-formatted string (such as 10.1.2.0/24)." }, "subnetworkRangeName": { "type": "string", "description": "The name of a subnetwork secondary IP range from which to allocate an IP alias range. If not specified, the primary range of the subnetwork is used." } }, "type": "object" }, "BackendServiceReference": { "type": "object", "id": "BackendServiceReference", "properties": { "backendService": { "type": "string" } } }, "StatefulPolicyPreservedStateDiskDevice": { "type": "object", "properties": { "autoDelete": { "enum": [ "NEVER", "ON_PERMANENT_INSTANCE_DELETION" ], "type": "string", "description": "These stateful disks will never be deleted during autohealing, update or VM instance recreate operations. This flag is used to configure if the disk should be deleted after it is no longer used by the group, e.g. when the given instance or the whole group is deleted. Note: disks attached in READ_ONLY mode cannot be auto-deleted.", "enumDescriptions": [ "", "" ] } }, "id": "StatefulPolicyPreservedStateDiskDevice" }, "DiskAggregatedList": { "type": "object", "properties": { "items": { "additionalProperties": { "$ref": "DisksScopedList", "description": "[Output Only] Name of the scope containing this set of disks." }, "description": "A list of DisksScopedList resources.", "type": "object" }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#diskAggregatedList for aggregated lists of persistent disks.", "default": "compute#diskAggregatedList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." } }, "id": "DiskAggregatedList" }, "InstancePropertiesPatch": { "description": "Represents the change that you want to make to the instance properties.", "properties": { "labels": { "additionalProperties": { "type": "string" }, "description": "The label key-value pairs that you want to patch onto the instance.", "type": "object" }, "metadata": { "type": "object", "description": "The metadata key-value pairs that you want to patch onto the instance. For more information, see Project and instance metadata.", "additionalProperties": { "type": "string" } } }, "type": "object", "id": "InstancePropertiesPatch" }, "InstancesGetEffectiveFirewallsResponseOrganizationFirewallPolicy": { "properties": { "id": { "type": "string", "format": "uint64", "description": "The unique identifier for the security policy. This identifier is defined by the server." }, "rules": { "items": { "$ref": "SecurityPolicyRule" }, "description": "The rules that apply to the network.", "type": "array" } }, "description": "A pruned SecurityPolicy containing ID and any applicable firewall rules.", "id": "InstancesGetEffectiveFirewallsResponseOrganizationFirewallPolicy", "type": "object" }, "Address": { "type": "object", "properties": { "addressType": { "description": "The type of address to reserve, either INTERNAL or EXTERNAL. If unspecified, defaults to EXTERNAL.", "type": "string", "enumDescriptions": [ "DNS resolver address in the subnetwork.", "A publicly visible external IP address.", "A private network IP address, for use with an Instance or Internal Load Balancer forwarding rule.", "" ], "enum": [ "DNS_FORWARDING", "EXTERNAL", "INTERNAL", "UNSPECIFIED_TYPE" ] }, "description": { "type": "string", "description": "An optional description of this resource. Provide this field when you create the resource." }, "ipv6EndpointType": { "type": "string", "description": "The endpoint type of this address, which should be VM. This is used for deciding which endpoint this address will be assigned to during the IPv6 external IP address reservation.", "enum": [ "VM" ], "enumDescriptions": [ "Reserved IPv6 address will be assigned to VM." ] }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "users": { "type": "array", "description": "[Output Only] The URLs of the resources that are using this address.", "items": { "type": "string" } }, "labelFingerprint": { "type": "string", "format": "byte", "description": "A fingerprint for the labels being applied to this Address, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an Address." }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "purpose": { "description": "The purpose of this resource, which can be one of the following values: - GCE_ENDPOINT for addresses that are used by VM instances, alias IP ranges, load balancers, and similar resources. - DNS_RESOLVER for a DNS resolver address in a subnetwork for a Cloud DNS inbound forwarder IP addresses (regional internal IP address in a subnet of a VPC network) - VPC_PEERING for global internal IP addresses used for private services access allocated ranges. - NAT_AUTO for the regional external IP addresses used by Cloud NAT when allocating addresses using automatic NAT IP address allocation. - IPSEC_INTERCONNECT for addresses created from a private IP range that are reserved for a VLAN attachment in an *IPsec-encrypted Cloud Interconnect* configuration. These addresses are regional resources. Not currently available publicly. - `SHARED_LOADBALANCER_VIP` for an internal IP address that is assigned to multiple internal forwarding rules. - `PRIVATE_SERVICE_CONNECT` for a private network address that is used to configure Private Service Connect. Only global internal addresses can use this purpose. ", "enum": [ "DNS_RESOLVER", "GCE_ENDPOINT", "IPSEC_INTERCONNECT", "NAT_AUTO", "PRIVATE_SERVICE_CONNECT", "SERVERLESS", "SHARED_LOADBALANCER_VIP", "VPC_PEERING" ], "enumDescriptions": [ "DNS resolver address in the subnetwork.", "VM internal/alias IP, Internal LB service IP, etc.", "A regional internal IP address range reserved for the VLAN attachment that is used in IPsec-encrypted Cloud Interconnect. This regional internal IP address range must not overlap with any IP address range of subnet/route in the VPC network and its peering networks. After the VLAN attachment is created with the reserved IP address range, when creating a new VPN gateway, its interface IP address is allocated from the associated VLAN attachment’s IP address range.", "External IP automatically reserved for Cloud NAT.", "A private network IP address that can be used to configure Private Service Connect. This purpose can be specified only for GLOBAL addresses of Type INTERNAL", "A regional internal IP address range reserved for Serverless.", "A private network IP address that can be shared by multiple Internal Load Balancer forwarding rules.", "IP range for peer networks." ], "type": "string" }, "status": { "enumDescriptions": [ "Address is being used by another resource and is not available.", "Address is reserved and available to use.", "Address is being reserved." ], "type": "string", "enum": [ "IN_USE", "RESERVED", "RESERVING" ], "description": "[Output Only] The status of the address, which can be one of RESERVING, RESERVED, or IN_USE. An address that is RESERVING is currently in the process of being reserved. A RESERVED address is currently reserved and available to use. An IN_USE address is currently being used by another resource and is not available." }, "subnetwork": { "description": "The URL of the subnetwork in which to reserve the address. If an IP address is specified, it must be within the subnetwork's IP range. This field can only be used with INTERNAL type with a GCE_ENDPOINT or DNS_RESOLVER purpose.", "type": "string" }, "kind": { "type": "string", "default": "compute#address", "description": "[Output Only] Type of the resource. Always compute#address for addresses." }, "networkTier": { "enum": [ "FIXED_STANDARD", "PREMIUM", "SELECT", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "description": "This signifies the networking tier used for configuring this address and can only take the following values: PREMIUM or STANDARD. Internal IP addresses are always Premium Tier; global external IP addresses are always Premium Tier; regional external IP addresses can be either Standard or Premium Tier. If this field is not specified, it is assumed to be PREMIUM.", "type": "string", "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Price competitive network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ] }, "address": { "description": "The static IP address represented by this resource.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.addresses.insert" ] }, "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.", "type": "string" }, "prefixLength": { "format": "int32", "description": "The prefix length if the resource represents an IP range.", "type": "integer" }, "region": { "type": "string", "description": "[Output Only] The URL of the region where a regional address resides. For regional addresses, you must specify the region as a path parameter in the HTTP request URL. *This field is not applicable to global addresses.*" }, "network": { "type": "string", "description": "The URL of the network in which to reserve the address. This field can only be used with INTERNAL type with the VPC_PEERING purpose." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "type": "object" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "ipVersion": { "description": "The IP version that will be used by this address. Valid options are IPV4 or IPV6. This can only be specified for a global address.", "enum": [ "IPV4", "IPV6", "UNSPECIFIED_VERSION" ], "type": "string", "enumDescriptions": [ "", "", "" ] } }, "description": "Represents an IP Address resource. Google Compute Engine has two IP Address resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global (external and internal)](https://cloud.google.com/compute/docs/reference/rest/alpha/globalAddresses) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional (external and internal)](https://cloud.google.com/compute/docs/reference/rest/alpha/addresses) For more information, see Reserving a static external IP address.", "id": "Address" }, "TargetInstanceAggregatedList": { "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } } } }, "kind": { "default": "compute#targetInstanceAggregatedList", "description": "Type of resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "description": "A list of TargetInstance resources.", "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of target instances.", "$ref": "TargetInstancesScopedList" } } }, "type": "object", "id": "TargetInstanceAggregatedList" }, "ImageFamilyView": { "properties": { "image": { "description": "The latest image that is part of the specified image family in the requested location, and that is not deprecated.", "$ref": "Image" } }, "type": "object", "id": "ImageFamilyView" }, "InstancesScopedList": { "type": "object", "properties": { "instances": { "items": { "$ref": "Instance" }, "description": "[Output Only] A list of instances contained in this scope.", "type": "array" }, "warning": { "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning which replaces the list of instances when the list is empty.", "type": "object" } }, "id": "InstancesScopedList" }, "InterconnectMacsec": { "properties": { "failOpen": { "description": "If set to true, the Interconnect will be configured with a should-secure MACsec security policy, that allows the Google router to fallback to cleartext traffic if the MKA session cannot be established. By default, the Interconnect will be configured with a must-secure security policy that drops all traffic if the MKA session cannot be established with your router.", "type": "boolean" }, "preSharedKeys": { "description": "Required. A keychain placeholder describing a set of named key objects along with their start times. A MACsec CKN/CAK will be generated for each key in the key chain. Google router will automatically pick the key with the most recent startTime when establishing or re-establishing a MACsec secure link.", "type": "array", "items": { "$ref": "InterconnectMacsecPreSharedKey" } } }, "id": "InterconnectMacsec", "description": "Configuration information for enabling Media Access Control security (Macsec) on this Interconnect between Google and your on-premises router.", "type": "object" }, "TargetSslProxiesSetProxyHeaderRequest": { "id": "TargetSslProxiesSetProxyHeaderRequest", "type": "object", "properties": { "proxyHeader": { "description": "The new type of proxy header to append before sending data to the backend. NONE or PROXY_V1 are allowed.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "NONE", "PROXY_V1" ] } } }, "RouterNatLogConfig": { "description": "Configuration of logging on a NAT.", "id": "RouterNatLogConfig", "type": "object", "properties": { "enable": { "type": "boolean", "description": "Indicates whether or not to export logs. This is false by default." }, "filter": { "description": "Specify the desired filtering of logs on this NAT. If unspecified, logs are exported for all connections handled by this NAT. This option can take one of the following values: - ERRORS_ONLY: Export logs only for connection failures. - TRANSLATIONS_ONLY: Export logs only for successful connections. - ALL: Export logs for all connections, successful and unsuccessful. ", "type": "string", "enum": [ "ALL", "ERRORS_ONLY", "TRANSLATIONS_ONLY" ], "enumDescriptions": [ "Export logs for all (successful and unsuccessful) connections.", "Export logs for connection failures only.", "Export logs for successful connections only." ] } } }, "InterconnectRemoteLocation": { "properties": { "address": { "type": "string", "description": "[Output Only] The postal address of the Point of Presence, each line in the address is separated by a newline character." }, "permittedConnections": { "$ref": "InterconnectRemoteLocationPermittedConnections", "description": "[Output-only] Permitted connections." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#interconnectRemoteLocation for interconnect remote locations.", "default": "compute#interconnectRemoteLocation", "type": "string" }, "facilityProviderFacilityId": { "type": "string", "description": "[Output Only] A provider-assigned Identifier for this facility (e.g., Ashburn-DC1)." }, "description": { "description": "[Output Only] An optional description of the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "status": { "description": "[Output Only] The status of this InterconnectRemoteLocation, which can take one of the following values: - CLOSED: The InterconnectRemoteLocation is closed and is unavailable for provisioning new Cross-Cloud Interconnects. - AVAILABLE: The InterconnectRemoteLocation is available for provisioning new Cross-Cloud Interconnects. ", "enumDescriptions": [ "The InterconnectRemoteLocation is available for provisioning new Cross-Cloud Interconnects.", "The InterconnectRemoteLocation is closed for provisioning new Cross-Cloud Interconnects." ], "type": "string", "enum": [ "AVAILABLE", "CLOSED" ] }, "continent": { "type": "string", "description": "[Output Only] Continent for this location, which can take one of the following values: - AFRICA - ASIA_PAC - EUROPE - NORTH_AMERICA - SOUTH_AMERICA ", "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "AFRICA", "ASIA_PAC", "EUROPE", "NORTH_AMERICA", "SOUTH_AMERICA" ] }, "city": { "type": "string", "description": "[Output Only] Metropolitan area designator that indicates which city an interconnect is located. For example: \"Chicago, IL\", \"Amsterdam, Netherlands\"." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "peeringdbFacilityId": { "type": "string", "description": "[Output Only] The peeringdb identifier for this facility (corresponding with a netfac type in peeringdb)." }, "remoteService": { "type": "string", "description": "[Output Only] Indicates the service provider present at the remote location. Example values: \"Amazon Web Services\", \"Microsoft Azure\"." }, "facilityProvider": { "description": "[Output Only] The name of the provider for this facility (e.g., EQUINIX).", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "name": { "type": "string", "description": "[Output Only] Name of the resource." } }, "id": "InterconnectRemoteLocation", "type": "object", "description": "Represents an Cross-Cloud Interconnect Remote Location resource. You can use this resource to find remote location details about an Interconnect attachment (VLAN)." }, "TargetVpnGatewayAggregatedList": { "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" } }, "description": "[Output Only] Informational warning message." }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.", "default": "compute#targetVpnGatewayAggregatedList", "type": "string" }, "items": { "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of target VPN gateways.", "$ref": "TargetVpnGatewaysScopedList" }, "type": "object", "description": "A list of TargetVpnGateway resources." } }, "id": "TargetVpnGatewayAggregatedList" }, "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse": { "type": "object", "id": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse", "properties": { "firewallPolicys": { "description": "Effective firewalls from firewall policy.", "type": "array", "items": { "$ref": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy" } }, "firewalls": { "items": { "$ref": "Firewall" }, "type": "array", "description": "Effective firewalls on the network." } } }, "RegionDisksStopGroupAsyncReplicationRequest": { "type": "object", "properties": { "resourcePolicy": { "type": "string", "description": "The URL of the DiskConsistencyGroupPolicy for the group of disks to stop. This may be a full or partial URL, such as: - https://www.googleapis.com/compute/v1/projects/project/regions/region /resourcePolicies/resourcePolicy - projects/project/regions/region/resourcePolicies/resourcePolicy - regions/region/resourcePolicies/resourcePolicy " } }, "id": "RegionDisksStopGroupAsyncReplicationRequest" }, "AcceleratorTypeAggregatedList": { "type": "object", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#acceleratorTypeAggregatedList for aggregated lists of accelerator types.", "type": "string", "default": "compute#acceleratorTypeAggregatedList" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of AcceleratorTypesScopedList resources.", "type": "object", "additionalProperties": { "$ref": "AcceleratorTypesScopedList", "description": "[Output Only] Name of the scope containing this set of accelerator types." } }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } } }, "id": "AcceleratorTypeAggregatedList" }, "NotificationEndpointsScopedList": { "type": "object", "properties": { "warning": { "type": "object", "description": "Informational warning which replaces the list of notification endpoints when the list is empty.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } }, "resources": { "description": "A list of NotificationEndpoints contained in this scope.", "items": { "$ref": "NotificationEndpoint" }, "type": "array" } }, "id": "NotificationEndpointsScopedList" }, "ResourcePolicyGroupPlacementPolicy": { "id": "ResourcePolicyGroupPlacementPolicy", "description": "A GroupPlacementPolicy specifies resource placement configuration. It specifies the failure bucket separation as well as network locality", "type": "object", "properties": { "locality": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "BEST_EFFORT", "STRICT", "UNSPECIFIED_LOCALITY" ], "description": "Specifies network locality" }, "style": { "enum": [ "COMPACT", "FULLY_SPREAD", "UNSPECIFIED_PLACEMENT_TYPE" ], "description": "Specifies instances to hosts placement relationship", "type": "string", "enumDescriptions": [ "VMs are placed without regard for shared hosts", "VMs do not share the same hosts", "" ] }, "scope": { "type": "string", "enum": [ "HOST", "UNSPECIFIED_SCOPE" ], "description": "Scope specifies the availability domain to which the VMs should be spread.", "enumDescriptions": [ "Specifies availability domain scope across hosts. VMs will be spread across different hosts.", "VMs will be spread across different instrastructure to not share power, host and networking." ] }, "vmCount": { "type": "integer", "description": "Number of VMs in this placement group. Google does not recommend that you use this field unless you use a compact policy and you want your policy to work only if it contains this exact number of VMs.", "format": "int32" }, "collocation": { "enumDescriptions": [ "Specifies collocation option that provides tight collocation with minimum network latency.", "", "" ], "type": "string", "enum": [ "CLUSTERED", "COLLOCATED", "UNSPECIFIED_COLLOCATION" ], "description": "Specifies network collocation" }, "availabilityDomainCount": { "format": "int32", "description": "The number of availability domains to spread instances across. If two instances are in different availability domain, they are not in the same low latency network.", "type": "integer" } } }, "InstanceConsumptionInfo": { "type": "object", "properties": { "memoryMb": { "format": "int32", "type": "integer", "description": "The amount of physical memory available to the instance, defined in MiB." }, "localSsdGb": { "type": "integer", "format": "int32", "description": "The amount of local SSD storage available to the instance, defined in GiB." }, "guestCpus": { "format": "int32", "description": "The number of virtual CPUs that are available to the instance.", "type": "integer" }, "minNodeCpus": { "type": "integer", "description": "The minimal guaranteed number of virtual CPUs that are reserved.", "format": "int32" } }, "id": "InstanceConsumptionInfo" }, "StatefulPolicyPreservedStateNetworkIp": { "properties": { "autoDelete": { "description": "These stateful IPs will never be released during autohealing, update or VM instance recreate operations. This flag is used to configure if the IP reservation should be deleted after it is no longer used by the group, e.g. when the given instance or the whole group is deleted.", "enum": [ "NEVER", "ON_PERMANENT_INSTANCE_DELETION" ], "enumDescriptions": [ "", "" ], "type": "string" } }, "type": "object", "id": "StatefulPolicyPreservedStateNetworkIp" }, "GrpcServiceConfig": { "description": "[Deprecated] gRPC config to access the SDS server. gRPC config to access the SDS server.", "properties": { "targetUri": { "description": "The target URI of the SDS server.", "type": "string" }, "callCredentials": { "description": "The call credentials to access the SDS server.", "$ref": "CallCredentials" }, "channelCredentials": { "$ref": "ChannelCredentials", "description": "The channel credentials to access the SDS server." } }, "id": "GrpcServiceConfig", "type": "object" }, "DiskResourceStatus": { "type": "object", "id": "DiskResourceStatus", "properties": { "asyncPrimaryDisk": { "$ref": "DiskResourceStatusAsyncReplicationStatus" }, "asyncSecondaryDisks": { "type": "object", "additionalProperties": { "$ref": "DiskResourceStatusAsyncReplicationStatus" }, "description": "Key: disk, value: AsyncReplicationStatus message" } } }, "HttpHealthCheckList": { "type": "object", "id": "HttpHealthCheckList", "properties": { "kind": { "default": "compute#httpHealthCheckList", "type": "string", "description": "Type of resource." }, "items": { "type": "array", "description": "A list of HttpHealthCheck resources.", "items": { "$ref": "HttpHealthCheck" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" } }, "description": "[Output Only] Informational warning message." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "description": "Contains a list of HttpHealthCheck resources." }, "InstancesSetNameRequest": { "type": "object", "id": "InstancesSetNameRequest", "properties": { "name": { "type": "string", "description": "The name to be applied to the instance. Needs to be RFC 1035 compliant." }, "currentName": { "description": "The current name of this resource, used to prevent conflicts. Provide the latest name when making a request to change name.", "type": "string" } } }, "HttpHeaderMatch": { "type": "object", "description": "matchRule criteria for request header matches.", "properties": { "suffixMatch": { "description": "The value of the header must end with the contents of suffixMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.", "type": "string" }, "headerName": { "type": "string", "description": "The name of the HTTP header to match. For matching against the HTTP request's authority, use a headerMatch with the header name \":authority\". For matching a request's method, use the headerName \":method\". When the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true, only non-binary user-specified custom metadata and the `content-type` header are supported. The following transport-level headers cannot be used in header matching rules: `:authority`, `:method`, `:path`, `:scheme`, `user-agent`, `accept-encoding`, `content-encoding`, `grpc-accept-encoding`, `grpc-encoding`, `grpc-previous-rpc-attempts`, `grpc-tags-bin`, `grpc-timeout` and `grpc-trace-bin`." }, "exactMatch": { "type": "string", "description": "The value should exactly match contents of exactMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set." }, "regexMatch": { "type": "string", "description": "The value of the header must match the regular expression specified in regexMatch. For more information about regular expression syntax, see Syntax. For matching against a port specified in the HTTP request, use a headerMatch with headerName set to PORT and a regular expression that satisfies the RFC2616 Host header's port specifier. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set. regexMatch only applies to load balancers that have loadBalancingScheme set to INTERNAL_SELF_MANAGED." }, "invertMatch": { "description": "If set to false, the headerMatch is considered a match if the preceding match criteria are met. If set to true, the headerMatch is considered a match if the preceding match criteria are NOT met. The default setting is false. ", "type": "boolean" }, "presentMatch": { "type": "boolean", "description": "A header with the contents of headerName must exist. The match takes place whether or not the request's header has a value. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set." }, "prefixMatch": { "description": "The value of the header must start with the contents of prefixMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.", "type": "string" }, "rangeMatch": { "description": "The header value must be an integer and its value must be in the range specified in rangeMatch. If the header does not contain an integer, number or is empty, the match fails. For example for a range [-5, 0] - -3 will match. - 0 will not match. - 0.25 will not match. - -3someString will not match. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set. rangeMatch is not supported for load balancers that have loadBalancingScheme set to EXTERNAL.", "$ref": "Int64RangeMatch" } }, "id": "HttpHeaderMatch" }, "InstanceList": { "description": "Contains a list of instances.", "id": "InstanceList", "properties": { "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "kind": { "description": "[Output Only] Type of resource. Always compute#instanceList for lists of Instance resources.", "default": "compute#instanceList", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of Instance resources.", "items": { "$ref": "Instance" }, "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "type": "object" }, "InstanceGroupManagerStatusAllInstancesConfig": { "id": "InstanceGroupManagerStatusAllInstancesConfig", "properties": { "currentRevision": { "type": "string", "description": "[Output Only] Current all-instances configuration revision. This value is in RFC3339 text format." }, "effective": { "description": "[Output Only] A bit indicating whether this configuration has been applied to all managed instances in the group.", "type": "boolean" } }, "type": "object" }, "DisksAddResourcePoliciesRequest": { "properties": { "resourcePolicies": { "description": "Full or relative path to the resource policy to be added to this disk. You can only specify one resource policy.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "DisksAddResourcePoliciesRequest" }, "InstantSnapshotList": { "id": "InstantSnapshotList", "type": "object", "description": "Contains a list of InstantSnapshot resources.", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "default": "compute#instantSnapshotList", "type": "string", "description": "Type of resource." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "items": { "items": { "$ref": "InstantSnapshot" }, "type": "array", "description": "A list of InstantSnapshot resources." } } }, "MutualTls": { "type": "object", "description": "[Deprecated] Configuration for the mutual Tls mode for peer authentication. Configuration for the mutual Tls mode for peer authentication.", "properties": { "mode": { "enumDescriptions": [ "", "Client certificate can be omitted, connection can be either plaintext or TLS.", "Client certificate must be presented, connection is in TLS." ], "description": "Specifies if the server TLS is configured to be strict or permissive. This field can be set to one of the following: STRICT: Client certificate must be presented, connection is in TLS. PERMISSIVE: Client certificate can be omitted, connection can be either plaintext or TLS.", "type": "string", "enum": [ "INVALID", "PERMISSIVE", "STRICT" ] } }, "id": "MutualTls" }, "AttachedDiskInitializeParams": { "id": "AttachedDiskInitializeParams", "description": "[Input Only] Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance. This field is persisted and returned for instanceTemplate and not returned in the context of instance. This property is mutually exclusive with the source property; you can only define one or the other, but not both.", "type": "object", "properties": { "sourceInstantSnapshot": { "type": "string", "description": "The source instant-snapshot to create this disk. When creating a new instance, one of initializeParams.sourceSnapshot or initializeParams.sourceInstantSnapshot initializeParams.sourceImage or disks.source is required except for local SSD. To create a disk with a snapshot that you created, specify the snapshot name in the following format: us-central1-a/instantSnapshots/my-backup If the source instant-snapshot is deleted later, this field will not be set." }, "sourceImageEncryptionKey": { "description": "The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key. Instance templates do not store customer-supplied encryption keys, so you cannot create disks for instances in a managed instance group if the source images are encrypted with your own keys.", "$ref": "CustomerEncryptionKey" }, "resourcePolicies": { "description": "Resource policies applied to this disk for automatic snapshot creations. Specified using the full or partial URL. For instance template, specify only the resource policy name.", "type": "array", "items": { "type": "string" } }, "sourceSnapshotEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source snapshot." }, "architecture": { "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "type": "string", "description": "The architecture of the attached disk. Valid values are arm64 or x86_64.", "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ] }, "sourceImage": { "description": "The source image to create this disk. When creating a new instance, one of initializeParams.sourceImage or initializeParams.sourceSnapshot or disks.source is required except for local SSD. To create a disk with one of the public operating system images, specify the image by its family name. For example, specify family/debian-9 to use the latest Debian 9 image: projects/debian-cloud/global/images/family/debian-9 Alternatively, use a specific version of a public operating system image: projects/debian-cloud/global/images/debian-9-stretch-vYYYYMMDD To create a disk with a custom image that you created, specify the image name in the following format: global/images/my-custom-image You can also specify a custom image by its image family, which returns the latest version of the image in that family. Replace the image name with family/family-name: global/images/family/my-image-family If the source image is deleted later, this field will not be set.", "type": "string" }, "onUpdateAction": { "description": "Specifies which action to take on instance update with this disk. Default is to use the existing disk.", "enum": [ "RECREATE_DISK", "RECREATE_DISK_IF_SOURCE_CHANGED", "USE_EXISTING_DISK" ], "enumDescriptions": [ "Always recreate the disk.", "Recreate the disk if source (image, snapshot) of this disk is different from source of existing disk.", "Use the existing disk, this is the default behaviour." ], "type": "string" }, "multiWriter": { "type": "boolean", "description": "Indicates whether or not the disk can be read/write attached to more than one instance." }, "guestOsFeatures": { "type": "array", "items": { "$ref": "GuestOsFeature" }, "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options. Guest OS features are applied by merging initializeParams.guestOsFeatures and disks.guestOsFeatures" }, "licenseCodes": { "description": "Integer license codes indicating which licenses are attached to this disk.", "items": { "type": "string", "format": "int64" }, "type": "array" }, "licenses": { "type": "array", "description": "A list of publicly visible licenses. Reserved for Google's use.", "items": { "type": "string" } }, "diskName": { "type": "string", "description": "Specifies the disk name. If not specified, the default is to use the name of the instance. If a disk with the same name already exists in the given region, the existing disk is attached to the new instance and the new disk is not created." }, "labels": { "description": "Labels to apply to this disk. These can be later modified by the disks.setLabels method. This field is only applicable for persistent disks.", "additionalProperties": { "type": "string" }, "type": "object" }, "diskSizeGb": { "type": "string", "description": "Specifies the size of the disk in base-2 GB. The size must be at least 10 GB. If you specify a sourceImage, which is required for boot disks, the default size is the size of the sourceImage. If you do not specify a sourceImage, the default disk size is 500 GB.", "format": "int64" }, "diskType": { "type": "string", "description": "Specifies the disk type to use to create the instance. If not specified, the default is pd-standard, specified using the full URL. For example: https://www.googleapis.com/compute/v1/projects/project/zones/zone /diskTypes/pd-standard For a full list of acceptable values, see Persistent disk types. If you define this field, you can provide either the full or partial URL. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /diskTypes/diskType - projects/project/zones/zone/diskTypes/diskType - zones/zone/diskTypes/diskType Note that for InstanceTemplate, this is the name of the disk type, not URL." }, "provisionedIops": { "format": "int64", "description": "Indicates how many IOPS to provision for the disk. This sets the number of I/O operations per second that the disk can handle. Values must be between 10,000 and 120,000. For more details, see the Extreme persistent disk documentation.", "type": "string" }, "interface": { "type": "string", "enum": [ "NVME", "SCSI", "UNSPECIFIED" ], "description": "[Deprecated] Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI.", "enumDescriptions": [ "", "", "" ] }, "replicaZones": { "type": "array", "description": "URLs of the zones where the disk should be replicated to. Only applicable for regional resources.", "items": { "type": "string" } }, "description": { "type": "string", "description": "An optional description. Provide this property when creating the disk." }, "sourceSnapshot": { "description": "The source snapshot to create this disk. When creating a new instance, one of initializeParams.sourceSnapshot or initializeParams.sourceImage or disks.source is required except for local SSD. To create a disk with a snapshot that you created, specify the snapshot name in the following format: global/snapshots/my-backup If the source snapshot is deleted later, this field will not be set.", "type": "string" } } }, "SourceInstanceParams": { "type": "object", "id": "SourceInstanceParams", "description": "A specification of the parameters to use when creating the instance template from a source instance.", "properties": { "diskConfigs": { "items": { "$ref": "DiskInstantiationConfig" }, "description": "Attached disks configuration. If not provided, defaults are applied: For boot disk and any other R/W disks, new custom images will be created from each disk. For read-only disks, they will be attached in read-only mode. Local SSD disks will be created as blank volumes.", "type": "array" } } }, "InterconnectLocationList": { "id": "InterconnectLocationList", "description": "Response to the list request, and contains a list of interconnect locations.", "properties": { "items": { "items": { "$ref": "InterconnectLocation" }, "type": "array", "description": "A list of InterconnectLocation resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "default": "compute#interconnectLocationList", "type": "string", "description": "[Output Only] Type of resource. Always compute#interconnectLocationList for lists of interconnect locations." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." } }, "type": "object" }, "NotificationEndpoint": { "properties": { "kind": { "type": "string", "default": "compute#notificationEndpoint", "description": "[Output Only] Type of the resource. Always compute#notificationEndpoint for notification endpoints." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] A unique identifier for this resource type. The server generates this identifier.", "format": "uint64" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the notification endpoint resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "grpcSettings": { "description": "Settings of the gRPC notification endpoint including the endpoint URL and the retry duration.", "$ref": "NotificationEndpointGrpcSettings" } }, "type": "object", "id": "NotificationEndpoint", "description": "Represents a notification endpoint. A notification endpoint resource defines an endpoint to receive notifications when there are status changes detected by the associated health check service. For more information, see Health checks overview." }, "SslPolicyReference": { "properties": { "sslPolicy": { "type": "string", "description": "URL of the SSL policy resource. Set this to empty string to clear any existing SSL policy associated with the target proxy resource." } }, "type": "object", "id": "SslPolicyReference" }, "SubnetworksSetPrivateIpGoogleAccessRequest": { "type": "object", "properties": { "privateIpGoogleAccess": { "type": "boolean" } }, "id": "SubnetworksSetPrivateIpGoogleAccessRequest" }, "NetworksGetEffectiveFirewallsResponse": { "type": "object", "id": "NetworksGetEffectiveFirewallsResponse", "properties": { "organizationFirewalls": { "description": "Effective firewalls from organization policies.", "type": "array", "items": { "$ref": "NetworksGetEffectiveFirewallsResponseOrganizationFirewallPolicy" } }, "firewalls": { "type": "array", "items": { "$ref": "Firewall" }, "description": "Effective firewalls on the network." }, "firewallPolicys": { "description": "Effective firewalls from firewall policy.", "items": { "$ref": "NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy" }, "type": "array" } } }, "PacketMirroringMirroredResourceInfoSubnetInfo": { "type": "object", "id": "PacketMirroringMirroredResourceInfoSubnetInfo", "properties": { "url": { "description": "Resource URL to the subnetwork for which traffic from/to all VM instances will be mirrored.", "type": "string" }, "canonicalUrl": { "type": "string", "description": "[Output Only] Unique identifier for the subnetwork; defined by the server." } } }, "BackendBucketCdnPolicyNegativeCachingPolicy": { "description": "Specify CDN TTLs for response error codes.", "properties": { "code": { "description": "The HTTP status code to define a TTL against. Only HTTP status codes 300, 301, 302, 307, 308, 404, 405, 410, 421, 451 and 501 are can be specified as values, and you cannot specify a status code more than once.", "type": "integer", "format": "int32" }, "ttl": { "format": "int32", "type": "integer", "description": "The TTL (in seconds) for which to cache responses with the corresponding status code. The maximum allowed value is 1800s (30 minutes), noting that infrequently accessed objects may be evicted from the cache before the defined TTL." } }, "type": "object", "id": "BackendBucketCdnPolicyNegativeCachingPolicy" }, "FirewallList": { "properties": { "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of Firewall resources.", "items": { "$ref": "Firewall" }, "type": "array" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "[Output Only] Type of resource. Always compute#firewallList for lists of firewalls.", "type": "string", "default": "compute#firewallList" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "description": "Contains a list of firewalls.", "type": "object", "id": "FirewallList" }, "FutureReservationStatus": { "properties": { "autoCreatedReservations": { "items": { "type": "string" }, "description": "Fully qualified urls of the automatically created reservations at start_time.", "type": "array" }, "fulfilledCount": { "description": "This count indicates the fulfilled capacity so far. This is set during \"PROVISIONING\" state. This count also includes capacity delivered as part of existing matching reservations.", "type": "string", "format": "int64" }, "lockTime": { "description": "Time when Future Reservation would become LOCKED, after which no modifications to Future Reservation will be allowed. Applicable only after the Future Reservation is in the APPROVED state. The lock_time is an RFC3339 string. The procurement_status will transition to PROCURING state at this time.", "type": "string" }, "procurementStatus": { "enum": [ "APPROVED", "CANCELLED", "COMMITTED", "DECLINED", "FAILED", "FAILED_PARTIALLY_FULFILLED", "FULFILLED", "PENDING_APPROVAL", "PROCUREMENT_STATUS_UNSPECIFIED", "PROCURING", "PROVISIONING" ], "enumDescriptions": [ "Future reservation is approved by GCP.", "Future reservation is cancelled by the customer.", "Future reservation is committed by the customer.", "Future reservation is rejected by GCP.", "Future reservation failed. No additional reservations were provided.", "Future reservation is partially fulfilled. Additional reservations were provided but did not reach total_count reserved instance slots.", "Future reservation is fulfilled completely.", "Future reservation is pending approval by GCP.", "", "Future reservation is being procured by GCP. Beyond this point, Future reservation is locked and no further modifications are allowed.", "Future reservation capacity is being provisioned. This state will be entered after start_time, while reservations are being created to provide total_count reserved instance slots. This state will not persist past start_time + 24h." ], "type": "string", "description": "Current state of this Future Reservation" } }, "type": "object", "description": "[Output only] Represents status related to the future reservation.", "id": "FutureReservationStatus" }, "ConfidentialInstanceConfig": { "id": "ConfidentialInstanceConfig", "type": "object", "properties": { "enableConfidentialCompute": { "description": "Defines whether the instance should have confidential compute enabled.", "type": "boolean" }, "confidentialInstanceType": { "type": "string", "enumDescriptions": [ "No type specified. Do not use this value.", "AMD Secure Encrypted Virtualization.", "AMD Secure Encrypted Virtualization - Secure Nested Paging." ], "enum": [ "CONFIDENTIAL_INSTANCE_TYPE_UNSPECIFIED", "SEV", "SEV_SNP" ], "description": "Defines the type of technology used by the confidential instance." } }, "description": "A set of Confidential Instance options." }, "TargetPool": { "properties": { "healthChecks": { "type": "array", "items": { "type": "string" }, "description": "The URL of the HttpHealthCheck resource. A member instance in this pool is considered healthy if and only if the health checks pass. Only legacy HttpHealthChecks are supported. Only one health check may be specified." }, "region": { "description": "[Output Only] URL of the region where the target pool resides.", "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "backupPool": { "description": "The server-defined URL for the resource. This field is applicable only when the containing target pool is serving a forwarding rule as the primary pool, and its failoverRatio field is properly set to a value between [0, 1]. backupPool and failoverRatio together define the fallback behavior of the primary target pool: if the ratio of the healthy instances in the primary pool is at or below failoverRatio, traffic arriving at the load-balanced IP will be directed to the backup pool. In case where failoverRatio and backupPool are not set, or all the instances in the backup pool are unhealthy, the traffic will be directed back to the primary pool in the \"force\" mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy.", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#targetPool for target pools.", "default": "compute#targetPool", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "failoverRatio": { "type": "number", "format": "float", "description": "This field is applicable only when the containing target pool is serving a forwarding rule as the primary pool (i.e., not as a backup pool to some other target pool). The value of the field must be in [0, 1]. If set, backupPool must also be set. They together define the fallback behavior of the primary target pool: if the ratio of the healthy instances in the primary pool is at or below this number, traffic arriving at the load-balanced IP will be directed to the backup pool. In case where failoverRatio is not set or all the instances in the backup pool are unhealthy, the traffic will be directed back to the primary pool in the \"force\" mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy." }, "instances": { "items": { "type": "string" }, "type": "array", "description": "A list of resource URLs to the virtual machine instances serving this pool. They must live in zones contained in the same region as this pool." }, "sessionAffinity": { "type": "string", "enum": [ "CLIENT_IP", "CLIENT_IP_NO_DESTINATION", "CLIENT_IP_PORT_PROTO", "CLIENT_IP_PROTO", "GENERATED_COOKIE", "HEADER_FIELD", "HTTP_COOKIE", "NONE" ], "description": "Session affinity option, must be one of the following values: NONE: Connections from the same client IP may go to any instance in the pool. CLIENT_IP: Connections from the same client IP will go to the same instance in the pool while that instance remains healthy. CLIENT_IP_PROTO: Connections from the same client IP with the same IP protocol will go to the same instance in the pool while that instance remains healthy.", "enumDescriptions": [ "2-tuple hash on packet's source and destination IP addresses. Connections from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy.", "1-tuple hash only on packet's source IP address. Connections from the same source IP address will be served by the same backend VM while that VM remains healthy. This option can only be used for Internal TCP/UDP Load Balancing.", "5-tuple hash on packet's source and destination IP addresses, IP protocol, and source and destination ports. Connections for the same IP protocol from the same source IP address and port to the same destination IP address and port will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "3-tuple hash on packet's source and destination IP addresses, and IP protocol. Connections for the same IP protocol from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "Hash based on a cookie generated by the L7 loadbalancer. Only valid for HTTP(S) load balancing.", "The hash is based on a user specified header field.", "The hash is based on a user provided cookie.", "No session affinity. Connections from the same client IP may go to any instance in the pool." ] }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" } }, "type": "object", "description": "Represents a Target Pool resource. Target pools are used for network TCP/UDP load balancing. A target pool references member instances, an associated legacy HttpHealthCheck resource, and, optionally, a backup target pool. For more information, read Using target pools.", "id": "TargetPool" }, "AutoscalerAggregatedList": { "type": "object", "id": "AutoscalerAggregatedList", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "type": "object", "additionalProperties": { "$ref": "AutoscalersScopedList", "description": "[Output Only] Name of the scope containing this set of autoscalers." }, "description": "A list of AutoscalersScopedList resources." }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#autoscalerAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always compute#autoscalerAggregatedList for aggregated lists of autoscalers." } } }, "TlsContext": { "id": "TlsContext", "description": "[Deprecated] The TLS settings for the client or server. The TLS settings for the client or server.", "properties": { "validationContext": { "description": "Defines the mechanism to obtain the Certificate Authority certificate to validate the client/server certificate. If omitted, the proxy will not validate the server or client certificate.", "$ref": "TlsValidationContext" }, "certificateContext": { "description": "Defines the mechanism to obtain the client or server certificate.", "$ref": "TlsCertificateContext" } }, "type": "object" }, "Zone": { "properties": { "region": { "type": "string", "description": "[Output Only] Full URL reference to the region which hosts the zone." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#zone for zones.", "type": "string", "default": "compute#zone" }, "supportsPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "status": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "DOWN", "UP" ], "description": "[Output Only] Status of the zone, either UP or DOWN." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "description": { "type": "string", "description": "[Output Only] Textual description of the resource." }, "name": { "description": "[Output Only] Name of the resource.", "type": "string" }, "deprecated": { "description": "[Output Only] The deprecation status associated with this zone.", "$ref": "DeprecationStatus" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "availableCpuPlatforms": { "type": "array", "description": "[Output Only] Available cpu/platform selections for the zone.", "items": { "type": "string" } } }, "description": "Represents a Zone resource. A zone is a deployment area. These deployment areas are subsets of a region. For example the zone us-east1-a is located in the us-east1 region. For more information, read Regions and Zones.", "id": "Zone", "type": "object" }, "RouterBgpPeer": { "properties": { "ipv6NexthopAddress": { "description": "IPv6 address of the interface inside Google Cloud Platform.", "type": "string" }, "advertisedIpRanges": { "description": "User-specified list of individual IP ranges to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and overrides the list defined for the router (in the \"bgp\" message). These IP ranges are advertised in addition to any specified groups. Leave this field blank to advertise no custom IP ranges.", "type": "array", "items": { "$ref": "RouterAdvertisedIpRange" } }, "advertisedRoutePriority": { "format": "uint32", "type": "integer", "description": "The priority of routes advertised to this BGP peer. Where there is more than one matching route of maximum length, the routes with the lowest priority value win." }, "advertiseMode": { "description": "User-specified flag to indicate which mode to use for advertisement.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "CUSTOM", "DEFAULT" ] }, "advertisedGroups": { "type": "array", "items": { "enumDescriptions": [ "Advertise peer subnets of the router's VPC.", "Advertise all available subnets (including peer VPC subnets).", "Advertise the router's own VPC subnets." ], "enum": [ "ALL_PEER_VPC_SUBNETS", "ALL_SUBNETS", "ALL_VPC_SUBNETS" ], "type": "string" }, "description": "User-specified list of prefix groups to advertise in custom mode, which can take one of the following options: - ALL_SUBNETS: Advertises all available subnets, including peer VPC subnets. - ALL_VPC_SUBNETS: Advertises the router's own VPC subnets. Note that this field can only be populated if advertise_mode is CUSTOM and overrides the list defined for the router (in the \"bgp\" message). These groups are advertised in addition to any specified prefixes. Leave this field blank to advertise no custom groups." }, "routerApplianceInstance": { "description": "URI of the VM instance that is used as third-party router appliances such as Next Gen Firewalls, Virtual Routers, or Router Appliances. The VM instance must be located in zones contained in the same region as this Cloud Router. The VM instance is the peer side of the BGP session.", "type": "string" }, "md5AuthenticationKeyName": { "description": "Present if MD5 authentication is enabled for the peering. Must be the name of one of the entries in the Router.md5_authentication_keys. The field must comply with RFC1035.", "type": "string" }, "interfaceName": { "type": "string", "description": "Name of the interface the BGP peer is associated with." }, "peerAsn": { "description": "Peer BGP Autonomous System Number (ASN). Each BGP interface may use a different value.", "type": "integer", "format": "uint32", "annotations": { "required": [ "compute.routers.insert" ] } }, "enableIpv6": { "type": "boolean", "description": "Enable IPv6 traffic over BGP Peer. If not specified, it is disabled by default." }, "peerIpAddress": { "description": "IP address of the BGP interface outside Google Cloud Platform. Only IPv4 is supported.", "type": "string" }, "managementType": { "type": "string", "enum": [ "MANAGED_BY_ATTACHMENT", "MANAGED_BY_USER" ], "description": "[Output Only] The resource that configures and manages this BGP peer. - MANAGED_BY_USER is the default value and can be managed by you or other users - MANAGED_BY_ATTACHMENT is a BGP peer that is configured and managed by Cloud Interconnect, specifically by an InterconnectAttachment of type PARTNER. Google automatically creates, updates, and deletes this type of BGP peer when the PARTNER InterconnectAttachment is created, updated, or deleted. ", "enumDescriptions": [ "The BGP peer is automatically created for PARTNER type InterconnectAttachment; Google will automatically create/delete this BGP peer when the PARTNER InterconnectAttachment is created/deleted, and Google will update the ipAddress and peerIpAddress when the PARTNER InterconnectAttachment is provisioned. This type of BGP peer cannot be created or deleted, but can be modified for all fields except for name, ipAddress and peerIpAddress.", "Default value, the BGP peer is manually created and managed by user." ] }, "peerIpv6NexthopAddress": { "type": "string", "description": "IPv6 address of the BGP interface outside Google Cloud Platform." }, "enable": { "enumDescriptions": [ "", "" ], "enum": [ "FALSE", "TRUE" ], "type": "string", "description": "The status of the BGP peer connection. If set to FALSE, any active session with the peer is terminated and all associated routing information is removed. If set to TRUE, the peer connection can be established with routing information. The default is TRUE." }, "bfd": { "$ref": "RouterBgpPeerBfd", "description": "BFD configuration for the BGP peering." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of this BGP peer. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "annotations": { "required": [ "compute.routers.insert" ] } }, "ipAddress": { "description": "IP address of the interface inside Google Cloud Platform. Only IPv4 is supported.", "type": "string" } }, "id": "RouterBgpPeer", "type": "object" }, "BackendServiceFailoverPolicy": { "properties": { "failoverRatio": { "description": "The value of the field must be in the range [0, 1]. If the value is 0, the load balancer performs a failover when the number of healthy primary VMs equals zero. For all other values, the load balancer performs a failover when the total number of healthy primary VMs is less than this ratio. For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview).", "format": "float", "type": "number" }, "disableConnectionDrainOnFailover": { "type": "boolean", "description": "This can be set to true only if the protocol is TCP. The default is false." }, "dropTrafficIfUnhealthy": { "description": "If set to true, connections to the load balancer are dropped when all primary and all backup backend VMs are unhealthy.If set to false, connections are distributed among all primary VMs when all primary and all backup backend VMs are unhealthy. For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview). The default is false.", "type": "boolean" } }, "type": "object", "id": "BackendServiceFailoverPolicy", "description": "For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview). On failover or failback, this field indicates whether connection draining will be honored. Google Cloud has a fixed connection draining timeout of 10 minutes. A setting of true terminates existing TCP connections to the active pool during failover and failback, immediately draining traffic. A setting of false allows existing TCP connections to persist, even on VMs no longer in the active pool, for up to the duration of the connection draining timeout (10 minutes)." }, "SubnetworkList": { "id": "SubnetworkList", "properties": { "items": { "description": "A list of Subnetwork resources.", "items": { "$ref": "Subnetwork" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "description": "[Output Only] Type of resource. Always compute#subnetworkList for lists of subnetworks.", "default": "compute#subnetworkList", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "type": "object" } }, "type": "object", "description": "Contains a list of Subnetwork resources." }, "SecurityPolicyList": { "id": "SecurityPolicyList", "type": "object", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "default": "compute#securityPolicyList", "type": "string", "description": "[Output Only] Type of resource. Always compute#securityPolicyList for listsof securityPolicies" }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "items": { "description": "A list of SecurityPolicy resources.", "type": "array", "items": { "$ref": "SecurityPolicy" } }, "etag": { "type": "string" } } }, "InterconnectAttachmentList": { "id": "InterconnectAttachmentList", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "[Output Only] Type of resource. Always compute#interconnectAttachmentList for lists of interconnect attachments.", "default": "compute#interconnectAttachmentList", "type": "string" }, "items": { "items": { "$ref": "InterconnectAttachment" }, "description": "A list of InterconnectAttachment resources.", "type": "array" } }, "type": "object", "description": "Response to the list request, and contains a list of interconnect attachments." }, "AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk": { "properties": { "interface": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "NVDIMM", "NVME", "SCSI" ], "description": "Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI. For performance characteristics of SCSI over NVMe, see Local SSD performance." }, "diskSizeGb": { "description": "Specifies the size of the disk in base-2 GB.", "format": "int64", "type": "string" } }, "type": "object", "id": "AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk" }, "SubnetworksScopedList": { "properties": { "subnetworks": { "items": { "$ref": "Subnetwork" }, "description": "A list of subnetworks contained in this scope.", "type": "array" }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "An informational warning that appears when the list of addresses is empty.", "type": "object" } }, "type": "object", "id": "SubnetworksScopedList" }, "NetworkEndpointGroupsDetachEndpointsRequest": { "type": "object", "id": "NetworkEndpointGroupsDetachEndpointsRequest", "properties": { "networkEndpoints": { "description": "The list of network endpoints to be detached.", "items": { "$ref": "NetworkEndpoint" }, "type": "array" } } }, "PacketMirroringAggregatedList": { "description": "Contains a list of packetMirrorings.", "type": "object", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "kind": { "type": "string", "default": "compute#packetMirroringAggregatedList", "description": "Type of resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "items": { "type": "object", "description": "A list of PacketMirroring resources.", "additionalProperties": { "description": "Name of the scope containing this set of packetMirrorings.", "$ref": "PacketMirroringsScopedList" } } }, "id": "PacketMirroringAggregatedList" }, "ExchangedPeeringRoute": { "type": "object", "id": "ExchangedPeeringRoute", "properties": { "destRange": { "description": "The destination range of the route.", "type": "string" }, "priority": { "type": "integer", "format": "uint32", "description": "The priority of the peering route." }, "type": { "enum": [ "DYNAMIC_PEERING_ROUTE", "STATIC_PEERING_ROUTE", "SUBNET_PEERING_ROUTE" ], "type": "string", "description": "The type of the peering route.", "enumDescriptions": [ "For routes exported from local network.", "The peering route.", "The peering route corresponding to subnetwork range." ] }, "imported": { "description": "True if the peering route has been imported from a peer. The actual import happens if the field networkPeering.importCustomRoutes is true for this network, and networkPeering.exportCustomRoutes is true for the peer network, and the import does not result in a route conflict.", "type": "boolean" }, "nextHopRegion": { "description": "The region of peering route next hop, only applies to dynamic routes.", "type": "string" } } }, "InstantSnapshotsExportRequest": { "type": "object", "id": "InstantSnapshotsExportRequest", "properties": { "exportParams": { "$ref": "InstantSnapshotExportParams", "description": "Parameters to export the changed blocks." } } }, "ResourcePolicyResourceStatusInstanceSchedulePolicyStatus": { "type": "object", "properties": { "lastRunStartTime": { "type": "string", "description": "[Output Only] The last time the schedule successfully ran. The timestamp is an RFC3339 string." }, "nextRunStartTime": { "description": "[Output Only] The next time the schedule is planned to run. The actual time might be slightly different. The timestamp is an RFC3339 string.", "type": "string" } }, "id": "ResourcePolicyResourceStatusInstanceSchedulePolicyStatus" }, "MachineTypeAggregatedList": { "type": "object", "id": "MachineTypeAggregatedList", "properties": { "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object", "description": "[Output Only] Informational warning message." }, "kind": { "type": "string", "default": "compute#machineTypeAggregatedList", "description": "[Output Only] Type of resource. Always compute#machineTypeAggregatedList for aggregated lists of machine types." }, "items": { "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of machine types.", "$ref": "MachineTypesScopedList" }, "description": "A list of MachineTypesScopedList resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } } }, "SecurityPolicyDdosProtectionConfig": { "id": "SecurityPolicyDdosProtectionConfig", "properties": { "ddosProtection": { "enumDescriptions": [ "", "" ], "enum": [ "ADVANCED", "STANDARD" ], "type": "string" } }, "type": "object" }, "InterconnectDiagnostics": { "type": "object", "description": "Diagnostics information about interconnect, contains detailed and current technical information about Google's side of the connection.", "properties": { "bundleAggregationType": { "type": "string", "enum": [ "BUNDLE_AGGREGATION_TYPE_LACP", "BUNDLE_AGGREGATION_TYPE_STATIC", "BUNDLE_AGGREGATION_TYPE_UNSPECIFIED" ], "enumDescriptions": [ "LACP is enabled.", "LACP is disabled.", "" ], "description": "The aggregation type of the bundle interface." }, "macAddress": { "type": "string", "description": "The MAC address of the Interconnect's bundle interface." }, "arpCaches": { "items": { "$ref": "InterconnectDiagnosticsARPEntry" }, "description": "A list of InterconnectDiagnostics.ARPEntry objects, describing individual neighbors currently seen by the Google router in the ARP cache for the Interconnect. This will be empty when the Interconnect is not bundled.", "type": "array" }, "bundleOperationalStatus": { "enumDescriptions": [ "If bundleAggregationType is LACP: LACP is not established and/or all links in the bundle have DOWN operational status. If bundleAggregationType is STATIC: one or more links in the bundle has DOWN operational status.", "", "If bundleAggregationType is LACP: LACP is established and at least one link in the bundle has UP operational status. If bundleAggregationType is STATIC: all links in the bundle (typically just one) have UP operational status." ], "description": "The operational status of the bundle interface.", "enum": [ "BUNDLE_OPERATIONAL_STATUS_DOWN", "BUNDLE_OPERATIONAL_STATUS_UNSPECIFIED", "BUNDLE_OPERATIONAL_STATUS_UP" ], "type": "string" }, "links": { "items": { "$ref": "InterconnectDiagnosticsLinkStatus" }, "type": "array", "description": "A list of InterconnectDiagnostics.LinkStatus objects, describing the status for each link on the Interconnect." } }, "id": "InterconnectDiagnostics" }, "ResourcePolicyList": { "type": "object", "id": "ResourcePolicyList", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" } }, "type": "object" }, "kind": { "default": "compute#resourcePolicyList", "type": "string", "description": "[Output Only] Type of resource.Always compute#resourcePoliciesList for listsof resourcePolicies" }, "items": { "description": "[Output Only] A list of ResourcePolicy resources.", "type": "array", "items": { "$ref": "ResourcePolicy" } }, "etag": { "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" } } }, "SecurityPolicyRule": { "properties": { "enableLogging": { "type": "boolean", "description": "Denotes whether to enable logging for a particular rule. If logging is enabled, logs will be exported to the configured export destination in Stackdriver. Logs may be exported to BigQuery or Pub/Sub. Note: you cannot enable logging on \"goto_next\" rules. This field may only be specified when the versioned_expr is set to FIREWALL." }, "match": { "description": "A match condition that incoming traffic is evaluated against. If it evaluates to true, the corresponding 'action' is enforced.", "$ref": "SecurityPolicyRuleMatcher" }, "targetServiceAccounts": { "items": { "type": "string" }, "type": "array", "description": "A list of service accounts indicating the sets of instances that are applied with this rule." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "ruleManagedProtectionTier": { "enumDescriptions": [ "Plus tier protection.", "Premium tier protection.", "Standard tier protection." ], "type": "string", "description": "[Output Only] The minimum managed protection tier required for this rule.", "enum": [ "CAMP_PLUS", "CAMP_PREMIUM", "CAMP_STANDARD" ] }, "redirectTarget": { "description": "This must be specified for redirect actions. Cannot be specified for any other actions.", "type": "string" }, "priority": { "description": "An integer indicating the priority of a rule in the list. The priority must be a positive value between 0 and 2147483647. Rules are evaluated from highest to lowest priority where 0 is the highest priority and 2147483647 is the lowest priority.", "format": "int32", "type": "integer" }, "ruleTupleCount": { "type": "integer", "format": "int32", "description": "[Output Only] Calculation of the complexity of a single firewall security policy rule." }, "rateLimitOptions": { "description": "Must be specified if the action is \"rate_based_ban\" or \"throttle\". Cannot be specified for any other actions.", "$ref": "SecurityPolicyRuleRateLimitOptions" }, "kind": { "description": "[Output only] Type of the resource. Always compute#securityPolicyRule for security policy rules", "default": "compute#securityPolicyRule", "type": "string" }, "direction": { "description": "The direction in which this rule applies. This field may only be specified when versioned_expr is set to FIREWALL.", "type": "string", "enum": [ "EGRESS", "INGRESS" ], "enumDescriptions": [ "", "" ] }, "headerAction": { "$ref": "SecurityPolicyRuleHttpHeaderAction", "description": "Optional, additional actions that are performed on headers." }, "ruleNumber": { "description": "Identifier for the rule. This is only unique within the given security policy. This can only be set during rule creation, if rule number is not specified it will be generated by the server.", "type": "string", "format": "int64" }, "targetResources": { "type": "array", "description": "A list of network resource URLs to which this rule applies. This field allows you to control which network's VMs get this rule. If this field is left blank, all VMs within the organization will receive the rule. This field may only be specified when versioned_expr is set to FIREWALL.", "items": { "type": "string" } }, "action": { "description": "The Action to perform when the rule is matched. The following are the valid actions: - allow: allow access to target. - deny(): deny access to target, returns the HTTP response code specified (valid values are 403, 404, and 502). - rate_based_ban: limit client traffic to the configured threshold and ban the client if the traffic exceeds the threshold. Configure parameters for this action in RateLimitOptions. Requires rate_limit_options to be set. - redirect: redirect to a different target. This can either be an internal reCAPTCHA redirect, or an external URL-based redirect via a 302 response. Parameters for this action can be configured via redirectOptions. - throttle: limit client traffic to the configured threshold. Configure parameters for this action in rateLimitOptions. Requires rate_limit_options to be set for this. ", "type": "string" }, "preview": { "type": "boolean", "description": "If set to true, the specified action is not enforced." }, "redirectOptions": { "description": "Parameters defining the redirect action. Cannot be specified for any other actions.", "$ref": "SecurityPolicyRuleRedirectOptions" } }, "type": "object", "description": "Represents a rule that describes one or more match conditions along with the action to be taken when traffic matches this condition (allow or deny).", "id": "SecurityPolicyRule" }, "ResourcePolicyResourceStatus": { "type": "object", "id": "ResourcePolicyResourceStatus", "properties": { "instanceSchedulePolicy": { "description": "[Output Only] Specifies a set of output values reffering to the instance_schedule_policy system status. This field should have the same name as corresponding policy field.", "$ref": "ResourcePolicyResourceStatusInstanceSchedulePolicyStatus" } }, "description": "Contains output only fields. Use this sub-message for all output fields set on ResourcePolicy. The internal structure of this \"status\" field should mimic the structure of ResourcePolicy proto specification." }, "ShieldedVmIdentity": { "description": "A Shielded VM Identity.", "id": "ShieldedVmIdentity", "type": "object", "properties": { "signingKey": { "$ref": "ShieldedVmIdentityEntry", "description": "An Attestation Key (AK) issued to the Shielded VM's vTPM." }, "encryptionKey": { "$ref": "ShieldedVmIdentityEntry", "description": "An Endorsement Key (EK) issued to the Shielded VM's vTPM." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#shieldedVmIdentity for shielded VM identity entry.", "default": "compute#shieldedVmIdentity", "type": "string" } } }, "RegionInstanceGroupManagersListErrorsResponse": { "type": "object", "properties": { "items": { "items": { "$ref": "InstanceManagedByIgmError" }, "description": "[Output Only] The list of errors of the managed instance group.", "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "id": "RegionInstanceGroupManagersListErrorsResponse" }, "TargetHttpsProxyAggregatedList": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "type": "object", "description": "A list of TargetHttpsProxiesScopedList resources.", "additionalProperties": { "$ref": "TargetHttpsProxiesScopedList", "description": "Name of the scope containing this set of TargetHttpsProxies." } }, "kind": { "type": "string", "default": "compute#targetHttpsProxyAggregatedList", "description": "[Output Only] Type of resource. Always compute#targetHttpsProxyAggregatedList for lists of Target HTTP Proxies." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" } }, "type": "object" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "type": "object", "id": "TargetHttpsProxyAggregatedList" }, "PublicDelegatedPrefixAggregatedList": { "id": "PublicDelegatedPrefixAggregatedList", "properties": { "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#publicDelegatedPrefixAggregatedList", "type": "string", "description": "[Output Only] Type of the resource. Always compute#publicDelegatedPrefixAggregatedList for aggregated lists of public delegated prefixes." }, "items": { "additionalProperties": { "$ref": "PublicDelegatedPrefixesScopedList", "description": "[Output Only] Name of the scope containing this set of PublicDelegatedPrefixes." }, "type": "object", "description": "A list of PublicDelegatedPrefixesScopedList resources." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } } }, "type": "object" }, "PacketMirroringNetworkInfo": { "type": "object", "properties": { "url": { "type": "string", "description": "URL of the network resource." }, "canonicalUrl": { "description": "[Output Only] Unique identifier for the network; defined by the server.", "type": "string" } }, "id": "PacketMirroringNetworkInfo" }, "HealthCheckList": { "id": "HealthCheckList", "type": "object", "description": "Contains a list of HealthCheck resources.", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "kind": { "default": "compute#healthCheckList", "description": "Type of resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "items": { "$ref": "HealthCheck" }, "type": "array", "description": "A list of HealthCheck resources." } } }, "BfdStatusPacketCounts": { "properties": { "numRx": { "format": "uint32", "description": "Number of packets received since the beginning of the current BFD session.", "type": "integer" }, "numTx": { "format": "uint32", "description": "Number of packets transmitted since the beginning of the current BFD session.", "type": "integer" }, "numRxSuccessful": { "type": "integer", "format": "uint32", "description": "Number of packets received that were successfully processed since the beginning of the current BFD session." }, "numRxRejected": { "description": "Number of packets received that were rejected because of errors since the beginning of the current BFD session.", "format": "uint32", "type": "integer" } }, "id": "BfdStatusPacketCounts", "type": "object" }, "SubnetworkSecondaryRange": { "type": "object", "description": "Represents a secondary IP range of a subnetwork.", "id": "SubnetworkSecondaryRange", "properties": { "reservedInternalRange": { "type": "string", "description": "The URL of the reserved internal range." }, "rangeName": { "description": "The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork.", "type": "string" }, "ipCidrRange": { "description": "The range of IP addresses belonging to this subnetwork secondary range. Provide this property when you create the subnetwork. Ranges must be unique and non-overlapping with all primary and secondary IP ranges within a network. Only IPv4 is supported. The range can be any range listed in the Valid ranges list.", "type": "string" } } }, "TargetPoolsRemoveHealthCheckRequest": { "properties": { "healthChecks": { "description": "Health check URL to be removed. This can be a full or valid partial URL. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project /global/httpHealthChecks/health-check - projects/project/global/httpHealthChecks/health-check - global/httpHealthChecks/health-check ", "type": "array", "items": { "$ref": "HealthCheckReference" } } }, "id": "TargetPoolsRemoveHealthCheckRequest", "type": "object" }, "HttpFaultInjection": { "type": "object", "id": "HttpFaultInjection", "description": "The specification for fault injection introduced into traffic to test the resiliency of clients to backend service failure. As part of fault injection, when clients send requests to a backend service, delays can be introduced by the load balancer on a percentage of requests before sending those request to the backend service. Similarly requests from clients can be aborted by the load balancer for a percentage of requests.", "properties": { "abort": { "description": "The specification for how client requests are aborted as part of fault injection.", "$ref": "HttpFaultAbort" }, "delay": { "$ref": "HttpFaultDelay", "description": "The specification for how client requests are delayed as part of fault injection, before being sent to a backend service." } } }, "TargetSslProxyList": { "id": "TargetSslProxyList", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of TargetSslProxy resources.", "items": { "$ref": "TargetSslProxy" }, "type": "array" }, "kind": { "default": "compute#targetSslProxyList", "type": "string", "description": "Type of resource." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "properties": { "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning message." } }, "description": "Contains a list of TargetSslProxy resources.", "type": "object" }, "Duration": { "type": "object", "properties": { "nanos": { "type": "integer", "description": "Span of time that's a fraction of a second at nanosecond resolution. Durations less than one second are represented with a 0 `seconds` field and a positive `nanos` field. Must be from 0 to 999,999,999 inclusive.", "format": "int32" }, "seconds": { "type": "string", "description": "Span of time at a resolution of a second. Must be from 0 to 315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 60 min/hr LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 24 hr/day LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 365.25 days/year LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 10000 years", "format": "int64" } }, "description": "A Duration represents a fixed-length span of time represented as a count of seconds and fractions of seconds at nanosecond resolution. It is independent of any calendar and concepts like \"day\" or \"month\". Range is approximately 10,000 years.", "id": "Duration" }, "AttachedDisk": { "description": "An instance-attached disk resource.", "id": "AttachedDisk", "properties": { "boot": { "type": "boolean", "description": "Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem." }, "index": { "type": "integer", "description": "[Output Only] A zero-based index to this disk, where 0 is reserved for the boot disk. If you have many disks attached to an instance, each disk would have a unique index number.", "format": "int32" }, "mode": { "enumDescriptions": [ "Attaches this disk in read-only mode. Multiple virtual machines can use a disk in read-only mode at a time.", "*[Default]* Attaches this disk in read-write mode. Only one virtual machine at a time can be attached to a disk in read-write mode." ], "description": "The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode.", "type": "string", "enum": [ "READ_ONLY", "READ_WRITE" ] }, "diskEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Encrypts or decrypts a disk using a customer-supplied encryption key. If you are creating a new disk, this field encrypts the new disk using an encryption key that you provide. If you are attaching an existing disk that is already encrypted, this field decrypts the disk using the customer-supplied encryption key. If you encrypt a disk using a customer-supplied key, you must provide the same key again when you attempt to use this resource at a later time. For example, you must provide the key when you create a snapshot or an image from the disk or when you attach the disk to a virtual machine instance. If you do not provide an encryption key, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the disk later. Instance templates do not store customer-supplied encryption keys, so you cannot use your own keys to encrypt disks in a managed instance group." }, "savedState": { "description": "For LocalSSD disks on VM Instances in STOPPED or SUSPENDED state, this field is set to PRESERVED if the LocalSSD data has been saved to a persistent location by customer request. (see the discard_local_ssd option on Stop/Suspend). Read-only in the api.", "enumDescriptions": [ "*[Default]* Disk state has not been preserved.", "Disk state has been preserved." ], "enum": [ "DISK_SAVED_STATE_UNSPECIFIED", "PRESERVED" ], "type": "string" }, "interface": { "enumDescriptions": [ "", "", "" ], "enum": [ "NVDIMM", "NVME", "SCSI" ], "type": "string", "description": "Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI. Persistent disks must always use SCSI and the request will fail if you attempt to attach a persistent disk in any other format than SCSI. Local SSDs can use either NVME or SCSI. For performance characteristics of SCSI over NVMe, see Local SSD performance." }, "architecture": { "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "type": "string", "description": "[Output Only] The architecture of the attached disk. Valid values are ARM64 or X86_64." }, "source": { "type": "string", "description": "Specifies a valid partial or full URL to an existing Persistent Disk resource. When creating a new instance, one of initializeParams.sourceImage or initializeParams.sourceSnapshot or disks.source is required except for local SSD. If desired, you can also attach existing non-root persistent disks using this property. This field is only applicable for persistent disks. Note that for InstanceTemplate, specify the disk name for zonal disk, and the URL for regional disk." }, "shieldedInstanceInitialState": { "$ref": "InitialStateConfig", "description": "[Output Only] shielded vm initial state stored on disk" }, "locked": { "description": "[Output Only] Whether to indicate the attached disk is locked. The locked disk is not allowed to be detached from the instance, or to be used as the source of the snapshot creation, and the image creation. The instance with at least one locked attached disk is not allow to be used as source of machine image creation, instant snapshot creation, and not allowed to be deleted with --keep-disk parameter set to true for locked disks.", "type": "boolean" }, "initializeParams": { "description": "[Input Only] Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance. This property is mutually exclusive with the source property; you can only define one or the other, but not both.", "$ref": "AttachedDiskInitializeParams" }, "autoDelete": { "type": "boolean", "description": "Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance)." }, "deviceName": { "type": "string", "description": "Specifies a unique device name of your choice that is reflected into the /dev/disk/by-id/google-* tree of a Linux operating system running within the instance. This name can be used to reference the device for mounting, resizing, and so on, from within the instance. If not specified, the server chooses a default device name to apply to this disk, in the form persistent-disk-x, where x is a number assigned by Google Compute Engine. This field is only applicable for persistent disks." }, "type": { "enum": [ "PERSISTENT", "SCRATCH" ], "enumDescriptions": [ "", "" ], "description": "Specifies the type of the disk, either SCRATCH or PERSISTENT. If not specified, the default is PERSISTENT.", "type": "string" }, "forceAttach": { "description": "[Input Only] Whether to force attach the regional disk even if it's currently attached to another instance. If you try to force attach a zonal disk to an instance, you will receive an error.", "type": "boolean" }, "diskSizeGb": { "type": "string", "format": "int64", "description": "The size of the disk in GB." }, "kind": { "default": "compute#attachedDisk", "type": "string", "description": "[Output Only] Type of the resource. Always compute#attachedDisk for attached disks." }, "licenses": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Any valid publicly visible licenses." }, "userLicenses": { "description": "[Output Only] A list of user provided licenses. It represents a list of URLs to the license resource. Unlike regular licenses, user provided licenses can be modified after the disk is created.", "type": "array", "items": { "type": "string" } }, "guestOsFeatures": { "items": { "$ref": "GuestOsFeature" }, "type": "array", "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options." } }, "type": "object" }, "NetworkEndpointWithHealthStatus": { "id": "NetworkEndpointWithHealthStatus", "type": "object", "properties": { "networkEndpoint": { "$ref": "NetworkEndpoint", "description": "[Output only] The network endpoint;" }, "healths": { "items": { "$ref": "HealthStatusForNetworkEndpoint" }, "type": "array", "description": "[Output only] The health status of network endpoint;" } } }, "TestPermissionsRequest": { "id": "TestPermissionsRequest", "type": "object", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the 'resource'. Permissions with wildcards (such as '*' or 'storage.*') are not allowed." } } }, "InterconnectRemoteLocationPermittedConnections": { "id": "InterconnectRemoteLocationPermittedConnections", "type": "object", "properties": { "interconnectLocation": { "type": "string", "description": "[Output-only] URL of an Interconnect location that is permitted to connect to this Interconnect remote location." } } }, "BackendServiceIAP": { "type": "object", "properties": { "oauth2ClientSecretSha256": { "type": "string", "description": "[Output Only] SHA256 hash value for the field oauth2_client_secret above." }, "oauth2ClientId": { "type": "string", "description": "OAuth2 client ID to use for the authentication flow." }, "enabled": { "description": "Whether the serving infrastructure will authenticate and authorize all incoming requests. If true, the oauth2ClientId and oauth2ClientSecret fields must be non-empty.", "type": "boolean" }, "oauth2ClientInfo": { "description": "[Input Only] OAuth client info required to generate client id to be used for IAP.", "$ref": "BackendServiceIAPOAuth2ClientInfo" }, "oauth2ClientSecret": { "type": "string", "description": "OAuth2 client secret to use for the authentication flow. For security reasons, this value cannot be retrieved via the API. Instead, the SHA-256 hash of the value is returned in the oauth2ClientSecretSha256 field. @InputOnly" } }, "id": "BackendServiceIAP", "description": "Identity-Aware Proxy" }, "SnapshotList": { "properties": { "items": { "type": "array", "description": "A list of Snapshot resources.", "items": { "$ref": "Snapshot" } }, "kind": { "default": "compute#snapshotList", "description": "Type of resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "description": "Contains a list of Snapshot resources.", "type": "object", "id": "SnapshotList" }, "ServiceAttachmentList": { "id": "ServiceAttachmentList", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "array", "description": "A list of ServiceAttachment resources.", "items": { "$ref": "ServiceAttachment" } }, "kind": { "default": "compute#serviceAttachmentList", "description": "[Output Only] Type of the resource. Always compute#serviceAttachment for service attachments.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "type": "object" }, "NodeTemplateAggregatedList": { "id": "NodeTemplateAggregatedList", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "kind": { "description": "[Output Only] Type of resource.Always compute#nodeTemplateAggregatedList for aggregated lists of node templates.", "default": "compute#nodeTemplateAggregatedList", "type": "string" }, "items": { "description": "A list of NodeTemplatesScopedList resources.", "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of node templates.", "$ref": "NodeTemplatesScopedList" } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "type": "object" }, "InitialStateConfig": { "id": "InitialStateConfig", "description": "Initial State for shielded instance, these are public keys which are safe to store in public", "properties": { "dbxs": { "items": { "$ref": "FileContentBuffer" }, "description": "The forbidden key database (dbx).", "type": "array" }, "keks": { "type": "array", "description": "The Key Exchange Key (KEK).", "items": { "$ref": "FileContentBuffer" } }, "pk": { "$ref": "FileContentBuffer", "description": "The Platform Key (PK)." }, "dbs": { "items": { "$ref": "FileContentBuffer" }, "type": "array", "description": "The Key Database (db)." } }, "type": "object" }, "AddressAggregatedList": { "properties": { "kind": { "type": "string", "default": "compute#addressAggregatedList", "description": "[Output Only] Type of resource. Always compute#addressAggregatedList for aggregated lists of addresses." }, "items": { "additionalProperties": { "$ref": "AddressesScopedList", "description": "[Output Only] Name of the scope containing this set of addresses." }, "description": "A list of AddressesScopedList resources.", "type": "object" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } } } } }, "id": "AddressAggregatedList", "type": "object" }, "InstancesSetMachineResourcesRequest": { "id": "InstancesSetMachineResourcesRequest", "properties": { "guestAccelerators": { "items": { "$ref": "AcceleratorConfig" }, "description": "A list of the type and count of accelerator cards attached to the instance.", "type": "array" } }, "type": "object" }, "InstanceGroupManagersListPerInstanceConfigsResp": { "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." }, "items": { "items": { "$ref": "PerInstanceConfig" }, "description": "[Output Only] The list of PerInstanceConfig.", "type": "array" } }, "type": "object", "id": "InstanceGroupManagersListPerInstanceConfigsResp" }, "DeprecationStatus": { "id": "DeprecationStatus", "properties": { "deleted": { "description": "An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DELETED. This is only informational and the status will not change unless the client explicitly changes it.", "type": "string" }, "state": { "enumDescriptions": [ "", "", "", "" ], "description": "The deprecation state of this resource. This can be ACTIVE, DEPRECATED, OBSOLETE, or DELETED. Operations which communicate the end of life date for an image, can use ACTIVE. Operations which create a new resource using a DEPRECATED resource will return successfully, but with a warning indicating the deprecated resource and recommending its replacement. Operations which use OBSOLETE or DELETED resources will be rejected and result in an error.", "type": "string", "enum": [ "ACTIVE", "DELETED", "DEPRECATED", "OBSOLETE" ] }, "replacement": { "description": "The URL of the suggested replacement for a deprecated resource. The suggested replacement resource must be the same kind of resource as the deprecated resource.", "type": "string" }, "obsolete": { "description": "An optional RFC3339 timestamp on or after which the state of this resource is intended to change to OBSOLETE. This is only informational and the status will not change unless the client explicitly changes it.", "type": "string" }, "stateOverride": { "$ref": "RolloutPolicy", "description": "The rollout policy for this deprecation. This policy is only enforced by image family views. The rollout policy restricts the zones where the associated resource is considered in a deprecated state. When the rollout policy does not include the user specified zone, or if the zone is rolled out, the associated resource is considered in a deprecated state. The rollout policy for this deprecation is read-only, except for allowlisted users. This field might not be configured. To view the latest non-deprecated image in a specific zone, use the imageFamilyViews.get method." }, "deprecated": { "type": "string", "description": "An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DEPRECATED. This is only informational and the status will not change unless the client explicitly changes it." } }, "type": "object", "description": "Deprecation status for a public resource." }, "DisksStopAsyncReplicationRequest": { "type": "object", "properties": { "asyncSecondaryDisk": { "type": "string", "description": "The secondary disk to stop asynchronous replication to. Supplied if and only if the target disk is a primary disk in an asynchronously replicated pair. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk " } }, "id": "DisksStopAsyncReplicationRequest" }, "InstanceParams": { "id": "InstanceParams", "description": "Additional instance params.", "properties": { "resourceManagerTags": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Resource manager tags to be bound to the instance. Tag keys and values have the same definition as resource manager tags. Keys must be in the format `tagKeys/{tag_key_id}`, and values are in the format `tagValues/456`. The field is ignored (both PUT & PATCH) when empty." } }, "type": "object" }, "RegionSetLabelsRequest": { "id": "RegionSetLabelsRequest", "type": "object", "properties": { "labels": { "description": "The labels to set for this resource.", "additionalProperties": { "type": "string" }, "type": "object" }, "labelFingerprint": { "type": "string", "description": "The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. Make a get() request to the resource to get the latest fingerprint.", "format": "byte" } } }, "BackendServiceLogConfig": { "id": "BackendServiceLogConfig", "properties": { "enable": { "type": "boolean", "description": "This field denotes whether to enable logging for the load balancer traffic served by this backend service." }, "sampleRate": { "type": "number", "format": "float", "description": "This field can only be specified if logging is enabled for this backend service. The value of the field must be in [0, 1]. This configures the sampling rate of requests to the load balancer where 1.0 means all logged requests are reported and 0.0 means no logged requests are reported. The default value is 0.0." } }, "type": "object", "description": "The available logging options for the load balancer traffic served by this backend service." }, "PreservedStatePreservedDisk": { "type": "object", "id": "PreservedStatePreservedDisk", "properties": { "autoDelete": { "enumDescriptions": [ "", "" ], "type": "string", "description": "These stateful disks will never be deleted during autohealing, update, instance recreate operations. This flag is used to configure if the disk should be deleted after it is no longer used by the group, e.g. when the given instance or the whole MIG is deleted. Note: disks attached in READ_ONLY mode cannot be auto-deleted.", "enum": [ "NEVER", "ON_PERMANENT_INSTANCE_DELETION" ] }, "source": { "type": "string", "description": "The URL of the disk resource that is stateful and should be attached to the VM instance." }, "mode": { "enum": [ "READ_ONLY", "READ_WRITE" ], "type": "string", "description": "The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode.", "enumDescriptions": [ "Attaches this disk in read-only mode. Multiple VM instances can use a disk in READ_ONLY mode at a time.", "*[Default]* Attaches this disk in READ_WRITE mode. Only one VM instance at a time can be attached to a disk in READ_WRITE mode." ] } } }, "RegionInstanceGroupManagerList": { "id": "RegionInstanceGroupManagerList", "type": "object", "description": "Contains a list of managed instance groups.", "properties": { "items": { "items": { "$ref": "InstanceGroupManager" }, "description": "A list of InstanceGroupManager resources.", "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#regionInstanceGroupManagerList", "description": "[Output Only] The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups that exist in th regional scope." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } } }, "RegionSetPolicyRequest": { "type": "object", "id": "RegionSetPolicyRequest", "properties": { "etag": { "format": "byte", "type": "string", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag." }, "bindings": { "type": "array", "items": { "$ref": "Binding" }, "description": "Flatten Policy to create a backwacd compatible wire-format. Deprecated. Use 'policy' to specify bindings." }, "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them." } } }, "FirewallPolicyAssociation": { "id": "FirewallPolicyAssociation", "properties": { "displayName": { "description": "[Output Only] Deprecated, please use short name instead. The display name of the firewall policy of the association.", "type": "string" }, "name": { "description": "The name for an association.", "type": "string" }, "attachmentTarget": { "description": "The target that the firewall policy is attached to.", "type": "string" }, "shortName": { "description": "[Output Only] The short name of the firewall policy of the association.", "type": "string" }, "firewallPolicyId": { "type": "string", "description": "[Output Only] The firewall policy ID of the association." } }, "type": "object" }, "StatefulPolicyPreservedState": { "properties": { "externalIPs": { "additionalProperties": { "$ref": "StatefulPolicyPreservedStateNetworkIp" }, "description": "External network IPs assigned to the instances that will be preserved on instance delete, update, etc. This map is keyed with the network interface name.", "type": "object" }, "internalIPs": { "additionalProperties": { "$ref": "StatefulPolicyPreservedStateNetworkIp" }, "description": "Internal network IPs assigned to the instances that will be preserved on instance delete, update, etc. This map is keyed with the network interface name.", "type": "object" }, "disks": { "description": "Disks created on the instances that will be preserved on instance delete, update, etc. This map is keyed with the device names of the disks.", "additionalProperties": { "$ref": "StatefulPolicyPreservedStateDiskDevice" }, "type": "object" } }, "type": "object", "description": "Configuration of preserved resources.", "id": "StatefulPolicyPreservedState" }, "VpnGatewayStatusTunnel": { "properties": { "tunnelUrl": { "description": "URL reference to the VPN tunnel.", "type": "string" }, "peerGatewayInterface": { "description": "The peer gateway interface this VPN tunnel is connected to, the peer gateway could either be an external VPN gateway or GCP VPN gateway.", "type": "integer", "format": "uint32" }, "localGatewayInterface": { "type": "integer", "description": "The VPN gateway interface this VPN tunnel is associated with.", "format": "uint32" } }, "id": "VpnGatewayStatusTunnel", "type": "object", "description": "Contains some information about a VPN tunnel." }, "PerInstanceConfig": { "id": "PerInstanceConfig", "properties": { "fingerprint": { "description": "Fingerprint of this per-instance config. This field can be used in optimistic locking. It is ignored when inserting a per-instance config. An up-to-date fingerprint must be provided in order to update an existing per-instance configuration or the field needs to be unset.", "format": "byte", "type": "string" }, "status": { "description": "The status of applying this per-instance configuration on the corresponding managed instance.", "enumDescriptions": [ "The per-instance configuration is being applied to the instance, but is not yet effective, possibly waiting for the instance to, for example, REFRESH.", "The per-instance configuration deletion is being applied on the instance, possibly waiting for the instance to, for example, REFRESH.", "The per-instance configuration is effective on the instance, meaning that all disks, ips and metadata specified in this configuration are attached or set on the instance.", "*[Default]* The default status, when no per-instance configuration exists.", "The per-instance configuration is set on an instance but not been applied yet.", "The per-instance configuration has been deleted, but the deletion is not yet applied." ], "enum": [ "APPLYING", "DELETING", "EFFECTIVE", "NONE", "UNAPPLIED", "UNAPPLIED_DELETION" ], "type": "string" }, "name": { "type": "string", "description": "The name of a per-instance configuration and its corresponding instance. Serves as a merge key during UpdatePerInstanceConfigs operations, that is, if a per-instance configuration with the same name exists then it will be updated, otherwise a new one will be created for the VM instance with the same name. An attempt to create a per-instance configconfiguration for a VM instance that either doesn't exist or is not part of the group will result in an error." }, "preservedState": { "$ref": "PreservedState", "description": "The intended preserved state for the given instance. Does not contain preserved state generated from a stateful policy." } }, "type": "object" }, "HttpFilterConfig": { "description": "HttpFilterConfiguration supplies additional contextual settings for networkservices.HttpFilter resources enabled by Traffic Director.", "type": "object", "properties": { "configTypeUrl": { "description": "The fully qualified versioned proto3 type url of the protobuf that the filter expects for its contextual settings, for example: type.googleapis.com/google.protobuf.Struct", "type": "string" }, "config": { "description": "The configuration needed to enable the networkservices.HttpFilter resource. The configuration must be YAML formatted and only contain fields defined in the protobuf identified in configTypeUrl", "type": "string" }, "filterName": { "description": "Name of the networkservices.HttpFilter resource this configuration belongs to. This name must be known to the xDS client. Example: envoy.wasm", "type": "string" } }, "id": "HttpFilterConfig" }, "InstanceListReferrers": { "properties": { "items": { "description": "A list of Reference resources.", "type": "array", "items": { "$ref": "Reference" } }, "kind": { "description": "[Output Only] Type of resource. Always compute#instanceListReferrers for lists of Instance referrers.", "type": "string", "default": "compute#instanceListReferrers" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "type": "object", "description": "Contains a list of instance referrers.", "id": "InstanceListReferrers" }, "DiskTypeAggregatedList": { "properties": { "items": { "description": "A list of DiskTypesScopedList resources.", "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of disk types.", "$ref": "DiskTypesScopedList" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#diskTypeAggregatedList.", "default": "compute#diskTypeAggregatedList", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "type": "object", "id": "DiskTypeAggregatedList" }, "RouterStatusNatStatus": { "properties": { "autoAllocatedNatIps": { "items": { "type": "string" }, "type": "array", "description": "A list of IPs auto-allocated for NAT. Example: [\"1.1.1.1\", \"129.2.16.89\"]" }, "userAllocatedNatIpResources": { "items": { "type": "string" }, "type": "array", "description": "A list of fully qualified URLs of reserved IP address resources." }, "ruleStatus": { "description": "Status of rules in this NAT.", "items": { "$ref": "RouterStatusNatStatusNatRuleStatus" }, "type": "array" }, "userAllocatedNatIps": { "type": "array", "items": { "type": "string" }, "description": "A list of IPs user-allocated for NAT. They will be raw IP strings like \"179.12.26.133\"." }, "name": { "type": "string", "description": "Unique name of this NAT." }, "drainUserAllocatedNatIps": { "description": "A list of IPs user-allocated for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"].", "items": { "type": "string" }, "type": "array" }, "numVmEndpointsWithNatMappings": { "type": "integer", "description": "Number of VM endpoints (i.e., Nics) that can use NAT.", "format": "int32" }, "minExtraNatIpsNeeded": { "format": "int32", "type": "integer", "description": "The number of extra IPs to allocate. This will be greater than 0 only if user-specified IPs are NOT enough to allow all configured VMs to use NAT. This value is meaningful only when auto-allocation of NAT IPs is *not* used." }, "drainAutoAllocatedNatIps": { "type": "array", "items": { "type": "string" }, "description": "A list of IPs auto-allocated for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"]." } }, "id": "RouterStatusNatStatus", "type": "object", "description": "Status of a NAT contained in this router." }, "RegionInstanceGroupManagersResizeAdvancedRequest": { "type": "object", "properties": { "targetSize": { "description": "The number of running instances that the managed instance group should maintain at any given time. The group automatically adds or removes instances to maintain the number of instances specified by this parameter.", "format": "int32", "type": "integer" }, "noCreationRetries": { "description": "If this flag is true, the managed instance group attempts to create all instances initiated by this resize request only once. If there is an error during creation, the managed instance group does not retry create this instance, and we will decrease the targetSize of the request instead. If the flag is false, the group attempts to recreate each instance continuously until it succeeds. This flag matters only in the first attempt of creation of an instance. After an instance is successfully created while this flag is enabled, the instance behaves the same way as all the other instances created with a regular resize request. In particular, if a running instance dies unexpectedly at a later time and needs to be recreated, this mode does not affect the recreation behavior in that scenario. This flag is applicable only to the current resize request. It does not influence other resize requests in any way. You can see which instances ar being created in which mode by calling the get or listManagedInstances API.", "type": "boolean" } }, "id": "RegionInstanceGroupManagersResizeAdvancedRequest" }, "PacketIntervals": { "type": "object", "description": "Next free: 7", "properties": { "duration": { "description": "From how long ago in the past these intervals were observed.", "type": "string", "enumDescriptions": [ "", "", "From BfdSession object creation time.", "" ], "enum": [ "DURATION_UNSPECIFIED", "HOUR", "MAX", "MINUTE" ] }, "numIntervals": { "format": "int64", "type": "string", "description": "Number of inter-packet intervals from which these statistics were derived." }, "avgMs": { "format": "int64", "description": "Average observed inter-packet interval in milliseconds.", "type": "string" }, "maxMs": { "type": "string", "format": "int64", "description": "Maximum observed inter-packet interval in milliseconds." }, "minMs": { "description": "Minimum observed inter-packet interval in milliseconds.", "type": "string", "format": "int64" }, "type": { "enum": [ "LOOPBACK", "RECEIVE", "TRANSMIT", "TYPE_UNSPECIFIED" ], "type": "string", "enumDescriptions": [ "Only applies to Echo packets. This shows the intervals between sending and receiving the same packet.", "Intervals between received packets.", "Intervals between transmitted packets.", "" ], "description": "The type of packets for which inter-packet intervals were computed." } }, "id": "PacketIntervals" }, "TlsCertificateContext": { "properties": { "certificatePaths": { "description": "Specifies the certificate and private key paths. This field is applicable only if tlsCertificateSource is set to USE_PATH.", "$ref": "TlsCertificatePaths" }, "sdsConfig": { "$ref": "SdsConfig", "description": "Specifies the config to retrieve certificates through SDS. This field is applicable only if tlsCertificateSource is set to USE_SDS." }, "certificateSource": { "enumDescriptions": [ "", "USE_PATH specifies that the certificates and private key are obtained from a locally mounted filesystem path.", "USE_SDS specifies that the certificates and private key are obtained from a SDS server." ], "description": "Defines how TLS certificates are obtained.", "enum": [ "INVALID", "USE_PATH", "USE_SDS" ], "type": "string" } }, "id": "TlsCertificateContext", "description": "[Deprecated] Defines the mechanism to obtain the client or server certificate. Defines the mechanism to obtain the client or server certificate.", "type": "object" }, "SslCertificateList": { "description": "Contains a list of SslCertificate resources.", "id": "SslCertificateList", "type": "object", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#sslCertificateList" }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object", "description": "[Output Only] Informational warning message." }, "items": { "description": "A list of SslCertificate resources.", "items": { "$ref": "SslCertificate" }, "type": "array" } } }, "BackendBucketCdnPolicyCacheKeyPolicy": { "type": "object", "id": "BackendBucketCdnPolicyCacheKeyPolicy", "properties": { "queryStringWhitelist": { "items": { "type": "string" }, "type": "array", "description": "Names of query string parameters to include in cache keys. Default parameters are always included. '&' and '=' will be percent encoded and not treated as delimiters." }, "includeHttpHeaders": { "type": "array", "items": { "type": "string" }, "description": "Allows HTTP request headers (by name) to be used in the cache key." } }, "description": "Message containing what to include in the cache key for a request for Cloud CDN." }, "FutureReservationsAggregatedListResponse": { "id": "FutureReservationsAggregatedListResponse", "type": "object", "properties": { "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "etag": { "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "default": "compute#futureReservationsAggregatedListResponse", "type": "string", "description": "[Output Only] Type of resource. Always compute#futureReservationsAggregatedListResponse for future resevation aggregated list response." }, "items": { "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of future reservations.", "$ref": "FutureReservationsScopedList" }, "description": "A list of Future reservation resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "description": "Contains a list of future reservations." }, "RegionDiskTypeList": { "type": "object", "id": "RegionDiskTypeList", "properties": { "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#regionDiskTypeList for region disk types.", "default": "compute#regionDiskTypeList" }, "items": { "description": "A list of DiskType resources.", "items": { "$ref": "DiskType" }, "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "InstantSnapshot": { "properties": { "kind": { "description": "[Output Only] Type of the resource. Always compute#instantSnapshot for InstantSnapshot resources.", "type": "string", "default": "compute#instantSnapshot" }, "sourceDiskId": { "description": "[Output Only] The ID value of the disk used to create this InstantSnapshot. This value may be used to determine whether the InstantSnapshot was taken from the current or a previous instance of a given disk name.", "type": "string" }, "resourceStatus": { "description": "[Output Only] Status information for the instant snapshot resource.", "$ref": "InstantSnapshotResourceStatus" }, "name": { "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "guestFlush": { "description": "Whether to attempt an application consistent instant snapshot by informing the OS to prepare for the snapshot process.", "type": "boolean" }, "status": { "description": "[Output Only] The status of the instantSnapshot. This can be CREATING, DELETING, FAILED, or READY.", "enumDescriptions": [ "InstantSnapshot creation is in progress.", "InstantSnapshot is currently being deleted.", "InstantSnapshot creation failed.", "InstantSnapshot has been created successfully." ], "enum": [ "CREATING", "DELETING", "FAILED", "READY" ], "type": "string" }, "labelFingerprint": { "description": "A fingerprint for the labels being applied to this InstantSnapshot, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a InstantSnapshot.", "type": "string", "format": "byte" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the instant snapshot resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "diskSizeGb": { "description": "[Output Only] Size of the source disk, specified in GB.", "format": "int64", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource's resource id." }, "zone": { "description": "[Output Only] URL of the zone where the instant snapshot resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "architecture": { "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "description": "[Output Only] The architecture of the instant snapshot. Valid values are ARM64 or X86_64.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "sourceDisk": { "type": "string", "description": "URL of the source disk used to create this instant snapshot. Note that the source disk must be in the same zone/region as the instant snapshot to be created. This can be a full or valid partial URL. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk " }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels to apply to this InstantSnapshot. These can be later modified by the setLabels method. Label values may be empty." } }, "id": "InstantSnapshot", "description": "Represents a InstantSnapshot resource. You can use instant snapshots to create disk rollback points quickly..", "type": "object" }, "NotificationEndpointAggregatedList": { "properties": { "items": { "description": "A list of NotificationEndpointsScopedList resources.", "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of NotificationEndpoints.", "$ref": "NotificationEndpointsScopedList" } }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "Type of resource.", "default": "compute#notificationEndpointAggregatedList", "type": "string" }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "type": "object", "description": "Contains a list of NotificationEndpointsScopedList.", "id": "NotificationEndpointAggregatedList" }, "TargetHttpsProxy": { "properties": { "sslPolicy": { "type": "string", "description": "URL of SslPolicy resource that will be associated with the TargetHttpsProxy resource. If not set, the TargetHttpsProxy resource has no SSL policy configured." }, "proxyBind": { "type": "boolean", "description": "This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false." }, "authorizationPolicy": { "type": "string", "description": "Optional. A URL referring to a networksecurity.AuthorizationPolicy resource that describes how the proxy should authorize inbound traffic. If left blank, access will not be restricted by an authorization policy. Refer to the AuthorizationPolicy resource for additional details. authorizationPolicy only applies to a global TargetHttpsProxy attached to globalForwardingRules with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. Note: This field currently has no impact." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "quicOverride": { "enum": [ "DISABLE", "ENABLE", "NONE" ], "type": "string", "description": "Specifies the QUIC override policy for this TargetHttpsProxy resource. This setting determines whether the load balancer attempts to negotiate QUIC with clients. You can specify NONE, ENABLE, or DISABLE. - When quic-override is set to NONE, Google manages whether QUIC is used. - When quic-override is set to ENABLE, the load balancer uses QUIC when possible. - When quic-override is set to DISABLE, the load balancer doesn't use QUIC. - If the quic-override flag is not specified, NONE is implied. ", "enumDescriptions": [ "The load balancer will not attempt to negotiate QUIC with clients.", "The load balancer will attempt to negotiate QUIC with clients.", "No overrides to the default QUIC policy. This option is implicit if no QUIC override has been specified in the request." ] }, "certificateMap": { "type": "string", "description": "URL of a certificate map that identifies a certificate map associated with the given target proxy. This field can only be set for global target proxies. If set, sslCertificates will be ignored." }, "sslCertificates": { "items": { "type": "string" }, "type": "array", "description": "URLs to SslCertificate resources that are used to authenticate connections between users and the load balancer. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates. sslCertificates do not apply when the load balancing scheme is set to INTERNAL_SELF_MANAGED." }, "serverTlsPolicy": { "type": "string", "description": "Optional. A URL referring to a networksecurity.ServerTlsPolicy resource that describes how the proxy should authenticate inbound traffic. serverTlsPolicy only applies to a global TargetHttpsProxy attached to globalForwardingRules with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. If left blank, communications are not encrypted. Note: This field currently has no impact." }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "authorization": { "type": "string", "description": "[Deprecated] Use authorizationPolicy instead." }, "authentication": { "type": "string", "description": "[Deprecated] Use serverTlsPolicy instead." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetHttpsProxy for target HTTPS proxies.", "type": "string", "default": "compute#targetHttpsProxy" }, "httpFilters": { "items": { "type": "string" }, "description": "URLs to networkservices.HttpFilter resources enabled for xDS clients using this configuration. For example, https://networkservices.googleapis.com/beta/projects/project/locations/ locationhttpFilters/httpFilter Only filters that handle outbound connection and stream events may be specified. These filters work in conjunction with a default set of HTTP filters that may already be configured by Traffic Director. Traffic Director will determine the final location of these filters within xDS configuration based on the name of the HTTP filter. If Traffic Director positions multiple filters at the same location, those filters will be in the same order as specified in this list. httpFilters only applies for loadbalancers with loadBalancingScheme set to INTERNAL_SELF_MANAGED. See ForwardingRule for more details.", "type": "array" }, "urlMap": { "description": "A fully-qualified or valid partial URL to the UrlMap resource that defines the mapping from URL to the BackendService. For example, the following are all valid URLs for specifying a URL map: - https://www.googleapis.compute/v1/projects/project/global/urlMaps/ url-map - projects/project/global/urlMaps/url-map - global/urlMaps/url-map ", "type": "string" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional TargetHttpsProxy resides. This field is not applicable to global TargetHttpsProxies." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "fingerprint": { "type": "string", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetHttpsProxy. An up-to-date fingerprint must be provided in order to patch the TargetHttpsProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetHttpsProxy.", "format": "byte" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" } }, "type": "object", "id": "TargetHttpsProxy", "description": "Represents a Target HTTPS Proxy resource. Google Compute Engine has two Target HTTPS Proxy resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/alpha/targetHttpsProxies) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/alpha/regionTargetHttpsProxies) A target HTTPS proxy is a component of GCP HTTPS load balancers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh targetHttpsProxies are used by external HTTPS load balancers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh regionTargetHttpsProxies are used by internal HTTPS load balancers. Forwarding rules reference a target HTTPS proxy, and the target proxy then references a URL map. For more information, read Using Target Proxies and Forwarding rule concepts." }, "ProjectsListXpnHostsRequest": { "properties": { "returnPartialPage": { "type": "boolean", "description": "Opt-in for partial page behavior which provides a partial filled page (number of items on which may be smaller than maxResults) within the API deadline. If opt-in, then the user should rely on if nextPageToken is empty in the response to determine if there is a next page. Empty page is also valid and possible. The default value is false." }, "organization": { "description": "Optional organization ID managed by Cloud Resource Manager, for which to list shared VPC host projects. If not specified, the organization will be inferred from the project.", "type": "string" } }, "type": "object", "id": "ProjectsListXpnHostsRequest" }, "GuestAttributesEntry": { "id": "GuestAttributesEntry", "properties": { "value": { "description": "Value for the guest attribute entry.", "type": "string" }, "namespace": { "description": "Namespace for the guest attribute entry.", "type": "string" }, "key": { "type": "string", "description": "Key for the guest attribute entry." } }, "description": "A guest attributes namespace/key/value entry.", "type": "object" }, "InstanceGroupManagersStartInstancesRequest": { "properties": { "instances": { "items": { "type": "string" }, "description": "The URLs of one or more instances to start. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "type": "array" } }, "type": "object", "id": "InstanceGroupManagersStartInstancesRequest" }, "SecurityPolicyAdvancedOptionsConfig": { "type": "object", "id": "SecurityPolicyAdvancedOptionsConfig", "properties": { "jsonParsing": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "DISABLED", "STANDARD" ] }, "logLevel": { "enum": [ "NORMAL", "VERBOSE" ], "enumDescriptions": [ "", "" ], "type": "string" } } }, "VpnTunnelList": { "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "type": "string", "default": "compute#vpnTunnelList", "description": "[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "type": "array", "items": { "$ref": "VpnTunnel" }, "description": "A list of VpnTunnel resources." } }, "id": "VpnTunnelList", "description": "Contains a list of VpnTunnel resources.", "type": "object" }, "CustomerEncryptionKeyProtectedDisk": { "properties": { "diskEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Decrypts data associated with the disk with a customer-supplied encryption key." }, "source": { "type": "string", "description": "Specifies a valid partial or full URL to an existing Persistent Disk resource. This field is only applicable for persistent disks. For example: \"source\": \"/compute/v1/projects/project_id/zones/zone/disks/ disk_name " } }, "type": "object", "id": "CustomerEncryptionKeyProtectedDisk" }, "NetworksUpdatePeeringRequest": { "id": "NetworksUpdatePeeringRequest", "properties": { "networkPeering": { "$ref": "NetworkPeering" } }, "type": "object" }, "Reservation": { "id": "Reservation", "description": "Represents a reservation resource. A reservation ensures that capacity is held in a specific zone even if the reserved VMs are not running. For more information, read Reserving zonal resources.", "type": "object", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined fully-qualified URL for this resource." }, "resourcePolicies": { "type": "object", "description": "Resource policies to be added to this reservation. The key is defined by user, and the value is resource policy url. This is to define placement policy with reservation.", "additionalProperties": { "type": "string" } }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "annotations": { "required": [ "compute.instances.insert" ] }, "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "zone": { "type": "string", "description": "Zone in which the reservation resides. A zone must be provided if the reservation is created within a commitment." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "specificReservation": { "description": "Reservation for instances with specific machine shapes.", "$ref": "AllocationSpecificSKUReservation" }, "shareSettings": { "$ref": "ShareSettings", "description": "Share-settings for shared-reservation" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "kind": { "default": "compute#reservation", "description": "[Output Only] Type of the resource. Always compute#reservations for reservations.", "type": "string" }, "commitment": { "type": "string", "description": "[Output Only] Full or partial URL to a parent commitment. This field displays for reservations that are tied to a commitment." }, "status": { "enumDescriptions": [ "Resources are being allocated for the reservation.", "Reservation is currently being deleted.", "", "Reservation has allocated all its resources.", "Reservation is currently being resized." ], "description": "[Output Only] The status of the reservation.", "type": "string", "enum": [ "CREATING", "DELETING", "INVALID", "READY", "UPDATING" ] }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "specificReservationRequired": { "type": "boolean", "description": "Indicates whether the reservation can be consumed by VMs with affinity for \"any\" reservation. If the field is set, then only VMs that target the reservation by name can consume from this reservation." } } }, "SignedUrlKey": { "id": "SignedUrlKey", "description": "Represents a customer-supplied Signing Key used by Cloud CDN Signed URLs", "type": "object", "properties": { "keyValue": { "description": "128-bit key value used for signing the URL. The key value must be a valid RFC 4648 Section 5 base64url encoded string.", "type": "string" }, "keyName": { "type": "string", "description": "Name of the key. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } } }, "RegionInstanceGroupManagersStopInstancesRequest": { "id": "RegionInstanceGroupManagersStopInstancesRequest", "properties": { "instances": { "items": { "type": "string" }, "type": "array", "description": "The URLs of one or more instances to stop. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." }, "forceStop": { "description": "If this flag is set to true, the Instance Group Manager will proceed to stop the instances, skipping initialization on them.", "type": "boolean" } }, "type": "object" }, "HealthCheckServiceReference": { "id": "HealthCheckServiceReference", "description": "A full or valid partial URL to a health check service. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project-id/regions/us-west1/healthCheckServices/health-check-service - projects/project-id/regions/us-west1/healthCheckServices/health-check-service - regions/us-west1/healthCheckServices/health-check-service ", "properties": { "healthCheckService": { "type": "string" } }, "type": "object" }, "LicenseResourceRequirements": { "id": "LicenseResourceRequirements", "type": "object", "properties": { "minGuestCpuCount": { "description": "Minimum number of guest cpus required to use the Instance. Enforced at Instance creation and Instance start.", "format": "int32", "type": "integer" }, "minMemoryMb": { "type": "integer", "description": "Minimum memory required to use the Instance. Enforced at Instance creation and Instance start.", "format": "int32" } } }, "ServiceAccount": { "description": "A service account.", "id": "ServiceAccount", "properties": { "scopes": { "items": { "type": "string" }, "type": "array", "description": "The list of scopes to be made available for this service account." }, "email": { "type": "string", "description": "Email address of the service account." } }, "type": "object" }, "CommitmentAggregatedList": { "properties": { "warning": { "type": "object", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning message." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#commitmentAggregatedList for aggregated lists of commitments.", "default": "compute#commitmentAggregatedList" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "items": { "description": "A list of CommitmentsScopedList resources.", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of commitments.", "$ref": "CommitmentsScopedList" }, "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "id": "CommitmentAggregatedList", "type": "object" }, "DistributionPolicyZoneConfiguration": { "id": "DistributionPolicyZoneConfiguration", "properties": { "zone": { "annotations": { "required": [ "compute.regionInstanceGroupManagers.insert", "compute.regionInstanceGroupManagers.update" ] }, "type": "string", "description": "The URL of the zone. The zone must exist in the region where the managed instance group is located." } }, "type": "object" }, "GlobalOrganizationSetPolicyRequest": { "id": "GlobalOrganizationSetPolicyRequest", "properties": { "bindings": { "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings.", "type": "array", "items": { "$ref": "Binding" } }, "etag": { "format": "byte", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.", "type": "string" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them.", "$ref": "Policy" } }, "type": "object" }, "GRPCHealthCheck": { "id": "GRPCHealthCheck", "type": "object", "properties": { "port": { "type": "integer", "format": "int32", "description": "The port number for the health check request. Must be specified if port_name and port_specification are not set or if port_specification is USE_FIXED_PORT. Valid values are 1 through 65535." }, "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence. The port_name should conform to RFC1035." }, "grpcServiceName": { "description": "The gRPC service name for the health check. This field is optional. The value of grpc_service_name has the following meanings by convention: - Empty service_name means the overall status of all services at the backend. - Non-empty service_name means the health of that gRPC service, as defined by the owner of the service. The grpc_service_name can only be ASCII.", "type": "string" }, "portSpecification": { "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ], "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, gRPC health check follows behavior specified in port and portName fields.", "type": "string" } } }, "WafExpressionSet": { "properties": { "aliases": { "items": { "type": "string" }, "description": "A list of alternate IDs. The format should be: - E.g. XSS-stable Generic suffix like \"stable\" is particularly useful if a policy likes to avail newer set of expressions without having to change the policy. A given alias name can't be used for more than one entity set.", "type": "array" }, "expressions": { "items": { "$ref": "WafExpressionSetExpression" }, "description": "List of available expressions.", "type": "array" }, "id": { "description": "Google specified expression set ID. The format should be: - E.g. XSS-20170329 required", "type": "string" } }, "id": "WafExpressionSet", "type": "object" }, "ShieldedInstanceIdentityEntry": { "properties": { "ekPub": { "description": "A PEM-encoded public key.", "type": "string" }, "ekCert": { "description": "A PEM-encoded X.509 certificate. This field can be empty.", "type": "string" } }, "id": "ShieldedInstanceIdentityEntry", "description": "A Shielded Instance Identity Entry.", "type": "object" }, "ConnectionDraining": { "type": "object", "description": "Message containing connection draining configuration.", "properties": { "drainingTimeoutSec": { "type": "integer", "format": "int32", "description": "Configures a duration timeout for existing requests on a removed backend instance. For supported load balancers and protocols, as described in Enabling connection draining." } }, "id": "ConnectionDraining" }, "CustomerEncryptionKey": { "properties": { "kmsKeyServiceAccount": { "description": "The service account being used for the encryption request for the given KMS key. If absent, the Compute Engine default service account is used. For example: \"kmsKeyServiceAccount\": \"name@project_id.iam.gserviceaccount.com/ ", "type": "string" }, "kmsKeyName": { "type": "string", "description": "The name of the encryption key that is stored in Google Cloud KMS. For example: \"kmsKeyName\": \"projects/kms_project_id/locations/region/keyRings/ key_region/cryptoKeys/key " }, "rawKey": { "description": "Specifies a 256-bit customer-supplied encryption key, encoded in RFC 4648 base64 to either encrypt or decrypt this resource. You can provide either the rawKey or the rsaEncryptedKey. For example: \"rawKey\": \"SGVsbG8gZnJvbSBHb29nbGUgQ2xvdWQgUGxhdGZvcm0=\" ", "type": "string" }, "rsaEncryptedKey": { "type": "string", "description": "Specifies an RFC 4648 base64 encoded, RSA-wrapped 2048-bit customer-supplied encryption key to either encrypt or decrypt this resource. You can provide either the rawKey or the rsaEncryptedKey. For example: \"rsaEncryptedKey\": \"ieCx/NcW06PcT7Ep1X6LUTc/hLvUDYyzSZPPVCVPTVEohpeHASqC8uw5TzyO9U+Fka9JFH z0mBibXUInrC/jEk014kCK/NPjYgEMOyssZ4ZINPKxlUh2zn1bV+MCaTICrdmuSBTWlUUiFoD D6PYznLwh8ZNdaheCeZ8ewEXgFQ8V+sDroLaN3Xs3MDTXQEMMoNUXMCZEIpg9Vtp9x2oe==\" The key must meet the following requirements before you can provide it to Compute Engine: 1. The key is wrapped using a RSA public key certificate provided by Google. 2. After being wrapped, the key must be encoded in RFC 4648 base64 encoding. Gets the RSA public key certificate provided by Google at: https://cloud-certs.storage.googleapis.com/google-cloud-csek-ingress.pem " }, "sha256": { "description": "[Output only] The RFC 4648 base64 encoded SHA-256 hash of the customer-supplied encryption key that protects this resource.", "type": "string" } }, "id": "CustomerEncryptionKey", "type": "object" }, "InterconnectLocation": { "id": "InterconnectLocation", "properties": { "facilityProviderFacilityId": { "type": "string", "description": "[Output Only] A provider-assigned Identifier for this facility (e.g., Ashburn-DC1)." }, "continent": { "description": "[Output Only] Continent for this location, which can take one of the following values: - AFRICA - ASIA_PAC - EUROPE - NORTH_AMERICA - SOUTH_AMERICA ", "enum": [ "AFRICA", "ASIA_PAC", "C_AFRICA", "C_ASIA_PAC", "C_EUROPE", "C_NORTH_AMERICA", "C_SOUTH_AMERICA", "EUROPE", "NORTH_AMERICA", "SOUTH_AMERICA" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ] }, "status": { "description": "[Output Only] The status of this InterconnectLocation, which can take one of the following values: - CLOSED: The InterconnectLocation is closed and is unavailable for provisioning new Interconnects. - AVAILABLE: The InterconnectLocation is available for provisioning new Interconnects. ", "enumDescriptions": [ "The InterconnectLocation is available for provisioning new Interconnects.", "The InterconnectLocation is closed for provisioning new Interconnects." ], "enum": [ "AVAILABLE", "CLOSED" ], "type": "string" }, "address": { "type": "string", "description": "[Output Only] The postal address of the Point of Presence, each line in the address is separated by a newline character." }, "city": { "description": "[Output Only] Metropolitan area designator that indicates which city an interconnect is located. For example: \"Chicago, IL\", \"Amsterdam, Netherlands\".", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "description": { "type": "string", "description": "[Output Only] An optional description of the resource." }, "name": { "type": "string", "description": "[Output Only] Name of the resource." }, "availabilityZone": { "description": "[Output Only] Availability zone for this InterconnectLocation. Within a metropolitan area (metro), maintenance will not be simultaneously scheduled in more than one availability zone. Example: \"zone1\" or \"zone2\".", "type": "string" }, "regionInfos": { "items": { "$ref": "InterconnectLocationRegionInfo" }, "description": "[Output Only] A list of InterconnectLocation.RegionInfo objects, that describe parameters pertaining to the relation between this InterconnectLocation and various Google Cloud regions.", "type": "array" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "supportsPzs": { "type": "boolean", "description": "[Output Only] Set to true for locations that support physical zone separation. Defaults to false if the field is not present." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#interconnectLocation for interconnect locations.", "default": "compute#interconnectLocation" }, "facilityProvider": { "description": "[Output Only] The name of the provider for this facility (e.g., EQUINIX).", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "peeringdbFacilityId": { "description": "[Output Only] The peeringdb identifier for this facility (corresponding with a netfac type in peeringdb).", "type": "string" } }, "type": "object", "description": "Represents an Interconnect Attachment (VLAN) Location resource. You can use this resource to find location details about an Interconnect attachment (VLAN). For more information about interconnect attachments, read Creating VLAN Attachments." }, "NotificationEndpointList": { "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "type": "array", "description": "A list of NotificationEndpoint resources.", "items": { "$ref": "NotificationEndpoint" } }, "warning": { "properties": { "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "type": "string", "default": "compute#notificationEndpointList", "description": "[Output Only] Type of the resource. Always compute#notificationEndpoint for notification endpoints." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "id": "NotificationEndpointList", "type": "object" }, "InstancesSetServiceAccountRequest": { "type": "object", "properties": { "scopes": { "type": "array", "description": "The list of scopes to be made available for this service account.", "items": { "type": "string" } }, "email": { "description": "Email address of the service account.", "type": "string" } }, "id": "InstancesSetServiceAccountRequest" }, "AutoscalerStatusDetails": { "type": "object", "id": "AutoscalerStatusDetails", "properties": { "message": { "type": "string", "description": "The status message." }, "type": { "type": "string", "enum": [ "ALL_INSTANCES_UNHEALTHY", "BACKEND_SERVICE_DOES_NOT_EXIST", "CAPPED_AT_MAX_NUM_REPLICAS", "CUSTOM_METRIC_DATA_POINTS_TOO_SPARSE", "CUSTOM_METRIC_INVALID", "MIN_EQUALS_MAX", "MISSING_CUSTOM_METRIC_DATA_POINTS", "MISSING_LOAD_BALANCING_DATA_POINTS", "MODE_OFF", "MODE_ONLY_SCALE_OUT", "MODE_ONLY_UP", "MORE_THAN_ONE_BACKEND_SERVICE", "NOT_ENOUGH_QUOTA_AVAILABLE", "REGION_RESOURCE_STOCKOUT", "SCALING_TARGET_DOES_NOT_EXIST", "SCHEDULED_INSTANCES_GREATER_THAN_AUTOSCALER_MAX", "SCHEDULED_INSTANCES_LESS_THAN_AUTOSCALER_MIN", "UNKNOWN", "UNSUPPORTED_MAX_RATE_LOAD_BALANCING_CONFIGURATION", "ZONE_RESOURCE_STOCKOUT" ], "enumDescriptions": [ "All instances in the instance group are unhealthy (not in RUNNING state).", "There is no backend service attached to the instance group.", "Autoscaler recommends a size greater than maxNumReplicas.", "The custom metric samples are not exported often enough to be a credible base for autoscaling.", "The custom metric that was specified does not exist or does not have the necessary labels.", "The minNumReplicas is equal to maxNumReplicas. This means the autoscaler cannot add or remove instances from the instance group.", "The autoscaler did not receive any data from the custom metric configured for autoscaling.", "The autoscaler is configured to scale based on a load balancing signal but the instance group has not received any requests from the load balancer.", "Autoscaling is turned off. The number of instances in the group won't change automatically. The autoscaling configuration is preserved.", "Autoscaling is in the \"Autoscale only scale out\" mode. Instances in the group will be only added.", "Autoscaling is in the \"Autoscale only out\" mode. Instances in the group will be only added.", "The instance group cannot be autoscaled because it has more than one backend service attached to it.", "There is insufficient quota for the necessary resources, such as CPU or number of instances.", "Showed only for regional autoscalers: there is a resource stockout in the chosen region.", "The target to be scaled does not exist.", "For some scaling schedules minRequiredReplicas is greater than maxNumReplicas. Autoscaler always recommends at most maxNumReplicas instances.", "For some scaling schedules minRequiredReplicas is less than minNumReplicas. Autoscaler always recommends at least minNumReplicas instances.", "", "Autoscaling does not work with an HTTP/S load balancer that has been configured for maxRate.", "For zonal autoscalers: there is a resource stockout in the chosen zone. For regional autoscalers: in at least one of the zones you're using there is a resource stockout." ], "description": "The type of error, warning, or notice returned. Current set of possible values: - ALL_INSTANCES_UNHEALTHY (WARNING): All instances in the instance group are unhealthy (not in RUNNING state). - BACKEND_SERVICE_DOES_NOT_EXIST (ERROR): There is no backend service attached to the instance group. - CAPPED_AT_MAX_NUM_REPLICAS (WARNING): Autoscaler recommends a size greater than maxNumReplicas. - CUSTOM_METRIC_DATA_POINTS_TOO_SPARSE (WARNING): The custom metric samples are not exported often enough to be a credible base for autoscaling. - CUSTOM_METRIC_INVALID (ERROR): The custom metric that was specified does not exist or does not have the necessary labels. - MIN_EQUALS_MAX (WARNING): The minNumReplicas is equal to maxNumReplicas. This means the autoscaler cannot add or remove instances from the instance group. - MISSING_CUSTOM_METRIC_DATA_POINTS (WARNING): The autoscaler did not receive any data from the custom metric configured for autoscaling. - MISSING_LOAD_BALANCING_DATA_POINTS (WARNING): The autoscaler is configured to scale based on a load balancing signal but the instance group has not received any requests from the load balancer. - MODE_OFF (WARNING): Autoscaling is turned off. The number of instances in the group won't change automatically. The autoscaling configuration is preserved. - MODE_ONLY_UP (WARNING): Autoscaling is in the \"Autoscale only out\" mode. The autoscaler can add instances but not remove any. - MORE_THAN_ONE_BACKEND_SERVICE (ERROR): The instance group cannot be autoscaled because it has more than one backend service attached to it. - NOT_ENOUGH_QUOTA_AVAILABLE (ERROR): There is insufficient quota for the necessary resources, such as CPU or number of instances. - REGION_RESOURCE_STOCKOUT (ERROR): Shown only for regional autoscalers: there is a resource stockout in the chosen region. - SCALING_TARGET_DOES_NOT_EXIST (ERROR): The target to be scaled does not exist. - UNSUPPORTED_MAX_RATE_LOAD_BALANCING_CONFIGURATION (ERROR): Autoscaling does not work with an HTTP/S load balancer that has been configured for maxRate. - ZONE_RESOURCE_STOCKOUT (ERROR): For zonal autoscalers: there is a resource stockout in the chosen zone. For regional autoscalers: in at least one of the zones you're using there is a resource stockout. New values might be added in the future. Some of the values might not be available in all API versions." } } }, "GuestAttributesValue": { "description": "Array of guest attribute namespace/key/value tuples.", "properties": { "items": { "type": "array", "items": { "$ref": "GuestAttributesEntry" } } }, "id": "GuestAttributesValue", "type": "object" }, "ErrorInfo": { "description": "Describes the cause of the error with structured details. Example of an error when contacting the \"pubsub.googleapis.com\" API when it is not enabled: { \"reason\": \"API_DISABLED\" \"domain\": \"googleapis.com\" \"metadata\": { \"resource\": \"projects/123\", \"service\": \"pubsub.googleapis.com\" } } This response indicates that the pubsub.googleapis.com API is not enabled. Example of an error that is returned when attempting to create a Spanner instance in a region that is out of stock: { \"reason\": \"STOCKOUT\" \"domain\": \"spanner.googleapis.com\", \"metadata\": { \"availableRegions\": \"us-central1,us-east2\" } }", "properties": { "metadatas": { "description": "Additional structured details about this error. Keys should match /[a-zA-Z0-9-_]/ and be limited to 64 characters in length. When identifying the current value of an exceeded limit, the units should be contained in the key, not the value. For example, rather than {\"instanceLimit\": \"100/request\"}, should be returned as, {\"instanceLimitPerRequest\": \"100\"}, if the client exceeds the number of instances that can be created in a single (batch) request.", "additionalProperties": { "type": "string" }, "type": "object" }, "reason": { "description": "The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match /[A-Z0-9_]+/.", "type": "string" }, "domain": { "description": "The logical grouping to which the \"reason\" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: \"pubsub.googleapis.com\". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is \"googleapis.com\".", "type": "string" } }, "id": "ErrorInfo", "type": "object" }, "FutureReservation": { "properties": { "kind": { "description": "[Output Only] Type of the resource. Always compute#futureReservation for future reservations.", "default": "compute#futureReservation", "type": "string" }, "zone": { "description": "[Output Only] URL of the Zone where this future reservation resides.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] The creation timestamp for this future reservation in RFC3339 text format." }, "status": { "$ref": "FutureReservationStatus", "description": "[Output only] Status of the Future Reservation" }, "id": { "description": "[Output Only] A unique identifier for this future reservation. The server defines this identifier.", "type": "string", "format": "uint64" }, "selfLink": { "description": "[Output Only] Server-defined fully-qualified URL for this resource.", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "name": { "annotations": { "required": [ "compute.instances.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "description": { "description": "An optional description of this resource. Provide this property when you create the future reservation.", "type": "string" }, "timeWindow": { "$ref": "FutureReservationTimeWindow", "description": "Time window for this Future Reservation." }, "namePrefix": { "description": "Name prefix for the reservations to be created at the time of delivery. The name prefix must comply with RFC1035. Maximum allowed length for name prefix is 20. Automatically created reservations name format will be -date-####.", "type": "string" }, "shareSettings": { "description": "List of Projects/Folders to share with.", "$ref": "ShareSettings" }, "specificSkuProperties": { "$ref": "FutureReservationSpecificSKUProperties", "description": "Future Reservation configuration to indicate instance properties and total count." } }, "id": "FutureReservation", "type": "object" }, "InterconnectLocationRegionInfo": { "description": "Information about any potential InterconnectAttachments between an Interconnect at a specific InterconnectLocation, and a specific Cloud Region.", "properties": { "region": { "description": "URL for the region of this location.", "type": "string" }, "locationPresence": { "enum": [ "GLOBAL", "LOCAL_REGION", "LP_GLOBAL", "LP_LOCAL_REGION" ], "enumDescriptions": [ "This region is not in any common network presence with this InterconnectLocation.", "This region shares the same regional network presence as this InterconnectLocation.", "[Deprecated] This region is not in any common network presence with this InterconnectLocation.", "[Deprecated] This region shares the same regional network presence as this InterconnectLocation." ], "description": "Identifies the network presence of this location.", "type": "string" }, "expectedRttMs": { "type": "string", "format": "int64", "description": "Expected round-trip time in milliseconds, from this InterconnectLocation to a VM in this region." } }, "id": "InterconnectLocationRegionInfo", "type": "object" }, "ShieldedVmIdentityEntry": { "description": "A Shielded Instance Identity Entry.", "properties": { "ekPub": { "type": "string", "description": "A PEM-encoded public key." }, "ekCert": { "type": "string", "description": "A PEM-encoded X.509 certificate. This field can be empty." } }, "id": "ShieldedVmIdentityEntry", "type": "object" }, "UsableSubnetworkSecondaryRange": { "properties": { "rangeName": { "type": "string", "description": "The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork." }, "ipCidrRange": { "description": "The range of IP addresses belonging to this subnetwork secondary range.", "type": "string" } }, "description": "Secondary IP range of a usable subnetwork.", "type": "object", "id": "UsableSubnetworkSecondaryRange" }, "ResourcePolicyWeeklyCycleDayOfWeek": { "id": "ResourcePolicyWeeklyCycleDayOfWeek", "properties": { "startTime": { "type": "string", "description": "Time within the window to start the operations. It must be in format \"HH:MM\", where HH : [00-23] and MM : [00-00] GMT." }, "duration": { "type": "string", "description": "[Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario." }, "day": { "type": "string", "description": "Defines a schedule that runs on specific days of the week. Specify one or more days. The following options are available: MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.", "enum": [ "FRIDAY", "INVALID", "MONDAY", "SATURDAY", "SUNDAY", "THURSDAY", "TUESDAY", "WEDNESDAY" ], "enumDescriptions": [ "", "", "", "", "", "", "", "" ] } }, "type": "object" }, "Operation": { "properties": { "creationTimestamp": { "description": "[Deprecated] This field is deprecated.", "type": "string" }, "kind": { "default": "compute#operation", "description": "[Output Only] Type of the resource. Always `compute#operation` for Operation resources.", "type": "string" }, "statusMessage": { "type": "string", "description": "[Output Only] An optional textual description of the current status of the operation." }, "zone": { "description": "[Output Only] The URL of the zone where the operation resides. Only applicable when performing per-zone operations.", "type": "string" }, "insertTime": { "description": "[Output Only] The time that this operation was requested. This value is in RFC3339 text format.", "type": "string" }, "operationGroupId": { "type": "string", "description": "[Output Only] An ID that represents a group of operations, such as when a group of operations results from a `bulkInsert` API request." }, "httpErrorMessage": { "description": "[Output Only] If the operation fails, this field contains the HTTP error message that was returned, such as `NOT FOUND`.", "type": "string" }, "httpErrorStatusCode": { "type": "integer", "format": "int32", "description": "[Output Only] If the operation fails, this field contains the HTTP error status code that was returned. For example, a `404` means the resource was not found." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the operation. This identifier is defined by the server." }, "warnings": { "items": { "type": "object", "properties": { "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } } }, "type": "array", "description": "[Output Only] If warning messages are generated during processing of the operation, this field will be populated." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "targetId": { "type": "string", "format": "uint64", "description": "[Output Only] The unique target ID, which identifies a specific incarnation of the target resource." }, "operationType": { "description": "[Output Only] The type of operation, such as `insert`, `update`, or `delete`, and so on.", "type": "string" }, "endTime": { "description": "[Output Only] The time that this operation was completed. This value is in RFC3339 text format.", "type": "string" }, "region": { "description": "[Output Only] The URL of the region where the operation resides. Only applicable when performing regional operations.", "type": "string" }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "[Output Only] Service-specific metadata attached to this operation." }, "name": { "type": "string", "description": "[Output Only] Name of the operation." }, "clientOperationId": { "description": "[Output Only] The value of `requestId` if you provided it in the request. Not present otherwise.", "type": "string" }, "targetLink": { "description": "[Output Only] The URL of the resource that the operation modifies. For operations related to creating a snapshot, this points to the persistent disk that the snapshot was created from.", "type": "string" }, "status": { "enum": [ "DONE", "PENDING", "RUNNING" ], "enumDescriptions": [ "", "", "" ], "description": "[Output Only] The status of the operation, which can be one of the following: `PENDING`, `RUNNING`, or `DONE`.", "type": "string" }, "user": { "type": "string", "description": "[Output Only] User who requested the operation, for example: `user@example.com`." }, "startTime": { "description": "[Output Only] The time that this operation was started by the server. This value is in RFC3339 text format.", "type": "string" }, "description": { "description": "[Output Only] A textual description of the operation, which is set when the operation is created.", "type": "string" }, "progress": { "format": "int32", "description": "[Output Only] An optional progress indicator that ranges from 0 to 100. There is no requirement that this be linear or support any granularity of operations. This should not be used to guess when the operation will be complete. This number should monotonically increase as the operation progresses.", "type": "integer" }, "error": { "type": "object", "description": "[Output Only] If errors are generated during processing of the operation, this field will be populated.", "properties": { "errors": { "type": "array", "items": { "type": "object", "properties": { "code": { "description": "[Output Only] The error type identifier for this error.", "type": "string" }, "errorDetails": { "description": "[Output Only] An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED.", "items": { "properties": { "errorInfo": { "$ref": "ErrorInfo" }, "localizedMessage": { "$ref": "LocalizedMessage" }, "help": { "$ref": "Help" }, "quotaInfo": { "$ref": "QuotaExceededInfo" } }, "type": "object" }, "type": "array" }, "message": { "description": "[Output Only] An optional, human-readable error message.", "type": "string" }, "location": { "description": "[Output Only] Indicates the field in the request that caused the error. This property is optional.", "type": "string" } } }, "description": "[Output Only] The array of errors encountered while processing this operation." } } }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" } }, "type": "object", "description": "Represents an Operation resource. Google Compute Engine has three Operation resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/alpha/globalOperations) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/alpha/regionOperations) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/alpha/zoneOperations) You can use an operation resource to manage asynchronous API requests. For more information, read Handling API responses. Operations can be global, regional or zonal. - For global operations, use the `globalOperations` resource. - For regional operations, use the `regionOperations` resource. - For zonal operations, use the `zonalOperations` resource. For more information, read Global, Regional, and Zonal Resources.", "id": "Operation" }, "Uint128": { "type": "object", "properties": { "high": { "type": "string", "format": "uint64" }, "low": { "type": "string", "format": "uint64" } }, "id": "Uint128" }, "SubnetworkLogConfig": { "properties": { "aggregationInterval": { "enum": [ "INTERVAL_10_MIN", "INTERVAL_15_MIN", "INTERVAL_1_MIN", "INTERVAL_30_SEC", "INTERVAL_5_MIN", "INTERVAL_5_SEC" ], "description": "Can only be specified if VPC flow logging for this subnetwork is enabled. Toggles the aggregation interval for collecting flow logs. Increasing the interval time will reduce the amount of generated flow logs for long lasting connections. Default is an interval of 5 seconds per connection.", "enumDescriptions": [ "", "", "", "", "", "" ], "type": "string" }, "metadataFields": { "items": { "type": "string" }, "description": "Can only be specified if VPC flow logs for this subnetwork is enabled and \"metadata\" was set to CUSTOM_METADATA.", "type": "array" }, "flowSampling": { "type": "number", "format": "float", "description": "Can only be specified if VPC flow logging for this subnetwork is enabled. The value of the field must be in [0, 1]. Set the sampling rate of VPC flow logs within the subnetwork where 1.0 means all collected logs are reported and 0.0 means no logs are reported. Default is 0.5 unless otherwise specified by the org policy, which means half of all collected logs are reported." }, "metadata": { "description": "Can only be specified if VPC flow logs for this subnetwork is enabled. Configures whether all, none or a subset of metadata fields should be added to the reported VPC flow logs. Default is EXCLUDE_ALL_METADATA.", "enum": [ "CUSTOM_METADATA", "EXCLUDE_ALL_METADATA", "INCLUDE_ALL_METADATA" ], "type": "string", "enumDescriptions": [ "", "", "" ] }, "enable": { "description": "Whether to enable flow logging for this subnetwork. If this field is not explicitly set, it will not appear in get listings. If not set the default behavior is determined by the org policy, if there is no org policy specified, then it will default to disabled.", "type": "boolean" }, "filterExpr": { "description": "Can only be specified if VPC flow logs for this subnetwork is enabled. The filter expression is used to define which VPC flow logs should be exported to Cloud Logging.", "type": "string" } }, "type": "object", "description": "The available logging options for this subnetwork.", "id": "SubnetworkLogConfig" }, "LicenseResourceCommitment": { "id": "LicenseResourceCommitment", "type": "object", "description": "Commitment for a particular license resource.", "properties": { "amount": { "type": "string", "format": "int64", "description": "The number of licenses purchased." }, "license": { "type": "string", "description": "Any applicable license URI." }, "coresPerLicense": { "description": "Specifies the core range of the instance for which this license applies.", "type": "string" } } }, "HealthStatusForNetworkEndpoint": { "id": "HealthStatusForNetworkEndpoint", "properties": { "healthState": { "description": "Health state of the network endpoint determined based on the health checks configured.", "enum": [ "DRAINING", "HEALTHY", "UNHEALTHY", "UNKNOWN" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "forwardingRule": { "description": "URL of the forwarding rule associated with the health state of the network endpoint.", "$ref": "ForwardingRuleReference" }, "backendService": { "$ref": "BackendServiceReference", "description": "URL of the backend service associated with the health state of the network endpoint." }, "healthCheckService": { "$ref": "HealthCheckServiceReference", "description": "URL of the health check service associated with the health state of the network endpoint." }, "healthCheck": { "$ref": "HealthCheckReference", "description": "URL of the health check associated with the health state of the network endpoint." } }, "type": "object" }, "TargetHttpsProxiesSetSslCertificatesRequest": { "properties": { "sslCertificates": { "type": "array", "items": { "type": "string" }, "description": "New set of SslCertificate resources to associate with this TargetHttpsProxy resource. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates." } }, "type": "object", "id": "TargetHttpsProxiesSetSslCertificatesRequest" }, "InstancesGetEffectiveFirewallsResponse": { "properties": { "firewallPolicys": { "type": "array", "items": { "$ref": "InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy" }, "description": "Effective firewalls from firewall policies." }, "firewalls": { "items": { "$ref": "Firewall" }, "description": "Effective firewalls on the instance.", "type": "array" }, "organizationFirewalls": { "description": "Effective firewalls from organization policies.", "items": { "$ref": "InstancesGetEffectiveFirewallsResponseOrganizationFirewallPolicy" }, "type": "array" } }, "type": "object", "id": "InstancesGetEffectiveFirewallsResponse" }, "InstanceGroupManagerInstanceLifecyclePolicyMetadataBasedReadinessSignal": { "type": "object", "properties": { "timeoutSec": { "type": "integer", "format": "int32", "description": "The number of seconds to wait for a readiness signal during initialization before timing out." } }, "id": "InstanceGroupManagerInstanceLifecyclePolicyMetadataBasedReadinessSignal" }, "InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy": { "type": "object", "properties": { "rules": { "description": "The rules that apply to the network.", "items": { "$ref": "FirewallPolicyRule" }, "type": "array" }, "name": { "description": "[Output Only] The name of the firewall policy.", "type": "string" }, "shortName": { "description": "[Output Only] The short name of the firewall policy.", "type": "string" }, "displayName": { "type": "string", "description": "[Output Only] Deprecated, please use short name instead. The display name of the firewall policy." }, "type": { "enumDescriptions": [ "", "", "", "" ], "description": "[Output Only] The type of the firewall policy. Can be one of HIERARCHY, NETWORK, NETWORK_REGIONAL.", "enum": [ "HIERARCHY", "NETWORK", "NETWORK_REGIONAL", "UNSPECIFIED" ], "type": "string" } }, "id": "InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy" }, "MetadataCredentialsFromPlugin": { "properties": { "name": { "type": "string", "description": "Plugin name." }, "structConfig": { "description": "A text proto that conforms to a Struct type definition interpreted by the plugin.", "type": "string" } }, "id": "MetadataCredentialsFromPlugin", "description": "[Deprecated] Custom authenticator credentials. Custom authenticator credentials.", "type": "object" }, "UrlRewrite": { "properties": { "hostRewrite": { "description": "Before forwarding the request to the selected service, the request's host header is replaced with contents of hostRewrite. The value must be from 1 to 255 characters.", "type": "string" }, "pathPrefixRewrite": { "type": "string", "description": "Before forwarding the request to the selected backend service, the matching portion of the request's path is replaced by pathPrefixRewrite. The value must be from 1 to 1024 characters." } }, "description": "The spec for modifying the path before sending the request to the matched backend service.", "type": "object", "id": "UrlRewrite" }, "LogConfigDataAccessOptions": { "id": "LogConfigDataAccessOptions", "properties": { "logMode": { "type": "string", "enum": [ "LOG_FAIL_CLOSED", "LOG_MODE_UNSPECIFIED" ], "description": "This is deprecated and has no effect. Do not use.", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ] } }, "description": "This is deprecated and has no effect. Do not use.", "type": "object" }, "FutureReservationsScopedList": { "id": "FutureReservationsScopedList", "properties": { "futureReservations": { "items": { "$ref": "FutureReservation" }, "description": "A list of future reservations contained in this scope.", "type": "array" }, "warning": { "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "Informational warning which replaces the list of future reservations when the list is empty.", "type": "object" } }, "type": "object" }, "RouterStatusResponse": { "id": "RouterStatusResponse", "type": "object", "properties": { "kind": { "type": "string", "default": "compute#routerStatusResponse", "description": "Type of resource." }, "result": { "$ref": "RouterStatus" } } }, "PublicDelegatedPrefixList": { "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#publicDelegatedPrefixList for public delegated prefixes.", "type": "string", "default": "compute#publicDelegatedPrefixList" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "type": "array", "items": { "$ref": "PublicDelegatedPrefix" }, "description": "A list of PublicDelegatedPrefix resources." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } } }, "type": "object", "id": "PublicDelegatedPrefixList" }, "RouterStatusNatStatusNatRuleStatus": { "description": "Status of a NAT Rule contained in this NAT.", "properties": { "drainNatIps": { "type": "array", "items": { "type": "string" }, "description": "A list of IPs for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"]." }, "ruleNumber": { "format": "int32", "type": "integer", "description": "Rule number of the rule." }, "minExtraIpsNeeded": { "type": "integer", "format": "int32", "description": "The number of extra IPs to allocate. This will be greater than 0 only if the existing IPs in this NAT Rule are NOT enough to allow all configured VMs to use NAT." }, "numVmEndpointsWithNatMappings": { "type": "integer", "description": "Number of VM endpoints (i.e., NICs) that have NAT Mappings from this NAT Rule.", "format": "int32" }, "activeNatIps": { "type": "array", "items": { "type": "string" }, "description": "A list of active IPs for NAT. Example: [\"1.1.1.1\", \"179.12.26.133\"]." } }, "type": "object", "id": "RouterStatusNatStatusNatRuleStatus" }, "VpnTunnelsScopedList": { "type": "object", "properties": { "vpnTunnels": { "description": "A list of VPN tunnels contained in this scope.", "type": "array", "items": { "$ref": "VpnTunnel" } }, "warning": { "description": "Informational warning which replaces the list of addresses when the list is empty.", "type": "object", "properties": { "data": { "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } } }, "id": "VpnTunnelsScopedList" }, "PreservedStatePreservedNetworkIp": { "type": "object", "properties": { "ipAddress": { "$ref": "PreservedStatePreservedNetworkIpIpAddress", "description": "Ip address representation" }, "autoDelete": { "type": "string", "enum": [ "NEVER", "ON_PERMANENT_INSTANCE_DELETION" ], "description": "These stateful IPs will never be released during autohealing, update or VM instance recreate operations. This flag is used to configure if the IP reservation should be deleted after it is no longer used by the group, e.g. when the given instance or the whole group is deleted.", "enumDescriptions": [ "", "" ] } }, "id": "PreservedStatePreservedNetworkIp" }, "NetworkEndpointGroupCloudRun": { "properties": { "service": { "description": "Cloud Run service is the main resource of Cloud Run. The service must be 1-63 characters long, and comply with RFC1035. Example value: \"run-service\".", "type": "string" }, "urlMask": { "description": "A template to parse \u003cservice\u003e and \u003ctag\u003e fields from a request URL. URL mask allows for routing to multiple Run services without having to create multiple network endpoint groups and backend services. For example, request URLs \"foo1.domain.com/bar1\" and \"foo1.domain.com/bar2\" can be backed by the same Serverless Network Endpoint Group (NEG) with URL mask \"\u003ctag\u003e.domain.com/\u003cservice\u003e\". The URL mask will parse them to { service=\"bar1\", tag=\"foo1\" } and { service=\"bar2\", tag=\"foo2\" } respectively.", "type": "string" }, "tag": { "type": "string", "description": "Optional Cloud Run tag represents the \"named-revision\" to provide additional fine-grained traffic routing information. The tag must be 1-63 characters long, and comply with RFC1035. Example value: \"revision-0010\"." } }, "description": "Configuration for a Cloud Run network endpoint group (NEG). The service must be provided explicitly or in the URL mask. The tag is optional, may be provided explicitly or in the URL mask. Note: Cloud Run service must be in the same project and located in the same region as the Serverless NEG.", "type": "object", "id": "NetworkEndpointGroupCloudRun" }, "RouterList": { "id": "RouterList", "properties": { "kind": { "default": "compute#routerList", "description": "[Output Only] Type of resource. Always compute#router for routers.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "type": "array", "items": { "$ref": "Router" }, "description": "A list of Router resources." } }, "description": "Contains a list of Router resources.", "type": "object" }, "ShareSettingsFolderConfig": { "properties": { "folderId": { "description": "The folder ID, should be same as the key of this folder config in the parent map. Folder id should be a string of number, and without \"folders/\" prefix.", "type": "string" } }, "description": "Config for each folder in the share settings.", "id": "ShareSettingsFolderConfig", "type": "object" }, "Route": { "description": "Represents a Route resource. A route defines a path from VM instances in the VPC network to a specific destination. This destination can be inside or outside the VPC network. For more information, read the Routes overview.", "properties": { "destRange": { "type": "string", "annotations": { "required": [ "compute.routes.insert" ] }, "description": "The destination range of outgoing packets that this route applies to. Both IPv4 and IPv6 are supported." }, "warnings": { "description": "[Output Only] If potential misconfigurations are detected for this route, this field will be populated with warning messages.", "type": "array", "items": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object" } }, "description": { "description": "An optional description of this resource. Provide this field when you create the resource.", "type": "string" }, "nextHopNetwork": { "type": "string", "description": "The URL of the local network if it should handle matching packets." }, "asPaths": { "items": { "$ref": "RouteAsPath" }, "type": "array", "description": "[Output Only] AS path." }, "nextHopIlb": { "description": "The URL to a forwarding rule of type loadBalancingScheme=INTERNAL that should handle matching packets or the IP address of the forwarding Rule. For example, the following are all valid URLs: - 10.128.0.56 - https://www.googleapis.com/compute/v1/projects/project/regions/region /forwardingRules/forwardingRule - regions/region/forwardingRules/forwardingRule ", "type": "string" }, "nextHopInstance": { "description": "The URL to an instance that should handle matching packets. You can specify this as a full or partial URL. For example: https://www.googleapis.com/compute/v1/projects/project/zones/zone/instances/", "type": "string" }, "kind": { "description": "[Output Only] Type of this resource. Always compute#routes for Route resources.", "type": "string", "default": "compute#route" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "priority": { "format": "uint32", "annotations": { "required": [ "compute.routes.insert" ] }, "description": "The priority of this route. Priority is used to break ties in cases where there is more than one matching route of equal prefix length. In cases where multiple routes have equal prefix length, the one with the lowest-numbered priority value wins. The default value is `1000`. The priority value must be from `0` to `65535`, inclusive.", "type": "integer" }, "nextHopGateway": { "type": "string", "description": "The URL to a gateway that should handle matching packets. You can only specify the internet gateway using a full or partial valid URL: projects/ project/global/gateways/default-internet-gateway" }, "nextHopPeering": { "type": "string", "description": "[Output Only] The network peering name that should handle matching packets, which should conform to RFC1035." }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "routeType": { "enum": [ "BGP", "STATIC", "SUBNET", "TRANSIT" ], "description": "[Output Only] The type of this route, which can be one of the following values: - 'TRANSIT' for a transit route that this router learned from another Cloud Router and will readvertise to one of its BGP peers - 'SUBNET' for a route from a subnet of the VPC - 'BGP' for a route learned from a BGP peer of this router - 'STATIC' for a static route", "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "network": { "annotations": { "required": [ "compute.routes.insert" ] }, "description": "Fully-qualified URL of the network that this route applies to.", "type": "string" }, "allowConflictingSubnetworks": { "description": "Whether this route can conflict with existing subnetworks. Setting this to true allows this route to conflict with subnetworks that have already been configured on the corresponding network.", "type": "boolean" }, "routeStatus": { "description": "[Output only] The status of the route.", "enum": [ "ACTIVE", "DROPPED", "INACTIVE", "PENDING" ], "type": "string", "enumDescriptions": [ "This route is processed and active.", "The route is dropped due to the VPC exceeding the dynamic route limit. For dynamic route limit, please refer to the Learned route example", "This route is processed but inactive due to failure from the backend. The backend may have rejected the route", "This route is being processed internally. The status will change once processed." ] }, "nextHopInterconnectAttachment": { "type": "string", "description": "[Output Only] The URL to an InterconnectAttachment which is the next hop for the route. This field will only be populated for the dynamic routes generated by Cloud Router with a linked interconnectAttachment." }, "ilbRouteBehaviorOnUnhealthy": { "type": "string", "enum": [ "DO_NOT_WITHDRAW_ROUTE_IF_ILB_UNHEALTHY", "WITHDRAW_ROUTE_IF_ILB_UNHEALTHY" ], "enumDescriptions": [ "Do not Withdraw route if the ILB is deemed unhealthy based on user specified threshold on the Backend Service of the ILB. This is default behavior for ilb as next hop route without IlbRouteBehavior.", "Withdraw route if the ILB is deemed unhealthy based on user specified threshold on the Backend Service of the internal load balancing. Currently the withdrawn route will be reinserted when the backends are restored to healthy. If you wish to prevent the re-insertion of the route and trigger the fall-back at your discretion, override the health result from the backends to signal as healthy only when ready to fallback." ], "description": "ILB route behavior when ILB is deemed unhealthy based on user specified threshold on the Backend Service of the internal load balancing." }, "tags": { "items": { "type": "string" }, "type": "array", "description": "A list of instance tags to which this route applies.", "annotations": { "required": [ "compute.routes.insert" ] } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined fully-qualified URL for this resource." }, "nextHopIp": { "description": "The network IP address of an instance that should handle matching packets. Only IPv4 is supported.", "type": "string" }, "nextHopVpnTunnel": { "type": "string", "description": "The URL to a VpnTunnel that should handle matching packets." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.routes.insert" ] }, "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.", "type": "string" } }, "id": "Route", "type": "object" }, "ManagedInstanceVersion": { "id": "ManagedInstanceVersion", "type": "object", "properties": { "name": { "type": "string", "description": "[Output Only] Name of the version." }, "instanceTemplate": { "description": "[Output Only] The intended template of the instance. This field is empty when current_action is one of { DELETING, ABANDONING }.", "type": "string" } } }, "RegionInstanceGroupManagerPatchInstanceConfigReq": { "properties": { "perInstanceConfigs": { "type": "array", "items": { "$ref": "PerInstanceConfig" }, "description": "The list of per-instance configurations to insert or patch on this managed instance group." } }, "type": "object", "description": "RegionInstanceGroupManagers.patchPerInstanceConfigs", "id": "RegionInstanceGroupManagerPatchInstanceConfigReq" }, "ZoneList": { "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "description": "A list of Zone resources.", "items": { "$ref": "Zone" }, "type": "array" }, "kind": { "default": "compute#zoneList", "description": "Type of resource.", "type": "string" } }, "id": "ZoneList", "description": "Contains a list of zone resources.", "type": "object" }, "ReservationsResizeRequest": { "id": "ReservationsResizeRequest", "type": "object", "properties": { "specificSkuCount": { "type": "string", "format": "int64", "description": "Number of allocated resources can be resized with minimum = 1 and maximum = 1000." } } }, "NetworkPerformanceConfig": { "type": "object", "properties": { "totalEgressBandwidthTier": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "DEFAULT", "TIER_1" ] }, "externalIpEgressBandwidthTier": { "enumDescriptions": [ "", "" ], "enum": [ "DEFAULT", "TIER_1" ], "type": "string" } }, "id": "NetworkPerformanceConfig" }, "RegionDisksStartAsyncReplicationRequest": { "id": "RegionDisksStartAsyncReplicationRequest", "type": "object", "properties": { "asyncSecondaryDisk": { "description": "The secondary disk to start asynchronous replication to. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk ", "type": "string" } } }, "GuestOsFeature": { "id": "GuestOsFeature", "properties": { "type": { "enum": [ "BARE_METAL_LINUX_COMPATIBLE", "FEATURE_TYPE_UNSPECIFIED", "GVNIC", "MULTI_IP_SUBNET", "SECURE_BOOT", "SEV_CAPABLE", "SEV_SNP_CAPABLE", "UEFI_COMPATIBLE", "VIRTIO_SCSI_MULTIQUEUE", "WINDOWS" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ], "description": "The ID of a supported feature. To add multiple values, use commas to separate values. Set to one or more of the following values: - VIRTIO_SCSI_MULTIQUEUE - WINDOWS - MULTI_IP_SUBNET - UEFI_COMPATIBLE - GVNIC - SEV_CAPABLE - SUSPEND_RESUME_COMPATIBLE - SEV_SNP_CAPABLE For more information, see Enabling guest operating system features.", "type": "string" } }, "type": "object", "description": "Guest OS features." }, "Quota": { "description": "A quotas entry.", "properties": { "limit": { "description": "[Output Only] Quota limit for this metric.", "type": "number", "format": "double" }, "metric": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "Guest CPUs", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "The total number of snapshots allowed for a single project.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "A2_CPUS", "AFFINITY_GROUPS", "AMD_S9300_GPUS", "AUTOSCALERS", "BACKEND_BUCKETS", "BACKEND_SERVICES", "C2D_CPUS", "C2_CPUS", "C3_CPUS", "COMMITMENTS", "COMMITTED_A2_CPUS", "COMMITTED_C2D_CPUS", "COMMITTED_C2_CPUS", "COMMITTED_C3_CPUS", "COMMITTED_CPUS", "COMMITTED_E2_CPUS", "COMMITTED_LICENSES", "COMMITTED_LOCAL_SSD_TOTAL_GB", "COMMITTED_M3_CPUS", "COMMITTED_MEMORY_OPTIMIZED_CPUS", "COMMITTED_N2A_CPUS", "COMMITTED_N2D_CPUS", "COMMITTED_N2_CPUS", "COMMITTED_NVIDIA_A100_80GB_GPUS", "COMMITTED_NVIDIA_A100_GPUS", "COMMITTED_NVIDIA_K80_GPUS", "COMMITTED_NVIDIA_P100_GPUS", "COMMITTED_NVIDIA_P4_GPUS", "COMMITTED_NVIDIA_T4_GPUS", "COMMITTED_NVIDIA_V100_GPUS", "COMMITTED_T2A_CPUS", "COMMITTED_T2D_CPUS", "CPUS", "CPUS_ALL_REGIONS", "DISKS_TOTAL_GB", "E2_CPUS", "EXTERNAL_MANAGED_FORWARDING_RULES", "EXTERNAL_NETWORK_LB_FORWARDING_RULES", "EXTERNAL_PROTOCOL_FORWARDING_RULES", "EXTERNAL_VPN_GATEWAYS", "FIREWALLS", "FORWARDING_RULES", "GLOBAL_EXTERNAL_MANAGED_FORWARDING_RULES", "GLOBAL_INTERNAL_ADDRESSES", "GPUS_ALL_REGIONS", "HEALTH_CHECKS", "IMAGES", "INSTANCES", "INSTANCE_GROUPS", "INSTANCE_GROUP_MANAGERS", "INSTANCE_TEMPLATES", "INTERCONNECTS", "INTERCONNECT_ATTACHMENTS_PER_REGION", "INTERCONNECT_ATTACHMENTS_TOTAL_MBPS", "INTERCONNECT_TOTAL_GBPS", "INTERNAL_ADDRESSES", "INTERNAL_TRAFFIC_DIRECTOR_FORWARDING_RULES", "IN_PLACE_SNAPSHOTS", "IN_USE_ADDRESSES", "IN_USE_BACKUP_SCHEDULES", "IN_USE_MAINTENANCE_WINDOWS", "IN_USE_SNAPSHOT_SCHEDULES", "LOCAL_SSD_TOTAL_GB", "M1_CPUS", "M2_CPUS", "M3_CPUS", "MACHINE_IMAGES", "N2A_CPUS", "N2D_CPUS", "N2_CPUS", "NETWORKS", "NETWORK_ENDPOINT_GROUPS", "NETWORK_FIREWALL_POLICIES", "NODE_GROUPS", "NODE_TEMPLATES", "NVIDIA_A100_80GB_GPUS", "NVIDIA_A100_GPUS", "NVIDIA_K80_GPUS", "NVIDIA_P100_GPUS", "NVIDIA_P100_VWS_GPUS", "NVIDIA_P4_GPUS", "NVIDIA_P4_VWS_GPUS", "NVIDIA_T4_GPUS", "NVIDIA_T4_VWS_GPUS", "NVIDIA_V100_GPUS", "PACKET_MIRRORINGS", "PD_EXTREME_TOTAL_PROVISIONED_IOPS", "PREEMPTIBLE_CPUS", "PREEMPTIBLE_LOCAL_SSD_GB", "PREEMPTIBLE_NVIDIA_A100_80GB_GPUS", "PREEMPTIBLE_NVIDIA_A100_GPUS", "PREEMPTIBLE_NVIDIA_K80_GPUS", "PREEMPTIBLE_NVIDIA_P100_GPUS", "PREEMPTIBLE_NVIDIA_P100_VWS_GPUS", "PREEMPTIBLE_NVIDIA_P4_GPUS", "PREEMPTIBLE_NVIDIA_P4_VWS_GPUS", "PREEMPTIBLE_NVIDIA_T4_GPUS", "PREEMPTIBLE_NVIDIA_T4_VWS_GPUS", "PREEMPTIBLE_NVIDIA_V100_GPUS", "PRIVATE_V6_ACCESS_SUBNETWORKS", "PSC_ILB_CONSUMER_FORWARDING_RULES_PER_PRODUCER_NETWORK", "PSC_INTERNAL_LB_FORWARDING_RULES", "PUBLIC_ADVERTISED_PREFIXES", "PUBLIC_DELEGATED_PREFIXES", "REGIONAL_AUTOSCALERS", "REGIONAL_INSTANCE_GROUP_MANAGERS", "RESERVATIONS", "RESOURCE_POLICIES", "ROUTERS", "ROUTES", "SECURITY_POLICIES", "SECURITY_POLICIES_PER_REGION", "SECURITY_POLICY_CEVAL_RULES", "SECURITY_POLICY_RULES", "SECURITY_POLICY_RULES_PER_REGION", "SERVICE_ATTACHMENTS", "SNAPSHOTS", "SSD_TOTAL_GB", "SSL_CERTIFICATES", "STATIC_ADDRESSES", "STATIC_BYOIP_ADDRESSES", "SUBNETWORKS", "T2A_CPUS", "T2D_CPUS", "TARGET_HTTPS_PROXIES", "TARGET_HTTP_PROXIES", "TARGET_INSTANCES", "TARGET_POOLS", "TARGET_SSL_PROXIES", "TARGET_TCP_PROXIES", "TARGET_VPN_GATEWAYS", "URL_MAPS", "VPN_GATEWAYS", "VPN_TUNNELS", "XPN_SERVICE_PROJECTS" ], "description": "[Output Only] Name of the quota metric.", "type": "string" }, "usage": { "description": "[Output Only] Current usage of this metric.", "format": "double", "type": "number" }, "owner": { "type": "string", "description": "[Output Only] Owning resource. This is the resource on which this quota is applied." } }, "id": "Quota", "type": "object" }, "WeightedBackendService": { "id": "WeightedBackendService", "type": "object", "description": "In contrast to a single BackendService in HttpRouteAction to which all matching traffic is directed to, WeightedBackendService allows traffic to be split across multiple backend services. The volume of traffic for each backend service is proportional to the weight specified in each WeightedBackendService", "properties": { "headerAction": { "description": "Specifies changes to request and response headers that need to take effect for the selected backendService. headerAction specified here take effect before headerAction in the enclosing HttpRouteRule, PathMatcher and UrlMap. headerAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "$ref": "HttpHeaderAction" }, "weight": { "description": "Specifies the fraction of traffic sent to a backend service, computed as weight / (sum of all weightedBackendService weights in routeAction) . The selection of a backend service is determined only for new traffic. Once a user's request has been directed to a backend service, subsequent requests are sent to the same backend service as determined by the backend service's session affinity policy. The value must be from 0 to 1000.", "type": "integer", "format": "uint32" }, "backendService": { "type": "string", "description": "The full or partial URL to the default BackendService resource. Before forwarding the request to backendService, the load balancer applies any relevant headerActions specified as part of this backendServiceWeight." } } }, "VpnGatewaysGetStatusResponse": { "id": "VpnGatewaysGetStatusResponse", "type": "object", "properties": { "result": { "$ref": "VpnGatewayStatus" } } }, "HealthCheckServicesScopedList": { "type": "object", "id": "HealthCheckServicesScopedList", "properties": { "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "Informational warning which replaces the list of backend services when the list is empty.", "type": "object" }, "resources": { "description": "A list of HealthCheckServices contained in this scope.", "items": { "$ref": "HealthCheckService" }, "type": "array" } } }, "HealthChecksScopedList": { "type": "object", "properties": { "healthChecks": { "items": { "$ref": "HealthCheck" }, "description": "A list of HealthChecks contained in this scope.", "type": "array" }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } } }, "description": "Informational warning which replaces the list of backend services when the list is empty." } }, "id": "HealthChecksScopedList" }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "type": "object", "properties": { "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" }, "type": "array" }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "bindingId": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" } }, "id": "Binding" }, "UpcomingMaintenanceTimeWindow": { "properties": { "latest": { "type": "string" }, "earliest": { "type": "string" } }, "description": "Represents a window of time using two timestamps: `earliest` and `latest`. This timestamp values are in RFC3339 text format.", "id": "UpcomingMaintenanceTimeWindow", "type": "object" }, "JwtHeader": { "properties": { "name": { "type": "string", "description": "The HTTP header name." }, "valuePrefix": { "description": "The value prefix. The value format is \"value_prefix\" For example, for \"Authorization: Bearer \", value_prefix=\"Bearer \" with a space at the end.", "type": "string" } }, "id": "JwtHeader", "type": "object", "description": "[Deprecated] This message specifies a header location to extract JWT token. This message specifies a header location to extract JWT token." }, "Disk": { "description": "Represents a Persistent Disk resource. Google Compute Engine has two Disk resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/alpha/disks) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/alpha/regionDisks) Persistent disks are required for running your VM instances. Create both boot and non-boot (data) persistent disks. For more information, read Persistent Disks. For more storage options, read Storage options. The disks resource represents a zonal persistent disk. For more information, read Zonal persistent disks. The regionDisks resource represents a regional persistent disk. For more information, read Regional resources.", "type": "object", "id": "Disk", "properties": { "storageType": { "type": "string", "description": "[Deprecated] Storage type of the persistent disk.", "enum": [ "HDD", "SSD" ], "enumDescriptions": [ "", "" ] }, "resourcePolicies": { "items": { "type": "string" }, "type": "array", "description": "Resource policies applied to this disk for automatic snapshot creations." }, "sourceStorageObject": { "type": "string", "description": "The full Google Cloud Storage URI where the disk image is stored. This file must be a gzip-compressed tarball whose name ends in .tar.gz or virtual machine disk whose name ends in vmdk. Valid URIs may start with gs:// or https://storage.googleapis.com/. This flag is not optimized for creating multiple disks from a source storage object. To create many disks from a source storage object, use gcloud compute images import instead." }, "sourceDiskId": { "type": "string", "description": "[Output Only] The unique ID of the disk used to create this disk. This value identifies the exact disk that was used to create this persistent disk. For example, if you created the persistent disk from a disk that was later deleted and recreated under the same name, the source disk ID would identify the exact version of the disk that was used." }, "sourceImageId": { "type": "string", "description": "[Output Only] The ID value of the image used to create this disk. This value identifies the exact image that was used to create this persistent disk. For example, if you created the persistent disk from an image that was later deleted and recreated under the same name, the source image ID would identify the exact version of the image that was used." }, "sourceConsistencyGroupPolicy": { "type": "string", "description": "[Output Only] URL of the DiskConsistencyGroupPolicy for a secondary disk that was created using a consistency group." }, "sourceInstantSnapshot": { "description": "The source instant snapshot used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instantSnapshots/instantSnapshot - projects/project/zones/zone/instantSnapshots/instantSnapshot - zones/zone/instantSnapshots/instantSnapshot ", "type": "string" }, "resourceStatus": { "$ref": "DiskResourceStatus", "description": "[Output Only] Status information for the disk resource." }, "sizeGb": { "type": "string", "description": "Size, in GB, of the persistent disk. You can specify this field when creating a persistent disk using the sourceImage, sourceSnapshot, or sourceDisk parameter, or specify it alone to create an empty persistent disk. If you specify this field along with a source, the value of sizeGb must not be less than the size of the source. Acceptable values are 1 to 65536, inclusive.", "format": "int64" }, "asyncSecondaryDisks": { "type": "object", "description": "[Output Only] A list of disks this disk is asynchronously replicated to.", "additionalProperties": { "$ref": "DiskAsyncReplicationList" } }, "lastAttachTimestamp": { "description": "[Output Only] Last attach timestamp in RFC3339 text format.", "type": "string" }, "options": { "description": "Internal use only.", "type": "string" }, "kind": { "default": "compute#disk", "type": "string", "description": "[Output Only] Type of the resource. Always compute#disk for disks." }, "status": { "description": "[Output Only] The status of disk creation. - CREATING: Disk is provisioning. - RESTORING: Source data is being copied into the disk. - FAILED: Disk creation failed. - READY: Disk is ready for use. - DELETING: Disk is deleting. ", "enum": [ "CREATING", "DELETING", "FAILED", "READY", "RESTORING" ], "type": "string", "enumDescriptions": [ "Disk is provisioning", "Disk is deleting.", "Disk creation failed.", "Disk is ready for use.", "Source data is being copied into the disk." ] }, "labels": { "type": "object", "description": "Labels to apply to this disk. These can be later modified by the setLabels method.", "additionalProperties": { "type": "string" } }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined fully-qualified URL for this resource.", "type": "string" }, "sourceImageEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key." }, "labelFingerprint": { "type": "string", "format": "byte", "description": "A fingerprint for the labels being applied to this disk, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a disk." }, "licenseCodes": { "description": "Integer license codes indicating which licenses are attached to this disk.", "type": "array", "items": { "type": "string", "format": "int64" } }, "diskEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Encrypts the disk using a customer-supplied encryption key or a customer-managed encryption key. Encryption keys do not protect access to metadata of the disk. After you encrypt a disk with a customer-supplied key, you must provide the same key if you use the disk later. For example, to create a disk snapshot, to create a disk image, to create a machine image, or to attach the disk to a virtual machine. After you encrypt a disk with a customer-managed key, the diskEncryptionKey.kmsKeyName is set to a key *version* name once the disk is created. The disk is encrypted with this version of the key. In the response, diskEncryptionKey.kmsKeyName appears in the following format: \"diskEncryptionKey.kmsKeyName\": \"projects/kms_project_id/locations/region/keyRings/ key_region/cryptoKeys/key /cryptoKeysVersions/version If you do not provide an encryption key when creating the disk, then the disk is encrypted using an automatically generated key and you don't need to provide a key to use the disk later." }, "multiWriter": { "type": "boolean", "description": "Indicates whether or not the disk can be read/write attached to more than one instance." }, "region": { "description": "[Output Only] URL of the region where the disk resides. Only applicable for regional resources. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "licenses": { "items": { "type": "string" }, "type": "array", "description": "A list of publicly visible licenses. Reserved for Google's use." }, "zone": { "description": "[Output Only] URL of the zone where the disk resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "sourceDisk": { "description": "The source disk used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk ", "type": "string" }, "sourceSnapshot": { "type": "string", "description": "The source snapshot used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project /global/snapshots/snapshot - projects/project/global/snapshots/snapshot - global/snapshots/snapshot " }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.disks.insert" ] } }, "locked": { "type": "boolean", "description": "[Output Only] The field indicates if the disk is created from a locked source image. Attachment of a disk created from a locked source image will cause the following operations to become irreversibly prohibited: - R/W or R/O disk attachment to any other instance - Disk detachment. And the disk can only be deleted when the instance is deleted - Creation of images or snapshots - Disk cloning Furthermore, the instance with at least one disk with locked flag set to true will be prohibited from performing the operations below: - Further attachment of secondary disks. - Detachment of any disks - Create machine images - Create instance template - Delete the instance with --keep-disk parameter set to true for locked disks - Attach a locked disk with --auto-delete parameter set to false " }, "physicalBlockSizeBytes": { "type": "string", "format": "int64", "description": "Physical block size of the persistent disk, in bytes. If not present in a request, a default value is used. The currently supported size is 4096, other sizes may be added in the future. If an unsupported value is requested, the error message will list the supported values for the caller's project." }, "architecture": { "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "type": "string", "description": "The architecture of the disk. Valid values are ARM64 or X86_64.", "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ] }, "asyncPrimaryDisk": { "$ref": "DiskAsyncReplication", "description": "Disk asynchronously replicated into this disk." }, "locationHint": { "type": "string", "description": "An opaque location hint used to place the disk close to other resources. This field is for use by internal tools that use the public API." }, "type": { "description": "URL of the disk type resource describing which disk type to use to create the disk. Provide this when creating the disk. For example: projects/project /zones/zone/diskTypes/pd-ssd . See Persistent disk types.", "type": "string" }, "lastDetachTimestamp": { "description": "[Output Only] Last detach timestamp in RFC3339 text format.", "type": "string" }, "sourceSnapshotId": { "type": "string", "description": "[Output Only] The unique ID of the snapshot used to create this disk. This value identifies the exact snapshot that was used to create this persistent disk. For example, if you created the persistent disk from a snapshot that was later deleted and recreated under the same name, the source snapshot ID would identify the exact version of the snapshot that was used." }, "sourceConsistencyGroupPolicyId": { "description": "[Output Only] ID of the DiskConsistencyGroupPolicy for a secondary disk that was created using a consistency group.", "type": "string" }, "replicaZones": { "description": "URLs of the zones where the disk should be replicated to. Only applicable for regional resources.", "items": { "type": "string" }, "type": "array" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "provisionedIops": { "format": "int64", "description": "Indicates how many IOPS to provision for the disk. This sets the number of I/O operations per second that the disk can handle. Values must be between 10,000 and 120,000. For more details, see the Extreme persistent disk documentation.", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource's resource id." }, "users": { "items": { "type": "string" }, "description": "[Output Only] Links to the users of the disk (attached instances) in form: projects/project/zones/zone/instances/instance", "type": "array" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "sourceInstantSnapshotId": { "type": "string", "description": "[Output Only] The unique ID of the instant snapshot used to create this disk. This value identifies the exact instant snapshot that was used to create this persistent disk. For example, if you created the persistent disk from an instant snapshot that was later deleted and recreated under the same name, the source instant snapshot ID would identify the exact version of the instant snapshot that was used." }, "guestOsFeatures": { "type": "array", "items": { "$ref": "GuestOsFeature" }, "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options." }, "userLicenses": { "items": { "type": "string" }, "type": "array", "description": "A list of publicly visible user-licenses. Unlike regular licenses, user provided licenses can be modified after the disk is created. This includes a list of URLs to the license resource. For example, to provide a debian license: https://www.googleapis.com/compute/v1/projects/debian-cloud/global/licenses/debian-9-stretch " }, "sourceSnapshotEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source snapshot. Required if the source snapshot is protected by a customer-supplied encryption key." }, "interface": { "enumDescriptions": [ "", "", "" ], "type": "string", "description": "[Deprecated] Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI.", "enum": [ "NVME", "SCSI", "UNSPECIFIED" ] }, "sourceImage": { "description": "The source image used to create this disk. If the source image is deleted, this field will not be set. To create a disk with one of the public operating system images, specify the image by its family name. For example, specify family/debian-9 to use the latest Debian 9 image: projects/debian-cloud/global/images/family/debian-9 Alternatively, use a specific version of a public operating system image: projects/debian-cloud/global/images/debian-9-stretch-vYYYYMMDD To create a disk with a custom image that you created, specify the image name in the following format: global/images/my-custom-image You can also specify a custom image by its image family, which returns the latest version of the image in that family. Replace the image name with family/family-name: global/images/family/my-image-family ", "type": "string" }, "eraseWindowsVssSignature": { "description": "Specifies whether the disk restored from a source snapshot should erase Windows specific VSS signature.", "type": "boolean" }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." } } }, "FutureReservationTimeWindow": { "id": "FutureReservationTimeWindow", "properties": { "duration": { "$ref": "Duration" }, "endTime": { "type": "string" }, "startTime": { "type": "string", "description": "Start time of the Future Reservation. The start_time is an RFC3339 string." } }, "type": "object" }, "RouterStatusBgpPeerStatus": { "properties": { "state": { "description": "The state of the BGP session. For a list of possible values for this field, see BGP session states.", "type": "string" }, "ipv6NexthopAddress": { "type": "string", "description": "IPv6 address of the local BGP interface." }, "numLearnedRoutes": { "type": "integer", "description": "Number of routes learned from the remote BGP Peer.", "format": "uint32" }, "linkedVpnTunnel": { "type": "string", "description": "URL of the VPN tunnel that this BGP peer controls." }, "uptimeSeconds": { "description": "Time this session has been up, in seconds. Format: 145", "type": "string" }, "name": { "type": "string", "description": "Name of this BGP peer. Unique within the Routers resource." }, "status": { "description": "Status of the BGP peer: {UP, DOWN}", "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "DOWN", "UNKNOWN", "UP" ] }, "routerApplianceInstance": { "description": "[Output only] URI of the VM instance that is used as third-party router appliances such as Next Gen Firewalls, Virtual Routers, or Router Appliances. The VM instance is the peer side of the BGP session.", "type": "string" }, "ipAddress": { "description": "IP address of the local BGP interface.", "type": "string" }, "peerIpAddress": { "type": "string", "description": "IP address of the remote BGP interface." }, "advertisedRoutes": { "items": { "$ref": "Route" }, "type": "array", "description": "Routes that were advertised to the remote BGP peer" }, "uptime": { "type": "string", "description": "Time this session has been up. Format: 14 years, 51 weeks, 6 days, 23 hours, 59 minutes, 59 seconds" }, "bfdStatus": { "$ref": "BfdStatus" }, "statusReason": { "enumDescriptions": [ "Indicates internal problems with configuration of MD5 authentication. This particular reason can only be returned when md5AuthEnabled is true and status is DOWN.", "" ], "type": "string", "description": "Indicates why particular status was returned.", "enum": [ "MD5_AUTH_INTERNAL_PROBLEM", "STATUS_REASON_UNSPECIFIED" ] }, "peerIpv6NexthopAddress": { "description": "IPv6 address of the remote BGP interface.", "type": "string" }, "enableIpv6": { "type": "boolean", "description": "Enable IPv6 traffic over BGP Peer. If not specified, it is disabled by default." }, "md5AuthEnabled": { "description": "Informs whether MD5 authentication is enabled on this BGP peer.", "type": "boolean" } }, "type": "object", "id": "RouterStatusBgpPeerStatus" }, "PreservedStatePreservedNetworkIpIpAddress": { "id": "PreservedStatePreservedNetworkIpIpAddress", "properties": { "literal": { "description": "An IPv4 internal network address to assign to the instance for this network interface.", "type": "string" }, "address": { "type": "string", "description": "The URL of the reservation for this IP address." } }, "type": "object" }, "InstanceGroupManagerStatus": { "properties": { "versionTarget": { "$ref": "InstanceGroupManagerStatusVersionTarget", "description": "[Output Only] A status of consistency of Instances' versions with their target version specified by version field on Instance Group Manager." }, "allInstancesConfig": { "$ref": "InstanceGroupManagerStatusAllInstancesConfig", "description": "[Output only] Status of all-instances configuration on the group." }, "isStable": { "type": "boolean", "description": "[Output Only] A bit indicating whether the managed instance group is in a stable state. A stable state means that: none of the instances in the managed instance group is currently undergoing any type of change (for example, creation, restart, or deletion); no future changes are scheduled for instances in the managed instance group; and the managed instance group itself is not being modified." }, "autoscaler": { "type": "string", "description": "[Output Only] The URL of the Autoscaler that targets this instance group manager." }, "stateful": { "description": "[Output Only] Stateful status of the given Instance Group Manager.", "$ref": "InstanceGroupManagerStatusStateful" } }, "type": "object", "id": "InstanceGroupManagerStatus" }, "LicenseCodeLicenseAlias": { "properties": { "selfLink": { "description": "[Output Only] URL of license corresponding to this License Code.", "type": "string" }, "description": { "type": "string", "description": "[Output Only] Description of this License Code." } }, "type": "object", "id": "LicenseCodeLicenseAlias" }, "LogConfigCounterOptions": { "id": "LogConfigCounterOptions", "type": "object", "properties": { "field": { "type": "string", "description": "This is deprecated and has no effect. Do not use." }, "metric": { "type": "string", "description": "This is deprecated and has no effect. Do not use." }, "customFields": { "type": "array", "description": "This is deprecated and has no effect. Do not use.", "items": { "$ref": "LogConfigCounterOptionsCustomField" } } }, "description": "This is deprecated and has no effect. Do not use." }, "CacheInvalidationRule": { "id": "CacheInvalidationRule", "type": "object", "properties": { "path": { "type": "string" }, "host": { "description": "If set, this invalidation rule will only apply to requests with a Host header matching host.", "type": "string" } } }, "ResourcePolicyInstanceSchedulePolicy": { "description": "An InstanceSchedulePolicy specifies when and how frequent certain operations are performed on the instance.", "id": "ResourcePolicyInstanceSchedulePolicy", "properties": { "vmStopSchedule": { "description": "Specifies the schedule for stopping instances.", "$ref": "ResourcePolicyInstanceSchedulePolicySchedule" }, "startTime": { "description": "The start time of the schedule. The timestamp is an RFC3339 string.", "type": "string" }, "timeZone": { "description": "Specifies the time zone to be used in interpreting Schedule.schedule. The value of this field must be a time zone name from the tz database: http://en.wikipedia.org/wiki/Tz_database.", "type": "string" }, "expirationTime": { "description": "The expiration time of the schedule. The timestamp is an RFC3339 string.", "type": "string" }, "vmStartSchedule": { "$ref": "ResourcePolicyInstanceSchedulePolicySchedule", "description": "Specifies the schedule for starting instances." } }, "type": "object" }, "UsableSubnetwork": { "type": "object", "id": "UsableSubnetwork", "properties": { "secondaryIpRanges": { "type": "array", "description": "Secondary IP ranges.", "items": { "$ref": "UsableSubnetworkSecondaryRange" } }, "subnetwork": { "type": "string", "description": "Subnetwork URL." }, "purpose": { "enumDescriptions": [ "Subnetwork used to aggregate multiple private subnetworks.", "Subnetworks created for Cloud Extension Machines.", "Subnet reserved for Global Internal HTTP(S) Load Balancing.", "Subnet reserved for Internal HTTP(S) Load Balancing.", "Regular user created or automatically created subnet.", "Subnetwork used as source range for Private NAT Gateways.", "Regular user created or automatically created subnet.", "Subnetworks created for Private Service Connect in the producer network.", "Subnetwork used for Regional Internal/External HTTP(S) Load Balancing." ], "enum": [ "AGGREGATE", "CLOUD_EXTENSION", "GLOBAL_MANAGED_PROXY", "INTERNAL_HTTPS_LOAD_BALANCER", "PRIVATE", "PRIVATE_NAT", "PRIVATE_RFC_1918", "PRIVATE_SERVICE_CONNECT", "REGIONAL_MANAGED_PROXY" ], "description": "The purpose of the resource. This field can be either PRIVATE_RFC_1918 or INTERNAL_HTTPS_LOAD_BALANCER. A subnetwork with purpose set to INTERNAL_HTTPS_LOAD_BALANCER is a user-created subnetwork that is reserved for Internal HTTP(S) Load Balancing. If unspecified, the purpose defaults to PRIVATE_RFC_1918. The enableFlowLogs field isn't supported with the purpose field set to INTERNAL_HTTPS_LOAD_BALANCER.", "type": "string" }, "role": { "enumDescriptions": [ "The ACTIVE subnet that is currently used.", "The BACKUP subnet that could be promoted to ACTIVE." ], "enum": [ "ACTIVE", "BACKUP" ], "type": "string", "description": "The role of subnetwork. Currently, this field is only used when purpose = INTERNAL_HTTPS_LOAD_BALANCER. The value can be set to ACTIVE or BACKUP. An ACTIVE subnetwork is one that is currently being used for Internal HTTP(S) Load Balancing. A BACKUP subnetwork is one that is ready to be promoted to ACTIVE or is currently draining. This field can be updated with a patch request." }, "ipv6AccessType": { "enumDescriptions": [ "VMs on this subnet will be assigned IPv6 addresses that are accessible via the Internet, as well as the VPC network.", "VMs on this subnet will be assigned IPv6 addresses that are only accessible over the VPC network." ], "description": "The access type of IPv6 address this subnet holds. It's immutable and can only be specified during creation or the first time the subnet is updated into IPV4_IPV6 dual stack.", "enum": [ "EXTERNAL", "INTERNAL" ], "type": "string" }, "ipCidrRange": { "description": "The range of internal addresses that are owned by this subnetwork.", "type": "string" }, "internalIpv6Prefix": { "type": "string", "description": "[Output Only] The internal IPv6 address range that is assigned to this subnetwork." }, "stackType": { "enumDescriptions": [ "New VMs in this subnet can have both IPv4 and IPv6 addresses.", "New VMs in this subnet will only be assigned IPv4 addresses." ], "description": "The stack type for the subnet. If set to IPV4_ONLY, new VMs in the subnet are assigned IPv4 addresses only. If set to IPV4_IPV6, new VMs in the subnet can be assigned both IPv4 and IPv6 addresses. If not specified, IPV4_ONLY is used. This field can be both set at resource creation time and updated using patch.", "type": "string", "enum": [ "IPV4_IPV6", "IPV4_ONLY" ] }, "network": { "type": "string", "description": "Network URL." }, "externalIpv6Prefix": { "description": "[Output Only] The external IPv6 address range that is assigned to this subnetwork.", "type": "string" } }, "description": "Subnetwork which the current user has compute.subnetworks.use permission on." }, "InstanceConsumptionData": { "properties": { "consumptionInfo": { "description": "Resources consumed by the instance.", "$ref": "InstanceConsumptionInfo" }, "instance": { "type": "string", "description": "Server-defined URL for the instance." } }, "id": "InstanceConsumptionData", "type": "object" }, "InstanceGroupManagerAllInstancesConfig": { "properties": { "properties": { "description": "Properties to set on all instances in the group. You can add or modify properties using the instanceGroupManagers.patch or regionInstanceGroupManagers.patch. After setting allInstancesConfig on the group, you must update the group's instances to apply the configuration. To apply the configuration, set the group's updatePolicy.type field to use proactive updates or use the applyUpdatesToInstances method.", "$ref": "InstancePropertiesPatch" } }, "id": "InstanceGroupManagerAllInstancesConfig", "type": "object" }, "NodeGroupsSetNodeTemplateRequest": { "properties": { "nodeTemplate": { "description": "Full or partial URL of the node template resource to be updated for this node group.", "type": "string" } }, "type": "object", "id": "NodeGroupsSetNodeTemplateRequest" }, "ServiceAttachmentsScopedList": { "type": "object", "id": "ServiceAttachmentsScopedList", "properties": { "warning": { "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "Informational warning which replaces the list of service attachments when the list is empty." }, "serviceAttachments": { "items": { "$ref": "ServiceAttachment" }, "type": "array", "description": "A list of ServiceAttachments contained in this scope." } } }, "ProjectsDisableXpnResourceRequest": { "properties": { "xpnResource": { "$ref": "XpnResourceId", "description": "Service resource (a.k.a service project) ID." } }, "type": "object", "id": "ProjectsDisableXpnResourceRequest" }, "BackendServiceConnectionTrackingPolicy": { "properties": { "idleTimeoutSec": { "type": "integer", "format": "int32", "description": "Specifies how long to keep a Connection Tracking entry while there is no matching traffic (in seconds). For Internal TCP/UDP Load Balancing: - The minimum (default) is 10 minutes and the maximum is 16 hours. - It can be set only if Connection Tracking is less than 5-tuple (i.e. Session Affinity is CLIENT_IP_NO_DESTINATION, CLIENT_IP or CLIENT_IP_PROTO, and Tracking Mode is PER_SESSION). For Network Load Balancer the default is 60 seconds. This option is not available publicly." }, "enableStrongAffinity": { "type": "boolean", "description": "Enable Strong Session Affinity for Network Load Balancing. This option is not available publicly." }, "connectionPersistenceOnUnhealthyBackends": { "description": "Specifies connection persistence when backends are unhealthy. The default value is DEFAULT_FOR_PROTOCOL. If set to DEFAULT_FOR_PROTOCOL, the existing connections persist on unhealthy backends only for connection-oriented protocols (TCP and SCTP) and only if the Tracking Mode is PER_CONNECTION (default tracking mode) or the Session Affinity is configured for 5-tuple. They do not persist for UDP. If set to NEVER_PERSIST, after a backend becomes unhealthy, the existing connections on the unhealthy backend are never persisted on the unhealthy backend. They are always diverted to newly selected healthy backends (unless all backends are unhealthy). If set to ALWAYS_PERSIST, existing connections always persist on unhealthy backends regardless of protocol and session affinity. It is generally not recommended to use this mode overriding the default. For more details, see [Connection Persistence for Network Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-backend-service#connection-persistence) and [Connection Persistence for Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal#connection-persistence).", "enumDescriptions": [ "", "", "" ], "enum": [ "ALWAYS_PERSIST", "DEFAULT_FOR_PROTOCOL", "NEVER_PERSIST" ], "type": "string" }, "trackingMode": { "description": "Specifies the key used for connection tracking. There are two options: - PER_CONNECTION: This is the default mode. The Connection Tracking is performed as per the Connection Key (default Hash Method) for the specific protocol. - PER_SESSION: The Connection Tracking is performed as per the configured Session Affinity. It matches the configured Session Affinity. For more details, see [Tracking Mode for Network Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-backend-service#tracking-mode) and [Tracking Mode for Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal#tracking-mode).", "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "INVALID_TRACKING_MODE", "PER_CONNECTION", "PER_SESSION" ] } }, "type": "object", "description": "Connection Tracking configuration for this BackendService.", "id": "BackendServiceConnectionTrackingPolicy" }, "InstanceGroupManagersPatchPerInstanceConfigsReq": { "properties": { "perInstanceConfigs": { "description": "The list of per-instance configurations to insert or patch on this managed instance group.", "type": "array", "items": { "$ref": "PerInstanceConfig" } } }, "type": "object", "description": "InstanceGroupManagers.patchPerInstanceConfigs", "id": "InstanceGroupManagersPatchPerInstanceConfigsReq" }, "SourceInstanceProperties": { "properties": { "metadata": { "description": "The metadata key/value pairs to assign to instances that are created from this machine image. These pairs can consist of custom metadata or predefined keys. See Project and instance metadata for more information.", "$ref": "Metadata" }, "tags": { "$ref": "Tags", "description": "A list of tags to apply to the instances that are created from this machine image. The tags identify valid sources or targets for network firewalls. The setTags method can modify this list of tags. Each tag within the list must comply with RFC1035." }, "keyRevocationActionType": { "type": "string", "description": "KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified.", "enumDescriptions": [ "Default value. This value is unused.", "Indicates user chose no operation.", "Indicates user chose to opt for VM shutdown on key revocation." ], "enum": [ "KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "NONE", "STOP" ] }, "canIpForward": { "description": "Enables instances created based on this machine image to send packets with source IP addresses other than their own and receive packets with destination IP addresses other than their own. If these instances will be used as an IP gateway or it will be set as the next-hop in a Route resource, specify true. If unsure, leave this set to false. See the Enable IP forwarding documentation for more information.", "type": "boolean" }, "minCpuPlatform": { "description": "Minimum cpu/platform to be used by instances created from this machine image. The instance may be scheduled on the specified or newer cpu/platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\". For more information, read Specifying a Minimum CPU Platform.", "type": "string" }, "postKeyRevocationActionType": { "description": "PostKeyRevocationActionType of the instance.", "enumDescriptions": [ "Indicates user chose no operation.", "Default value. This value is unused.", "Indicates user chose to opt for VM shutdown on key revocation." ], "type": "string", "enum": [ "NOOP", "POST_KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "SHUTDOWN" ] }, "serviceAccounts": { "items": { "$ref": "ServiceAccount" }, "description": "A list of service accounts with specified scopes. Access tokens for these service accounts are available to the instances that are created from this machine image. Use metadata queries to obtain the access tokens for these instances.", "type": "array" }, "disks": { "items": { "$ref": "SavedAttachedDisk" }, "description": "An array of disks that are associated with the instances that are created from this machine image.", "type": "array" }, "guestAccelerators": { "type": "array", "description": "A list of guest accelerator cards' type and count to use for instances created from this machine image.", "items": { "$ref": "AcceleratorConfig" } }, "labels": { "additionalProperties": { "type": "string" }, "description": "Labels to apply to instances that are created from this machine image.", "type": "object" }, "machineType": { "type": "string", "description": "The machine type to use for instances that are created from this machine image." }, "networkInterfaces": { "items": { "$ref": "NetworkInterface" }, "type": "array", "description": "An array of network access configurations for this interface." }, "description": { "type": "string", "description": "An optional text description for the instances that are created from this machine image." }, "deletionProtection": { "description": "Whether the instance created from this machine image should be protected against deletion.", "type": "boolean" }, "scheduling": { "description": "Specifies the scheduling options for the instances that are created from this machine image.", "$ref": "Scheduling" } }, "description": "DEPRECATED: Please use compute#instanceProperties instead. New properties will not be added to this field.", "id": "SourceInstanceProperties", "type": "object" }, "PacketMirroringForwardingRuleInfo": { "properties": { "url": { "description": "Resource URL to the forwarding rule representing the ILB configured as destination of the mirrored traffic.", "type": "string" }, "canonicalUrl": { "type": "string", "description": "[Output Only] Unique identifier for the forwarding rule; defined by the server." } }, "type": "object", "id": "PacketMirroringForwardingRuleInfo" }, "InstanceGroupManagerAggregatedList": { "properties": { "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "additionalProperties": { "description": "[Output Only] The name of the scope that contains this set of managed instance groups.", "$ref": "InstanceGroupManagersScopedList" }, "type": "object", "description": "A list of InstanceGroupManagersScopedList resources." }, "kind": { "default": "compute#instanceGroupManagerAggregatedList", "description": "[Output Only] The resource type, which is always compute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups.", "type": "string" }, "warning": { "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "id": "InstanceGroupManagerAggregatedList", "type": "object" }, "InterconnectMacsecConfig": { "id": "InterconnectMacsecConfig", "description": "MACsec configuration information for the Interconnect. Contains the generated Connectivity Association Key Name (CKN) and the key (CAK) for this Interconnect.", "properties": { "preSharedKeys": { "items": { "$ref": "InterconnectMacsecConfigPreSharedKey" }, "description": "A keychain placeholder describing a set of named key objects along with their start times. A MACsec CKN/CAK will be generated for each key in the key chain. Google router will automatically pick the key with the most recent startTime when establishing or re-establishing a MACsec secure link.", "type": "array" } }, "type": "object" }, "InterconnectAttachment": { "description": "Represents an Interconnect Attachment (VLAN) resource. You can use Interconnect attachments (VLANS) to connect your Virtual Private Cloud networks to your on-premises networks through an Interconnect. For more information, read Creating VLAN Attachments.", "type": "object", "properties": { "adminEnabled": { "type": "boolean", "description": "Determines whether this Attachment will carry packets. Not present for PARTNER_PROVIDER." }, "partnerMetadata": { "description": "Informational metadata about Partner attachments from Partners to display to customers. Output only for for PARTNER type, mutable for PARTNER_PROVIDER, not available for DEDICATED.", "$ref": "InterconnectAttachmentPartnerMetadata" }, "candidateSubnets": { "type": "array", "items": { "type": "string" }, "description": "Up to 16 candidate prefixes that can be used to restrict the allocation of cloudRouterIpAddress and customerRouterIpAddress for this attachment. All prefixes must be within link-local address space (169.254.0.0/16) and must be /29 or shorter (/28, /27, etc). Google will attempt to select an unused /29 from the supplied candidate prefix(es). The request will fail if all possible /29s are in use on Google's edge. If not supplied, Google will randomly select an unused /29 from all of link-local space." }, "satisfiesPzs": { "description": "[Output Only] Set to true if the resource satisfies the zone separation organization policy constraints and false otherwise. Defaults to false if the field is not present.", "type": "boolean" }, "interconnect": { "description": "URL of the underlying Interconnect object that this attachment's traffic will traverse through.", "type": "string" }, "customerRouterIpAddress": { "type": "string", "description": "[Output Only] IPv4 address + prefix length to be configured on the customer router subinterface for this interconnect attachment." }, "region": { "description": "[Output Only] URL of the region where the regional interconnect attachment resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "encryption": { "enumDescriptions": [ "The interconnect attachment will carry only encrypted traffic that is encrypted by an IPsec device such as HA VPN gateway; VMs cannot directly send traffic to or receive traffic from such an interconnect attachment. To use IPsec-encrypted Cloud Interconnect, the interconnect attachment must be created with this option.", "This is the default value, which means the Interconnect Attachment will carry unencrypted traffic. VMs will be able to send traffic to or receive traffic from such interconnect attachment." ], "type": "string", "description": "Indicates the user-supplied encryption option of this VLAN attachment (interconnectAttachment). Can only be specified at attachment creation for PARTNER or DEDICATED attachments. Possible values are: - NONE - This is the default value, which means that the VLAN attachment carries unencrypted traffic. VMs are able to send traffic to, or receive traffic from, such a VLAN attachment. - IPSEC - The VLAN attachment carries only encrypted traffic that is encrypted by an IPsec device, such as an HA VPN gateway or third-party IPsec VPN. VMs cannot directly send traffic to, or receive traffic from, such a VLAN attachment. To use *IPsec-encrypted Cloud Interconnect*, the VLAN attachment must be created with this option. Not currently available publicly. ", "enum": [ "IPSEC", "NONE" ] }, "customerRouterIpv6InterfaceId": { "type": "string", "description": "This field is not available." }, "router": { "type": "string", "description": "URL of the Cloud Router to be used for dynamic routing. This router must be in the same region as this InterconnectAttachment. The InterconnectAttachment will automatically connect the Interconnect to the network & region within which the Cloud Router is configured." }, "bandwidth": { "enum": [ "BPS_100M", "BPS_10G", "BPS_1G", "BPS_200M", "BPS_20G", "BPS_2G", "BPS_300M", "BPS_400M", "BPS_500M", "BPS_50G", "BPS_50M", "BPS_5G" ], "enumDescriptions": [ "100 Mbit/s", "10 Gbit/s", "1 Gbit/s", "200 Mbit/s", "20 Gbit/s", "2 Gbit/s", "300 Mbit/s", "400 Mbit/s", "500 Mbit/s", "50 Gbit/s", "50 Mbit/s", "5 Gbit/s" ], "type": "string", "description": "Provisioned bandwidth capacity for the interconnect attachment. For attachments of type DEDICATED, the user can set the bandwidth. For attachments of type PARTNER, the Google Partner that is operating the interconnect must set the bandwidth. Output only for PARTNER type, mutable for PARTNER_PROVIDER and DEDICATED, and can take one of the following values: - BPS_50M: 50 Mbit/s - BPS_100M: 100 Mbit/s - BPS_200M: 200 Mbit/s - BPS_300M: 300 Mbit/s - BPS_400M: 400 Mbit/s - BPS_500M: 500 Mbit/s - BPS_1G: 1 Gbit/s - BPS_2G: 2 Gbit/s - BPS_5G: 5 Gbit/s - BPS_10G: 10 Gbit/s - BPS_20G: 20 Gbit/s - BPS_50G: 50 Gbit/s " }, "operationalStatus": { "description": "[Output Only] The current status of whether or not this interconnect attachment is functional, which can take one of the following values: - OS_ACTIVE: The attachment has been turned up and is ready to use. - OS_UNPROVISIONED: The attachment is not ready to use yet, because turnup is not complete. ", "enumDescriptions": [ "Indicates that attachment has been turned up and is ready to use.", "Indicates that attachment is not ready to use yet, because turnup is not complete." ], "type": "string", "enum": [ "OS_ACTIVE", "OS_UNPROVISIONED" ] }, "labelFingerprint": { "format": "byte", "type": "string", "description": "A fingerprint for the labels being applied to this InterconnectAttachment, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an InterconnectAttachment." }, "state": { "enum": [ "ACTIVE", "DEFUNCT", "PARTNER_REQUEST_RECEIVED", "PENDING_CUSTOMER", "PENDING_PARTNER", "STATE_UNSPECIFIED", "UNPROVISIONED" ], "enumDescriptions": [ "Indicates that attachment has been turned up and is ready to use.", "The attachment was deleted externally and is no longer functional. This could be because the associated Interconnect was wiped out, or because the other side of a Partner attachment was deleted.", "A PARTNER attachment is in the process of provisioning after a PARTNER_PROVIDER attachment was created that references it.", "PARTNER or PARTNER_PROVIDER attachment that is waiting for the customer to activate.", "A newly created PARTNER attachment that has not yet been configured on the Partner side.", "", "Indicates that attachment is not ready to use yet, because turnup is not complete." ], "type": "string", "description": "[Output Only] The current state of this attachment's functionality. Enum values ACTIVE and UNPROVISIONED are shared by DEDICATED/PRIVATE, PARTNER, and PARTNER_PROVIDER interconnect attachments, while enum values PENDING_PARTNER, PARTNER_REQUEST_RECEIVED, and PENDING_CUSTOMER are used for only PARTNER and PARTNER_PROVIDER interconnect attachments. This state can take one of the following values: - ACTIVE: The attachment has been turned up and is ready to use. - UNPROVISIONED: The attachment is not ready to use yet, because turnup is not complete. - PENDING_PARTNER: A newly-created PARTNER attachment that has not yet been configured on the Partner side. - PARTNER_REQUEST_RECEIVED: A PARTNER attachment is in the process of provisioning after a PARTNER_PROVIDER attachment was created that references it. - PENDING_CUSTOMER: A PARTNER or PARTNER_PROVIDER attachment that is waiting for a customer to activate it. - DEFUNCT: The attachment was deleted externally and is no longer functional. This could be because the associated Interconnect was removed, or because the other side of a Partner attachment was deleted. " }, "ipsecInternalAddresses": { "description": "A list of URLs of addresses that have been reserved for the VLAN attachment. Used only for the VLAN attachment that has the encryption option as IPSEC. The addresses must be regional internal IP address ranges. When creating an HA VPN gateway over the VLAN attachment, if the attachment is configured to use a regional internal IP address, then the VPN gateway's IP address is allocated from the IP address range specified here. For example, if the HA VPN gateway's interface 0 is paired to this VLAN attachment, then a regional internal IP address for the VPN gateway interface 0 will be allocated from the IP address specified for this VLAN attachment. If this field is not specified when creating the VLAN attachment, then later on when creating an HA VPN gateway on this VLAN attachment, the HA VPN gateway's IP address is allocated from the regional external IP address pool. Not currently available publicly. ", "type": "array", "items": { "type": "string" } }, "mtu": { "description": "Maximum Transmission Unit (MTU), in bytes, of packets passing through this interconnect attachment. Only 1440 and 1500 are allowed. If not specified, the value will default to 1440.", "format": "int32", "type": "integer" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "partnerAsn": { "type": "string", "format": "int64", "description": "Optional BGP ASN for the router supplied by a Layer 3 Partner if they configured BGP on behalf of the customer. Output only for PARTNER type, input only for PARTNER_PROVIDER, not available for DEDICATED." }, "cloudRouterIpv6InterfaceId": { "type": "string", "description": "This field is not available." }, "privateInterconnectInfo": { "description": "[Output Only] Information specific to an InterconnectAttachment. This property is populated if the interconnect that this is attached to is of type DEDICATED.", "$ref": "InterconnectAttachmentPrivateInfo" }, "kind": { "type": "string", "default": "compute#interconnectAttachment", "description": "[Output Only] Type of the resource. Always compute#interconnectAttachment for interconnect attachments." }, "customerRouterIpv6Address": { "type": "string", "description": "[Output Only] IPv6 address + prefix length to be configured on the customer router subinterface for this interconnect attachment." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "edgeAvailabilityDomain": { "enumDescriptions": [ "", "", "" ], "description": "Desired availability domain for the attachment. Only available for type PARTNER, at creation time, and can take one of the following values: - AVAILABILITY_DOMAIN_ANY - AVAILABILITY_DOMAIN_1 - AVAILABILITY_DOMAIN_2 For improved reliability, customers should configure a pair of attachments, one per availability domain. The selected availability domain will be provided to the Partner via the pairing key, so that the provisioned circuit will lie in the specified domain. If not specified, the value will default to AVAILABILITY_DOMAIN_ANY.", "enum": [ "AVAILABILITY_DOMAIN_1", "AVAILABILITY_DOMAIN_2", "AVAILABILITY_DOMAIN_ANY" ], "type": "string" }, "cloudRouterIpAddress": { "type": "string", "description": "[Output Only] IPv4 address + prefix length to be configured on Cloud Router Interface for this interconnect attachment." }, "vlanTag8021q": { "type": "integer", "format": "int32", "description": "The IEEE 802.1Q VLAN tag for this attachment, in the range 2-4094. Only specified at creation time." }, "stackType": { "description": "The stack type for this interconnect attachment to identify whether the IPv6 feature is enabled or not. If not specified, IPV4_ONLY will be used. This field can be both set at interconnect attachments creation and update interconnect attachment operations.", "type": "string", "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "enumDescriptions": [ "The interconnect attachment can have both IPv4 and IPv6 addresses.", "The interconnect attachment will only be assigned IPv4 addresses." ] }, "candidateIpv6Subnets": { "type": "array", "description": "This field is not available.", "items": { "type": "string" } }, "googleReferenceId": { "description": "[Output Only] Google reference ID, to be used when raising support tickets with Google or otherwise to debug backend connectivity issues. [Deprecated] This field is not used.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "type": { "description": "The type of interconnect attachment this is, which can take one of the following values: - DEDICATED: an attachment to a Dedicated Interconnect. - PARTNER: an attachment to a Partner Interconnect, created by the customer. - PARTNER_PROVIDER: an attachment to a Partner Interconnect, created by the partner. ", "enumDescriptions": [ "Attachment to a dedicated interconnect.", "Attachment to a partner interconnect, created by the customer.", "Attachment to a partner interconnect, created by the partner." ], "enum": [ "DEDICATED", "PARTNER", "PARTNER_PROVIDER" ], "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "dataplaneVersion": { "format": "int32", "description": "[Output Only] Dataplane version for this InterconnectAttachment. This field is only present for Dataplane version 2 and higher. Absence of this field in the API output indicates that the Dataplane is version 1.", "type": "integer" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource." }, "cloudRouterIpv6Address": { "type": "string", "description": "[Output Only] IPv6 address + prefix length to be configured on Cloud Router Interface for this interconnect attachment." }, "pairingKey": { "description": "[Output only for type PARTNER. Input only for PARTNER_PROVIDER. Not present for DEDICATED]. The opaque identifier of an PARTNER attachment used to initiate provisioning with a selected partner. Of the form \"XXXXX/region/domain\"", "type": "string" } }, "id": "InterconnectAttachment" }, "TargetSslProxy": { "id": "TargetSslProxy", "properties": { "kind": { "type": "string", "default": "compute#targetSslProxy", "description": "[Output Only] Type of the resource. Always compute#targetSslProxy for target SSL proxies." }, "sslPolicy": { "type": "string", "description": "URL of SslPolicy resource that will be associated with the TargetSslProxy resource. If not set, the TargetSslProxy resource will not have any SSL policy configured." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "certificateMap": { "description": "URL of a certificate map that identifies a certificate map associated with the given target proxy. This field can only be set for global target proxies. If set, sslCertificates will be ignored.", "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "proxyHeader": { "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "enum": [ "NONE", "PROXY_V1" ], "type": "string", "enumDescriptions": [ "", "" ] }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "sslCertificates": { "type": "array", "items": { "type": "string" }, "description": "URLs to SslCertificate resources that are used to authenticate connections to Backends. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates. sslCertificates do not apply when the load balancing scheme is set to INTERNAL_SELF_MANAGED." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "service": { "type": "string", "description": "URL to the BackendService resource." } }, "description": "Represents a Target SSL Proxy resource. A target SSL proxy is a component of a SSL Proxy load balancer. Global forwarding rules reference a target SSL proxy, and the target proxy then references an external backend service. For more information, read Using Target Proxies.", "type": "object" }, "AutoscalingPolicyLoadBalancingUtilization": { "description": "Configuration parameters of autoscaling based on load balancing.", "type": "object", "properties": { "utilizationTarget": { "description": "Fraction of backend capacity utilization (set in HTTP(S) load balancing configuration) that the autoscaler maintains. Must be a positive float value. If not defined, the default is 0.8.", "format": "double", "type": "number" } }, "id": "AutoscalingPolicyLoadBalancingUtilization" }, "DiskType": { "id": "DiskType", "type": "object", "properties": { "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "[Output Only] Name of the resource." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "validDiskSize": { "description": "[Output Only] An optional textual description of the valid disk size, such as \"10GB-10TB\".", "type": "string" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "defaultDiskSizeGb": { "type": "string", "description": "[Output Only] Server-defined default disk size in GB.", "format": "int64" }, "description": { "type": "string", "description": "[Output Only] An optional description of this resource." }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the disk type resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the disk type resides. Only applicable for regional resources. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#diskType for disk types.", "default": "compute#diskType" }, "deprecated": { "$ref": "DeprecationStatus", "description": "[Output Only] The deprecation status associated with this disk type." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." } }, "description": "Represents a Disk Type resource. Google Compute Engine has two Disk Type resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/alpha/regionDiskTypes) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/alpha/diskTypes) You can choose from a variety of disk types based on your needs. For more information, read Storage options. The diskTypes resource represents disk types for a zonal persistent disk. For more information, read Zonal persistent disks. The regionDiskTypes resource represents disk types for a regional persistent disk. For more information, read Regional persistent disks." }, "NetworkEndpointGroupServerlessDeployment": { "id": "NetworkEndpointGroupServerlessDeployment", "description": "Configuration for a serverless network endpoint group (NEG). The platform must be provided. Note: The target backend service must be in the same project and located in the same region as the Serverless NEG.", "properties": { "resource": { "description": "The user-defined name of the workload/instance. This value must be provided explicitly or in the urlMask. The resource identified by this value is platform-specific and is as follows: 1. API Gateway: The gateway ID 2. App Engine: The service name 3. Cloud Functions: The function name 4. Cloud Run: The service name ", "type": "string" }, "urlMask": { "type": "string", "description": "A template to parse platform-specific fields from a request URL. URL mask allows for routing to multiple resources on the same serverless platform without having to create multiple Network Endpoint Groups and backend resources. The fields parsed by this template are platform-specific and are as follows: 1. API Gateway: The gateway ID 2. App Engine: The service and version 3. Cloud Functions: The function name 4. Cloud Run: The service and tag " }, "version": { "type": "string", "description": "The optional resource version. The version identified by this value is platform-specific and is follows: 1. API Gateway: Unused 2. App Engine: The service version 3. Cloud Functions: Unused 4. Cloud Run: The service tag " }, "platform": { "type": "string", "description": "The platform of the backend target(s) of this NEG. The only supported value is API Gateway: apigateway.googleapis.com." } }, "type": "object" }, "DisksStartAsyncReplicationRequest": { "properties": { "asyncSecondaryDisk": { "description": "The secondary disk to start asynchronous replication to. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk ", "type": "string" } }, "type": "object", "id": "DisksStartAsyncReplicationRequest" }, "TargetHttpsProxiesSetQuicOverrideRequest": { "type": "object", "properties": { "quicOverride": { "description": "QUIC policy for the TargetHttpsProxy resource.", "enumDescriptions": [ "The load balancer will not attempt to negotiate QUIC with clients.", "The load balancer will attempt to negotiate QUIC with clients.", "No overrides to the default QUIC policy. This option is implicit if no QUIC override has been specified in the request." ], "enum": [ "DISABLE", "ENABLE", "NONE" ], "type": "string" } }, "id": "TargetHttpsProxiesSetQuicOverrideRequest" }, "LocationPolicyLocationConstraints": { "id": "LocationPolicyLocationConstraints", "type": "object", "description": "Per-zone constraints on location policy for this zone.", "properties": { "maxCount": { "format": "int32", "description": "Maximum number of items that are allowed to be placed in this zone. The value must be non-negative.", "type": "integer" } } }, "SecurityPolicyAdaptiveProtectionConfigAutoDeployConfig": { "id": "SecurityPolicyAdaptiveProtectionConfigAutoDeployConfig", "properties": { "impactedBaselineThreshold": { "type": "number", "format": "float" }, "confidenceThreshold": { "format": "float", "type": "number" }, "loadThreshold": { "type": "number", "format": "float" }, "expirationSec": { "format": "int32", "type": "integer" } }, "type": "object", "description": "Configuration options for Adaptive Protection auto-deploy feature." }, "AuthenticationPolicy": { "type": "object", "properties": { "principalBinding": { "description": "Define whether peer or origin identity should be used for principal. Default value is USE_PEER. If peer (or origin) identity is not available, either because peer/origin authentication is not defined, or failed, principal will be left unset. In other words, binding rule does not affect the decision to accept or reject request. This field can be set to one of the following: USE_PEER: Principal will be set to the identity from peer authentication. USE_ORIGIN: Principal will be set to the identity from origin authentication.", "enumDescriptions": [ "", "Principal will be set to the identity from origin authentication.", "Principal will be set to the identity from peer authentication." ], "type": "string", "enum": [ "INVALID", "USE_ORIGIN", "USE_PEER" ] }, "origins": { "items": { "$ref": "OriginAuthenticationMethod" }, "type": "array", "description": "List of authentication methods that can be used for origin authentication. Similar to peers, these will be evaluated in order the first valid one will be used to set origin identity. If none of these methods pass, the request will be rejected with authentication failed error (401). Leave the list empty if origin authentication is not required." }, "peers": { "description": "List of authentication methods that can be used for peer authentication. They will be evaluated in order the first valid one will be used to set peer identity. If none of these methods pass, the request will be rejected with authentication failed error (401). Leave the list empty if peer authentication is not required.", "items": { "$ref": "PeerAuthenticationMethod" }, "type": "array" }, "serverTlsContext": { "description": "Configures the mechanism to obtain server-side security certificates and identity information.", "$ref": "TlsContext" } }, "description": "[Deprecated] The authentication settings for the backend service. The authentication settings for the backend service.", "id": "AuthenticationPolicy" }, "FirewallPolicyRuleMatcher": { "type": "object", "properties": { "destThreatIntelligences": { "type": "array", "items": { "type": "string" }, "description": "Names of Network Threat Intelligence lists. The IPs in these lists will be matched against traffic destination." }, "destIpRanges": { "type": "array", "items": { "type": "string" }, "description": "CIDR IP address range. Maximum number of destination CIDR IP ranges allowed is 5000." }, "srcIpRanges": { "type": "array", "description": "CIDR IP address range. Maximum number of source CIDR IP ranges allowed is 5000.", "items": { "type": "string" } }, "destFqdns": { "type": "array", "items": { "type": "string" }, "description": "Fully Qualified Domain Name (FQDN) which should be matched against traffic destination. Maximum number of destination fqdn allowed is 1000." }, "destAddressGroups": { "items": { "type": "string" }, "type": "array", "description": "Address groups which should be matched against the traffic destination. Maximum number of destination address groups is 10." }, "layer4Configs": { "type": "array", "description": "Pairs of IP protocols and ports that the rule should match.", "items": { "$ref": "FirewallPolicyRuleMatcherLayer4Config" } }, "srcSecureTags": { "type": "array", "description": "List of secure tag values, which should be matched at the source of the traffic. For INGRESS rule, if all the srcSecureTag are INEFFECTIVE, and there is no srcIpRange, this rule will be ignored. Maximum number of source tag values allowed is 256.", "items": { "$ref": "FirewallPolicyRuleSecureTag" } }, "srcAddressGroups": { "type": "array", "items": { "type": "string" }, "description": "Address groups which should be matched against the traffic source. Maximum number of source address groups is 10." }, "destRegionCodes": { "type": "array", "description": "Region codes whose IP addresses will be used to match for destination of traffic. Should be specified as 2 letter country code defined as per ISO 3166 alpha-2 country codes. ex.\"US\" Maximum number of dest region codes allowed is 5000.", "items": { "type": "string" } }, "srcRegionCodes": { "description": "Region codes whose IP addresses will be used to match for source of traffic. Should be specified as 2 letter country code defined as per ISO 3166 alpha-2 country codes. ex.\"US\" Maximum number of source region codes allowed is 5000.", "items": { "type": "string" }, "type": "array" }, "srcThreatIntelligences": { "items": { "type": "string" }, "type": "array", "description": "Names of Network Threat Intelligence lists. The IPs in these lists will be matched against traffic source." }, "srcFqdns": { "type": "array", "description": "Fully Qualified Domain Name (FQDN) which should be matched against traffic source. Maximum number of source fqdn allowed is 1000.", "items": { "type": "string" } } }, "description": "Represents a match condition that incoming traffic is evaluated against. Exactly one field must be specified.", "id": "FirewallPolicyRuleMatcher" }, "BackendServiceCdnPolicy": { "id": "BackendServiceCdnPolicy", "description": "Message containing Cloud CDN configuration for a backend service.", "properties": { "signedUrlCacheMaxAgeSec": { "type": "string", "format": "int64", "description": "Maximum number of seconds the response to a signed URL request will be considered fresh. After this time period, the response will be revalidated before being served. Defaults to 1hr (3600s). When serving responses to signed URL requests, Cloud CDN will internally behave as though all responses from this backend had a \"Cache-Control: public, max-age=[TTL]\" header, regardless of any existing Cache-Control header. The actual headers served in responses will not be altered." }, "negativeCaching": { "description": "Negative caching allows per-status code TTLs to be set, in order to apply fine-grained caching for common errors or redirects. This can reduce the load on your origin and improve end-user experience by reducing response latency. When the cache mode is set to CACHE_ALL_STATIC or USE_ORIGIN_HEADERS, negative caching applies to responses with the specified response code that lack any Cache-Control, Expires, or Pragma: no-cache directives. When the cache mode is set to FORCE_CACHE_ALL, negative caching applies to all responses with the specified response code, and override any caching headers. By default, Cloud CDN will apply the following default TTLs to these status codes: HTTP 300 (Multiple Choice), 301, 308 (Permanent Redirects): 10m HTTP 404 (Not Found), 410 (Gone), 451 (Unavailable For Legal Reasons): 120s HTTP 405 (Method Not Found), 421 (Misdirected Request), 501 (Not Implemented): 60s. These defaults can be overridden in negative_caching_policy.", "type": "boolean" }, "clientTtl": { "type": "integer", "description": "Specifies a separate client (e.g. browser client) maximum TTL. This is used to clamp the max-age (or Expires) value sent to the client. With FORCE_CACHE_ALL, the lesser of client_ttl and default_ttl is used for the response max-age directive, along with a \"public\" directive. For cacheable content in CACHE_ALL_STATIC mode, client_ttl clamps the max-age from the origin (if specified), or else sets the response max-age directive to the lesser of the client_ttl and default_ttl, and also ensures a \"public\" cache-control directive is present. If a client TTL is not specified, a default value (1 hour) will be used. The maximum allowed value is 31,622,400s (1 year).", "format": "int32" }, "cacheMode": { "type": "string", "description": "Specifies the cache setting for all responses from this backend. The possible values are: USE_ORIGIN_HEADERS Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server. FORCE_CACHE_ALL Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content. CACHE_ALL_STATIC Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "enumDescriptions": [ "Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content.", "", "Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server." ], "enum": [ "CACHE_ALL_STATIC", "FORCE_CACHE_ALL", "INVALID_CACHE_MODE", "USE_ORIGIN_HEADERS" ] }, "defaultTtl": { "type": "integer", "format": "int32", "description": "Specifies the default TTL for cached content served by this origin for responses that do not have an existing valid TTL (max-age or s-max-age). Setting a TTL of \"0\" means \"always revalidate\". The value of defaultTTL cannot be set to a value greater than that of maxTTL, but can be equal. When the cacheMode is set to FORCE_CACHE_ALL, the defaultTTL will overwrite the TTL set in all responses. The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL." }, "negativeCachingPolicy": { "type": "array", "description": "Sets a cache TTL for the specified HTTP status code. negative_caching must be enabled to configure negative_caching_policy. Omitting the policy and leaving negative_caching enabled will use Cloud CDN's default cache TTLs. Note that when specifying an explicit negative_caching_policy, you should take care to specify a cache TTL for all response codes that you wish to cache. Cloud CDN will not apply any default negative caching when a policy exists.", "items": { "$ref": "BackendServiceCdnPolicyNegativeCachingPolicy" } }, "serveWhileStale": { "format": "int32", "type": "integer", "description": "Serve existing content from the cache (if available) when revalidating content with the origin, or when an error is encountered when refreshing the cache. This setting defines the default \"max-stale\" duration for any cached responses that do not specify a max-stale directive. Stale responses that exceed the TTL configured here will not be served. The default limit (max-stale) is 86400s (1 day), which will allow stale content to be served up to this limit beyond the max-age (or s-max-age) of a cached response. The maximum allowed value is 604800 (1 week). Set this to zero (0) to disable serve-while-stale." }, "cacheKeyPolicy": { "$ref": "CacheKeyPolicy", "description": "The CacheKeyPolicy for this CdnPolicy." }, "bypassCacheOnRequestHeaders": { "description": "Bypass the cache when the specified request headers are matched - e.g. Pragma or Authorization headers. Up to 5 headers can be specified. The cache is bypassed for all cdnPolicy.cacheMode settings.", "items": { "$ref": "BackendServiceCdnPolicyBypassCacheOnRequestHeader" }, "type": "array" }, "signedUrlKeyNames": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Names of the keys for signing request URLs." }, "maxTtl": { "type": "integer", "format": "int32", "description": "Specifies the maximum allowed TTL for cached content served by this origin. Cache directives that attempt to set a max-age or s-maxage higher than this, or an Expires header more than maxTTL seconds in the future will be capped at the value of maxTTL, as if it were the value of an s-maxage Cache-Control directive. Headers sent to the client will not be modified. Setting a TTL of \"0\" means \"always revalidate\". The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL." }, "requestCoalescing": { "type": "boolean", "description": "If true then Cloud CDN will combine multiple concurrent cache fill requests into a small number of requests to the origin." } }, "type": "object" }, "InstanceProperties": { "properties": { "secureTags": { "description": "[Input Only] Secure tags to apply to this instance. Maximum number of secure tags allowed is 50. Note that for MachineImage, this is not supported yet.", "type": "array", "items": { "type": "string" } }, "confidentialInstanceConfig": { "description": "Specifies the Confidential Instance options. Note that for MachineImage, this is not supported yet.", "$ref": "ConfidentialInstanceConfig" }, "postKeyRevocationActionType": { "type": "string", "enumDescriptions": [ "Indicates user chose no operation.", "Default value. This value is unused.", "Indicates user chose to opt for VM shutdown on key revocation." ], "enum": [ "NOOP", "POST_KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "SHUTDOWN" ], "description": "PostKeyRevocationActionType of the instance." }, "privateIpv6GoogleAccess": { "type": "string", "description": "The private IPv6 google access type for VMs. If not specified, use INHERIT_FROM_SUBNETWORK as default. Note that for MachineImage, this is not supported yet.", "enum": [ "ENABLE_BIDIRECTIONAL_ACCESS_TO_GOOGLE", "ENABLE_OUTBOUND_VM_ACCESS_TO_GOOGLE", "INHERIT_FROM_SUBNETWORK" ], "enumDescriptions": [ "Bidirectional private IPv6 access to/from Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Outbound private IPv6 access from VMs in this subnet to Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Each network interface inherits PrivateIpv6GoogleAccess from its subnetwork." ] }, "networkInterfaces": { "description": "An array of network access configurations for this interface.", "type": "array", "items": { "$ref": "NetworkInterface" } }, "canIpForward": { "description": "Enables instances created based on these properties to send packets with source IP addresses other than their own and receive packets with destination IP addresses other than their own. If these instances will be used as an IP gateway or it will be set as the next-hop in a Route resource, specify true. If unsure, leave this set to false. See the Enable IP forwarding documentation for more information.", "type": "boolean" }, "displayDevice": { "description": "Display Device properties to enable support for remote display products like: Teradici, VNC and TeamViewer Note that for MachineImage, this is not supported yet.", "$ref": "DisplayDevice" }, "tags": { "description": "A list of tags to apply to the instances that are created from these properties. The tags identify valid sources or targets for network firewalls. The setTags method can modify this list of tags. Each tag within the list must comply with RFC1035.", "$ref": "Tags" }, "description": { "type": "string", "description": "An optional text description for the instances that are created from these properties." }, "labels": { "description": "Labels to apply to instances that are created from these properties.", "type": "object", "additionalProperties": { "type": "string" } }, "shieldedInstanceConfig": { "description": "Note that for MachineImage, this is not supported yet.", "$ref": "ShieldedInstanceConfig" }, "machineType": { "type": "string", "annotations": { "required": [ "compute.instanceTemplates.insert" ] }, "description": "The machine type to use for instances that are created from these properties." }, "keyRevocationActionType": { "description": "KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified.", "type": "string", "enum": [ "KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "NONE", "STOP" ], "enumDescriptions": [ "Default value. This value is unused.", "Indicates user chose no operation.", "Indicates user chose to opt for VM shutdown on key revocation." ] }, "networkPerformanceConfig": { "$ref": "NetworkPerformanceConfig", "description": "Note that for MachineImage, this is not supported yet." }, "resourceManagerTags": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Resource manager tags to be bound to the instance. Tag keys and values have the same definition as resource manager tags. Keys must be in the format `tagKeys/{tag_key_id}`, and values are in the format `tagValues/456`. The field is ignored (both PUT & PATCH) when empty." }, "reservationAffinity": { "description": "Specifies the reservations that instances can consume from. Note that for MachineImage, this is not supported yet.", "$ref": "ReservationAffinity" }, "metadata": { "$ref": "Metadata", "description": "The metadata key/value pairs to assign to instances that are created from these properties. These pairs can consist of custom metadata or predefined keys. See Project and instance metadata for more information." }, "shieldedVmConfig": { "$ref": "ShieldedVmConfig", "description": "Specifies the Shielded VM options for the instances that are created from these properties." }, "guestAccelerators": { "description": "A list of guest accelerator cards' type and count to use for instances created from these properties.", "type": "array", "items": { "$ref": "AcceleratorConfig" } }, "disks": { "type": "array", "description": "An array of disks that are associated with the instances that are created from these properties.", "items": { "$ref": "AttachedDisk" } }, "scheduling": { "description": "Specifies the scheduling options for the instances that are created from these properties.", "$ref": "Scheduling" }, "resourcePolicies": { "items": { "type": "string" }, "description": "Resource policies (names, not URLs) applied to instances created from these properties. Note that for MachineImage, this is not supported yet.", "type": "array" }, "minCpuPlatform": { "description": "Minimum cpu/platform to be used by instances. The instance may be scheduled on the specified or newer cpu/platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\". For more information, read Specifying a Minimum CPU Platform.", "type": "string" }, "advancedMachineFeatures": { "$ref": "AdvancedMachineFeatures", "description": "Controls for advanced machine-related behavior features. Note that for MachineImage, this is not supported yet." }, "serviceAccounts": { "description": "A list of service accounts with specified scopes. Access tokens for these service accounts are available to the instances that are created from these properties. Use metadata queries to obtain the access tokens for these instances.", "items": { "$ref": "ServiceAccount" }, "type": "array" } }, "type": "object", "id": "InstanceProperties" }, "VpnGatewayList": { "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "items": { "$ref": "VpnGateway" }, "description": "A list of VpnGateway resources.", "type": "array" }, "kind": { "default": "compute#vpnGatewayList", "description": "[Output Only] Type of resource. Always compute#vpnGateway for VPN gateways.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "type": "object", "id": "VpnGatewayList", "description": "Contains a list of VpnGateway resources." }, "ResourceStatusUpcomingMaintenance": { "properties": { "canReschedule": { "description": "Indicates if the maintenance can be customer triggered. See go/sf-ctm-design for more details", "type": "boolean" } }, "type": "object", "id": "ResourceStatusUpcomingMaintenance" }, "SslPoliciesList": { "type": "object", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "items": { "$ref": "SslPolicy" }, "type": "array", "description": "A list of SslPolicy resources." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } } }, "kind": { "description": "[Output Only] Type of the resource. Always compute#sslPoliciesList for lists of sslPolicies.", "default": "compute#sslPoliciesList", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "id": "SslPoliciesList" }, "InstancesStartWithEncryptionKeyRequest": { "id": "InstancesStartWithEncryptionKeyRequest", "properties": { "disks": { "description": "Array of disks associated with this instance that are protected with a customer-supplied encryption key. In order to start the instance, the disk url and its corresponding key must be provided. If the disk is not protected with a customer-supplied encryption key it should not be specified.", "type": "array", "items": { "$ref": "CustomerEncryptionKeyProtectedDisk" } }, "instanceEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Decrypts data associated with an instance that is protected with a customer-supplied encryption key. If the instance you are starting is protected with a customer-supplied encryption key, the correct key must be provided otherwise the instance start will not succeed." } }, "type": "object" }, "InstancesSetMachineTypeRequest": { "id": "InstancesSetMachineTypeRequest", "properties": { "machineType": { "description": "Full or partial URL of the machine type resource. See Machine Types for a full list of machine types. For example: zones/us-central1-f/machineTypes/n1-standard-1", "type": "string" } }, "type": "object" }, "InstanceManagedByIgmErrorManagedInstanceError": { "properties": { "message": { "description": "[Output Only] Error message.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] Error code." } }, "type": "object", "id": "InstanceManagedByIgmErrorManagedInstanceError" }, "RegionDisksResizeRequest": { "type": "object", "properties": { "sizeGb": { "format": "int64", "description": "The new size of the regional persistent disk, which is specified in GB.", "type": "string" } }, "id": "RegionDisksResizeRequest" }, "LocalizedMessage": { "description": "Provides a localized error message that is safe to return to the user which can be attached to an RPC error.", "id": "LocalizedMessage", "type": "object", "properties": { "message": { "type": "string", "description": "The localized error message in the above locale." }, "locale": { "description": "The locale used following the specification defined at http://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: \"en-US\", \"fr-CH\", \"es-MX\"", "type": "string" } } }, "TargetInstancesScopedList": { "properties": { "warning": { "description": "Informational warning which replaces the list of addresses when the list is empty.", "type": "object", "properties": { "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "targetInstances": { "items": { "$ref": "TargetInstance" }, "type": "array", "description": "A list of target instances contained in this scope." } }, "type": "object", "id": "TargetInstancesScopedList" }, "DiskInstantiationConfig": { "type": "object", "id": "DiskInstantiationConfig", "properties": { "autoDelete": { "description": "Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance).", "type": "boolean" }, "deviceName": { "description": "Specifies the device name of the disk to which the configurations apply to.", "type": "string" }, "instantiateFrom": { "enumDescriptions": [ "Attach the existing disk in read-only mode. The request will fail if the disk was attached in read-write mode on the source instance. Applicable to: read-only disks.", "Create a blank disk. The disk will be created unformatted. Applicable to: additional read-write disks, local SSDs.", "Use the custom image specified in the custom_image field. Applicable to: boot disk, additional read-write disks.", "Use the default instantiation option for the corresponding type of disk. For boot disk and any other R/W disks, new custom images will be created from each disk. For read-only disks, they will be attached in read-only mode. Local SSD disks will be created as blank volumes.", "Do not include the disk in the instance template. Applicable to: additional read-write disks, local SSDs, read-only disks.", "Use the same source image used for creation of the source instance's corresponding disk. The request will fail if the source VM's disk was created from a snapshot. Applicable to: boot disk, additional read-write disks.", "Use the same source image family used for creation of the source instance's corresponding disk. The request will fail if the source image of the source disk does not belong to any image family. Applicable to: boot disk, additional read-write disks." ], "description": "Specifies whether to include the disk and what image to use. Possible values are: - source-image: to use the same image that was used to create the source instance's corresponding disk. Applicable to the boot disk and additional read-write disks. - source-image-family: to use the same image family that was used to create the source instance's corresponding disk. Applicable to the boot disk and additional read-write disks. - custom-image: to use a user-provided image url for disk creation. Applicable to the boot disk and additional read-write disks. - attach-read-only: to attach a read-only disk. Applicable to read-only disks. - do-not-include: to exclude a disk from the template. Applicable to additional read-write disks, local SSDs, and read-only disks. ", "enum": [ "ATTACH_READ_ONLY", "BLANK", "CUSTOM_IMAGE", "DEFAULT", "DO_NOT_INCLUDE", "SOURCE_IMAGE", "SOURCE_IMAGE_FAMILY" ], "type": "string" }, "customImage": { "description": "The custom source image to be used to restore this disk when instantiating this instance template.", "type": "string" } }, "description": "A specification of the desired way to instantiate a disk in the instance template when its created from a source instance." }, "TargetPoolsAddInstanceRequest": { "id": "TargetPoolsAddInstanceRequest", "type": "object", "properties": { "instances": { "type": "array", "items": { "$ref": "InstanceReference" }, "description": "A full or partial URL to an instance to add to this target pool. This can be a full or partial URL. For example, the following are valid URLs: - https://www.googleapis.com/compute/v1/projects/project-id/zones/zone /instances/instance-name - projects/project-id/zones/zone/instances/instance-name - zones/zone/instances/instance-name " } } }, "PacketMirroringMirroredResourceInfo": { "properties": { "subnetworks": { "description": "A set of subnetworks for which traffic from/to all VM instances will be mirrored. They must live in the same region as this packetMirroring. You may specify a maximum of 5 subnetworks.", "type": "array", "items": { "$ref": "PacketMirroringMirroredResourceInfoSubnetInfo" } }, "instances": { "type": "array", "items": { "$ref": "PacketMirroringMirroredResourceInfoInstanceInfo" }, "description": "A set of virtual machine instances that are being mirrored. They must live in zones contained in the same region as this packetMirroring. Note that this config will apply only to those network interfaces of the Instances that belong to the network specified in this packetMirroring. You may specify a maximum of 50 Instances." }, "tags": { "items": { "type": "string" }, "description": "A set of mirrored tags. Traffic from/to all VM instances that have one or more of these tags will be mirrored.", "type": "array" } }, "id": "PacketMirroringMirroredResourceInfo", "type": "object" }, "NetworkEndpointGroupsAttachEndpointsRequest": { "id": "NetworkEndpointGroupsAttachEndpointsRequest", "properties": { "networkEndpoints": { "type": "array", "items": { "$ref": "NetworkEndpoint" }, "description": "The list of network endpoints to be attached." } }, "type": "object" }, "SslPoliciesListAvailableFeaturesResponse": { "properties": { "features": { "type": "array", "items": { "type": "string" } } }, "type": "object", "id": "SslPoliciesListAvailableFeaturesResponse" }, "InstanceGroupManagerStatusStateful": { "properties": { "isStateful": { "type": "boolean", "description": "[Output Only] A bit indicating whether the managed instance group has stateful configuration, that is, if you have configured any items in a stateful policy or in per-instance configs. The group might report that it has no stateful configuration even when there is still some preserved state on a managed instance, for example, if you have deleted all PICs but not yet applied those deletions. This field is deprecated in favor of has_stateful_config." }, "hasStatefulConfig": { "description": "[Output Only] A bit indicating whether the managed instance group has stateful configuration, that is, if you have configured any items in a stateful policy or in per-instance configs. The group might report that it has no stateful configuration even when there is still some preserved state on a managed instance, for example, if you have deleted all PICs but not yet applied those deletions.", "type": "boolean" }, "perInstanceConfigs": { "description": "[Output Only] Status of per-instance configurations on the instance.", "$ref": "InstanceGroupManagerStatusStatefulPerInstanceConfigs" } }, "id": "InstanceGroupManagerStatusStateful", "type": "object" }, "NetworkInterfaceSubInterface": { "type": "object", "properties": { "vlan": { "format": "int32", "description": "VLAN tag. Should match the VLAN(s) supported by the subnetwork to which this subinterface is connecting.", "type": "integer" }, "subnetwork": { "type": "string", "description": "If specified, this subnetwork must belong to the same network as that of the network interface. If not specified the subnet of network interface will be used. If you specify this property, you can specify the subnetwork as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/regions/region /subnetworks/subnetwork - regions/region/subnetworks/subnetwork " }, "ipAddress": { "description": "An IPv4 internal IP address to assign to the instance for this subinterface. If specified, ip_allocation_mode should be set to ALLOCATE_IP.", "type": "string" }, "ipAllocationMode": { "enum": [ "ALLOCATE_IP", "DO_NOT_ALLOCATE_IP", "UNSPECIFIED" ], "enumDescriptions": [ "Allocates an internal IPv4 IP address from subnets secondary IP Range.", "No IP allocation is done for the subinterface.", "" ], "type": "string" } }, "id": "NetworkInterfaceSubInterface" }, "AcceleratorType": { "properties": { "deprecated": { "$ref": "DeprecationStatus", "description": "[Output Only] The deprecation status associated with this accelerator type." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource's resource id." }, "maximumCardsPerInstance": { "format": "int32", "description": "[Output Only] Maximum number of accelerator cards allowed per instance.", "type": "integer" }, "zone": { "description": "[Output Only] The name of the zone where the accelerator type resides, such as us-central1-a. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "description": { "description": "[Output Only] An optional textual description of the resource.", "type": "string" }, "kind": { "type": "string", "default": "compute#acceleratorType", "description": "[Output Only] The type of the resource. Always compute#acceleratorType for accelerator types." }, "selfLink": { "description": "[Output Only] Server-defined, fully qualified URL for this resource.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "[Output Only] Name of the resource." } }, "type": "object", "description": "Represents an Accelerator Type resource. Google Cloud Platform provides graphics processing units (accelerators) that you can add to VM instances to improve or accelerate performance when working with intensive workloads. For more information, read GPUs on Compute Engine.", "id": "AcceleratorType" }, "InstanceGroupManagersSetAutoHealingRequest": { "id": "InstanceGroupManagersSetAutoHealingRequest", "type": "object", "properties": { "autoHealingPolicies": { "type": "array", "items": { "$ref": "InstanceGroupManagerAutoHealingPolicy" } } } }, "AllocationSpecificSKUReservation": { "description": "This reservation type allows to pre allocate specific instance configuration. Next ID: 6", "id": "AllocationSpecificSKUReservation", "type": "object", "properties": { "count": { "type": "string", "format": "int64", "description": "Specifies the number of resources that are allocated." }, "instanceProperties": { "$ref": "AllocationSpecificSKUAllocationReservedInstanceProperties", "description": "The instance properties for the reservation." }, "assuredCount": { "description": "[Output Only] Indicates how many instances are actually usable currently.", "type": "string", "format": "int64" }, "inUseCount": { "format": "int64", "type": "string", "description": "[Output Only] Indicates how many instances are in use." } } }, "ClientTlsSettings": { "id": "ClientTlsSettings", "properties": { "sni": { "type": "string", "description": "SNI string to present to the server during TLS handshake. This field is applicable only when mode is SIMPLE or MUTUAL." }, "mode": { "description": "Indicates whether connections to this port should be secured using TLS. The value of this field determines how TLS is enforced. This can be set to one of the following values: DISABLE: Do not setup a TLS connection to the backends. SIMPLE: Originate a TLS connection to the backends. MUTUAL: Secure connections to the backends using mutual TLS by presenting client certificates for authentication.", "enumDescriptions": [ "Do not setup a TLS connection to the backends.", "", "Secure connections to the backends using mutual TLS by presenting client certificates for authentication.", "Originate a TLS connection to the backends." ], "enum": [ "DISABLE", "INVALID", "MUTUAL", "SIMPLE" ], "type": "string" }, "clientTlsContext": { "description": "Configures the mechanism to obtain client-side security certificates and identity information. This field is only applicable when mode is set to MUTUAL.", "$ref": "TlsContext" }, "subjectAltNames": { "description": "A list of alternate names to verify the subject identity in the certificate.If specified, the proxy will verify that the server certificate's subject alt name matches one of the specified values. This field is applicable only when mode is SIMPLE or MUTUAL.", "items": { "type": "string" }, "type": "array" } }, "description": "[Deprecated] The client side authentication settings for connection originating from the backend service. the backend service.", "type": "object" }, "UrlMapList": { "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of UrlMap resources.", "type": "array", "items": { "$ref": "UrlMap" } }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#urlMapList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message." } }, "description": "Contains a list of UrlMap resources.", "id": "UrlMapList" }, "TargetVpnGatewaysScopedList": { "id": "TargetVpnGatewaysScopedList", "type": "object", "properties": { "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } } }, "description": "[Output Only] Informational warning which replaces the list of addresses when the list is empty.", "type": "object" }, "targetVpnGateways": { "description": "[Output Only] A list of target VPN gateways contained in this scope.", "items": { "$ref": "TargetVpnGateway" }, "type": "array" } } }, "LogConfig": { "description": "This is deprecated and has no effect. Do not use.", "id": "LogConfig", "type": "object", "properties": { "dataAccess": { "description": "This is deprecated and has no effect. Do not use.", "$ref": "LogConfigDataAccessOptions" }, "counter": { "description": "This is deprecated and has no effect. Do not use.", "$ref": "LogConfigCounterOptions" }, "cloudAudit": { "description": "This is deprecated and has no effect. Do not use.", "$ref": "LogConfigCloudAuditOptions" } } }, "FixedOrPercent": { "type": "object", "description": "Encapsulates numeric value that can be either absolute or relative.", "id": "FixedOrPercent", "properties": { "fixed": { "format": "int32", "description": "Specifies a fixed number of VM instances. This must be a positive integer.", "type": "integer" }, "percent": { "description": "Specifies a percentage of instances between 0 to 100%, inclusive. For example, specify 80 for 80%.", "format": "int32", "type": "integer" }, "calculated": { "format": "int32", "type": "integer", "description": "[Output Only] Absolute value of VM instances calculated based on the specific mode. - If the value is fixed, then the calculated value is equal to the fixed value. - If the value is a percent, then the calculated value is percent/100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh targetSize. For example, the calculated value of a 80% of a managed instance group with 150 instances would be (80/100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 150) = 120 VM instances. If there is a remainder, the number is rounded. " } } }, "IpAddressesList": { "id": "IpAddressesList", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "items": { "$ref": "InternalIpAddress" }, "description": "A list of InternalIpAddress resources.", "type": "array" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } } }, "kind": { "default": "compute#ipAddressesList", "type": "string", "description": "[Output Only] Type of resource. Always compute#ipAddressesList for IP addresses lists." } }, "type": "object" }, "ReservationList": { "properties": { "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "items": { "items": { "$ref": "Reservation" }, "description": "[Output Only] A list of Allocation resources.", "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } } }, "kind": { "default": "compute#reservationList", "description": "[Output Only] Type of resource.Always compute#reservationsList for listsof reservations", "type": "string" } }, "id": "ReservationList", "type": "object" }, "SubnetworkAggregatedList": { "type": "object", "id": "SubnetworkAggregatedList", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#subnetworkAggregatedList", "description": "[Output Only] Type of resource. Always compute#subnetworkAggregatedList for aggregated lists of subnetworks.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of Subnetworks.", "$ref": "SubnetworksScopedList" }, "description": "A list of SubnetworksScopedList resources." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } } }, "UrlMapValidationResult": { "type": "object", "id": "UrlMapValidationResult", "properties": { "loadErrors": { "type": "array", "items": { "type": "string" } }, "testPassed": { "description": "If successfully loaded, this field indicates whether the test passed. If false, 'testFailures's indicate the reason of failure.", "type": "boolean" }, "testFailures": { "type": "array", "items": { "$ref": "TestFailure" } }, "loadSucceeded": { "type": "boolean", "description": "Whether the given UrlMap can be successfully loaded. If false, 'loadErrors' indicates the reasons." } }, "description": "Message representing the validation result for a UrlMap." }, "SecurityPolicyRuleHttpHeaderAction": { "properties": { "requestHeadersToAdds": { "description": "The list of request headers to add or overwrite if they're already present.", "type": "array", "items": { "$ref": "SecurityPolicyRuleHttpHeaderActionHttpHeaderOption" } } }, "type": "object", "id": "SecurityPolicyRuleHttpHeaderAction" }, "InstanceGroupManagerResizeRequestStatus": { "type": "object", "properties": { "queuingPolicy": { "description": "Constraints for the time when the instances start provisioning. Always exposed as absolute time.", "$ref": "QueuingPolicy" } }, "id": "InstanceGroupManagerResizeRequestStatus" }, "ResourcePoliciesScopedList": { "properties": { "resourcePolicies": { "description": "A list of resourcePolicies contained in this scope.", "items": { "$ref": "ResourcePolicy" }, "type": "array" }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } } }, "description": "Informational warning which replaces the list of resourcePolicies when the list is empty.", "type": "object" } }, "type": "object", "id": "ResourcePoliciesScopedList" }, "BackendServiceList": { "properties": { "warning": { "properties": { "data": { "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#backendServiceList", "description": "[Output Only] Type of resource. Always compute#backendServiceList for lists of backend services." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "items": { "$ref": "BackendService" }, "type": "array", "description": "A list of BackendService resources." } }, "description": "Contains a list of BackendService resources.", "id": "BackendServiceList", "type": "object" }, "RouterBgpPeerBfd": { "id": "RouterBgpPeerBfd", "type": "object", "properties": { "multiplier": { "type": "integer", "format": "uint32", "description": "The number of consecutive BFD packets that must be missed before BFD declares that a peer is unavailable. If set, the value must be a value between 5 and 16. The default is 5." }, "minReceiveInterval": { "type": "integer", "format": "uint32", "description": "The minimum interval, in milliseconds, between BFD control packets received from the peer router. The actual value is negotiated between the two routers and is equal to the greater of this value and the transmit interval of the other router. If set, this value must be between 1000 and 30000. The default is 1000." }, "minTransmitInterval": { "description": "The minimum interval, in milliseconds, between BFD control packets transmitted to the peer router. The actual value is negotiated between the two routers and is equal to the greater of this value and the corresponding receive interval of the other router. If set, this value must be between 1000 and 30000. The default is 1000.", "format": "uint32", "type": "integer" }, "mode": { "enum": [ "ACTIVE", "DISABLED", "PASSIVE" ], "enumDescriptions": [ "", "", "" ], "description": "The BFD session initialization mode for this BGP peer. If set to ACTIVE, the Cloud Router will initiate the BFD session for this BGP peer. If set to PASSIVE, the Cloud Router will wait for the peer router to initiate the BFD session for this BGP peer. If set to DISABLED, BFD is disabled for this BGP peer. The default is PASSIVE.", "type": "string" }, "sessionInitializationMode": { "type": "string", "description": "The BFD session initialization mode for this BGP peer. If set to ACTIVE, the Cloud Router will initiate the BFD session for this BGP peer. If set to PASSIVE, the Cloud Router will wait for the peer router to initiate the BFD session for this BGP peer. If set to DISABLED, BFD is disabled for this BGP peer. The default is DISABLED.", "enumDescriptions": [ "", "", "" ], "enum": [ "ACTIVE", "DISABLED", "PASSIVE" ] }, "slowTimerInterval": { "description": "The minimum interval, in milliseconds, between BFD control packets transmitted to and received from the peer router when BFD echo mode is enabled on both routers. The actual transmit and receive intervals are negotiated between the two routers and are equal to the greater of this value and the corresponding interval on the other router. If set, this value must be between 1000 and 30000. The default is 5000.", "format": "uint32", "type": "integer" }, "packetMode": { "type": "string", "enumDescriptions": [ "", "" ], "description": "The BFD packet mode for this BGP peer. If set to CONTROL_AND_ECHO, BFD echo mode is enabled for this BGP peer. In this mode, if the peer router also has BFD echo mode enabled, BFD echo packets will be sent to the other router. If the peer router does not have BFD echo mode enabled, only control packets will be sent. If set to CONTROL_ONLY, BFD echo mode is disabled for this BGP peer. If this router and the peer router have a multihop connection, this should be set to CONTROL_ONLY as BFD echo mode is only supported on singlehop connections. The default is CONTROL_AND_ECHO.", "enum": [ "CONTROL_AND_ECHO", "CONTROL_ONLY" ] } } }, "InstanceGroupManagersResizeAdvancedRequest": { "properties": { "noCreationRetries": { "type": "boolean", "description": "If this flag is true, the managed instance group attempts to create all instances initiated by this resize request only once. If there is an error during creation, the managed instance group does not retry create this instance, and we will decrease the targetSize of the request instead. If the flag is false, the group attempts to recreate each instance continuously until it succeeds. This flag matters only in the first attempt of creation of an instance. After an instance is successfully created while this flag is enabled, the instance behaves the same way as all the other instances created with a regular resize request. In particular, if a running instance dies unexpectedly at a later time and needs to be recreated, this mode does not affect the recreation behavior in that scenario. This flag is applicable only to the current resize request. It does not influence other resize requests in any way. You can see which instances is being creating in which mode by calling the get or listManagedInstances API." }, "targetSize": { "type": "integer", "description": "The number of running instances that the managed instance group should maintain at any given time. The group automatically adds or removes instances to maintain the number of instances specified by this parameter.", "format": "int32" } }, "type": "object", "id": "InstanceGroupManagersResizeAdvancedRequest" }, "BulkInsertInstanceResourcePerInstanceProperties": { "description": "Per-instance properties to be set on individual instances. To be extended in the future.", "id": "BulkInsertInstanceResourcePerInstanceProperties", "properties": { "name": { "description": "This field is only temporary. It will be removed. Do not use it.", "type": "string" } }, "type": "object" }, "Policy": { "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object", "properties": { "bindings": { "type": "array", "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "auditConfigs": { "type": "array", "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" } }, "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "rules": { "items": { "$ref": "Rule" }, "description": "This is deprecated and has no effect. Do not use.", "type": "array" } } }, "RolloutPolicy": { "id": "RolloutPolicy", "description": "A rollout policy configuration.", "properties": { "locationRolloutPolicies": { "type": "object", "description": "Location based rollout policies to apply to the resource. Currently only zone names are supported and must be represented as valid URLs, like: zones/us-central1-a. The value expects an RFC3339 timestamp on or after which the update is considered rolled out to the specified location.", "additionalProperties": { "type": "string" } }, "defaultRolloutTime": { "description": "An optional RFC3339 timestamp on or after which the update is considered rolled out to any zone that is not explicitly stated.", "type": "string" } }, "type": "object" }, "InstanceGroupManagersStopInstancesRequest": { "type": "object", "properties": { "instances": { "type": "array", "description": "The URLs of one or more instances to stop. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "items": { "type": "string" } }, "forceStop": { "description": "If this flag is set to true, the Instance Group Manager will proceed to stop the instances, skipping initialization on them.", "type": "boolean" } }, "id": "InstanceGroupManagersStopInstancesRequest" }, "SecurityPolicyRuleMatcherConfigLayer4Config": { "type": "object", "properties": { "ports": { "description": "An optional list of ports to which this rule applies. This field is only applicable for UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"]. This field may only be specified when versioned_expr is set to FIREWALL.", "items": { "type": "string" }, "type": "array" }, "ipProtocol": { "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp), or the IP protocol number.", "type": "string" } }, "id": "SecurityPolicyRuleMatcherConfigLayer4Config" }, "BfdPacket": { "id": "BfdPacket", "type": "object", "properties": { "multiplier": { "type": "integer", "format": "uint32", "description": "The detection time multiplier of the BFD packet. This is specified in section 4.1 of RFC5880" }, "version": { "format": "uint32", "type": "integer", "description": "The version number of the BFD protocol, as specified in section 4.1 of RFC5880." }, "final": { "description": "The Final bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" }, "yourDiscriminator": { "format": "uint32", "description": "The Your Discriminator value in the BFD packet. This is specified in section 4.1 of RFC5880", "type": "integer" }, "controlPlaneIndependent": { "type": "boolean", "description": "The Control Plane Independent bit of the BFD packet. This is specified in section 4.1 of RFC5880" }, "minTxIntervalMs": { "type": "integer", "description": "The Desired Min TX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880", "format": "uint32" }, "length": { "description": "The length of the BFD Control packet in bytes. This is specified in section 4.1 of RFC5880", "type": "integer", "format": "uint32" }, "demand": { "description": "The demand bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" }, "myDiscriminator": { "description": "The My Discriminator value in the BFD packet. This is specified in section 4.1 of RFC5880", "format": "uint32", "type": "integer" }, "poll": { "description": "The Poll bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" }, "state": { "description": "The current BFD session state as seen by the transmitting system. These states are specified in section 4.1 of RFC5880", "type": "string", "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "ADMIN_DOWN", "DOWN", "INIT", "STATE_UNSPECIFIED", "UP" ] }, "diagnostic": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ], "type": "string", "enum": [ "ADMINISTRATIVELY_DOWN", "CONCATENATED_PATH_DOWN", "CONTROL_DETECTION_TIME_EXPIRED", "DIAGNOSTIC_UNSPECIFIED", "ECHO_FUNCTION_FAILED", "FORWARDING_PLANE_RESET", "NEIGHBOR_SIGNALED_SESSION_DOWN", "NO_DIAGNOSTIC", "PATH_DOWN", "REVERSE_CONCATENATED_PATH_DOWN" ], "description": "The diagnostic code specifies the local system's reason for the last change in session state. This allows remote systems to determine the reason that the previous session failed, for example. These diagnostic codes are specified in section 4.1 of RFC5880" }, "minRxIntervalMs": { "format": "uint32", "type": "integer", "description": "The Required Min RX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880" }, "multipoint": { "type": "boolean", "description": "The multipoint bit of the BFD packet. This is specified in section 4.1 of RFC5880" }, "minEchoRxIntervalMs": { "description": "The Required Min Echo RX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880", "type": "integer", "format": "uint32" }, "authenticationPresent": { "description": "The Authentication Present bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" } } }, "VpnGatewaysScopedList": { "id": "VpnGatewaysScopedList", "properties": { "warning": { "description": "[Output Only] Informational warning which replaces the list of addresses when the list is empty.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object" }, "vpnGateways": { "items": { "$ref": "VpnGateway" }, "type": "array", "description": "[Output Only] A list of VPN gateways contained in this scope." } }, "type": "object" }, "RegionInstanceGroupManagersResumeInstancesRequest": { "id": "RegionInstanceGroupManagersResumeInstancesRequest", "properties": { "instances": { "description": "The URLs of one or more instances to resume. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "type": "array", "items": { "type": "string" } } }, "type": "object" }, "TlsCertificatePaths": { "description": "[Deprecated] The paths to the mounted TLS Certificates and private key. The paths to the mounted TLS Certificates and private key.", "properties": { "privateKeyPath": { "description": "The path to the file holding the client or server private key.", "type": "string" }, "certificatePath": { "description": "The path to the file holding the client or server TLS certificate to use.", "type": "string" } }, "type": "object", "id": "TlsCertificatePaths" }, "BackendServiceAggregatedList": { "id": "BackendServiceAggregatedList", "description": "Contains a list of BackendServicesScopedList.", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "warning": { "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" } }, "description": "[Output Only] Informational warning message." }, "items": { "type": "object", "description": "A list of BackendServicesScopedList resources.", "additionalProperties": { "description": "Name of the scope containing this set of BackendServices.", "$ref": "BackendServicesScopedList" } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#backendServiceAggregatedList", "description": "Type of resource.", "type": "string" } }, "type": "object" }, "SavedDisk": { "properties": { "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#savedDisk for attached disks.", "default": "compute#savedDisk" }, "sourceDisk": { "type": "string", "description": "Specifies a URL of the disk attached to the source instance." }, "storageBytes": { "description": "[Output Only] Size of the individual disk snapshot used by this machine image.", "format": "int64", "type": "string" }, "storageBytesStatus": { "enumDescriptions": [ "", "" ], "type": "string", "description": "[Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.", "enum": [ "UPDATING", "UP_TO_DATE" ] }, "architecture": { "description": "[Output Only] The architecture of the attached disk.", "type": "string", "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ] } }, "id": "SavedDisk", "description": "An instance-attached disk resource.", "type": "object" }, "ExchangedPeeringRoutesList": { "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." }, "items": { "description": "A list of ExchangedPeeringRoute resources.", "type": "array", "items": { "$ref": "ExchangedPeeringRoute" } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#exchangedPeeringRoutesList for exchanged peering routes lists.", "default": "compute#exchangedPeeringRoutesList" } }, "id": "ExchangedPeeringRoutesList" }, "Firewall": { "properties": { "disabled": { "description": "Denotes whether the firewall rule is disabled. When set to true, the firewall rule is not enforced and the network behaves as if it did not exist. If this is unspecified, the firewall rule will be enabled.", "type": "boolean" }, "sourceServiceAccounts": { "items": { "type": "string" }, "description": "If source service accounts are specified, the firewall rules apply only to traffic originating from an instance with a service account in this list. Source service accounts cannot be used to control traffic to an instance's external IP address because service accounts are associated with an instance, not an IP address. sourceRanges can be set at the same time as sourceServiceAccounts. If both are set, the firewall applies to traffic that has a source IP address within the sourceRanges OR a source IP that belongs to an instance with service account listed in sourceServiceAccount. The connection does not need to match both fields for the firewall to apply. sourceServiceAccounts cannot be used at the same time as sourceTags or targetTags.", "type": "array" }, "network": { "type": "string", "description": "URL of the network resource for this firewall rule. If not specified when creating a firewall rule, the default network is used: global/networks/default If you choose to specify this field, you can specify the network as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/myproject/global/networks/my-network - projects/myproject/global/networks/my-network - global/networks/default " }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.", "annotations": { "required": [ "compute.firewalls.insert", "compute.firewalls.patch" ] }, "type": "string" }, "logConfig": { "description": "This field denotes the logging options for a particular firewall rule. If logging is enabled, logs will be exported to Cloud Logging.", "$ref": "FirewallLogConfig" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#firewall for firewall rules.", "default": "compute#firewall" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "priority": { "type": "integer", "description": "Priority for this rule. This is an integer between `0` and `65535`, both inclusive. The default value is `1000`. Relative priorities determine which rule takes effect if multiple rules apply. Lower values indicate higher priority. For example, a rule with priority `0` has higher precedence than a rule with priority `1`. DENY rules take precedence over ALLOW rules if they have equal priority. Note that VPC networks have implied rules with a priority of `65535`. To avoid conflicts with the implied rules, use a priority number less than `65535`.", "format": "int32" }, "destinationRanges": { "description": "If destination ranges are specified, the firewall rule applies only to traffic that has destination IP address in these ranges. These ranges must be expressed in CIDR format. Both IPv4 and IPv6 are supported.", "items": { "type": "string" }, "type": "array" }, "description": { "description": "An optional description of this resource. Provide this field when you create the resource.", "type": "string" }, "targetServiceAccounts": { "items": { "type": "string" }, "description": "A list of service accounts indicating sets of instances located in the network that may make network connections as specified in allowed[]. targetServiceAccounts cannot be used at the same time as targetTags or sourceTags. If neither targetServiceAccounts nor targetTags are specified, the firewall rule applies to all instances on the specified network.", "type": "array" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "sourceRanges": { "items": { "type": "string" }, "type": "array", "description": "If source ranges are specified, the firewall rule applies only to traffic that has a source IP address in these ranges. These ranges must be expressed in CIDR format. One or both of sourceRanges and sourceTags may be set. If both fields are set, the rule applies to traffic that has a source IP address within sourceRanges OR a source IP from a resource with a matching tag listed in the sourceTags field. The connection does not need to match both fields for the rule to apply. Both IPv4 and IPv6 are supported." }, "denied": { "description": "The list of DENY rules specified by this firewall. Each rule specifies a protocol and port-range tuple that describes a denied connection.", "type": "array", "items": { "type": "object", "properties": { "IPProtocol": { "type": "string", "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp) or the IP protocol number." }, "ports": { "items": { "type": "string" }, "description": "An optional list of ports to which this rule applies. This field is only applicable for the UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].", "type": "array" } } } }, "direction": { "type": "string", "enumDescriptions": [ "Indicates that firewall should apply to outgoing traffic.", "Indicates that firewall should apply to incoming traffic." ], "description": "Direction of traffic to which this firewall applies, either `INGRESS` or `EGRESS`. The default is `INGRESS`. For `INGRESS` traffic, you cannot specify the destinationRanges field, and for `EGRESS` traffic, you cannot specify the sourceRanges or sourceTags fields.", "enum": [ "EGRESS", "INGRESS" ] }, "sourceTags": { "description": "If source tags are specified, the firewall rule applies only to traffic with source IPs that match the primary network interfaces of VM instances that have the tag and are in the same VPC network. Source tags cannot be used to control traffic to an instance's external IP address, it only applies to traffic between instances in the same virtual network. Because tags are associated with instances, not IP addresses. One or both of sourceRanges and sourceTags may be set. If both fields are set, the firewall applies to traffic that has a source IP address within sourceRanges OR a source IP from a resource with a matching tag listed in the sourceTags field. The connection does not need to match both fields for the firewall to apply.", "type": "array", "items": { "type": "string" } }, "targetTags": { "type": "array", "items": { "type": "string" }, "description": "A list of tags that controls which instances the firewall rule applies to. If targetTags are specified, then the firewall rule applies only to instances in the VPC network that have one of those tags. If no targetTags are specified, the firewall rule applies to all instances on the specified network." }, "enableLogging": { "type": "boolean", "description": "Deprecated in favor of enable in LogConfig. This field denotes whether to enable logging for a particular firewall rule. If logging is enabled, logs will be exported t Cloud Logging." }, "allowed": { "description": "The list of ALLOW rules specified by this firewall. Each rule specifies a protocol and port-range tuple that describes a permitted connection.", "items": { "properties": { "ports": { "description": "An optional list of ports to which this rule applies. This field is only applicable for the UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].", "type": "array", "items": { "type": "string" } }, "IPProtocol": { "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp) or the IP protocol number.", "type": "string" } }, "type": "object" }, "type": "array" } }, "id": "Firewall", "type": "object", "description": "Represents a Firewall Rule resource. Firewall rules allow or deny ingress traffic to, and egress traffic from your instances. For more information, read Firewall rules." }, "ForwardingRule": { "id": "ForwardingRule", "type": "object", "properties": { "subnetwork": { "description": "This field identifies the subnetwork that the load balanced IP should belong to for this Forwarding Rule, used in internal load balancing and network load balancing with IPv6. If the network specified is in auto subnet mode, this field is optional. However, a subnetwork must be specified if the network is in custom subnet mode or when creating external forwarding rule with IPv6.", "type": "string" }, "serviceLabel": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "An optional prefix to the service name for this Forwarding Rule. If specified, the prefix is the first label of the fully qualified service name. The label must be 1-63 characters long, and comply with RFC1035. Specifically, the label must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. This field is only used for internal load balancing.", "type": "string" }, "allowGlobalAccess": { "description": "This field is used along with the backend_service field for internal load balancing or with the target field for internal TargetInstance. If the field is set to TRUE, clients can access ILB from all regions. Otherwise only allows access from clients in the same region as the internal load balancer.", "type": "boolean" }, "fingerprint": { "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a ForwardingRule. Include the fingerprint in patch request to ensure that you do not overwrite changes that were applied from another concurrent request. To see the latest fingerprint, make a get() request to retrieve a ForwardingRule.", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "loadBalancingScheme": { "type": "string", "description": "Specifies the forwarding rule type. For more information about forwarding rules, refer to Forwarding rule concepts.", "enum": [ "EXTERNAL", "EXTERNAL_MANAGED", "INTERNAL", "INTERNAL_MANAGED", "INTERNAL_SELF_MANAGED", "INVALID" ], "enumDescriptions": [ "", "", "", "", "", "" ] }, "ipVersion": { "enumDescriptions": [ "", "", "" ], "description": "The IP Version that will be used by this forwarding rule. Valid options are IPV4 or IPV6.", "type": "string", "enum": [ "IPV4", "IPV6", "UNSPECIFIED_VERSION" ] }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "noAutomateDnsZone": { "description": "This is used in PSC consumer ForwardingRule to control whether it should try to auto-generate a DNS zone or not. Non-PSC forwarding rules do not use this field.", "type": "boolean" }, "IPAddress": { "type": "string", "description": "IP address for which this forwarding rule accepts traffic. When a client sends traffic to this IP address, the forwarding rule directs the traffic to the referenced target or backendService. While creating a forwarding rule, specifying an IPAddress is required under the following circumstances: - When the target is set to targetGrpcProxy and validateForProxyless is set to true, the IPAddress should be set to 0.0.0.0. - When the target is a Private Service Connect Google APIs bundle, you must specify an IPAddress. Otherwise, you can optionally specify an IP address that references an existing static (reserved) IP address resource. When omitted, Google Cloud assigns an ephemeral IP address. Use one of the following formats to specify an IP address while creating a forwarding rule: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh IP address number, as in `100.1.2.3` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Full resource URL, as in https://www.googleapis.com/compute/v1/projects/project_id/regions/region /addresses/address-name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Partial URL or by name, as in: - projects/project_id/regions/region/addresses/address-name - regions/region/addresses/address-name - global/addresses/address-name - address-name The forwarding rule's target or backendService, and in most cases, also the loadBalancingScheme, determine the type of IP address that you can use. For detailed information, see [IP address specifications](https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#ip_address_specifications). When reading an IPAddress, the API always returns the IP address number." }, "network": { "description": "This field is not used for external load balancing. For Internal TCP/UDP Load Balancing, this field identifies the network that the load balanced IP should belong to for this Forwarding Rule. If this field is not specified, the default network will be used. For Private Service Connect forwarding rules that forward traffic to Google APIs, a network must be provided.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#forwardingRule for Forwarding Rule resources.", "default": "compute#forwardingRule" }, "networkTier": { "enum": [ "FIXED_STANDARD", "PREMIUM", "SELECT", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "type": "string", "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Price competitive network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "description": "This signifies the networking tier used for configuring this load balancer and can only take the following values: PREMIUM, STANDARD. For regional ForwardingRule, the valid values are PREMIUM and STANDARD. For GlobalForwardingRule, the valid value is PREMIUM. If this field is not specified, it is assumed to be PREMIUM. If IPAddress is specified, this value must be equal to the networkTier of the Address." }, "sourceIpRanges": { "items": { "type": "string" }, "description": "If not empty, this Forwarding Rule will only forward the traffic when the source IP address matches one of the IP addresses or CIDR ranges set here. Note that a Forwarding Rule can only have up to 64 source IP ranges, and this field can only be used with a regional Forwarding Rule whose scheme is EXTERNAL. Each source_ip_range entry should be either an IP address (for example, 1.2.3.4) or a CIDR range (for example, 1.2.3.0/24).", "type": "array" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty." }, "region": { "description": "[Output Only] URL of the region where the regional forwarding rule resides. This field is not applicable to global forwarding rules. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "IPProtocol": { "description": "The IP protocol to which this rule applies. For protocol forwarding, valid options are TCP, UDP, ESP, AH, SCTP, ICMP and L3_DEFAULT. The valid IP protocols are different for different load balancing products as described in [Load balancing features](https://cloud.google.com/load-balancing/docs/features#protocols_from_the_load_balancer_to_the_backends).", "type": "string", "enum": [ "AH", "ALL", "ESP", "ICMP", "L3_DEFAULT", "SCTP", "TCP", "UDP" ], "enumDescriptions": [ "", "", "", "", "", "", "", "" ] }, "metadataFilters": { "description": "Opaque filter criteria used by load balancer to restrict routing configuration to a limited set of xDS compliant clients. In their xDS requests to load balancer, xDS clients present node metadata. When there is a match, the relevant configuration is made available to those proxies. Otherwise, all the resources (e.g. TargetHttpProxy, UrlMap) referenced by the ForwardingRule are not visible to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. If multiple metadataFilters are specified, all of them need to be satisfied in order to be considered a match. metadataFilters specified here will be applifed before those specified in the UrlMap that this ForwardingRule references. metadataFilters only applies to Loadbalancers that have their loadBalancingScheme set to INTERNAL_SELF_MANAGED.", "type": "array", "items": { "$ref": "MetadataFilter" } }, "target": { "type": "string" }, "pscConnectionId": { "description": "[Output Only] The PSC connection id of the PSC Forwarding Rule.", "type": "string", "format": "uint64" }, "labelFingerprint": { "type": "string", "format": "byte", "description": "A fingerprint for the labels being applied to this resource, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a ForwardingRule." }, "serviceName": { "type": "string", "description": "[Output Only] The internal fully qualified service name for this Forwarding Rule. This field is only used for internal load balancing." }, "ports": { "items": { "type": "string" }, "description": "The ports field is only supported when the forwarding rule references a backend_service directly. Only packets addressed to the [specified list of ports]((https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#port_specifications)) are forwarded to backends. You can only use one of ports and port_range, or allPorts. The three are mutually exclusive. You can specify a list of up to five ports, which can be non-contiguous. Forwarding rules with the same [IPAddress, IPProtocol] pair must have disjoint ports. @pattern: \\\\d+(?:-\\\\d+)?", "type": "array" }, "pscConnectionStatus": { "enumDescriptions": [ "The connection has been accepted by the producer.", "The connection has been closed by the producer and will not serve traffic going forward.", "The connection has been accepted by the producer, but the producer needs to take further action before the forwarding rule can serve traffic.", "The connection is pending acceptance by the producer.", "The connection has been rejected by the producer.", "" ], "enum": [ "ACCEPTED", "CLOSED", "NEEDS_ATTENTION", "PENDING", "REJECTED", "STATUS_UNSPECIFIED" ], "type": "string" }, "serviceDirectoryRegistrations": { "type": "array", "description": "Service Directory resources to register this forwarding rule with. Currently, only supports a single Service Directory resource.", "items": { "$ref": "ForwardingRuleServiceDirectoryRegistration" } }, "portRange": { "type": "string", "description": "This field can be used only if: - Load balancing scheme is one of EXTERNAL, INTERNAL_SELF_MANAGED or INTERNAL_MANAGED - IPProtocol is one of TCP, UDP, or SCTP. Packets addressed to ports in the specified range will be forwarded to target or backend_service. You can only use one of ports, port_range, or allPorts. The three are mutually exclusive. Forwarding rules with the same [IPAddress, IPProtocol] pair must have disjoint ports. Some types of forwarding target have constraints on the acceptable ports. For more information, see [Port specifications](https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#port_specifications). @pattern: \\\\d+(?:-\\\\d+)?" }, "allPorts": { "type": "boolean", "description": "This field is used along with the backend_service field for Internal TCP/UDP Load Balancing or Network Load Balancing, or with the target field for internal and external TargetInstance. You can only use one of ports and port_range, or allPorts. The three are mutually exclusive. For TCP, UDP and SCTP traffic, packets addressed to any ports will be forwarded to the target or backendService." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "allowPscGlobalAccess": { "description": "This is used in PSC consumer ForwardingRule to control whether the PSC endpoint can be accessed from another region.", "type": "boolean" }, "isMirroringCollector": { "description": "Indicates whether or not this load balancer can be used as a collector for packet mirroring. To prevent mirroring loops, instances behind this load balancer will not have their traffic mirrored even if a PacketMirroring rule applies to them. This can only be set to true for load balancers that have their loadBalancingScheme set to INTERNAL.", "type": "boolean" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "name": { "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. For Private Service Connect forwarding rules that forward traffic to Google APIs, the forwarding rule name must be a 1-20 characters string with lowercase letters and numbers and must start with a letter.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "backendService": { "type": "string", "description": "Identifies the backend service to which the forwarding rule sends traffic. Required for Internal TCP/UDP Load Balancing and Network Load Balancing; must be omitted for all other load balancer types." } }, "description": "Represents a Forwarding Rule resource. Forwarding rule resources in Google Cloud can be either regional or global in scope: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](https://cloud.google.com/compute/docs/reference/rest/alpha/globalForwardingRules) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](https://cloud.google.com/compute/docs/reference/rest/alpha/forwardingRules) A forwarding rule and its corresponding IP address represent the frontend configuration of a Google Cloud Platform load balancer. Forwarding rules can also reference target instances and Cloud VPN Classic gateways (targetVpnGateway). For more information, read Forwarding rule concepts and Using protocol forwarding." }, "Autoscaler": { "description": "Represents an Autoscaler resource. Google Compute Engine has two Autoscaler resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/alpha/autoscalers) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/alpha/regionAutoscalers) Use autoscalers to automatically add or delete instances from a managed instance group according to your defined autoscaling policy. For more information, read Autoscaling Groups of Instances. For zonal managed instance groups resource, use the autoscaler resource. For regional managed instance groups, use the regionAutoscalers resource.", "id": "Autoscaler", "type": "object", "properties": { "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.autoscalers.insert" ] } }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the instance group resides (for autoscalers living in zonal scope)." }, "target": { "type": "string", "description": "URL of the managed instance group that this autoscaler will scale. This field is required when creating an autoscaler." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the instance group resides (for autoscalers living in regional scope)." }, "status": { "enumDescriptions": [ "Configuration is acknowledged to be effective", "Configuration is being deleted", "Configuration has errors. Actionable for users.", "Autoscaler backend hasn't read new/updated configuration" ], "type": "string", "enum": [ "ACTIVE", "DELETING", "ERROR", "PENDING" ], "description": "[Output Only] The status of the autoscaler configuration. Current set of possible values: - PENDING: Autoscaler backend hasn't read new/updated configuration. - DELETING: Configuration is being deleted. - ACTIVE: Configuration is acknowledged to be effective. Some warnings might be present in the statusDetails field. - ERROR: Configuration has errors. Actionable for users. Details are present in the statusDetails field. New values might be added in the future." }, "autoscalingPolicy": { "$ref": "AutoscalingPolicy", "description": "The configuration parameters for the autoscaling algorithm. You can define one or more signals for an autoscaler: cpuUtilization, customMetricUtilizations, and loadBalancingUtilization. If none of these are specified, the default will be to autoscale based on cpuUtilization to 0.6 or 60%." }, "scalingScheduleStatus": { "additionalProperties": { "$ref": "ScalingScheduleStatus" }, "type": "object", "description": "[Output Only] Status information of existing scaling schedules." }, "statusDetails": { "description": "[Output Only] Human-readable details about the current state of the autoscaler. Read the documentation for Commonly returned status messages for examples of status messages you might encounter.", "type": "array", "items": { "$ref": "AutoscalerStatusDetails" } }, "kind": { "type": "string", "default": "compute#autoscaler", "description": "[Output Only] Type of the resource. Always compute#autoscaler for autoscalers." }, "recommendedSize": { "format": "int32", "description": "[Output Only] Target recommended MIG size (number of instances) computed by autoscaler. Autoscaler calculates the recommended MIG size even when the autoscaling policy mode is different from ON. This field is empty when autoscaler is not connected to an existing managed instance group or autoscaler did not generate its prediction.", "type": "integer" } } }, "SecurityPoliciesWafConfig": { "id": "SecurityPoliciesWafConfig", "type": "object", "properties": { "wafRules": { "$ref": "PreconfiguredWafSet" } } }, "NetworkRoutingConfig": { "description": "A routing configuration attached to a network resource. The message includes the list of routers associated with the network, and a flag indicating the type of routing behavior to enforce network-wide.", "type": "object", "properties": { "routingMode": { "enum": [ "GLOBAL", "REGIONAL" ], "description": "The network-wide routing mode to use. If set to REGIONAL, this network's Cloud Routers will only advertise routes with subnets of this network in the same region as the router. If set to GLOBAL, this network's Cloud Routers will advertise routes with all subnets of this network, across regions.", "enumDescriptions": [ "", "" ], "type": "string" } }, "id": "NetworkRoutingConfig" }, "AutoscalingPolicy": { "description": "Cloud Autoscaler policy.", "id": "AutoscalingPolicy", "type": "object", "properties": { "mode": { "enumDescriptions": [ "Do not automatically scale the MIG in or out. The recommended_size field contains the size of MIG that would be set if the actuation mode was enabled.", "Automatically scale the MIG in and out according to the policy.", "Automatically create VMs according to the policy, but do not scale the MIG in.", "Automatically create VMs according to the policy, but do not scale the MIG in." ], "type": "string", "enum": [ "OFF", "ON", "ONLY_SCALE_OUT", "ONLY_UP" ], "description": "Defines operating mode for this policy." }, "coolDownPeriodSec": { "format": "int32", "type": "integer", "description": "The number of seconds that the autoscaler waits before it starts collecting information from a new instance. This prevents the autoscaler from collecting information when the instance is initializing, during which the collected usage would not be reliable. The default time autoscaler waits is 60 seconds. Virtual machine initialization times might vary because of numerous factors. We recommend that you test how long an instance may take to initialize. To do this, create an instance and time the startup process." }, "customMetricUtilizations": { "description": "Configuration parameters of autoscaling based on a custom metric.", "items": { "$ref": "AutoscalingPolicyCustomMetricUtilization" }, "type": "array" }, "minNumReplicas": { "type": "integer", "format": "int32", "description": "The minimum number of replicas that the autoscaler can scale in to. This cannot be less than 0. If not provided, autoscaler chooses a default value depending on maximum number of instances allowed." }, "scaleInControl": { "$ref": "AutoscalingPolicyScaleInControl" }, "scalingSchedules": { "description": "Scaling schedules defined for an autoscaler. Multiple schedules can be set on an autoscaler, and they can overlap. During overlapping periods the greatest min_required_replicas of all scaling schedules is applied. Up to 128 scaling schedules are allowed.", "type": "object", "additionalProperties": { "$ref": "AutoscalingPolicyScalingSchedule" } }, "cpuUtilization": { "$ref": "AutoscalingPolicyCpuUtilization", "description": "Defines the CPU utilization policy that allows the autoscaler to scale based on the average CPU utilization of a managed instance group." }, "maxNumReplicas": { "description": "The maximum number of instances that the autoscaler can scale out to. This is required when creating or updating an autoscaler. The maximum number of replicas must not be lower than minimal number of replicas.", "format": "int32", "type": "integer" }, "scaleDownControl": { "$ref": "AutoscalingPolicyScaleDownControl" }, "loadBalancingUtilization": { "description": "Configuration parameters of autoscaling based on load balancer.", "$ref": "AutoscalingPolicyLoadBalancingUtilization" } } }, "TestFailure": { "properties": { "path": { "type": "string", "description": "Path portion including query parameters in the URL." }, "actualOutputUrl": { "type": "string", "description": "The actual output URL evaluated by a load balancer containing the scheme, host, path and query parameters." }, "headers": { "items": { "$ref": "UrlMapTestHeader" }, "description": "HTTP headers of the request.", "type": "array" }, "expectedService": { "description": "Expected BackendService or BackendBucket resource the given URL should be mapped to.", "type": "string" }, "actualService": { "description": "BackendService or BackendBucket returned by load balancer.", "type": "string" }, "expectedOutputUrl": { "description": "The expected output URL evaluated by a load balancer containing the scheme, host, path and query parameters.", "type": "string" }, "expectedRedirectResponseCode": { "type": "integer", "format": "int32", "description": "Expected HTTP status code for rule with `urlRedirect` calculated by load balancer" }, "actualRedirectResponseCode": { "type": "integer", "format": "int32", "description": "Actual HTTP status code for rule with `urlRedirect` calculated by load balancer" }, "host": { "type": "string", "description": "Host portion of the URL." } }, "id": "TestFailure", "type": "object" }, "GlobalSetLabelsRequest": { "properties": { "labelFingerprint": { "type": "string", "description": "The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash when updating or changing labels, otherwise the request will fail with error 412 conditionNotMet. Make a get() request to the resource to get the latest fingerprint.", "format": "byte" }, "labels": { "description": "A list of labels to apply for this resource. Each label must comply with the requirements for labels. For example, \"webserver-frontend\": \"images\". A label value can also be empty (e.g. \"my-label\": \"\").", "type": "object", "additionalProperties": { "type": "string" } } }, "id": "GlobalSetLabelsRequest", "type": "object" }, "BackendServiceCdnPolicyBypassCacheOnRequestHeader": { "properties": { "headerName": { "description": "The header field name to match on when bypassing cache. Values are case-insensitive.", "type": "string" } }, "description": "Bypass the cache when the specified request headers are present, e.g. Pragma or Authorization headers. Values are case insensitive. The presence of such a header overrides the cache_mode setting.", "id": "BackendServiceCdnPolicyBypassCacheOnRequestHeader", "type": "object" }, "InstanceGroupManagersSuspendInstancesRequest": { "properties": { "forceSuspend": { "description": "If this flag is set to true, the Instance Group Manager will proceed to suspend the instances, skipping initialization on them.", "type": "boolean" }, "instances": { "items": { "type": "string" }, "type": "array", "description": "The URLs of one or more instances to suspend. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." } }, "id": "InstanceGroupManagersSuspendInstancesRequest", "type": "object" }, "SSLHealthCheck": { "type": "object", "id": "SSLHealthCheck", "properties": { "port": { "type": "integer", "format": "int32", "description": "The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535." }, "portName": { "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence.", "type": "string" }, "request": { "description": "The application data to send once the SSL connection has been established (default value is empty). If both request and response are empty, the connection establishment alone will indicate health. The request data can only be ASCII.", "type": "string" }, "proxyHeader": { "enumDescriptions": [ "", "" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "enum": [ "NONE", "PROXY_V1" ], "type": "string" }, "portSpecification": { "type": "string", "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, SSL health check follows behavior specified in port and portName fields.", "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ] }, "response": { "type": "string", "description": "The bytes to match against the beginning of the response data. If left empty (the default value), any response will indicate health. The response data can only be ASCII." } } }, "OutlierDetection": { "type": "object", "id": "OutlierDetection", "properties": { "enforcingConsecutiveGatewayFailure": { "description": "The percentage chance that a host will be actually ejected when an outlier status is detected through consecutive gateway failures. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 100.", "type": "integer", "format": "int32" }, "consecutiveErrors": { "type": "integer", "description": "Number of errors before a host is ejected from the connection pool. When the backend host is accessed over HTTP, a 5xx return code qualifies as an error. Defaults to 5.", "format": "int32" }, "successRateRequestVolume": { "description": "The minimum number of total requests that must be collected in one interval (as defined by the interval duration above) to include this host in success rate based outlier detection. If the volume is lower than this setting, outlier detection via success rate statistics is not performed for that host. Defaults to 100.", "type": "integer", "format": "int32" }, "maxEjectionPercent": { "type": "integer", "format": "int32", "description": "Maximum percentage of hosts in the load balancing pool for the backend service that can be ejected. Defaults to 50%." }, "enforcingSuccessRate": { "description": "The percentage chance that a host will be actually ejected when an outlier status is detected through success rate statistics. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 100.", "format": "int32", "type": "integer" }, "interval": { "description": "Time interval between ejection analysis sweeps. This can result in both new ejections as well as hosts being returned to service. Defaults to 1 second.", "$ref": "Duration" }, "consecutiveGatewayFailure": { "description": "The number of consecutive gateway failures (502, 503, 504 status or connection errors that are mapped to one of those status codes) before a consecutive gateway failure ejection occurs. Defaults to 3.", "format": "int32", "type": "integer" }, "baseEjectionTime": { "description": "The base time that a host is ejected for. The real ejection time is equal to the base ejection time multiplied by the number of times the host has been ejected. Defaults to 30000ms or 30s.", "$ref": "Duration" }, "successRateMinimumHosts": { "format": "int32", "type": "integer", "description": "The number of hosts in a cluster that must have enough request volume to detect success rate outliers. If the number of hosts is less than this setting, outlier detection via success rate statistics is not performed for any host in the cluster. Defaults to 5." }, "enforcingConsecutiveErrors": { "format": "int32", "type": "integer", "description": "The percentage chance that a host will be actually ejected when an outlier status is detected through consecutive 5xx. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 0." }, "successRateStdevFactor": { "format": "int32", "type": "integer", "description": "This factor is used to determine the ejection threshold for success rate outlier ejection. The ejection threshold is the difference between the mean success rate, and the product of this factor and the standard deviation of the mean success rate: mean - (stdev LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh success_rate_stdev_factor). This factor is divided by a thousand to get a double. That is, if the desired factor is 1.9, the runtime value should be 1900. Defaults to 1900." } }, "description": "Settings controlling the eviction of unhealthy hosts from the load balancing pool for the backend service." }, "InstanceGroupAggregatedList": { "id": "InstanceGroupAggregatedList", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "additionalProperties": { "description": "The name of the scope that contains this set of instance groups.", "$ref": "InstanceGroupsScopedList" }, "description": "A list of InstanceGroupsScopedList resources.", "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "kind": { "type": "string", "description": "[Output Only] The resource type, which is always compute#instanceGroupAggregatedList for aggregated lists of instance groups.", "default": "compute#instanceGroupAggregatedList" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." } }, "type": "object" }, "ResourcePolicyVmMaintenancePolicyMaintenanceWindow": { "id": "ResourcePolicyVmMaintenancePolicyMaintenanceWindow", "description": "A maintenance window for VMs. When set, we restrict our maintenance operations to this window.", "type": "object", "properties": { "dailyMaintenanceWindow": { "$ref": "ResourcePolicyDailyCycle" } } }, "UrlMapReference": { "id": "UrlMapReference", "properties": { "urlMap": { "type": "string" } }, "type": "object" }, "InstanceReference": { "properties": { "instance": { "description": "The URL for a specific instance. @required compute.instancegroups.addInstances/removeInstances", "type": "string" } }, "id": "InstanceReference", "type": "object" }, "RegionInstanceGroupManagersSetTargetPoolsRequest": { "type": "object", "id": "RegionInstanceGroupManagersSetTargetPoolsRequest", "properties": { "targetPools": { "items": { "type": "string" }, "type": "array", "description": "The URL of all TargetPool resources to which instances in the instanceGroup field are added. The target pools automatically apply to all of the instances in the managed instance group." }, "fingerprint": { "description": "Fingerprint of the target pools information, which is a hash of the contents. This field is used for optimistic locking when you update the target pool entries. This field is optional.", "type": "string", "format": "byte" } } }, "NodeGroupsDeleteNodesRequest": { "type": "object", "properties": { "nodes": { "type": "array", "items": { "type": "string" }, "description": "Names of the nodes to delete." } }, "id": "NodeGroupsDeleteNodesRequest" }, "TargetHttpsProxiesSetCertificateMapRequest": { "type": "object", "id": "TargetHttpsProxiesSetCertificateMapRequest", "properties": { "certificateMap": { "type": "string", "description": "URL of the Certificate Map to associate with this TargetHttpsProxy." } } }, "TargetTcpProxy": { "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#targetTcpProxy for target TCP proxies.", "default": "compute#targetTcpProxy", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "proxyHeader": { "enum": [ "NONE", "PROXY_V1" ], "type": "string", "enumDescriptions": [ "", "" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional TCP proxy resides. This field is not applicable to global TCP proxy." }, "service": { "type": "string", "description": "URL to the BackendService resource." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "proxyBind": { "description": "This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false.", "type": "boolean" } }, "description": "Represents a Target TCP Proxy resource. A target TCP proxy is a component of a TCP Proxy load balancer. Global forwarding rules reference target TCP proxy, and the target proxy then references an external backend service. For more information, read TCP Proxy Load Balancing overview.", "id": "TargetTcpProxy", "type": "object" }, "TlsValidationContext": { "type": "object", "id": "TlsValidationContext", "description": "[Deprecated] Defines the mechanism to obtain the Certificate Authority certificate to validate the client/server certificate. validate the client/server certificate.", "properties": { "sdsConfig": { "$ref": "SdsConfig", "description": "Specifies the config to retrieve certificates through SDS. This field is applicable only if tlsCertificateSource is set to USE_SDS." }, "certificatePath": { "type": "string", "description": "The path to the file holding the CA certificate to validate the client or server certificate." }, "validationSource": { "description": "Defines how TLS certificates are obtained.", "enumDescriptions": [ "", "USE_PATH specifies that the certificates and private key are obtained from a locally mounted filesystem path.", "USE_SDS specifies that the certificates and private key are obtained from a SDS server." ], "type": "string", "enum": [ "INVALID", "USE_PATH", "USE_SDS" ] } } }, "InstanceGroupsSetNamedPortsRequest": { "id": "InstanceGroupsSetNamedPortsRequest", "properties": { "namedPorts": { "items": { "$ref": "NamedPort" }, "description": "The list of named ports to set for this instance group.", "type": "array" }, "fingerprint": { "description": "The fingerprint of the named ports information for this instance group. Use this optional property to prevent conflicts when multiple users change the named ports settings concurrently. Obtain the fingerprint with the instanceGroups.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request. A request with an incorrect fingerprint will fail with error 412 conditionNotMet.", "type": "string", "format": "byte" } }, "type": "object" }, "RegionInstanceGroupManagersStartInstancesRequest": { "properties": { "instances": { "items": { "type": "string" }, "description": "The URLs of one or more instances to start. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "type": "array" } }, "type": "object", "id": "RegionInstanceGroupManagersStartInstancesRequest" }, "BackendServicesScopedList": { "type": "object", "id": "BackendServicesScopedList", "properties": { "warning": { "description": "Informational warning which replaces the list of backend services when the list is empty.", "type": "object", "properties": { "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } } } }, "backendServices": { "type": "array", "description": "A list of BackendServices contained in this scope.", "items": { "$ref": "BackendService" } } } }, "InstanceGroupManagersDeletePerInstanceConfigsReq": { "type": "object", "id": "InstanceGroupManagersDeletePerInstanceConfigsReq", "description": "InstanceGroupManagers.deletePerInstanceConfigs", "properties": { "names": { "items": { "type": "string" }, "description": "The list of instance names for which we want to delete per-instance configs on this managed instance group.", "type": "array" } } }, "Principal": { "id": "Principal", "type": "object", "properties": { "notIps": { "description": "Negate of IPs. Specifies exclusions.", "type": "array", "items": { "type": "string" } }, "groups": { "type": "array", "description": "The groups the principal belongs to. Exact match, prefix match, and suffix match are supported.", "items": { "type": "string" } }, "notUsers": { "description": "Negate of users. Specifies exclusions.", "items": { "type": "string" }, "type": "array" }, "namespaces": { "type": "array", "items": { "type": "string" }, "description": "The namespaces. Exact match, prefix match, and suffix match are supported." }, "ips": { "type": "array", "description": "IPv4 or IPv6 address or range (In CIDR format)", "items": { "type": "string" } }, "notNamespaces": { "description": "Negate of namespaces. Specifies exclusions.", "items": { "type": "string" }, "type": "array" }, "condition": { "description": "An expression to specify custom condition.", "type": "string" }, "notGroups": { "description": "Negate of groups. Specifies exclusions.", "items": { "type": "string" }, "type": "array" }, "properties": { "type": "object", "description": "A map of Istio attribute to expected values. Exact match, prefix match, and suffix match are supported for values. For example, `request.headers[version]: \"v1\"`. The properties are ANDed together.", "additionalProperties": { "type": "string" } }, "users": { "items": { "type": "string" }, "type": "array", "description": "The user names/IDs or service accounts. Exact match, prefix match, and suffix match are supported." } }, "description": "[Deprecated] All fields defined in a principal are ANDed." }, "RouterMd5AuthenticationKey": { "id": "RouterMd5AuthenticationKey", "properties": { "name": { "annotations": { "required": [ "compute.routers.insert", "compute.routers.update" ] }, "description": "Name used to identify the key. Must be unique within a router. Must be referenced by at least one bgpPeer. Must comply with RFC1035.", "type": "string" }, "key": { "type": "string", "annotations": { "required": [ "compute.routers.insert" ] }, "description": "[Input only] Value of the key. For patch and update calls, it can be skipped to copy the value from the previous configuration. This is allowed if the key with the same name existed before the operation. Maximum length is 80 characters. Can only contain printable ASCII characters." } }, "type": "object" }, "ShieldedVmIntegrityPolicy": { "properties": { "updateAutoLearnPolicy": { "description": "Updates the integrity policy baseline using the measurements from the VM instance's most recent boot.", "type": "boolean" } }, "description": "The policy describes the baseline against which VM instance boot integrity is measured.", "id": "ShieldedVmIntegrityPolicy", "type": "object" }, "ResourceCommitment": { "id": "ResourceCommitment", "type": "object", "properties": { "acceleratorType": { "description": "Name of the accelerator type resource. Applicable only when the type is ACCELERATOR.", "type": "string" }, "amount": { "description": "The amount of the resource purchased (in a type-dependent unit, such as bytes). For vCPUs, this can just be an integer. For memory, this must be provided in MB. Memory must be a multiple of 256 MB, with up to 6.5GB of memory per every vCPU.", "format": "int64", "type": "string" }, "type": { "enumDescriptions": [ "", "", "", "", "" ], "type": "string", "enum": [ "ACCELERATOR", "LOCAL_SSD", "MEMORY", "UNSPECIFIED", "VCPU" ], "description": "Type of resource for which this commitment applies. Possible values are VCPU and MEMORY" } }, "description": "Commitment for a particular resource (a Commitment is composed of one or more of these)." }, "NodeTemplateList": { "description": "Contains a list of node templates.", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "description": "A list of NodeTemplate resources.", "type": "array", "items": { "$ref": "NodeTemplate" } }, "kind": { "type": "string", "default": "compute#nodeTemplateList", "description": "[Output Only] Type of resource.Always compute#nodeTemplateList for lists of node templates." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message." } }, "id": "NodeTemplateList", "type": "object" }, "UsageExportLocation": { "description": "The location in Cloud Storage and naming method of the daily usage report. Contains bucket_name and report_name prefix.", "id": "UsageExportLocation", "properties": { "bucketName": { "description": "The name of an existing bucket in Cloud Storage where the usage report object is stored. The Google Service Account is granted write access to this bucket. This can either be the bucket name by itself, such as example-bucket, or the bucket name with gs:// or https://storage.googleapis.com/ in front of it, such as gs://example-bucket.", "type": "string" }, "reportNamePrefix": { "type": "string", "description": "An optional prefix for the name of the usage report object stored in bucketName. If not supplied, defaults to usage_gce. The report is stored as a CSV file named report_name_prefix_gce_YYYYMMDD.csv where YYYYMMDD is the day of the usage according to Pacific Time. If you supply a prefix, it should conform to Cloud Storage object naming conventions." } }, "type": "object" }, "UrlMapTest": { "description": "Message for the expected URL mappings.", "properties": { "expectedRedirectResponseCode": { "description": "For rules with urlRedirect, the test passes only if expectedRedirectResponseCode matches the HTTP status code in load balancer's redirect response. expectedRedirectResponseCode cannot be set when service is set.", "format": "int32", "type": "integer" }, "expectedOutputUrl": { "type": "string", "description": "The expected output URL evaluated by the load balancer containing the scheme, host, path and query parameters. For rules that forward requests to backends, the test passes only when expectedOutputUrl matches the request forwarded by the load balancer to backends. For rules with urlRewrite, the test verifies that the forwarded request matches hostRewrite and pathPrefixRewrite in the urlRewrite action. When service is specified, expectedOutputUrl`s scheme is ignored. For rules with urlRedirect, the test passes only if expectedOutputUrl matches the URL in the load balancer's redirect response. If urlRedirect specifies https_redirect, the test passes only if the scheme in expectedOutputUrl is also set to HTTPS. If urlRedirect specifies strip_query, the test passes only if expectedOutputUrl does not contain any query parameters. expectedOutputUrl is optional when service is specified." }, "headers": { "description": "HTTP headers for this request. If headers contains a host header, then host must also match the header value.", "type": "array", "items": { "$ref": "UrlMapTestHeader" } }, "host": { "type": "string", "description": "Host portion of the URL. If headers contains a host header, then host must also match the header value." }, "expectedUrlRedirect": { "description": "The expected URL that should be redirected to for the host and path being tested. [Deprecated] This field is deprecated. Use expected_output_url instead.", "type": "string" }, "service": { "type": "string", "description": "Expected BackendService or BackendBucket resource the given URL should be mapped to. The service field cannot be set if expectedRedirectResponseCode is set." }, "description": { "type": "string", "description": "Description of this test case." }, "backendServiceWeight": { "description": "The weight to use for the supplied host and path when using advanced routing rules that involve traffic splitting.", "type": "integer", "format": "uint32" }, "path": { "description": "Path portion of the URL.", "type": "string" } }, "type": "object", "id": "UrlMapTest" }, "ResourcePolicy": { "type": "object", "properties": { "status": { "description": "[Output Only] The status of resource policy creation.", "enum": [ "CREATING", "DELETING", "EXPIRED", "INVALID", "READY" ], "type": "string", "enumDescriptions": [ "Resource policy is being created.", "Resource policy is being deleted.", "Resource policy is expired and will not run again.", "", "Resource policy is ready to be used." ] }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "region": { "type": "string" }, "description": { "type": "string" }, "snapshotSchedulePolicy": { "description": "Resource policy for persistent disks for creating snapshots.", "$ref": "ResourcePolicySnapshotSchedulePolicy" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined fully-qualified URL for this resource." }, "diskConsistencyGroupPolicy": { "description": "Resource policy for disk consistency groups.", "$ref": "ResourcePolicyDiskConsistencyGroupPolicy" }, "instanceSchedulePolicy": { "description": "Resource policy for scheduling instance operations.", "$ref": "ResourcePolicyInstanceSchedulePolicy" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.instances.insert" ] }, "type": "string" }, "resourceStatus": { "description": "[Output Only] The system status of the resource policy.", "$ref": "ResourcePolicyResourceStatus" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "kind": { "default": "compute#resourcePolicy", "type": "string", "description": "[Output Only] Type of the resource. Always compute#resource_policies for resource policies." }, "vmMaintenancePolicy": { "$ref": "ResourcePolicyVmMaintenancePolicy", "description": "Resource policy applicable to VMs for infrastructure maintenance." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "groupPlacementPolicy": { "$ref": "ResourcePolicyGroupPlacementPolicy", "description": "Resource policy for instances for placement configuration." } }, "id": "ResourcePolicy", "description": "Represents a Resource Policy resource. You can use resource policies to schedule actions for some Compute Engine resources. For example, you can use them to schedule persistent disk snapshots." }, "RouterStatus": { "type": "object", "properties": { "bestRoutesForRouter": { "type": "array", "description": "Best routes learned by this router.", "items": { "$ref": "Route" } }, "bestRoutes": { "items": { "$ref": "Route" }, "type": "array", "description": "Best routes for this router's network." }, "natStatus": { "items": { "$ref": "RouterStatusNatStatus" }, "type": "array" }, "network": { "description": "URI of the network to which this router belongs.", "type": "string" }, "bgpPeerStatus": { "items": { "$ref": "RouterStatusBgpPeerStatus" }, "type": "array" } }, "id": "RouterStatus" }, "ReservationsScopedList": { "id": "ReservationsScopedList", "type": "object", "properties": { "reservations": { "type": "array", "items": { "$ref": "Reservation" }, "description": "A list of reservations contained in this scope." }, "warning": { "type": "object", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "Informational warning which replaces the list of reservations when the list is empty." } } }, "Screenshot": { "type": "object", "properties": { "kind": { "description": "[Output Only] Type of the resource. Always compute#screenshot for the screenshots.", "default": "compute#screenshot", "type": "string" }, "contents": { "description": "[Output Only] The Base64-encoded screenshot data.", "type": "string" } }, "id": "Screenshot", "description": "An instance's screenshot." }, "AuthorizationConfig": { "id": "AuthorizationConfig", "properties": { "policies": { "description": "List of RbacPolicies.", "items": { "$ref": "RbacPolicy" }, "type": "array" } }, "description": "[Deprecated] Authorization configuration provides service-level and method-level access control for a service. control for a service.", "type": "object" }, "PreconfiguredWafSet": { "properties": { "expressionSets": { "type": "array", "items": { "$ref": "WafExpressionSet" }, "description": "List of entities that are currently supported for WAF rules." } }, "type": "object", "id": "PreconfiguredWafSet" }, "SslCertificate": { "properties": { "selfManaged": { "$ref": "SslCertificateSelfManagedSslCertificate", "description": "Configuration and status of a self-managed SSL certificate." }, "selfLink": { "type": "string", "description": "[Output only] Server-defined URL for the resource." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#sslCertificate for SSL certificates.", "default": "compute#sslCertificate" }, "type": { "enumDescriptions": [ "Google-managed SSLCertificate.", "Certificate uploaded by user.", "" ], "enum": [ "MANAGED", "SELF_MANAGED", "TYPE_UNSPECIFIED" ], "description": "(Optional) Specifies the type of SSL certificate, either \"SELF_MANAGED\" or \"MANAGED\". If not specified, the certificate is self-managed and the fields certificate and private_key are used.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "region": { "description": "[Output Only] URL of the region where the regional SSL Certificate resides. This field is not applicable to global SSL Certificate.", "type": "string" }, "expireTime": { "type": "string", "description": "[Output Only] Expire time of the certificate. RFC3339" }, "privateKey": { "type": "string", "description": "A value read into memory from a write-only private key file. The private key file must be in PEM format. For security, only insert requests include this field." }, "managed": { "description": "Configuration and status of a managed SSL certificate.", "$ref": "SslCertificateManagedSslCertificate" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "certificate": { "description": "A value read into memory from a certificate file. The certificate file must be in PEM format. The certificate chain must be no greater than 5 certs long. The chain must include at least one intermediate cert.", "type": "string" }, "subjectAlternativeNames": { "description": "[Output Only] Domains associated with the certificate via Subject Alternative Name.", "type": "array", "items": { "type": "string" } }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." } }, "id": "SslCertificate", "type": "object", "description": "Represents an SSL Certificate resource. Google Compute Engine has two SSL Certificate resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/alpha/sslCertificates) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/alpha/regionSslCertificates) The sslCertificates are used by: - external HTTPS load balancers - SSL proxy load balancers The regionSslCertificates are used by internal HTTPS load balancers. Optionally, certificate file contents that you upload can contain a set of up to five PEM-encoded certificates. The API call creates an object (sslCertificate) that holds this data. You can use SSL keys and certificates to secure connections to a load balancer. For more information, read Creating and using SSL certificates, SSL certificates quotas and limits, and Troubleshooting SSL certificates." }, "DisksResizeRequest": { "type": "object", "id": "DisksResizeRequest", "properties": { "sizeGb": { "description": "The new size of the persistent disk, which is specified in GB.", "type": "string", "format": "int64" } } }, "InterconnectMacsecPreSharedKey": { "description": "Describes a pre-shared key used to setup MACsec in static connectivity association key (CAK) mode.", "type": "object", "id": "InterconnectMacsecPreSharedKey", "properties": { "name": { "type": "string", "description": "Required. A name for this pre-shared key. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "startTime": { "description": "A RFC3339 timestamp on or after which the key is valid. startTime can be in the future. If the keychain has a single key, startTime can be omitted. If the keychain has multiple keys, startTime is mandatory for each key. The start times of keys must be in increasing order. The start times of two consecutive keys must be at least 6 hours apart.", "type": "string" } } }, "SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig": { "properties": { "ruleVisibility": { "enumDescriptions": [ "", "" ], "enum": [ "PREMIUM", "STANDARD" ], "description": "Rule visibility can be one of the following: STANDARD - opaque rules. (default) PREMIUM - transparent rules.", "type": "string" }, "enable": { "type": "boolean", "description": "If set to true, enables CAAP for L7 DDoS detection." } }, "type": "object", "description": "Configuration options for L7 DDoS detection.", "id": "SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig" }, "SecurityPolicyRuleMatcherConfigDestinationPort": { "properties": { "ports": { "type": "array", "description": "An optional list of ports to which this rule applies. This field is only applicable for UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"]. This field may only be specified when versioned_expr is set to FIREWALL.", "items": { "type": "string" } }, "ipProtocol": { "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp), or the IP protocol number.", "type": "string" } }, "type": "object", "id": "SecurityPolicyRuleMatcherConfigDestinationPort" }, "LocalDisk": { "properties": { "diskCount": { "type": "integer", "description": "Specifies the number of such disks.", "format": "int32" }, "diskType": { "description": "Specifies the desired disk type on the node. This disk type must be a local storage type (e.g.: local-ssd). Note that for nodeTemplates, this should be the name of the disk type and not its URL.", "type": "string" }, "diskSizeGb": { "description": "Specifies the size of the disk in base-2 GB.", "format": "int32", "type": "integer" } }, "type": "object", "id": "LocalDisk" }, "MachineImage": { "properties": { "kind": { "type": "string", "description": "[Output Only] The resource type, which is always compute#machineImage for machine image.", "default": "compute#machineImage" }, "status": { "description": "[Output Only] The status of the machine image. One of the following values: INVALID, CREATING, READY, DELETING, and UPLOADING.", "enum": [ "CREATING", "DELETING", "INVALID", "READY", "UPLOADING" ], "type": "string", "enumDescriptions": [ "", "", "", "", "" ] }, "sourceInstance": { "type": "string", "description": "The source instance used to create the machine image. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance " }, "totalStorageBytes": { "type": "string", "format": "int64", "description": "[Output Only] Total size of the storage used by the machine image." }, "instanceProperties": { "description": "[Output Only] Properties of source instance", "$ref": "InstanceProperties" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "selfLink": { "type": "string", "description": "[Output Only] The URL for this machine image. The server defines this URL." }, "name": { "annotations": { "required": [ "compute.machineImages.insert" ] }, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "storageLocations": { "description": "The regional or multi-regional Cloud Storage bucket location where the machine image is stored.", "type": "array", "items": { "type": "string" } }, "savedDisks": { "items": { "$ref": "SavedDisk" }, "description": "An array of Machine Image specific properties for disks attached to the source instance", "type": "array" }, "machineImageEncryptionKey": { "description": "Encrypts the machine image using a customer-supplied encryption key. After you encrypt a machine image using a customer-supplied key, you must provide the same key if you use the machine image later. For example, you must provide the encryption key when you create an instance from the encrypted machine image in a future request. Customer-supplied encryption keys do not protect access to metadata of the machine image. If you do not provide an encryption key when creating the machine image, then the machine image will be encrypted using an automatically generated key and you do not need to provide a key to use the machine image later.", "$ref": "CustomerEncryptionKey" }, "sourceInstanceProperties": { "description": "[Output Only] DEPRECATED: Please use instance_properties instead for source instance related properties. New properties will not be added to this field.", "$ref": "SourceInstanceProperties" }, "sourceDiskEncryptionKeys": { "items": { "$ref": "SourceDiskEncryptionKey" }, "type": "array", "description": "[Input Only] The customer-supplied encryption key of the disks attached to the source instance. Required if the source disk is protected by a customer-supplied encryption key." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "guestFlush": { "type": "boolean", "description": "[Input Only] Whether to attempt an application consistent machine image by informing the OS to prepare for the snapshot process." }, "satisfiesPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" }, "creationTimestamp": { "description": "[Output Only] The creation timestamp for this machine image in RFC3339 text format.", "type": "string" }, "id": { "description": "[Output Only] A unique identifier for this machine image. The server defines this identifier.", "format": "uint64", "type": "string" } }, "description": "Represents a machine image resource. A machine image is a Compute Engine resource that stores all the configuration, metadata, permissions, and data from one or more disks required to create a Virtual machine (VM) instance. For more information, see Machine images.", "id": "MachineImage", "type": "object" }, "UrlMapsValidateRequest": { "id": "UrlMapsValidateRequest", "type": "object", "properties": { "resource": { "description": "Content of the UrlMap to be validated.", "$ref": "UrlMap" }, "loadBalancingSchemes": { "items": { "type": "string", "enumDescriptions": [ "Signifies that this will be used for Classic L7 External Load Balancing.", "Signifies that this will be used for Envoy-based L7 External Load Balancing.", "If unspecified, the validation will try to infer the scheme from the backend service resources this Url map references. If the inferrence is not possible, EXTERNAL will be used as the default type." ], "enum": [ "EXTERNAL", "EXTERNAL_MANAGED", "LOAD_BALANCING_SCHEME_UNSPECIFIED" ] }, "description": "Specifies the load balancer type(s) this validation request is for. Use EXTERNAL_MANAGED for HTTP/HTTPS External Global Load Balancer with Advanced Traffic Management. Use EXTERNAL for Classic HTTP/HTTPS External Global Load Balancer. Other load balancer types are not supported. For more information, refer to Choosing a load balancer. If unspecified, the load balancing scheme will be inferred from the backend service resources this URL map references. If that can not be inferred (for example, this URL map only references backend buckets, or this Url map is for rewrites and redirects only and doesn't reference any backends), EXTERNAL will be used as the default type. If specified, the scheme(s) must not conflict with the load balancing scheme of the backend service resources this Url map references.", "type": "array" } } }, "ResourcePolicySnapshotSchedulePolicy": { "description": "A snapshot schedule policy specifies when and how frequently snapshots are to be created for the target disk. Also specifies how many and how long these scheduled snapshots should be retained.", "id": "ResourcePolicySnapshotSchedulePolicy", "properties": { "snapshotProperties": { "$ref": "ResourcePolicySnapshotSchedulePolicySnapshotProperties", "description": "Properties with which snapshots are created such as labels, encryption keys." }, "retentionPolicy": { "description": "Retention policy applied to snapshots created by this resource policy.", "$ref": "ResourcePolicySnapshotSchedulePolicyRetentionPolicy" }, "schedule": { "description": "A Vm Maintenance Policy specifies what kind of infrastructure maintenance we are allowed to perform on this VM and when. Schedule that is applied to disks covered by this policy.", "$ref": "ResourcePolicySnapshotSchedulePolicySchedule" } }, "type": "object" }, "ShareSettings": { "description": "The share setting for reservations and sole tenancy node groups.", "id": "ShareSettings", "type": "object", "properties": { "projects": { "type": "array", "description": "A List of Project names to specify consumer projects for this shared-reservation. This is only valid when share_type's value is SPECIFIC_PROJECTS.", "items": { "type": "string" } }, "folderMap": { "additionalProperties": { "$ref": "ShareSettingsFolderConfig" }, "description": "A map of folder id and folder config to specify consumer projects for this shared-reservation. This is only valid when share_type's value is DIRECT_PROJECTS_UNDER_SPECIFIC_FOLDERS. Folder id should be a string of number, and without \"folders/\" prefix.", "type": "object" }, "projectMap": { "description": "A map of project id and project config. This is only valid when share_type's value is SPECIFIC_PROJECTS.", "type": "object", "additionalProperties": { "$ref": "ShareSettingsProjectConfig" } }, "shareType": { "description": "Type of sharing for this shared-reservation", "enum": [ "DIRECT_PROJECTS_UNDER_SPECIFIC_FOLDERS", "LOCAL", "ORGANIZATION", "SHARE_TYPE_UNSPECIFIED", "SPECIFIC_PROJECTS" ], "type": "string", "enumDescriptions": [ "Shared-reservation is open to direct child projects of specific folders.", "Default value.", "Shared-reservation is open to entire Organization", "Default value. This value is unused.", "Shared-reservation is open to specific projects" ] } } }, "InstanceGroupsRemoveInstancesRequest": { "id": "InstanceGroupsRemoveInstancesRequest", "properties": { "instances": { "type": "array", "items": { "$ref": "InstanceReference" }, "description": "The list of instances to remove from the instance group." } }, "type": "object" }, "ForwardingRuleReference": { "properties": { "forwardingRule": { "type": "string" } }, "id": "ForwardingRuleReference", "type": "object" }, "InstanceGroupManagerList": { "id": "InstanceGroupManagerList", "type": "object", "description": "[Output Only] A list of managed instance groups.", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "default": "compute#instanceGroupManagerList", "type": "string", "description": "[Output Only] The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "items": { "description": "A list of InstanceGroupManager resources.", "type": "array", "items": { "$ref": "InstanceGroupManager" } } } }, "Scheduling": { "properties": { "currentCpus": { "type": "integer", "format": "int32", "description": "Current number of vCPUs available for VM. 0 or unset means default vCPUs of the current machine type." }, "availabilityDomain": { "description": "Specifies the availability domain (AD), which this instance should be scheduled on. The AD belongs to the spread GroupPlacementPolicy resource policy that has been assigned to the instance. Specify a value between 1-max count of availability domains in your GroupPlacementPolicy. See go/placement-policy-extension for more details.", "type": "integer", "format": "int32" }, "hostErrorTimeoutSeconds": { "format": "int32", "type": "integer", "description": "Specify the time in seconds for host error detection, the value must be within the range of [90, 330] with the increment of 30, if unset, the default behavior of host error recovery will be used." }, "provisioningModel": { "type": "string", "enum": [ "SPOT", "STANDARD" ], "enumDescriptions": [ "Heavily discounted, no guaranteed runtime.", "Standard provisioning with user controlled runtime, no discounts." ], "description": "Specifies the provisioning model of the instance." }, "maintenanceInterval": { "type": "string", "enum": [ "PERIODIC" ], "description": "For more information about maintenance intervals, see Setting maintenance intervals.", "enumDescriptions": [ "VMs receive infrastructure and hypervisor updates on a periodic basis, minimizing the number of maintenance operations (live migrations or terminations) on an individual VM. This may mean a VM will take longer to receive an update than if it was configured for AS_NEEDED. Security updates will still be applied as soon as they are available." ] }, "nodeAffinities": { "description": "A set of node affinity and anti-affinity configurations. Refer to Configuring node affinity for more information. Overrides reservationAffinity.", "type": "array", "items": { "$ref": "SchedulingNodeAffinity" } }, "latencyTolerant": { "type": "boolean", "description": "Defines whether the instance is tolerant of higher cpu latency. This can only be set during instance creation, or when the instance is not currently running. It must not be set if the preemptible option is also set." }, "preemptible": { "description": "Defines whether the instance is preemptible. This can only be set during instance creation or while the instance is stopped and therefore, in a `TERMINATED` state. See Instance Life Cycle for more information on the possible instance states.", "type": "boolean" }, "currentMemoryMb": { "format": "int64", "type": "string", "description": "Current amount of memory (in MB) available for VM. 0 or unset means default amount of memory of the current machine type." }, "maxRunDuration": { "$ref": "Duration", "description": "Specifies the max run duration for the given instance. If specified, the instance termination action will be performed at the end of the run duration." }, "instanceTerminationAction": { "description": "Specifies the termination action for the instance.", "type": "string", "enum": [ "DELETE", "INSTANCE_TERMINATION_ACTION_UNSPECIFIED", "STOP" ], "enumDescriptions": [ "Delete the VM.", "Default value. This value is unused.", "Stop the VM without storing in-memory content. default action." ] }, "onHostMaintenance": { "enum": [ "MIGRATE", "TERMINATE" ], "enumDescriptions": [ "*[Default]* Allows Compute Engine to automatically migrate instances out of the way of maintenance events.", "Tells Compute Engine to terminate and (optionally) restart the instance away from the maintenance activity. If you would like your instance to be restarted, set the automaticRestart flag to true. Your instance may be restarted more than once, and it may be restarted outside the window of maintenance events." ], "type": "string", "description": "Defines the maintenance behavior for this instance. For standard instances, the default behavior is MIGRATE. For preemptible instances, the default and only possible behavior is TERMINATE. For more information, see Set VM host maintenance policy." }, "terminationTime": { "description": "Specifies the timestamp, when the instance will be terminated, in RFC3339 text format. If specified, the instance termination action will be performed at the termination time.", "type": "string" }, "locationHint": { "description": "An opaque location hint used to place the instance close to other resources. This field is for use by internal tools that use the public API.", "type": "string" }, "maintenanceFreezeDurationHours": { "type": "integer", "description": "Specifies the number of hours after VM instance creation where the VM won't be scheduled for maintenance.", "format": "int32" }, "minNodeCpus": { "format": "int32", "description": "The minimum number of virtual CPUs this instance will consume when running on a sole-tenant node.", "type": "integer" }, "automaticRestart": { "description": "Specifies whether the instance should be automatically restarted if it is terminated by Compute Engine (not terminated by a user). You can only set the automatic restart option for standard instances. Preemptible instances cannot be automatically restarted. By default, this is set to true so an instance is automatically restarted if it is terminated by Compute Engine.", "type": "boolean" } }, "type": "object", "id": "Scheduling", "description": "Sets the scheduling options for an Instance. NextID: 21" }, "DiskAsyncReplicationList": { "id": "DiskAsyncReplicationList", "properties": { "asyncReplicationDisk": { "$ref": "DiskAsyncReplication" } }, "type": "object" }, "GetOwnerInstanceResponse": { "type": "object", "properties": { "instance": { "description": "Full instance resource URL.", "type": "string" } }, "id": "GetOwnerInstanceResponse" }, "Tags": { "id": "Tags", "description": "A set of instance tags.", "type": "object", "properties": { "fingerprint": { "type": "string", "format": "byte", "description": "Specifies a fingerprint for this request, which is essentially a hash of the tags' contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update tags. You must always provide an up-to-date fingerprint hash in order to update or change tags. To see the latest fingerprint, make get() request to the instance." }, "items": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "An array of tags. Each tag must be 1-63 characters long, and comply with RFC1035.", "type": "array", "items": { "type": "string" } } } }, "NodeGroup": { "type": "object", "properties": { "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "fingerprint": { "format": "byte", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] The type of the resource. Always compute#nodeGroup for node group.", "default": "compute#nodeGroup" }, "zone": { "description": "[Output Only] The name of the zone where the node group resides, such as us-central1-a.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "status": { "type": "string", "enum": [ "CREATING", "DELETING", "INVALID", "READY" ], "enumDescriptions": [ "", "", "", "" ] }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "size": { "description": "[Output Only] The total number of nodes in the node group.", "type": "integer", "format": "int32" }, "nodeTemplate": { "description": "URL of the node template to create the node group from.", "type": "string" }, "autoscalingPolicy": { "description": "Specifies how autoscaling should behave.", "$ref": "NodeGroupAutoscalingPolicy" }, "maintenancePolicy": { "type": "string", "description": "Specifies how to handle instances when a node in the group undergoes maintenance. Set to one of: DEFAULT, RESTART_IN_PLACE, or MIGRATE_WITHIN_NODE_GROUP. The default value is DEFAULT. For more information, see Maintenance policies.", "enumDescriptions": [ "Allow the node and corresponding instances to retain default maintenance behavior.", "", "When maintenance must be done on a node, the instances on that node will be moved to other nodes in the group. Instances with onHostMaintenance = MIGRATE will live migrate to their destinations while instances with onHostMaintenance = TERMINATE will terminate and then restart on their destination nodes if automaticRestart = true.", "Instances in this group will restart on the same node when maintenance has completed. Instances must have onHostMaintenance = TERMINATE, and they will only restart if automaticRestart = true." ], "enum": [ "DEFAULT", "MAINTENANCE_POLICY_UNSPECIFIED", "MIGRATE_WITHIN_NODE_GROUP", "RESTART_IN_PLACE" ] }, "shareSettings": { "$ref": "ShareSettings", "description": "Share-settings for the node group" }, "name": { "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "locationHint": { "description": "An opaque location hint used to place the Node close to other resources. This field is for use by internal tools that use the public API. The location hint here on the NodeGroup overrides any location_hint present in the NodeTemplate.", "type": "string" }, "maintenanceWindow": { "$ref": "NodeGroupMaintenanceWindow" } }, "id": "NodeGroup", "description": "Represents a sole-tenant Node Group resource. A sole-tenant node is a physical server that is dedicated to hosting VM instances only for your specific project. Use sole-tenant nodes to keep your instances physically separated from instances in other projects, or to group your instances together on the same host hardware. For more information, read Sole-tenant nodes." }, "ResourceStatus": { "type": "object", "description": "Contains output only fields. Use this sub-message for actual values set on Instance attributes as compared to the value requested by the user (intent) in their instance CRUD calls.", "properties": { "upcomingMaintenance": { "$ref": "ResourceStatusUpcomingMaintenance" }, "scheduling": { "$ref": "ResourceStatusScheduling" } }, "id": "ResourceStatus" }, "TargetPoolsScopedList": { "id": "TargetPoolsScopedList", "type": "object", "properties": { "targetPools": { "type": "array", "items": { "$ref": "TargetPool" }, "description": "A list of target pools contained in this scope." }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } } }, "description": "Informational warning which replaces the list of addresses when the list is empty.", "type": "object" } } }, "InstantSnapshotAggregatedList": { "id": "InstantSnapshotAggregatedList", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#instantSnapshotAggregatedList for aggregated lists of instantSnapshots.", "type": "string", "default": "compute#instantSnapshotAggregatedList" }, "warning": { "type": "object", "properties": { "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } } }, "description": "[Output Only] Informational warning message." }, "items": { "type": "object", "additionalProperties": { "$ref": "InstantSnapshotsScopedList", "description": "[Output Only] Name of the scope containing this set of instantSnapshots." }, "description": "A list of InstantSnapshotsScopedList resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "type": "object" }, "MetadataFilter": { "type": "object", "description": "Opaque filter criteria used by load balancers to restrict routing configuration to a limited set of load balancing proxies. Proxies and sidecars involved in load balancing would typically present metadata to the load balancers that need to match criteria specified here. If a match takes place, the relevant configuration is made available to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. An example for using metadataFilters would be: if load balancing involves Envoys, they receive routing configuration when values in metadataFilters match values supplied in of their XDS requests to loadbalancers.", "properties": { "filterMatchCriteria": { "enumDescriptions": [ "Specifies that all filterLabels must match for the metadataFilter to be considered a match.", "Specifies that any filterLabel must match for the metadataFilter to be considered a match.", "Indicates that the match criteria was not set. A metadataFilter must never be created with this value." ], "type": "string", "enum": [ "MATCH_ALL", "MATCH_ANY", "NOT_SET" ], "description": "Specifies how individual filter label matches within the list of filterLabels and contributes toward the overall metadataFilter match. Supported values are: - MATCH_ANY: at least one of the filterLabels must have a matching label in the provided metadata. - MATCH_ALL: all filterLabels must have matching labels in the provided metadata. " }, "filterLabels": { "items": { "$ref": "MetadataFilterLabelMatch" }, "description": "The list of label value pairs that must match labels in the provided metadata based on filterMatchCriteria This list must not be empty and can have at the most 64 entries.", "type": "array" } }, "id": "MetadataFilter" }, "RegionInstanceGroupManagersSetAutoHealingRequest": { "properties": { "autoHealingPolicies": { "type": "array", "items": { "$ref": "InstanceGroupManagerAutoHealingPolicy" } } }, "type": "object", "id": "RegionInstanceGroupManagersSetAutoHealingRequest" }, "NetworkEndpointGroupsListEndpointsRequest": { "properties": { "healthStatus": { "description": "Optional query parameter for showing the health status of each network endpoint. Valid options are SKIP or SHOW. If you don't specify this parameter, the health status of network endpoints will not be provided.", "enumDescriptions": [ "Show the health status for each network endpoint. Impacts latency of the call.", "Health status for network endpoints will not be provided." ], "enum": [ "SHOW", "SKIP" ], "type": "string" }, "endpointFilters": { "type": "array", "items": { "$ref": "NetworkEndpointGroupsListEndpointsRequestNetworkEndpointFilter" }, "description": "Optional list of endpoints to query. This is a more efficient but also limited version of filter parameter. Endpoints in the filter must have ip_address and port fields populated, other fields are not supported." } }, "type": "object", "id": "NetworkEndpointGroupsListEndpointsRequest" }, "NetworkEndpointGroupList": { "id": "NetworkEndpointGroupList", "properties": { "items": { "items": { "$ref": "NetworkEndpointGroup" }, "type": "array", "description": "A list of NetworkEndpointGroup resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] The resource type, which is always compute#networkEndpointGroupList for network endpoint group lists.", "default": "compute#networkEndpointGroupList" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "type": "object" }, "Jwt": { "properties": { "issuer": { "type": "string", "description": "Identifies the issuer that issued the JWT, which is usually a URL or an email address. Examples: https://securetoken.google.com, 1234567-compute@developer.gserviceaccount.com" }, "jwtParams": { "type": "array", "description": "This field is set if JWT is sent in a query parameter. This field specifies the query parameter name. For example, if jwt_params[0] is jwt_token, the JWT format in the query parameter is /path?jwt_token=.", "items": { "type": "string" } }, "jwksPublicKeys": { "description": "The provider's public key set to validate the signature of the JWT.", "type": "string" }, "jwtHeaders": { "type": "array", "items": { "$ref": "JwtHeader" }, "description": "jwt_headers and jwt_params define where to extract the JWT from an HTTP request. If no explicit location is specified, the following default locations are tried in order: 1. The Authorization header using the Bearer schema. See `here `_. Example: Authorization: Bearer . 2. `access_token` query parameter. See `this `_ Multiple JWTs can be verified for a request. Each JWT has to be extracted from the locations its issuer specified or from the default locations. This field is set if JWT is sent in a request header. This field specifies the header name. For example, if `header=x-goog-iap-jwt-assertion`, the header format will be x-goog-iap-jwt-assertion: ." }, "audiences": { "items": { "type": "string" }, "type": "array", "description": "A JWT containing any of these audiences will be accepted. The service name will be accepted if audiences is empty. Examples: bookstore_android.apps.googleusercontent.com, bookstore_web.apps.googleusercontent.com" } }, "id": "Jwt", "type": "object", "description": "[Deprecated] JWT configuration for origin authentication. JWT configuration for origin authentication." }, "ForwardingRuleServiceDirectoryRegistration": { "properties": { "service": { "type": "string", "description": "Service Directory service to register the forwarding rule under." }, "serviceDirectoryRegion": { "description": "[Optional] Service Directory region to register this global forwarding rule under. Default to \"us-central1\". Only used for PSC for Google APIs. All PSC for Google APIs Forwarding Rules on the same network should use the same Service Directory region.", "type": "string" }, "namespace": { "type": "string", "description": "Service Directory namespace to register the forwarding rule under." } }, "type": "object", "id": "ForwardingRuleServiceDirectoryRegistration", "description": "Describes the auto-registration of the Forwarding Rule to Service Directory. The region and project of the Service Directory resource generated from this registration will be the same as this Forwarding Rule." }, "InstancesResumeRequest": { "properties": { "instanceEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Decrypts data associated with an instance that is protected with a customer-supplied encryption key. If the instance you are starting is protected with a customer-supplied encryption key, the correct key must be provided otherwise the instance resume will not succeed." }, "disks": { "description": "Array of disks associated with this instance that are protected with a customer-supplied encryption key. In order to resume the instance, the disk url and its corresponding key must be provided. If the disk is not protected with a customer-supplied encryption key it should not be specified.", "type": "array", "items": { "$ref": "CustomerEncryptionKeyProtectedDisk" } } }, "id": "InstancesResumeRequest", "type": "object" }, "HttpsHealthCheck": { "type": "object", "description": "Represents a legacy HTTPS Health Check resource. Legacy HTTPS health checks have been deprecated. If you are using a target pool-based network load balancer, you must use a legacy HTTP (not HTTPS) health check. For all other load balancers, including backend service-based network load balancers, and for managed instance group auto-healing, you must use modern (non-legacy) health checks. For more information, see Health checks overview .", "id": "HttpsHealthCheck", "properties": { "host": { "description": "The value of the host header in the HTTPS health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used.", "type": "string" }, "healthyThreshold": { "format": "int32", "description": "A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.", "type": "integer" }, "unhealthyThreshold": { "format": "int32", "description": "A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.", "type": "integer" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "port": { "type": "integer", "description": "The TCP port number for the HTTPS health check request. The default value is 443.", "format": "int32" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "timeoutSec": { "description": "How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have a greater value than checkIntervalSec.", "format": "int32", "type": "integer" }, "checkIntervalSec": { "format": "int32", "description": "How often (in seconds) to send a health check. The default value is 5 seconds.", "type": "integer" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "kind": { "default": "compute#httpsHealthCheck", "description": "Type of the resource.", "type": "string" }, "requestPath": { "type": "string", "description": "The request path of the HTTPS health check request. The default value is \"/\"." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" } } }, "License": { "description": "Represents a License resource. A License represents billing and aggregate usage data for public and marketplace images. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "id": "License", "type": "object", "properties": { "chargesUseFee": { "description": "[Output Only] Deprecated. This field no longer reflects whether a license charges a usage fee.", "type": "boolean" }, "licenseCode": { "type": "string", "format": "uint64", "description": "[Output Only] The unique code used to attach this license to images, snapshots, and disks." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "transferable": { "description": "If false, licenses will not be copied from the source resource when creating an image from a disk, disk from snapshot, or snapshot from disk.", "type": "boolean" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "description": { "description": "An optional textual description of the resource; provided by the client when the resource is created.", "type": "string" }, "resourceRequirements": { "$ref": "LicenseResourceRequirements" }, "kind": { "default": "compute#license", "type": "string", "description": "[Output Only] Type of resource. Always compute#license for licenses." }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "name": { "description": "Name of the resource. The name must be 1-63 characters long and comply with RFC1035.", "annotations": { "required": [ "compute.images.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } } }, "RegionInstanceGroupManagersCreateInstancesRequest": { "type": "object", "description": "RegionInstanceGroupManagers.createInstances", "properties": { "instances": { "items": { "$ref": "PerInstanceConfig" }, "type": "array", "description": "[Required] List of specifications of per-instance configs." } }, "id": "RegionInstanceGroupManagersCreateInstancesRequest" }, "RouteAsPath": { "id": "RouteAsPath", "type": "object", "properties": { "asLists": { "items": { "format": "uint32", "type": "integer" }, "description": "[Output Only] The AS numbers of the AS Path.", "type": "array" }, "pathSegmentType": { "description": "[Output Only] The type of the AS Path, which can be one of the following values: - 'AS_SET': unordered set of autonomous systems that the route in has traversed - 'AS_SEQUENCE': ordered set of autonomous systems that the route has traversed - 'AS_CONFED_SEQUENCE': ordered set of Member Autonomous Systems in the local confederation that the route has traversed - 'AS_CONFED_SET': unordered set of Member Autonomous Systems in the local confederation that the route has traversed ", "enumDescriptions": [ "", "", "", "" ], "enum": [ "AS_CONFED_SEQUENCE", "AS_CONFED_SET", "AS_SEQUENCE", "AS_SET" ], "type": "string" } } }, "InstanceGroupManagersResumeInstancesRequest": { "type": "object", "id": "InstanceGroupManagersResumeInstancesRequest", "properties": { "instances": { "items": { "type": "string" }, "description": "The URLs of one or more instances to resume. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "type": "array" } } }, "SecurityPolicyRecaptchaOptionsConfig": { "type": "object", "properties": { "redirectSiteKey": { "type": "string", "description": "An optional field to supply a reCAPTCHA site key to be used for all the rules using the redirect action with the type of GOOGLE_RECAPTCHA under the security policy. The specified site key needs to be created from the reCAPTCHA API. The user is responsible for the validity of the specified site key. If not specified, a Google-managed site key is used." } }, "id": "SecurityPolicyRecaptchaOptionsConfig" }, "LogConfigCloudAuditOptions": { "id": "LogConfigCloudAuditOptions", "description": "This is deprecated and has no effect. Do not use.", "properties": { "logName": { "description": "This is deprecated and has no effect. Do not use.", "enum": [ "ADMIN_ACTIVITY", "DATA_ACCESS", "UNSPECIFIED_LOG_NAME" ], "type": "string", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ] }, "authorizationLoggingOptions": { "description": "This is deprecated and has no effect. Do not use.", "$ref": "AuthorizationLoggingOptions" } }, "type": "object" }, "InstanceTemplate": { "id": "InstanceTemplate", "properties": { "properties": { "description": "The instance properties for this instance template.", "$ref": "InstanceProperties" }, "sourceInstance": { "description": "The source instance used to create the template. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance ", "type": "string" }, "name": { "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.instanceTemplates.insert" ] } }, "kind": { "description": "[Output Only] The resource type, which is always compute#instanceTemplate for instance templates.", "default": "compute#instanceTemplate", "type": "string" }, "region": { "description": "[Output Only] URL of the region where the instance template resides. Only applicable for regional resources.", "type": "string" }, "sourceInstanceParams": { "$ref": "SourceInstanceParams", "description": "The source instance params to use to create this instance template." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] The creation timestamp for this instance template in RFC3339 text format.", "type": "string" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] A unique identifier for this instance template. The server defines this identifier." }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "selfLink": { "description": "[Output Only] The URL for this instance template. The server defines this URL.", "type": "string" } }, "type": "object", "description": "Represents an Instance Template resource. You can use instance templates to create VM instances and managed instance groups. For more information, read Instance Templates." }, "InstanceGroupManagersListManagedInstancesResponse": { "id": "InstanceGroupManagersListManagedInstancesResponse", "type": "object", "properties": { "managedInstances": { "type": "array", "items": { "$ref": "ManagedInstance" }, "description": "[Output Only] The list of instances in the managed instance group." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "InterconnectList": { "description": "Response to the list request, and contains a list of interconnects.", "id": "InterconnectList", "properties": { "kind": { "default": "compute#interconnectList", "description": "[Output Only] Type of resource. Always compute#interconnectList for lists of interconnects.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "type": "array", "description": "A list of Interconnect resources.", "items": { "$ref": "Interconnect" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } } } } }, "type": "object" }, "InstanceGroupManagerResizeRequest": { "properties": { "creationTimestamp": { "description": "[Output Only] The creation timestamp for this resize request in RFC3339 text format.", "type": "string" }, "zone": { "description": "[Output Only] The URL of a zone where the resize request is located.", "type": "string" }, "selfLink": { "description": "[Output Only] The URL for this resize request. The server defines this URL.", "type": "string" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "status": { "$ref": "InstanceGroupManagerResizeRequestStatus", "description": "[Output only] Status of the request. The Status message is aligned with QueuedResource.status. ResizeRequest.queuing_policy contains the queuing policy as provided by the user; it could have either valid_until_time or valid_until_duration. ResizeRequest.status.queuing_policy always contains absolute time as calculated by the server when the request is queued." }, "kind": { "description": "[Output Only] The resource type, which is always compute#instanceGroupManagerResizeRequest for resize requests.", "type": "string", "default": "compute#instanceGroupManagerResizeRequest" }, "state": { "description": "[Output only] Current state of the request.", "enum": [ "ACCEPTED", "CREATING", "DELETING", "FAILED", "PROVISIONING", "SUCCEEDED" ], "type": "string", "enumDescriptions": [ "The request was created successfully and was accepted for provisioning when the capacity becomes available.", "resize request is being created and may still fail creation.", "The request is being deleted.", "The request failed before or during provisioning. If the request fails during provisioning, any VMs that were created during provisioning are rolled back and removed from the MIG.", "The target resource(s) are being provisioned.", "The request succeeded." ] }, "name": { "annotations": { "required": [ "compute.instanceGroupManagerResizeRequests.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of this resize request. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] A unique identifier for this resource type. The server generates this identifier.", "format": "uint64" }, "description": { "type": "string", "description": "An optional description of this resource." }, "queuingPolicy": { "$ref": "QueuingPolicy", "description": "When set, defines queing parameters for the requested deferred capacity. When unset, the request starts provisioning immediately, or fails if immediate provisioning is not possible." }, "count": { "format": "int32", "description": "The count of instances to create as part of this resize request.", "type": "integer" } }, "type": "object", "description": "InstanceGroupManagerResizeRequest represents a request to create a number of VMs: either immediately or by queuing the request for the specified time. This resize request is nested under InstanceGroupManager and the VMs created by this request are added to the owning InstanceGroupManager.", "id": "InstanceGroupManagerResizeRequest" }, "NodeTemplateNodeTypeFlexibility": { "id": "NodeTemplateNodeTypeFlexibility", "type": "object", "properties": { "memory": { "type": "string" }, "cpus": { "type": "string" }, "localSsd": { "type": "string" } } }, "RouterNatRuleAction": { "properties": { "sourceNatActiveIps": { "items": { "type": "string" }, "description": "A list of URLs of the IP resources used for this NAT rule. These IP addresses must be valid static external IP addresses assigned to the project. This field is used for public NAT.", "type": "array" }, "sourceNatActiveRanges": { "type": "array", "items": { "type": "string" }, "description": "A list of URLs of the subnetworks used as source ranges for this NAT Rule. These subnetworks must have purpose set to PRIVATE_NAT. This field is used for private NAT." }, "sourceNatDrainIps": { "type": "array", "items": { "type": "string" }, "description": "A list of URLs of the IP resources to be drained. These IPs must be valid static external IPs that have been assigned to the NAT. These IPs should be used for updating/patching a NAT rule only. This field is used for public NAT." }, "sourceNatDrainRanges": { "type": "array", "items": { "type": "string" }, "description": "A list of URLs of subnetworks representing source ranges to be drained. This is only supported on patch/update, and these subnetworks must have previously been used as active ranges in this NAT Rule. This field is used for private NAT." } }, "type": "object", "id": "RouterNatRuleAction" }, "ForwardingRuleAggregatedList": { "type": "object", "id": "ForwardingRuleAggregatedList", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "items": { "additionalProperties": { "$ref": "ForwardingRulesScopedList", "description": "Name of the scope containing this set of addresses." }, "type": "object", "description": "A list of ForwardingRulesScopedList resources." }, "warning": { "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "kind": { "description": "[Output Only] Type of resource. Always compute#forwardingRuleAggregatedList for lists of forwarding rules.", "type": "string", "default": "compute#forwardingRuleAggregatedList" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "InstanceGroupManagersUpdatePerInstanceConfigsReq": { "description": "InstanceGroupManagers.updatePerInstanceConfigs", "properties": { "perInstanceConfigs": { "type": "array", "items": { "$ref": "PerInstanceConfig" }, "description": "The list of per-instance configurations to insert or patch on this managed instance group." } }, "type": "object", "id": "InstanceGroupManagersUpdatePerInstanceConfigsReq" }, "VmEndpointNatMappingsInterfaceNatMappings": { "id": "VmEndpointNatMappingsInterfaceNatMappings", "description": "Contain information of Nat mapping for an interface of this endpoint.", "type": "object", "properties": { "natIpPortRanges": { "items": { "type": "string" }, "type": "array", "description": "A list of all IP:port-range mappings assigned to this interface. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"]." }, "numTotalDrainNatPorts": { "description": "Total number of drain ports across all NAT IPs allocated to this interface. It equals to the aggregated port number in the field drain_nat_ip_port_ranges.", "type": "integer", "format": "int32" }, "numTotalNatPorts": { "type": "integer", "description": "Total number of ports across all NAT IPs allocated to this interface. It equals to the aggregated port number in the field nat_ip_port_ranges.", "format": "int32" }, "drainNatIpPortRanges": { "items": { "type": "string" }, "type": "array", "description": "List of all drain IP:port-range mappings assigned to this interface. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"]." }, "ruleMappings": { "description": "Information about mappings provided by rules in this NAT.", "type": "array", "items": { "$ref": "VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings" } }, "sourceAliasIpRange": { "description": "Alias IP range for this interface endpoint. It will be a private (RFC 1918) IP range. Examples: \"10.33.4.55/32\", or \"192.168.5.0/24\".", "type": "string" }, "sourceVirtualIp": { "description": "Primary IP of the VM for this NIC.", "type": "string" } } }, "InstanceGroupManagersCreateInstancesRequest": { "properties": { "instances": { "type": "array", "items": { "$ref": "PerInstanceConfig" }, "description": "[Required] List of specifications of per-instance configs." } }, "id": "InstanceGroupManagersCreateInstancesRequest", "type": "object", "description": "InstanceGroupManagers.createInstances" }, "InterconnectsGetMacsecConfigResponse": { "properties": { "etag": { "description": "end_interface: MixerGetResponseWithEtagBuilder", "type": "string" }, "result": { "$ref": "InterconnectMacsecConfig" } }, "description": "Response for the InterconnectsGetMacsecConfigRequest.", "id": "InterconnectsGetMacsecConfigResponse", "type": "object" }, "TargetGrpcProxyList": { "type": "object", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } }, "type": "object" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#targetGrpcProxy for target grpc proxies.", "default": "compute#targetGrpcProxyList" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "items": { "$ref": "TargetGrpcProxy" }, "description": "A list of TargetGrpcProxy resources.", "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "TargetGrpcProxyList" }, "RouteList": { "type": "object", "description": "Contains a list of Route resources.", "id": "RouteList", "properties": { "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message." }, "items": { "items": { "$ref": "Route" }, "type": "array", "description": "A list of Route resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#routeList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } } }, "OrganizationSecurityPoliciesListAssociationsResponse": { "properties": { "associations": { "description": "A list of associations.", "type": "array", "items": { "$ref": "SecurityPolicyAssociation" } }, "kind": { "type": "string", "default": "compute#organizationSecurityPoliciesListAssociationsResponse", "description": "[Output Only] Type of securityPolicy associations. Always compute#organizationSecurityPoliciesListAssociations for lists of securityPolicy associations." } }, "type": "object", "id": "OrganizationSecurityPoliciesListAssociationsResponse" }, "RegionInstanceGroupsListInstancesRequest": { "properties": { "instanceState": { "enum": [ "ALL", "RUNNING" ], "type": "string", "enumDescriptions": [ "Matches any status of the instances, running, non-running and others.", "Instance is in RUNNING state if it is running." ], "description": "Instances in which state should be returned. Valid options are: 'ALL', 'RUNNING'. By default, it lists all instances." }, "portName": { "type": "string", "description": "Name of port user is interested in. It is optional. If it is set, only information about this ports will be returned. If it is not set, all the named ports will be returned. Always lists all instances.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "type": "object", "id": "RegionInstanceGroupsListInstancesRequest" }, "InstanceGroupManagerStandbyPolicy": { "type": "object", "properties": { "initialDelaySec": { "type": "integer", "format": "int32" } }, "id": "InstanceGroupManagerStandbyPolicy" }, "SecurityPolicyRuleMatcher": { "properties": { "versionedExpr": { "enum": [ "FIREWALL", "SRC_IPS_V1" ], "enumDescriptions": [ "", "Matches the source IP address of a request to the IP ranges supplied in config." ], "type": "string", "description": "Preconfigured versioned expression. If this field is specified, config must also be specified. Available preconfigured expressions along with their requirements are: SRC_IPS_V1 - must specify the corresponding src_ip_range field in config." }, "config": { "description": "The configuration options available when specifying versioned_expr. This field must be specified if versioned_expr is specified and cannot be specified if versioned_expr is not specified.", "$ref": "SecurityPolicyRuleMatcherConfig" }, "expr": { "description": "User defined CEVAL expression. A CEVAL expression is used to specify match criteria such as origin.ip, source.region_code and contents in the request header.", "$ref": "Expr" } }, "type": "object", "id": "SecurityPolicyRuleMatcher", "description": "Represents a match condition that incoming traffic is evaluated against. Exactly one field must be specified." }, "RegionInstanceGroupManagerDeleteInstanceConfigReq": { "id": "RegionInstanceGroupManagerDeleteInstanceConfigReq", "type": "object", "description": "RegionInstanceGroupManagers.deletePerInstanceConfigs", "properties": { "names": { "items": { "type": "string" }, "description": "The list of instance names for which we want to delete per-instance configs on this managed instance group.", "type": "array" } } }, "InstancesSetMinCpuPlatformRequest": { "type": "object", "id": "InstancesSetMinCpuPlatformRequest", "properties": { "minCpuPlatform": { "description": "Minimum cpu/platform this instance should be started at.", "type": "string" } } }, "NodeGroupAggregatedList": { "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "kind": { "default": "compute#nodeGroupAggregatedList", "type": "string", "description": "[Output Only] Type of resource.Always compute#nodeGroupAggregatedList for aggregated lists of node groups." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of NodeGroupsScopedList resources.", "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of node groups.", "$ref": "NodeGroupsScopedList" } } }, "id": "NodeGroupAggregatedList", "type": "object" }, "DiskTypesScopedList": { "type": "object", "id": "DiskTypesScopedList", "properties": { "diskTypes": { "items": { "$ref": "DiskType" }, "type": "array", "description": "[Output Only] A list of disk types contained in this scope." }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning which replaces the list of disk types when the list is empty." } } }, "InstanceManagedByIgmErrorInstanceActionDetails": { "type": "object", "properties": { "instance": { "description": "[Output Only] The URL of the instance. The URL can be set even if the instance has not yet been created.", "type": "string" }, "action": { "type": "string", "enum": [ "ABANDONING", "CREATING", "CREATING_WITHOUT_RETRIES", "DELETING", "NONE", "RECREATING", "REFRESHING", "RESTARTING", "RESUMING", "STARTING", "STOPPING", "SUSPENDING", "VERIFYING" ], "description": "[Output Only] Action that managed instance group was executing on the instance when the error occurred. Possible values:", "enumDescriptions": [ "The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group.", "The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful.", "The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased.", "The managed instance group is permanently deleting this instance.", "The managed instance group has not scheduled any actions for this instance.", "The managed instance group is recreating this instance.", "The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance.", "The managed instance group is restarting this instance.", "The managed instance group is resuming this instance.", "The managed instance group is starting this instance.", "The managed instance group is stopping this instance.", "The managed instance group is suspending this instance.", "The managed instance group is verifying this already created instance. Verification happens every time the instance is (re)created or restarted and consists of: 1. Waiting until health check specified as part of this managed instance group's autohealing policy reports HEALTHY. Note: Applies only if autohealing policy has a health check specified 2. Waiting for addition verification steps performed as post-instance creation (subject to future extensions)." ] }, "version": { "description": "[Output Only] Version this instance was created from, or was being created from, but the creation failed. Corresponds to one of the versions that were set on the Instance Group Manager resource at the time this instance was being created.", "$ref": "ManagedInstanceVersion" } }, "id": "InstanceManagedByIgmErrorInstanceActionDetails" }, "DisksRemoveResourcePoliciesRequest": { "type": "object", "id": "DisksRemoveResourcePoliciesRequest", "properties": { "resourcePolicies": { "description": "Resource policies to be removed from this disk.", "type": "array", "items": { "type": "string" } } } }, "StatefulPolicy": { "properties": { "preservedState": { "$ref": "StatefulPolicyPreservedState" } }, "id": "StatefulPolicy", "type": "object" }, "SecurityPolicyReference": { "type": "object", "properties": { "securityPolicy": { "type": "string" } }, "id": "SecurityPolicyReference" }, "NetworkEndpointGroupAggregatedList": { "properties": { "warning": { "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." }, "items": { "additionalProperties": { "description": "The name of the scope that contains this set of network endpoint groups.", "$ref": "NetworkEndpointGroupsScopedList" }, "description": "A list of NetworkEndpointGroupsScopedList resources.", "type": "object" }, "kind": { "default": "compute#networkEndpointGroupAggregatedList", "type": "string", "description": "[Output Only] The resource type, which is always compute#networkEndpointGroupAggregatedList for aggregated lists of network endpoint groups." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "type": "object", "id": "NetworkEndpointGroupAggregatedList" }, "InstanceGroupsAddInstancesRequest": { "properties": { "instances": { "type": "array", "items": { "$ref": "InstanceReference" }, "description": "The list of instances to add to the instance group." } }, "id": "InstanceGroupsAddInstancesRequest", "type": "object" }, "ServiceAttachment": { "type": "object", "properties": { "region": { "description": "[Output Only] URL of the region where the service attachment resides. This field applies only to the region resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "connectionPreference": { "enumDescriptions": [ "", "", "" ], "enum": [ "ACCEPT_AUTOMATIC", "ACCEPT_MANUAL", "CONNECTION_PREFERENCE_UNSPECIFIED" ], "description": "The connection preference of service attachment. The value can be set to ACCEPT_AUTOMATIC. An ACCEPT_AUTOMATIC service attachment is one that always accepts the connection from consumer forwarding rules.", "type": "string" }, "consumerRejectLists": { "items": { "type": "string" }, "type": "array", "description": "Projects that are not allowed to connect to this service attachment. The project can be specified using its id or number." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.serviceAttachments.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "domainNames": { "type": "array", "description": "If specified, the domain name will be used during the integration between the PSC connected endpoints and the Cloud DNS. For example, this is a valid domain name: \"p.mycompany.com.\". Current max number of domain names supported is 1.", "items": { "type": "string" } }, "consumerAcceptLists": { "description": "Projects that are allowed to connect to this service attachment.", "items": { "$ref": "ServiceAttachmentConsumerProjectLimit" }, "type": "array" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#serviceAttachment for service attachments.", "default": "compute#serviceAttachment", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "producerForwardingRule": { "type": "string", "description": "The URL of a forwarding rule with loadBalancingScheme INTERNAL* that is serving the endpoint identified by this service attachment." }, "enableProxyProtocol": { "description": "If true, enable the proxy protocol which is for supplying client TCP/IP address data in TCP connections that traverse proxies on their way to destination servers.", "type": "boolean" }, "natSubnets": { "items": { "type": "string" }, "description": "An array of URLs where each entry is the URL of a subnet provided by the service producer to use for NAT in this service attachment.", "type": "array" }, "targetService": { "description": "The URL of a service serving the endpoint identified by this service attachment.", "type": "string" }, "connectedEndpoints": { "items": { "$ref": "ServiceAttachmentConnectedEndpoint" }, "type": "array", "description": "[Output Only] An array of connections for all the consumers connected to this service attachment." }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "type": "string" }, "fingerprint": { "format": "byte", "type": "string", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a ServiceAttachment. An up-to-date fingerprint must be provided in order to patch/update the ServiceAttachment; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the ServiceAttachment." }, "pscServiceAttachmentId": { "$ref": "Uint128", "description": "[Output Only] An 128-bit global unique ID of the PSC service attachment." } }, "id": "ServiceAttachment", "description": "Represents a ServiceAttachment resource. A service attachment represents a service that a producer has exposed. It encapsulates the load balancer which fronts the service runs and a list of NAT IP ranges that the producers uses to represent the consumers connecting to the service. next tag = 20" }, "InstanceGroupManagersSetTargetPoolsRequest": { "id": "InstanceGroupManagersSetTargetPoolsRequest", "type": "object", "properties": { "targetPools": { "description": "The list of target pool URLs that instances in this managed instance group belong to. The managed instance group applies these target pools to all of the instances in the group. Existing instances and new instances in the group all receive these target pool settings.", "type": "array", "items": { "type": "string" } }, "fingerprint": { "type": "string", "format": "byte", "description": "The fingerprint of the target pools information. Use this optional property to prevent conflicts when multiple users change the target pools settings concurrently. Obtain the fingerprint with the instanceGroupManagers.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request." } } }, "BackendService": { "type": "object", "properties": { "vpcNetworkScope": { "description": "The network scope of the backends that can be added to the backend service. This field can be either GLOBAL_VPC_NETWORK or REGIONAL_VPC_NETWORK. A backend service with the VPC scope set to GLOBAL_VPC_NETWORK is only allowed to have backends in global VPC networks. When the VPC scope is set to REGIONAL_VPC_NETWORK the backend service is only allowed to have backends in regional networks in the same scope as the backend service. Note: if not specified then GLOBAL_VPC_NETWORK will be used.", "type": "string", "enumDescriptions": [ "The backend service can only have backends in global VPCs", "The backend service can only have backends in regional VPCs" ], "enum": [ "GLOBAL_VPC_NETWORK", "REGIONAL_VPC_NETWORK" ] }, "subsetting": { "$ref": "Subsetting" }, "localityLbPolicies": { "items": { "$ref": "BackendServiceLocalityLoadBalancingPolicyConfig" }, "description": "A list of locality load balancing policies to be used in order of preference. Either the policy or the customPolicy field should be set. Overrides any value set in the localityLbPolicy field. localityLbPolicies is only supported when the BackendService is referenced by a URL Map that is referenced by a target gRPC proxy that has the validateForProxyless field set to true.", "type": "array" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "backends": { "items": { "$ref": "Backend" }, "description": "The list of backends that serve this BackendService.", "type": "array" }, "loadBalancingScheme": { "type": "string", "enum": [ "EXTERNAL", "EXTERNAL_MANAGED", "INTERNAL", "INTERNAL_MANAGED", "INTERNAL_SELF_MANAGED", "INVALID_LOAD_BALANCING_SCHEME" ], "description": "Specifies the load balancer type. A backend service created for one type of load balancer cannot be used with another. For more information, refer to Choosing a load balancer.", "enumDescriptions": [ "Signifies that this will be used for external HTTP(S), SSL Proxy, TCP Proxy, or Network Load Balancing", "Signifies that this will be used for External Managed HTTP(S) Load Balancing.", "Signifies that this will be used for Internal TCP/UDP Load Balancing.", "Signifies that this will be used for Internal HTTP(S) Load Balancing.", "Signifies that this will be used by Traffic Director.", "" ] }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a BackendService. An up-to-date fingerprint must be provided in order to update the BackendService, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a BackendService." }, "enableCDN": { "type": "boolean", "description": "If true, enables Cloud CDN for the backend service of an external HTTP(S) load balancer." }, "consistentHash": { "description": "Consistent Hash-based load balancing can be used to provide soft session affinity based on HTTP headers, cookies or other properties. This load balancing policy is applicable only for HTTP connections. The affinity to a particular destination host will be lost when one or more hosts are added/removed from the destination service. This field specifies parameters that control consistent hashing. This field is only applicable when localityLbPolicy is set to MAGLEV or RING_HASH. This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED. ", "$ref": "ConsistentHashLoadBalancerSettings" }, "outlierDetection": { "description": "Settings controlling the eviction of unhealthy hosts from the load balancing pool for the backend service. If not set, this feature is considered disabled. This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "$ref": "OutlierDetection" }, "region": { "description": "[Output Only] URL of the region where the regional backend service resides. This field is not applicable to global backend services. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "securityPolicy": { "type": "string", "description": "[Output Only] The resource URL for the security policy associated with this backend service." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#backendService for backend services.", "default": "compute#backendService" }, "cdnPolicy": { "description": "Cloud CDN configuration for this BackendService. Only available for specified load balancer types.", "$ref": "BackendServiceCdnPolicy" }, "healthChecks": { "description": "The list of URLs to the healthChecks, httpHealthChecks (legacy), or httpsHealthChecks (legacy) resource for health checking this backend service. Not all backend services support legacy health checks. See Load balancer guide. Currently, at most one health check can be specified for each backend service. Backend services with instance group or zonal NEG backends must have a health check. Backend services with internet or serverless NEG backends must not have a health check.", "items": { "type": "string" }, "type": "array" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "connectionTrackingPolicy": { "$ref": "BackendServiceConnectionTrackingPolicy", "description": "Connection Tracking configuration for this BackendService. Connection tracking policy settings are only available for Network Load Balancing and Internal TCP/UDP Load Balancing." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "edgeSecurityPolicy": { "type": "string", "description": "[Output Only] The resource URL for the edge security policy associated with this backend service." }, "customResponseHeaders": { "description": "Headers that the load balancer adds to proxied responses. See [Creating custom headers](https://cloud.google.com/load-balancing/docs/custom-headers).", "type": "array", "items": { "type": "string" } }, "serviceLbPolicy": { "description": "URL to networkservices.ServiceLbPolicy resource. Can only be set if load balancing scheme is EXTERNAL, INTERNAL_MANAGED or INTERNAL_SELF_MANAGED. If used with a backend service, must reference a global policy. If used with a regional backend service, must reference a regional policy.", "type": "string" }, "timeoutSec": { "description": "The backend service timeout has a different meaning depending on the type of load balancer. For more information see, Backend service settings. The default is 30 seconds. The full range of timeout values allowed goes from 1 through 2,147,483,647 seconds. This value can be overridden in the PathMatcher configuration of the UrlMap that references this backend service. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true. Instead, use maxStreamDuration.", "type": "integer", "format": "int32" }, "localityLbPolicy": { "enum": [ "INVALID_LB_POLICY", "LEAST_REQUEST", "MAGLEV", "ORIGINAL_DESTINATION", "RANDOM", "RING_HASH", "ROUND_ROBIN", "WEIGHTED_MAGLEV" ], "description": "The load balancing algorithm used within the scope of the locality. The possible values are: - ROUND_ROBIN: This is a simple policy in which each healthy backend is selected in round robin order. This is the default. - LEAST_REQUEST: An O(1) algorithm which selects two random healthy hosts and picks the host which has fewer active requests. - RING_HASH: The ring/modulo hash load balancer implements consistent hashing to backends. The algorithm has the property that the addition/removal of a host from a set of N hosts only affects 1/N of the requests. - RANDOM: The load balancer selects a random healthy host. - ORIGINAL_DESTINATION: Backend host is selected based on the client connection metadata, i.e., connections are opened to the same address as the destination address of the incoming connection before the connection was redirected to the load balancer. - MAGLEV: used as a drop in replacement for the ring hash load balancer. Maglev is not as stable as ring hash but has faster table lookup build times and host selection times. For more information about Maglev, see https://ai.google/research/pubs/pub44824 This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED. If sessionAffinity is not NONE, and this field is not set to MAGLEV or RING_HASH, session affinity settings will not take effect. Only ROUND_ROBIN and RING_HASH are supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "type": "string", "enumDescriptions": [ "", "An O(1) algorithm which selects two random healthy hosts and picks the host which has fewer active requests.", "This algorithm implements consistent hashing to backends. Maglev can be used as a drop in replacement for the ring hash load balancer. Maglev is not as stable as ring hash but has faster table lookup build times and host selection times. For more information about Maglev, see https://ai.google/research/pubs/pub44824", "Backend host is selected based on the client connection metadata, i.e., connections are opened to the same address as the destination address of the incoming connection before the connection was redirected to the load balancer.", "The load balancer selects a random healthy host.", "The ring/modulo hash load balancer implements consistent hashing to backends. The algorithm has the property that the addition/removal of a host from a set of N hosts only affects 1/N of the requests.", "This is a simple policy in which each healthy backend is selected in round robin order. This is the default.", "Per-instance weighted Load Balancing via health check reported weights. If set, the Backend Service must configure a non legacy HTTP-based Health Check, and health check replies are expected to contain non-standard HTTP response header field X-Load-Balancing-Endpoint-Weight to specify the per-instance weights. If set, Load Balancing is weighted based on the per-instance weights reported in the last processed health check replies, as long as every instance either reported a valid weight or had UNAVAILABLE_WEIGHT. Otherwise, Load Balancing remains equal-weight. This option is only supported in Network Load Balancing." ] }, "connectionDraining": { "$ref": "ConnectionDraining" }, "portName": { "description": "A named port on a backend instance group representing the port for communication to the backend VMs in that group. The named port must be [defined on each backend instance group](https://cloud.google.com/load-balancing/docs/backend-service#named_ports). This parameter has no meaning if the backends are NEGs. For Internal TCP/UDP Load Balancing and Network Load Balancing, omit port_name.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "compressionMode": { "enumDescriptions": [ "Automatically uses the best compression based on the Accept-Encoding header sent by the client.", "Disables compression. Existing compressed responses cached by Cloud CDN will not be served to clients." ], "enum": [ "AUTOMATIC", "DISABLED" ], "type": "string", "description": "Compress text responses using Brotli or gzip compression, based on the client's Accept-Encoding header." }, "maxStreamDuration": { "description": "Specifies the default maximum duration (timeout) for streams to this service. Duration is computed from the beginning of the stream until the response has been completely processed, including all retries. A stream that does not complete in this duration is closed. If not specified, there will be no timeout limit, i.e. the maximum duration is infinite. This value can be overridden in the PathMatcher configuration of the UrlMap that references this backend service. This field is only allowed when the loadBalancingScheme of the backend service is INTERNAL_SELF_MANAGED.", "$ref": "Duration" }, "failoverPolicy": { "description": "Requires at least one backend instance group to be defined as a backup (failover) backend. For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview).", "$ref": "BackendServiceFailoverPolicy" }, "securitySettings": { "$ref": "SecuritySettings", "description": "This field specifies the security settings that apply to this backend service. This field is applicable to a global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED." }, "serviceBindings": { "items": { "type": "string" }, "description": "URLs of networkservices.ServiceBinding resources. Can only be set if load balancing scheme is INTERNAL_SELF_MANAGED. If set, lists of backends and health checks must be both empty.", "type": "array" }, "port": { "format": "int32", "description": "Deprecated in favor of portName. The TCP port to connect on the backend. The default value is 80. For Internal TCP/UDP Load Balancing and Network Load Balancing, omit port.", "type": "integer" }, "iap": { "$ref": "BackendServiceIAP", "description": "The configurations for Identity-Aware Proxy on this resource. Not available for Internal TCP/UDP Load Balancing and Network Load Balancing." }, "sessionAffinity": { "enumDescriptions": [ "2-tuple hash on packet's source and destination IP addresses. Connections from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy.", "1-tuple hash only on packet's source IP address. Connections from the same source IP address will be served by the same backend VM while that VM remains healthy. This option can only be used for Internal TCP/UDP Load Balancing.", "5-tuple hash on packet's source and destination IP addresses, IP protocol, and source and destination ports. Connections for the same IP protocol from the same source IP address and port to the same destination IP address and port will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "3-tuple hash on packet's source and destination IP addresses, and IP protocol. Connections for the same IP protocol from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "Hash based on a cookie generated by the L7 loadbalancer. Only valid for HTTP(S) load balancing.", "The hash is based on a user specified header field.", "The hash is based on a user provided cookie.", "No session affinity. Connections from the same client IP may go to any instance in the pool." ], "enum": [ "CLIENT_IP", "CLIENT_IP_NO_DESTINATION", "CLIENT_IP_PORT_PROTO", "CLIENT_IP_PROTO", "GENERATED_COOKIE", "HEADER_FIELD", "HTTP_COOKIE", "NONE" ], "type": "string", "description": "Type of session affinity to use. The default is NONE. Only NONE and HEADER_FIELD are supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true. For more details, see: [Session Affinity](https://cloud.google.com/load-balancing/docs/backend-service#session_affinity)." }, "network": { "description": "The URL of the network to which this backend service belongs. This field can only be specified when the load balancing scheme is set to INTERNAL.", "type": "string" }, "customRequestHeaders": { "items": { "type": "string" }, "type": "array", "description": "Headers that the load balancer adds to proxied requests. See [Creating custom headers](https://cloud.google.com/load-balancing/docs/custom-headers)." }, "circuitBreakers": { "$ref": "CircuitBreakers" }, "affinityCookieTtlSec": { "format": "int32", "description": "Lifetime of cookies in seconds. This setting is applicable to external and internal HTTP(S) load balancers and Traffic Director and requires GENERATED_COOKIE or HTTP_COOKIE session affinity. If set to 0, the cookie is non-persistent and lasts only until the end of the browser session (or equivalent). The maximum allowed value is two weeks (1,209,600). Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "type": "integer" }, "logConfig": { "description": "This field denotes the logging options for the load balancer traffic served by this backend service. If logging is enabled, logs will be exported to Stackdriver.", "$ref": "BackendServiceLogConfig" }, "protocol": { "enumDescriptions": [ "ALL includes TCP, UDP, ICMP, ESP, AH and SCTP. Note that this should never be used together with target_xx_proxies.", "gRPC (available for Traffic Director).", "", "HTTP/2 with SSL.", "", "TCP proxying with SSL.", "TCP proxying or TCP pass-through.", "UDP.", "If a Backend Service has UNSPECIFIED as its protocol, it can be used with any L3/L4 Forwarding Rules." ], "description": "The protocol this BackendService uses to communicate with backends. Possible values are HTTP, HTTPS, HTTP2, TCP, SSL, UDP or GRPC. depending on the chosen load balancer or Traffic Director configuration. Refer to the documentation for the load balancers or for Traffic Director for more information. Must be set to GRPC when the backend service is referenced by a URL map that is bound to target gRPC proxy.", "enum": [ "ALL", "GRPC", "HTTP", "HTTP2", "HTTPS", "SSL", "TCP", "UDP", "UNSPECIFIED" ], "type": "string" } }, "description": "Represents a Backend Service resource. A backend service defines how Google Cloud load balancers distribute traffic. The backend service configuration contains a set of values, such as the protocol used to connect to backends, various distribution and session settings, health checks, and timeouts. These settings provide fine-grained control over how your load balancer behaves. Most of the settings have default values that allow for easy configuration if you need to get started quickly. Backend services in Google Compute Engine can be either regionally or globally scoped. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](https://cloud.google.com/compute/docs/reference/rest/alpha/backendServices) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](https://cloud.google.com/compute/docs/reference/rest/alpha/regionBackendServices) For more information, see Backend Services.", "id": "BackendService" }, "MachineTypeList": { "properties": { "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "array", "items": { "$ref": "MachineType" }, "description": "A list of MachineType resources." }, "kind": { "description": "[Output Only] Type of resource. Always compute#machineTypeList for lists of machine types.", "type": "string", "default": "compute#machineTypeList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "id": "MachineTypeList", "type": "object", "description": "Contains a list of machine types." }, "NodeTemplatesScopedList": { "id": "NodeTemplatesScopedList", "properties": { "nodeTemplates": { "description": "[Output Only] A list of node templates contained in this scope.", "type": "array", "items": { "$ref": "NodeTemplate" } }, "warning": { "description": "[Output Only] An informational warning that appears when the node templates list is empty.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } } } } }, "type": "object" }, "AutoscalingPolicyCustomMetricUtilization": { "properties": { "metric": { "type": "string", "description": "The identifier (type) of the Stackdriver Monitoring metric. The metric cannot have negative values. The metric must have a value type of INT64 or DOUBLE." }, "singleInstanceAssignment": { "format": "double", "type": "number", "description": "If scaling is based on a per-group metric value that represents the total amount of work to be done or resource usage, set this value to an amount assigned for a single instance of the scaled group. Autoscaler keeps the number of instances proportional to the value of this metric. The metric itself does not change value due to group resizing. A good metric to use with the target is for example pubsub.googleapis.com/subscription/num_undelivered_messages or a custom metric exporting the total number of requests coming to your instances. A bad example would be a metric exporting an average or median latency, since this value can't include a chunk assignable to a single instance, it could be better used with utilization_target instead." }, "filter": { "description": "A filter string, compatible with a Stackdriver Monitoring filter string for TimeSeries.list API call. This filter is used to select a specific TimeSeries for the purpose of autoscaling and to determine whether the metric is exporting per-instance or per-group data. For the filter to be valid for autoscaling purposes, the following rules apply: - You can only use the AND operator for joining selectors. - You can only use direct equality comparison operator (=) without any functions for each selector. - You can specify the metric in both the filter string and in the metric field. However, if specified in both places, the metric must be identical. - The monitored resource type determines what kind of values are expected for the metric. If it is a gce_instance, the autoscaler expects the metric to include a separate TimeSeries for each instance in a group. In such a case, you cannot filter on resource labels. If the resource type is any other value, the autoscaler expects this metric to contain values that apply to the entire autoscaled instance group and resource label filtering can be performed to point autoscaler at the correct TimeSeries to scale upon. This is called a *per-group metric* for the purpose of autoscaling. If not specified, the type defaults to gce_instance. Try to provide a filter that is selective enough to pick just one TimeSeries for the autoscaled group or for each of the instances (if you are using gce_instance resource type). If multiple TimeSeries are returned upon the query execution, the autoscaler will sum their respective values to obtain its scaling value.", "type": "string" }, "utilizationTarget": { "format": "double", "description": "The target value of the metric that autoscaler maintains. This must be a positive value. A utilization metric scales number of virtual machines handling requests to increase or decrease proportionally to the metric. For example, a good metric to use as a utilization_target is https://www.googleapis.com/compute/v1/instance/network/received_bytes_count. The autoscaler works to keep this value constant for each of the instances.", "type": "number" }, "utilizationTargetType": { "enum": [ "DELTA_PER_MINUTE", "DELTA_PER_SECOND", "GAUGE" ], "enumDescriptions": [ "Sets the utilization target value for a cumulative or delta metric, expressed as the rate of growth per minute.", "Sets the utilization target value for a cumulative or delta metric, expressed as the rate of growth per second.", "Sets the utilization target value for a gauge metric. The autoscaler will collect the average utilization of the virtual machines from the last couple of minutes, and compare the value to the utilization target value to perform autoscaling." ], "description": "Defines how target utilization value is expressed for a Stackdriver Monitoring metric. Either GAUGE, DELTA_PER_SECOND, or DELTA_PER_MINUTE.", "type": "string" } }, "id": "AutoscalingPolicyCustomMetricUtilization", "type": "object", "description": "Custom utilization metric policy." }, "InstanceTemplateList": { "description": "A list of instance templates.", "id": "InstanceTemplateList", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of InstanceTemplate resources.", "items": { "$ref": "InstanceTemplate" }, "type": "array" }, "kind": { "description": "[Output Only] The resource type, which is always compute#instanceTemplatesListResponse for instance template lists.", "type": "string", "default": "compute#instanceTemplateList" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object", "description": "[Output Only] Informational warning message." } }, "type": "object" }, "Network": { "properties": { "internalIpv6Range": { "description": "When enabling ula internal ipv6, caller optionally can specify the /48 range they want from the google defined ULA prefix fd20::/20. The input must be a valid /48 ULA IPv6 address and must be within the fd20::/20. Operation will fail if the speficied /48 is already in used by another resource. If the field is not speficied, then a /48 range will be randomly allocated from fd20::/20 and returned via this field. .", "type": "string" }, "subnetworks": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Server-defined fully-qualified URLs for all subnetworks in this VPC network." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#network for networks.", "default": "compute#network", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this field when you create the resource." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "IPv4Range": { "pattern": "[0-9]{1,3}(?:\\.[0-9]{1,3}){3}/[0-9]{1,2}", "type": "string", "description": "Deprecated in favor of subnet mode networks. The range of internal addresses that are legal on this network. This range is a CIDR specification, for example: 192.168.0.0/16. Provided by the client when the network is created." }, "enableUlaInternalIpv6": { "type": "boolean", "description": "Enable ULA internal ipv6 on this network. Enabling this feature will assign a /48 from google defined ULA prefix fd20::/20. ." }, "autoCreateSubnetworks": { "description": "Must be set to create a VPC network. If not set, a legacy network is created. When set to true, the VPC network is created in auto mode. When set to false, the VPC network is created in custom mode. An auto mode VPC network starts with one subnet per region. Each subnet has a predetermined range as described in Auto mode VPC network IP ranges. For custom mode VPC networks, you can add subnets using the subnetworks insert method.", "type": "boolean" }, "gatewayIPv4": { "description": "[Output Only] The gateway address for default routing out of the network, selected by GCP.", "type": "string", "pattern": "[0-9]{1,3}(?:\\.[0-9]{1,3}){3}" }, "mtu": { "type": "integer", "description": "Maximum Transmission Unit in bytes. The minimum value for this field is 1460 and the maximum value is 1500 bytes. If unspecified, defaults to 1460.", "format": "int32" }, "peerings": { "type": "array", "items": { "$ref": "NetworkPeering" }, "description": "[Output Only] A list of network peerings for the resource." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "networkFirewallPolicyEnforcementOrder": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "AFTER_CLASSIC_FIREWALL", "BEFORE_CLASSIC_FIREWALL" ], "description": "The network firewall policy enforcement order. Can be either AFTER_CLASSIC_FIREWALL or BEFORE_CLASSIC_FIREWALL. Defaults to AFTER_CLASSIC_FIREWALL if the field is not specified." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "routingConfig": { "$ref": "NetworkRoutingConfig", "description": "The network-level routing configuration for this network. Used by Cloud Router to determine what type of network-wide routing behavior to enforce." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional network resides. This field is not applicable to global network. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "firewallPolicy": { "description": "[Output Only] URL of the firewall policy the network is associated with.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.", "annotations": { "required": [ "compute.networks.insert" ] } } }, "id": "Network", "type": "object", "description": "Represents a VPC Network resource. Networks connect resources to each other and to the internet. For more information, read Virtual Private Cloud (VPC) Network." }, "PacketMirroringFilter": { "properties": { "direction": { "description": "Direction of traffic to mirror, either INGRESS, EGRESS, or BOTH. The default is BOTH.", "enumDescriptions": [ "Default, both directions are mirrored.", "Only egress traffic is mirrored.", "Only ingress traffic is mirrored." ], "type": "string", "enum": [ "BOTH", "EGRESS", "INGRESS" ] }, "IPProtocols": { "items": { "type": "string" }, "type": "array", "description": "Protocols that apply as filter on mirrored traffic. If no protocols are specified, all traffic that matches the specified CIDR ranges is mirrored. If neither cidrRanges nor IPProtocols is specified, all traffic is mirrored." }, "cidrRanges": { "items": { "type": "string" }, "description": "IP CIDR ranges that apply as filter on the source (ingress) or destination (egress) IP in the IP header. Only IPv4 is supported. If no ranges are specified, all traffic that matches the specified IPProtocols is mirrored. If neither cidrRanges nor IPProtocols is specified, all traffic is mirrored.", "type": "array" } }, "id": "PacketMirroringFilter", "type": "object" }, "UrlMapsScopedList": { "properties": { "urlMaps": { "items": { "$ref": "UrlMap" }, "description": "A list of UrlMaps contained in this scope.", "type": "array" }, "warning": { "description": "Informational warning which replaces the list of backend services when the list is empty.", "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } } }, "id": "UrlMapsScopedList", "type": "object" }, "InterconnectMacsecConfigPreSharedKey": { "type": "object", "description": "Describes a pre-shared key used to setup MACsec in static connectivity association key (CAK) mode.", "properties": { "ckn": { "description": "An auto-generated Connectivity Association Key Name (CKN) for this key.", "type": "string" }, "cak": { "description": "An auto-generated Connectivity Association Key (CAK) for this key.", "type": "string" }, "name": { "type": "string", "description": "User provided name for this pre-shared key." }, "startTime": { "description": "User provided timestamp on or after which this key is valid.", "type": "string" } }, "id": "InterconnectMacsecConfigPreSharedKey" }, "NetworkEndpointGroupCloudFunction": { "type": "object", "properties": { "urlMask": { "description": "A template to parse function field from a request URL. URL mask allows for routing to multiple Cloud Functions without having to create multiple Network Endpoint Groups and backend services. For example, request URLs \" mydomain.com/function1\" and \"mydomain.com/function2\" can be backed by the same Serverless NEG with URL mask \"/\". The URL mask will parse them to { function = \"function1\" } and { function = \"function2\" } respectively.", "type": "string" }, "function": { "description": "A user-defined name of the Cloud Function. The function name is case-sensitive and must be 1-63 characters long. Example value: \"func1\".", "type": "string" } }, "description": "Configuration for a Cloud Function network endpoint group (NEG). The function must be provided explicitly or in the URL mask. Note: Cloud Function must be in the same project and located in the same region as the Serverless NEG.", "id": "NetworkEndpointGroupCloudFunction" }, "PublicAdvertisedPrefixList": { "type": "object", "id": "PublicAdvertisedPrefixList", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "default": "compute#publicAdvertisedPrefixList", "description": "[Output Only] Type of the resource. Always compute#publicAdvertisedPrefix for public advertised prefixes." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "items": { "$ref": "PublicAdvertisedPrefix" }, "description": "A list of PublicAdvertisedPrefix resources.", "type": "array" }, "warning": { "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } } }, "ResourceGroupReference": { "id": "ResourceGroupReference", "type": "object", "properties": { "group": { "description": "A URI referencing one of the instance groups or network endpoint groups listed in the backend service.", "type": "string" } } }, "HttpHeaderOption": { "type": "object", "id": "HttpHeaderOption", "properties": { "replace": { "type": "boolean", "description": "If false, headerValue is appended to any values that already exist for the header. If true, headerValue is set for the header, discarding any values that were set for that header. The default value is false. " }, "headerName": { "type": "string", "description": "The name of the header." }, "headerValue": { "description": "The value of the header to add.", "type": "string" } }, "description": "Specification determining how headers are added to requests or responses." }, "InstanceGroupList": { "description": "A list of InstanceGroup resources.", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } } }, "type": "object" }, "kind": { "type": "string", "description": "[Output Only] The resource type, which is always compute#instanceGroupList for instance group lists.", "default": "compute#instanceGroupList" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "type": "array", "description": "A list of InstanceGroup resources.", "items": { "$ref": "InstanceGroup" } } }, "type": "object", "id": "InstanceGroupList" }, "InterconnectDiagnosticsLinkStatus": { "properties": { "transmittingOpticalPower": { "description": "An InterconnectDiagnostics.LinkOpticalPower object, describing the current value and status of the transmitted light level.", "$ref": "InterconnectDiagnosticsLinkOpticalPower" }, "lacpStatus": { "$ref": "InterconnectDiagnosticsLinkLACPStatus" }, "macsec": { "$ref": "InterconnectDiagnosticsMacsecStatus", "description": "Describes the status of MACsec encryption on this link." }, "receivingOpticalPower": { "description": "An InterconnectDiagnostics.LinkOpticalPower object, describing the current value and status of the received light level.", "$ref": "InterconnectDiagnosticsLinkOpticalPower" }, "arpCaches": { "type": "array", "items": { "$ref": "InterconnectDiagnosticsARPEntry" }, "description": "A list of InterconnectDiagnostics.ARPEntry objects, describing the ARP neighbor entries seen on this link. This will be empty if the link is bundled" }, "operationalStatus": { "enum": [ "LINK_OPERATIONAL_STATUS_DOWN", "LINK_OPERATIONAL_STATUS_UNSPECIFIED", "LINK_OPERATIONAL_STATUS_UP" ], "type": "string", "enumDescriptions": [ "The interface is unable to communicate with the remote end.", "", "The interface has low level communication with the remote end." ], "description": "The operational status of the link." }, "circuitId": { "description": "The unique ID for this link assigned during turn up by Google.", "type": "string" }, "googleDemarc": { "type": "string", "description": "The Demarc address assigned by Google and provided in the LoA." } }, "id": "InterconnectDiagnosticsLinkStatus", "type": "object" }, "FutureReservationSpecificSKUProperties": { "id": "FutureReservationSpecificSKUProperties", "type": "object", "properties": { "instanceProperties": { "$ref": "AllocationSpecificSKUAllocationReservedInstanceProperties", "description": "Properties of the SKU instances being reserved." }, "totalCount": { "type": "string", "format": "int64", "description": "Total number of instances for which capacity assurance is requested at a future time period." } } }, "HttpHeaderAction": { "properties": { "requestHeadersToRemove": { "description": "A list of header names for headers that need to be removed from the request before forwarding the request to the backendService.", "items": { "type": "string" }, "type": "array" }, "responseHeadersToRemove": { "items": { "type": "string" }, "description": "A list of header names for headers that need to be removed from the response before sending the response back to the client.", "type": "array" }, "requestHeadersToAdd": { "type": "array", "items": { "$ref": "HttpHeaderOption" }, "description": "Headers to add to a matching request before forwarding the request to the backendService." }, "responseHeadersToAdd": { "items": { "$ref": "HttpHeaderOption" }, "description": "Headers to add the response before sending the response back to the client.", "type": "array" } }, "description": "The request and response header transformations that take effect before the request is passed along to the selected backendService.", "id": "HttpHeaderAction", "type": "object" }, "InterconnectAttachmentsScopedList": { "type": "object", "id": "InterconnectAttachmentsScopedList", "properties": { "warning": { "description": "Informational warning which replaces the list of addresses when the list is empty.", "properties": { "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object" }, "interconnectAttachments": { "type": "array", "description": "A list of interconnect attachments contained in this scope.", "items": { "$ref": "InterconnectAttachment" } } } }, "SslPolicy": { "properties": { "kind": { "description": "[Output only] Type of the resource. Always compute#sslPolicyfor SSL policies.", "type": "string", "default": "compute#sslPolicy" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "region": { "description": "[Output Only] URL of the region where the regional SSL policy resides. This field is not applicable to global SSL policies.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "name": { "description": "Name of the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "customFeatures": { "items": { "type": "string" }, "type": "array", "description": "A list of features enabled when the selected profile is CUSTOM. The method returns the set of features that can be specified in this list. This field must be empty if the profile is not CUSTOM." }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a SslPolicy. An up-to-date fingerprint must be provided in order to update the SslPolicy, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an SslPolicy.", "type": "string", "format": "byte" }, "minTlsVersion": { "enum": [ "TLS_1_0", "TLS_1_1", "TLS_1_2" ], "enumDescriptions": [ "TLS 1.0", "TLS 1.1", "TLS 1.2" ], "description": "The minimum version of SSL protocol that can be used by the clients to establish a connection with the load balancer. This can be one of TLS_1_0, TLS_1_1, TLS_1_2.", "type": "string" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "tlsSettings": { "$ref": "ServerTlsSettings", "description": "Security settings for the proxy. This field is only applicable to a global backend service with the loadBalancingScheme set to INTERNAL_SELF_MANAGED." }, "profile": { "type": "string", "enumDescriptions": [ "Compatible profile. Allows the broadset set of clients, even those which support only out-of-date SSL features to negotiate with the load balancer.", "Custom profile. Allow only the set of allowed SSL features specified in the customFeatures field.", "Modern profile. Supports a wide set of SSL features, allowing modern clients to negotiate SSL with the load balancer.", "Restricted profile. Supports a reduced set of SSL features, intended to meet stricter compliance requirements." ], "enum": [ "COMPATIBLE", "CUSTOM", "MODERN", "RESTRICTED" ], "description": "Profile specifies the set of SSL features that can be used by the load balancer when negotiating SSL with clients. This can be one of COMPATIBLE, MODERN, RESTRICTED, or CUSTOM. If using CUSTOM, the set of SSL features to enable must be specified in the customFeatures field." }, "warnings": { "type": "array", "items": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } }, "description": "[Output Only] If potential misconfigurations are detected for this SSL policy, this field will be populated with warning messages." }, "enabledFeatures": { "type": "array", "description": "[Output Only] The list of features enabled in the SSL policy.", "items": { "type": "string" } } }, "id": "SslPolicy", "description": "Represents an SSL Policy resource. Use SSL policies to control the SSL features, such as versions and cipher suites, offered by an HTTPS or SSL Proxy load balancer. For more information, read SSL Policy Concepts.", "type": "object" }, "Metadata": { "description": "A metadata key/value entry.", "id": "Metadata", "properties": { "items": { "description": "Array of key/value pairs. The total size of all keys and values must be less than 512 KB.", "type": "array", "items": { "properties": { "value": { "type": "string", "annotations": { "required": [ "compute.instances.insert", "compute.projects.setCommonInstanceMetadata" ] }, "description": "Value for the metadata entry. These are free-form strings, and only have meaning as interpreted by the image running in the instance. The only restriction placed on values is that their size must be less than or equal to 262144 bytes (256 KiB)." }, "key": { "annotations": { "required": [ "compute.instances.insert", "compute.projects.setCommonInstanceMetadata" ] }, "type": "string", "description": "Key for the metadata entry. Keys must conform to the following regexp: [a-zA-Z0-9-_]+, and be less than 128 bytes in length. This is reflected as part of a URL in the metadata server. Additionally, to avoid ambiguity, keys must not conflict with any other metadata keys for the project.", "pattern": "[a-zA-Z0-9-_]{1,128}" } }, "type": "object", "description": "Metadata" } }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#metadata for metadata.", "default": "compute#metadata" }, "fingerprint": { "description": "Specifies a fingerprint for this request, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the resource.", "type": "string", "format": "byte" } }, "type": "object" }, "ServiceAttachmentAggregatedList": { "properties": { "kind": { "type": "string", "default": "compute#serviceAttachmentAggregatedList", "description": "Type of resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } } }, "type": "object" }, "items": { "additionalProperties": { "description": "Name of the scope containing this set of ServiceAttachments.", "$ref": "ServiceAttachmentsScopedList" }, "description": "A list of ServiceAttachmentsScopedList resources.", "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "type": "object", "id": "ServiceAttachmentAggregatedList", "description": "Contains a list of ServiceAttachmentsScopedList." }, "NodeGroupList": { "type": "object", "properties": { "kind": { "default": "compute#nodeGroupList", "type": "string", "description": "[Output Only] Type of resource.Always compute#nodeGroupList for lists of node groups." }, "items": { "description": "A list of NodeGroup resources.", "items": { "$ref": "NodeGroup" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "description": "Contains a list of nodeGroups.", "id": "NodeGroupList" }, "RegionInstanceGroupManagersDeleteInstancesRequest": { "id": "RegionInstanceGroupManagersDeleteInstancesRequest", "type": "object", "properties": { "instances": { "type": "array", "description": "The URLs of one or more instances to delete. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "items": { "type": "string" } }, "skipInapplicableInstances": { "description": "Skip instances which cannot be deleted (instances not belonging to this managed group, already being deleted or being abandoned). If `false`, fail whole flow, if such instance is passed. DEPRECATED: Use skip_instances_on_validation_error instead.", "type": "boolean" }, "skipInstancesOnValidationError": { "type": "boolean", "description": "Specifies whether the request should proceed despite the inclusion of instances that are not members of the group or that are already in the process of being deleted or abandoned. If this field is set to `false` and such an instance is specified in the request, the operation fails. The operation always fails if the request contains a malformed instance URL or a reference to an instance that exists in a zone or region other than the group's zone or region." } } }, "ResourcePolicyWeeklyCycle": { "description": "Time window specified for weekly operations.", "properties": { "dayOfWeeks": { "description": "Up to 7 intervals/windows, one for each day of the week.", "items": { "$ref": "ResourcePolicyWeeklyCycleDayOfWeek" }, "type": "array" } }, "type": "object", "id": "ResourcePolicyWeeklyCycle" }, "AuditConfig": { "properties": { "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" }, "exemptedMembers": { "description": "This is deprecated and has no effect. Do not use.", "items": { "type": "string" }, "type": "array" } }, "id": "AuditConfig", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts jose@example.com from DATA_READ logging, and aliya@example.com from DATA_WRITE logging.", "type": "object" }, "TargetHttpsProxiesScopedList": { "properties": { "targetHttpsProxies": { "items": { "$ref": "TargetHttpsProxy" }, "description": "A list of TargetHttpsProxies contained in this scope.", "type": "array" }, "warning": { "type": "object", "description": "Informational warning which replaces the list of backend services when the list is empty.", "properties": { "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } } }, "type": "object", "id": "TargetHttpsProxiesScopedList" }, "InstanceGroupManagerStatusStatefulPerInstanceConfigs": { "properties": { "allEffective": { "type": "boolean", "description": "A bit indicating if all of the group's per-instance configurations (listed in the output of a listPerInstanceConfigs API call) have status EFFECTIVE or there are no per-instance-configs." } }, "type": "object", "id": "InstanceGroupManagerStatusStatefulPerInstanceConfigs" }, "ResourcePolicySnapshotSchedulePolicySnapshotProperties": { "id": "ResourcePolicySnapshotSchedulePolicySnapshotProperties", "type": "object", "properties": { "chainName": { "type": "string", "description": "Chain name that the snapshot is created in." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels to apply to scheduled snapshots. These can be later modified by the setLabels method. Label values may be empty." }, "storageLocations": { "description": "Cloud Storage bucket storage location of the auto snapshot (regional or multi-regional).", "type": "array", "items": { "type": "string" } }, "guestFlush": { "type": "boolean", "description": "Indication to perform a 'guest aware' snapshot." } }, "description": "Specified snapshot properties for scheduled snapshots created by this policy." }, "NetworkEndpointGroupsListEndpointsRequestNetworkEndpointFilter": { "id": "NetworkEndpointGroupsListEndpointsRequestNetworkEndpointFilter", "type": "object", "properties": { "networkEndpoint": { "$ref": "NetworkEndpoint" } } }, "InterconnectAttachmentPrivateInfo": { "type": "object", "id": "InterconnectAttachmentPrivateInfo", "properties": { "tag8021q": { "type": "integer", "format": "uint32", "description": "[Output Only] 802.1q encapsulation tag to be used for traffic between Google and the customer, going to and from this network and region." } }, "description": "Information for an interconnect attachment when this belongs to an interconnect of type DEDICATED." }, "InstanceGroupManagerStatusVersionTarget": { "id": "InstanceGroupManagerStatusVersionTarget", "properties": { "isReached": { "type": "boolean", "description": "[Output Only] A bit indicating whether version target has been reached in this managed instance group, i.e. all instances are in their target version. Instances' target version are specified by version field on Instance Group Manager." } }, "type": "object" }, "ServiceAttachmentConnectedEndpoint": { "type": "object", "description": "[Output Only] A connection connected to this service attachment.", "properties": { "pscConnectionId": { "description": "The PSC connection id of the connected endpoint.", "format": "uint64", "type": "string" }, "status": { "description": "The status of a connected endpoint to this service attachment.", "enumDescriptions": [ "The connection has been accepted by the producer.", "The connection has been closed by the producer.", "The connection has been accepted by the producer, but the producer needs to take further action before the forwarding rule can serve traffic.", "The connection is pending acceptance by the producer.", "The consumer is still connected but not using the connection.", "" ], "enum": [ "ACCEPTED", "CLOSED", "NEEDS_ATTENTION", "PENDING", "REJECTED", "STATUS_UNSPECIFIED" ], "type": "string" }, "endpoint": { "type": "string", "description": "The url of a connected endpoint." } }, "id": "ServiceAttachmentConnectedEndpoint" }, "PathMatcher": { "id": "PathMatcher", "properties": { "headerAction": { "$ref": "HttpHeaderAction", "description": "Specifies changes to request and response headers that need to take effect for the selected backend service. HeaderAction specified here are applied after the matching HttpRouteRule HeaderAction and before the HeaderAction in the UrlMap HeaderAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "pathRules": { "description": "The list of path rules. Use this list instead of routeRules when routing based on simple path matching is all that's required. The order by which path rules are specified does not matter. Matches are always done on the longest-path-first basis. For example: a pathRule with a path /a/b/c/* will match before /a/b/* irrespective of the order in which those paths appear in this list. Within a given pathMatcher, only one of pathRules or routeRules must be set.", "items": { "$ref": "PathRule" }, "type": "array" }, "defaultUrlRedirect": { "$ref": "HttpRedirectAction", "description": "When none of the specified pathRules or routeRules match, the request is redirected to a URL specified by defaultUrlRedirect. If defaultUrlRedirect is specified, defaultService or defaultRouteAction must not be set. Not supported when the URL map is bound to a target gRPC proxy." }, "defaultService": { "description": "The full or partial URL to the BackendService resource. This URL is used if none of the pathRules or routeRules defined by this PathMatcher are matched. For example, the following are all valid URLs to a BackendService resource: - https://www.googleapis.com/compute/v1/projects/project /global/backendServices/backendService - compute/v1/projects/project/global/backendServices/backendService - global/backendServices/backendService If defaultRouteAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if defaultService is specified, defaultRouteAction cannot contain any weightedBackendServices. Conversely, if defaultRouteAction specifies any weightedBackendServices, defaultService must not be specified. Only one of defaultService, defaultUrlRedirect , or defaultRouteAction.weightedBackendService must be set. Authorization requires one or more of the following Google IAM permissions on the specified resource default_service: - compute.backendBuckets.use - compute.backendServices.use ", "type": "string" }, "name": { "type": "string", "description": "The name to which this PathMatcher is referred by the HostRule." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "routeRules": { "type": "array", "items": { "$ref": "HttpRouteRule" }, "description": "The list of HTTP route rules. Use this list instead of pathRules when advanced route matching and routing actions are desired. routeRules are evaluated in order of priority, from the lowest to highest number. Within a given pathMatcher, you can set only one of pathRules or routeRules." }, "defaultRouteAction": { "$ref": "HttpRouteAction", "description": "defaultRouteAction takes effect when none of the pathRules or routeRules match. The load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If defaultRouteAction specifies any weightedBackendServices, defaultService must not be set. Conversely if defaultService is set, defaultRouteAction cannot contain any weightedBackendServices. Only one of defaultRouteAction or defaultUrlRedirect must be set. UrlMaps for external HTTP(S) load balancers support only the urlRewrite action within a path matcher's defaultRouteAction." } }, "type": "object", "description": "A matcher for the path portion of the URL. The BackendService from the longest-matched rule will serve the URL. If no rule was matched, the default service is used." }, "NetworkEndpointGroup": { "properties": { "serverlessDeployment": { "$ref": "NetworkEndpointGroupServerlessDeployment", "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine, cloudFunction or serverlessDeployment may be set." }, "region": { "description": "[Output Only] The URL of the region where the network endpoint group is located.", "type": "string" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "name": { "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "cloudRun": { "$ref": "NetworkEndpointGroupCloudRun", "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine or cloudFunction may be set." }, "kind": { "default": "compute#networkEndpointGroup", "description": "[Output Only] Type of the resource. Always compute#networkEndpointGroup for network endpoint group.", "type": "string" }, "annotations": { "additionalProperties": { "type": "string" }, "description": "Metadata defined as annotations on the network endpoint group.", "type": "object" }, "network": { "type": "string", "description": "The URL of the network to which all network endpoints in the NEG belong. Uses \"default\" project network if unspecified." }, "cloudFunction": { "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine or cloudFunction may be set.", "$ref": "NetworkEndpointGroupCloudFunction" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "type": { "type": "string", "enumDescriptions": [ "The network endpoint group is a backend of a load balancer." ], "description": "Specify the type of this network endpoint group. Only LOAD_BALANCING is valid for now.", "enum": [ "LOAD_BALANCING" ] }, "defaultPort": { "description": "The default port used if the port number is not specified in the network endpoint.", "type": "integer", "format": "int32" }, "subnetwork": { "description": "Optional URL of the subnetwork to which all network endpoints in the NEG belong.", "type": "string" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "networkEndpointType": { "enumDescriptions": [ "The network endpoint is represented by an IP address.", "The network endpoint is represented by IP address and port pair.", "The network endpoint is the primary IP address on any network interface of a VM in Compute Engine.", "The network endpoint is represented by fully qualified domain name and port.", "The network endpoint is represented by an internet IP address and port.", "The network endpoint is represented by an IP address and port. The endpoint belongs to a VM or pod running in a customer's on-premises.", "The network endpoint is either public Google APIs or services exposed by other GCP Project with a Service Attachment. The connection is set up by private service connect", "The network endpoint is handled by specified serverless infrastructure." ], "enum": [ "GCE_VM_IP", "GCE_VM_IP_PORT", "GCE_VM_PRIMARY_IP", "INTERNET_FQDN_PORT", "INTERNET_IP_PORT", "NON_GCP_PRIVATE_IP_PORT", "PRIVATE_SERVICE_CONNECT", "SERVERLESS" ], "type": "string", "description": "Type of network endpoints in this network endpoint group. Can be one of GCE_VM_IP, GCE_VM_IP_PORT, NON_GCP_PRIVATE_IP_PORT, INTERNET_FQDN_PORT, INTERNET_IP_PORT, SERVERLESS, PRIVATE_SERVICE_CONNECT." }, "pscTargetService": { "type": "string", "description": "The target service url used to set up private service connection to a Google API or a PSC Producer Service Attachment. An example value is: \"asia-northeast3-cloudkms.googleapis.com\"" }, "size": { "format": "int32", "description": "[Output only] Number of network endpoints in the network endpoint group.", "type": "integer" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "loadBalancer": { "$ref": "NetworkEndpointGroupLbNetworkEndpointGroup", "description": "This field is only valid when the network endpoint group is used for load balancing. [Deprecated] This field is deprecated." }, "appEngine": { "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine or cloudFunction may be set.", "$ref": "NetworkEndpointGroupAppEngine" }, "zone": { "description": "[Output Only] The URL of the zone where the network endpoint group is located.", "type": "string" } }, "description": "Represents a collection of network endpoints. A network endpoint group (NEG) defines how a set of endpoints should be reached, whether they are reachable, and where they are located. For more information about using NEGs, see Setting up external HTTP(S) Load Balancing with internet NEGs, Setting up zonal NEGs, or Setting up external HTTP(S) Load Balancing with serverless NEGs.", "id": "NetworkEndpointGroup", "type": "object" }, "NetworkPeering": { "type": "object", "description": "A network peering attached to a network resource. The message includes the peering name, peer network, peering state, and a flag indicating whether Google Compute Engine should automatically create routes for the peering.", "properties": { "stackType": { "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "type": "string", "description": "Which IP version(s) of traffic and routes are allowed to be imported or exported between peer networks. The default value is IPV4_ONLY.", "enumDescriptions": [ "This Peering will allow IPv4 traffic and routes to be exchanged. Additionally if the matching peering is IPV4_IPV6, IPv6 traffic and routes will be exchanged as well.", "This Peering will only allow IPv4 traffic and routes to be exchanged, even if the matching peering is IPV4_IPV6." ] }, "state": { "enumDescriptions": [ "Matching configuration exists on the peer.", "There is no matching configuration on the peer, including the case when peer does not exist." ], "description": "[Output Only] State for the peering, either `ACTIVE` or `INACTIVE`. The peering is `ACTIVE` when there's a matching configuration in the peer network.", "enum": [ "ACTIVE", "INACTIVE" ], "type": "string" }, "importCustomRoutes": { "description": "Whether to import the custom routes from peer network. The default value is false.", "type": "boolean" }, "stateDetails": { "description": "[Output Only] Details about the current state of the peering.", "type": "string" }, "advertisePeerSubnetsViaRouters": { "description": "Whether Cloud Routers in this network can automatically advertise subnets from the peer network.", "type": "boolean" }, "name": { "type": "string", "description": "Name of this peering. Provided by the client when the peering is created. The name must comply with RFC1035. Specifically, the name must be 1-63 characters long and match regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all the following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "network": { "type": "string", "description": "The URL of the peer network. It can be either full URL or partial URL. The peer network may belong to a different project. If the partial URL does not contain project, it is assumed that the peer network is in the same project as the current network." }, "exchangeSubnetRoutes": { "type": "boolean", "description": "Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE." }, "importSubnetRoutesWithPublicIp": { "description": "Whether subnet routes with public IP range are imported. The default value is false. IPv4 special-use ranges are always imported from peers and are not controlled by this field.", "type": "boolean" }, "peerMtu": { "description": "Maximum Transmission Unit in bytes.", "format": "int32", "type": "integer" }, "exportCustomRoutes": { "description": "Whether to export the custom routes to peer network. The default value is false.", "type": "boolean" }, "autoCreateRoutes": { "description": "This field will be deprecated soon. Use the exchange_subnet_routes field instead. Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE.", "type": "boolean" }, "exportSubnetRoutesWithPublicIp": { "description": "Whether subnet routes with public IP range are exported. The default value is true, all subnet routes are exported. IPv4 special-use ranges are always exported to peers and are not controlled by this field.", "type": "boolean" } }, "id": "NetworkPeering" }, "InterconnectDiagnosticsLinkOpticalPower": { "type": "object", "id": "InterconnectDiagnosticsLinkOpticalPower", "properties": { "state": { "type": "string", "enumDescriptions": [ "The value has crossed above the high alarm threshold.", "The value of the current optical power has crossed above the high warning threshold.", "The value of the current optical power has crossed below the low alarm threshold.", "The value of the current optical power has crossed below the low warning threshold.", "The value of the current optical power has not crossed a warning threshold." ], "enum": [ "HIGH_ALARM", "HIGH_WARNING", "LOW_ALARM", "LOW_WARNING", "OK" ], "description": "The status of the current value when compared to the warning and alarm levels for the receiving or transmitting transceiver. Possible states include: - OK: The value has not crossed a warning threshold. - LOW_WARNING: The value has crossed below the low warning threshold. - HIGH_WARNING: The value has crossed above the high warning threshold. - LOW_ALARM: The value has crossed below the low alarm threshold. - HIGH_ALARM: The value has crossed above the high alarm threshold. " }, "value": { "format": "float", "description": "Value of the current receiving or transmitting optical power, read in dBm. Take a known good optical value, give it a 10% margin and trigger warnings relative to that value. In general, a -7dBm warning and a -11dBm alarm are good optical value estimates for most links.", "type": "number" } } }, "LicenseCode": { "description": "Represents a License Code resource. A License Code is a unique identifier used to represent a license resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "id": "LicenseCode", "properties": { "transferable": { "description": "[Output Only] If true, the license will remain attached when creating images or snapshots from disks. Otherwise, the license is not transferred.", "type": "boolean" }, "kind": { "default": "compute#licenseCode", "description": "[Output Only] Type of resource. Always compute#licenseCode for licenses.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "pattern": "[0-9]{0,20}?", "annotations": { "required": [ "compute.licenses.insert" ] }, "type": "string", "description": "[Output Only] Name of the resource. The name is 1-20 characters long and must be a valid 64 bit integer." }, "licenseAlias": { "items": { "$ref": "LicenseCodeLicenseAlias" }, "description": "[Output Only] URL and description aliases of Licenses with the same License Code.", "type": "array" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "state": { "description": "[Output Only] Current state of this License Code.", "enum": [ "DISABLED", "ENABLED", "RESTRICTED", "STATE_UNSPECIFIED", "TERMINATED" ], "enumDescriptions": [ "Machines are not allowed to attach boot disks with this License Code. Requests to create new resources with this license will be rejected.", "Use is allowed for anyone with USE_READ_ONLY access to this License Code.", "Use of this license is limited to a project whitelist.", "", "Reserved state." ], "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "description": { "type": "string", "description": "[Output Only] Description of this License Code." } }, "type": "object" }, "Router": { "properties": { "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "interfaces": { "items": { "$ref": "RouterInterface" }, "description": "Router interfaces. Each interface requires either one linked resource, (for example, linkedVpnTunnel), or IP address and IP address range (for example, ipRange), or both.", "type": "array" }, "encryptedInterconnectRouter": { "description": "Indicates if a router is dedicated for use with encrypted VLAN attachments (interconnectAttachments). Not currently available publicly. ", "type": "boolean" }, "kind": { "description": "[Output Only] Type of resource. Always compute#router for routers.", "default": "compute#router", "type": "string" }, "md5AuthenticationKeys": { "type": "array", "items": { "$ref": "RouterMd5AuthenticationKey" }, "description": "Keys used for MD5 authentication." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "annotations": { "required": [ "compute.routers.insert" ] } }, "bgpPeers": { "type": "array", "items": { "$ref": "RouterBgpPeer" }, "description": "BGP information that must be configured into the routing stack to establish BGP peering. This information must specify the peer ASN and either the interface name, IP address, or peer IP address. Please refer to RFC4273." }, "network": { "annotations": { "required": [ "compute.routers.insert", "compute.routers.update" ] }, "type": "string", "description": "URI of the network to which this router belongs." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "bgp": { "$ref": "RouterBgp", "description": "BGP information specific to this router." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] URI of the region where the router resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "nats": { "description": "A list of NAT services created in this router.", "items": { "$ref": "RouterNat" }, "type": "array" } }, "description": "Represents a Cloud Router resource. For more information about Cloud Router, read the Cloud Router overview.", "id": "Router", "type": "object" }, "Condition": { "description": "This is deprecated and has no effect. Do not use.", "properties": { "svc": { "type": "string", "description": "This is deprecated and has no effect. Do not use." }, "op": { "enum": [ "DISCHARGED", "EQUALS", "IN", "NOT_EQUALS", "NOT_IN", "NO_OP" ], "type": "string", "description": "This is deprecated and has no effect. Do not use.", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ] }, "values": { "type": "array", "items": { "type": "string" }, "description": "This is deprecated and has no effect. Do not use." }, "sys": { "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "description": "This is deprecated and has no effect. Do not use.", "type": "string", "enum": [ "IP", "NAME", "NO_ATTR", "REGION", "SERVICE" ] }, "iam": { "description": "This is deprecated and has no effect. Do not use.", "enum": [ "APPROVER", "ATTRIBUTION", "AUTHORITY", "CREDENTIALS_TYPE", "CREDS_ASSERTION", "JUSTIFICATION_TYPE", "NO_ATTR", "SECURITY_REALM" ], "type": "string", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ] } }, "id": "Condition", "type": "object" }, "ChannelCredentials": { "type": "object", "id": "ChannelCredentials", "properties": { "channelCredentialType": { "type": "string", "enumDescriptions": [ "Use TLS certificates to access the SDS server.", "Use local GCE VM credentials to access the SDS server.", "" ], "enum": [ "CERTIFICATES", "GCE_VM", "INVALID" ], "description": "The channel credentials to access the SDS server. This field can be set to one of the following: CERTIFICATES: Use TLS certificates to access the SDS server. GCE_VM: Use local GCE VM credentials to access the SDS server." }, "certificates": { "description": "The call credentials to access the SDS server.", "$ref": "TlsCertificatePaths" } }, "description": "[Deprecated] gRPC channel credentials to access the SDS server. gRPC channel credentials to access the SDS server." }, "UrlMapTestHeader": { "properties": { "value": { "type": "string", "description": "Header value." }, "name": { "description": "Header name.", "type": "string" } }, "id": "UrlMapTestHeader", "type": "object", "description": "HTTP headers used in UrlMapTests." }, "NetworksAddPeeringRequest": { "id": "NetworksAddPeeringRequest", "type": "object", "properties": { "exportCustomRoutes": { "type": "boolean", "description": "This field will be deprecated soon. Use export_custom_routes in network_peering instead. Whether to export the custom routes to peer network." }, "autoCreateRoutes": { "description": "This field will be deprecated soon. Use exchange_subnet_routes in network_peering instead. Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE.", "type": "boolean" }, "peerNetwork": { "type": "string", "description": "URL of the peer network. It can be either full URL or partial URL. The peer network may belong to a different project. If the partial URL does not contain project, it is assumed that the peer network is in the same project as the current network." }, "name": { "annotations": { "required": [ "compute.networks.addPeering" ] }, "description": "Name of the peering, which should conform to RFC1035.", "type": "string" }, "networkPeering": { "description": "Network peering parameters. In order to specify route policies for peering using import and export custom routes, you must specify all peering related parameters (name, peer network, exchange_subnet_routes) in the network_peering field. The corresponding fields in NetworksAddPeeringRequest will be deprecated soon.", "$ref": "NetworkPeering" }, "importCustomRoutes": { "description": "This field will be deprecated soon. Use import_custom_routes in network_peering instead. Whether to import the custom routes from peer network.", "type": "boolean" } } }, "InstanceWithNamedPorts": { "type": "object", "id": "InstanceWithNamedPorts", "properties": { "namedPorts": { "type": "array", "items": { "$ref": "NamedPort" }, "description": "[Output Only] The named ports that belong to this instance group." }, "instance": { "type": "string", "description": "[Output Only] The URL of the instance." }, "status": { "type": "string", "description": "[Output Only] The status of the instance.", "enum": [ "DEPROVISIONING", "PROVISIONING", "REPAIRING", "RUNNING", "STAGING", "STOPPED", "STOPPING", "SUSPENDED", "SUSPENDING", "TERMINATED" ], "enumDescriptions": [ "The Nanny is halted and we are performing tear down tasks like network deprogramming, releasing quota, IP, tearing down disks etc.", "Resources are being allocated for the instance.", "The instance is in repair.", "The instance is running.", "All required resources have been allocated and the instance is being started.", "The instance has stopped successfully.", "The instance is currently stopping (either being deleted or killed).", "The instance has suspended.", "The instance is suspending.", "The instance has stopped (either by explicit action or underlying failure)." ] } } }, "TargetTcpProxiesSetBackendServiceRequest": { "type": "object", "properties": { "service": { "description": "The URL of the new BackendService resource for the targetTcpProxy.", "type": "string" } }, "id": "TargetTcpProxiesSetBackendServiceRequest" }, "TargetSslProxiesSetSslCertificatesRequest": { "properties": { "sslCertificates": { "description": "New set of URLs to SslCertificate resources to associate with this TargetSslProxy. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "TargetSslProxiesSetSslCertificatesRequest" }, "HttpFaultAbort": { "properties": { "httpStatus": { "type": "integer", "format": "uint32", "description": "The HTTP status code used to abort the request. The value must be from 200 to 599 inclusive. For gRPC protocol, the gRPC status code is mapped to HTTP status code according to this mapping table. HTTP status 200 is mapped to gRPC status UNKNOWN. Injecting an OK status is currently not supported by Traffic Director." }, "percentage": { "description": "The percentage of traffic for connections, operations, or requests that is aborted as part of fault injection. The value must be from 0.0 to 100.0 inclusive.", "format": "double", "type": "number" } }, "type": "object", "description": "Specification for how requests are aborted as part of fault injection.", "id": "HttpFaultAbort" }, "VpnGatewayAggregatedList": { "type": "object", "properties": { "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#vpnGateway for VPN gateways.", "default": "compute#vpnGatewayAggregatedList" }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of VPN gateways.", "$ref": "VpnGatewaysScopedList" }, "type": "object", "description": "A list of VpnGateway resources." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "id": "VpnGatewayAggregatedList" }, "HealthCheck": { "description": "Represents a Health Check resource. Google Compute Engine has two Health Check resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/alpha/healthChecks) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/alpha/regionHealthChecks) Internal HTTP(S) load balancers must use regional health checks (`compute.v1.regionHealthChecks`). Traffic Director must use global health checks (`compute.v1.HealthChecks`). Internal TCP/UDP load balancers can use either regional or global health checks (`compute.v1.regionHealthChecks` or `compute.v1.HealthChecks`). External HTTP(S), TCP proxy, and SSL proxy load balancers as well as managed instance group auto-healing must use global health checks (`compute.v1.HealthChecks`). Backend service-based network load balancers must use regional health checks (`compute.v1.regionHealthChecks`). Target pool-based network load balancers must use legacy HTTP health checks (`compute.v1.httpHealthChecks`). For more information, see Health checks overview.", "id": "HealthCheck", "type": "object", "properties": { "httpsHealthCheck": { "$ref": "HTTPSHealthCheck" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "region": { "description": "[Output Only] Region where the health check resides. Not applicable to global health checks.", "type": "string" }, "httpHealthCheck": { "$ref": "HTTPHealthCheck" }, "healthyThreshold": { "format": "int32", "description": "A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.", "type": "integer" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "http2HealthCheck": { "$ref": "HTTP2HealthCheck" }, "sslHealthCheck": { "$ref": "SSLHealthCheck" }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. For example, a name that is 1-63 characters long, matches the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`, and otherwise complies with RFC1035. This regular expression describes a name where the first character is a lowercase letter, and all following characters are a dash, lowercase letter, or digit, except the last character, which isn't a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "timeoutSec": { "description": "How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec.", "format": "int32", "type": "integer" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in 3339 text format." }, "logConfig": { "$ref": "HealthCheckLogConfig", "description": "Configure logging on this health check." }, "checkIntervalSec": { "format": "int32", "description": "How often (in seconds) to send a health check. The default value is 5 seconds.", "type": "integer" }, "grpcHealthCheck": { "$ref": "GRPCHealthCheck" }, "kind": { "type": "string", "default": "compute#healthCheck", "description": "Type of the resource." }, "unhealthyThreshold": { "format": "int32", "type": "integer", "description": "A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "type": { "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "description": "Specifies the type of the healthCheck, either TCP, SSL, HTTP, HTTPS, HTTP2 or GRPC. Exactly one of the protocol-specific health check fields must be specified, which must match type field.", "enum": [ "GRPC", "HTTP", "HTTP2", "HTTPS", "INVALID", "SSL", "TCP", "UDP" ], "type": "string" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "tcpHealthCheck": { "$ref": "TCPHealthCheck" }, "udpHealthCheck": { "$ref": "UDPHealthCheck" } } }, "InterconnectDiagnosticsARPEntry": { "properties": { "macAddress": { "type": "string", "description": "The MAC address of this ARP neighbor." }, "ipAddress": { "type": "string", "description": "The IP address of this ARP neighbor." } }, "id": "InterconnectDiagnosticsARPEntry", "description": "Describing the ARP neighbor entries seen on this link", "type": "object" }, "HealthCheckReference": { "description": "A full or valid partial URL to a health check. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project-id/global/httpHealthChecks/health-check - projects/project-id/global/httpHealthChecks/health-check - global/httpHealthChecks/health-check ", "id": "HealthCheckReference", "type": "object", "properties": { "healthCheck": { "type": "string" } } }, "UsableSubnetworksAggregatedList": { "type": "object", "id": "UsableSubnetworksAggregatedList", "properties": { "items": { "description": "[Output] A list of usable subnetwork URLs.", "type": "array", "items": { "$ref": "UsableSubnetwork" } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#usableSubnetworksAggregatedList for aggregated lists of usable subnetworks.", "type": "string", "default": "compute#usableSubnetworksAggregatedList" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results. In special cases listUsable may return 0 subnetworks and nextPageToken which still should be used to get the next page of results.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" } } }, "AutoscalersScopedList": { "properties": { "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object", "description": "[Output Only] Informational warning which replaces the list of autoscalers when the list is empty." }, "autoscalers": { "items": { "$ref": "Autoscaler" }, "description": "[Output Only] A list of autoscalers contained in this scope.", "type": "array" } }, "type": "object", "id": "AutoscalersScopedList" }, "ResourceStatusScheduling": { "id": "ResourceStatusScheduling", "type": "object", "properties": { "terminationTimestamp": { "description": "Time in future when the instance will be terminated in RFC3339 text format.", "type": "string" }, "availabilityDomain": { "format": "int32", "description": "Specifies the availability domain (AD), which this instance should be scheduled on. The AD belongs to the spread GroupPlacementPolicy resource policy that has been assigned to the instance. Specify a value between 1-max count of availability domains in your GroupPlacementPolicy. See go/placement-policy-extension for more details.", "type": "integer" } } }, "HealthChecksAggregatedList": { "type": "object", "id": "HealthChecksAggregatedList", "properties": { "kind": { "default": "compute#healthChecksAggregatedList", "description": "Type of resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "object", "description": "A list of HealthChecksScopedList resources.", "additionalProperties": { "$ref": "HealthChecksScopedList", "description": "Name of the scope containing this set of HealthChecks." } }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message." }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } } }, "FileContentBuffer": { "type": "object", "id": "FileContentBuffer", "properties": { "fileType": { "type": "string", "enumDescriptions": [ "", "", "" ], "description": "The file type of source file.", "enum": [ "BIN", "UNDEFINED", "X509" ] }, "content": { "description": "The raw content in the secure keys file.", "format": "byte", "type": "string" } } }, "ShieldedInstanceIdentity": { "properties": { "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#shieldedInstanceIdentity for shielded Instance identity entry.", "default": "compute#shieldedInstanceIdentity" }, "eccP256SigningKey": { "$ref": "ShieldedInstanceIdentityEntry", "description": "An Attestation Key (AK) made by the ECC P256 algorithm issued to the Shielded Instance's vTPM." }, "encryptionKey": { "description": "An Endorsement Key (EK) made by the RSA 2048 algorithm issued to the Shielded Instance's vTPM.", "$ref": "ShieldedInstanceIdentityEntry" }, "eccP256EncryptionKey": { "description": "An Endorsement Key (EK) made by the ECC P256 algorithm issued to the Shielded Instance's vTPM.", "$ref": "ShieldedInstanceIdentityEntry" }, "signingKey": { "$ref": "ShieldedInstanceIdentityEntry", "description": "An Attestation Key (AK) made by the RSA 2048 algorithm issued to the Shielded Instance's vTPM." } }, "description": "A Shielded Instance Identity.", "type": "object", "id": "ShieldedInstanceIdentity" }, "RouterNatSubnetworkToNat": { "type": "object", "description": "Defines the IP ranges that want to use NAT for a subnetwork.", "properties": { "secondaryIpRangeNames": { "description": "A list of the secondary ranges of the Subnetwork that are allowed to use NAT. This can be populated only if \"LIST_OF_SECONDARY_IP_RANGES\" is one of the values in source_ip_ranges_to_nat.", "items": { "type": "string" }, "type": "array" }, "sourceIpRangesToNat": { "items": { "enumDescriptions": [ "The primary and all the secondary ranges are allowed to Nat.", "A list of secondary ranges are allowed to Nat.", "The primary range is allowed to Nat." ], "type": "string", "enum": [ "ALL_IP_RANGES", "LIST_OF_SECONDARY_IP_RANGES", "PRIMARY_IP_RANGE" ] }, "description": "Specify the options for NAT ranges in the Subnetwork. All options of a single value are valid except NAT_IP_RANGE_OPTION_UNSPECIFIED. The only valid option with multiple values is: [\"PRIMARY_IP_RANGE\", \"LIST_OF_SECONDARY_IP_RANGES\"] Default: [ALL_IP_RANGES]", "type": "array" }, "name": { "description": "URL for the subnetwork resource that will use NAT.", "type": "string" } }, "id": "RouterNatSubnetworkToNat" }, "RegionInstanceGroupManagersListInstancesResponse": { "type": "object", "id": "RegionInstanceGroupManagersListInstancesResponse", "properties": { "managedInstances": { "type": "array", "description": "A list of managed instances.", "items": { "$ref": "ManagedInstance" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "ForwardingRulesScopedList": { "properties": { "warning": { "properties": { "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "type": "object", "description": "Informational warning which replaces the list of forwarding rules when the list is empty." }, "forwardingRules": { "type": "array", "items": { "$ref": "ForwardingRule" }, "description": "A list of forwarding rules contained in this scope." } }, "id": "ForwardingRulesScopedList", "type": "object" }, "HttpRouteRuleMatch": { "description": "HttpRouteRuleMatch specifies a set of criteria for matching requests to an HttpRouteRule. All specified criteria must be satisfied for a match to occur.", "type": "object", "properties": { "prefixMatch": { "type": "string", "description": "For satisfying the matchRule condition, the request's path must begin with the specified prefixMatch. prefixMatch must begin with a /. The value must be from 1 to 1024 characters. Only one of prefixMatch, fullPathMatch or regexMatch must be specified." }, "metadataFilters": { "type": "array", "items": { "$ref": "MetadataFilter" }, "description": "Opaque filter criteria used by the load balancer to restrict routing configuration to a limited set of xDS compliant clients. In their xDS requests to the load balancer, xDS clients present node metadata. When there is a match, the relevant routing configuration is made available to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. If multiple metadata filters are specified, all of them need to be satisfied in order to be considered a match. metadataFilters specified here is applied after those specified in ForwardingRule that refers to the UrlMap this HttpRouteRuleMatch belongs to. metadataFilters only applies to load balancers that have loadBalancingScheme set to INTERNAL_SELF_MANAGED. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "headerMatches": { "items": { "$ref": "HttpHeaderMatch" }, "type": "array", "description": "Specifies a list of header match criteria, all of which must match corresponding headers in the request." }, "fullPathMatch": { "description": "For satisfying the matchRule condition, the path of the request must exactly match the value specified in fullPathMatch after removing any query parameters and anchor that may be part of the original URL. fullPathMatch must be from 1 to 1024 characters. Only one of prefixMatch, fullPathMatch or regexMatch must be specified.", "type": "string" }, "queryParameterMatches": { "type": "array", "items": { "$ref": "HttpQueryParameterMatch" }, "description": "Specifies a list of query parameter match criteria, all of which must match corresponding query parameters in the request. Not supported when the URL map is bound to a target gRPC proxy." }, "regexMatch": { "type": "string", "description": "For satisfying the matchRule condition, the path of the request must satisfy the regular expression specified in regexMatch after removing any query parameters and anchor supplied with the original URL. For more information about regular expression syntax, see Syntax. Only one of prefixMatch, fullPathMatch or regexMatch must be specified. regexMatch only applies to load balancers that have loadBalancingScheme set to INTERNAL_SELF_MANAGED." }, "ignoreCase": { "type": "boolean", "description": "Specifies that prefixMatch and fullPathMatch matches are case sensitive. The default value is false. ignoreCase must not be used with regexMatch. Not supported when the URL map is bound to a target gRPC proxy." } }, "id": "HttpRouteRuleMatch" }, "VmEndpointNatMappingsList": { "id": "VmEndpointNatMappingsList", "type": "object", "description": "Contains a list of VmEndpointNatMappings.", "properties": { "result": { "items": { "$ref": "VmEndpointNatMappings" }, "description": "[Output Only] A list of Nat mapping information of VM endpoints.", "type": "array" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "kind": { "description": "[Output Only] Type of resource. Always compute#vmEndpointNatMappingsList for lists of Nat mappings of VM endpoints.", "default": "compute#vmEndpointNatMappingsList", "type": "string" } } }, "InstancesSetLabelsRequest": { "id": "InstancesSetLabelsRequest", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object" }, "labelFingerprint": { "description": "Fingerprint of the previous set of labels for this resource, used to prevent conflicts. Provide the latest fingerprint value when making a request to add or change labels.", "format": "byte", "type": "string" } }, "type": "object" }, "InstantSnapshotsScopedList": { "id": "InstantSnapshotsScopedList", "properties": { "instantSnapshots": { "description": "[Output Only] A list of instantSnapshots contained in this scope.", "type": "array", "items": { "$ref": "InstantSnapshot" } }, "warning": { "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning which replaces the list of instantSnapshots when the list is empty.", "type": "object" } }, "type": "object" }, "PublicDelegatedPrefix": { "id": "PublicDelegatedPrefix", "description": "A PublicDelegatedPrefix resource represents an IP block within a PublicAdvertisedPrefix that is configured within a single cloud scope (global or region). IPs in the block can be allocated to resources within that scope. Public delegated prefixes may be further broken up into smaller IP blocks in the same scope as the parent block.", "properties": { "parentPrefix": { "type": "string", "description": "The URL of parent prefix. Either PublicAdvertisedPrefix or PublicDelegatedPrefix." }, "publicDelegatedSubPrefixs": { "description": "The list of sub public delegated prefixes that exist for this public delegated prefix.", "items": { "$ref": "PublicDelegatedPrefixPublicDelegatedSubPrefix" }, "type": "array" }, "fingerprint": { "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a new PublicDelegatedPrefix. An up-to-date fingerprint must be provided in order to update the PublicDelegatedPrefix, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a PublicDelegatedPrefix.", "type": "string" }, "kind": { "default": "compute#publicDelegatedPrefix", "type": "string", "description": "[Output Only] Type of the resource. Always compute#publicDelegatedPrefix for public delegated prefixes." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "ipCidrRange": { "description": "The IPv4 address range, in CIDR format, represented by this public delegated prefix.", "type": "string" }, "status": { "enumDescriptions": [ "The public delegated prefix is active.", "The prefix is announced within Google network.", "The prefix is announced to Internet and within Google.", "The public delegated prefix is being deprovsioned.", "The public delegated prefix is being initialized and addresses cannot be created yet.", "The public delegated prefix is currently withdrawn but ready to be announced." ], "enum": [ "ANNOUNCED", "ANNOUNCED_TO_GOOGLE", "ANNOUNCED_TO_INTERNET", "DELETING", "INITIALIZING", "READY_TO_ANNOUNCE" ], "description": "[Output Only] The status of the public delegated prefix, which can be one of following values: - `INITIALIZING` The public delegated prefix is being initialized and addresses cannot be created yet. - `READY_TO_ANNOUNCE` The public delegated prefix is a live migration prefix and is active. - `ANNOUNCED` The public delegated prefix is active. - `DELETING` The public delegated prefix is being deprovsioned. ", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL with id for the resource." }, "id": { "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "format": "uint64", "type": "string" }, "isLiveMigration": { "description": "If true, the prefix will be live migrated.", "type": "boolean" }, "name": { "annotations": { "required": [ "compute.publicDelegatedPrefixes.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "region": { "description": "[Output Only] URL of the region where the public delegated prefix resides. This field applies only to the region resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" } }, "type": "object" }, "ImageList": { "description": "Contains a list of images.", "id": "ImageList", "properties": { "items": { "items": { "$ref": "Image" }, "type": "array", "description": "A list of Image resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#imageList", "description": "Type of resource.", "type": "string" } }, "type": "object" }, "IpOwnerList": { "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#ipOwnerList for lists of IP owners.", "type": "string", "default": "compute#ipOwnerList" }, "items": { "description": "A list of InternalIpOwner resources.", "items": { "$ref": "InternalIpOwner" }, "type": "array" }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "IpOwnerList", "description": "Contains a list of IP owners.", "type": "object" }, "RequestMirrorPolicy": { "id": "RequestMirrorPolicy", "properties": { "backendService": { "type": "string", "description": "The full or partial URL to the BackendService resource being mirrored to." } }, "type": "object", "description": "A policy that specifies how requests intended for the route's backends are shadowed to a separate mirrored backend service. The load balancer doesn't wait for responses from the shadow service. Before sending traffic to the shadow service, the host or authority header is suffixed with -shadow." }, "TargetInstance": { "id": "TargetInstance", "description": "Represents a Target Instance resource. You can use a target instance to handle traffic for one or more forwarding rules, which is ideal for forwarding protocol traffic that is managed by a single source. For example, ESP, AH, TCP, or UDP. For more information, read Target instances.", "type": "object", "properties": { "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "natPolicy": { "type": "string", "enum": [ "NO_NAT" ], "description": "NAT option controlling how IPs are NAT'ed to the instance. Currently only NO_NAT (default value) is supported.", "enumDescriptions": [ "No NAT performed." ] }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the target instance resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "kind": { "type": "string", "description": "[Output Only] The type of the resource. Always compute#targetInstance for target instances.", "default": "compute#targetInstance" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "instance": { "type": "string", "description": "A URL to the virtual machine instance that handles traffic for this target instance. When creating a target instance, you can provide the fully-qualified URL or a valid partial URL to the desired virtual machine. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance - zones/zone/instances/instance " }, "network": { "description": "The URL of the network this target instance uses to forward traffic. If not specified, the traffic will be forwarded to the network that the default network interface belongs to.", "type": "string" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" } } }, "HealthCheckServiceAggregatedList": { "id": "HealthCheckServiceAggregatedList", "description": "Contains a list of HealthCheckServicesScopedList.", "properties": { "kind": { "description": "Type of resource.", "default": "compute#healthCheckServiceAggregatedList", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "object", "additionalProperties": { "$ref": "HealthCheckServicesScopedList", "description": "Name of the scope containing this set of HealthCheckServices." }, "description": "A list of HealthCheckServicesScopedList resources." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } } }, "type": "object" }, "RouterAdvertisedIpRange": { "type": "object", "id": "RouterAdvertisedIpRange", "properties": { "range": { "type": "string", "description": "The IP range to advertise. The value must be a CIDR-formatted string." }, "description": { "type": "string", "description": "User-specified description for the IP range." } }, "description": "Description-tagged IP ranges for the router to advertise." }, "RegionDisksAddResourcePoliciesRequest": { "type": "object", "properties": { "resourcePolicies": { "description": "Resource policies to be added to this disk.", "type": "array", "items": { "type": "string" } } }, "id": "RegionDisksAddResourcePoliciesRequest" }, "ConsistentHashLoadBalancerSettingsHttpCookie": { "id": "ConsistentHashLoadBalancerSettingsHttpCookie", "type": "object", "properties": { "ttl": { "$ref": "Duration", "description": "Lifetime of the cookie." }, "name": { "description": "Name of the cookie.", "type": "string" }, "path": { "description": "Path to set for the cookie.", "type": "string" } }, "description": "The information about the HTTP Cookie on which the hash function is based for load balancing policies that use a consistent hash." }, "HTTP2HealthCheck": { "type": "object", "id": "HTTP2HealthCheck", "properties": { "weightReportMode": { "type": "string", "description": "Weight report mode. used for weighted Load Balancing.", "enumDescriptions": [ "Health Checker will not parse the header field.", "Health Checker will parse and report the weight in the header field, but load balancing will not be based on the weights and will use equal weights.", "Health Checker will try to parse and report the weight in the header field, and load balancing will be based on the weights as long as all backends have a valid weight or only a subset of backends has the UNAVAILABLE_WEIGHT WeightError. The latter case is to continue the weighted load balancing while some backends are in TIMEOUT or UNKNOWN health status." ], "enum": [ "DISABLE", "DRY_RUN", "ENABLE" ] }, "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence." }, "requestPath": { "type": "string", "description": "The request path of the HTTP/2 health check request. The default value is /." }, "proxyHeader": { "enum": [ "NONE", "PROXY_V1" ], "enumDescriptions": [ "", "" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "type": "string" }, "response": { "type": "string", "description": "The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII." }, "host": { "type": "string", "description": "The value of the host header in the HTTP/2 health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used." }, "portSpecification": { "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, HTTP2 health check follows behavior specified in port and portName fields.", "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ], "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "type": "string" }, "port": { "description": "The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535.", "format": "int32", "type": "integer" } } }, "SecurityPoliciesListPreconfiguredExpressionSetsResponse": { "properties": { "preconfiguredExpressionSets": { "$ref": "SecurityPoliciesWafConfig" } }, "type": "object", "id": "SecurityPoliciesListPreconfiguredExpressionSetsResponse" }, "ResourcePolicySnapshotSchedulePolicySchedule": { "id": "ResourcePolicySnapshotSchedulePolicySchedule", "description": "A schedule for disks where the schedueled operations are performed.", "properties": { "weeklySchedule": { "$ref": "ResourcePolicyWeeklyCycle" }, "hourlySchedule": { "$ref": "ResourcePolicyHourlyCycle" }, "dailySchedule": { "$ref": "ResourcePolicyDailyCycle" } }, "type": "object" }, "CircuitBreakers": { "type": "object", "id": "CircuitBreakers", "properties": { "maxRetries": { "type": "integer", "description": "The maximum number of parallel retries allowed to the backend cluster. If not specified, the default is 1. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "format": "int32" }, "connectTimeout": { "$ref": "Duration", "description": "The timeout for new network connections to hosts." }, "maxConnections": { "type": "integer", "format": "int32", "description": "The maximum number of connections to the backend service. If not specified, there is no limit. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true." }, "maxPendingRequests": { "description": "The maximum number of pending requests allowed to the backend service. If not specified, there is no limit. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "type": "integer", "format": "int32" }, "maxRequests": { "format": "int32", "description": "The maximum number of parallel requests that allowed to the backend service. If not specified, there is no limit.", "type": "integer" }, "maxRequestsPerConnection": { "description": "Maximum requests for a single connection to the backend service. This parameter is respected by both the HTTP/1.1 and HTTP/2 implementations. If not specified, there is no limit. Setting this parameter to 1 will effectively disable keep alive. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "format": "int32", "type": "integer" } }, "description": "Settings controlling the volume of requests, connections and retries to this backend service." }, "RegionAutoscalerList": { "description": "Contains a list of autoscalers.", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#regionAutoscalerList" }, "items": { "description": "A list of Autoscaler resources.", "items": { "$ref": "Autoscaler" }, "type": "array" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object", "description": "[Output Only] Informational warning message." } }, "id": "RegionAutoscalerList", "type": "object" }, "QuotaExceededInfo": { "properties": { "limit": { "type": "number", "format": "double", "description": "Current effective quota limit. The limit's unit depends on the quota type or metric." }, "metricName": { "type": "string", "description": "The Compute Engine quota metric name." }, "limitName": { "description": "The name of the quota limit.", "type": "string" }, "dimensions": { "type": "object", "description": "The map holding related quota dimensions.", "additionalProperties": { "type": "string" } } }, "id": "QuotaExceededInfo", "type": "object", "description": "Additional details for quota exceeded error for resource quota." }, "AcceleratorTypesScopedList": { "id": "AcceleratorTypesScopedList", "type": "object", "properties": { "warning": { "description": "[Output Only] An informational warning that appears when the accelerator types list is empty.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "acceleratorTypes": { "description": "[Output Only] A list of accelerator types contained in this scope.", "type": "array", "items": { "$ref": "AcceleratorType" } } } }, "HttpFaultDelay": { "type": "object", "description": "Specifies the delay introduced by the load balancer before forwarding the request to the backend service as part of fault injection.", "properties": { "percentage": { "description": "The percentage of traffic for connections, operations, or requests for which a delay is introduced as part of fault injection. The value must be from 0.0 to 100.0 inclusive.", "format": "double", "type": "number" }, "fixedDelay": { "$ref": "Duration", "description": "Specifies the value of the fixed delay interval." } }, "id": "HttpFaultDelay" }, "UrlMapsAggregatedList": { "type": "object", "id": "UrlMapsAggregatedList", "properties": { "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } } }, "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "type": "string", "default": "compute#urlMapsAggregatedList", "description": "Type of resource." }, "items": { "type": "object", "description": "A list of UrlMapsScopedList resources.", "additionalProperties": { "$ref": "UrlMapsScopedList", "description": "Name of the scope containing this set of UrlMaps." } } } }, "Expr": { "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "type": "object" }, "OperationList": { "id": "OperationList", "properties": { "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than `maxResults`, use the `nextPageToken` as a value for the query parameter `pageToken` in the next list request. Subsequent list requests will have their own `nextPageToken` to continue paging through the results.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always `compute#operations` for Operations resource.", "type": "string", "default": "compute#operationList" }, "items": { "type": "array", "description": "[Output Only] A list of Operation resources.", "items": { "$ref": "Operation" } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } } }, "description": "[Output Only] Informational warning message." } }, "description": "Contains a list of Operation resources.", "type": "object" }, "Backend": { "id": "Backend", "properties": { "maxConnectionsPerInstance": { "description": "Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE.", "type": "integer", "format": "int32" }, "maxConnectionsPerEndpoint": { "description": "Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE.", "type": "integer", "format": "int32" }, "maxRatePerEndpoint": { "format": "float", "type": "number", "description": "Defines a maximum target for requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION." }, "group": { "type": "string", "description": "The fully-qualified URL of an instance group or network endpoint group (NEG) resource. To determine what types of backends a load balancer supports, see the [Backend services overview](https://cloud.google.com/load-balancing/docs/backend-service#backends). You must use the *fully-qualified* URL (starting with https://www.googleapis.com/) to specify the instance group or NEG. Partial URLs are not supported." }, "maxRate": { "type": "integer", "description": "Defines a maximum number of HTTP requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION.", "format": "int32" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "balancingMode": { "enum": [ "CONNECTION", "RATE", "UTILIZATION" ], "type": "string", "enumDescriptions": [ "Balance based on the number of simultaneous connections.", "Balance based on requests per second (RPS).", "Balance based on the backend utilization." ], "description": "Specifies how to determine whether the backend of a load balancer can handle additional traffic or is fully loaded. For usage guidelines, see Connection balancing mode. Backends must use compatible balancing modes. For more information, see Supported balancing modes and target capacity settings and Restrictions and guidance for instance groups. Note: Currently, if you use the API to configure incompatible balancing modes, the configuration might be accepted even though it has no impact and is ignored. Specifically, Backend.maxUtilization is ignored when Backend.balancingMode is RATE. In the future, this incompatible combination will be rejected." }, "capacityScaler": { "format": "float", "type": "number", "description": "A multiplier applied to the backend's target capacity of its balancing mode. The default value is 1, which means the group serves up to 100% of its configured capacity (depending on balancingMode). A setting of 0 means the group is completely drained, offering 0% of its available capacity. The valid ranges are 0.0 and [0.1,1.0]. You cannot configure a setting larger than 0 and smaller than 0.1. You cannot configure a setting of 0 when there is only one backend attached to the backend service." }, "maxRatePerInstance": { "format": "float", "type": "number", "description": "Defines a maximum target for requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION." }, "maxUtilization": { "description": "Optional parameter to define a target capacity for the UTILIZATIONbalancing mode. The valid range is [0.0, 1.0]. For usage guidelines, see Utilization balancing mode.", "type": "number", "format": "float" }, "failover": { "type": "boolean", "description": "This field designates whether this is a failover backend. More than one failover backend can be configured for a given BackendService." }, "maxConnections": { "type": "integer", "description": "Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE.", "format": "int32" } }, "type": "object", "description": "Message containing information of one individual backend." }, "RouterAggregatedList": { "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "type": "string", "default": "compute#routerAggregatedList", "description": "Type of resource." }, "items": { "additionalProperties": { "$ref": "RoutersScopedList", "description": "Name of the scope containing this set of routers." }, "description": "A list of Router resources.", "type": "object" }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "type": "object", "description": "Contains a list of routers.", "id": "RouterAggregatedList" }, "ManagedInstanceAllInstancesConfig": { "properties": { "revision": { "description": "[Output Only] Current all-instances configuration revision. This value is in RFC3339 text format.", "type": "string" } }, "type": "object", "id": "ManagedInstanceAllInstancesConfig" }, "SourceDiskEncryptionKey": { "properties": { "diskEncryptionKey": { "description": "The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" }, "sourceDisk": { "type": "string", "description": "URL of the disk attached to the source instance. This can be a full or valid partial URL. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk " } }, "type": "object", "id": "SourceDiskEncryptionKey" }, "ServerTlsSettings": { "type": "object", "description": "The TLS settings for the server.", "id": "ServerTlsSettings", "properties": { "tlsMode": { "description": "Indicates whether connections should be secured using TLS. The value of this field determines how TLS is enforced. This field can be set to one of the following: - SIMPLE Secure connections with standard TLS semantics. - MUTUAL Secure connections to the backends using mutual TLS by presenting client certificates for authentication. ", "enumDescriptions": [ "", "Secure connections to the backends using mutual TLS by presenting client certificates for authentication.", "Secure connections with standard TLS semantics." ], "enum": [ "INVALID", "MUTUAL", "SIMPLE" ], "type": "string" }, "subjectAltNames": { "description": "A list of alternate names to verify the subject identity in the certificate presented by the client.", "type": "array", "items": { "type": "string" } }, "proxyTlsContext": { "$ref": "TlsContext", "description": "Configures the mechanism to obtain security certificates and identity information." } } }, "TCPHealthCheck": { "type": "object", "id": "TCPHealthCheck", "properties": { "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence." }, "request": { "description": "The application data to send once the TCP connection has been established (default value is empty). If both request and response are empty, the connection establishment alone will indicate health. The request data can only be ASCII.", "type": "string" }, "proxyHeader": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "NONE", "PROXY_V1" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE." }, "port": { "type": "integer", "format": "int32", "description": "The TCP port number for the health check request. The default value is 80. Valid values are 1 through 65535." }, "response": { "description": "The bytes to match against the beginning of the response data. If left empty (the default value), any response will indicate health. The response data can only be ASCII.", "type": "string" }, "portSpecification": { "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ], "type": "string", "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, TCP health check follows behavior specified in port and portName fields." } } }, "MachineType": { "description": "Represents a Machine Type resource. You can use specific machine types for your VM instances based on performance and pricing requirements. For more information, read Machine Types.", "properties": { "guestCpus": { "format": "int32", "type": "integer", "description": "[Output Only] The number of virtual CPUs that are available to the instance." }, "architecture": { "type": "string", "description": "[Output Only] The architecture of the machine type.", "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ] }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "description": { "type": "string", "description": "[Output Only] An optional textual description of the resource." }, "deprecated": { "$ref": "DeprecationStatus", "description": "[Output Only] The deprecation status associated with this machine type. Only applicable if the machine type is unavailable." }, "accelerators": { "type": "array", "items": { "type": "object", "properties": { "guestAcceleratorType": { "description": "The accelerator type resource name, not a full URL, e.g. 'nvidia-tesla-k80'.", "type": "string" }, "guestAcceleratorCount": { "type": "integer", "description": "Number of accelerator cards exposed to the guest.", "format": "int32" } } }, "description": "[Output Only] A list of accelerator configurations assigned to this machine type." }, "memoryMb": { "type": "integer", "description": "[Output Only] The amount of physical memory available to the instance, defined in MB.", "format": "int32" }, "isSharedCpu": { "type": "boolean", "description": "[Output Only] Whether this machine type has a shared CPU. See Shared-core machine types for more information." }, "kind": { "type": "string", "default": "compute#machineType", "description": "[Output Only] The type of the resource. Always compute#machineType for machine types." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "[Output Only] Name of the resource." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "maximumPersistentDisksSizeGb": { "format": "int64", "type": "string", "description": "[Output Only] Maximum total persistent disks size (GB) allowed." }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "zone": { "description": "[Output Only] The name of the zone where the machine type resides, such as us-central1-a.", "type": "string" }, "maximumPersistentDisks": { "type": "integer", "description": "[Output Only] Maximum persistent disks allowed.", "format": "int32" } }, "id": "MachineType", "type": "object" }, "AddressesScopedList": { "type": "object", "id": "AddressesScopedList", "properties": { "addresses": { "type": "array", "description": "[Output Only] A list of addresses contained in this scope.", "items": { "$ref": "Address" } }, "warning": { "type": "object", "description": "[Output Only] Informational warning which replaces the list of addresses when the list is empty.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array" } } } } }, "TargetPoolsAddHealthCheckRequest": { "type": "object", "properties": { "healthChecks": { "items": { "$ref": "HealthCheckReference" }, "type": "array", "description": "The HttpHealthCheck to add to the target pool." } }, "id": "TargetPoolsAddHealthCheckRequest" }, "RegionDisksRemoveResourcePoliciesRequest": { "type": "object", "id": "RegionDisksRemoveResourcePoliciesRequest", "properties": { "resourcePolicies": { "items": { "type": "string" }, "type": "array", "description": "Resource policies to be removed from this disk." } } }, "HostRule": { "id": "HostRule", "type": "object", "description": "UrlMaps A host-matching rule for a URL. If matched, will use the named PathMatcher to select the BackendService.", "properties": { "hosts": { "description": "The list of host patterns to match. They must be valid hostnames with optional port numbers in the format host:port. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh matches any string of ([a-z0-9-.]*). In that case, LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh must be the first character, and if followed by anything, the immediate following character must be either - or .. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh based matching is not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.", "type": "array", "items": { "type": "string" } }, "pathMatcher": { "type": "string", "description": "The name of the PathMatcher to use to match the path portion of the URL if the hostRule matches the URL's host portion." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." } } }, "VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings": { "description": "Contains information of NAT Mappings provided by a NAT Rule.", "id": "VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings", "type": "object", "properties": { "drainNatIpPortRanges": { "items": { "type": "string" }, "description": "List of all drain IP:port-range mappings assigned to this interface by this rule. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].", "type": "array" }, "ruleNumber": { "type": "integer", "format": "int32", "description": "Rule number of the NAT Rule." }, "natIpPortRanges": { "items": { "type": "string" }, "description": "A list of all IP:port-range mappings assigned to this interface by this rule. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].", "type": "array" }, "numTotalDrainNatPorts": { "format": "int32", "description": "Total number of drain ports across all NAT IPs allocated to this interface by this rule. It equals the aggregated port number in the field drain_nat_ip_port_ranges.", "type": "integer" }, "numTotalNatPorts": { "description": "Total number of ports across all NAT IPs allocated to this interface by this rule. It equals the aggregated port number in the field nat_ip_port_ranges.", "format": "int32", "type": "integer" } } }, "TargetPoolsRemoveInstanceRequest": { "type": "object", "id": "TargetPoolsRemoveInstanceRequest", "properties": { "instances": { "description": "URLs of the instances to be removed from target pool.", "type": "array", "items": { "$ref": "InstanceReference" } } } }, "PublicDelegatedPrefixesScopedList": { "type": "object", "properties": { "publicDelegatedPrefixes": { "description": "[Output Only] A list of PublicDelegatedPrefixes contained in this scope.", "items": { "$ref": "PublicDelegatedPrefix" }, "type": "array" }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object", "description": "[Output Only] Informational warning which replaces the list of public delegated prefixes when the list is empty." } }, "id": "PublicDelegatedPrefixesScopedList" }, "NodeGroupsListNodes": { "type": "object", "id": "NodeGroupsListNodes", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "default": "compute#nodeGroupsListNodes", "description": "[Output Only] The resource type, which is always compute.nodeGroupsListNodes for the list of nodes in the specified node group.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "items": { "$ref": "NodeGroupNode" }, "description": "A list of Node resources.", "type": "array" } } }, "RegionInstanceGroupManagersAbandonInstancesRequest": { "type": "object", "properties": { "instances": { "type": "array", "items": { "type": "string" }, "description": "The URLs of one or more instances to abandon. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." } }, "id": "RegionInstanceGroupManagersAbandonInstancesRequest" }, "NodeGroupNode": { "id": "NodeGroupNode", "properties": { "disks": { "items": { "$ref": "LocalDisk" }, "description": "Local disk configurations.", "type": "array" }, "totalResources": { "description": "Total amount of available resources on the node.", "$ref": "InstanceConsumptionInfo" }, "nodeType": { "type": "string", "description": "The type of this node." }, "status": { "type": "string", "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "CREATING", "DELETING", "INVALID", "READY", "REPAIRING" ] }, "serverId": { "type": "string", "description": "Server ID associated with this node." }, "instanceConsumptionData": { "description": "Instance data that shows consumed resources on the node.", "type": "array", "items": { "$ref": "InstanceConsumptionData" } }, "accelerators": { "type": "array", "description": "Accelerators for this node.", "items": { "$ref": "AcceleratorConfig" } }, "name": { "type": "string", "description": "The name of the node." }, "instances": { "type": "array", "items": { "type": "string" }, "description": "Instances scheduled on this node." }, "consumedResources": { "$ref": "InstanceConsumptionInfo", "description": "Node resources that are reserved by all instances." }, "cpuOvercommitType": { "description": "CPU overcommit.", "enumDescriptions": [ "", "", "" ], "enum": [ "CPU_OVERCOMMIT_TYPE_UNSPECIFIED", "ENABLED", "NONE" ], "type": "string" }, "serverBinding": { "description": "Binding properties for the physical server.", "$ref": "ServerBinding" }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." } }, "type": "object" }, "BackendBucket": { "type": "object", "properties": { "enableCdn": { "type": "boolean", "description": "If true, enable Cloud CDN for this BackendBucket." }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "kind": { "description": "Type of the resource.", "type": "string", "default": "compute#backendBucket" }, "cdnPolicy": { "description": "Cloud CDN configuration for this BackendBucket.", "$ref": "BackendBucketCdnPolicy" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "customResponseHeaders": { "items": { "type": "string" }, "type": "array", "description": "Headers that the HTTP/S load balancer should add to proxied responses." }, "compressionMode": { "enum": [ "AUTOMATIC", "DISABLED" ], "description": "Compress text responses using Brotli or gzip compression, based on the client's Accept-Encoding header.", "type": "string", "enumDescriptions": [ "Automatically uses the best compression based on the Accept-Encoding header sent by the client.", "Disables compression. Existing compressed responses cached by Cloud CDN will not be served to clients." ] }, "description": { "description": "An optional textual description of the resource; provided by the client when the resource is created.", "type": "string" }, "bucketName": { "type": "string", "description": "Cloud Storage bucket name." }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "edgeSecurityPolicy": { "description": "[Output Only] The resource URL for the edge security policy associated with this backend bucket.", "type": "string" } }, "id": "BackendBucket", "description": "Represents a Cloud Storage Bucket resource. This Cloud Storage bucket resource is referenced by a URL map of a load balancer. For more information, read Backend Buckets." }, "UrlMap": { "properties": { "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "defaultRouteAction": { "$ref": "HttpRouteAction", "description": "defaultRouteAction takes effect when none of the hostRules match. The load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If defaultRouteAction specifies any weightedBackendServices, defaultService must not be set. Conversely if defaultService is set, defaultRouteAction cannot contain any weightedBackendServices. Only one of defaultRouteAction or defaultUrlRedirect must be set. UrlMaps for external HTTP(S) load balancers support only the urlRewrite action within defaultRouteAction. defaultRouteAction has no effect when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true." }, "tests": { "description": "The list of expected URL mapping tests. Request to update the UrlMap succeeds only if all test cases pass. You can specify a maximum of 100 tests per UrlMap. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "type": "array", "items": { "$ref": "UrlMapTest" } }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional URL map resides. This field is not applicable to global URL maps. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "hostRules": { "description": "The list of host rules to use against the URL.", "items": { "$ref": "HostRule" }, "type": "array" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field is ignored when inserting a UrlMap. An up-to-date fingerprint must be provided in order to update the UrlMap, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a UrlMap.", "format": "byte", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#urlMaps for url maps.", "type": "string", "default": "compute#urlMap" }, "headerAction": { "$ref": "HttpHeaderAction", "description": "Specifies changes to request and response headers that need to take effect for the selected backendService. The headerAction specified here take effect after headerAction specified under pathMatcher. headerAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "pathMatchers": { "description": "The list of named PathMatchers to use against the URL.", "items": { "$ref": "PathMatcher" }, "type": "array" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "defaultService": { "type": "string", "description": "The full or partial URL of the defaultService resource to which traffic is directed if none of the hostRules match. If defaultRouteAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if defaultService is specified, defaultRouteAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of defaultService, defaultUrlRedirect , or defaultRouteAction.weightedBackendService must be set. defaultService has no effect when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true." }, "defaultUrlRedirect": { "description": "When none of the specified hostRules match, the request is redirected to a URL specified by defaultUrlRedirect. If defaultUrlRedirect is specified, defaultService or defaultRouteAction must not be set. Not supported when the URL map is bound to a target gRPC proxy.", "$ref": "HttpRedirectAction" } }, "type": "object", "id": "UrlMap", "description": "Represents a URL Map resource. Compute Engine has two URL Map resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/alpha/urlMaps) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/alpha/regionUrlMaps) A URL map resource is a component of certain types of cloud load balancers and Traffic Director: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh urlMaps are used by external HTTP(S) load balancers and Traffic Director. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh regionUrlMaps are used by internal HTTP(S) load balancers. For a list of supported URL map features by the load balancer type, see the Load balancing features: Routing and traffic management table. For a list of supported URL map features for Traffic Director, see the Traffic Director features: Routing and traffic management table. This resource defines mappings from hostnames and URL paths to either a backend service or a backend bucket. To use the global urlMaps resource, the backend service must have a loadBalancingScheme of either EXTERNAL or INTERNAL_SELF_MANAGED. To use the regionUrlMaps resource, the backend service must have a loadBalancingScheme of INTERNAL_MANAGED. For more information, read URL Map Concepts." }, "LicensesListResponse": { "properties": { "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "items": { "$ref": "License" }, "description": "A list of License resources.", "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "type": "object", "id": "LicensesListResponse" }, "NetworkEndpointGroupsListNetworkEndpoints": { "id": "NetworkEndpointGroupsListNetworkEndpoints", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" } }, "type": "object" }, "items": { "items": { "$ref": "NetworkEndpointWithHealthStatus" }, "description": "A list of NetworkEndpointWithHealthStatus resources.", "type": "array" }, "kind": { "description": "[Output Only] The resource type, which is always compute#networkEndpointGroupsListNetworkEndpoints for the list of network endpoints in the specified network endpoint group.", "default": "compute#networkEndpointGroupsListNetworkEndpoints", "type": "string" } }, "type": "object" } }, "ownerDomain": "google.com", "title": "Compute Engine API", "batchPath": "batch/compute/alpha" }
]===]))
